<?php

namespace Modules\Api\Entities;

use App\Traits\RoundingAttributesTrait;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Passport\HasApiTokens;

class Client extends Authenticatable
{
    use HasFactory,HasApiTokens ,Notifiable, RoundingAttributesTrait;
    protected $appends=['image'];
    protected $guarded = [];
    protected $casts = [
        'id' =>'integer',
        'user_name'=>'string',
        'email'=>'string',
        'image'=>'string',
        'token' =>'string',
        'mobile1'=>'string',
        'active_code' =>'integer'
    ];
    public function getImageAttribute($value)
    {
        return in_array($value, ['', ' ', null]) ? asset('uploads/'.$this->shop_id .'/Api/noImage.png') : asset($value);
    }
    public function scopeSelection($query)
    {
        return $query->select('id','user_name','image','email','mobile1','password','player_id');
    }
    public function reacts()
    {
        return $this->HasMany(ItemRate::class,'client_id','id');
    }
    
}
