<?php

namespace Modules\Api\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class ItemType extends Model
{
    use HasFactory;
    protected $appends=['upload_img'];
    protected $guarded = [];
    protected $table   = 'items_type';
    protected $casts = [
        'id' =>'integer',
        'name'=>'string',
        'upload_img'=>'string',
    ];

    public function getuploadImgAttribute($value)
    {
        return in_array($value, ['', ' ', null]) ? asset('uploads/'.$this->shop_id .'/Api/noImage.png') : asset($value);
    }
    public function scopeSelection($query)
    {
        return $query->select('id','name','upload_img','published','shop_id');
    }
    public function items()
    {
        return $this->hasMany(Item::class,'sale_unit','id');
    }


}
