<?php

namespace Modules\Api\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Notifications\Notifiable;
class RequestDetails extends Model
{
    use HasFactory;
    use Notifiable;
    protected $table="request_details";
    protected $guarded = [];

    public function scopeSelection($query)
    {
       return $query->select('id','created_at','updated_at','item_id','price','shop_id','sale_price','discount_percent','status','quantity','notes');
    }

    public function requests()
    {
        return $this->belongsTo(Request::class, 'request_id', 'id');
    }
    public function item()
    {
        return $this->belongsTo(Item::class, 'item_id', 'id');
    }
     public function discounts()
    {
        return $this->hasMany(RequestDetailDiscount::class,'detail_id', 'id');
    }
    public function discount()
    {
        return $this->hasOne(RequestDetailDiscount::class,'detail_id', 'id');
    }
    public function vats()
    {
        return $this->hasMany(RequestDetailVat::class, 'detail_id', 'id');
    }
    public function unit()
    {
        return $this->belongsTo(Unit::class,'unit_id', 'id');
    }
}
