<?php

namespace Modules\Api\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class RequestSetting extends Model
{
    use HasFactory;
    public $timestamps = false;
    protected $table = 'request_settings';
    protected $fillable = [];
    
    public static function getSettings(int $shop_id): self
    {
        $settings = RequestSetting::where('shop_id', $shop_id)->first();
        if (is_null($settings)) {
            $settings = new RequestSetting();
            $settings->fee = 0;
            $settings->min_purchase = 0;
            $settings->max_charge = 0;
            $settings->max_cards = 5;
            $settings->max_items = 20;
            $settings->epay = 0;
            $settings->bank = 1;
            $settings->delivery = 1;
            $settings->shop_id = $shop_id;
            $settings->ignore_quantity = 0;
            $settings->save();
        }

        return $settings;
    }
}
