<?php

namespace Modules\Api\Entities;

use Illuminate\Database\Eloquent\Model;

class Slider extends Model
{
    protected $fillable = [];
    public $timestamps = false;
    protected $table = 'slider';
    protected $appends="image_link";
    public function scopeSelection($query)
    {
        return $query->select('id', 'src', 'image_link', 'outside_link', 'item_id', 'title', 'shop_id');
    }

    public function getImageLinkAttribute($val)
    {

        return( $val !== NULL) ? asset($val) : asset('uploads/'.$this->shop_id .'/noImage.png');
    }

    public function getUrl()
    {
        if ($this->outside_link == 1) {
            return $this->image_link;
        } else {
            $item = Item::find($this->item_id);
            if ($item) {
                return config('main.store_url').$this->shop_id.'/item/'.$this->item_id;
            } else {
                return '#';
            }

        }

    }
    public function getType()
    {
        if ($this->outside_link == 1) {
            return 'رابط خارجي';
        } else {
            return 'صنف';
        }
    }
}
