<?php

namespace Modules\Api\Http\Controllers;


use App\Traits\HelperTrait;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\Validator;
use Modules\Api\Entities\Item;
use Modules\Api\Entities\ItemType;
use Modules\Api\Http\Requests\CategoryDetailsRequest;
use Modules\Api\Transformers\CategoryResource;
use Modules\Api\Transformers\ItemResource;

class ApiCategoryController extends Controller
{
    use HelperTrait;
    public function allCategory(Request $request ,$shop_id)
    {
        try{
            $allcategories=ItemType::where(['shop_id'=>$shop_id ,'published' =>'1'])->selection()->orderBy('id','DESC')->paginate(10);
            $allcategories=CategoryResource::collection($allcategories);
            return $this->responseJson(true,'List Of All Category ',[
                'all_categories'=>$allcategories
            ],null,200);
        }catch(\Throwable $th) {
            return $this->responseJson(false,$th->getMessage(),null,null,500);
        }
    }
    // public function getDetails(CategoryDetailsRequest $request ,$shop_id ,$cat=null)
    // {
    //     try{
    //         $request['shop_id'] = $shop_id;
    //         $cat = $request->category;
    //         $allItems=Item::selection()
    //         ->where('shop_id',$shop_id)
    //         ->where(function($q) use ($cat, $request) {
    //                 $q->when($cat != null , function($query) use($cat){
    //                     $query->whereIN('sale_unit' , explode(',',$cat));
    //                 })
    //                 ->orWhere(function($query) use($request){
    //                     $query->when($request->categories , function($query) use($request){
    //                     $query->whereIN('sale_unit' , explode(',',$request->categories));
    //                 });
    //             });
    //         })->when($request->min,function($query) use($request){
    //             $query->where('sale_price' ,'>=' ,$request->min);
    //          })->when($request->max,function($query) use($request){
    //             $query->where('sale_price' ,'<=' ,$request->max);
    //         })->when($request->sort,function($query) use($request){
    //             $query->orderBy('sale_price', $request->sort);
    //         })->orderBy('id')->paginate(10);
    //         $allItems=ItemResource::collection($allItems);
    //         return $this->responseJson(true,'List Of Category Details',[
    //             'all_items' =>$allItems
    //         ],null,200);
    //     }catch(\Throwable $th) {
    //         return $this->responseJson(false,$th->getMessage(),null,null,500);
    //     }
    // }
    // public function categorySearch(CategoryDetailsRequest $request ,$shop_id)
    // {
    //     try{
    //         $request['shop_id'] = $shop_id;
    //         $allItems = Item::where(['shop_id' => $shop_id])
    //             ->where(function ($q) use ($request) {
    //                 $q->when($request->category, function ($query) use ($request) {
    //                     $query->where('sale_unit', '<=', $request->category);
    //                 }
    //                 )->when($request->item_search, function ($query) use ($request) {
    //                     $query->where('item_name', 'like', '%' . $request->get('item_search') . '%');
    //                 });
    //         })->orderBy('id')->paginate(10);
    //         $allItems=ItemResource::collection($allItems);
    //         return $this->responseJson(true, 'List Of Item Details ', [
    //             'all_items' => $allItems,
    //         ], null, 200);
    //     }catch(\Throwable $th) {
    //         return $this->responseJson(false,$th->getMessage(),null,null,500);
    //     }
    // }
}
