<?php

namespace Modules\Api\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Api\Entities\Notification;
use App\Traits\HelperTrait;
use Modules\Api\Transformers\NotifyResource;

class ApiNotificationController extends Controller
{
    use HelperTrait;
    public function getNotify(Request $request)
    {
        try {
            $notification = Notification::where(['notifiable_id' => auth()->guard('api')->id()])->orderBy('created_at','desc')->get();
            $notification = NotifyResource::collection($notification);

            return $this->responseJson(true, 'List Of Notification......', [
                'notigication' => $notification
            ], null, 200);
        } catch (\Throwable $th) {
            return $this->responseJson(false, $th->getMessage(), null, null, 500);
        }
    }
}
