<?php

namespace Modules\Api\Http\Controllers;

use App\Traits\HelperTrait;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Api\Entities\Item;
use Modules\Api\Entities\Wishlist;
use Modules\Api\Http\Requests\FavoriteRequest;
use Modules\Api\Transformers\ItemResource;

class ApiWishlistcontroller extends Controller
{
    use HelperTrait;
    public function getWishlist(Request $request ,$shop_id)
    {
        try{
            if (auth('api')->check()) {
                $wishlists = Item::where('shop_id',$shop_id)->whereHas('wishlists')->selection()->paginate(10);
                $wishlists=ItemResource::collection($wishlists);
                return $this->responseJson(true,trans('api.wish_list'),[
                    'Wishlists' =>$wishlists,
                ],null,200);
            }
            return $this->responseJson(false,trans('api.Unauthorized'),null,null,401);
        }catch(\Throwable $th) {
            return $this->responseJson(false,$th->getMessage(),null,null,500);
        }
    }
    public function addOrDeleteWishlist(FavoriteRequest $request ,$shop_id)
    {
        try{
            if (auth('api')->check()) {
                $wishlist=Wishlist::where(['shop_id'=>$shop_id,'product_id'=>$request->product_id ,'client_id' =>auth()->guard('api')->id()])->select('id')->first();
                if($wishlist){
                    $wishlist->delete();
                    return $this->responseJson(true,trans('api.wish_delete'),null,null,200);
                }else
                {
                    Wishlist::create([
                        'product_id' => $request->product_id,
                        'client_id' => auth()->guard('api')->id(),
                        'shop_id' =>$shop_id
                    ]);
                    return $this->responseJson(true, trans('api.wish_add'),null,null,200);
                }
            }
            return $this->responseJson(false,trans('api.Unauthorized'),null,null,401);
        }catch(\Throwable $th) {
            return $this->responseJson(false,$th->getMessage(),null,null,500);
        }
    }
}
