<?php

namespace Modules\Api\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class Badrshop
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if (Auth::check()) {
            $user_id = Auth::user()->id;
            $shop = DB::table('badr_shop')->where('serial_id', Auth::user()->shop_id)->first();
        } else {
            $domain = url('/');
            $domain = str_replace('www.', '', $domain);
            $domain = str_replace('http://', '', $domain);
            $domain = str_replace('https://', '', $domain);
            $domain = rtrim($domain, '/');
            $shop = DB::table('badr_shop')->where('run_domian', 'LIKE', '%' . $domain . '%')->first();
            if (is_null($shop)) {
                $shop = DB::table('badr_shop')->where('serial_id', $request->segments()[1])->first();
            }
        }
        
        if (!$shop) {
            abort(404);
        }
        
        if ($shop->activate_maintenance_mode == 1) {
            return response()->json([
                'status' => true,
                'message' => trans('api.logout'),
                'data' => null,
                'token' => null,
                'activate_maintenance_mode' => $shop->activate_maintenance_mode,
                'maintenance_message' => $shop->maintenance_message
            ], 200);
        }

        return $next($request);
    }
}
