<?php

namespace Modules\Api\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Modules\Api\Entities\BadrShop;
use Modules\Clients\Entities\Country;

class CheckLang
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if (auth()->check()) {
            if (!session()->has('locale')) $this->handleLang($request->headers->get('lang', null));
        } else {
            app()->setLocale($request->headers->get('lang', 'ar'));
        }
        return $next($request);
    }

    protected function handleLang(?string $lang = null)
    {
        if (! $lang) {
            $shop = BadrShop::select('country')->where('serial_id', get_session_val('serial_id', 'integer'))->first();
            $lang = $this->getCountryLang($shop->country ?? 0);
        }
        app()->setLocale($lang);
    }

    protected function getCountryLang(int $country_id = 0)
    {
        $code = Country::select('iso_alpha2')->find($country_id)->iso_alpha2 ?? 'ar';
        return strtolower($code);
    }
}
