<?php

namespace Modules\Api\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Exceptions\HttpResponseException;

use Illuminate\Contracts\Validation\Validator;
class ContactMessageRequest extends FormRequest
{

    public function rules()
    {
        return [
            'client_id'=>'nullable',
            'title' => 'required',
            'message'=>'required',
            'phone' => 'required',
            'email' => 'required',
            'name' => 'required',
        ];

    }
    public function failedValidation(Validator $validator)
    {
        throw new HttpResponseException(response()->json([
            'success' => false,
            'message' => 'Validation errors',
            'data' => $validator->errors()->all()
        ]));
    }
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
}
