<?php

namespace Modules\Api\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Exceptions\HttpResponseException;

use Illuminate\Contracts\Validation\Validator;
class CreatepasswordRequest extends FormRequest
{

    public function rules()
    {
        return [
            'email' => 'required|email|exists:clients',
            'active_code' => 'required|string|exists:clients,active_code',
            'password' => 'required|string|min:6',
            'comfirm_password' => 'required_with:password|same:password|min:6',
        ];
    }
    public function failedValidation(Validator $validator)
    {
        throw new HttpResponseException(response()->json([
            'success' => false,
            'message' => 'Validation errors',
            'data' => $validator->errors()->all()
        ]));
    }
    public function messages()
    {
        return[
            'email.required'=>trans('api.email_req'),
            'email.exists'=>trans('api.fail_email'),
            'active_code.required'=>trans('api.active_code_req'),
            'active_code.exists'=>trans('api.active_code_exist'),
            'password.required'=>trans('api.password_req'),
        ];
    }
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
}
