<?php

namespace Modules\Api\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Exceptions\HttpResponseException;

use Illuminate\Contracts\Validation\Validator;
class  RegisterRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {   
        return [
            'user_name' =>'required|string|max:255|unique:clients,user_name,' . auth()->guard('api')->id() . ',id,shop_id,' . $this->shop_id,
            'email' => 'required|string|email|max:255|unique:clients',
            'mobile1'=>'required|unique:clients',
            'password' => 'required|string|min:6',
            'comfirm_password' => 'required_with:password|same:password|min:6',
            'image' =>'sometimes|image|mimes:png,jpg,jpeg',
            'player_id' =>'required'
        ];
    }
    public function failedValidation(Validator $validator)
    {
        throw new HttpResponseException(response()->json([
            'success' => false,
            'message' => 'Validation errors',
            'errors' => $validator->errors()->all()
        ]));
    }
    
    public function attributes()
    {
        return [
                'mobile1' => trans('client.mobile'),
                'email' => trans('client.email'),
            ];
    }
    
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
    public function log($messages)
    {
        $file = __DIR__ . DIRECTORY_SEPARATOR  . date('Y-m-d') . '.log';
            $messages = json_encode($messages, JSON_PRETTY_PRINT);
            $messages = "========================================================\n\n" . $messages . "\n\n";
        if (!file_exists($file)) {
            touch($file, strtotime('-1 days'));
        }
        if (filesize($file) > 907200) {
            $fp = fopen($file, "r+");
            ftruncate($fp, 0);
            fclose($fp);
        }
        $myfile = fopen($file, "a+");
        fwrite($myfile, $messages);
        fclose($myfile);
    }
}
