<?php

namespace Modules\Api\Transformers;

use Illuminate\Http\Resources\Json\JsonResource;

class OrderResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request
     * @return array
     */

    public function toArray($request)
    {
        return array(
            'id'=>$this->id,
            'created_at' => \Carbon\Carbon::parse($this->created_at)->format('d/m/Y'),
            'status' => $this->status,
            'order_number' => $this->order_no,
            'quantity' => round_money($this->details()->sum('quantity')),
            'name'=>$this->client_name,
            'phone'=>$this->mobile,
            'delivary_date'=>$this->delivery_date ?? '',
            'total_before_des' =>round_money($this->details()->sum('sale_price')),
            'coupon_discount'=> $this->totalDiscountCoupon()->sum('discount_weight') ?? 0 ,
            'discount'=>round_money($this->discount),
            'total'=>round_money($this->total),
            'tax'=>round_money($this->totalVat()->sum('vat_weight')),
            'fee'=>round_money($this->fee),
            'total_invoice'=>round_money($this->net),
            'items' => RequestDetail::collection($this->whenLoaded('details')),
        );
    }
}
