<?php

namespace Modules\Api\Transformers;

use Illuminate\Http\Resources\Json\JsonResource;
use Modules\Api\Entities\ItemUnit;

class RequestDetail extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request
     * @return array
     */
    public function toArray($request)
    {
        return array(
            'id' => $this->id,
            'item_id' => $this->item->id,
            'img' => $this->item->img,
            'item_name' => $this->item->item_name,
            'rate' => $this->item->rates->count() > 0 ? number_format($this->item->rates()->sum('rate') / $this->item->rates->count(), 2) : "0",
            'sale_price' => round_money($this->item->ItemPrice($request->unit_id)),
            'discount_percent' => $this->discount_percent ? round_money($this->discount_percent) : "0",
            'sale_discount' => round_money(($this->item->ItemPrice($request->unit_id)) - (($this->item->ItemPrice($request->unit_id) * $this->discount_percent) / 100)),
            'price' => round_money($this->price),
            'unit_name' => $this->unit->name ?? null,
            'unit_id' => $this->unit_id,
            'tax' => round_money($this->vats()->sum('vat_weight')),
            'quantity' => $this->quantity,
            'total' => round_money($this->price * $this->quantity),
            'is_favorite' => $this->item->isFavorite(),
            'max_order' => (float) $this->item->max_items,
            'qty' => (float) $this->item->store_items_sum_store_quant,
            'notes' => $this->notes,
            'is_sale' => $this->item->withDiscount ? true : false,
            'units' => ItemUnitResource::collection($this->item->getUnits())
        );
    }
}
