<?php

namespace Modules\BadrRequest\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;
use Modules\Invoices\Entities\Item;

class InvoiceDetails extends Model
{
    use RoundingAttributesTrait;
    protected $guarded = ['id'];
    public $timestamps = false;
    protected $table = 'invoices_details';

    public function Item()
    {
        return $this->hasOne(Item::class, 'id', 'item_id');
    }

    public function Invoice()
    {
        return $this->belongsTo(Invoices::class);
    }

    public function SoldSerials()
    {
        return $this->hasMany(ItemSerial::class, 'item_id', 'item_id')->where( 'sold', 1);
    }
}
