<?php

namespace Modules\BadrRequest\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class ItemUnit extends Model
{
    use RoundingAttributesTrait;
    protected $fillable = [];
    public $timestamps = false;
    protected $table = 'items_unit';


    public function isFree()
    {
        $sales = SaleDetails::where('shop_id', session('shop_id'))->where('unit', $this->id)->count();
        $back = SaleBack::where('shop_id', session('shop_id'))->where('unit', $this->id)->count();
        $total = $sales + $back;

        if($total > 0){
            return false;
        }
        return true;
    }
}
