<?php

namespace Modules\BadrRequest\Entities;

use Illuminate\Database\Eloquent\Model;

class Page extends Model
{
    protected $guarded = [];
    protected  $table = 'pages';

    protected $primary = 'id';

    public function category()
    {
        return $this->belongsTo(PageCategory::class);
    }
    public function scopeSelection($query)
    {
        return $query->select('id', 'title', 'image', 'text', 'english_text', 'name', 'created_at', 'updated_at', 'shop_id');
    }
    public function getImageAttribute($val)
    {
        return($val !== NULL) ? asset($val) : asset('uploads/'.$this->shop_id .'/Api/noImage.png');
    }
}
