<?php


namespace Modules\BadrRequest\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class RequestDetailDiscount extends Model
{
    use HasFactory, RoundingAttributesTrait;

    protected $table = 'requests_details_discounts';
    protected $guarded = [];
    public function scopeSelection($query)
    {
        return $query->select('id','created_at','updated_at','item_id','request_id','shop_id','discount_type','discount_value','discount_weight');
    }
    public function request()
    {
        return $this->belongsTo(Request::class , 'request_id', 'id');
    }
    public function details()
    {
        return $this->belongsTo(RequestDetail::class, 'detail_id', 'id');
    }
}
