<?php

namespace Modules\BadrRequest\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;
use Modules\BadrRequest\Http\Controllers\BadrRequestController;

class RequestDetails extends Model {
    use RoundingAttributesTrait;
	protected $table = 'request_details';
	public $timestamps = true;
    protected $guarded = [];

    public function scopeSelection($query)
    {
        return $query->select('id','item_id','created_at','updated_at','item_id','price','shop_id','sale_price','discount_percent','status','quantity','notes', 'unit_id')
        ->with('discounts')->with('vats')->with('item')->with('request');
    }

    public function request()
    {
        return $this->belongsTo(BadrRequest::class, 'request_id', 'id');
    }
	public function item()
    {
        return $this->belongsTo(Item::class, 'item_id', 'id');
    }

	public function color() {
		return $this->belongsTo( Color::class );
	}

	public function size() {
		return $this->belongsTo( Size::class );
	}

	public function discounts()
    {
        return $this->hasMany(RequestDetailDiscount::class,'detail_id', 'id');
    }
    public function vats()
    {
        return $this->hasMany(RequestDetailVat::class, 'detail_id', 'id');
    }
    public function unit()
    {
        return $this->belongsTo(Unit::class, 'unit_id', 'id');
    }

//     public function detialsVat (){

// return $this->hasManyThrough(RequestDetailVat::class , BadrRequest::class,'request_id' , );

//     }


}
