<?php

namespace Modules\BadrRequest\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Modules\BadrRequest\Entities\CheckoutSettings;
use Modules\BadrRequest\Entities\RequestSettings;
use Modules\BadrRequest\Http\Requests\CheckoutRequest;

class CheckoutController extends Controller
{
    public function checkoutSettings()
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $settings = CheckoutSettings::where('shop_id', $shop_id)->first();
        if (is_null($settings)) {
            $settings = new CheckoutSettings();
            $settings->shop_id = $shop_id;
            $settings->save();
        }
        return view('badrrequest::checkout-settings', compact('settings'));
    }

    public function updateCheckoutSettings(CheckoutRequest $request)
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $checkout = CheckoutSettings::where('shop_id', $shop_id)
            ->where('id', $request->settings_id)
            ->first();
        if ($request->type == 'paypal') {
            $checkout->paypal_client_id = $request->paypal_client_id;
            $checkout->paypal_client_secret = $request->paypal_client_secret;

            $checkout->paypal_s_client_id = $request->paypal_s_client_id;
            $checkout->paypal_s_client_secret = $request->paypal_s_client_secret;

            $checkout->paypal_sandbox = $request->paypal_sandbox ? 1 : 0;
        }

        if ($request->type == 'paytabs') {
            $checkout->mobile = $request->mobile;
            $checkout->paytabs_secret = $request->paytabs_secret;
            $checkout->paytabs_s_secret = $request->paytabs_s_secret;
            $checkout->paytabs_email = $request->paytabs_email;
            $checkout->site_url = $request->site_url;
            $checkout->paytabs_sandbox = $request->paytabs_sandbox ? 1 : 0;
        }


        if ($request->type == 'payfort') {
            $checkout->payfort_merchant_identifier = $request->payfort_merchant_identifier;
            $checkout->payfort_access_code = $request->payfort_access_code;
            $checkout->payfort_SHARequest_phrase = $request->payfort_SHARequest_phrase;
            $checkout->payfort_SHAResponse_phrase = $request->payfort_SHAResponse_phrase;
            $checkout->payfort_command = $request->payfort_command;

            $checkout->payfort_s_merchant_identifier = $request->payfort_s_merchant_identifier;
            $checkout->payfort_s_access_code = $request->payfort_s_access_code;
            $checkout->payfort_s_SHARequest_phrase = $request->payfort_s_SHARequest_phrase;
            $checkout->payfort_s_SHAResponse_phrase = $request->payfort_s_SHAResponse_phrase;
            $checkout->payfort_s_command = $request->payfort_s_command;

            $checkout->payfort_sandbox = $request->payfort_sandbox ? 1 : 0;
        }

        if ($request->type == 'moyasar') {

            $checkout->moyasar_secret_key = $request->moyasar_secret_key;
            $checkout->moyasar_s_secret_key = $request->moyasar_s_secret_key;
            $checkout->moyasar_public_key = $request->moyasar_public_key;
            $checkout->moyasar_s_public_key = $request->moyasar_s_public_key;
            $checkout->moyasar_sandbox = $request->moyasar_sandbox ? 1 : 0;
        }

        $checkout->save();

        return redirect()->back()->with([
            'success' => 'تم الحفظ'
        ]);
    }
}
