<?php


namespace Modules\BadrRequest\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use App\Http\Controllers\Controller;
use Modules\BadrRequest\Entities\Item;

class ItemDiscountController extends Controller
{

    public function getItems()
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $price_decimal  = get_session_val('decimal_num_price', 'integer');

        $items = Item::where('shop_id', $shop_id)->selection()->get();
        $dis_items = Item::where('shop_id', $shop_id)->where('withDiscount', 1)->get();
        foreach ($dis_items as $item){
            $discount = $item->sale_price * $item->discount_percent / 100;
            $item->new_price = $item->sale_price - $discount;
        }

        return view('badrrequest::item-discount', compact('items', 'dis_items', 'price_decimal'));

    }

    public function postItemDiscount(Request $request)
    {
        $item = Item::find($request->item_id);
        if($item){
            $item->withDiscount = true;
            $item->discount_percent = $request->percent;
            $item->save();
            $discount = $item->sale_price * $item->discount_percent / 100;
            $new_price = $item->sale_price - $discount;

            $forData = '<tr id="row-'.$item->id.'">
                            <td>'.$item->item_name.'</td>
                            <td>'.price_decimal($item->sale_price).'</td>
                            <td>'.$item->discount_percent.'</td>
                            <td>'.price_decimal($new_price).'</td>
                            <td><a data-id="'.$item->id.'" onclick="deleteItem('.$item->id.')" href="javascript:void(0)">حذف</a></td>
                        </tr>';

            return response()->json([
                'row' => $forData
            ]);

        }else{
            return redirect()->back()->with([
                'error' => 'الصنف غير  موجود'
            ]);
        }
    }

    public function deleteItemDiscount(Request $request)
    {
        $item = Item::find($request->id);
        if($item){

            $item->withDiscount = 0;
            $item->discount_percent = 0;
            $item->save();
            return response()->json([
                'name' => $item->item_name
            ]);
        }else{
            return response()->json('error!');
        }

    }

}
