<?php

namespace Modules\BadrRequest\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\BadrRequest\Entities\RequestSettings;
use Modules\BadrRequest\Http\Requests\RequestSettingRequest;

class RequestSettingController extends Controller
{
    public function requestSettings()
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $settings = RequestSettings::where('shop_id', $shop_id)->first();
        if (is_null($settings)) {
            $settings = new RequestSettings();
            $settings->fee = 0;
            $settings->min_purchase = 0;
            $settings->max_charge = 0;
            $settings->max_cards = 5;
            $settings->max_items = 20;
            $settings->epay = 0;
            $settings->bank = 1;
            $settings->delivery = 1;
            $settings->shop_id = $shop_id;
            $settings->save();
        }
        return view('badrrequest::settings', compact('settings'));
    }
    public function updateRequestSettings(RequestSettingRequest $request)
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $settings = RequestSettings::where('shop_id', $shop_id)->first();
        $settings->update([
            'fee' => $request->fee,
            'fee_type'       => $request->fee_type,
            'min_purchase'    => $request->min_purchase,
            'lat'             => $request->lat,
            'lon'            => $request->lon,
            'max_cards'       => $request->max_cards,
            'max_items'       => $request->max_items,
            'epay'            => $request->epay ? 1 : 0,
            'bank'           => $request->bank ? 1 : 0,
            'delivery'        => $request->delivery ? 1 : 0,
            'max_charge'     => $request->max_charge,
            'apply_fee'      => $request->apply_fee,
            'apply_vat'  => $request->apply_vat,
            'banks_info'     => $request->banks_info,
            'bill_with_order' => $request->bill_with_order,
            'from_shop' => $request->from_shop ? 1 : 0,
            'api_key'=>$request->api_key,
            'ignore_quantity'=>$request->ignore_quantity,
            'store_order'=>$request->store_order,
            'dis_req_quantity'=>$request->dis_req_quantity,
        ]);

        return redirect()->back()->with([
            'success' => 'تم الحفظ'
        ]);
    }
}
