<?php

namespace Modules\BadrRequest\Http\Controllers;

use App\Events\EmailBillEvent;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use App\Http\Controllers\Controller;use Modules\BadrRequest\Entities\ShippingDistancesPrice;
use Modules\BadrRequest\Http\Requests\ShippingDistancePricesRequest;

class ShippingPricesController extends Controller
{


    public function ShippingDistancePrices(Request $request)
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $prices = ShippingDistancesPrice::where('shop_id',$shop_id)->OrderBy('km_from' ,'desc')->paginate(10);
        return view('badrrequest::shipping-prices', compact('prices'));
    }
    public function StoreShippingDistancePrices(ShippingDistancePricesRequest $request)
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $disctance = new ShippingDistancesPrice();
            $disctance->shop_id = $shop_id;
            $disctance->km_from = $request->km_from;
            $disctance->km_to = $request->km_to;
            $disctance->price_per_kilo =$request->price;
            $disctance->save();
        if ($disctance) {
            return back()->with(['success' => 'تم الحفظ بنجاح']);
        } else {
            return back()->with(['error' => 'حدث خطأ حاول مره اخرى']);
        }
    }

    public function UpdateShippingDistancePrices(ShippingDistancePricesRequest $request)
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $price = ShippingDistancesPrice::where('id', $request->price_id)->where('shop_id',$shop_id)->first();
        if ($price) {
            $price->shop_id = $shop_id;
            $price->km_from = $request->km_from;
            $price->km_to = $request->km_to;
            $price->price_per_kilo = $request->price;
            $price->save();
            return back()->with(['success' => 'تم الحفظ بنجاح']);
        } else {
            return back()->with(['error' => 'حدث خطأ حاول مره اخرى']);

        }
    }
    public function DeleteShippingDistancePrices(Request $request)
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $price = ShippingDistancesPrice::where('id', $request->price_id)->where('shop_id', $shop_id)->first();
        if ($price) {
            $price->delete();
            return back()->with(['success' => 'تم الحذف ينجاح']);
        } else {
            return back()->with(['error' => 'حدث خطأ أثناء الحذف برجاء المحاوله مره اخرى ']);
        }
    }

}
