<?php

namespace Modules\BadrRequest\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Traits\HelperTrait;
use Illuminate\Support\Facades\File;
use Modules\BadrRequest\Entities\Item;
use Modules\BadrRequest\Entities\Slider;
use Modules\BadrRequest\Http\Requests\SliderRequest;

class SliderController extends Controller
{
    use HelperTrait;
    public function index()
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $items = Item::where('shop_id', $shop_id)->selection()->get();
        $sliders = Slider::where('shop_id', $shop_id)->selection()->get();
        return view('badrrequest::slider.index', compact('sliders', 'items'));
    }
    public function store(SliderRequest $request)
    {
        $slider = new Slider();
        $slider->shop_id = get_session_val('serial_id', 'integer');
        $slider->item_id = $request->item_id;
        $slider->outside_link = $request->has('out') ? 1 : 0;
        $image = $this->saveImage($request->file('image'), 'uploads/' . get_session_val('serial_id', 'integer') . '/Api/slider');
        $slider->image_link = $image;
        $slider->src = $request->source;
        $slider->save();
        return redirect()->back()->with(['success' => 'تم الحفظ بنجاح']);
    }

    public function destroy(Request $request)
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $slider = Slider::find($request->slider_id);
        if ($slider) {
            $pathh = File::delete('../upload/' . $shop_id . '/slider' . $slider->image_link);
            $slider->delete();
            return redirect()->back()->with(['success' => 'تم الحذف بنجاح']);
        } else {
            return redirect()->back()->with(['error' => 'خطأ في الحذف']);
        }
    }
}
