<?php

namespace Modules\BadrRequest\Http\Controllers;

use App\Traits\HelperTrait;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\BadrRequest\Entities\Page;
use Modules\BadrRequest\Http\Requests\StaticPageRequest;

class StaticPageController extends Controller
{
    use HelperTrait;
    public function allStaticPages()
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $pages = Page::where('shop_id', $shop_id)->selection()->get();
        return view('badrrequest::static-pages/index', compact('pages'));
    }
    public function editStaticPage($id)
    {
        $page = Page::find($id);
        return view('badrrequest::static-pages/edit', compact('page'));
    }

    public function updateStaticPage(Request $request, $id)
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $edit = Page::findOrFail($id);
        $edit->update($request->except('submitbtn'));
        if ($request->hasFile('image')) {

            $image = $this->updateImage($request->file('image'), 'uploads/' . $shop_id . '/Api/staticPage',$edit->image);

            $edit->image = $image;
            $edit->save();
        }
        session()->flash('success', 'تم حفظ البيانات بنجاح');
        return back();
    }

    public function createStaticPage()
    {
        return view('badrrequest::static-pages/create');
    }
    public function storeStaticPages(StaticPageRequest $request)
    {
        // Terms and conditions page
        $shop_id  = get_session_val('serial_id', 'integer');
        $page = new Page();
        $page->name = $request->name;
        $page->title = $request->title;
        $page->text = $request->text ?? '';
        $page->shop_id = $shop_id;
        $page->category_id = 0;
        $image = $this->saveImage($request->file('image'), 'uploads/' . $shop_id . '/Api/staticPage');
        $page->image = $image ?? '';
        $page->save();
        session()->flash('success', 'تم حفظ البيانات بنجاح');
        return redirect()->route('editStaticPage', $page->id);
    }
    public function deleteStaticPage(Request $request)
    {
        $p = Page::find($request->page_id);
        $p->delete();
        session()->flash('success', 'تم الحذف البيانات بنجاح');
        return redirect()->back();
    }
}
