@extends('master::layouts.master')
@section('css-scripts')
<style>
   .top_menu {
   margin-bottom: 3px;
   }
   .added{
   background: lime;
   }
   .edited{
   background: yellow;
   }
   .deleted{
   background: salmon;
   }
</style>
@stop
@section('content')
<div class="wrapper card card-light mb-1_5 p-3">
   <div class="container-fluid" style="margin: 10px 10px 0 10px">
      <div class="row">
         <div class="col-md-12 well">
            <h1 class="text-center title-page text-info">{{ trans('badrrequests.bank_account') }}</h1>
            <form style="" class="custome-form">
               <div class="form-group row">
                  <div class="col-md-4 col-12
                     ">
                     <input type="text" class="form-control mt-2 mb-3"  name="bank_key" placeholder="{{ trans('badrrequests.enter_search_word') }}  "
                        value="{{ request('bank_key') }}">
                  </div>
                  <div class="col-md-2 col-5">
                     <button style="" type="submit" class="btn btn-success mt-2 mb-3"><i
                        class="fa fa-search"></i > {{ trans('badrrequests.search') }}</button>
                  </div>
                  <div class="col-md-6 col-7">
                     <a style="" href="javascript:void(0)" data-href="{{ route('requests.shopbanks.store') }}"
                        class="add btn btn-primary mt-2 edit-user mb-3 @if (app()->getLocale() == 'ar') float-left @else float-right @endif"><i
                        class="fa fa-plus"></i>{{ trans('badrrequests.add_bank_account') }}</a>
                  </div>
               </div>
            </form>

            <div class="table-responsive">
                   <table class="table  zui-table zui-table-rounded table-hover table-stripped text-center">
               <thead class="bg-info">
                  <tr>
                     <th>#</th>
                     <th>{{ trans('badrrequests.Account_name') }}</th>
                     <th> {{ trans('badrrequests.Account_number') }}</th>
                     <th> {{ trans('badrrequests.iban_number') }}</th>
                     <th>{{ trans('badrrequests.edit') }}</th>
                     <th>{{ trans('badrrequests.delete') }}</th>
                  </tr>
               </thead>
               <tbody id="banks-data">
                  @forelse($banks as $bank)
                  <tr id="bank-{{ $bank->id }}">
                     <th>{{ $loop->iteration }}</th>
                     <th>{{ $bank->bank_name }} <br> <span
                        class="text-danger h3">{{ $bank->account_name }}</span> </th>
                     <th>{{ $bank->account_number }} </th>
                     <th>{{ $bank->account_iban }} </th>
                     <th>
                        <a href="javascript:void(0)" data-href="{{ route('requests.shopbanks.update') }}"
                           data-id="{{ $bank->id }}" data-account_iban="{{ $bank->account_iban }}"
                           data-account_number="{{ $bank->account_number }}"
                           data-bank_name="{{ $bank->bank_name }}"
                           data-account_name="{{ $bank->account_name }}" data-branch="{{ $bank->branch }}"
                           class="btn btn-primary edit"><i class="fa fa-edit"></i></a>
                     </th>
                     <th>
                        <a href="javascript:void(0)" data-href="{{ route('requests.shopbanks.delete') }}"
                           data-id="{{ $bank->id }}" class="btn btn-danger delete"><i
                           class="fa fa-trash"></i></a>
                     </th>
                  </tr>
                  @empty
                  <tr>
                     <td colspan="4" class="text-center danger">   {{ trans('badrrequests.no_data_found') }}</td>
                  </tr>
                  @endforelse
               </tbody>
            </table>
            </div>
        
         </div>
      </div>
   </div>
</div>
<div id="add-modal" class="modal fade" role="dialog">
   <div class="modal-dialog">
      <div class="modal-content">
         <div class="modal-header">
         <h4 class="modal-title">   {{ trans('badrrequests.add_bank_account') }}</h4>

            <button type="button" class="close" data-dismiss="modal">&times;</button>
         </div>
         <div class="modal-body">
            <input id="n-url" type="hidden">
            <div class="row">
               <div class="col-md-12">
                   <label class="col-xs-3">  {{ trans('badrrequests.bank_name') }}</label>
               <input type="text" id="n-bank_name" class="col-xs-7 form-control">
               </div>
              
            </div>
            <div class="row">
            <div class="col-md-12">

               <label class="col-xs-3"> {{ trans('badrrequests.Account_name') }}</label>
               <input type="text" id="n-account_name" class="col-xs-7 form-control">
</div>
            </div>
            <div class="row">
            <div class="col-md-12">

               <label class="col-xs-3"> {{ trans('badrrequests.Account_number') }}</label>
               <input type="text" id="n-account_number" class="col-xs-7 form-control">
</div>
            </div>
            <div class="row">
            <div class="col-md-12">

               <label class="col-xs-3"> {{ trans('badrrequests.iban_number') }}</label>
               <input type="text" id="n-account_iban" class="col-xs-7 form-control">
            </div>
</div>
            <div class="row hidden">
            <div class="col-md-12">

               <label class="col-xs-3">{{ trans('badrrequests.branch') }}</label>
               <input type="text" id="n-branch" value="---" class="col-xs-7 form-control">
</div>
            </div>
         </div>
         <div class="modal-footer">
            <a href="javascript:void(0)" id="do-add" class="btn btn-success">{{ trans('badrrequests.save') }}</a>
         </div>
      </div>
   </div>
</div>
<div id="edit-modal" class="modal fade" role="dialog">
   <div class="modal-dialog">
      <div class="modal-content">
         <div class="modal-header">
         <h4 class="modal-title">{{ trans('badrrequests.edit') }}</h4>

            <button type="button" class="close" data-dismiss="modal">&times;</button>
         </div>
         <div class="modal-body">
            <input id="e-url" type="hidden">
            <input id="e-id" type="hidden">
            <div class="row">
            <div class="col-md-12">

               <label class="col-xs-3"> {{ trans('badrrequests.bank_name') }}</label>
               <input type="text" id="e-bank_name" class="col-xs-7 form-control">
</div>
            </div>
            <div class="row">
            <div class="col-md-12">

               <label class="col-xs-3"> {{ trans('badrrequests.Account_name') }}</label>
               <input type="text" id="e-account_name" class="col-xs-7 form-control">
</div>
            </div>
            <div class="row">
            <div class="col-md-12">

               <label class="col-xs-3"> {{ trans('badrrequests.Account_number') }}</label>
               <input type="text" id="e-account_number" class="col-xs-7 form-control">
</div>
            </div>
            <div class="row">
            <div class="col-md-12">

               <label class="col-xs-3">رقم الايبان{{ trans('badrrequests.iban_number') }}</label>
               <input type="text" id="e-account_iban" class="col-xs-7 form-control">
</div>
            </div>
            <div class="row hidden">
            <div class="col-md-12">

               <label class="col-xs-3">{{ trans('badrrequests.branch') }}</label>
               <input type="text" value="---" id="e-branch" class="col-xs-7 form-control">
</div>
            </div>
         </div>
         <div class="modal-footer">
            <a href="javascript:void(0)" id="do-edit" class="btn btn-success">{{ trans('badrrequests.save') }}</a>
         </div>
      </div>
   </div>
</div>
@endsection
@section('js-scripts')
<script>
   $(document).on('click', '.add', function() {
       var url = $(this).data('href')
       $(document).find('#n-url').val(url);
       $(document).find('#add-modal').modal('toggle');
       return;
   });
   
   $(document).on('click', '#do-add', function() {
       let
           bank_name = $(document).find('#n-bank_name').val(),
           account_iban = $(document).find('#n-account_iban').val(),
           account_name = $(document).find('#n-account_name').val(),
           account_number = $(document).find('#n-account_number').val(),
           branch = $(document).find('#n-branch').val(),
   
           url = $(document).find('#n-url').val(),
           _token = '{{ csrf_token() }}',
           data = {
               _token,
               bank_name,
               account_iban,
               account_name,
               account_number,
               branch
           };
   
       $.post(url, data, function(response) {
           $(document).find('#add-modal').modal('toggle');
           if (response.status == '1') {
               var id = response.id;
               $(document).find('#banks-data').prepend(response.html);
               $(document).find('#bank-' + id).addClass('added');
               setTimeout(() => {
                   $(document).find('#bank-' + id).removeClass('added');
               }, 1500);
           } else {
               alert('ERROR!!!');
           }
       });
       return;
   });
   
   $(document).on('click', '.edit', function() {
       let url = $(this).data('href'),
           id = $(this).data('id'),
           bank_name = $(this).data('bank_name');
       account_iban = $(this).data('account_iban');
       account_name = $(this).data('account_name');
       account_number = $(this).data('account_number');
       branch = $(this).data('branch');
   
       $(document).find('#e-id').val(id);
       $(document).find('#e-bank_name').val(bank_name);
       $(document).find('#e-account_iban').val(account_iban);
       $(document).find('#e-account_name').val(account_name);
       $(document).find('#e-account_number').val(account_number);
       $(document).find('#e-branch').val(branch);
   
       $(document).find('#e-url').val(url);
   
       $(document).find('#edit-modal').modal('toggle');
       return;
   });
   
   $(document).on('click', '#do-edit', function() {
       let
           id = $(document).find('#e-id').val(),
   
           bank_name = $(document).find('#e-bank_name').val(),
           account_iban = $(document).find('#e-account_iban').val(),
           account_name = $(document).find('#e-account_name').val(),
           account_number = $(document).find('#e-account_number').val(),
           branch = $(document).find('#e-branch').val(),
   
   
           url = $(document).find('#e-url').val(),
           _token = '{{ csrf_token() }}',
   
           data = {
               _token,
               id,
               bank_name,
               account_iban,
               account_name,
               account_number,
               branch
           };
   
       $.post(url, data, function(response) {
           $(document).find('#edit-modal').modal('toggle');
           if (response.status == '1') {
               $(document).find('#bank-' + id).replaceWith(response.html);
               setTimeout(() => {
                   $(document).find('#bank-' + id).removeClass('edited');
               }, 1500);
           } else {
               alert('ERROR!!!');
           }
       });
       return;
   });
   
   $(document).on('click', '.delete', function() {
       if (confirm('هل انت متأكد من الحذف؟')) {
           let
               url = $(this).data('href'),
               id = $(this).data('id'),
               _token = '{{ csrf_token() }}',
               data = {
                   _token,
                   id
               };
           $.post(url, data, function(response) {
               if (response.status == '1') {
                   $(document).find('#bank-' + id).addClass('deleted');
                   setTimeout(() => {
                       $(document).find('#bank-' + id).remove();
                   }, 1000);
               } else {
                   alert(response.msg);
               }
           })
       }
   })
</script>
@endsection