@extends('master::layouts.master')

@section('content')

    <div class="wrapper card card-light mb-1_5 p-3">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div id="status"></div>
                </div>
            </div>
            <div class="row">

                <div class="col-md-10 col-md-offset-1" style="margin-top: 50px;">

                    <form action="" method="post" id="save-updates-form">
                        {!! csrf_field() !!}
<div class="table-responsive">
       <table class="table table-hover">

                            <thead>
                                <th>{{ trans('badrrequests.item') }}</th>
                                <th>{{ trans('badrrequests.price') }}</th>
                                <th>  (%){{ trans('badrrequests.discount_percents') }}</th>
                                <th>  {{ trans('badrrequests.price_after_discount') }}</th>
                                <th></th>

                            </thead>

                            <tbody>

                                <tr>
                                    <td>

                                        <select data-live-search="true" name="item_id" id="item-select"
                                            class="form-control selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}">

                                            <option readonly selected value="0"></option>

                                            @foreach ($items as $item)
                                                <option value="{{ $item->id }}"
                                                    data-sale_price="{{ $item->sale_price }}">{{ $item->item_name }}
                                                </option>
                                            @endforeach
                                        </select>

                                    </td>
                                    <td>
                                        <div id="price_">0</div>
                                    </td>
                                    <td><input value="0" class="form-control percent" data-id="{{ $item->id }}"
                                            name="percent" id="percent-{{ $item->id }}"></td>
                                    <td><input readonly id="new-price-{{ $item->id }}" class="form-control new_"></td>
                                    <td>
                                        <a href="javascript:void(0)" onclick="saveChanges()"
                                            class="perish-btn btn btn-success" id="filter-btn2"> {{ trans('badrrequests.save') }}</a>
                                    </td>
                                </tr>

                            </tbody>

                        </table>
</div>
                     


                    </form>
                    <div class="clearfix"></div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="clearfix"></div>

                <h1 class="title-page inline-block text-info">
                      {{ trans('badrrequests.discounts') }}
                </h1>

                <div class="col-md-10 col-md-offset-1">
<div class="table-responsive">
      <table class="table   zui-table zui-table-rounded table-bordered table-hover">

                        <input type="hidden" name="_token" id="_token" value="{{ csrf_token() }}">
                        <thead style="background-color: #007bff;">

                            <th>{{ trans('badrrequests.item') }}</th>
                            <th> {{ trans('badrrequests.price_before_discount') }}</th>
                            <th> {{ trans('badrrequests.discount_percents') }}</th>
                            <th>  {{ trans('badrrequests.price_after_discount') }}</th>
                            <th> {{ trans('badrrequests.delete') }}</th>

                        </thead>

                        <tbody id="items-rows" style="text-align: center;">

                            @foreach ($dis_items as $dis_item)
                                <tr id="row-{{ $dis_item->id }}">
                                    <td>{{ $dis_item->item_name }}</td>
                                    <td>{{ round_money($dis_item->sale_price) }}</td>
                                    <td>{{ $dis_item->discount_percent }}</td>
                                    <td>{{ $dis_item->new_price }}</td>
                                    <td><a data-id="{{ $dis_item->id }}" onclick="deleteItem({{ $dis_item->id }})"
                                            href="javascript:void(0)" class="text-danger">{{ trans('badrrequests.delete') }}</a></td>
                                </tr>
                            @endforeach

                        </tbody>

                    </table>

</div>
                  
                </div>
            </div>
        </div>
    </div>

@stop

@section('css-scripts')
    <link href="{{ asset('public/tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
@stop

@section('js-scripts')
    <script src="{{ asset('public/tickets/js/bootstrap-select.min.js') }}"></script>

    <script>
        var decimal_value = '{{ $price_decimal }}';
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                type: "GET",
                data: null,
                contentType: false,
                cache: false,
                processData: false,
                timeout: 3000,
            }
        });

        $(document).on('keyup', '.percent', function() {
            var item = $('#item-select').val();
            if (item == '0') {
                $('#status').empty().append(
                    ' <ul class="h4 alert alert-danger text-center list-unstyled">يرجي اختيار الصنف </ul>');
                $(this).val(0);
            } else {
                var sale_price = $('#item-select').find("option:selected").data('sale_price');

                var item_id = $(this).data('id');
                var percent = $(this).val();

                sale_price = parseFloat(sale_price);
                percent = Number(percent);

                var discount = sale_price * percent / 100;

                discount = parseFloat(discount);

                var new_price = sale_price - discount;

                $('#new-price-' + item_id).val(new_price.toFixed(decimal_value));
            }
        });

        $(document).on('change', '#item-select', function() {
            var sale_price = $('#item-select').find("option:selected").data('sale_price');

            sale_price = parseFloat(sale_price);
            $('#price_').empty().append(sale_price.toFixed(decimal_value));
        });

        function deleteItem(id) {

            if (confirm('هل انت متأكد من الحذف؟')) {


                var item_id = id;
                var data = new FormData();
                data.append('id', item_id);
                data.append('_token', $('#_token').val());

                $.ajax({
                    url: '{{ route('requests.delete-item') }}',
                    type: 'post',
                    data: data,
                    contentType: false,
                    cache: false,
                    processData: false,
                    timeout: 3000,
                    beforeSend: function() {

                    },
                    success: function(data) {
                        $(document).scrollTop(0);
                        $('#row-' + item_id).remove();
                        $('#status').empty().append(
                            ' <ul class="h4 alert alert-success text-center list-unstyled">تم ازالة ' + data
                            .name + ' من القائمة </ul>');
                    },
                    error: function(xhr) {
                        $errors = xhr.responseJSON.errors;
                        var error = '<ul class="alert alert-danger text-center list-unstyled">';
                        $.each($errors, function(key, val) {
                            error += "<li>" + val + "</li>";
                        });
                        error += "</ul>";
                        $('#status').empty().append(error);
                        //                    $('#items-rows').prepend('<p class="text-center text-danger">لقد حدث خطأ ما.. أعد تحميل الصفحة</p>');
                        //                    $('#loader').remove();
                    },
                    complete: function() {

                    }
                });

            } else {
                return false;
            }
        }

        function saveChanges() {


            if (confirm('هل انت متأكد ؟')) {


                var item = $('#item-select').val();

                var data = new FormData($("#save-updates-form")[0]);

                if (item == '0') {
                    $('#status').empty().append(
                        ' <ul class="h4 alert alert-danger text-center list-unstyled">يرجي اختيار الصنف </ul>');
                } else {

                    var percent = $("input[name='percent']").val();

                    if (percent == '0' || percent == null || isNaN(percent)) {
                        $("input[name='percent']").val(0);
                        $('#status').empty().append(
                            ' <ul class="h4 alert alert-danger text-center list-unstyled">يرجي  التأكد من نسبة الخصم </ul>'
                            );
                    } else {
                        $.ajax({
                            url: '{{ route('requests.post-item-discount') }}',
                            type: 'post',
                            data: data,
                            contentType: false,
                            cache: false,
                            processData: false,
                            timeout: 3000,
                            beforeSend: function() {
                                $('#filter-btn2').replaceWith(
                                    '<p id="loading" class="text-center h3">{{ trans('extends.processing') }}</p>'
                                    );
                            },
                            success: function(data) {

                                $('#loading').replaceWith(
                                    '<a href="javascript:void(0)" onclick="saveChanges()"' +
                                    'class="perish-btn btn btn-success"' +
                                    'id="filter-btn2">تأكيد الخصم</a>');
                                $("input[name='percent']").val(0);

                                $('#items-rows').prepend(data.row);
                                // $("#item-select").val($("#item-select option:first").val());

                                $('#status').empty().append(
                                    ' <ul class="h4 alert alert-success text-center list-unstyled">{{ trans('extends.save') }}</ul>'
                                    ).delay(5000).fadeOut('slow');


                                document.getElementById("item-select").selectedIndex = "0";
                                $('#item-select').selectpicker('refresh');
                                $('#price_').html(0);
                                $('.new_').val('');

                                //   $("#item-select").refresh();
                                // $("#item-select option[value=0]").prop("selected", true);
                                // $("#item-select").refresh();

                                // $("#item-select option:eq(0)").prop("selected", true);
                                // $("#item-select").selectmenu("refresh");

                            },
                            error: function(xhr) {
                                $errors = xhr.responseJSON.errors;
                                var error = '<ul class="alert alert-danger text-center list-unstyled">';
                                $.each($errors, function(key, val) {
                                    error += "<li>" + val + "</li>";
                                });
                                error += "</ul>";
                                $('#status').empty().append(error);
                                //                    $('#items-rows').prepend('<p class="text-center text-danger">لقد حدث خطأ ما.. أعد تحميل الصفحة</p>');
                                //                    $('#loader').remove();
                            },
                            complete: function() {

                            }
                        });
                    }
                }
            } else {
                return false;
            }
        }
        $('.selectpicker').selectpicker({
            style: 'btn-default',
            size: 8
        });
    </script>

@stop
