@extends('master::layouts.master')
@section('content')
    <div class="container">
        <div class="row">
            <div class="col-md-12 " style="margin-top: 30px;margin-bottom: 20px;">
                <h1 class="title-page "> {{ trans('badrrequests.request_details') }} {{ $req->order_no }} </h1>
            </div>
            <div style="margin-right: 30px;width: 100%">
                <table class="table table-striped table-bordered table-hover table-heading summery_table">
                    <thead>
                        <tr>
                            <th> {{ trans('badrrequests.payment_method') }}</th>
                            <td>
                                <span class="text-navy"> {{ $req->pay_type }} </span>
                            </td>


                            <th> {{ trans('badrrequests.order_number') }}</th>
                            <td>
                                <span class="text-navy"> {{ $req->order_no }} </span>
                            </td>
                        </tr>
                        <tr>
                            <th> {{ trans('badrrequests.client_name') }} </th>
                            <td>
                                <span class="text-navy">
                                    @if ($req->client)
                                        {{ $req->client?->client_name }}
                                    @else
                                        no
                                        client
                                    @endif
                                </span>
                            </td>

                            <th> {{ trans('badrrequests.bill_number') }}</th>
                            <td>
                                <span class="text-navy">{{ $req->no_bill }} </span>
                            </td>
                        </tr>
                        <tr>
                            <th> {{ trans('badrrequests.delivary_date') }} </th>
                            <td>
                                <span class="text-navy">
                                    {{ $req->delivery_date }}
                                </span>
                            </td>

                            <th> {{ trans('badrrequests.shop_email') }}</th>
                            <td>
                                {{ $req->email ?? $req->client->email }} </span>
                            </td>
                        </tr>
                        <tr>
                            <th> {{ trans('badrrequests.shop_phone') }} </th>
                            <td>
                                <span class="text-navy">
                                    {{ $req->mobile ?? $req->client->tele }}
                                </span>
                            </td>

                            <th> {{ trans('badrrequests.city') }} </th>
                            <td>
                                {{ $req->getCity() }} </span>
                            </td>
                        </tr>
                        <tr>
                            <th> {{ trans('badrrequests.address') }} </th>
                            <td>
                                <span class="text-navy">
                                    {{ $req->address }}
                                </span>
                            </td>

                            <th> {{ trans('badrrequests.request_from') }} </th>
                            <td>
                                {{ $req->uppType() }} </span>
                            </td>
                        </tr>
                        <tr>
                            <th> <a href="{{ asset('requests/request-location/' . $req->id) }}"
                                    class="btn btn-xs btn-success"><i class="fa fa-map-marker"></i></a>
                                {{ trans('badrrequests.location_on_map') }} </th>
                            <td>
                                <span class="text-navy">
                                    <?php
                                    $iphone = strpos($_SERVER['HTTP_USER_AGENT'], 'iPhone');
                                    $android = strpos($_SERVER['HTTP_USER_AGENT'], 'Android');
                                    $palmpre = strpos($_SERVER['HTTP_USER_AGENT'], 'webOS');
                                    $berry = strpos($_SERVER['HTTP_USER_AGENT'], 'BlackBerry');
                                    $ipod = strpos($_SERVER['HTTP_USER_AGENT'], 'iPod');
                                    $url_orginal = 'https://www.google.com/maps?q=' . $req->lat . ',' . $req->lon . '&z=12&hl=en';

                                    $url = rawurlencode($url_orginal);

                                    if ($iphone || $android || $palmpre || $ipod || $berry == true) {
                                        $whatsapp_url_share = 'https://api.whatsapp.com/send?text=' . $url;
                                    } else {
                                        $whatsapp_url_share = 'https://web.whatsapp.com/send?text=' . $url;
                                    }
                                    ?>

                                    <a target="_blank" class="btn btn-success pull-left" id="ws_share"
                                        href="{{ $whatsapp_url_share }}">
                                        {{ trans('badrrequests.share_link') }} </a>

                                </span>
                            </td>


                        </tr>
                    </thead>
                </table>
            </div>
            {{-- <div class="col-md-12"> --}}
            {{-- <div style="display: flex;margin-bottom: 10px;">

                    <div class="col-md-6">
                        {{ trans('badrrequests.payment_method') }}: <span class="text-navy"> {{ $req->pay_type }} </span>
                    </div>

                    <div class="col-md-6">
                        {{ trans('badrrequests.order_number') }}: <span class="text-navy"> {{ $req->order_no }} </span>
                    </div>

                </div> --}}
            {{-- <div style="display: flex;margin-bottom: 10px;">
                    {{-- <div class="col-md-6">
                        {{ trans('badrrequests.client_name') }} : <span class="text-navy">
                            @if ($req->client)
                                {{ $req->client_name ?? $req->client->client_name }}
                            @else
                                no
                                client
                            @endif
                        </span>
                    </div> --}}
            {{-- <div class="col-md-6">
                        {{ trans('badrrequests.bill_number') }} :<span class="text-navy">
                            {{ $req->no_bill }} </span>
                    </div> --}}
            {{-- </div>  --}}
            {{-- <div class="col-md-10 col-md-offset-1" style="margin-bottom: 10px;">
                    <div style="display: flex;margin-bottom: 10px;">
                        <a href="{{ asset('requests/request-location/' . $req->id) }}" class="btn btn-xs btn-success"><i
                                class="fa fa-map-marker"></i></a>
                        <h2 style="margin-right: 20px;margin-left: 20px;" class="title-page">
                            {{ trans('badrrequests.location_on_map') }} </h2>
                    </div>

                    <?php
                    $iphone = strpos($_SERVER['HTTP_USER_AGENT'], 'iPhone');
                    $android = strpos($_SERVER['HTTP_USER_AGENT'], 'Android');
                    $palmpre = strpos($_SERVER['HTTP_USER_AGENT'], 'webOS');
                    $berry = strpos($_SERVER['HTTP_USER_AGENT'], 'BlackBerry');
                    $ipod = strpos($_SERVER['HTTP_USER_AGENT'], 'iPod');
                    $url_orginal = 'https://www.google.com/maps?q=' . $req->lat . ',' . $req->lon . '&z=12&hl=en';

                    $url = rawurlencode($url_orginal);

                    if ($iphone || $android || $palmpre || $ipod || $berry == true) {
                        $whatsapp_url_share = 'https://api.whatsapp.com/send?text=' . $url;
                    } else {
                        $whatsapp_url_share = 'https://web.whatsapp.com/send?text=' . $url;
                    }
                    ?>

                    <a style="margin-right: 50px;" target="_blank" class="btn btn-success pull-left" id="ws_share"
                        href="{{ $whatsapp_url_share }}"> {{ trans('badrrequests.share_link') }} </a>

                </div> --}}

            {{-- <div style="display: flex;margin-bottom: 10px;">

                    <div class="col-md-6">
                        {{ trans('badrrequests.delivary_date') }} : <span class="text-navy"> {{ $req->delivery_date }}
                        </span>
                    </div>
                    <div class="col-md-6">
                        {{ trans('badrrequests.shop_email') }} : <span class="text-navy">
                            {{ $req->email ?? $req->client->email }} </span>
                    </div>
                </div> --}}

            {{-- <div style="display: flex;margin-bottom: 10px;">

                    <div class="col-md-6">
                        {{ trans('badrrequests.shop_phone') }} : <span class="text-navy">
                            {{ $req->mobile ?? $req->client->tele }} </span>
                    </div>

                    <div class="col-md-6">
                        {{ trans('badrrequests.city') }} : <span class="text-navy"> {{ $req->getCity() }} </span>
                    </div>
                </div> --}}
            {{-- <div style="display: flex;margin-bottom: 10px;">

                    <div class="col-md-6">
                        {{ trans('badrrequests.address') }} : <span class="text-navy"> {{ $req->address }} </span>
                    </div>
                    <div class="col-md-6">
                        {{ trans('badrrequests.request_from') }} :<span class="text-navy"> {{ $req->uppType() }} </span>
                    </div>
                </div> --}}

            {{-- </div> --}}
        </div>
        <br>

        <form action="{{ asset('requests/save-request-status/' . $req_id) }}" method="post">
            {{ csrf_field() }}
            <div class="row">
                <div class="col-md-6" style="display: flex;">
                    <div class="col-md-4">
                        {{ trans('badrrequests.request_status') }}:
                    </div>
                    <div class="col-md-8">
                        <select class="form-control" name="status" id="status">

                            <option @if ($req->status == 0) selected @endif value="0">
                                {{ trans('badrrequests.cancel') }}</option>
                            <option @if ($req->status == 1) selected @endif value="1">
                                {{ trans('badrrequests.processing') }}</option>

                            <option @if ($req->status == 3) selected @endif value="3">
                                {{ trans('badrrequests.delivering') }}</option>
                            <option @if ($req->status == 2) selected @endif value="2">
                                {{ trans('badrrequests.done') }}</option>

                            <option @if ($req->status == 4) selected @endif value="4">
                                {{ trans('badrrequests.pending_when_pay') }}
                            </option>

                            <option @if ($req->status == 5) selected @endif value="5">
                                {{ trans('badrrequests.pending_when_complet') }}
                            </option>
                        </select>
                    </div>
                </div>
            </div>
            <br>
            <div class="row" id="deliveryDiv" style=" display: none;">
                <div class="col-md-6" style="display: flex;">
                    <div class="col-md-4">
                        {{ trans('badrrequests.delivary_date') }}:
                    </div>
                    <div class="col-md-8">
                        <input type="date" class="form-control date" @if (!is_null($req->no_bill)) disabled @endif
                            name="delivery_date" value="{{ $req->delivery_date ?? date('Y-m-d') }}">
                    </div>
                </div>
            </div>

            <button style="margin-right: 100%" type="submit" @if ($req->status == 2) disabled @endif
                class="btn btn-success pull-left">
                {{ trans('badrrequests.save') }}
            </button>

        </form>
    </div>
    </div>
    <hr>
    @if (is_null($req->no_bill))
        <form action="{{ route('create.invoice') }}" method="post" id="bill_form">
            {{ csrf_field() }}
    @endif
    <div class="row well">
        <div class="col-md-2" style="display: contents;">
            <div class="col-md-2" style="margin-left: -4em;">
                <strong style="margin-right: 46px;">
                    {{ trans('badrrequests.pay_method') }} :
                </strong>
            </div>
            <div class="col-md-2">
                <input type="radio" class="cash" @if (!is_null($req->no_bill)) disabled @endif name="cash"
                    checked id="mony_on" value="1" />
                {{ trans('badrrequests.cash') }}
                <input type="radio" @if (!is_null($req->no_bill)) disabled @endif name="cash" id="mony_off"
                    value="0" />
                {{ trans('badrrequests.ondebit') }}
            </div>
        </div>
        <div class="col-md-2" style="margin-left: -6em;margin-bottom: 31px">
            <span>
                <strong>{{ trans('badrrequests.stores') }}</strong>
            </span>
        </div>
        <div class="col-md-2">
            <select required class="form-control" name="store_id" id="store_id"
                @if (!is_null($req->no_bill)) disabled @endif>
                <option value="0">-----</option>
                @foreach ($stores as $store)
                    <option value="{{ $store->id }}">
                        {{ $store->store_name }}</option>
                @endforeach
            </select>
        </div>


        <div class="col-md-2" style="margin-left: -6em;">
            <span>
                <strong>
                    {{ trans('badrrequests.pay_safe') }}
                </strong>
            </span>
        </div>
        <div class="col-md-2">
            <select class="form-control" name="sale_point" id="sale_point"
                @if (!is_null($req->no_bill)) disabled @endif>
                <option value="0">-----</option>
                @foreach ($sale_points as $sale_point)
                    <option value="{{ $sale_point->id }}">
                        {{ $sale_point->point_name }}</option>
                @endforeach
            </select>
        </div>
        </form>

        <hr>

        <div class="col-md-12">
            <div class="table-responsive">
                <table class="table table-striped table-bordered table-hover table-heading summery_table">
                    <thead style="background: rgba(255,222,179,0.91);">

                        <th> {{ trans('badrrequests.items') }}</th>
                        <th> الوحدة </th>
                        <th> {{ trans('badrrequests.required_quantity') }}</th>
                        <th> {{ trans('badrrequests.outgoing') }}</th>
                        <th> {{ trans('badrrequests.price') }}</th>
                        <th> {{ trans('badrrequests.discount') }}</th>
                        <th> {{ trans('badrrequests.vats') }}</th>
                        <th> {{ trans('badrrequests.total') }}</th>
                    </thead>
                    <tbody>
                        @foreach ($rows as $row)
                            <tr>
                                <td>{{ $row->item->item_name }}</td>
                                <td>{{ $row->unit?->name }}</td>
                                <td class="quantity">
                                    {{ number_format($row->quantity, $shop->decimal_num_quant, '.', '') }}
                                    {{ $row->unit_name }} </td>
                                <td><input type="text" class="form-control outgoing"
                                        name="outgoing[{{ $row->item_id }}]"
                                        data-quantity="{{ $row->quantity }}"
                                        data-unit="{{ $row->the_unit }}"
                                        data-unit_div="{{ $row->unit_div }}"
                                        data-min_qty="{{ $row->min_qty }}" data-item_id="{{ $row->item_id }}"
                                        data-vat_state="{{ $row->vat_state }}"
                                        @foreach ($row->vats as $vat)
                                           data-vat_id="{{ $vat->vat_id }}" @endforeach
                                        data-price="{{ $row->price }}" data-o_price="{{ $row->o_price }}"
                                        data-add_value="{{ $row->discount_value * $row->quantity }}"
                                        data-discount="{{ $row->discount_value * $row->quantity }}"
                                        data-vat="{{ $row->vat_value * $row->quantity }}"
                                        data-vats="{{ $row->vat_value * $row->quantity }}"
                                        @if ($req->no_bill) disabled @endif
                                        value="{{ quant_decimal($row->quantity) }}">
                                    <small id="message-{{ $row->item_id }}" class="text-danger"></small>
                                </td>
                                <td class="price-{{ $row->item_id }}">{{ round_money($row->price, $shop_id) }}</td>
                                <td class="discount-{{ $row->item_id }}">
                                    {{ round_money($row->discounts_sum_discount_value * $row->quantity, $shop_id) }}</td>
                                <td class="vat-{{ $row->item_id }}">
                                    {{ round_money($row->vats_sum_vat_weight, $shop_id) }}</td>
                                <td class="total-{{ $row->item_id }}">
                                    {{ round_money($row->price * $row->quantity, $shop_id) }}</td>
                            </tr>
                        @endforeach
                        <tr>
                            <td colspan="7"><strong>{{ trans('badrrequests.totalall') }}</strong></td>
                            <td class="">{{ round_money((float) $req->total) }}</td>
                        </tr>
                        <tr>

                            <td colspan="7"><strong> {{ trans('badrrequests.total_vat') }}</strong></td>
                            <td>{{ round_money((float) $totalvats) }}</td>
                        </tr>
                        <tr>
                            <td colspan="7"><strong> {{ trans('badrrequests.total_discount') }}</strong></td>

                            <td class="">{{ round_money((float) $totalDiscounts) }}</td>
                        </tr>
                        <tr>
                            <td colspan="7"><strong> {{ trans('badrrequests.fee') }}</strong></td>
                            <td id="" data-fee="{{ round_money((float) $req->fee) }}"
                                data-max_charge="{{ $req->fee }}">{{ $req->fee }}</td>
                        </tr>
                        <input name="fee_val" id="fee_val" type="hidden">

                        <tr>
                            <td colspan="7"><strong>{{ trans('badrrequests.net') }}</strong></td>
                            <td colspan="7" class="">{{ round_money((float) $req->net) }}</td>
                        </tr>

                    </tbody>
                </table>
            </div>
        </div>
        <input type="hidden" name="totalall" id="totalall" value="{{ $req->total }}">
        <input type="hidden" name="discount" id="discountall">
        <input type="hidden" name="vat" id="vatall">
        <input type="hidden" name="net" id="netall">
        <input type="hidden" name="final" id="final">
        <input type="hidden" name="fee" id="feeall">
        <input type="hidden" name="req_id" id="req_id" value="{{ $req->id }}">

        @if (is_null($req->no_bill) && in_array($req->status, [3, 2]))
            <button style="margin-bottom: 100px;margin-right: 92%;" type="submit" id="c_bill"
                class="btn btn-success pull-left">{{ trans('badrrequests.create_bill') }}</button>
    </div>
    @endif
    </div>
    <div id="session"></div>
@stop



@section('css-scripts')

    <link href="{{ asset('public/css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('public/css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('public/tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

@stop

@section('js-scripts')
    <script src="{{ asset('public/js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('public/js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('public/js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('public/js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('public/js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('public/js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('public/js/redirect.js') }}"></script>
    <script src="{{ asset('public/tickets/js/bootstrap-select.min.js') }}"></script>

    <script>
        $(".outgoing").change(function(e) {
            let req_id = $('#req_id').val();
            var quant = $(this).data('quantity');
            var item_id = $(this).data('item_id');
            let outgoing = $('.outgoing').val();
            $.ajax({
                type: 'GET',
                url: "{{ route('request.update') }}",
                data: {
                    req_id: req_id,
                    item_id: item_id,
                    outgoing: outgoing,
                    quant:quant
                },
                success: function(res) {
                    if (res.status == true) {
                        alert(res.message);
                    } else {
                        alert(res.message);
                    }


                }
            });
        });
    </script>

    <script>
        var status = $("#status option:selected").val();
        if (status == "3") {
            $("#deliveryDiv").show();
        } else {
            $("#deliveryDiv").hide();
        }

        $("#status").change(function() {
            var status = $("#status option:selected").val();
            if (status == "3") {
                $("#deliveryDiv").show();
            } else {
                $("#deliveryDiv").hide();
            }
        });
    </script>




@stop
