@extends('master::layouts.master')
@section('content')
<div class=" card card-light mb-1_5 p-3">
   <div class="container-fluid">
      <div class="row">
         <div class="col-md-12">
            <h2 class="title-page text-info"> {{ trans('badrrequests.requests_from_the_site') }} </h2>
            {{-- start filter --}}
            <div class="clearfix"></div>
            <div class="row">
               {!! Form::open([
               'method' => 'GET',
               'class' => 'custome-form col-md-12',
               ]) !!}
               <div class="form-group row">
                  <div class=" col-md-3" style="padding-left: 20px;">
                     <label for="">&nbsp;</label>
                     {!! Form::text('client_name', \Request::input('client_name'), [
                     'class' => 'form-control',
                     'placeholder' => trans('badrrequests.client_name'),
                     ]) !!}
                  </div>
                  <div class=" col-md-3" style="padding-left: 20px;">
                     <label for="">&nbsp;</label>
                     {!! Form::text('number', \Request::input('number'), [
                     'class' => 'form-control',
                     'placeholder' => trans('badrrequests.order_number'),
                     ]) !!}
                  </div>
                  <div class=" col-md-3" style="padding-left: 20px;">
                     <label for="">&nbsp;</label>
                     {!! Form::text('date', \Request::input('date'), [
                     'class' => 'form-control date',
                     'placeholder' => trans('badrrequests.the_date'),
                     ]) !!}
                  </div>
                  <div class=" col-md-2" style="padding-left: 20px;">
                     <label for="">&nbsp;</label>
                     {!! Form::select(
                     'request_status',
                     [
                     '0' => trans('badrrequests.cancel'),
                     '1' => trans('badrrequests.processing'),
                     '3' => trans('badrrequests.delivering'),
                     '4' =>  trans('badrrequests.pending_when_pay')  ,
                     '5' => trans('badrrequests.pending_when_complet'),
                     ],
                     \Request::input('request_status'),
                     [
                     'class' => 'form-control',
                     'placeholder' => trans('badrrequests.request_status'),
                     ],
                     ) !!}
                  </div>
                  <div class=" col-md-1" style="padding-left: 20px;">
                     <label for="">&nbsp;</label>
                     <button class="btn btn-flat btn-block btn-success">{{ trans('badrrequests.search') }}</button>
                  </div>
               </div>
               {!! Form::close() !!}
            </div>
            {{-- end filter --}}
            <div class="row mt-2">
                   <div class="table-responsive col-12">
               <!-- <div style="margin-right: -14px;width: 122%"> -->
               <table class=" zui-table zui-table-rounded  table table-striped table-bordered table-hover table-heading summery_table">
                  <thead>
                     <tr>
                        <th>#</th>
                        <th> {{ trans('badrrequests.the_date') }}</th>
                        <th> {{ trans('badrrequests.order_number') }}</th>
                        <th> {{ trans('badrrequests.bill_number') }}</th>
                        <th> {{ trans('badrrequests.client_name') }}</th>
                        <!--<th> {{ trans('badrrequests.client_address') }}  </th>-->
                        <th> {{ trans('badrrequests.total') }}  </th>
                        <th> {{ trans('badrrequests.payment_method') }}</th>
                        <th> {{ trans('badrrequests.request_status') }}</th>
                        <th> {{ trans('badrrequests.delivary_date') }}  </th>
                        <th> {{ trans('badrrequests.show') }}</th>
                        <th> {{ trans('badrrequests.location') }}</th>
                     </tr>
                  </thead>
                  <tbody>
                     @php $count = 1; @endphp
                     @foreach ($rows as $row)
                     {{-- 
                     <a href="{{url($shop->serial_id.'/request-details/'.$request->id)}}">
                        --}}
                        <tr>
                           <td>{{ $count }}</td>
                           <td>{{ $row->created_at }}</td>
                           <td>{{ $row->order_no }}</td>
                           <td>{{ $row->no_bill }}</td>
                           <td>{{ $req->client_name ?? $row->client?->client_name }}</td>
                           <!--<td>{{ $row->client?->address }}</td>-->
                           <td>{{ $row->net }} </td>
                           <td>{{ $row->getPaymentOption() }}</td>
                           </td>
                           <td>{{ $row->status_display }}</td>
                           <td>{{ $row->delivery_date }}</td>
                           <td class="text-center">
                     <a href="{{ asset('requests/request-details/' . $row->id) }}"
                        class="btn btn-xs btn-info"><i class="fa fa-info-circle"></i></a>
                     <td class="text-center"><a href="{{ asset('requests/request-location/' . $row->id) }}"
                        class="btn btn-xs btn-success"><i class="fa fa-map-marker"></i></a>
                     </tr>
                     {{-- </a> --}}
                     @php $count ++; @endphp
                     @endforeach
                  </tbody>
               </table>
            </div>
            </div>
         
            <div class="text-center">
               {!! $rows->appends([
               'client_name' => \Request::input('client_name'),
               'date' => \Request::input('date'),
               'request_status' => \Request::input('request_status'),
               ])->render() !!}
            </div>
            {{-- 
            <h1>Hello World</h1>
            --}}
            {{-- 
            <p> --}}
               {{-- This view is loaded from module: {!! config('badrrequest.name') !!} --}}
               {{-- 
            </p>
            --}}
         </div>
      </div>
   </div>
</div>
@stop
@section('css-scripts')
<link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
@stop
@section('js-scripts')
<script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
<script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
<script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
<script src="{{ asset('tickets/datepair.js') }}"></script>
<script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
<script>
   $(function() {
       if ('{{ $type }}' == '2') {
           $(".date").calendarsPicker({
               calendar: $.calendars.instance('gregorian'),
               dateFormat: 'Y-mm-dd',
               defaultDate: "0",
               // selectDefaultDate: true
           });
       } else {
           $(".date").calendarsPicker({
               calendar: $.calendars.instance('ummalqura'),
               dateFormat: 'Y-mm-dd',
               defaultDate: "0",
               // selectDefaultDate: true
   
           });
       }
   
   })
</script>
@stop