@extends('master::layouts.master')
@section('content')
<div class=" card card-light mb-1_5 p-3">
   <div class="container">
      <div class="row">
         <div class="col-md-12">
            <h1 class="text-info"> {{ trans('badrrequests.request_setting_title') }}</h1>
         </div>
         <div class="col-md-12">
            {!! Form::open([
            'route' => 'badr-requests.update-settings',
            'class' => 'custome-form',
            'method' => 'POST',
            ]) !!}
            <div class="form-group">
               <label class="control-label" for="min_purchase" >  {{ trans('badrrequests.min_item') }}
               </label>
               <input class="form-control" id="min_purchase" name="min_purchase"
                  value="{{ round_money($settings->min_purchase) }}">
            </div>
            <div class="form-group">
               <label class="control-label" for="max_charge">
               {{ trans('badrrequests.min_max_shipping_fee') }}
               </label>
               <input class="form-control" id="max_charge" name="max_charge"
                  value="{{ round_money($settings->max_charge) }}">
            </div>
            <div class="form-group">
               <label class="control-label" for="fee">
               {{ trans('badrrequests.shipping_fee') }}
               </label>
               <input class="form-control" id="fee" name="fee" value="{{ round_money($settings->fee) }}">
            </div>
            <div class="form-group">
               <label class="control-label" for="fee_type">
               {{ trans('badrrequests.fee_type') }}
               </label>
               <select id="fee_type" name="fee_type" class="form-control">
               <option @if ($settings->fee_type == 1) selected @endif value="1">{{ trans('badrrequests.amount') }}</option>
               <option @if ($settings->fee_type == 0) selected @endif value="0">{{ trans('badrrequests.rate') }}</option>
               <option @if ($settings->fee_type == 2) selected @endif value="2">{{ trans('badrrequests.According_to_the_city') }}</option>
               <option @if ($settings->fee_type == 3) selected @endif value="3"> {{ trans('badrrequests.According_to_distance') }}</option>
               </select>
            </div>
            <div class="form-group" >
                  <label class="" for="email"> {{ trans('badrrequests.shop_location') }}
                  :</label>
                  <div class="">
                     <input type="text" class="form-control input" autocomplete="on" id="us3-address"
                        name="us3_address" />
                  </div>
               </div>
               <div class="form-group row">
                  <div class="col-sm-12">
                     <div id="us3" class="form-control" style="height: 300px;"></div>
                  </div>
               </div>
               <div class="form-group hidden">
                  <label class="col-sm-1 col-sm-offset-3 control-label">  :{{ trans('badrrequests.Lat') }}</label>
                  <div class="col-sm-3">
                     <input name="lat" type="text" class="form-control input" id="us3-lat" />
                     <span class="highlight"></span>
                     <span class="bar"></span>
                  </div>
                  <label class="col-sm-1 control-label">  :{{ trans('badrrequests.Lon') }}</label>
                  <div class="col-sm-3">
                     <input name="lon" type="text" class="form-control input" id="us3-lon" />
                     <span class="highlight"></span>
                     <span class="bar"></span>
                  </div>
               </div>
               <div class="clearfix"></div>
               <input name="time_name" type="hidden" class="form-control" id="us3-time-name" />
               <input name="time_id" type="hidden" class="form-control" id="us3-time-id" />
               <div class="clearfix"></div>
             
                 

               <div class="form-group row justify-content-end mt-2">
               <div class="col-md-2" style="">
               <a class="btn btn-success" href="{{ asset('requests/shipping-distance-prices') }}">
                  {{ trans('badrrequests.add_distance_price') }}</a>
                  </div>

            </div>
            <div class="clearfix"></div>
            <div class="form-group">
               <label class="control-label" for="max_cards">
               {{ trans('badrrequests.Api_Key') }}
               </label>
               <input class="form-control" id="api_key" name="api_key"
                  value="{{ ($settings->api_key) }}">
            </div>
            <div class="form-group">
               <label class="control-label" for="max_cards">
               {{ trans('badrrequests.Maximum_number_of_cards_to_order') }}
               </label>
               <input class="form-control" id="max_cards" name="max_cards"
                  value="{{ round_money($settings->max_cards) }}">
            </div>
            <div class="form-group">
               <label class="control-label" for="max_items">
               {{ trans('badrrequests.maximum_number_of_items_to_order_is_out_of_stock') }}
               </label>
               <input class="form-control" id="max_items" name="max_items"
                  value="{{ round_money($settings->max_items) }}">
            </div>
            {{-- 
            <div class="form-groub row">
               <div class="col-md-2">
                  <label>بيانات البنوك للتحويل:</label>
               </div>
               <div class="col-md-8">
                  <textarea rows="4" name="banks_info" type="text" class="form-control container-editor clear "
                     id="editor">
                  {!! $settings->banks_info !!}
                  </textarea>
               </div>
            </div>
            --}}
            <h4 class="control-label">
               {{ trans('badrrequests.pay_methods') }}
            </h4>
            <div class="row">
               {{-- 
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="epay" type="checkbox" name="epay"
                     @if ($settings->epay == 1) checked @endif>
                     <label class="control-label" for="epay">
                     دفع الكترونى{{ trans('badrrequests.no_slider_found') }}
                     </label>
                  </div>
               </div>
               --}}
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="bank" type="checkbox" name="bank"
                     @if ($settings->bank == 1) checked @endif>
                     <label class="control-label" for="bank">
                     {{ trans('badrrequests.Bank_transfer') }}
                     </label>
                  </div>
               </div>
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="delivery" type="checkbox" name="delivery"
                     @if ($settings->delivery == 1) checked @endif>
                     <label class="control-label" for="delivery">
                     {{ trans('badrrequests.when_recieving') }}
                     </label>
                  </div>
               </div>
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="from_shop " type="checkbox" name="from_shop"
                     @if ($settings->from_shop == 1) checked @endif>
                     <label class="control-label" for="from_shop">
                     {{ trans('badrrequests.Receipt_from_the_shop') }}
                     </label>
                  </div>
               </div>
            </div>
            {{-- 
            <h4 class="control-label">
               امكانيه اضافه كارت تهنئة
            </h4>
            <div class="row">
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="congrats_card" type="radio" name="congrats_card"
                     @if ($settings->congrats_card == 1) checked @endif value="1">
                     <label class="congrats_card-label" for="congrats_card">
                     نعم
                     </label>
                  </div>
               </div>
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="congrats_card" type="radio" name="congrats_card"
                     @if ($settings->congrats_card == 0) checked @endif value="0">
                     <label class="control-label" for="congrats_card">
                     لا
                     </label>
                  </div>
               </div>
            </div>
            --}}
            <h4 class="control-label">
               {{ trans('badrrequests.ignore_quantity') }}
            </h4>
            <div class="row">
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="dis_req_quantity" type="radio" name="dis_req_quantity"
                     @if ($settings->dis_req_quantity == 1) checked @endif value="1">
                     <label class="dis_req_quantity-label" for="dis_req_quantity">
                     {{ trans('badrrequests.yes') }}
                     </label>
                  </div>
               </div>
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="dis_req_quantity1" type="radio" name="dis_req_quantity"
                     @if ($settings->dis_req_quantity == 0) checked @endif value="0">
                     <label class="control-label" for="dis_req_quantity">
                     {{ trans('badrrequests.no') }}
                     </label>
                  </div>
               </div>
            </div>
            {{-- 
            <h4 class="control-label">
               امكانيه التغليف
            </h4>
            <div class="row">
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="packing" type="radio" name="packing"
                     @if ($settings->packing == 1) checked @endif value="1">
                     <label class="control-label" for="packing">
                     نعم
                     </label>
                  </div>
               </div>
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="packing" type="radio" name="packing"
                     @if ($settings->packing == 0) checked @endif value="0">
                     <label class="control-label" for="packing">
                     لا
                     </label>
                  </div>
               </div>
            </div>
            --}}
            <h4 class="control-label">
               {{ trans('badrrequests.Show_the_item_in_the_store') }}
            </h4>
            <div class="row">
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="ignore_quantity1" type="radio" name="ignore_quantity"
                     @if ($settings->ignore_quantity == 1) checked @endif value="1">
                     <label class="control-label" for="ignore_quantity">
                     {{ trans('badrrequests.yes') }}
                     </label>
                  </div>
               </div>
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="ignore_quantity2" type="radio" name="ignore_quantity"
                     @if ($settings->ignore_quantity == 0) checked @endif value="0">
                     <label class="control-label" for="ignore_quantity2">
                     {{ trans('badrrequests.no') }}
                     </label>
                  </div>
               </div>
            </div>
            {{-- 
            <h4 class="control-label">
               البيع بالمجموعات والاصناف
            </h4>
            <div class="row">
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="store_type" type="radio" name="store_type"
                     @if ($settings->store_type == 0) checked @endif value="0">
                     <label class="control-label" for="store_type">
                     مجموعات واصناف
                     </label>
                  </div>
               </div>
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="store_type" type="radio" name="store_type"
                     @if ($settings->store_type == 1) checked @endif value="1">
                     <label class="control-label" for="store_type">
                     اصناف فقط
                     </label>
                  </div>
               </div>
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="store_type" type="radio" name="store_type"
                     @if ($settings->store_type == 2) checked @endif value="2">
                     <label class="control-label" for="store_type">
                     مجموعات فقط
                     </label>
                  </div>
               </div>
            </div>
            --}}
            <h4 class="control-label">
               {{ trans('badrrequests.Sort_by_bestseller') }}
            </h4>
            <div class="row">
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="store_order" type="radio" name="store_order"
                     @if ($settings->store_order == 0) checked @endif value="0">
                     <label class="control-label" for="store_order">
                     {{ trans('badrrequests.Website_requests') }}
                     </label>
                  </div>
               </div>
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="store_order" type="radio" name="store_order"
                     @if ($settings->store_order == 1) checked @endif value="1">
                     <label class="control-label" for="store_type">
                     {{ trans('badrrequests.invoices') }}
                     </label>
                  </div>
               </div>
            </div>
            <h4 class="control-label">
               {{ trans('badrrequests.create_invoice') }}
            </h4>
            <div class="row">
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="bill_with_order" type="radio" name="bill_with_order"
                     @if ($settings->bill_with_order == 1) checked @endif value="1">
                     <label class="control-label" for="bill_with_order">
                     {{ trans('badrrequests.yes') }}
                     </label>
                  </div>
               </div>
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="bill_with_order" type="radio" name="bill_with_order"
                     @if ($settings->bill_with_order == 0) checked @endif value="0">
                     <label class="control-label" for="bill_with_order">
                     {{ trans('badrrequests.no') }}
                     </label>
                  </div>
               </div>
            </div>
            {{-- 
            <h4 class="control-label">
               استفسارات الصيانه عن طريق المتجر
            </h4>
            <div class="row">
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="" type="radio" name="maintenance"
                     @if ($settings->maintenance == 1) checked @endif value="1">
                     <label class="control-label" for="maintenance">
                     نعم
                     </label>
                  </div>
               </div>
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="" type="radio" name="maintenance"
                     @if ($settings->maintenance == 0) checked @endif value="0">
                     <label class="control-label" for="maintenance">
                     لا
                     </label>
                  </div>
               </div>
            </div>
            --}}
            {{-- 
            <h4 class="control-label">
               التصنيع عن طريق المتجر
            </h4>
            <div class="row">
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="" type="radio" name="manufacturing"
                     @if ($settings->manufacturing == 1) checked @endif value="1">
                     <label class="control-label" for="manufacturing">
                     نعم
                     </label>
                  </div>
               </div>
               <div class="col-sm-2">
                  <div class="form-group">
                     <input id="" type="radio" name="manufacturing"
                     @if ($settings->manufacturing == 0) checked @endif value="0">
                     <label class="control-label" for="manufacturing">
                     لا
                     </label>
                  </div>
               </div>
            </div>
            --}}
            <br>
            <div class="form-group row justify-content-end">
                <div class="col-md-2">
                                <button style="" class="btn btn-success w-100">{{ trans('badrrequests.save') }}</button>

                </div>
            </div>
         </div>
         {!! Form::close() !!}
      </div>
   </div>
</div>
@stop
@section('js-scripts')
<script src="{{ asset('tickets/js/tinymce.min.js') }}"></script>
<script src="{{ asset('js/pages.js') }}"></script>
<script type="text/javascript"
   src='https://maps.google.com/maps/api/js?libraries=places&key=AIzaSyCmT97qMPjKdidWGuTUr8c9KC2l4sVUcNs'></script>
<script src="{{ asset('tickets/locationpicker/locationpicker.jquery.min.js') }}"></script>
<script>
   $('#us3').locationpicker({
       location: {
           latitude: "{{ $settings->lat }}",
           longitude: "{{ $settings->lon }}"
       },
       radius: 300,
       zoom: 7,
       inputBinding: {
           latitudeInput: $('#us3-lat'),
           longitudeInput: $('#us3-lon'),
           radiusInput: $('#us3-radius'),
           locationNameInput: $('#us3-address')
       },
       enableAutocomplete: true,
       oninitialized: function() {
           var cb = function(event) {
               $('#us3').locationpicker('location', {
                   latitude: event.latLng.lat(),
                   longitude: event.latLng.lng()
               })
           };
           $('#us3').locationpicker('subscribe', {
               event: 'click',
               callback: cb
           });
       }
   });
   
   $(document).ready(function() {
       var fee_type = $('#fee_type').val();
       if (fee_type == 3) {
   
           $('#location_div').removeAttr('hidden');
       } else {
           $('#location_div').attr('hidden', 'hidden');
   
       }
   
       $('.activeMe:first-of-type').trigger('click');
   
   })
   $(document).on('change', '#fee_type', function() {
       var fee_type = $('#fee_type').val();
       if (fee_type == 3) {
           $('#location_div').removeAttr('hidden');
       } else {
           $('#location_div').attr('hidden', 'hidden');
   
       }
   })
</script>
@stop