@extends('master::layouts.master')

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-md-10 col-md-offset-1" style="margin-top: 30px;">
                <h2 class="title-page">
                {{ trans('badrrequests.distance') }}
                </h2>
                {{-- start filter --}}
                <div class="clearfix"></div>
                <form action="{{ route('badr-requests.store.shipping-distance-prices') }}" method="post" id="form">
                    {{ csrf_field() }}
                    <input hidden name="price_id" id="price_id" value="">
                    <div class="row" style="display: block;">
                        <div class="form-group">
                            <label class="control-label" for="min_purchase">
                                {{ trans('badrrequests.distance_from') }}
                            </label>
                            <input type="text" name="km_from" id="km_from" class="form-control">
                        </div>
                        <div class="form-group">
                            <label class="control-label" for="min_purchase">
                                {{ trans('badrrequests.distance_to') }}
                            </label>
                            <input type="text" name="km_to" id="km_to" class="form-control">
                        </div>
                        <div class="form-group">
                            <label class="control-label" for="min_purchase">
                                {{ trans('badrrequests.kilo_price') }}
                            </label>
                            <input type="text" name="price" id="price" class="form-control">
                        </div>
                        <button style="margin-right: 94%;"
                            class="btn btn-success">{{ trans('badrrequests.save') }}</button>
                        <span>
                            {{ trans('badrrequests.Bank_transfer') }}
                        </span>
                    </div>
                </form>

                {{-- end filter --}}

                <div class="table-responsive">
                    <table class="table  table-bordered table-hover table-heading summery_table">

                        <thead style="background: rgb(13 86 249 / 91%);">
                            <tr>
                                <th>#</th>
                                <th> {{ trans('badrrequests.distance_from') }}</th>
                                <th>  {{ trans('badrrequests.distance_to') }}</th>
                                <th>  {{ trans('badrrequests.kilo_price') }}</th>
                                <th> {{ trans('badrrequests.edit') }}</th>
                                <th> {{ trans('badrrequests.delete') }}</th>
                            </tr>
                        </thead>
                        <tbody>
                            @php $count = 1; @endphp
                            @foreach ($prices as $price)
                                <tr>
                                    <td>{{ $count }}</td>
                                    <td>{{ $price->km_from }}</td>
                                    <td>{{ $price->km_to }}</td>
                                    <td>{{ $price->price_per_kilo }}</td>


                                    <td class="text-center"><a class="btn btn-xs btn-info edit"
                                            data-id="{{ $price->id }}" data-km_from="{{ $price->km_from }}"
                                            data-km_to="{{ $price->km_to }}"
                                            data-price_per_kilo="{{ $price->price_per_kilo }}">
                                            {{ trans('badrrequests.edit') }}</a>
                                    <td class="text-center">
                                        <form method="post" id="delete_form"
                                            action="{{ route('badr-requests.delete.shipping-distance-prices') }}">
                                            {{ csrf_field() }}
                                            <input hidden name="price_id" value="{{ $price->id }}">
                                            <button class="btn btn-danger delete">
                                                {{ trans('badrrequests.delete') }}</button>
                                        </form>


                                </tr>

                                @php $count ++; @endphp
                            @endforeach

                        </tbody>
                    </table>
                </div>


            </div>
        </div>
    </div>
@stop
@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

@stop
@section('js-scripts')

    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script>
        $(function() {

            $(".date").calendarsPicker({
                calendar: $.calendars.instance('ummalqura'),
                dateFormat: 'Y-mm-dd',
                defaultDate: "0",
                // selectDefaultDate: true

            });


        });
        $(document).on('click', '.edit', function() {

            var id = $(this).data('id');
            var km_from = $(this).data('km_from');
            var km_to = $(this).data('km_to');
            var price_per_kilo = $(this).data('price_per_kilo');

            $('#price_id').val(id);
            $('#km_from').val(km_from);
            $('#km_to').val(km_to);
            $('#price').val(price_per_kilo);

            $("#form").attr('action', '{{ route('badr-requests.update.shipping-distance-prices') }}');


        });
        $(document).on('click', '#new', function() {
            $('#price_id').val("");
            $('#km_from').val("");
            $('#km_to').val("");
            $('#price').val("");

            $("#form").attr('action', '{{ route('badr-requests.store.shipping-distance-prices') }}');
        });
        $(document).on('click', '.delete', function() {

            if (confirm("هل انت متأكد من الحذف")) {
                $('#delete_form').submit();
            }
            return false;

        });
    </script>


@stop
