@extends('master::layouts.master')
@section('content')
    <div class="wrapper card card-light mb-1_5 p-3">
        <div class="container">

            <div class="row">

                <div class="col-md-10 col-md-offset-1" style="margin-top: 40px;">

                    <form action="{{ route('requests.site-sliders.store') }}" method="post" enctype="multipart/form-data" class="cistome-form">
                        {!! csrf_field() !!}
                        <div class="form-group row">
                            
                            <label class="control-label col-md-2" for="image"> {{ trans('badrrequests.image') }}</label>
                            <div class="col-md-10">
                             <input name="image" type="file" id="image" class="form-control">

                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="control-label col-md-2 col-12" for="out"> {{ trans('badrrequests.external_link') }}؟</label>
                            <div class="col-md-10 col-12">

                            <input name="out" type="checkbox" id="out" class=" mr-2 ml-2">
                            <small>{{ trans('badrrequests.choose_external_link') }}</small>
</div>
                        </div>

                        <div class="form-group hidden row" id="link">
                            <label class="control-label col-md-2" for="source"> {{ trans('badrrequests.image_link') }}</label>
                            <div class="col-md-10">

                            <input name="source" type="text" id="source" value="#" class="form-control">
</div>
                        </div>

                        <div class="form-group row" id="item-select">
                            <label class="control-label col-md-2" for="item_id">{{ trans('badrrequests.item') }}</label>
                            <div class="col-md-10">

                            <select data-live-search="true" name="item_id" id="item_id" data-none-selected-text="{{ trans('native.no-selected') }}"
                                    class="form-control selectpicker items---">

                                <option selected value="0"></option>
                                @foreach($items as $item)
                                    <option value="{{ $item->id }}">{{ $item->item_name }}</option>
                                @endforeach

                            </select>
</div>
                        </div>
                        <div class="form-group row text-center">
<div class="col-md-12">
                            <button class="btn btn-success">{{ trans('badrrequests.save') }}</button>

</div>

</div>

                    </form>
                    <div class="clearfix"></div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="clearfix"></div>


                <div class="col-md-12">

                    @if($sliders->count()> 0)
                    <div class="table-responsive">
    <table class="zui-table zui-table-rounded table">
                                    <input type="hidden" name="_token" id="_token" value="{{ csrf_token() }}">
                            <thead style="background-color: #007bff;">
                            <th>الصورة{{ trans('badrrequests.image') }}</th>
                            <th>{{ trans('badrrequests.type') }}</th>
                            <th> {{ trans('badrrequests.link') }}</th>
                            <th> {{ trans('badrrequests.delete') }}</th>
                            </thead>
                            <tbody id="items-rows">
                            @foreach($sliders as $slider)
                                <tr id="row-{{ $slider->id }}">
                                    <td>
                                        <img src="{{ $slider->image_link}}" class="img-responsive" width="60">
                                    </td>
                                    <td>{{ $slider->getType() }}</td>
                                    <td><a target="_blank" href="{{ $slider->image_link }}"> {{ trans('badrrequests.preview') }}</a></td>
                                    <td>
                                        <form method="post" action="{{ route('site-sliders.delete') }}">
                                            {{ csrf_field() }}
                                            <input type="hidden" name="slider_id" value="{{ $slider->id }}">
                                            <button onclick="return confirm('{{ trans('badrrequests.Are_you_sure_to_delete') }}') "
                                            class="btn btn-danger">{{ trans('badrrequests.delete') }}</button>
                                        </form>
                                    </td>
                                </tr>
                            @endforeach

                            </tbody>

                        </table>
</div>
                    @else
                        <h3 class="text-center text-gray">{{ trans('badrrequests.no_slider_found') }}</h3>
                    @endif
                    
                </div>
            </div>
        </div>
    </div>

@stop

@section('css-scripts')
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
@stop

@section('js-scripts')
    <script src="{{ asset('public/tickets/js/bootstrap-select.min.js') }}"></script>

    <script>
        $('.selectpicker').selectpicker({
            style: 'btn-default',
            size: 8
        });
        $('#out').click(function() {
            if ($(this).is(':checked')) {
                $('#link').removeClass('hidden');
                $('#item-select').addClass('hidden');
            }else{
                $('#link').addClass('hidden');
                $('#item-select').removeClass('hidden');
            }
        });
    </script>
@stop
