<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['prefix' => 'requests'], function () {

    Route::get('/', 'BadrRequestController@index')->name('badr-requests');
    Route::get('request-details/{id}', 'BadrRequestController@requestDetails')->name('request');
    Route::get('request-location/{id}', 'BadrRequestController@requestLocation');
    Route::post('confirm-request/{id}', 'BadrRequestController@confirmRequest');
    Route::get('update-request', 'BadrRequestController@updateRequest')->name('request.update');
    Route::Post('save-invoice', 'InvoiceController@createBill')->name('create.invoice');
    Route::post('save-request-status/{id}', 'BadrRequestController@saveRequestStatus');

    // اعدادات المتجر
    Route::get('/request-settings', 'RequestSettingController@requestSettings')->name('badr-requests.edit-settings');
    Route::post('/post-request-settings', 'RequestSettingController@updateRequestSettings')->name('badr-requests.update-settings');

    // بيانات الاتصال
    Route::get('/web-contact', 'WebContactController@edit')->name('web-contact.edit');
    Route::post('/web-contact-update/{id}', 'WebContactController@update')->name('web-contact.update');

    Route::get('social-contacts', 'SocialController@socialContact')->name('social-contacts');
    Route::post('social-contacts', 'SocialController@updateSocialContact')->name('update-social');

    // الصفحات الثابته
    Route::get('static-pages', 'StaticPageController@allStaticPages')->name('allStaticPages');
    Route::post('static-pages', 'StaticPageController@storeStaticPages')->name('storeStaticPage');
    Route::get('new-static-pages', 'StaticPageController@createStaticPage')->name('createStaticPage');
    Route::get('static-pages/{id}', 'StaticPageController@editStaticPage')->name('editStaticPage');
    Route::post('static-pages/{id}', 'StaticPageController@updateStaticPage')->name('updateStaticPage');
    Route::post('delete-this-item-page', 'StaticPageController@deleteStaticPage')->name('test-ool');


    // عرض الشرائح
    Route::get('site-sliders', 'SliderController@index')->name('requests.site-sliders.index');
    Route::post('delete-slider', 'SliderController@destroy')->name('requests.site-sliders.delete');
    Route::post('store-slider', 'SliderController@store')->name('requests.site-sliders.store');


    // الحسابات البنكيه
    Route::group(['prefix' => 'banks'], function () {
        Route::get('/', 'ShopBankController@index')->name('requests.shopbanks.index');
        Route::post('/store', 'ShopBankController@store')->name('requests.shopbanks.store');
        Route::post('/update', 'ShopBankController@update')->name('requests.shopbanks.update');
        Route::post('/delete', 'ShopBankController@destroy')->name('requests.shopbanks.delete');
    });


    // Route::get('/checkout-settings', 'CheckoutController@checkoutSettings')->name('badr-requests.edit-checkout-settings');
    // Route::get('/checkout-settings/{type}', 'CheckoutController@checkoutSettingsView')->name('badr-requests.edit-checkout-settings-view');
    // Route::post('/post-checkout-settings', 'CheckoutController@updateCheckoutSettings')->name('badr-requests.update-checkout-settings');


    // الاسعار علي المسافات
    Route::get('/shipping-distance-prices', 'ShippingPricesController@ShippingDistancePrices')->name('shipping-distance-prices');
    Route::post('/store.shipping-distance-prices', 'ShippingPricesController@StoreShippingDistancePrices')->name('badr-requests.store.shipping-distance-prices');
    Route::post('/update.shipping-distance-prices', 'ShippingPricesController@UpdateShippingDistancePrices')->name('badr-requests.update.shipping-distance-prices');
    Route::post('/delete.shipping-distance-prices', 'ShippingPricesController@DeleteShippingDistancePrices')->name('badr-requests.delete.shipping-distance-prices');

    // عرض التصميم
    Route::get('/web-style', 'WebStyleController@WebStyle')->name('requests.web-style');
    Route::post('/change-style', 'WebStyleController@ChangeStyle')->name('requests.change-style');

    // تخفيضات علي المنتجات
    Route::get('/make-some-discounts', 'ItemDiscountController@getItems')->name('requests.item-discount-index');
    Route::post('/post-item-discount', 'ItemDiscountController@postItemDiscount')->name('requests.post-item-discount');
    Route::post('/delete-item-discount', 'ItemDiscountController@deleteItemDiscount')->name('requests.delete-item');
});
