<?php

namespace Modules\BillReports\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class BillHistory extends Model
{
    use RoundingAttributesTrait;
    protected $fillable = [];
    protected $table = 'bills_add_history';

    public $timestamps = false;

    public function billDate()
    {
        if (SaleProcess::where('id', $this->bill_id)->first())
        {
            return SaleProcess::where('id', $this->bill_id)->first()->sale_date;
        }else {
            return false;
        }
    }

    public function itemCount()
    {
        if (SaleProcess::where('id', $this->bill_id)->first()) {
            return \DB::table('sale_details')->where('sale_id', $this->bill_id)->count();
        } else {
            return false;
        }
    }

    public function saleType()
    {
        $p = SaleProcess::where('id', $this->bill_id)->first();
        if ($p) {
            return $p->payment >= $p->net_price ? 'نقدي' : 'آجل';
        } else {
            return false;
        }
    }

    
}
