<?php

namespace Modules\BillReports\Entities;

use Illuminate\Database\Eloquent\Model;

class BillsAdd extends Model
{
    protected $table   = 'bills_add';
    protected $guarded = [];
    protected $appends = ['sub_tax_name', 'sub_taxes'];
    public $timestamps = false;

    public function getVatOperationNameAttribute()
    {
        return $this->vat_operation == 0 ? 'باللإضافة' : 'بالخصم';
    }

    public function getSubTaxNameAttribute()
    {
        $confArray = config('einvoice.taxsubcodes');
        return array_key_exists($this->sub_einvoice_code, $confArray)
            ? config('einvoice.taxsubcodes.' . $this->sub_einvoice_code . '.Desc_ar')
            : '---';
    }

    public function getSubTaxesAttribute()
    {
        return collect(config('einvoice.taxsubcodes'))->groupBy('TaxtypeReference')->get($this->einvoice_code) ?? [];
    }
}
