<?php

namespace Modules\BillReports\Entities;

use Illuminate\Database\Eloquent\Model;

class IncomingBill extends Model
{
    protected $fillable = [];
    protected $table = 'incoming_bill';

    public $timestamps = false;

	public function supplier() {
		return $this->belongsTo( Supplier::class);
	}
	
	
	
    public function hasVatAmount($bill_add){
        // $bill_add = $this->bill_add;
        $vatAmount = $noVatAmount = 0;
        $details = IncomingDetails::join('items', 'items.id', 'incoming_details.items_id')
            ->where('bill_id', $this->id)
            ->selectRaw('incoming_details.*, items.purchase_vat_state as item_vat_state')
            ->each(function($detail) use($bill_add, &$vatAmount, &$noVatAmount){
                $price = $detail->price;
                if ($detail->item_vat_state == 2){
                    $price = $price / ( 1 + ($bill_add / 100) );
                }
                $qty = $detail->quantity;
                $total = $price * $qty;
                if ($detail->item_vat_state == 0){
                    $noVatAmount += $total;   
                }else {
                    $vatAmount += $total;       
                }
            });
        // $vatAmount = $this->net_price - $noVatAmount;
        return ['vatAmount' => $vatAmount, 'noVatAmount' => $noVatAmount];
        // $amount = 0; 
        // foreach($details as $detail){
            
        // }
    }
    
}
