<?php

namespace Modules\BillReports\Entities;

use Illuminate\Database\Eloquent\Model;

class SaleBackInvoice extends Model
{
    protected $fillable = [];
    protected $table = 'sale_back_invoice';
    public function client() {
        return $this->belongsTo( Client::class );
    }


    public function hasVatAmount($bill_add){
        // $bill_add = $this->bill_add;
        $vatAmount = $noVatAmount = 0;
        $details = SaleBack::where('back_id', $this->id)
            ->each(function($detail) use($bill_add, &$vatAmount, &$noVatAmount){
                $price = $detail->price;
                $item_vat_state = \DB::table('items')->find($detail->items_id)->vat_state ?? $detail->vat_state;
                if ($item_vat_state == 2){
                    $price = $price / ( 1 + ($bill_add / 100) );
                }
                $qty = $detail->quantity;
                $total = $price;
                if ($detail->bill_id > 0){
                    $total = $price * $qty;
                }
                if ($detail->item_vat_state == 0){
                    $noVatAmount += $total;   
                }else {
                    $vatAmount += $total;       
                }
            });
        // $vatAmount = $this->net_price - $noVatAmount;
        return ['vatAmount' => $vatAmount, 'noVatAmount' => $noVatAmount];
        // $amount = 0; 
        // foreach($details as $detail){
            
        // }
    }

}
