<?php

namespace Modules\BillReports\Entities;

use Illuminate\Database\Eloquent\Model;

class SaleProcess extends Model
{
    protected $fillable = [];
    protected $table = 'sale_process';
	public function client() {
		return $this->belongsTo( Client::class );
	}

	public function itemCount()
    {
        return \DB::table('sale_details')->where('sale_id', $this->id)->count();
    }

    public function hasVatAmount($bill_add){
        // $bill_add = $this->bill_add;
        $vatAmount = $noVatAmount = 0;
        $details = SaleDetails::where('sale_id', $this->id)
            ->each(function($detail) use($bill_add, &$vatAmount, &$noVatAmount){
                $price = $detail->price;
                if ($detail->item_vat_state == 2){
                    $price = $price / ( 1 + ($bill_add / 100) );
                }
                $qty = $detail->quantity;
                $total = $price * $qty;
                if ($detail->item_vat_state == 0){
                    $noVatAmount += $total;   
                }else {
                    $vatAmount += $total;       
                }
            });
        // $vatAmount = $this->net_price - $noVatAmount;
        return ['vatAmount' => $vatAmount, 'noVatAmount' => $noVatAmount];
        // $amount = 0; 
        // foreach($details as $detail){
            
        // }
    }
}
