<div class="row">
    <div class="col-md-12">
        <div class="well bg-white">
            @if ($settings->einvoice == 1)
                <div class="row">
                    <div class="col-md-12">
                        <h3 class="title-page text-primary mb-3">{{ __('billreports::bills-add.add_edit') }}
                            : {{ $add->Addition_name }}</h3>
                    </div>
                </div>

                {{-- Tax Types --}}
                <div class="row">
                    <div class="col-md-2">
                        <label> {{ __('billreports::bills-add.tax_type') }}</label>
                    </div>

                    <div class="col-md-3">
                        <input class="form-control hidden" id="add_id" value="{{ $add->id }}">
                        <select name="tax_type" id="edit_tax_type" class="form-control selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}"
                            title="{{ __('billreports::bills-add.choose_type') }}">
                            <option value="0" data-tax_codes="{{ json_encode(config('taxcodes')) }}"
                                @if ($add->tax_type == 0 && !is_null($add->tax_type)) selected @endif>
                                {{ __('billreports::bills-add.taxable_type') }}</option>
                            <option value="1" data-tax_codes="{{ json_encode(config('nontaxcodes')) }}"
                                @if ($add->tax_type == 1 && !is_null($add->tax_type)) selected @endif>
                                {{ __('billreports::bills-add.non_taxable') }}</option>
                        </select>
                    </div>
                </div>

                <div class="clearfix"></div>

                <br class="@if (is_null($add->einvoice_code)) hidden @endif" id="edit_tax_br">

                {{-- Tax E-Invoice Names --}}
                <div class="row @if (is_null($add->einvoice_code)) hidden @endif" id="edit_tax_einvoice_code">
                    <div class="col-md-2">
                        <label> {{ __('billreports::bills-add.tax_name') }}</label>
                    </div>

                    <div class="col-md-3">
                        <input type="hidden" name="addition_name" id="addition_name"
                            value="{{ $add->Addition_name }}">
                        <select name="tax_einvoice_code" id="edit_tax_einvoice_code_select"
                            class="form-control selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}"
                            title="{{ __('billreports::bills-add.choose_tax_name') }}"
                            data-tax_einvoice_code="{{ $add->einvoice_code }}">
                            @foreach ($taxcodes as $taxcode)
                                <option value="{{ $taxcode['Code'] }}"
                                    data-name="{{ App::getLocale() == 'ar' ? $taxcode['Desc_ar'] : $taxcode['Desc_en'] }}"
                                    @if ($taxcode['Code'] == $add->einvoice_code) selected @endif>
                                    {{ App::getLocale() == 'ar' ? $taxcode['Desc_ar'] : $taxcode['Desc_en'] }}
                                </option>
                            @endforeach
                        </select>
                    </div>
                </div>

                <div class="clearfix"></div>

                <br class="@if (is_null($add->sub_einvoice_code)) hidden @endif" id="edit_tax_sub_br">

                {{-- Tax SubTypes E-Invoice Names --}}
                <div class="row @if (is_null($add->sub_einvoice_code)) hidden @endif" id="edit_tax_sub_einvoice_code">
                    <div class="col-md-2">
                        <label> {{ __('billreports::bills-add.tax_sub_type') }}</label>
                    </div>

                    <div class="col-md-3">
                        <input class="form-control hidden" id="add_id" value="">
                        <select name="tax_sub_einvoice_code" id="edit_tax_sub_einvoice_code_select"
                            class="form-control selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}"
                            title="{{ __('billreports::bills-add.choose_tax_sub_type') }}"
                            data-tax_sub_einvoice_code="{{ $add->sub_einvoice_code }}">
                            @foreach ($add->sub_taxes as $taxsubcode)
                                <option value="{{ $taxsubcode['Code'] }}"
                                    @if ($taxsubcode['Code'] == $add->sub_einvoice_code) selected @endif>
                                    {{ App::getLocale() == 'ar' ? $taxsubcode['Desc_ar'] : $taxsubcode['Desc_en'] }}
                                </option>
                            @endforeach
                        </select>
                    </div>
                </div>
            @else
                <div class="row">
                    <div class="col-md-2 ">
                        <label> {{ __('billreports::bills-add.add_name') }}</label>
                    </div>
                    <div class="col-md-3">
                        <input class="form-control hidden" id="add_id" value="{{ $add->id }}">
                        <input class="form-control" id="addition_name" name="Addition_name"
                            value="{{ $add->Addition_name }}" placeholder="...">
                    </div>
                </div>
            @endif

            <div class="clearfix"></div>

            <br>

            <div class="row">
                <div class="col-md-2">
                    <label> {{ __('billreports::bills-add.add_value') }} </label>
                </div>

                <div class="col-md-3 mb-3">
                    <input type="number" class="form-control" id="addition_value"
                        value="{{ price_decimal($add->addition_value) }}" placeholder="...">
                </div>

                <div class="col-md-3 form-group text-center">
                    <label id="percent"
                        class="btn @if ($add->check_addition == 0) btn-primary @else btn-outline-primary @endif form-check-inline ">
                        <input type="radio" id="check_addition" name="check_addition"
                            @if ($add->check_addition == 0) checked @endif value="0" hidden>
                        % {{ __('billreports::bills-add.percent') }}</label>
                    <label id="money"
                        class="btn @if ($add->check_addition == 1) btn-primary @else btn-outline-primary @endif form-check-inline">
                        <input type="radio" id="check_addition" name="check_addition" value="1"
                            @if ($add->check_addition == 1) checked @endif hidden>
                        $ {{ __('billreports::bills-add.money') }}</label>
                </div>
            </div>
        </div>

        <div class="clearfix"></div>

        <div class="well bg-white" id="rate_change" style="/*display:none;*/">
            <div class="row ">
                <div class="col-md-2">
                    <label>{{ __('billreports::bills-add.vat_operation') }} </label>
                </div>
                <div class="col-md-3 form-group">
                        <label id="with_add"
                            class="btn @if ($add->vat_operation == 0) btn-primary @else btn-outline-primary @endif form-check-inline">
                            <input type="radio" id="vat_operation" name="vat_operation"
                                @if ($add->vat_operation == 0) checked @endif value="0" hidden>
                            {{ __('billreports::bills-add.with_add') }} </label>
                        <label id="with_discount"
                            class="btn @if ($add->vat_operation == 1) btn-primary @else btn-outline-primary @endif form-check-inline ">
                            <input type="radio" id="vat_operation" name="vat_operation"
                                @if ($add->vat_operation == 1) checked @endif value="1" hidden>
                            {{ __('billreports::bills-add.with_discount') }} </label>
                </div>
            </div>
        </div>

        <div class="clearfix"></div>

        @if ($settings->einvoice == 0)
            <div class="well bg-white">
                <div class="row">
                    <div class="col-md-2">
                        <label>{{ __('billreports::bills-add.use_it') }}</label>
                    </div>
                    <div class="row">
                        <div class="form-group">
                            <label id="use_it"
                                class="btn @if ($add->add_role == 0) btn-primary @else btn-outline-primary @endif form-check-inline ">
                                <input type="radio" id="add_role" name="add_role"
                                    @if ($add->add_role == 0) checked @endif value="0" hidden>
                                {{ __('extends.yes') }}</label>
                        </div>
                        <div class="form-group">
                            <label id="stop_it"
                                class="btn @if ($add->add_role == 1) btn-primary @else btn-outline-primary @endif form-check-inline ">
                                <input type="radio" id="add_role3" name="add_role" value="1"
                                    @if ($add->add_role == 1) checked @endif hidden>
                                {{ __('extends.no') }}</label>
                        </div>
                    </div>
                </div>
            </div>
        @endif

        <div class="clearfix"></div>
        {{-- <div class="well bg-white" id="rate_change" @if ($add->check_addition) style="display:none;" @endif>
            <div class="row ">
                <div class="col-md-2">
                    <label> {{ __('billreports::bills-add.add_description_insert') }} </label>
                </div>
                <div class="row form-group">
                    <div class="form-group">
                        <label class="btn btn-default form-check-inline">
                            <input type="radio" id="bill_add_method" name="bill_add_method"
                                @if ($add->bill_add_method == 1) checked="checked" @endif value="1">
                            {{ __('billreports::bills-add.to_sum_only') }} </label>
                    </div>
                    <div class="form-group">
                        <label class="btn btn-default form-check-inline ">
                            <input type="radio" id="bill_add_method2" name="bill_add_method" value="2"
                                @if ($add->bill_add_method == 2) checked="checked" @endif>
                            {{ __('billreports::bills-add.to_sum_and_vats') }} </label>
                    </div>
                </div>
            </div>
        </div> --}}

        <div class="clearfix"></div>
        {{-- <div class="well bg-white">
            <!---resturant ------>
            <div class="row ">
                <div class="col-md-2">
                    <label> </label>
                </div>
                <div class="col-md-2">
                    <label class="btn btn-default form-check-inline ">
                        <input type="radio" id="add_resturant0" name="add_resturant" value="0"
                            @if ($add->add_resturant == 0) checked="checked" @endif>
                        {{ __('billreports::bills-add.cash_only') }} </label>
                </div>
                <div class="col-md-2">
                    <label class="btn btn-default form-check-inline ">
                        <input type="radio" id="add_resturant1" name="add_resturant"
                            @if ($add->add_resturant == 1) checked="checked" @endif value="1">
                        {{ __('billreports::bills-add.all') }} </label>
                </div>
                <div class="col-md-2">
                    <label class="btn btn-default form-check-inline ">
                        <input type="radio" id="add_resturant2" name="add_resturant" value="2"
                            @if ($add->add_resturant == 2) checked="checked" @endif>
                        {{ __('billreports::bills-add.hall_only') }} </label>
                </div>
                <div class="col-md-2">
                    <label class="btn btn-default form-check-inline ">
                        <input type="radio" id="add_resturant3" name="add_resturant" value="3"
                            @if ($add->add_resturant == 3) checked="checked" @endif>
                        {{ __('billreports::bills-add.delivery_only') }} </label>
                </div>
            </div>
        </div> --}}
        <div class="clearfix"></div>
        {{-- <div class="well bg-white @if ($export_bill) hidden @endif">
            <!---resturant ------>
            <div class="row ">
                <div class="col-md-2">
                    <label> {{ __('billreports::bills-add.bill_type') }}: </label>
                </div>
                <div class="col-md-2">
                    <label class="btn btn-default form-check-inline ">
                        <input type="radio" id="checkBillType0" name="checkBillType" value="0"
                            @if ($add->check_bill_type == 0) checked="checked" @endif>
                        {{ __('billreports::bills-add.all') }} </label>
                </div>

                <div class="col-md-2">
                    <label class="btn btn-default form-check-inline ">
                        <input type="radio" id="checkBillType1" name="checkBillType" value="1"
                            @if ($add->check_bill_type == 1) checked="checked" @endif>
                        {{ __('billreports::bills-add.normal_bill') }}</label>
                </div>
                <div class="col-md-2">
                    <label class="btn btn-default form-check-inline ">
                        <input type="radio" id="checkBillType2" name="checkBillType" value="2"
                            @if ($add->check_bill_type == 2) checked="checked" @endif>
                        {{ __('billreports::bills-add.export_bill') }} </label>
                </div>

            </div>
        </div> --}}

        <a href="javascript:void(0)" id="update_add" class="btn btn-xs btn-success float-left">
            {{ __('billreports::bills-add.save') }}
            <i class="fa fa-plus pr-2"></i>
        </a>
    </div>
</div>
