@extends('master::layouts.master')
@section('content')
<div class="card card-light mb-1_5 p-3">
   <div class="container-fluid">
      <div class="row">
         <div class="col-md-12">
            <h1 class="title text-info mt-2 mb-4">
               {{ __('billreports::bills-add.vats') }}
               <a href="javascript:void(0)" id="add_add" class="btn btn-xs btn-success float-left mt-1 mb-2">
               {{ __('billreports::bills-add.add-new') }} <i class="fa fa-plus pr-2"></i>
               </a>
            </h1>
         </div>
         <div class="clearfix"></div>
         <br> 
         <div class="col-md-12">
            <div id="form-data2"></div>
            <div id="form-data"></div>
            <div class="hidden" id="new-add">
               @include('billreports::bill-adds.create')
               <hr>
            </div>
         </div>
         <div class="col-md-12">
            <div class="table-responsive">
               <table class="table table-striped table-bordered zui-table zui-table-rounded table-hover table-heading show_quick bg-white" role="presentation">
                  <thead class="bg-primary text-white">
                     <tr>
                        <th scope="col">#</th>
                        <th scope="col">{{ __('billreports::bills-add.tax_name') }}</th>
                        @if ($settings->einvoice == 1)
                        <th scope="col">{{ __('billreports::bills-add.tax_einvoice_code') }}</th>
                        @endif
                        <th scope="col">{{ __('billreports::bills-add.add_value') }}</th>
                        <th scope="col">{{ __('billreports::bills-add.add_type') }}</th>
                        <th scope="col">{{ __('billreports::bills-add.vat_operation') }}</th>
                        {{-- 
                        <th scope="col">{{ __('billreports::bills-add.add_description_insert') }}</th>
                        --}}
                        <th scope="col">{{ __('billreports::bills-add.use_it') }}</th>
                        @if ($settings->einvoice == 1)
                        <th scope="col">{{ __('billreports::bills-add.is_einvoice') }}</th>
                        <th scope="col">{{ __('billreports::bills-add.tax_sub_type') }}</th>
                        <th scope="col">{{ __('billreports::bills-add.tax_sub_einvoice_code') }}</th>
                        @endif
                        <th scope="col">{{ __('billreports::bills-add.add_date') }}</th>
                        <th scope="col">{{ __('billreports::bills-add.added_by') }}</th>
                        <th scope="col">{{ __('extends.action') }}</th>
                     </tr>
                  </thead>
                  <tbody>
                     @foreach ($adds as $add)
                     <tr>
                        <td>{{ $loop->iteration }}</td>
                        <td>{{ $add->Addition_name }}</td>
                        @if ($settings->einvoice == 1)
                        <td>{{ $add->einvoice_code ?? __('billreports::bills-add.einvoice_code_not_found') }}
                        </td>
                        @endif
                        <td>{{ price_decimal($add->addition_value) }}</td>
                        <td>{{ $add->check_addition ? __('billreports::bills-add.money') : __('billreports::bills-add.percent') }}
                        </td>
                        <td>{{ $add->vat_operation_name }}</td>
                        <td>{{ $add->add_role == 0 ? __('extends.yes') : __('extends.no') }}</td>
                        @if ($settings->einvoice == 1)
                        <td>{{ !in_array($add->einvoice_code, ['', ' ', null]) ? __('billreports::bills-add.yes') : __('billreports::bills-add.no') }}
                        </td>
                        <td>{{ $add->sub_tax_name }}</td>
                        <td>{{ $add->sub_einvoice_code ?? '---' }}</td>
                        @endif
                        <td> {{ $add->add_date }}</td>
                        <td> {{ $add->user_name }}</td>
                        <td class="text-center">
                           <a href="javascript:void(0)" data-id="{{ $add->id }}"
                              class="btn btn-success edit_add mb-2 ">{{ __('billreports::bills-add.edit') }}</a>
                           <a href="javascript:void(0)" data-id="{{ $add->id }}"
                              class="btn btn-danger delete_add  mb-2 @if ($settings->einvoice) mt-1 @endif">{{ __('billreports::bills-add.delete') }}</a>
                        </td>
                     </tr>
                     @endforeach
                  </tbody>
               </table>
            </div>
            {{-- Pagination --}}
            @notnull($adds)
            <div class="row justify-content-center">
               {{ $adds->appends(request()->input())->links() }}
            </div>
            @endnotnull
         </div>
      </div>
   </div>
</div>
@stop
@section('js-scripts')
<script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
<script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
<script>
   $(document).ready(function() {
       $.ajaxSetup({
           headers: {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
           }
       });
       $('.selectpicker').selectpicker({
           style: 'btn-default',
           size: 8
       });
   });
</script>
<script>
   $(document).find('#add_add').click(function() {
       $(document).find('#form-data').empty();
       if ($(document).find('#new-add').hasClass('hidden')) {
           $(document).find('#new-add').removeClass('hidden');
       } else {
           $(document).find('#new-add').addClass('hidden');
       }
   
   });
   
   $(document).find('#save_add').click(function() {
       var add_role = $("input:radio[name='add_role']:checked").val();
       var add_resturant = $("input:radio[name='add_resturant']:checked").val();
       var addition_name = $('#addition_name').val();
       var checkBillType = $("input:radio[name='checkBillType']:checked").val();
       var addition_value = $('#addition_value').val();
       var check_addition = $("input:radio[name='check_addition']:checked").val();
       var tax_type = $("#tax_type").val();
       var tax_einvoice_code = $("#tax_einvoice_code_select").val();
       var tax_sub_einvoice_code = $("#tax_sub_einvoice_code_select").val();
       var vat_operation = $("input:radio[name='vat_operation']:checked").val() ?? 0;
       var bill_add_method = 0;
   
       if (check_addition == 0) {
           bill_add_method = $("input:radio[name='bill_add_method']:checked").val();
       }
   
       var add = 0;
       var data = {
           '_token': '{{ csrf_token() }}',
           'add': add,
           'Addition_name': addition_name,
           'addition_value': addition_value,
           'bill_add_method': bill_add_method,
           'check_addition': check_addition,
           'add_resturant': add_resturant,
           'add_role': add_role,
           'checkBillType': checkBillType,
           'tax_type': tax_type,
           'tax_einvoice_code': tax_einvoice_code,
           'tax_sub_einvoice_code': tax_sub_einvoice_code,
           'vat_operation': vat_operation
       };
   
   
       $.post("{{ route('bill-adds.store') }}", data, function(response) {
           if (response.status == true) {
               $(document).find('#form-data').empty().append(
                   `<p class="alert alert-success text-center">{{ __('billreports::bills-add.add-success') }}</p>`
               );
               $(document).find('#add_add').click();
               setTimeout(function () {
                           location.reload();
                   }, 500)
   
           } else {
               $(document).find('#form-data').empty().append(response.msg);
           }
   
           $("body").scrollTop(0)
       });
   });
   
   $(document).on('click', '.edit_add', function() {
       $(document).find('#form-data').empty();
       $(document).find('#form-data2').empty();
       $(this).html('<i class="fa fa-spinner fa-spin"></i>').addClass('disabled');
       if (!$(document).find('#new-add').hasClass('hidden')) {
           $(document).find('#new-add').addClass('hidden');
       }
       var data = {
           'add_id': $(this).data('id')
       };
       $.get("{{ route('bill-adds.edit') }}", data, function(response) {
           $('.edit_add').html('{{ __('billreports::bills-add.edit') }}').removeClass('disabled');
           $(document).find('#form-data').append(`${response} <hr>`);
           $('.selectpicker').selectpicker('refresh');
       });
   
   });
   
   $(document).on('click', '#update_add', function() {
       var Addition_name = $(document).find('#addition_name').val();
       var addition_value = $(document).find('#addition_value').val();
       var check_addition = $(document).find("input:radio[name='check_addition']:checked").val();
       var bill_add_method = 0;
       var add_role = $(document).find("input:radio[name='add_role']:checked").val();
       var add_resturant = $(document).find("input:radio[name='add_resturant']:checked").val();
       var checkBillType = $(document).find("input:radio[name='checkBillType']:checked").val();
       var tax_type = $("#edit_tax_type").val();
       var tax_einvoice_code = $("#edit_tax_einvoice_code_select").val();
       var tax_sub_einvoice_code = $("#edit_tax_sub_einvoice_code_select").val();
       var vat_operation = $("input:radio[name='vat_operation']:checked").val();
   
       if (check_addition == 0) {
           bill_add_method = $(document).find("input:radio[name='bill_add_method']:checked").val();
       }
   
       var add = $(document).find('#add_id').val();
       var data = {
           '_token': '{{ csrf_token() }}',
           'add_id': add,
           'Addition_name': Addition_name,
           'addition_value': addition_value,
           'bill_add_method': bill_add_method,
           'check_addition': check_addition,
           'add_resturant': add_resturant,
           'add_role': add_role,
           'checkBillType': checkBillType,
           'tax_type': tax_type,
           'tax_einvoice_code': tax_einvoice_code,
           'tax_sub_einvoice_code': tax_sub_einvoice_code,
           'vat_operation': vat_operation
       };
   
       $.post("{{ route('bill-adds.update') }}", data, function(response) {
           if (response.status == true) {
   
               $(document).find('#form-data2').empty().append(
                   `<p class="alert alert-success text-center">{{ __('billreports::bills-add.edit-success') }}</p>`
               );
                                           setTimeout(function () {
                           location.reload();
                   }, 500)
               $('#form-data').html('');
           } else {
               $(document).find('#form-data2').empty().append(response.msg);
           }
           $("body").scrollTop(0)
       });
   });
   
   $(document).on('click', '.delete_add', function() {
       if (confirm('{{ __('billreports::bills-add.confirm-delete') }}')) {
   
           $(document).find('#form-data2').empty();
           $(document).find('#form-data').empty();
           $(this).html('<i class="fa fa-spinner fa-spin"></i>').addClass('disabled');
           if (!$(document).find('#new-add').hasClass('hidden')) {
               $(document).find('#new-add').addClass('hidden');
           }
           var data = {
               '_token': '{{ csrf_token() }}',
               'add_id': $(this).data('id')
           };
           $.post("{{ route('bill-adds.destroy') }}", data, function(response) {
               if (response.status == true) {
                   $(document).find('#form-data').empty().append(
                       `<p class="text-center alert alert-success">${response.msg}</p>`);
                                           setTimeout(function () {
                           location.reload();
                   }, 500)
                       
               } else {
                   $(document).find('#form-data').empty().append(
                       `<p class="text-center alert alert-danger">${response.msg}</p>`);
               }
               $('.delete_add').html('{{ __('billreports::bills-add.delete') }}').removeClass(
                   'disabled');
               $("body").scrollTop(0)
           });
   
       } else {
           return false;
       }
   });
   
   $(document).on('click', "input:radio[name='check_addition']", function() {
       var check_addition = $(document).find("input:radio[name='check_addition']:checked").val();
       if (check_addition == 0) {
           $(document).find('#rate_change').show();
           $(document).find('#percent').removeClass('btn-outline-primary').addClass('btn-primary');
           $(document).find('#money').removeClass('btn-primary').addClass('btn-outline-primary');
       } else {
           $(document).find('#rate_change').hide();
           $(document).find('#money').removeClass('btn-outline-primary').addClass('btn-primary');
           $(document).find('#percent').removeClass('btn-primary').addClass('btn-outline-primary');
       }
   });
   
   $(document).on('click', "input:radio[name='vat_operation']", function() {
       var vat_operation = $(document).find("input:radio[name='vat_operation']:checked").val();
       if (vat_operation == 0) {
           $(document).find('#with_add').removeClass('btn-outline-primary').addClass('btn-primary');
           $(document).find('#with_discount').removeClass('btn-primary').addClass('btn-outline-primary');
       } else {
           $(document).find('#with_discount').removeClass('btn-outline-primary').addClass('btn-primary');
           $(document).find('#with_add').removeClass('btn-primary').addClass('btn-outline-primary');
       }
   });
   
   $(document).on('click', "input:radio[name='add_role']", function() {
       var add_role = $(document).find("input:radio[name='add_role']:checked").val();
       if (add_role == 0) {
           $(document).find('#use_it').removeClass('btn-outline-primary').addClass('btn-primary');
           $(document).find('#stop_it').removeClass('btn-primary').addClass('btn-outline-primary');
       } else {
           $(document).find('#stop_it').removeClass('btn-outline-primary').addClass('btn-primary');
           $(document).find('#use_it').removeClass('btn-primary').addClass('btn-outline-primary');
       }
   });
</script>
{{-- Add Tax E-Invoice Code --}}
<script>
   var lang = '{{ App::getLocale() }}';
   
   // Get Sub Taxes
   function getSubTaxes(attr) {
       var allTaxes = {!! $taxsubcodes !!};
       return Object.values(allTaxes).filter(tax => tax.TaxtypeReference == attr);
   }
   
   // Tax E-Invoice Name
   $(document).on('change', '#tax_type', function() {
       var taxcodes = $('#tax_type option:selected').data('tax_codes');
       var tax_type = $('#tax_type').val();
   
       $("#tax_br").removeClass('hidden');
       $("#tax_einvoice_code").removeClass('hidden');
       $("#tax_einvoice_code_select").empty();
       $("#tax_sub_einvoice_code_select").empty();
   
       $.each(taxcodes, function(index, value) {
           $("#tax_einvoice_code_select").append(
               `<option value="${value['Code']}" data-name="${lang == 'ar' ? value['Desc_ar'] : value['Desc_en']}">
                ${lang == 'ar' ? value['Desc_ar'] : value['Desc_en']}</option>`
           );
       });
   
       $('.selectpicker').selectpicker('refresh');
   });
   
   // Tax E-Invoice SubType Name
   $(document).on('change', '#tax_einvoice_code_select', function() {
       var tax_einvoice_code = $(this).val();
       var taxsubcodes = getSubTaxes(tax_einvoice_code);
   
       $("#tax_sub_br").removeClass('hidden');
       $("#tax_sub_einvoice_code").removeClass('hidden');
       $("#tax_sub_einvoice_code_select").empty();
   
       $.each(taxsubcodes, function(index, value) {
           if (value['TaxtypeReference'] == tax_einvoice_code) {
               $("#tax_sub_einvoice_code_select").append(
                   `<option value="${value['Code']}" data-refernce="${value['TaxtypeReference']}">
                       ${lang == 'ar' ? value['Desc_ar'] : value['Desc_en']}</option>`
               );
           }
       });
   
       $("#tax_sub_einvoice_code_select option:first").attr('selected', 'selected');
       $('#tax_sub_einvoice_code_select').selectpicker('destroy');
       $('#tax_sub_einvoice_code_select').selectpicker();
       $("#addition_name").val($(this).find(':selected').data('name'));
       $('.selectpicker').selectpicker('refresh');
   });
</script>
{{-- Edit Tax E-Invoice Code --}}
<script>
   var lang = '{{ App::getLocale() }}';
   
   // Tax E-Invoice Name
   $(document).on('change', '#edit_tax_type', function() {
       var taxcodes = $('#edit_tax_type option:selected').data('tax_codes');
       var tax_type = $('#edit_tax_type').val();
       var taxsubcodes = '{{ json_encode(config('einvoice.taxsubcodes')) }}';
   
       $("#edit_tax_br").removeClass('hidden');
       $("#edit_tax_einvoice_code").removeClass('hidden');
       $("#edit_tax_einvoice_code_select").empty();
   
       $("#edit_tax_sub_einvoice_code").addClass('hidden');
       $("#edit_tax_sub_br").addClass('hidden');
       $("#edit_tax_sub_einvoice_code_select").empty();
   
       $.each(taxcodes, function(index, value) {
           $("#edit_tax_einvoice_code_select").append(
               `<option value="${value['Code']}" data-tax_sub_type="${taxsubcodes}"
                data-name="${lang == 'ar' ? value['Desc_ar'] : value['Desc_en']}">
                ${lang == 'ar' ? value['Desc_ar'] : value['Desc_en']}</option>`
           );
       });
   
       $('.selectpicker').selectpicker('refresh');
   });
   
   // Tax E-Invoice SubType Name
   $(document).on('change', '#edit_tax_einvoice_code_select', function() {
       var tax_type = $('#edit_tax_type').val();
       var tax_einvoice_code = $(this).val();
       var taxsubcodes = getSubTaxes(tax_einvoice_code);
   
       $("#edit_tax_sub_br").removeClass('hidden');
       $("#edit_tax_sub_einvoice_code").removeClass('hidden');
       $("#edit_tax_sub_einvoice_code_select").empty();
   
       $.each(taxsubcodes, function(index, value) {
           if (value['TaxtypeReference'] == tax_einvoice_code) {
               $("#edit_tax_sub_einvoice_code_select").append(
                   `<option value="${value['Code']}" data-refernce="${value['TaxtypeReference']}">
                       ${lang == 'ar' ? value['Desc_ar'] : value['Desc_en']}</option>`
               );
           }
       });
   
       $("#edit_tax_sub_einvoice_code_select option:first").attr('selected', 'selected');
       $('#edit_tax_sub_einvoice_code_select').selectpicker('destroy');
       $('#edit_tax_sub_einvoice_code_select').selectpicker();
       $("#addition_name").val($(this).find(':selected').data('name'));
       $('.selectpicker').selectpicker('refresh');
   });
</script>
@stop
@section('css-scripts')
<link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
<style>
   .col-md-10 {
   margin-bottom: 20px;
   }
   .well {
   min-height: 20px;
   padding: 19px;
   margin-bottom: 20px;
   background-color: #f5f5f5;
   border: 1px solid #e3e3e3;
   border-radius: 4px;
   -webkit-box-shadow: inset 0 1px 1px rgb(0 0 0 / 5%);
   box-shadow: inset 0 1px 1px rgb(0 0 0 / 5%);
   }
   .well .btn-default {
   color: #333;
   background-color: #e6e6e6;
   border-color: #adadad;
   }
</style>
@stop