<?php

namespace Modules\Car\Entities;

use Attribute;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class Car extends Model
{
    protected $table = 'cars';

    protected $fillable = ['car_type', 'car_color', 'car_model', 'plate_number', 'structure_no', 'client_id', 'shop_id', 'avatar'];

    public function getAvatarAttribute($value) {
        $path = "uploads/cars/".auth()->user()->shop_id."/$value";
        return $value && file_exists($path) ? $path : null;
    }

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('order', function (Builder $builder) {
            $builder->orderBy('created_at', 'DESC')->where('shop_id', auth()->user()?->shop_id);
        });

        static::creating(function($model) {
            $model->shop_id = auth()->user()?->shop_id;
        });
    }
}