<?php

namespace Modules\Car\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CarRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'car_type'      => 'required|string|min:2',
            'car_model'     => 'required|string|min:2',
            'plate_number'  => 'required|string|min:2|unique:cars,plate_number,'.$this->route('car').',id,shop_id,'.auth()->user()->shop_id,
            'avatar'        => 'nullable|file|mimes:png,jpg,jpeg,gif',
        ];
    }

    public function attributes()
    {
        return [
            'car_type'      => trans('car::trans.columns.type'),
            'car_model'     => trans('car::trans.columns.model'),
            'plate_number'  => trans('car::trans.columns.number'),
            'avatar'        => trans('car::trans.columns.avatar'),
        ];
    }
}
