<?php

namespace Modules\Category\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    protected $table = 'items_type';
//    public $incrementing = false;
    public $timestamps = false;
    protected $fillable = ['display_order', 'category_id'];

    public function type()
    {
        $type = $this->category_id;
        if ($type == '0'){
            return 'Main';
        }else {
            $cat = Category::find($this->category_id);
            if ($cat){
                return $cat->name;
            }else {
                return 'No Match';
            }
        }
    }

    public function parent()
    {
        return $this->belongsTo(self::class, 'category_id', 'id');
    }

    public function subs()
    {
        return $this->hasMany(self::class, 'category_id', 'id')->with('subs');
    }

    public function subCategory()
    {
        $id = $this->id;
        $subs = Category::where('shop_id', get_session_val('serial_id' ,'integer'))->where('category_id', $id)->get();
        if (count($subs) > 0){
            return $subs;
        }else {
            return collect();
        }
    }

    public function getImg()
    {
        $logo = get_session_val('logo_path', 'string');
        if (in_array($this->upload_img, ['', null])) {
            return $logo;
        } else {
            return $this->upload_img;
        }
    }

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('order', function (Builder $builder) {
            $builder->where('items_type.shop_id', get_session_val('serial_id' ,'integer'))->orderBy('items_type.display_order', 'ASC');
        });

        self::creating(function($model) {
            $model->display_order = self::max('display_order') + 1;
        });
    }
}
