<?php

namespace Modules\Category\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\File;
use Intervention\Image\Facades\Image;
use Modules\Category\Entities\CardCompany;
use Modules\Category\Entities\Category;
use Modules\Category\Entities\Item;
use Modules\Category\Entities\ItemColor;
use Modules\Category\Entities\ItemImage;
use Modules\Category\Entities\ItemPrice;
use Modules\Category\Entities\ItemSize;
use Modules\Category\Entities\ItemUnit;
use Modules\Category\Entities\PriceList;
use Modules\Category\Entities\Supplier;
use Modules\Category\Entities\Company;
use Modules\Category\Entities\Color;
use Modules\Category\Entities\Size;
use Modules\Category\Entities\SupplierItem;
use Modules\Category\Entities\Unit;
use Modules\Category\Entities\Shelf;

class ItemEditController extends Controller
{
    public function edit($id)
    {
        $sub = null;
        $main = null;
        $m_subs = null;
        $item_prices = null;
        $interns = null;

        $item = Item::find($id);
        if ($item) {
            $suppliers = Supplier::where('shop_id', get_session_val('serial_id', 'integer'))->get();

            $price_decimal = get_session_val('decimal_num_price', 'integer');
            $type = get_session_val('date_type', 'integer');

            $main_cats = Category::where('category_id', 0)->where('shop_id', get_session_val('serial_id', 'integer'))->get();

            $units = Unit::where('shop_id', get_session_val('serial_id', 'integer'))->get();

            $shelves = Shelf::where('shop_id', get_session_val('serial_id', 'integer'))->get();

            $companies = Company::where('shop_id', get_session_val('serial_id', 'integer'))->get();

            $colors = Color::where('shop_id', get_session_val('serial_id', 'integer'))->get();

            $sizes = Size::where('shop_id', get_session_val('serial_id', 'integer'))->get();

            $pricesList = PriceList::where('shop_id', get_session_val('serial_id', 'integer'))->get();

            $cardCompany = CardCompany::where('shop_id', get_session_val('serial_id', 'integer'))->get();

            #item category
            $cat = Category::find($item->sale_unit);
            if ($cat) {
                #if category_id = 0 => main cat
                    # show its subs
                if ($cat->category_id == 0) {
                    $main_cat_check = 1;
                    $subs = $cat->subCategory();

                # if category_id != 0 => sub or intern
                    #if no subs => intern
                    #if subs => sub and we need to get subs
                } else {

                    $check = Category::find($cat->category_id);

                    #sub_cat
                    if ($check->category_id == 0){
                        $main_cat_check = 0;
                        $main = $check;
                        $m_subs = $check->subCategory();

                    }else { # intern
                        $main = Category::find($check->category_id);
                        $sub = $check;
                        $m_subs = $main->subCategory();
                        ## m_subs ??????
                        $interns = $check->subCategory();
                        $main_cat_check = 3;
                    }

                }
            } else {
                $main_cat_check = 2;
            }

            $item->quantity = quant_decimal($item->quantity);
            $item->sale_price = price_decimal($item->sale_price);
            $item->pay_price = price_decimal($item->pay_price);
            $item->lowest_price = price_decimal($item->lowest_price);

            $su_items = SupplierItem::where('item_id', $item->id)->pluck('supplier_id');
            $sizes_ = ItemSize::where('item_id', $item->id)->pluck('size_id');
            $colors_ = ItemColor::where('item_id', $item->id)->pluck('color_id');
            $size_array = json_decode(json_encode($sizes_));
            $color_array = json_decode(json_encode($colors_));
            $suppliers_array = json_decode(json_encode($su_items));


            foreach ($pricesList as $list) {
                $item_price = ItemPrice::where('item_id', $item->id)
                    ->where('list_id', $list->id)
                    ->first();
                if ($item_price) {
                    $list->price = price_decimal($item_price->price);
                } else {
                    $list->price = 0;
                }
            }

            $sub_units_bars = ItemUnit::where('unit_type', 2)->where('item_id', $item->id)->get();

            $all_sub_units = ItemUnit::whereIn('unit_type', [0, 1])->where('item_id', $item->id)->get();

            foreach ($all_sub_units as $all_sub_unit) {
                $unit__ = Unit::find($all_sub_unit->unit_id);
                if ($unit__) {
                    $all_sub_unit->name = $unit__->name;
                } else {
                    $all_sub_unit->name = '---';
                }

            }
//dd($sub_units_bars);
            return view('category::items.edit',
            compact('sub', 'interns', 'all_sub_units', 'sub_units_bars', 'suppliers_array', 'item_prices', 'size_array', 'color_array', 'm_subs', 'main', 'cat',
             'main_cat_check', 'item', 'cardCompany', 'pricesList', 'sizes', 'colors', 'companies', 'shelves', 'units', 'main_cats', 'suppliers', 'type', 'price_decimal'));
        } else {
            abort(404);
        }
    }

    public function update(Request $request)
    {

        $prices = $request->except('item_name', 'supplier_id', 'quantity', 'sale_unit',
            'unit_id', 'pay_price', 'sale_price', 'image', 'sub_cat', 'barcode', 'expire_date',
            'lowest_price', 'min_quantity', 'pay_date', 'available', 'game', 'about', 'details',
            'images', 'is_service', 'online', 'company_id', 'shelf', 'background_color', 'cooking_add',
            'order_show', 'sizes', 'colors', 'bolla', 'meter_ceramic', 'require_serial', 'card_company_id',
            'sub_units', '_token', 'item_id', $request->item_id, 'n_barcode', 'new_sub_units', 'intern_cat',
            "small_qty", "medium_qty", "large_qty");

        $this->validate($request, [
            'item_name' => 'required',
//            'supplier_id' => 'required',
            'quantity' => 'required',
            'sale_unit' => 'required',
            'unit_id' => 'required',
            'pay_price' => 'required',
            'sale_price' => 'required',
            'image' => 'mimes:jpeg,bmp,png,jpg'
        ]);

        $item = Item::find($request->item_id);


        if ($item) {
            DB::transaction(function () use ($request, $prices, $item) {

                # SAVE ITEM:
                if (is_null($request->sub_cat)) {
                    $cat_id = $request->sale_unit;
                } else {
                    if (is_null($request->intern_cat)) {
                        $cat_id = $request->sub_cat;
                    } else {
                        $cat_id = $request->intern_cat;
                    }
                }

                $item->item_name = $request->item_name;
                $item->barcode = ($request->barcode) ? $request->barcode[0] : '';
                $item->sale_unit = $cat_id;
                $item->sale_price = $request->sale_price;
                $item->lowest_price = $request->lowest_price;
                $item->pay_price = $request->pay_price;
                $item->quantity = $request->quantity;
                $item->unit_id = $request->unit_id;
                $item->expire_date = ($request->expire_date) ? $request->expire_date : date('Y-m-d', strtotime('+1 years'));;
                $item->min_quantity = $request->min_quantity;
                $item->incom_date = $request->pay_date;
                $item->available = ($request->available) ? 1 : 0;
                $item->game = ($request->game) ? 1 : 0;
                $item->about = $request->about;
//                $item->supplier_id = $request->supplier_id[0];
                $item->details = ($request->details) ? $request->details : '';
                $item->edit_user = auth()->id();

                $item->used_for_small = $request->small_qty ?? 1;
                $item->used_for_medium = $request->medium_qty ?? 1;
                $item->used_for_large = $request->large_qty ?? 1;

                if ($request->has('images')) {

                    $file = $request->file('images');

                    $ext = strtolower($file->getClientOriginalExtension());

                    $file_name = date("Y-m-d") . '_' . time() . '.' . $ext;
                    $thumb_name = 'thumb_' . date("Y-m-d") . '_' . time() . '.' . $ext;

                    $destinationPath = '../upload';

                    $img = Image::make($file->getRealPath());

                    $img->resize(200, 200, function ($constraint) {

                        $constraint->aspectRatio();

                    })->save($destinationPath . '/' . $thumb_name);

                    $file->move($destinationPath, $file_name);

                    $old_img = $item->img;

                    $link = $destinationPath . $old_img;
                    $th_link = $destinationPath . 'thumb_' . $old_img;
                    File::delete($link);
                    File::delete($th_link);

                    $item->img = isset($file_name) ? $file_name : '';
                }


                $item->is_service = $request->is_service;
                $item->online = ($request->online) ? 1 : 0;
                $item->company_id = $request->company_id;
                $item->shelf = $request->shelf;
                $item->edit_date = date('Y-m-d H:i:s');

                if ($request->has('background_color')) {
                    $item->background_color = $request->background_color;
                }
                if ($request->has('cooking_add')) {
                    $item->cooking_add = $request->cooking_add;
                }
                if ($request->has('order_show')) {
                    $item->order_show = $request->order_show;
                }
                if ($request->has('meter_ceramic')) {
                    $item->meter_ceramic = $request->meter_ceramic;
                }
                if ($request->has('require_serial')) {
                    $item->require_serial = $request->require_serial;
                }
                if ($request->has('card_company_id')) {
                    $item->card_company_id = $request->card_company_id;
                }
                if ($request->has('bolla')) {
                    $item->bolla = $request->bolla;
                }
                /*
                                $item->disc_value = 0;
                                $item->device_id = 0;
                                $item->pur_unit = 0;
                                $item->pur_unit_equal = 0;
                                $item->item_group = 0;
                */
                $item->update();


                /* =-=-=-=-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=*/


                if ($request->has('sizes')) {

                    $pre_sizes = ItemColor::where('item_id', $item->id)
                        ->pluck('size_id');
                    $pre_sizes = json_decode(json_encode($pre_sizes));
                    $new_sizes = $request->sizes;

                    $deleted_sizes = array_diff($pre_sizes, $new_sizes);
                    $added_sizes = array_diff($new_sizes, $pre_sizes);

                    ItemColor::where('item_id', $item->id)->whereIn('size_id', $deleted_sizes)->delete();


                    foreach ($added_sizes as $k => $v) {

                        $itemSize = new ItemSize();
                        $itemSize->item_id = $item->id;
                        $itemSize->size_id = $v;
                        $itemSize->shop_id = get_session_val('serial_id', 'integer');
                        $itemSize->add_user = auth()->id();
                        $itemSize->edit_user = auth()->id();
                        $itemSize->add_date = date('Y-m-d H:i:s');
                        $itemSize->save();

                    }
                } else {
                    ItemSize::where('item_id', $item->id)->delete();
                }

                /* =-=-=-=-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=*/

                if ($request->has('colors')) {

                    $pre_colors = ItemColor::where('item_id', $item->id)
                        ->pluck('color_id');
                    $pre_colors = json_decode(json_encode($pre_colors));
                    $new_colors = $request->colors;

                    $deleted_colors = array_diff($pre_colors, $new_colors);
                    $added_colors = array_diff($new_colors, $pre_colors);

                    ItemColor::where('item_id', $item->id)->whereIn('color_id', $deleted_colors)->delete();


                    foreach ($added_colors as $k => $v) {

                        $itemColor = new ItemColor();
                        $itemColor->item_id = $item->id;
                        $itemColor->color_id = $v;
                        $itemColor->shop_id = get_session_val('serial_id', 'integer');
                        $itemColor->edit_user = auth()->id();
                        $itemColor->add_user = auth()->id();
                        $itemColor->add_date = date('Y-m-d H:i:s');
                        $itemColor->edit_date = date('Y-m-d H:i:s');
                        $itemColor->save();
                    }

                } else {
                    ItemColor::where('item_id', $item->id)->delete();
                }

                /* =-=-=-=-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=*/


                /*
                $pre_suppliers = SupplierItem::where('item_id', $item->id)
                    ->pluck('supplier_id');
                $pre_suppliers = json_decode(json_encode($pre_suppliers));
                $new_suppliers = $request->supplier_id;

                $deleted_suppliers = array_diff($pre_suppliers, $new_suppliers);
                $added_suppliers = array_diff($new_suppliers, $pre_suppliers);

                SupplierItem::where('item_id', $item->id)->whereIn('supplier_id', $deleted_suppliers)->delete();


                foreach ($added_suppliers as $value) {

                    $s_i = new SupplierItem();
                    $s_i->item_id = $item->id;
                    $s_i->supplier_id = $value;
                    $s_i->shop_id = get_session_val('serial_id', 'integer');
                    $s_i->save();
                }

                */

                /* =-=-=-=-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=*/
// dd($prices);
                if (sizeof($prices) > 0) {


                    foreach ($prices as $key => $value) {
                    if ($value > 0)
                    {
                            $x = explode('-', $key);
                        $price_id = $x[1];

                        $item_price = ItemPrice::where('item_id', $item->id)
                            ->where('list_id', $price_id)
                            ->first();

                        if ($item_price) {
                            $item_price->price = $value;
                            $item_price->save();
                        } else {
                            $item_price = new ItemPrice();
                            $item_price->item_id = $item->id;
                            $item_price->list_id = $price_id;
                            $item_price->price = $value;
                            $item_price->shop_id = get_session_val('serial_id', 'integer');
                            $item_price->add_user = auth()->id();
                            $item_price->add_date = date('Y-m-d H:i:s');
                            $item_price->edit_user = auth()->id();
                            $item_price->edit_date = date('Y-m-d H:i:s');

                            $item_price->save();
                        }

                    }

                    }

                }

                /* =-=-=-=-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=*/


            /*    `Save the main unit for this item
            ## Saved data will like:
                1. unit_type = 3;
                2. unit_value = 1;
                3. unit_price = same item's sale_price;
                4. unit_barcode = first barcode;
                5. unit_id = same item's unit_id;
             # that's it for now XD`;*/

                if (sizeof($request->barcode) > 1) {
                    if ($request->barcode[0] == null) {
                        $barcode_ = "";
                    } else {
                        $barcode_ = $request->barcode[0];
                    }

                    $main_unit = ItemUnit::where('item_id', $item->id)
                        ->where('unit_type', 3)
                        ->first();

                    if ($main_unit) {
                        $main_unit->unit_barcode = $barcode_;
                        $main_unit->save();
                    } else {
                        $main_unit = new ItemUnit();
                        $main_unit->item_id = $item->id;
                        $main_unit->unit_id = $request->unit_id;
                        $main_unit->unit_type = 3;
                        $main_unit->unit_value = 1;
                        $main_unit->unit_price = $item->sale_price;
                        $main_unit->Screenhidden = 0;
                        $main_unit->shop_id = get_session_val('serial_id', 'integer');
                        $main_unit->unit_barcode = $barcode_;
                        $main_unit->save();
                    }


                }


                /* =-=-=-=-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=*/

             /*   `loop through other barcodes for this item
             # it will be saved in items_unit table.
             the other data will like:
                1. unit_type = 2 => equals the main unit (3);
                2. unit_value = 1;
                3. unit_price = same item's sale_price;
                4. unit_barcode = this looped iteration barcode;
                5. unit_id = same item's unit_id;
             # that's it for now XD`;*/

                /* =-=-=-=-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=*/

                $current_barcodes = [];
                if (sizeof($request->barcode) > 1) {
                    for ($b = 1; $b < sizeof($request->barcode); $b++) {
                        $bb = explode('-', $request->barcode[$b]);
                        $barcode_id = $bb[1];
                        $b_unit = ItemUnit::where('item_id', $item->id)
                            ->where('unit_type', 2)
                            ->where('id', $barcode_id)
                            ->first();
                        if ($b_unit) {
                            array_push($current_barcodes, $barcode_id);
                        }
                    }
                }

                $pre_barcodes = ItemUnit::where('item_id', $item->id)
                    ->where('unit_type', 2)
                    ->pluck('id');
                $pre_barcodes = json_decode(json_encode($pre_barcodes));

                $deleted_barcodes = array_diff($pre_barcodes, $current_barcodes);

                ItemUnit::where('item_id', $item->id)->whereIn('id', $deleted_barcodes)->delete();

                /* =-=-=-=-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=*/

                if (sizeof($request->barcode) > 1) {

                    for ($b = 1; $b < sizeof($request->barcode); $b++) {

                        $bb = explode('-', $request->barcode[$b]);

                        $barcode = $bb[0];
                        $barcode_id = $bb[1];

                        $b_unit = ItemUnit::where('item_id', $item->id)
                            ->where('unit_type', 2)
                            ->where('id', $barcode_id)
                            ->first();

                        if ($b_unit) {

                            array_push($current_barcodes, $barcode_id);

                            $b_unit->unit_barcode = $barcode;
                            $b_unit->save();
                        } else {
                            $b_unit = new ItemUnit();
                            $b_unit->item_id = $item->id;
                            $b_unit->unit_id = $item->unit_id;
                            $b_unit->unit_type = 2;
                            $b_unit->unit_value = 1;
                            $b_unit->unit_price = $item->sale_price;
                            $b_unit->Screenhidden = 0;
                            $b_unit->shop_id = get_session_val('serial_id', 'integer');
                            $b_unit->unit_barcode = $barcode;
                            $b_unit->save();
                        }

                    }
                }

                # for new barcode

                if ($request->has('n_barcode')) {

                    foreach ($request->n_barcode as $bar) {
                        $b_unit = new ItemUnit();
                        $b_unit->item_id = $item->id;
                        $b_unit->unit_id = $item->unit_id;
                        $b_unit->unit_type = 2;
                        $b_unit->unit_value = 1;
                        $b_unit->unit_price = $item->sale_price;
                        $b_unit->Screenhidden = 0;
                        $b_unit->shop_id = get_session_val('serial_id', 'integer');
                        $b_unit->unit_barcode = $bar;
                        $b_unit->save();
                    }

                }


                /* =-=-=-=-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=*/

                $current_sub_units = [];
                if ($request->has('sub_units')) {
                    foreach ($request->sub_units as $k => $val) {
                        $unit_arr = explode('-', $val);
                        $id = $unit_arr[0];
                        $sub_unit = ItemUnit::where('id', $id)->first();
                        if ($sub_unit) {
                            array_push($current_sub_units, $id);
                        }
                    }
                    $pre_sub_units = ItemUnit::where('item_id', $item->id)
                        ->whereIn('unit_type', [0, 1])
                        ->where('shop_id', get_session_val('serial_id', 'integer'))
                        ->pluck('id');
                    $pre_sub_units = json_decode(json_encode($pre_sub_units));

                    $deleted_sub_units = array_diff($pre_sub_units, $current_sub_units);

                    ItemUnit::where('item_id', $item->id)->whereIn('id', $deleted_sub_units)->delete();

                }

                /* =-=-=-=-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=*/

              /*  `loop through sub units for this item
             # it will be saved in items_unit table.
             the other data will like:
                1. unit_type = [0 => bigger or 1 => smaller];
                2. unit_value = from request;
                3. unit_price = from request;
                4. unit_barcode = from request;
                5. unit_id = from request;
             # that's it`;*/

                if ($request->has('sub_units')) {

                /*    `The Request is like this:
                    ## string that is separated with (-).
                    ## Sigmants are in order:
                        1. unit_barcode.
                        2. unit_id.
                        3. unit_price.
                        4. unit_type.
                        5. unit_value.
                        6. Screenhidden
                Now, we are ready to go!`;*/

                    foreach ($request->sub_units as $k => $val) {

                        $unit_arr = explode('-', $val);

                        $id = $unit_arr[0];
                        $barcode = $unit_arr[1];
                        $u_id = $unit_arr[2];
                        $price = $unit_arr[3];
                        $type = $unit_arr[4];
                        $value = $unit_arr[5];
                        $onscreen = $unit_arr[6];

                        $sub_unit = ItemUnit::where('id', $id)->first();

                        if ($sub_unit) {

                            array_push($current_sub_units, $id);

                            $sub_unit->unit_id = $u_id;
                            $sub_unit->unit_type = $type;
                            $sub_unit->unit_value = $value;
                            $sub_unit->unit_price = $price;
                            $sub_unit->Screenhidden = $onscreen;
                            $sub_unit->unit_barcode = $barcode;
                            $sub_unit->save();

                        } else {
                            $sub_unit = new ItemUnit();
                            $sub_unit->item_id = $item->id;
                            $sub_unit->unit_id = $u_id;
                            $sub_unit->unit_type = $type;
                            $sub_unit->unit_value = $value;
                            $sub_unit->unit_price = $price;
                            $sub_unit->Screenhidden = $onscreen;
                            $sub_unit->shop_id = get_session_val('serial_id', 'integer');
                            $sub_unit->unit_barcode = $barcode;
                            $sub_unit->save();
                        }
                    }
                }

                /* =-=-=-=-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=*/

            /*    `loop through new sub units for this item
             # it will be saved in items_unit table.
             the other data will like:
                1. unit_type = [0 => bigger or 1 => smaller];
                2. unit_value = from request;
                3. unit_price = from request;
                4. unit_barcode = from request;
                5. unit_id = from request;
             # that's it`;*/

                if ($request->has('new_sub_units')) {
/*
                    `The Request is like this:
                    ## string that is separated with (-).
                    ## Sigmants are in order:
                        1. unit_barcode.
                        2. unit_id.
                        3. unit_price.
                        4. unit_type.
                        5. unit_value.
                        6. Screenhidden
                Now, we are ready to go!`;*/

                    foreach ($request->new_sub_units as $k => $val) {

                        $unit_arr = explode('-', $val);

                        $barcode = $unit_arr[0];
                        $u_id = $unit_arr[1];
                        $price = $unit_arr[2];
                        $type = $unit_arr[3];
                        $value = $unit_arr[4];
                        $onscreen = $unit_arr[5];

                        $sub_unit = ItemUnit::where('item_id', $item->id)
                            ->where('unit_type', $type)
                            ->where('unit_barcode', $barcode)
                            ->first();

                        if ($sub_unit) {

                        } else {
                            $sub_unit = new ItemUnit();
                            $sub_unit->item_id = $item->id;
                            $sub_unit->unit_id = $u_id;
                            $sub_unit->unit_type = $type;
                            $sub_unit->unit_value = $value;
                            $sub_unit->unit_price = $price;
                            $sub_unit->Screenhidden = $onscreen;
                            $sub_unit->shop_id = get_session_val('serial_id', 'integer');
                            $sub_unit->unit_barcode = $barcode;
                            $sub_unit->save();
                        }


                    }
                }

                /* =-=-=-=-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=*/


            });

            return redirect()->back()->with([
                'success' => 'تم التعديل بنجاح'
            ]);
        } else {
            abort(404);
        }

//        try
//        {

//        }catch (\Exception $exception){
//            return redirect()->back()->with([
//                'error' => 'خطأ في عملية الحفظ'
//            ]);
//        }


    }

    public function editSubUnit(Request $request)
    {

        $sub_unit = ItemUnit::find($request->id);

        $units = Unit::where('shop_id', get_session_val('serial_id', 'integer'))->get();

        if ($sub_unit) {
            $data = '<div class="form-group">
                            <label class="control-label" for="barcode"> الوحدة :</label>
                            <select data-live-search="true" data-none-selected-text="'.trans('native.no-selected').'"
                                    class="form-control selectpicker" name="unit_id">';
            foreach ($units as $unit) {
                if ($unit->id == $sub_unit->unit_id) {
                    $data .= '<option selected value="' . $unit->id . '"
                                                data-name="' . $unit->name . '">' . $unit->name . '</option>';
                } else {
                    $data .= '<option value="' . $unit->id . '"
                                                data-name="' . $unit->name . '">' . $unit->name . '</option>';
                }

                $data .= '
                            </select>
                        </div>

                        <div class="form-group">
                            <label class="control-label" for="barcode"> مقابل الوحدة الأساسية :</label>
                            <input type="text" value="' . quant_decimal($sub_unit->unit_value) . '" class="form-control"
                                   name="unit_value" id="modal_unit_value"/>
                        </div>

                        <div class="form-group">
                            <label class="control-label" for="barcode"> سعر الوحدة :</label>
                            <input type="text" value="' . price_decimal($sub_unit->unit_price) . '" class="form-control"
                                   name="unit_price" id="modal_unit_price"/>
                        </div>

                        <div class="form-group">
                            <label class="control-label" for="barcode"> الباركود :</label>
                            <input type="text" value="' . $sub_unit->unit_barcode . '" class="form-control"
                                   name="unit_barcode" id="modal_unit_barcode"/>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label" for="barcode"> نوع الوحدة :</label>
                                    <select class="form-control" name="unit_type">';

                if ($sub_unit->unit_type == 0) {
                    $data .= ' <option selected value="0">الوحدة أكبر</option>
                                            <option value="1">الوحدة أصغر</option>';

                } elseif ($sub_unit->unit_type == 1) {
                    $data .= ' <option  value="0">الوحدة أكبر</option>
                                            <option selected value="1">الوحدة أصغر</option>';
                } else {
                    $data .= ' <option  value="0">الوحدة أكبر</option>
                                            <option value="1">الوحدة أصغر</option>';
                }


                $data .= '</select >
                                </div >
                            </div >
                            <div class="col-md-6" >
                                <div class="form-inline" style = "margin-top: 1.5em;" >
                                    <label class="control-label" for="barcode" > اظهار المربع؟ :</label >';
                if ($sub_unit->Screenhidden == 1) {
                    $data .= ' <input type = "checkbox" class="form-control" name = "Screenhidden" checked />';
                } else {
                    $data .= ' <input type = "checkbox" class="form-control" name = "Screenhidden" />';
                }
                $data .= ' </div >
                            </div >
                        </div > ';
            }

            return response()->json(['status' => true, 'data' => $data]);

        } else {
            return response()->json(['status' => false]);
        }
    }

    public function updateSubUnit(Request $request)
    {

        $sub_unit = ItemUnit::find($request->sub_id);

        $old_unit_barcode = $sub_unit->unit_barcode;
        $old_unit_id = $sub_unit->unit_id;

        if ($sub_unit) {

            $sub_unit->unit_id = $request->unit_id;
            $sub_unit->unit_type = $request->unit_type;
            $sub_unit->unit_value = $request->unit_value;
            $sub_unit->unit_price = $request->unit_price;

            if ($request->has('Screenhidden')) {
                $sub_unit->Screenhidden = 1;
            }

            $sub_unit->unit_barcode = $request->unit_barcode;
            $sub_unit->save();

            $data = '';

            $unit = Unit::find($request->unit_id);
            if (is_null($unit)) {
                $unit->name = '';
            }

            $data = '<tr class="info text-center" id="' . $sub_unit->unit_barcode . '-' . $sub_unit->unit_id . '">';

            $data .= '<td>' . $unit->name . '</td>';
            $data .= '<td>' . round_quantity($sub_unit->unit_value) . '</td>';
            $data .= '<td>' . round_money($sub_unit->unit_price) . '</td>';
            $data .= '<td>' . $sub_unit->unit_barcode . '</td>';
            $data .= '<td>

                        <a class="btn btn-md btn-warning" data-toggle="modal"
                           data-target="#updateSubUnitElementModal"
                           data-href="' . $sub_unit->id . '"
                           style="margin-left:5px;">
                            <span class="glyphicon glyphicon-pencil" data-toggle="tooltip"
                                  data-placement="top" title="Remove this Element">تعديل </span>
                                                        </a>

                        <a href="javascript:void(0)" class="btn btn-danger delete-sub-unit"
                         data-barcode="' . $sub_unit->unit_barcode . '" data-unit="' . $sub_unit->unit_id . '">حذف</a>
                      </td>';
            $data .= '</tr>';

            $data_hidden = '<input type="hidden" id="input-' . $sub_unit->id . '-' . $sub_unit->unit_barcode . '-' . $sub_unit->unit_id . '" name="sub_units[]"
             value="' . $sub_unit->unit_barcode . '-' . $sub_unit->unit_id . '-' . $sub_unit->unit_price . '-' . $sub_unit->unit_type . '-' . $sub_unit->unit_value . '-' . $sub_unit->Screenhidden . '">';

            return response()->json([
                'data' => $data,
                'hidden' => $data_hidden,
                'status' => true,
                'row_id' => $old_unit_barcode . '-' . $old_unit_id,
                'input_id' => 'input-' . $sub_unit->unit_barcode . '-' . $sub_unit->unit_id
            ]);

        } else {
            return response()->json([
                'status' => false
            ]);
        }


    }

    public function itemImages(Request $request, $id)
    {

    }

    public function postItemImages(Request $request)
    {
        $this->validate($request, [
            'image_link' => 'mimes:jpg,png,jpeg'
        ]);
        if ($request->has('image_state')){
            $state = 1;
        }else {
            $state = 0;
        }



        $image = new ItemImage();

        if ($request->has('image_link')) {

            $file = $request->file('image_link');

            $ext = strtolower($file->getClientOriginalExtension());

            $file_name = date("Y-m-d") . '_' . time() . '.' . $ext;

            $destinationPath = '../upload';

            $file->move($destinationPath, $file_name);
        }

        $image->image_link = isset($file_name)? 'upload/'.$file_name : '';
        $image->image_state = $state;
        $image->image_text = $request->image_text;
        $image->shop_id = get_session_val('serial_id', 'integer');
        $image->item_id = $request->item_id;
        $image->save();

        return back()->with([
            'success' => 'تم اضافة الصورة بنجاح'
        ]);
    }

    public function updateItemImage(Request $request)
    {
        $item = Item::find($request->item_id);
        if ($item) {
            $image = ItemImage::where('item_id', $item->id)
                ->where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('id', $request->image_id)
                ->first();

            if ($image) {
                if ($request->has('image_state')) {
                    $image->image_state = 1;
                } else {
                    $image->image_state = 0;
                }
                $image->image_text = $request->image_text;
                $image->update();

                return back()->with([
                    'success' => 'تم التعديل بنجاح'
                ]);
            } else {
                return back()->with([
                    'error' => 'خطأ في التعرف علي الصورة'
                ]);
            }
        } else {
            return back()->with([
                'error' => 'خطأ في التعرف علي الصنف'
            ]);
        }
    }

    public function deleteItemImage(Request $request)
    {
        $image = ItemImage::where('shop_id', get_session_val('serial_id', 'integer'))
            ->where('id', $request->image_id)
            ->first();

        if ($image) {
            $image->delete();

            return back()->with([
                'success' => 'تم الحذف بنجاح'
            ]);
        } else {
            return back()->with([
                'error' => 'خطأ في التعرف علي الصورة'
            ]);
        }
    }

}
