<?php

namespace Modules\Category\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Modules\Category\Entities\Category;
use Modules\Category\Entities\Item;
use Modules\Category\Entities\ItemPrice;
use Modules\Category\Entities\ItemUnit;
use Modules\Category\Entities\PriceList;
use Modules\Category\Entities\Unit;

class ItemsReportController extends Controller
{

    private function getMainCategory($id)
    {
        $cat = Category::find($id);
        if ($cat->category_id == 0) {
            return $cat;
        } else {
            return $this->getMainCategory($cat->category_id);
        }
    }


    public function index(Request $request)
    {

        $items = Item::where('shop_id', get_session_val('serial_id', 'integer'))
            ->select('id', 'unit_id', 'sale_price', 'item_name', 'sale_unit')
            ->get();

        $collection = collect();
        foreach ($items as $item) {

            $m_unit = Unit::find($item->unit_id);
            if ($m_unit) {
                $m_unit_name = $m_unit->name;
            } else {
                $m_unit_name = '---';
            }
            $item->unit_name = $m_unit_name;

            $item_cat = Category::find($item->sale_unit);
            if ($item_cat) {
                $main_cat = $this->getMainCategory($item_cat->id);
                if ($main_cat) {
                    $main_cat_name = $main_cat->name;
                    $main_cat_id = $main_cat->id;
                } else {
                    $main_cat_name = '';
                    $main_cat_id = 0;
                }
            } else {
                $main_cat_name = '';
                $main_cat_id = 0;
            }
            $item->main_cat = $main_cat_name;
            $item->main_cat_id = $main_cat_id;
            $item->list_id = 0;

            $collection->push($item);
            $sub_units = ItemUnit::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('item_id', $item->id)->get();
            foreach ($sub_units as $sub_unit) {
                if ($sub_unit->unit_id != $item->unit_id) {
                    $unit = Unit::where('id', $sub_unit->unit_id)
                        ->where('shop_id', get_session_val('serial_id', 'integer'))
                        ->select('name')
                        ->first();

                    if ($unit) {
                        $unit->sale_price = $sub_unit->unit_price;
                        $unit->unit_name = $unit->name;

                        $unit->item_name = $item->item_name;
                        $unit->main_cat = $main_cat_name;
                        $unit->main_cat_id = $main_cat_id;
                        $unit->list_id = 0;
                        $collection->push($unit);
                    }
                }
            }

            $priceLists = ItemPrice::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('item_id', $item->id)
                ->select('price', 'list_id')
                ->get();
            foreach ($priceLists as $list) {
                $list->item_name = $item->item_name;
                $list->sale_price = $list->price;
                $list->unit_name = $m_unit_name;
                $list->main_cat = $main_cat_name;
                $list->main_cat_id = $main_cat_id;
                $collection->push($list);
            }

        }

        if ($request->category_id){
            if ($request->category_id != '0'){
                $collection = $collection->where('main_cat_id', $request->category_id);
            }
        }

        if ($request->list_id){
            if ($request->list_id != '0'){
                $collection = $collection->where('list_id', $request->list_id);
            }
        }

        $main_cats = Category::where('shop_id', get_session_val('serial_id', 'integer'))->where('category_id', 0)
            ->select('id', 'name')
            ->get();

        $price_lists = PriceList::where('shop_id', get_session_val('serial_id', 'integer'))
            ->select('id', 'list_name')
            ->get();

        $img = get_session_val('logo_path', 'string');

        return view('category::reports/items-name-price', compact('img', 'collection', 'price_lists', 'main_cats'));

    }

}
