<?php

namespace Modules\Category\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use App\Http\Controllers\Controller;
use Modules\Category\Entities\Unit;

class UnitController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index()
    {
        $units = Unit::where('shop_id', get_session_val('serial_id', 'integer'))->get();
        return view('category::units.index', compact('units'));
    }

    /**
     * Show the form for creating a new resource.
     * @return Response
     */
    public function create()
    {
        try {

            $providedData['currentUser'] = auth()->user();

            $providedData['forEditing'] = '<div class="row">' .
                '<div class="col-xs-12 col-sm-12">' .
                '<div class="panel panel-default">' .

                '<div id="createNewInfo" class="panel-collapse collapse in" aria-expanded="true">' .
                '<div class="panel-body">' .
                ' <div class="row">' .
                '<div class="col-xs-12">' .
                '<ul class="list-group">' .
                '<li class="list-group-item h4">' .
                '<div class="form-group">' .
                '<label for="name">الوحده:</label>' .
                '<input class="form-control" maxlength="75" style="width:90%;max-width:100%;" placeholder="اسم الوحده" name="name" type="text" value="" id="name">' .
                '</div>' .
                '</li>       ' .

                '</ul>' .
                '</div>' .
                '</div>';

            return response()->json([
                "data" => $providedData['forEditing'],
                "errors" => []
            ]);

        } catch (\Exception $e) {
            $errors = '<ul>' .
                '<li class="text-danger h5">حدث خطأ ما. يرجي مراجعة المسئولين.</li>' .
                '<li class="text-danger h5">' . $e->getMessage() . '</li>' .
                '</ul>';

            return response()->json([
                "data" => [],
                "errors" => $errors
            ]);
        }
    }

    /**
     * Store a newly created resource in storage.
     * @param  Request $request
     * @return Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'name' => 'required',
        ]);

        $unit = new Unit();

        $unit->name = $request->name;

        $unit->shop_id = get_session_val('serial_id', 'integer');
        $unit->save();

        return redirect()->back();

    }

    /**
     * Show the specified resource.
     * @return Response
     */
    public function show()
    {
        return view('category::show');
    }

    /**
     * Show the form for editing the specified resource.
     * @return Response
     */
    public function edit()
    {
        return view('category::edit');
    }

    /**
     * Update the specified resource in storage.
     * @param  Request $request
     * @return Response
     */
    public function update(Request $request)
    {
    }

    /**
     * Remove the specified resource from storage.
     * @return Response
     */
    public function destroy()
    {
    }
}
