@extends('master::layouts.master')

@section('content')

    <div class="wrapper">
        <div class="container">
            <div class="row">

                @include('master::layouts.messages')
                <ul class="alert alert-danger text-center hidden errors" style="list-style: none;">
                </ul>
                <div id="currentErrorMessage"></div>
                <div class="col-md-12">
                    <h1 class="title-page inline-block">
                        إضافة صنف
                    </h1>
                    <div class="clearfix"></div>
                </div>
                <form id="new_item_form" class="form-horizontal" action="{{ route('items-group.store') }}" method="post"
                      enctype="multipart/form-data">
                    {{ csrf_field() }}

                    <div class="row">
                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="group_name"> اسم الصنف :</label>
                                    <input type="text" class="form-control col-md-9" name="group_name"
                                           id="group_name"/>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="about"> وصف الصنف :</label>
                                    <input type="text" class="form-control col-md-9" name="about" id="about"/>
                                </div>
                            </div>
                        </div>
                    </div>


                    <div class="row">

                        <div class="col-md-4">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="expire_date"> المقاسات
                                        :</label>
                                    <select data-live-search="true" id="size_id"
                                            class="form-control selectpicker col-md-9" name="sizes[]" multiple data-none-selected-text="{{ trans('native.no-selected') }}">
                                        {{--<option value="0"></option>--}}
                                        @foreach($sizes as $size)
                                            <option value="{{ $size->id }}"
                                                    data-name="{{ $size->size_name }}">{{ $size->size_name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-2">

                        </div>

                        <div class="col-md-4">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="expire_date"> الألوان
                                        :</label>
                                    <select data-live-search="true" id="color_id"
                                            class="form-control selectpicker col-md-9" name="colors[]" multiple data-none-selected-text="{{ trans('native.no-selected') }}">
                                        {{--<option value="0"></option>--}}
                                        @foreach($colors as $color)
                                            <option value="{{ $color->id }}"
                                                    data-name="{{ $color->color_name }}">{{ $color->color_name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                    <hr>

                    <div class="row">
                        <div class="col-md-4">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="supplier_id"> المورد :</label>
                                    <select data-live-search="true"
                                            class="form-control selectpicker col-md-9 " name="supplier_id" data-none-selected-text="{{ trans('native.no-selected') }}"
                                            id="supplier_id">
                                        @foreach($suppliers as $supplier)
                                            <option value="{{ $supplier->id }}">{{ $supplier->supplier_name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2"></div>
                        <div class="col-md-4">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-4"
                                           for="supplier_id"> {{trans('native.min_quantity')}} :</label>
                                    <input type="text" class="form-control numbercheck col-md-8" name="mini" id="mini"
                                           value="0"/>

                                </div>
                            </div>
                        </div>
                    </div>


                    <div class="row">

                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group" id="sale_unit_div">
                                    <label class="control-label col-md-3" for="sale_unit"> التصنيف :</label>
                                    <select class="form-control selectpicker col-md-9" name="sale_unit" data-none-selected-text="{{ trans('native.no-selected') }}"
                                            id="sale_unit">
                                        @foreach($main_cats as $cat)
                                            <option value="{{ $cat->id }}">{{ $cat->name }}</option>
                                            {!! getSubCatOptions($cat->id) !!}
                                        @endforeach

                                    </select>
                                </div>
                            </div>
                        </div>

                    </div>


                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label col-md-3" for="unit_id"> الوحدة الاساسية :</label>
                                <select data-live-search="true" id="unit_id"
                                        class="form-control selectpicker col-md-9" name="unit_id" data-none-selected-text="{{ trans('native.no-selected') }}">
                                    @foreach($units as $unit_)
                                        <option value="{{ $unit_->id }}"
                                                data-name="{{ $unit_->name }}">{{ $unit_->name }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="pay_price"> سعر الشراء :</label>
                                    <input type="text" class="form-control col-md-9" name="pay_price" id="pay_price"/>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="pay_date"> تاريخ الشراء :</label>
                                    <input type="text" class="form-control col-md-9 date" readonly name="pay_date"
                                           id="pay_date"/>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="sale_price"> سعر البيع :</label>
                                    <input type="text" class="form-control col-md-9" name="sale_price" id="sale_price"/>
                                </div>
                            </div>
                        </div>
                    </div>
                    @if ($multi_price == 1 && count($lists))
                        <div class="row">
                            @foreach($lists as $list)
                                <div class="col-md-6">
                                    <div class="form-group list_data">
                                        <label class="control-label col-md-4" for="company_id"> {{ $list->list_name }}:</label>
                                        <input type="text" class="form-control col-md-4 list_price" data-id="{{ $list->id }}" placeholder="السعر" value="">
                                        <input type="text" class="form-control col-md-4 list_qty" placeholder="الكمية" value="">
                                        {{--<select data-live-search="true"--}}
                                        {{--class="form-control col-md-9 selectpicker" name="company_id"--}}
                                        {{--id="company_id">--}}
                                        {{--<option value="0"></option>--}}
                                        {{--@foreach($companies as $company)--}}
                                        {{--<option value="{{ $company->id }}">{{ $company->company_name }}</option>--}}
                                        {{--@endforeach--}}
                                        {{--</select>--}}
                                    </div>
                                </div>
                            @endforeach
                        </div>
                    @endif
                    <div class="row">

                        <div class="col-md-3">
                            <div class="form-inline">
                                <label class="control-label" for="available"> اظهار بالجرد :</label>
                                <input checked type="checkbox" class="form-control" name="available" id="available"/>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-inline">
                                <label class="control-label" for="online"> اظهار اونلاين :</label>
                                <input type="checkbox" value="1" class="form-control" name="online" id="online"/>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-inline">
                                <label class="control-label" for="is_service"> خدمة :</label>
                                <input type="checkbox" class="form-control" name="is_service" id="is_service"/>
                            </div>
                        </div>

                    </div>
                    @if ($bill_adds == 0 && count($adds))
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-inline">
                                    <label class="control-label" for="no_vat"> معفى من القيمه المضافه :</label>
                                    <input type="radio" value="0" class="form-control vat_state" name="vat_state" id="no_vat"/>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-inline">
                                    <label class="control-label" for="without_vat"> السعر غير شامل القيمة المضافه :</label>
                                    <input type="radio" checked value="1" class="form-control vat_state" name="vat_state" id="without_vat"/>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-inline">
                                    <label class="control-label" for="with_vat"> السعر شامل القيمة المضافه :</label>
                                    <input type="radio" value="2" class="form-control vat_state" name="vat_state" id="with_vat"/>
                                </div>
                            </div>

                            <div class="col-md-12 vat_id hidden">
                                <div class="form-inline">
                                    <label class="control-label" for="vat_id"> لابد من اختيار نسبة الإضافه :</label>
                                    <select class="form-control" disabled name="vat_id" id="vat_id">
                                        @foreach($adds as $add)
                                            <option value="{{ $add->id }}">{{ $add->Addition_name.' '.round_money($add->addition_value).'%' }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>
                    @endif

                    <div class="row">

                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label" for="details"> التفاصيل :</label>
                                <textarea class="form-control" name="details" id="details" rows="7">
                                </textarea>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="row">

                                <div class="col-md-4">
                                    <div class="form-group" style="margin-top: 66px; margin-right: 2em;">
                                        <label class="control-label" for="game"> صورة الصنف :</label>
                                        <input type="file" name="image" accept="image/*" onchange="loadFile(event)">
                                    </div>
                                </div>
                                <div class="col-md-8">
                                    <img id="output" width="150" style="margin-right: 4em; margin-top: 20px;"/>
                                </div>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-success">حفظ</button>

                </form>
                <div class="clearfix"></div>
                <div class="col-md-12">
                    <input type="hidden" name="date_now" id="date_now">
                    <div id="dataContent"></div>

                </div>
            </div>
        </div>
    </div>

    {{--    @include('category::popups')--}}

@stop

@section('css-scripts')
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    {{--    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">--}}
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/jquery.bootstrap.treeselect.css') }}" rel="stylesheet" type="text/css">
    <style>
        .not-valid {
            border-color: red !important;
        }
    </style>
@stop

@section('js-scripts')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('tickets/js/jquery.bootstrap.treeselect.js') }}"></script>
    <script src="{{ asset('tickets/js/jscolor.js') }}"></script>
    <script src="{{ asset('tickets/js/tinymce.min.js') }}"></script>

    <script>
        // $('#sale_unit').treeselect();
    </script>
    <script>

        tinymce.init({selector: 'textarea'});

        $(function () {
            if ('{{ get_session_val('date_type', 'Integer') }}' ==  '2') {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    defaultDate: "0",
                    selectDefaultDate: true
                });
                $(".date_").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    defaultDate: "0",
                    selectDefaultDate: true

                });
                $(".date_").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                });
            }
        });

        $('#new_item_form').submit(function () {
            $(document).find('.errors').empty().addClass('hidden');
            $(document).find('.not-valid').removeClass('not-valid');
            // $(document).find('.selectpicker').selectpicker('setStyle', '').selectpicker('refresh');
            let name = $('#group_name'),
                supplier = $('#supplier_id'),
                category = $('#sale_unit'),
                unit = $('#unit_id'),
                pay_price = $('#pay_price'),
                sale_price = $('#sale_price'),
                sizes = $('#size_id'),
                colors = $('#color_id');
            var li = '',
                check = 'validated';
            if (validate(name.val()) == 'not_validated') {
                li += '<li>اسم الصنف مطلوب.</li>';
                name.addClass('not-valid');
                check = 'not_validated';
            }
            if (validate(supplier.val()) == 'not_validated') {
                li += '<li>المورد مطلوب.</li>';
                supplier.addClass('not-valid');
                check = 'not_validated';
            }
            if (validate(category.val()) == 'not_validated') {
                console.log(category.val());
                li += '<li>التصنيف مطلوب.</li>';
                category.addClass('not-valid');
                check = 'not_validated';
            }
            if (validate(unit.val()) == 'not_validated') {
                li += '<li>الوحده مطلوبه.</li>';
                unit.addClass('not-valid');
                check = 'not_validated';
            }
            if (validate(pay_price.val()) == 'not_validated') {
                li += '<li>سعر الشراء مطلوب.</li>';
                pay_price.addClass('not-valid');
                check = 'not_validated';
            }
            if (validate(sale_price.val()) == 'not_validated') {
                li += '<li>سعر البيع مطلوب.</li>';
                sale_price.addClass('not-valid');
                check = 'not_validated';
            }
            if (validate(sizes.val()) == 'not_validated') {
                li += '<li>المقاسات مطلوب.</li>';
                sizes.selectpicker('setStyle', 'btn-danger').selectpicker('refresh');
                check = 'not_validated';
            }
            if (validate(colors.val()) == 'not_validated') {
                li += '<li>الالوان مطلوب.</li>';
                colors.selectpicker('setStyle', 'btn-danger').selectpicker('refresh');
                check = 'not_validated';
            }
            if ('{{ $multi_price }}' == 1 && ' {{ count($lists) }}') {
                var changed = '';
                $('.list_price').each(function (k, This) {
                    let thisElem = $(This).closest('.list_data'),
                        price = $(This).val(),
                        qty = thisElem.find('.list_qty').val();
                    if (validate(price) == 'not_validated') {
                        $(This).addClass('not-valid');
                        changed = 'not_validated';
                    }
                    if (validate(price) == 'not_validated') {
                        thisElem.find('.list_qty').addClass('not-valid');
                        changed = 'not_validated';
                    }
                });
                if (changed == 'not_validated') {
                    li += '<li>الاسعار والكميات مطلوب.</li>';
                    check = changed;
                }
            }
            if (check == 'not_validated') {
                $(document).find('.errors').removeClass('hidden').append(li);
                return false;
            }
            return true;
        });

        function validate(item) {
            if (item == '' || item == null) {
                return 'not_validated';
            }
            return 'validated';
        }

        $(document).on('change', '.vat_state', function () {
            let el = $(document).find('.vat_id'),
                select =  $(document).find('#vat_id');
            if ($(document).find('#with_vat').is(':checked')) {
                el.removeClass('hidden');
                select.prop('disabled', false);
            } else {
                el.addClass('hidden');
                select.prop('disabled', true);
            }
        });

        $(document).on('change', '.list_price', function () {
            let el = $(this).closest('div.list_data'),
                id = $(this).data('id'),
                price = $(this).val(),
                new_price = checkValue(price),
                qty = el.find('.list_qty').val();
            $(this).val(new_price);
            if (validate(new_price) == 'validated' && validate(qty) == 'validated') {
                if (el.find('.lists').length) {
                    el.find('.lists').val(price+'-'+qty);
                } else {
                    let html = `<input type="hidden" name="lists[${id}]" class="lists" value="${price}-${qty}">`;
                    el.append(html)
                }
            } else {
                if (el.find('.lists').length) {
                    el.find('.lists').remove();
                }
            }
        });

        $(document).on('change', '.list_qty', function () {
            let qty = $(this).val(),
                new_qty = checkValue(qty),
                el = $(this).closest('div.list_data');
            $(this).val(new_qty);
            el.find('.list_price').trigger('change');
        });

        function checkValue(val) {
            let old = 0;
            if ($.isNumeric(val) && Number(val) >= 0) {
                return val;
            }
            return old;
        }
    </script>
    <script>

            var loader = "<div align='center' id='loader'>" +
                "<i class='fa fa-spinner fa-pulse fa-5x fa-fw'></i>" +
                "</div><br>";

            var decimal_value = '{{ $price_decimal }}';

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                    type: "GET",
                    data: null,
                    contentType: false,
                    cache: false,
                    processData: false,
                    timeout: 3000,
                }
            });

            $('#group_name').focusout(function () {
                $('#about').val($('#group_name').val());
            });

            $('#sale_price').focusout(function () {
                $('.prices').val($('#sale_price').val());
            });

            $(document).on('change', '#sale_unit', function () {
                var main_id = $('#sale_unit').val();
                if (main_id != '') {
                    getSubCats(main_id);
                }
            });

            $(document).on('change', '#sub-cat-items', function () {
                var sub_id = $('#sub-cat-items').val();
                if (sub_id != '' || sub_id != null) {
                    getInternCats(sub_id);
                }
            });

            function getSubCats(id) {
                data = new FormData();
                data.append('main_id', id);
                data.append('_token', '{{ csrf_token() }}');
                $.ajax({
                    url: '{{ route('items.ajax.get-sub-cats') }}',
                    type: "post",
                    data: data,
                    contentType: false,
                    cache: false,
                    processData: false, // <==
                    timeout: 3000,
                    beforeSend: function () {
                        $('#modal_client').empty().append(loader);
                    },
                    success: function (data) {
                        $('#subcat-div').empty().append(data.data);
                        $('#intern-subcat-div').removeClass('hidden');
                    },
                    error: function (xhr) {
                        var error = '<ul class="alert alert-danger">';
                        $.each(xhr.responseJSON.errors, function (index, value) {
                            error += '<li>' + value + '</li>';
                        });
                        error += "</ul>";
                        $('#currentErrorMessage').append(error);
                    },
                    complete: function () {

                    }
                });
            }


            function getInternCats(id) {
                data = new FormData();
                data.append('main_id', id);
                data.append('_token', '{{ csrf_token() }}');
                $.ajax({
                    url: '{{ route('items.ajax.get-intern-sub-cats') }}',
                    type: "post",
                    data: data,
                    contentType: false,
                    cache: false,
                    processData: false, // <==
                    timeout: 3000,
                    beforeSend: function () {
                        $('#modal_client').empty().append(loader);
                    },
                    success: function (data) {
                        $('#intern-subcat-div').empty().append(data.data);
                    },
                    error: function (xhr) {
                        var error = '<ul class="alert alert-danger">';
                        $.each(xhr.responseJSON.errors, function (index, value) {
                            error += '<li>' + value + '</li>';
                        });
                        error += "</ul>";
                        $('#currentErrorMessage').append(error);
                    },
                    complete: function () {

                    }
                });
            }




        </script>
    <script>
        $('.selectpicker').selectpicker({
            size: 8
        });
    </script>
    <script>
        var loadFile = function (event) {
            var output = document.getElementById('output');
            output.src = URL.createObjectURL(event.target.files[0]);
        };
    </script>
@stop

