@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">
            <div class="row">
                <div class="col-md-12">

                    @if (session('success'))
                        <p class="alert alert-success text-center">{{ session('success') }}</p>
                    @endif

                    @if (session('error'))
                        <p class="alert alert-danger text-center">{{ session('error') }}</p>
                    @endif

                    <div id="messages"></div>


                    <h1 class="text-primary">الأصناف</h1>

                </div>


                <div class="col-xs-12 col-md-12">
                    <form action="">

                        <div class="col-md-12">
                            <div class="row" style="margin-bottom: 10px;">

                                <div class="col-md-6">
                                    <div class="row">

                                        <label class="col-md-4" for="">{{trans('native.Search _items')}}:</label>
                                        <div class="col-md-7">
                                            <input class="form-control" type="text" name="name" id="name"
                                                   style="border-radius: 10px;" value="{{request('name')}}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <label for="" class="col-md-4">{{trans('native.Classification')}} :</label>
                                    <div class="col-md-7">

                                        <select class="form-control" name="sale_unit" id="sale_unit"
                                                style="border-radius: 10px;">

                                            <option value="">{{trans('native.Categories')}}</option>

                                            @if (count($cats)  > 0)


                                                @foreach($cats as $cat)
                                                    <option @if (request('sale_unit') == $cat->id) selected
                                                            @endif value="{{$cat->id}}">{{$cat->name}}</option>
                                                @endforeach
                                            @endif

                                        </select>
                                    </div>

                                </div>
                            </div>

                        </div>
                        <div class="clearfix"></div>
                        <div class="col-md-12">
                            <div class="row" style="margin-bottom: 10px;">
                                <div class="col-md-6">
                                    <div class="row">

                                        <label class="col-md-4" for="">{{trans('native.supplier')}}:</label>
                                        <div class="col-md-7">

                                            <select class="form-control" name="supplier_id" id="supplier_id"
                                                    style="border-radius: 10px;">

                                                <option value="">{{trans('native.supplier')}}</option>

                                                @if (count($suppliers)  > 0)


                                                    @foreach($suppliers as $supplier)
                                                        <option @if (request('supplier_id') == $supplier->id)selected
                                                                @endif value="{{$supplier->id}}">{{$supplier->supplier_name}}</option>
                                                    @endforeach
                                                @endif

                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <label for="" class="col-md-4">{{trans('native.store')}} :</label>
                                    <div class="col-md-7">

                                        <select class="form-control" name="store_id" id="store_id"
                                                style="border-radius: 10px;">

                                            <option value="">{{trans('native.select_store')}}</option>

                                            @if (count($stores)  > 0)


                                                @foreach($stores as $store)
                                                    <option @if (request('$store') == $store->id) selected @endif value="{{$store->id}}">{{$store->store_name}}</option>
                                                @endforeach
                                            @endif

                                        </select>
                                    </div>

                                </div>
                            </div>

                        </div>
                        <div class="col-md-12 ">
                            <div class="row" style="margin-bottom: 10px">
                                <div class="col-md-2 col-md-push-6">
                                    <button class="btn btn-block btn-info" type="submit" style="border-radius:10px; ">
                                        {{trans('native.search')}}
                                        <i class="fa fa-search"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="col-xs-12 col-md-12">

                    <div class="row">
                        <div class="col-md-12">
                            <table class="table table-responsive table-hover table-bordered" role="presentation">

                                <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th data-sort="The-code">{{trans('native.The-code')}}</th>
                                    <th scope="col">{{trans('native.about')}}</th>
                                    <th scope="col">{{trans('native.quantity')}}</th>
                                    <th data-sort="The-price">{{trans('native.The-price')}}</th>
                                    <th scope="col">{{trans('native.Classification')}}</th>
                                    <th scope="col">{{trans('native.supplier')}}</th>
                                    @if ($_SESSION['edit_items'] =='1')
                                        <th scope="col">{{trans('native.edit_group_quant')}}</th>
                                    @endif
                                </tr>
                                </thead>

                                <tbody>

                                @foreach($groups as $group)
                                    <tr>
                                        <td>{{$loop->iteration}}</td>
                                        <td>{{$group->group_name}}</td>
                                        <td>{{$group->about}}</td>
                                        <td>{{$group->Item->sum('quantity')}}</td>
                                        <td>{{$group->sale_price}}</td>
                                        <td>{{$group->name}}</td>
                                        <td>{{$group->supplier_name}}</td>


                                        @if ($_SESSION['edit_items'] =='1')
                                            <th scope="col">
                                                <a class="btn btn-success"

                                                   href="{{config('main.badr').'items/color_size_table.php?id='.$group->id}}"
>
                                                    {{trans('native.edit_group_quant')}}
                                                    <i class="fa fa-pencil-square-o"></i>
                                                </a>
                                            </th>
                                        @endif
                                    </tr>
                                @endforeach


                                </tbody>

                            </table>
                            <div class="text-center">
                                {{--                              {!! $items->links() !!}--}}
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>


    <div class="modal fade" id="deleteElementModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">

                <form id="deleteElementForm" action="{{ route('items.destroy') }}" method="post">

                    {{ csrf_field() }}
                    <div class="modal-body" id="modal-loader-u">
                        <p>انت علي وشك الحذف. </p>
                        <p>عند التأكيد سوف يتم حذف هذا البيان والبيانات الاخري المرتبطة به</p>
                        <p>هل تريد الحذف؟</p>
                        <div id="deleteElementLoader" style="alignment: center;"></div>
                        <div id="deleteElementErrors" style="alignment: left;"></div>
                    </div>

                    <div class="deleteRef"></div>
                    <div class="modal-footer">
                        <button type="button"
                                class="btn btn-default"
                                data-dismiss="modal">{{ trans('extends.close') }}
                        </button>
                        <button class="btn btn-danger" type="submit">{{ trans('extends.delete-btn') }} </button>
                    </div>

                </form>

            </div>
        </div>
    </div>

@stop

@section('js-scripts')

    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script>

        $(document).ready(function () {

            var loader = "<div align='center' id='loader'>" +
                "<i class='fa fa-spinner fa-pulse fa-3x fa-fw'></i>" +
                "</div><br>";

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                    type: "GET",
                    data: null,
                    contentType: false,
                    cache: false,
                    processData: false,
                    timeout: 3000,
                }
            });

            $('#deleteElementModal').on('show.bs.modal', function (e) {

                hashedID = $(e.relatedTarget).data('href');

                $('#deleteElementLoader').empty();
                $('#deleteElementErrors').empty();
                $('#error').remove();
                $('.deleteRef').empty().append('<input name="item_id" value="' + hashedID + '" type="hidden">');

            });

            $(document).on('submit', '#deleteElementForm', function (e) {
                e.preventDefault();

                $.ajax({
                    url: '{{ route('items.destroy') }}',
                    type: "post",
                    data: new FormData($('#deleteElementForm')[0]),
                    contentType: false,
                    cache: false,
                    processData: false, // <==
                    timeout: 3000,
                    beforeSend: function () {

                    },
                    success: function (data) {
                        $('#deleteElementModal').modal('toggle');
                        $('#item-row-' + hashedID).fadeOut('slow');
                        $('#messages').empty().append('<p class="alert alert-success text-center">تم الحذف بنجاح</p>');
                    },
                    error: function (xhr) {
                        var error = '<ul class="alert alert-danger">';
                        $.each(xhr.responseJSON.errors, function (index, value) {
                            error += '<li>' + value + '</li>';
                        });
                        error += "</ul>";
                        $('#currentErrorMessage').append(error);
                    },
                    complete: function () {

                    }


                });

            });
        });

    </script>

@stop

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

    <style>
        .special {
            font-weight: bold !important;
            color: #fff !important;
            background: #bc0000 !important;
            text-transform: uppercase;
        }
    </style>
@stop
