@extends('master::layouts.master')

@section('content')

    <div class="wrapper">
        <div class="container">
            <div class="row">

                @include('master::layouts.messages')

                <div class="col-md-12">
                    <div id="currentErrorMessage"></div>
                    <h1 class="title-page inline-block">
                        تعديل الصنف: {{ $item->item_name }}
                    </h1>
                    <div class="clearfix"></div>
                </div>
                <form id="edit_item_form" class="form-horizontal" action="{{ route('items.update', [$item->id]) }}"
                      method="post"
                      enctype="multipart/form-data">
                    {{ csrf_field() }}

                    <input name="item_id" type="hidden" value="{{ $item->id }}">

                    <div class="row">
                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="item_name"> اسم الصنف :</label>
                                    <input type="text" class="form-control col-md-9" name="item_name"
                                           id="item_name" value="{{ $item->item_name }}"/>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="about"> وصف الصنف :</label>
                                    <input type="text" class="form-control col-md-9"
                                           value="{{ $item->about }}" name="about" id="about"/>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="about"> الباركود :</label>
                                    <input type="text" value="{{ $item->barcode }}" class="form-control col-md-9"
                                           name="barcode[]" id="barcode"/>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="row">
                                <div class="col-md-4">
                                    <a href="javascript:void(0)" id="new-barcode-btn" class="btn btn-info"
                                       style="margin-right: 2em;"><i
                                                class="fa fa-plus-circle"></i>اضافة باركود؟
                                    </a>
                                </div>
                                <div class="col-md-8">
                                    <ul class="list-inline barcode-list">
                                        @foreach($sub_units_bars as $sub_unit_item)
                                            <li class="@if ($sub_unit_item->isFree()) bg-info @else bg-warning @endif h4"
                                                id="l-{{ $sub_unit_item->unit_barcode }}">

                                                @if ($sub_unit_item->isFree())

                                                    <a href="javascript:void(0)" class="text-danger delete"
                                                       data-ope="{{ $sub_unit_item->unit_barcode }}">x</a>

                                                @endif

                                                <i id="' + $('#new-barcode').val() + '">{{ $sub_unit_item->unit_barcode }}</i>
                                            </li>

                                        @endforeach
                                    </ul>
                                    <div id="barcodes">
                                        @foreach($sub_units_bars as $sub_unit_i)
                                            <input type="hidden" id="h-{{ $sub_unit_i->unit_barcode }}" name="barcode[]"
                                                   value="{{ $sub_unit_i->unit_barcode }}-{{ $sub_unit_i->id }}">
                                        @endforeach
                                    </div>
                                    <div id="new-barcodes">

                                    </div>


                                </div>

                            </div>
                        </div>

                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">

                                <label class="control-label col-md-3">رف المخزن:</label>

                                <select id="shelf" class="form-control col-md-9 selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}"
                                        data-live-search="true" name="shelf">
                                    <option value="0"></option>
                                    @foreach($shelves as $shelf)
                                        @if ($item->shelf == $shelf->id)
                                            <option selected value="{{ $shelf->id }}">{{ $shelf->shelf_name }}</option>
                                        @else
                                            <option value="{{ $shelf->id }}">{{ $shelf->shelf_name }}</option>
                                        @endif
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <a href="javascript:void(0)" id="new-shelf-btn" class="btn btn-info"
                               style="margin-right: 2em;"><i
                                        class="fa fa-plus-circle"></i>اضافة رف؟
                            </a>
                        </div>

                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="supplier_id"> المورد :</label>
                                    <select data-live-search="true" multiple
                                            class="form-control col-md-9 selectpicker" name="supplier_id[]" data-none-selected-text="{{ trans('native.no-selected') }}"
                                            id="supplier_id">
                                        <option></option>
                                        @foreach($suppliers as $supplier)

                                            @if (in_array($supplier->id, $suppliers_array))
                                                <option selected
                                                        value="{{ $supplier->id }}">{{ $supplier->supplier_name }}</option>
                                            @else
                                                <option value="{{ $supplier->id }}">{{ $supplier->supplier_name }}</option>
                                            @endif
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="row">
                                <a href="javascript:void(0)" id="new-supplier-btn" class="btn btn-info"
                                   style="margin-right: 2em;"><i
                                            class="fa fa-plus-circle"></i>اضافة مورد؟
                                </a>

                            </div>
                        </div>


                    </div>


                    <div class="row">
                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="quantity"> الكمية :</label>
                                    <input type="text" value="{{ $item->quantity }}" class="form-control col-md-9"
                                           name="quantity" id="quantity"/>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="min_quantity"> الحد الأدني :</label>
                                    <input type="text" class="form-control col-md-9" name="min_quantity"
                                           id="min_quantity" value="{{ $item->min_quantity }}"/>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">

                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group" id="sale_unit_div">
                                    <label class="control-label col-md-3" for="sale_unit"> التصنيف :</label>
                                    <select class="form-control col-md-9" name="sale_unit"
                                            id="sale_unit">
                                        @foreach($main_cats as $cat)
                                            @if ($cat->id == $item->sale_unit)
                                                <option selected value="{{ $cat->id }}">{{ $cat->name }}</option>
                                            @else
                                                <option value="{{ $cat->id }}">{{ $cat->name }}</option>
                                            @endif
                                            {!! getSubCatOptionsWithSelected($cat->id, $item->sale_unit) !!}
                                        @endforeach

                                    </select>
                                </div>
                            </div>
                        </div>

                    </div>

                    @if ($items_company != 0)
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="company_id"> قائمة أسعار متغيره:</label>
                                    <select data-live-search="true"
                                            class="form-control col-md-9 selectpicker" name="company_id" data-none-selected-text="{{ trans('native.no-selected') }}"
                                            id="company_id">
                                        <option value="0"></option>
                                        @foreach($companies as $company)
                                            @if ($company->id == $item->company_id)
                                                <option selected
                                                        value="{{ $company->id }}">{{ $company->company_name }}</option>
                                            @else
                                                <option value="{{ $company->id }}">{{ $company->company_name }}</option>
                                            @endif
                                        @endforeach
                                    </select>
                                </div>

                            </div>

                            <div class="col-md-6">
                                <div class="row">
                                    <a href="javascript:void(0)" id="new-company-btn" class="btn btn-info"
                                       style="margin-right: 2em;"><i
                                                class="fa fa-plus-circle"></i>اضافة قائمة؟
                                    </a>

                                </div>
                            </div>


                        </div>
                    @endif

                    <div class="row">
                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="pay_price"> سعر الشراء :</label>
                                    <input type="text" class="form-control col-md-9" name="pay_price"
                                           value="{{ $item->pay_price }}" id="pay_price"/>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="pay_date"> تاريخ الشراء :</label>
                                    <input type="text" class="form-control col-md-9 date" name="pay_date"
                                           value="{{ $item->pay_date }}" id="pay_date"/>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="sale_price"> سعر البيع :</label>
                                    <input type="text" class="form-control col-md-9" name="sale_price"
                                           value="{{ $item->sale_price }}" id="sale_price"/>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-3" for="lowest_price"> أقل سعر بيع :</label>
                                    <input type="text" class="form-control col-md-9" name="lowest_price"
                                           value="{{ $item->lowest_price }}" id="lowest_price"/>
                                </div>
                            </div>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label col-md-3" for="unit_id"> الوحدة الاساسية :</label>
                                <select data-live-search="true" id="unit_id"
                                        class="form-control selectpicker col-md-9" name="unit_id" data-none-selected-text="{{ trans('native.no-selected') }}">
                                    <option></option>
                                    @foreach($units as $unit_)

                                        @if ($unit_->id == $item->unit_id)
                                            <option selected value="{{ $unit_->id }}"
                                                    data-name="{{ $unit_->name }}">{{ $unit_->name }}</option>
                                        @else
                                            <option value="{{ $unit_->id }}"
                                                    data-name="{{ $unit_->name }}">{{ $unit_->name }}</option>
                                        @endif
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        @if ($unit_subs == 1)
                            <div class="col-md-6">
                                <div class="row">
                                    <a href="javascript:void(0)" class="btn btn-info" style="margin-right: 2em;"
                                       id="add-sub-units"><i
                                                class="fa fa-plus-circle"></i>وحدات فرعية؟
                                    </a>
                                </div>
                            </div>
                        @endif


                    </div>

                    @if ($all_sub_units->count())
                        <div class="row">
                            <div id="sub_units_inputs">
                                @foreach($all_sub_units as $sub_u)

                                    <?php
                                    $data_hidden = '<input type="hidden" id="input-' . $sub_u->unit_barcode . '-' . $sub_u->unit_id . '" name="sub_units[]"
                                                       value="' . $sub_u->id . '-' . $sub_u->unit_barcode . '-' . $sub_u->unit_id . '-' . $sub_u->unit_price . '-' . $sub_u->unit_type . '-' . $sub_u->unit_value . '-' . $sub_u->Screenhidden . '">';
                                    ?>
                                    {!! $data_hidden !!}
                                @endforeach

                            </div>
                            <div class="col-md-12">
                                <table class="table table-responsive table-bordered table-hover" id="sub_units" role="presentation">
                                    <thead>
                                    <th class="text-center">الوحدة</th>
                                    <th class="text-center">مقابل الوحدة الاساسية</th>
                                    <th class="text-center">سعر الوحدة</th>
                                    <th class="text-center">الباركود</th>
                                    <th class="text-center"></th>
                                    </thead>
                                    <tbody>

                                    @foreach($all_sub_units as $sub_unit)

                                        <?php $data = '
                                        <tr class="info text-center"
                                            id="' . $sub_unit->unit_barcode . '-' . $sub_unit->unit_id . '">';

                                        $data .= '
                                            <td>' . $sub_unit->name . '</td>
                                            ';
                                        $data .= '
                                            <td>' . quant_decimal($sub_unit->unit_value) . '</td>
                                            ';
                                        $data .= '
                                            <td>' . price_decimal($sub_unit->unit_price) . '</td>
                                            ';
                                        $data .= '
                                            <td>' . $sub_unit->unit_barcode . '</td>
                                            ';
                                        $data .= '
                                            <td>

<a class="btn btn-md btn-warning" data-toggle="modal"
                                                           data-target="#updateSubUnitElementModal"
                                                           data-href="' . $sub_unit->id . '"
                                                           style="margin-left:5px;">
	<span class="glyphicon glyphicon-pencil" data-toggle="tooltip"
          data-placement="top" title="Remove this Element">تعديل </span>
                                                        </a>
';
                                        if ($sub_unit->isFree()) {
                                            $data .= '<a href="javascript:void(0)" class="btn btn-danger delete-sub-unit"
                                                   data-barcode="' . $sub_unit->unit_barcode . '"
                                                   data-unit="' . $sub_unit->unit_id . '">حذف</a>
                                      ';
                                        }

                                        $data .= '</td></tr>'; ?>

                                        {!! $data !!}


                                    @endforeach


                                    </tbody>
                                </table>
                            </div>

                        </div>
                    @endif

                    <div id="new_sub_units"></div>

                    <div class="row">
                        <div class="col-md-6">
                            <div class="row">
                                <div class="form-group">
                                    <label class="control-label col-md-4" for="expire_date"> تاريخ انتهاء الصلاحية
                                        :</label>
                                    <input type="text" class="form-control col-md-8 date_" name="expire_date"
                                           value="{{ $item->expire_date }}" id="expire_date"/>
                                </div>
                            </div>
                        </div>
                    </div>

                    @if ($color_size != 0)

                        <div class="row">
                            <h4>تحديد مقاسات والوان الصنف</h4>
                            <div class="col-md-4">
                                <div class="row">
                                    <div class="form-group">
                                        <label class="control-label col-md-3" for="expire_date"> المقاسات
                                            :</label>
                                        <select data-live-search="true" id="size_id"
                                                class="form-control selectpicker col-md-9" name="sizes[]" multiple data-none-selected-text="{{ trans('native.no-selected') }}">
                                            <option value="0"></option>
                                            @foreach($sizes as $size)
                                                @if (in_array($size->id, $size_array))
                                                    <option selected value="{{ $size->id }}"
                                                            data-name="{{ $size->size_name }}">{{ $size->size_name }}</option>
                                                @else
                                                    <option value="{{ $size->id }}"
                                                            data-name="{{ $size->size_name }}">{{ $size->size_name }}</option>

                                                @endif


                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-2">
                                <a href="javascript:void(0)" class="btn btn-info" style="margin-right: 2em;"
                                   id="new-size-btn"><i
                                            class="fa fa-plus-circle"></i>اضافة مقاس
                                </a>
                            </div>


                            <div class="col-md-4">
                                <div class="row">
                                    <div class="form-group">
                                        <label class="control-label col-md-3" for="expire_date"> الألوان
                                            :</label>
                                        <select data-live-search="true" id="color_id"
                                                class="form-control selectpicker col-md-9" name="colors[]" multiple data-none-selected-text="{{ trans('native.no-selected') }}">
                                            <option value="0"></option>
                                            @foreach($colors as $color)
                                                @if (in_array($color->id, $color_array))
                                                    <option selected value="{{ $color->id }}"
                                                            data-name="{{ $color->color_name }}">{{ $color->color_name }}</option>

                                                @else
                                                    <option value="{{ $color->id }}"
                                                            data-name="{{ $color->color_name }}">{{ $color->color_name }}</option>


                                                @endif


                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-2">
                                <a href="javascript:void(0)" class="btn btn-info" style="margin-right: 2em;"
                                   id="new-color-btn"><i
                                            class="fa fa-plus-circle"></i>اضافة لون
                                </a>
                            </div>

                        </div>
                        <hr>
                    @endif


                    @if ($multi_price != 0)
                        <div class="row">
                            @if ($pricesList->count())

                                <h4>قوائم الأسعار</h4>
                                @foreach($pricesList as $price)

                                    <div class="col-md-4">
                                        <div class="form-inline">
                                            <label class="control-label" for="prices"> {{ $price->list_name }} :</label>
                                            <input type="text" class="form-control" value="{{ $price->price }}"
                                                   name="price-{{ $price->id }}"/>
                                        </div>
                                    </div>

                                @endforeach

                            @endif

                        </div>
                        <hr>
                    @endif

                    @if ($bolla != 0)

                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label col-md-4" for="bolla"> عمولة البائع
                                        :</label>
                                    <input type="text" class="form-control col-md-8" name="bolla"
                                           value="{{ $item->bolla }}" id="bolla"/>
                                </div>
                            </div>
                        </div>

                    @endif

                    @if ($module == 7)

                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label col-md-4" for="meter_ceramic">
                                        الأمتار بالكرتونة :
                                    </label>
                                    <input type="text" class="form-control col-md-8" name="meter_ceramic"
                                           value="{{ $item->meter_ceramic }}" id="meter_ceramic"/>
                                </div>
                            </div>
                        </div>

                    @endif

                    @if ($module == 6)
                        <hr>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="row">
                                    <div class="form-group">
                                        <label class="control-label col-md-3" for="background_color"> لون الخلفية
                                            :</label>
                                        <input type="text" class="form-control col-md-9 jscolor" name="background_color"
                                               value="{{ $item->background_color }}" id="background_color"/>
                                    </div>
                                </div>

                            </div>
                            <div class="col-md-6">
                                <div class="row">
                                    <div class="form-group">
                                        <label class="control-label col-md-3" for="order_show"> ترتيب الظهور :</label>
                                        <input type="text" class="form-control col-md-9" name="order_show"
                                               value="{{ $item->order_show }}" id="order_show"/>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <hr>

                    @endif

                    <div class="row">

                        <div class="col-md-3">
                            <div class="form-inline">
                                <label class="control-label" for="available"> اظهار بالجرد :</label>
                                <input type="checkbox" class="form-control" name="available" id="available"
                                       @if ($item->available == 1) checked @endif
                                />
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-inline">
                                <label class="control-label" for="online"> اظهار اونلاين :</label>
                                <input type="checkbox" class="form-control" name="online" id="online"
                                       @if ($item->online == 1) checked @endif
                                />
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-inline">
                                <label class="control-label" for="is_service"> خدمة :</label>
                                <input type="checkbox" class="form-control" name="is_service" id="is_service"
                                       @if ($item->is_service == 1) checked @endif
                                />
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-inline">
                                <label class="control-label" for="game"> لعبة بوقت :</label>
                                <input type="checkbox" class="form-control" name="game" id="game"
                                       @if ($item->game == 1) checked @endif
                                />
                            </div>
                        </div>
                        @if ($module == 6)
                            <div class="col-md-3">
                                <div class="form-inline">
                                    <label class="control-label" for="cooking_add">إضافة علي الصنف:</label>
                                    <input type="checkbox" class="form-control" name="cooking_add" id="cooking_add"
                                           @if ($item->cooking_add == 1) checked @endif
                                    />
                                </div>
                            </div>
                        @endif
                        @if ($module == 8 && $show_item_serial != 0)
                            <div class="col-md-3">
                                <div class="form-inline">
                                    <label class="control-label" for="require_serial">طلب مسلسل :</label>
                                    <input type="checkbox" class="form-control" name="require_serial"
                                           id="require_serial" @if ($item->require_serial == 1) checked @endif />
                                </div>
                            </div>
                        @endif
                    </div>


                    <?php

                    if ($module == 13){
                        ?>

                                        <div class="row">
                                        <!--الكمية المستهلكة للسيارات  -->
                                        <div class="col-md-4">
                                        <div class="form-inline">
                                        <label><?php echo trans('native.qty_for_small_car');?> : </label>
                                        <input type="text" class="form-control numbercheck" name="small_qty" id="small_qty" value="{{ $item->used_for_small }}"/>
                                        </div>
                                        </div>
                                        <div class="col-md-4">
                                        <div class="form-inline">
                                        <label><?php echo trans('native.qty_for_medium_car');?> : </label>
                                        <input type="text" class="form-control numbercheck" name="medium_qty" id="medium_qty" value="{{ $item->used_for_medium }}"/>
                                        </div>
                                        </div>
                                        <div class="col-md-4">
                                        <div class="form-inline">
                                        <label><?php echo trans('native.qty_for_large_car');?> : </label>
                                        <input type="text" class="form-control numbercheck" name="large_qty" id="large_qty" value="{{ $item->used_for_large }}"/>
                                        </div>
                                        </div>

                                        </div>
                    <?php
                                    }

                    ?>


                    @if ($module == 8)
                        <hr>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="row">
                                    <div class="form-group">
                                        <label class="control-label col-md-3" for="card_company_id"> شركات الشحن
                                            :</label>
                                        <select data-live-search="true" id="card_company_id"
                                                class="form-control selectpicker col-md-9" name="card_company_id" data-none-selected-text="{{ trans('native.no-selected') }}">
                                            <option value="0"></option>
                                            @foreach($cardCompany as $card)

                                                @if ($card->id == $item->card_company_id)
                                                    <option selected value="{{ $card->id }}"
                                                            data-name="{{ $card->company_name }}">{{ $card->company_name }}</option>
                                                @else
                                                    <option value="{{ $card->id }}"
                                                            data-name="{{ $card->company_name }}">{{ $card->company_name }}</option>
                                                @endif
                                            @endforeach
                                        </select>

                                    </div>
                                </div>
                            </div>


                            <div class="col-md-6">
                                <div class="row">
                                    <a href="javascript:void(0)" class="btn btn-info" style="margin-right: 2em;"
                                       id="new-color-btn"><i
                                                class="fa fa-plus-circle"></i>اضافة شركة
                                    </a>
                                </div>
                            </div>

                        </div>
                        <hr>

                    @endif


                    <div class="row">

                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label" for="details"> التفاصيل :</label>
                                <textarea class="form-control" name="details" id="details" rows="7">
                                    {{ $item->details }}
                                </textarea>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="row">

                                <div class="col-md-4">
                                    <div class="form-group" style="margin-top: 66px; margin-right: 2em;">
                                        <label class="control-label" for="game"> صورة الصنف :</label>
                                        <input type="file" name="images" accept="image/*" onchange="loadFile(event)">
                                    </div>
                                </div>
                                <div class="col-md-8">
                                    <img id="output" width="150" style="margin-right: 4em; margin-top: 20px;"
                                         src="{{ config('main.base_url').'upload/'.$item->img }}"/>
                                </div>
                            </div>
                        </div>
                    </div>


                    <button class="btn btn-success">حفظ</button>

                </form>
                <div class="clearfix"></div>
                <div class="col-md-12">
                    <input type="hidden" name="date_now" id="date_now">
                    <div id="dataContent"></div>

                </div>
            </div>
        </div>
    </div>


    @include('category::popups')

@stop

@section('css-scripts')
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    {{--    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">--}}
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/jquery.bootstrap.treeselect.css') }}" rel="stylesheet" type="text/css">


    <style>
        .not-valid {
            border-color: red !important;
        }
    </style>
@stop
@section('js-scripts')

    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('tickets/js/jquery.bootstrap.treeselect.js') }}"></script>

    <script>

        $('#sale_unit').treeselect();

    </script>

    <script>

        $(document).ready(function () {
            $('#details').val('');
            $('#details').val('{{ $item->details }}');
            $(document).scrollTop(0);

            $('#sale_unit_div').find("button").parent().addClass("col-md-9");
            $('#sale_unit_div').find("ul").css("text-align", "left");
            $('#sale_unit_div').find("ul").first().css("width", "100%");
            $('#sale_unit_div').find("button").css("width", "100%");


        });

        $(function () {
            if ('{{ get_session_val('date_type', 'Integer') }}' ==  '2') {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    defaultDate: "0",
                    selectDefaultDate: true
                });

                $(".date_").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',

                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    defaultDate: "0",
                    selectDefaultDate: true

                });
                $(".date_").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',


                });
            }

        })
    </script>

    <script>

        var loader = "<div align='center' id='loader'>" +
            "<i class='fa fa-spinner fa-pulse fa-5x fa-fw'></i>" +
            "</div><br>";

        var decimal_value = '{{ $price_decimal }}';

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                type: "GET",
                data: null,
                contentType: false,
                cache: false,
                processData: false,
                timeout: 3000,
            }
        });

        $('#item_name').focusout(function () {
            $('#about').val($('#item_name').val());
        });

        $('#sale_price').focusout(function () {
            $('.prices').val($('#sale_price').val());
        });


        $(document).on('click', '#new-supplier-btn', function (e) {
            e.preventDefault();
            $('#new-supplier-modal').modal('show');
        });

        $('#new-supplier-form-modal').on('submit', function (e) {

            e.preventDefault();

            data = new FormData($('#new-supplier-form-modal')[0]);
            $.ajax({
                url: '{{ route('items.supplier.store') }}',
                type: "post",
                data: data,
                contentType: false,
                cache: false,
                processData: false, // <==
                timeout: 3000,
                beforeSend: function () {
                    $('#modal_client').empty().append(loader);
                },
                success: function (data) {

                    $(document).find('#supplier_id').prev('div').find('ul').append(data.list);
                    $(document).find('#supplier_id').append(data.option);

                    $('.selectpicker').selectpicker('refresh');

                    $('#currentErrorMessage').empty().append('<p class="alert alert-success text-center">تم الحفظ بنجاح</p>');

                    $('#new-supplier-modal').modal('toggle');
                },
                error: function (xhr) {
                    var error = '<ul class="alert alert-danger">';
                    $.each(xhr.responseJSON.errors, function (index, value) {
                        error += '<li>' + value + '</li>';
                    });
                    error += "</ul>";
                    $('#currentErrorMessage').append(error);
                },
                complete: function () {

                }
            });

        });

        $(document).on('click', '#new-barcode-btn', function (e) {

            e.preventDefault();

            if ($('#barcode').val() == '') {
                $('#barcode').focus();
            } else {
                $('#new-barcode-modal').modal('show');
            }

        });

        $('#add-barcode-btn').on('click', function (e) {
            $('#barcodes').append('<input type="hidden" id="h-' + $('#new-barcode').val() + '" name="n_barcode[]" value="' + $('#new-barcode').val() + '">');

            $('.barcode-list').append('<li class="bg-info h4" id="l-' + $('#new-barcode').val() + '">' +
                '<a href="javascript:void(0)" class="text-danger delete" data-ope="' + $('#new-barcode').val() + '">x</a>' +
                '<i id="' + $('#new-barcode').val() + '">' + $('#new-barcode').val() + '</i>' +
                '</li>');

            $('#new-barcode').val('');
            $('#new-barcode-modal').modal('toggle');
        });

        $(document).on('click', '.delete', function () {
            rel = $(this).data('ope');
            $('#h-' + rel).remove();
            $('#l-' + rel).remove();
        });


        $(document).on('click', '.delete-sub-unit', function () {
            barcode = $(this).data('barcode');
            unit = $(this).data('unit');
            $('#' + barcode + '-' + unit).remove();
            $('#input-' + barcode + '-' + unit).remove();

        });


        $(document).on('click', '#subcat-show', function () {
            if ($('#sale_unit').val() == '') {
                // $('#sale_unit').trigger('mousedown');
                alert('اختار التصنيف');
                // $('#sale_unit').selectpicker('show');
            } else {
                var main_id = $('#sale_unit').val();
                getSubCats(main_id);
            }
        });

        $(document).on('click', '#intern-subcat-show', function () {
            if ($('#sale_unit').val() == '') {
                // $('#sale_unit').trigger('mousedown');
                alert('اختار التصنيف');
                // $('#sale_unit').selectpicker('show');
            } else if ($('#sub-cat-items').val() == '' || $('#sub-cat-items').val() == null) {
                alert('اختار التصنيف الفرعي');
            } else {
                var sub_id = $('#sub-cat-items').val();
                getInternCats(sub_id);
            }
        });


        $(document).on('change', '#sale_unit', function () {
            var main_id = $('#sale_unit').val();
            if (main_id != '') {
                getSubCats(main_id);
            }
        });

        $(document).on('change', '#sub-cat-items', function () {
            var sub_id = $('#sub-cat-items').val();
            if (sub_id != '' || sub_id != null) {
                getInternCats(sub_id);
            }
        });

        function getSubCats(id) {
            data = new FormData();
            data.append('main_id', id);
            data.append('_token', '{{ csrf_token() }}');
            $.ajax({
                url: '{{ route('items.ajax.get-sub-cats') }}',
                type: "post",
                data: data,
                contentType: false,
                cache: false,
                processData: false, // <==
                timeout: 3000,
                beforeSend: function () {
                    $('#modal_client').empty().append(loader);
                },
                success: function (data) {
                    $('#subcat-div').empty().append(data.data);
                    $('#intern-subcat-div').removeClass('hidden');
                },
                error: function (xhr) {
                    var error = '<ul class="alert alert-danger">';
                    $.each(xhr.responseJSON.errors, function (index, value) {
                        error += '<li>' + value + '</li>';
                    });
                    error += "</ul>";
                    $('#currentErrorMessage').append(error);
                },
                complete: function () {

                }
            });
        }


        function getInternCats(id) {
            data = new FormData();
            data.append('main_id', id);
            data.append('_token', '{{ csrf_token() }}');
            $.ajax({
                url: '{{ route('items.ajax.get-intern-sub-cats') }}',
                type: "post",
                data: data,
                contentType: false,
                cache: false,
                processData: false, // <==
                timeout: 3000,
                beforeSend: function () {
                    $('#modal_client').empty().append(loader);
                },
                success: function (data) {
                    $('#intern-subcat-div').empty().append(data.data);
                    $('#intern-subcat-div').removeClass('hidden');
                },
                error: function (xhr) {
                    var error = '<ul class="alert alert-danger">';
                    $.each(xhr.responseJSON.errors, function (index, value) {
                        error += '<li>' + value + '</li>';
                    });
                    error += "</ul>";
                    $('#currentErrorMessage').append(error);
                },
                complete: function () {

                }
            });
        }


        $(document).on('click', '#add-sub-units', function () {

            $('#modal_unit_barcode').val('');
            $('#modal_unit_price').val('');
            $('#modal_unit_value').val('');
            $('#new-sub-unit-modal').modal('show');
        });


        $(document).on('click', '#add-new-sub-unit-btn', function () {

            var data = new FormData($('#new-sub-unit-form-modal')[0]);
            $.ajax({
                url: '{{ route('items.ajax.get-sub-unit-row') }}',
                type: "post",
                data: data,
                contentType: false,
                cache: false,
                processData: false, // <==
                timeout: 3000,
                beforeSend: function () {
                    $('#modal_client').empty().append(loader);
                },
                success: function (data) {

                    var table_length = $('#sub_units >tbody >tr').length;
                    if (table_length == 0) {
                        $('#sub_units').removeClass('hidden');
                    }
                    $('#sub_units').append(data.data);
                    // $('#sub_units_inputs').append(data.hidden);
                    $('#new_sub_units').append(data.n_hidden);

                    $('#new-sub-unit-modal').modal('toggle');
                },
                error: function (xhr) {
                    var error = '<ul class="alert alert-danger">';
                    $.each(xhr.responseJSON.errors, function (index, value) {
                        error += '<li>' + value + '</li>';
                    });
                    error += "</ul>";
                    $('#currentErrorMessage').append(error);
                },
                complete: function () {

                }
            });
        });


        $(document).on('click', '#new-company-btn', function (e) {
            e.preventDefault();
            $('#new-company-modal').modal('show');
        });

        $('#new-company-form-modal').on('submit', function (e) {

            e.preventDefault();

            data = new FormData($('#new-company-form-modal')[0]);
            $.ajax({
                url: '{{ route('items.company.store') }}',
                type: "post",
                data: data,
                contentType: false,
                cache: false,
                processData: false, // <==
                timeout: 3000,
                beforeSend: function () {
                    $('#modal_client').empty().append(loader);
                },
                success: function (data) {

                    $(document).find('#company_id').prev('div').find('ul').append(data.list);
                    $(document).find('#company_id').append(data.option);

                    $('.selectpicker').selectpicker('refresh');

                    $('#currentErrorMessage').empty().append('<p class="alert alert-success text-center">تم الحفظ بنجاح</p>');

                    $('#new-company-modal').modal('toggle');
                },
                error: function (xhr) {
                    var error = '<ul class="alert alert-danger">';
                    $.each(xhr.responseJSON.errors, function (index, value) {
                        error += '<li>' + value + '</li>';
                    });
                    error += "</ul>";
                    $('#currentErrorMessage').append(error);
                },
                complete: function () {

                }
            });

        });


        $(document).on('click', '#new-color-btn', function (e) {
            e.preventDefault();
            $('#new-color-modal').modal('show');
        });

        $('#new-color-form-modal').on('submit', function (e) {

            e.preventDefault();

            data = new FormData($('#new-color-form-modal')[0]);

            $.ajax({
                url: '{{ route('items.color.store') }}',
                type: "post",
                data: data,
                contentType: false,
                cache: false,
                processData: false, // <==
                timeout: 3000,
                beforeSend: function () {
                    $('#modal_client').empty().append(loader);
                },
                success: function (data) {

                    $(document).find('#card_company_id').prev('div').find('ul').append(data.list);
                    $(document).find('#card_company_id').append(data.option);

                    $('.selectpicker').selectpicker('refresh');

                    $('#currentErrorMessage').empty().append('<p class="alert alert-success text-center">تم الحفظ بنجاح</p>');

                    $('#new-color-modal').modal('toggle');
                },
                error: function (xhr) {
                    var error = '<ul class="alert alert-danger">';
                    $.each(xhr.responseJSON.errors, function (index, value) {
                        error += '<li>' + value + '</li>';
                    });
                    error += "</ul>";
                    $('#currentErrorMessage').append(error);
                },
                complete: function () {

                }
            });

        });


        $(document).on('click', '#new-color-btn', function (e) {
            e.preventDefault();
            $('#new-color-modal').modal('show');
        });

        $('#new-color-form-modal').on('submit', function (e) {

            e.preventDefault();

            data = new FormData($('#new-color-form-modal')[0]);

            $.ajax({
                url: '{{ route('items.color.store') }}',
                type: "post",
                data: data,
                contentType: false,
                cache: false,
                processData: false, // <==
                timeout: 3000,
                beforeSend: function () {
                    $('#modal_client').empty().append(loader);
                },
                success: function (data) {

                    $(document).find('#color_id').prev('div').find('ul').append(data.list);
                    $(document).find('#color_id').append(data.option);

                    $('.selectpicker').selectpicker('refresh');

                    $('#currentErrorMessage').empty().append('<p class="alert alert-success text-center">تم الحفظ بنجاح</p>');

                    $('#new-color-modal').modal('toggle');
                },
                error: function (xhr) {
                    var error = '<ul class="alert alert-danger">';
                    $.each(xhr.responseJSON.errors, function (index, value) {
                        error += '<li>' + value + '</li>';
                    });
                    error += "</ul>";
                    $('#currentErrorMessage').append(error);
                },
                complete: function () {

                }
            });

        });


        $(document).on('click', '#new-size-btn', function (e) {
            e.preventDefault();
            $('#new-size-modal').modal('show');
        });

        $('#new-size-form-modal').on('submit', function (e) {

            e.preventDefault();

            data = new FormData($('#new-size-form-modal')[0]);

            $.ajax({
                url: '{{ route('items.size.store') }}',
                type: "post",
                data: data,
                contentType: false,
                cache: false,
                processData: false, // <==
                timeout: 3000,
                beforeSend: function () {
                    $('#modal_client').empty().append(loader);
                },
                success: function (data) {

                    $(document).find('#size_id').prev('div').find('ul').append(data.list);
                    $(document).find('#size_id').append(data.option);

                    $('.selectpicker').selectpicker('refresh');

                    $('#currentErrorMessage').empty().append('<p class="alert alert-success text-center">تم الحفظ بنجاح</p>');

                    $('#new-size-modal').modal('toggle');
                },
                error: function (xhr) {
                    var error = '<ul class="alert alert-danger">';
                    $.each(xhr.responseJSON.errors, function (index, value) {
                        error += '<li>' + value + '</li>';
                    });
                    error += "</ul>";
                    $('#currentErrorMessage').append(error);
                },
                complete: function () {

                }
            });

        });


        $(document).on('submit', '#new_item_form', function (e) {

            if ($('#item_name').val() == '' || $('#item_name').val() == null) {
                e.preventDefault();
                $('#item_name').focus();
                $('#item_name:focus').addClass('not-valid');
            } else {

                $('#item_name').removeClass('not-valid');
            }

            if ($('#supplier_id').val() == '' || $('#supplier_id').val() == null) {
                e.preventDefault();
                $('select#supplier_id').focus();
                $('select#supplier_id').closest('.bootstrap-select').find('button').addClass('not-valid');
            } else {

                $('select#supplier_id').closest('.bootstrap-select').find('button').removeClass('not-valid');
            }

            if ($('#quantity').val() == '' || $('#quantity').val() == null) {
                e.preventDefault();
                $('#quantity').focus();
                $('#quantity').addClass('not-valid');
            } else {

                $('#quantity').removeClass('not-valid');
            }

            if ($('#sale_unit').val() == '' || $('#sale_unit').val() == null) {
                e.preventDefault();
                $('#sale_unit').focus().select();
                $('select#sale_unit').closest('.bootstrap-select').find('button').addClass('not-valid');
            } else {

                $('select#sale_unit').closest('.bootstrap-select').find('button').removeClass('not-valid');
            }

            if ($('#unit_id').val() == '' || $('#unit_id').val() == null) {
                e.preventDefault();
                $('#unit_id').focus().select();
                $('select#unit_id').closest('.bootstrap-select').find('button').addClass('not-valid');

            } else {

                $('select#unit_id').closest('.bootstrap-select').find('button').removeClass('not-valid');
            }

            if ($('#pay_price').val() == '' || $('#pay_price').val() == null) {
                e.preventDefault();
                $('#pay_price').focus();
                $('#pay_price').addClass('not-valid');
            } else {

                $('#pay_price').removeClass('not-valid');
            }

            if ($('#sale_price').val() == '' || $('#sale_price').val() == null) {
                e.preventDefault();
                $('#sale_price').focus();
                $('#sale_price').addClass('not-valid');
            } else {

                $('#sale_price').removeClass('not-valid');
            }
        });


        $('#updateSubUnitElementModal').on('show.bs.modal', function (e) {
            hashedID = $(e.relatedTarget).data('href');

            var data = {id: hashedID};
            $.ajax({
                url: '{{ route('items.edit-sub-unit') }}',
                type: "get",
                data: data,
                contentType: false,
                cache: false,
                processData: true, // <==
                timeout: 3000,
                beforeSend: function () {
                    $('#updateElementLoader').empty().prepend(loader);
                    $('#updateElementErrors').empty();
                    $('#error').remove();
                    $('#updateElementWell').empty()
                },
                success: function (data) {

                    $('#updateElementWell').empty().prepend(data.data);

                },
                error: function (data) {
                    $('#updateElementLoader').empty();
                    $('#updateElementWell').empty().prepend(error);
                },
                complete: function () {

                }
            });

        });

        $('#edit-sub-unit-form-modal').on('submit', function (e) {

            e.preventDefault();

            data = new FormData($('#edit-sub-unit-form-modal')[0]);
            data.append('sub_id', hashedID);

            $.ajax({
                url: '{{ route('items.update-sub_unit') }}',
                type: "post",
                data: data,
                contentType: false,
                cache: false,
                processData: false, // <==
                timeout: 3000,
                beforeSend: function () {
                    $('#modal_client').empty().append(loader);
                },
                success: function (data) {

                    $('#modal_client').empty();

                    // #update view
                    $('#' + data.row_id).replaceWith(data.data);
                    $('#' + data.input_id).replaceWith(data.hidden);

                    $('#currentErrorMessage').empty().append('<p class="alert alert-success text-center">تم الحفظ بنجاح</p>');

                    $('#updateSubUnitElementModal').modal('toggle');
                },
                error: function (xhr) {
                    var error = '<ul class="alert alert-danger">';
                    $.each(xhr.responseJSON.errors, function (index, value) {
                        error += '<li>' + value + '</li>';
                    });
                    error += "</ul>";
                    $('#currentErrorMessage').append(error);
                },
                complete: function () {

                }
            });

        });


        $(document).on('click', '#new-shelf-btn', function (e) {
            e.preventDefault();
            $('#new-shelf-modal').modal('show');
        });

        $('#new-shelf-form-modal').on('submit', function (e) {

            e.preventDefault();

            data = new FormData($('#new-shelf-form-modal')[0]);

            $.ajax({
                url: '{{ route('items.shelf.store') }}',
                type: "post",
                data: data,
                contentType: false,
                cache: false,
                processData: false, // <==
                timeout: 3000,
                beforeSend: function () {
                    $('#modal_client').empty().append(loader);
                },
                success: function (data) {

                    $(document).find('#shelf').prev('div').find('ul').append(data.list);
                    $(document).find('#shelf').append(data.option);

                    $('.selectpicker').selectpicker('refresh');

                    $('#currentErrorMessage').empty().append('<p class="alert alert-success text-center">تم الحفظ بنجاح</p>');

                    $('#new-shelf-modal').modal('toggle');
                },
                error: function (xhr) {
                    var error = '<ul class="alert alert-danger">';
                    $.each(xhr.responseJSON.errors, function (index, value) {
                        error += '<li>' + value + '</li>';
                    });
                    error += "</ul>";
                    $('#currentErrorMessage').append(error);
                },
                complete: function () {

                }
            });

        });

    </script>

    <script>
        $('.selectpicker').selectpicker({
            size: 8
        });
    </script>


    <script>
        var loadFile = function (event) {
            var output = document.getElementById('output');
            output.src = URL.createObjectURL(event.target.files[0]);
        };
    </script>


    <script src="{{ asset('tickets/js/jscolor.js') }}"></script>


@stop
