@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">
            <div class="row">
                <div class="col-md-12">

                    @if (session('success'))
                        <p class="alert alert-success text-center">{{ session('success') }}</p>
                    @endif

                    @if (session('error'))
                        <p class="alert alert-danger text-center">{{ session('error') }}</p>
                    @endif

                        <div id="messages"></div>


                    <h1 class="text-primary">الأصناف</h1>
                    <a class="btn btn-primary pull-left" href="{{ route('items.create') }}"
                       style="margin-top: -2em; margin-bottom: 1em;">اضافة صنف</a>
                </div>

                <div class="col-xs-12 col-md-12">

                    <div class="row">
                        <div class="col-md-12">
                            <table class="table table-responsive table-hover table-bordered" role="presentation">

                                <thead>
                                <tr class="info">
                                    <th scope="col">{{ trans('extends.name') }}</th>
                                    <th scope="col">الكمية</th>
                                    <th scope="col">السعر</th>
                                    <th scope="col">التصنيف الرئيسي</th>
                                    <th scope="col">التصنيف الفرعي</th>
                                    {{--<th scope="col">المورد</th>--}}
                                    <th scope="col">{{ trans('extends.action') }}</th>
                                </tr>
                                </thead>

                                <tbody>
                                @foreach($items as $item)
                                    <tr data-toggle="collapse" data-target="#demo" id="item-row-{{ $item->id }}">
                                        <td>{{ $item->item_name }}</td>
                                        <td>{{ $item->quantity }}</td>
                                        <td>{{ $item->sale_price }}</td>
                                        <td>{{ $item->main_cat }}</td>
                                        <td>{{ $item->sub_cat }}</td>
{{--                                        <td>{{ $item->supplier }}</td>--}}

                                        <td>
                                            <div class="row">

                                                <div class="col-md-4 hidden">

                                                    <a class="btn btn-md btn-info"
                                                       href="{{ route('items.show', [$item->id]) }}">

                                                    	<span class="glyphicon glyphicon-eye-open" data-toggle="tooltip"
                                                              data-placement="top"
                                                              title="Show this Element">عرض </span>
                                                    </a>

                                                </div>
                                                <div class="col-md-4">


                                                    <a class="btn btn-md btn-warning"
                                                       href="{{ route('items.edit', [$item->id]) }}">

                                                    	<span class="glyphicon glyphicon-edit" data-toggle="tooltip"
                                                              data-placement="top"
                                                              title="Remove this Element">تعديل </span>
                                                    </a>

                                                </div>
                                                <div class="col-md-4">
                                                    <a class="btn btn-md btn-danger" data-toggle="modal"
                                                       data-target="#deleteElementModal"
                                                       data-href="{{ $item->id }}"
                                                       style="margin-left:5px;">
	<span class="glyphicon glyphicon-trash" data-toggle="tooltip"
          data-placement="top" title="Remove this Element">حذف </span>
                                                    </a>
                                                </div>

                                            </div>
                                        </td>
                                    </tr>

                                @endforeach
                                </tbody>

                            </table>
                          <div class="text-center">
                              {!! $items->links() !!}
                          </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>


    <div class="modal fade" id="deleteElementModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">

                <form id="deleteElementForm" action="{{ route('items.destroy') }}" method="post">

                    {{ csrf_field() }}
                    <div class="modal-body" id="modal-loader-u">
                        <p>انت علي وشك الحذف. </p>
                        <p>عند التأكيد سوف يتم حذف هذا البيان والبيانات الاخري المرتبطة به</p>
                        <p>هل تريد الحذف؟</p>
                        <div id="deleteElementLoader" style="alignment: center;"></div>
                        <div id="deleteElementErrors" style="alignment: left;"></div>
                    </div>

                    <div class="deleteRef"></div>
                    <div class="modal-footer">
                        <button type="button"
                                class="btn btn-default"
                                data-dismiss="modal">{{ trans('extends.close') }}
                        </button>
                        <button class="btn btn-danger" type="submit">{{ trans('extends.delete-btn') }} </button>
                    </div>

                </form>

            </div>
        </div>
    </div>

@stop

@section('js-scripts')

    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script>

        $(document).ready(function () {

            var loader = "<div align='center' id='loader'>" +
                "<i class='fa fa-spinner fa-pulse fa-3x fa-fw'></i>" +
                "</div><br>";

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                    type: "GET",
                    data: null,
                    contentType: false,
                    cache: false,
                    processData: false,
                    timeout: 3000,
                }
            });

            $('#deleteElementModal').on('show.bs.modal', function (e) {

                hashedID = $(e.relatedTarget).data('href');

                $('#deleteElementLoader').empty();
                $('#deleteElementErrors').empty();
                $('#error').remove();
                $('.deleteRef').empty().append('<input name="item_id" value="' + hashedID + '" type="hidden">');

            });

            $(document).on('submit', '#deleteElementForm', function (e) {
                e.preventDefault();

                $.ajax({
                    url: '{{ route('items.destroy') }}',
                    type: "post",
                    data: new FormData($('#deleteElementForm')[0]),
                    contentType: false,
                    cache: false,
                    processData: false, // <==
                    timeout: 3000,
                    beforeSend: function () {

                    },
                    success: function (data) {
                        $('#deleteElementModal').modal('toggle');
                        $('#item-row-' + hashedID).fadeOut('slow');
                        $('#messages').empty().append('<p class="alert alert-success text-center">تم الحذف بنجاح</p>');
                    },
                    error: function (xhr) {
                        var error = '<ul class="alert alert-danger">';
                        $.each(xhr.responseJSON.errors, function (index, value) {
                            error += '<li>' + value + '</li>';
                        });
                        error += "</ul>";
                        $('#currentErrorMessage').append(error);
                    },
                    complete: function () {

                    }


                });

            });
        });

    </script>

@stop

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

    <style>
        .special {
            font-weight: bold !important;
            color: #fff !important;
            background: #bc0000 !important;
            text-transform: uppercase;
        }
    </style>
@stop
