@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">
            <div class="row">
                <div class="col-md-12">

                    @if (session('success'))
                        <p class="alert alert-success text-center">{{ session('success') }}</p>
                    @endif

                    @if (session('error'))
                        <p class="alert alert-danger text-center">{{ session('error') }}</p>
                    @endif
                    <div id="messages"></div>
                    <h1 class="text-primary page-title">{{ $item->item_name }}</h1>
                </div>
                <div class="col-xs-12 col-md-11 col-md-offset-1">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <p class="text-info">التصنيف الرئيسي</p>
                                            <blockquote
                                                    style="max-height: 10px; margin-top: -10px;">{{ $item->main_cat }}</blockquote>
                                        </div>
                                        <div class="col-md-12">
                                            <p class="text-info">التصنيف الفرعي</p>
                                            <blockquote
                                                    style="max-height: 10px; margin-top: -10px;">{{ $item->sub_cat }}</blockquote>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <p class="text-info">سعر البيع</p>
                                            <blockquote
                                                    style="max-height: 10px; margin-top: -10px;">{{ $item->sale_price }}</blockquote>
                                        </div>
                                        <div class="col-md-12">
                                            <p class="text-info">سعر الشراء</p>
                                            <blockquote
                                                    style="max-height: 10px; margin-top: -10px;">{{ $item->pay_price }}</blockquote>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <p class="text-info">الوحدة الاساسية</p>
                                            <blockquote
                                                    style="max-height: 10px; margin-top: -10px;">{{ $item->unit }}</blockquote>
                                        </div>
                                        <div class="col-md-12">
                                            <p class="text-info">الباركود</p>
                                            <blockquote
                                                    style="max-height: 10px; margin-top: -10px;">{{ $item->barcode }}</blockquote>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">

                                    <div class="row">
                                        <div class="col-md-12">
                                            <img height="120" src="{{ config('main.base_url').'/'.$item->img }}">
                                        </div>
                                    </div>

                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-3">

                                </div>
                                <div class="col-md-3">

                                </div>
                                <div class="col-md-3">

                                </div>
                                <div class="col-md-3">

                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <h3>الصور</h3>
                                    <button id="new-item-image" style="margin-bottom: 0.2em;" class="btn btn-primary pull-left">اضافة صورة</button>
                                </div>
                                <div class="col-md-12">
                                    <div class="row">

                                        @foreach($item->getImages() as $img)

                                            <div class="col-md-3">
                                                <div style="border-style: solid; border-width: 5px; padding: 2em; max-height:350px;">
                                                    <div class="row">
                                                        <img class="img-responsive"
                                                             src="{{ config('main.base_url').$img->image_link }}"
                                                             style="height: 120px;width: 100%;">
                                                    </div>
                                                    <form method="post" action="{{ route('items.images.update') }}">

                                                        {{ csrf_field() }}
                                                        <input name="image_id" value="{{ $img->id }}" type="hidden">
                                                        <input name="item_id" value="{{ $item->id }}" type="hidden">
                                                        <div class="row">
                                                            <div class="form-group">
                                                                <label for="text">نص الصورة</label>
                                                                <input type="text" name="image_text"
                                                                       class="form-control"
                                                                       value="{{ $img->image_text }}">
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="form-inline">
                                                                <label class="control-label" for="text">اظهار
                                                                    اونلاين </label>
                                                                <input @if ($img->image_state == 1) checked
                                                                       @endif type="checkbox" name="image_state"
                                                                       class="form-control">
                                                            </div>
                                                        </div>
                                                        <div class="row">

                                                            <div class="col-md-6">
                                                                <button class="btn btn-warning">حفظ</button>
                                                            </div>
                                                    </form>


                                                    <div class="col-md-6">
                                                        <form action="{{ route('items.images.delete') }}" method="post">
                                                            {{ csrf_field() }}
                                                            <input name="image_id" value="{{ $img->id }}" type="hidden">
                                                            <button class="btn btn-danger">حذف</button>
                                                        </form>
                                                    </div>
                                                </div>

                                            </div>

                                    </div>

                                    @endforeach

                                </div>
                            </div>
                        </div>

                    </div>


                </div>

            </div>
        </div>
    </div>


    <div class="modal fade" id="new-item-image-modal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title"> اضافة صورة </h4>
                </div>
                <div class="modal-body">
                    <form id="new-item-image-form" action="{{ route('items.images.store') }}" method="post" enctype="multipart/form-data">
                        {{ csrf_field() }}
                        <input type="hidden" name="item_id" value="{{ $item->id }}">
                        <div class="modal-body" id="modal-loader-u">

                            <div class="form-group">
                                <label class="control-label" for="image_link"> الصورة :</label>
                                <input type="file" class="form-control" name="image_link" id="image_link"
                                       />
                            </div>

                            <div class="form-group">
                                <label for="text">نص الصورة</label>
                                <input type="text" name="image_text"
                                       class="form-control">
                            </div>

                            <div class="form-inline">
                                <label class="control-label" for="text">اظهار
                                    اونلاين </label>
                                <input checked type="checkbox" name="image_state"
                                       class="form-control">
                            </div>


                        </div>

                        <button class="btn btn-primary" type="submit">{{ trans('extends.save-btn') }} </button>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button"
                            class="btn btn-default"
                            data-dismiss="modal">{{ trans('extends.close') }}
                    </button>
                </div>
            </div>

        </div>
    </div>

@stop

@section('js-scripts')

    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script>

        $(document).ready(function () {

            var loader = "<div align='center' id='loader'>" +
                "<i class='fa fa-spinner fa-pulse fa-3x fa-fw'></i>" +
                "</div><br>";

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                    type: "GET",
                    data: null,
                    contentType: false,
                    cache: false,
                    processData: false,
                    timeout: 3000,
                }
            });

            $(document).on('click', '#new-item-image', function (e) {
                e.preventDefault();
                $('#new-item-image-modal').modal('show');
            });

        });

    </script>

@stop

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

    <style>
        .special {
            font-weight: bold !important;
            color: #fff !important;
            background: #bc0000 !important;
            text-transform: uppercase;
        }
    </style>
@stop
