<div class="card">
    <div class="card-content">
        <div class="card-body">
            <ul class="list-group drag-drop nested-sortable" id="list-group-tags" data-url="{{ route('category.sub.reorder') }}" data-parent-id='null'>
                @foreach ($categories as $category)
                    @include('category::main.subs', ['category' => $category])
                @endforeach
            </ul>
        </div>
    </div>
</div>

@push('css-scripts')
    <link rel="stylesheet" type="text/css" href="{{ asset('css/master/dragula.min.css') }}">
@endpush

@push('js')
    <script src="https://cdn.jsdelivr.net/npm/sortablejs@latest/Sortable.min.js"></script>

    <script>
        $(function() {
            var sortablelist = document.getElementById('list-group-tags');
            var nestedSortables = document.getElementsByClassName('nested-sortable');

            for (var i = 0; i < nestedSortables.length; i++) {
                new Sortable(nestedSortables[i], {
                    group: 'nested',
                    animation: 150,
                    fallbackOnBody: true,
                    swapThreshold: 0.65,
                    onEnd: function (/**Event*/evt) {
                        let orders = createSortArray();
                        saveOrdring(orders);
                    },
                });
            }

            function createSortArray()
            {
                let orders = [];
                $('#list-group-tags').find('li.list-group-item').each(function (index) {
                    console.log(index);
                    let id = $(this).data('id');
                    let category_id = $(this).closest('.nested-sortable').data('parent-id');
                    // if(typeof orders[id] !== 'undefined') return true;
                    orders[index] = {id: id, category_id: category_id, display_order: (index + 1)}
                });

                return orders;
            }

            let abort_ajax = {abort: function() {}};
            function saveOrdring(orders)
            {
                abort_ajax.abort();
                abort_ajax = $.ajax({
                    type: "post",
                    url: `${$('.drag-drop').data('url')}`,
                    data: {orders: orders},
                    headers: {
                        'X-CSRF-TOKEN': "{{ csrf_token() }}"
                    },
                    success: function (response) {
                    let order = 1;
                    $('.order').each(function () {
                        $(this).text(order++);
                    });
                    }
                });
            }
        });
    </script>
@endpush
