@extends('master::layouts.master')

@section('content')
<link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/css/jquery.bootstrap.treeselect.css') }}" rel="stylesheet" type="text/css">

<style>
    .special {
        font-weight: bold !important;
        color: #fff !important;
        background: #bc0000 !important;
        text-transform: uppercase;
    }
    .table-responsive{
        display: table;
    }
    .modal-content{
        padding: 4%;
        border: 10px #959595 solid;
    }
    .style{
        background-color: #e7e7e7;
        padding: 19px;

    }
    .form-group{
        margin-bottom: 0;
    }
    .styl{
        margin-right: 3%;
    }
</style>


    <div class="wrapper">
        <div class="container-fluid bg-white p-4">
            <div class="row">
                <div class="col-md-12 mb-3">
                    <h1 class="text-primary d-inline-block">{{ trans('category.all_cats') }}</h1>
                    <button
                        class="btn btn-primary mt-2 @if (app()->getLocale() == 'ar') float-left @else float-right @endif"
                        id="btn" style="margin-bottom: 1em;">{{ trans('category.new_cat') }}</button>
                </div>
            </div>

            @include('category::main.drag-drop')
        </div>
    </div>

    <div class="modal fade" id="create_modal" tabindex="-1" role="dialog"
            aria-labelledby="myModalLabel"
            aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">


                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabel">{{ trans('category.new_cat') }} </h4>
                </div>
                <form role="form" action="{{ route('category.store') }}" method="post" enctype="multipart/form-data" class="style">
                    {!! csrf_field() !!}
                    <div class="modal-body" id="modal-loader-u">
                        {{--<p>Do you want to proceed?</p>--}}
                        <div class="row">
                            <div class="col-xs-12">

                                <div class="well">
                                    <div class="form-group">
                                        <label for="name">{{ trans('category.cat_name') }}</label>
                                        <input class="form-control" name="name" id="name" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="image">{{ trans('category.image') }}</label>
                                        <input type="file" class="form-control" name="image" id="image">
                                    </div>

                                    {{-- <div class="form-group">
                                        <label for="name"> ترتيب الظهور</label>
                                        <input type="number" min="0" class="form-control" name="display_order"
                                                id="display_order" value="0">
                                    </div> --}}

                                    <div class="form-group" id="sale_unit_div">
                                        <label for="type">{{ trans('category.cat') }}</label>

                                        <select class="form-control" name="type" id="sale_unit"
                                                data-live-search="true">
                                            <option value="0" selected>{{ trans('category.main_cat') }}</option>
                                            @foreach($categories->where('category_id' , 0) as $cat)
                                                <option value="{{ $cat->id }}">{{ $cat->name }}</option>
                                                {{-- {!! getSubCatOptions($cat->id) !!} --}}
                                            @endforeach
                                        </select>

                                        {{--
                                        <select class="selectpicker form-control" name="type" id="type"
                                                data-live-search="true">
                                            <option value="0" style="background: #5cb85c; color: #fff;">رئيسـي</option>
                                            @foreach($categories->where('category_id' , 0) as $__cat)
                                                <option style="padding-left: 1em; background: #87d6c6; color: #fff;"
                                                        value="{{ $__cat->id }}">{{ $__cat->name }}</option>

                                                @foreach($__cat->subCategory() as $sub)
                                                    <option value="{{ $sub->id }}">{{ $sub->name }}</option>
                                                @endforeach
                                            @endforeach
                                        </select>
                                        --}}

                                    </div>

                                    <div class="form-group d-flex">
                                        <input type="checkbox" class="form-control col-sm-1" name="published"
                                                id="published" checked>
                                        <label for="display_order col-sm-3" class="styl" style="margin-top: 10px;"> اظهار التصنيف
                                            اونلاين</label>

                                    </div>

                                    <div class="form-group d-flex">
                                        <input type="checkbox" class="form-control col-sm-1" name="arrange_type"
                                                id="arrange_type" >
                                        <label for="display_order col-sm-3" class="styl" style="margin-top: 10px;">
                                            عرض الوحدات الفرعية</label>

                                    </div>

                                    <div class="form-group d-flex">
                                        <input type="checkbox" class="form-control col-sm-1" name="hiddentouch"
                                        id="hiddentouch" >
                                        <label for="display_order col-sm-3" class="styl" style="margin-top: 10px;">
                                            اخفاء بالمبيعات</label>

                                    </div>

                                    {{-- <div class="form-group d-flex">
                                        <input checked type="checkbox" class="form-control col-sm-1" name="kitchen_use"
                                        id="kitchen_use" >
                                        <label for="display_order col-sm-3" class="styl" style="margin-top: 10px;">
                                                طباعة في المطبخ / الفاتورة</label>

                                    </div> --}}

                                    <div class="form-group d-flex">
                                        <input checked type="checkbox" class="form-control col-sm-1" name="show_min_qty"
                                        id="show_min_qty" >
                                        <label for="display_order col-sm-3" class="styl" style="margin-top: 10px;">
                                                اظهار في تقرير النواقص</label>

                                    </div>

                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="modal-footer">
                        <button type="button"
                                class="btn btn-light"
                                data-dismiss="modal">{{ trans('extends.close') }}
                        </button>
                        <button class="btn btn-primary">{{ trans('extends.save') }}</button>
                    </div>
                </form>


            </div>
        </div>
    </div>

    <div class="modal fade" id="updateElementModal" tabindex="-1" role="dialog"
            aria-labelledby="myModalLabel"
            aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div id="currentErrorMessage2"></div>
                <form id="updateElementForm" method="post" action="{{ route('category.update') }}"
                        enctype="multipart/form-data">

                    {{ csrf_field() }}

                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    </div>

                    <div class="modal-body" id="modal-loader-u">
                        <div id="updateElementLoader" style="alignment: center;"></div>
                        <div id="updateElementErrors" style="alignment: left;"></div>
                        <div class="row">
                            <div class="col-xs-12">
                                <div class="well" id="updateElementWell">
                                    {{-- DATA WILL BE ADDED HERE BY ID! --}}
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="modal-footer">
                        <button type="button"
                                class="btn btn-default"
                                data-dismiss="modal">{{ trans('extends.close') }}
                        </button>
                        <button class="btn btn-primary" type="submit"> {{ trans('extends.edit') }}</button>
                    </div>

                </form>

            </div>
        </div>
    </div>


    <div class="modal fade" id="deleteElementModal" tabindex="-1" role="dialog"
            aria-labelledby="myModalLabel"
            aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">

                <form id="deleteElementForm" action="{{ route('category.destroy') }}" method="post">

                    {{ csrf_field() }}
                    <div class="modal-body" id="modal-loader-u">
                        @if (app()->getLocale() == 'ar')
                            <p>انت علي وشك الحذف. </p>
                            <p>عند التأكيد سوف يتم حذف هذا البيان والبيانات الاخري المرتبطة به</p>
                            <p>هل تريد الحذف؟</p>

                        @else
                            <p>You're about to delete data </p>
                            <p>on confirmation, items and it's relative data will be gone.</p>
                            <p>Do you want to continue?</p>
                        @endif
                        <div id="deleteElementLoader" style="alignment: center;"></div>
                        <div id="deleteElementErrors" style="alignment: left;"></div>
                    </div>

                    <div class="deleteRef"></div>
                    <div class="modal-footer">
                        <button type="button"
                                class="btn btn-default"
                                data-dismiss="modal">{{ trans('extends.close') }}
                        </button>
                        <button class="btn btn-danger" type="submit">{{ trans('extends.delete') }} </button>
                    </div>

                </form>

            </div>
        </div>
    </div>






    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script src="{{ asset('tickets/js/jquery.bootstrap.treeselect.js') }}"></script>

    <!--set tree select on item id-->
    <!--set tree select on item id-->
    <script>

        $('#sale_unit').treeselect();
        $('#sale_unit_div').find("button").css("width", "100%");
    </script>

    <script>

        $(document).ready(function () {

            var loader = "<div align='center' id='loader'>" +
                "<i class='fa fa-spinner fa-pulse fa-3x fa-fw'></i>" +
                "</div><br>";


            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                    type: "GET",
                    data: null,
                    contentType: false,
                    cache: false,
                    processData: false,
                }
            });

            $(document).on('click', '#btn', function () {
                $('#create_modal').modal();
            });


            $('#deleteElementModal').on('show.bs.modal', function (e) {

                hashedID = $(e.relatedTarget).data('href');

                $('#deleteElementLoader').empty();
                $('#deleteElementErrors').empty();
                $('#error').remove();
                $('.deleteRef').empty().append('<input name="category_id" value="' + hashedID + '" type="hidden">');

            });


            $('#updateElementModal').on('show.bs.modal', function (e) {
                hashedID = $(e.relatedTarget).data('href');

                var data = {id: hashedID};
                $.ajax({
                    url: '{{ route('category.edit') }}',
                    type: "get",
                    data: data,
                    contentType: false,
                    cache: false,
                    processData: true, // <==
                    beforeSend: function () {
                        $('#updateElementLoader').empty().prepend(loader);
                        $('#updateElementErrors').empty();
                        $('#error').remove();
                        $('#updateElementWell').empty()
                    },
                    success: function (data) {
                        $('#updateElementLoader').empty();
                        $('#updateElementWell').empty().prepend(data.data);

                    },
                    error: function (data) {
                        $('#updateElementLoader').empty();
                        $('#updateElementWell').empty().prepend(error);
                    },
                    complete: function () {

                    }
                });

            });
        });

    </script>
@endsection
