@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">
            <div class="row">


                    <div class="col-md-8 width60">
                        <h1 class="title-page inline-block">
                            تقرير خاص بأسعار ووحدات الأصناف </h1>                    </div>
                    <div class="col-md-4 width40">
                        <img id="logo" style="display: none;" src="{{ config('main.badr').$img }}" height="60">
                    </div>

                <a style="margin-right: 5px" href="#" id="printTable" class="pull-left btn btn-primary noprint"><i
                            class="fa fa-print fa-3x"></i></a>
            </div>
            <br>
            <div id="currentErrorMessage"></div>

            <div class="clearfix"></div>
            <div class="row bg-info noprint" style="padding: 1em; margin: 1em;">
                <div class="col-md-11 col-md-offset-1">
                    <div class="row ">
                        <form action="" id="filter-form" method="get">

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="category_id">التصنيف الرئيسي</label>
                                    <select id="category_id" name="category_id">
                                        <option @if (request('category_id') == '0') selected @endif value="0">الكل
                                        </option>
                                        @foreach($main_cats as $cat)
                                            @if (request('category_id') == $cat->id)
                                                <option selected value="{{ $cat->id }}">{{ $cat->name }}</option>
                                            @else
                                                <option value="{{ $cat->id }}">{{ $cat->name }}</option>
                                            @endif
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="category_id">قوائم الاسعار</label>
                                    <select id="list_id" name="list_id">
                                        <option @if (request('list_id') == '0') selected @endif value="0">الكل</option>
                                        @foreach($price_lists as $list)
                                            @if (request('list_id') == $list->id)
                                                <option selected value="{{ $list->id }}">{{ $list->list_name }}</option>
                                            @else {
                                            <option value="{{ $list->id }}">{{ $list->list_name }}</option>

                                            @endif
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <button class="btn btn-success">تأكيد</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>


            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12">

                    {{--<a href="#" id="btnExport" class="pull-left btn btn-success noprint" onclick="javascript:void(0);"><i
                                class="fa fa-file-excel-o fa-3x"></i></a>--}}

                    <table id="table2excel" class="table table-stripped table-hover" role="presentation">
                        <thead>
                        <tr class="warning">
                            <th scope="col">الصنف</th>
                            <th scope="col">التصنيف الرئيسي</th>
                            <th scope="col">الوحدة</th>
                            <th scope="col">السعر</th>
                        </tr>
                        </thead>
                        <tbody id="content-table'">
                        @if ($collection->count() > 0)
                            @foreach($collection as $item)
                                <tr>
                                    <td>{{$item->item_name}}</td>
                                    <td>{{$item->main_cat}}</td>
                                    <td>{{$item->unit_name}}</td>
                                    <td>{{price_decimal($item->sale_price)}}</td>
                                </tr>
                            @endforeach
                        @else
                            <tr>
                                <td colspan="4">
                                    <h3 class="text-muted text-center">
                                        لا توجد بيانات
                                    </h3>
                                </td>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                </div>
            </div>

        </div>
    </div>

@stop

@section('js-scripts')

    <script>

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                type: "GET",
                data: null,
                contentType: false,
                cache: false,
                processData: false,
                timeout: 3000,
            }
        });

    </script>
    <script>
        $("#printTable").on("click", function (e) {
            e.preventDefault();
            window.print();
        });
    </script>

    <script>

        $("#btnExport").click(function () {

            $("#table2excel").table2excel({

                // exclude CSS class

                exclude: ".noExl",

                name: "Worksheet Name",

                filename: "Items-price-units-report.xls" //do not include extension

            });

        });

        $(document).on('submit', '#filter-form', function () {


            data = new FormData($('#filter-form')[0]);
            $.ajax({
                url: '{{ route('items.ajax-items-prices-report-content') }}',
                type: "post",
                data: data,
                contentType: false,
                cache: false,
                processData: false, // <==
                // timeout: 3000,
                beforeSend: function () {
                    $('#currentErrorMessage').empty().append('<p class="text-center alert alert-success">جاري التحميل...</p>');
                },
                success: function (data) {
                    if (data.status == true) {
                        $('#content-table').empty().append(data.data);
                    } else {
                        $('#currentErrorMessage').empty().append('<p class="text-center alert alert-warning">فشل تحميل البيانات !</p>');
                    }

                },
                error: function (xhr) {
                    var error = '<ul class="alert alert-danger">';
                    $.each(xhr.responseJSON.errors, function (index, value) {
                        error += '<li>' + value + '</li>';
                    });
                    error += "</ul>";
                    $('#currentErrorMessage').empty().append(error);
                },
                complete: function () {

                }
            });

        });


    </script>
@stop

@section('css-scripts')


    <style type="text/css">


        @media print {

            .noprint {
                display: none;
            }

            #logo{
                display: block !important;

            }
            .width40{
                width: 40% !important;
                float: left;
                margin-top: -3em !important;
                margin-bottom: 1em !important;
            }
            .width60{
                width: 60% !important;
            }
        }
    </style>



@stop
