@extends('master::layouts.master')

@section('content')

    <div class="wrapper">
        <div class="container">
            @if ($errors->any())
                <div class="row">
                    <div class="col-xs-12 col-sm-12">
                        <!-- if there are creation errors, they will show here -->
                        <ul class="alert alert-danger text-center list-unstyled">
                            @foreach($errors->all() as $error)
                                <li>{{$error}}</li>
                            @endforeach
                        </ul>
                    </div>
                </div>
            @endif
            <div class="row">
                <div class="col-md-12">



                    <div id="status">
                        @if (session()->has('success'))
                            <p class="alert alert-success text-center">{{ session('success') }}</p>
                        @elseif (session()->has('error'))
                            <p class="alert alert-danger text-center">{{ session('error') }}</p>
                        @endif
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="clearfix"></div>

                <div class="col-md-10 col-md-offset-1">

                    <form action="{{ route('site-sliders.store') }}" method="post" enctype="multipart/form-data">
                        {!! csrf_field() !!}
                        <div class="form-group">
                            <label class="control-label" for="image">الصورة</label>
                            <input name="image" type="file" id="image" class="form-control">
                        </div>
                        <div class="form-inline">
                            <label class="control-label" for="out">رابط خارجي؟</label>

                            <input name="out" type="checkbox" id="out" class="form-control">
                            <small>اذا تم اختار رابط خارجي يرجي اضافة رابط الموقع الذي سيتم التحويل اليه</small>
                        </div>

                        <div class="form-group hidden" id="link">
                            <label class="control-label" for="source">رابط الصورة</label>
                            <input name="source" type="text" id="source" value="#" class="form-control">
                        </div>

                        <div class="form-group" id="item-select">
                            <label class="control-label" for="item_id">الصنف</label>
                            <select data-live-search="true" name="item_id" id="item_id"
                                    class="form-control selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}">

                                <option selected value="0"></option>

                                @foreach($items as $item)
                                    <option value="{{ $item->id }}">{{ $item->item_name }}</option>
                                @endforeach

                            </select>
                        </div>

                        <button class="btn btn-success">حفظ</button>

                    </form>
                    <div class="clearfix"></div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="clearfix"></div>


                <div class="col-md-10 col-md-offset-1">

                    @if ($sliders)
                        <table class="table table-responsive table-bordered table-hover" role="presentation">

                            <input type="hidden" name="_token" id="_token" value="{{ csrf_token() }}">
                            <thead>

                            <th scope="col">الصورة</th>
                            <th scope="col">النوع</th>
                            <th scope="col">الرابط</th>
                            <th scope="col">حذف</th>

                            </thead>

                            <tbody id="items-rows">

                            @foreach($sliders as $slider)
                                <tr id="row-{{ $slider->id }}">
                                    <td>
                                        <img src="{{ $slider->getImage() }}" class="img-responsive" width="60">
                                    </td>
                                    <td>{{ $slider->getType() }}</td>
                                    <td><a target="_blank" rel="noopener noreferrer" href="{{ $slider->getUrl() }}">ذهاب</a></td>
                                    <td>
                                        <form method="post" action="{{ route('site-sliders.delete') }}">
                                            {{ csrf_field() }}
                                            <input type="hidden" name="slider_id" value="{{ $slider->id }}">
                                            <button onclick="return confirm('هل انت متأكد من الحذف؟')"
                                            class="btn btn-danger">حذف</button>
                                        </form>
                                    </td>
                                </tr>
                            @endforeach

                            </tbody>

                        </table>
                    @else
                        <h3 class="text-center text-gray">لا توجد تخفيضات</h3>
                    @endif
                </div>
            </div>
        </div>
    </div>

@stop

@section('css-scripts')
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
@stop

@section('js-scripts')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>

    <script>
        $('.selectpicker').selectpicker({
            style: 'btn-default',
            size: 8
        });


        $('#out').click(function() {
            if ($(this).is(':checked')) {
                $('#link').removeClass('hidden');
                $('#item-select').addClass('hidden');
            }else {
                $('#link').addClass('hidden');
                $('#item-select').removeClass('hidden');
            }
        });
    </script>

@stop
