@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <h1 class="text-primary">الوحدات</h1>
                    <button class="btn btn-primary pull-left" id="btn">وحده جديد</button>
                </div>

                <div class="col-xs-12 col-md-10 col-md-offset-1">

                    <div class="row">
                        <div class="col-md-8 col-xs-12">
                            <table class="table table-responsive table-hover" role="presentation">

                                <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">{{ trans('extends.name') }}</th>
                                    <th scope="col">{{ trans('extends.action') }}</th>
                                </tr>
                                </thead>

                                <tbody>
                                @foreach($units as $item)
                                    <tr class="info" data-toggle="collapse" data-target="#demo">
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $item->name }}</td>
                                        <td></td>
                                        <td>
                                            <div class="btn-group">

                                                <a class="btn btn-md btn-danger" data-toggle="modal"
                                                   data-target="#"
                                                   data-href="{{ $item->id }}"
                                                   style="margin-left:5px;">
	<span class="glyphicon glyphicon-trash" data-toggle="tooltip"
          data-placement="top" title="Remove this Element">تعديل </span>
                                                </a>

                                                <a class="btn btn-md btn-danger" data-toggle="modal"
                                                   data-target="#deleteElement"
                                                   data-href="{{ $item->id }}"
                                                   style="margin-left:5px;">
	<span class="glyphicon glyphicon-trash" data-toggle="tooltip"
          data-placement="top" title="Remove this Element">حذف </span>
                                                </a>
                                            </div>
                                        </td>
                                    </tr>

                                @endforeach
                                </tbody>

                            </table>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>



    <div class="modal fade" id="create_modal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">


                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabel">Add new Unit </h4>
                </div>
                <form role="form" action="{{ route('units.store') }}" method="post">
                    {!! csrf_field() !!}
                    <div class="modal-body" id="modal-loader-u">
                        {{--<p>Do you want to proceed?</p>--}}
                        <div class="row">
                            <div class="col-xs-12">

                                <div class="well">
                                    <div class="form-group">
                                        <label for="name">Name</label>
                                        <input class="form-control" name="name" id="name">
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button"
                                class="btn btn-default"
                                data-dismiss="modal">Close
                        </button>
                        <button class="btn btn-primary">Add Unit</button>
                    </div>
                </form>

            </div>
        </div>
    </div>
@stop

@section('js-scripts')

    <script>
        $(document).on('click', '#btn', function () {
            $('#create_modal').modal();
        })
    </script>

@stop

@section('css-scripts')

@stop
