
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Modules\Category\Entities\Item;

Route::group(['middleware' => ['web', 'auth']], function () {

    Route::resource('units', 'UnitController');

    Route::group(['prefix' => 'category', 'as' => 'category.'], function () {
        Route::match(['get'], '/', array('as' => 'index', 'uses' => 'CategoryController@index'));

        Route::match(['post'], '/sub/reorder', array('as' => 'sub.reorder', 'uses' => 'CategoryController@reorder'));


        Route::match(['get'], '/show', array('as' => 'show', 'uses' => 'CategoryController@show'));
        Route::match(['get'], '/edit', array('as' => 'edit', 'uses' => 'CategoryController@edit'));
        Route::match(['get'], '/create', array('as' => 'create', 'uses' => 'CategoryController@create'));
        Route::match(['post'], '/update', array('as' => 'update', 'uses' => 'CategoryController@update'));
        Route::match(['post'], '/store', array('as' => 'store', 'uses' => 'CategoryController@store'));
        Route::match(['post'], '/delete', array('as' => 'destroy', 'uses' => 'CategoryController@destroy'));
    });

    Route::group(['prefix' => 'items-vat'], function () {
        Route::get('/', 'ItemVatController@index')->name('items-vat.index');
        Route::post('/update-vat', 'ItemVatController@applyVat')->name('items-vat.apply');
        Route::post('/update-vat-purchase', 'ItemVatController@applyVatPurchase')->name('items-vat-purchase.apply');
    });


    // Route::group(['prefix' => 'items-group', 'as' => 'items-group.'], function () {

    //     Route::match(['get'], '/create', array('as' => 'create', 'uses' => 'ItemGroupController@create'));
    //     Route::match(['post'], '/store', array('as' => 'store', 'uses' => 'ItemGroupController@store'));
    //     Route::match(['get'], '/index', array('as' => 'index', 'uses' => 'ItemGroupController@index'));
    //     Route::match(['get'], '/show/{id}', array('as' => 'show', 'uses' => 'ItemGroupController@show'));

    // });
    // Route::group(['prefix' => 'items', 'as' => 'items.'], function () {
    //     Route::match(['get'], '/', array('as' => 'index', 'uses' => 'ItemController@index'));

    //     Route::match(['get'], '/show', function () {
    //         return redirect()->route('items.index');
    //     });

    //     Route::match(['get'], '/show/{id}', array('as' => 'show', 'uses' => 'ItemController@show'));
    //     Route::match(['get'], '/edit/{id}', array('as' => 'edit', 'uses' => 'ItemEditController@edit'));
    //     Route::match(['get'], '/create', array('as' => 'create', 'uses' => 'ItemController@create'));
    //     Route::match(['post'], '/update', array('as' => 'update', 'uses' => 'ItemEditController@update'));
    //     Route::match(['post'], '/store', array('as' => 'store', 'uses' => 'ItemController@store'));
    //     Route::match(['post'], '/delete', array('as' => 'destroy', 'uses' => 'ItemController@destroy'));


    //     //item-group
    //     Route::match(['post'], '/store-supplier', array('as' => 'supplier.store', 'uses' => 'ItemController@storeSupplier'));
    //     Route::match(['post'], '/store-company', array('as' => 'company.store', 'uses' => 'ItemController@storeCompany'));
    //     Route::match(['post'], '/store-color', array('as' => 'color.store', 'uses' => 'ItemController@storeColor'));
    //     Route::match(['post'], '/store-size', array('as' => 'size.store', 'uses' => 'ItemController@storeSize'));
    //     Route::match(['post'], '/store-shelf', array('as' => 'shelf.store', 'uses' => 'ItemController@storeShelf'));
    //     Route::match(['post'], '/store-card-company', array('as' => 'card-company.store', 'uses' => 'ItemController@storeCardCompany'));
    //     Route::match(['post'], '/ajax-get-sub-cats', array('as' => 'ajax.get-sub-cats', 'uses' => 'ItemController@ajaxSubCats'));
    //     Route::match(['post'], '/ajax-get-intern-sub-cats', array('as' => 'ajax.get-intern-sub-cats', 'uses' => 'ItemController@ajaxInternSubCats'));
    //     Route::match(['post'], '/ajax-get-sub-units-row', array('as' => 'ajax.get-sub-unit-row', 'uses' => 'ItemController@ajaxSubUnits'));

    //     Route::match(['get'], '/ajax-edit-sub-unit', array('as' => 'edit-sub-unit', 'uses' => 'ItemEditController@editSubUnit'));
    //     Route::match(['post'], '/ajax-update-sub-unit', array('as' => 'update-sub_unit', 'uses' => 'ItemEditController@updateSubUnit'));

    //     Route::get('control-item-images', ['uses' => 'ItemController@itemImages', 'as' => 'images.index']);
    //     Route::post('submit-item-images', ['uses' => 'ItemController@postItemImages', 'as' => 'images.store']);
    //     Route::post('update-iem-image', ['uses' => 'ItemController@updateItemImage', 'as' => 'images.update']);
    //     Route::post('delete-item-image', ['uses' => 'ItemController@deleteItemImage', 'as' => 'images.delete']);

    //     Route::match(['get'], '/items-report', ['as' => 'items-price-report',
    //         'uses' => 'ItemsReportController@index']);
    // });


    Route::get('site-sliders', ['uses' => 'SliderController@index', 'as' => 'site-sliders.index']);

    Route::post('delete-slider', ['as' => 'site-sliders.delete',
        'uses' => 'SliderController@destroy']);

    Route::post('store-slider', ['as' => 'site-sliders.store',
        'uses' => 'SliderController@store']);


    Route::post('ajax-items-prices-report-content', ['as' => 'items.ajax-items-prices-report-content', 'uses' => 'ItemsReportController@AjaxItemsReportFilter']);


    Route::get('update-items2', function(){
        $items = Item::where('shop_id', get_session_val('serial_id', 'integer'))->chunk(200, function($itemsChunk){
            foreach($itemsChunk as $item){
                if ($item->supplier_id > 0){
                    $m_s = \DB::table('multi_supplier')->where([
                        'shop_id' => get_session_val('serial_id', 'integer'),
                        'item_id' => $item->id,
                        'supplier_id' => $item->supplier_id
                    ])->first();
                    if (is_null($m_s)){
                        $m_s = \DB::table('multi_supplier')->insert([
                            'shop_id' => get_session_val('serial_id', 'integer'),
                            'item_id' => $item->id,
                            'supplier_id' => $item->supplier_id
                        ]);
                    }
                }
            }
        });
    });


});
