<?php

namespace Modules\ClientInstallments\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;
use Modules\EInvoice\Entities\Invoice;

class ClientTransaction extends Model
{
    use RoundingAttributesTrait;
    protected $fillable = [];
    protected $table = 'client_transaction';
    public $timestamps = false;

    public function invoice()
    {
        return $this->belongsTo(Invoice::class, 'bill_id', 'id');
    }

    public function salePoint()
    {
        return $this->belongsTo(SalePoint::class, 'safe_point_id', 'id');
    }
}
