<?php

namespace Modules\ClientInstallments\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;
use Modules\Invoices\Entities\Invoices;

class Instalment extends Model
{
    use RoundingAttributesTrait;
    protected $guarded = [];
    protected $table = 'installments_list';
    public $timestamps = false;


    public function client()
    {
        return $this->belongsTo(Client::class);
    }

    public function optionalClient()
    {
        return (isset($this->client)) ? $this->client : new Client();
    }


    public function bill()
    {
        return $this->belongsTo(Invoices::class, 'bill_id');
    }

    public function installmentAddition($percentage)
    {
        $instalment = $this;
        $amount = $instalment->installment_amount;
        $original_amount = $amount / (1 + $percentage);
        $profet = $amount -  $original_amount;
        return $profet;
    }

    public function installmentSequence()
    {
        $instalment = $this;
        $instalmentId = $instalment->id;
        $billId = $instalment->bill_id;

        if ( $billId ) {

            $instalments = Instalment::where('installments_list.shop_id', get_session_val('serial_id', 'integer'))
                ->where('installments_list.type', 0)
                ->where('installments_list.bill_id', $billId)
                ->orderBy('installments_list.installment_date', 'asc')
                ->get();

            $instalmentsCount = $instalments->count();
            $current= 0 ;
            foreach ($instalments as $key => $instalment) {
                if ($instalment->id == $instalmentId) {
                    $current = $key + 1 ;
                }
            }
            $sequence =  "$current من $instalmentsCount";

        } else {
            $sequence = "--";
        }
        return $sequence;
    }

}
