@extends('master::layouts.master')

@section('content')
    <div class="wrapper" style="margin-top: -20px;">
        <div class="container">
            <div class="row">
                <div class="col-md-10">
                    <h1 class="title-page inline-block" id="title_text">
                        تقرير اعمار ديون العملاء
                    </h1>
                    {{--<div class="clearfix"></div>--}}
                    <div class="col-md-12">
                        <h4 class="pager">

                            تقرير اعمار ديون العميل <span class="text-primary">{{ $client_name }}</span> لفترة <span
                                    class="text-primary">{{ $period }}</span>
                        </h4>
                        <hr>
                        @if (count($needed_clients) > 0)
                            <div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
                                <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2 mr-2">{{ trans('extends.print') }} </button>
                                <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2 mr-2">{{ trans('extends.toExcel') }} </button>
                                {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
                            </div>
                            <table class="table table-bordered table-hover table2excel" id="table_sum" role="presentation">
                                <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col"> العميل</th>
                                    <th scope="col"> حد الائتمان</th>
                                    <th scope="col"> الرصيد</th>
                                    <th scope="col"> المتأخرات</th>
                                    {!! $columns !!}
                                </tr>
                                </thead>
                                <tbody>
                                <?php

                                $delay = 0;
                                $balance = 0;

                                ?>
                                @foreach($needed_clients as $item)
                                    <tr>
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $item->client_name }} </td>
                                        <td>{{ round_money($item->credit_limit) }} </td>
                                        <td> {{round_money($item->balance)  }} </td>
                                        <td>{{ round_money($item->delaies) }}</td>
                                        {!! $item->data !!}
                                    </tr>
                                    <?php $delay += $item->delaies ?>
                                    <?php $balance += $item->balance ?>
                                @endforeach()
                                <tr class="info">
                                    <td colspan="3">الاجمالي</td>
                                    <td>{{ round_money($balance) }}</td>
                                    <td>{{ round_money($delay) }}</td>
                                    {!! $subColumns !!}
                                </tr>
                                </tbody>
                            </table>

                        @else
                            <h3 class="text-muted text-center">لا توجد بيانات مطابقة لعملية البحث</h3>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop


@section('css-scripts')
    <style>
        .ui-datepicker-next, .ui-datepicker-prev {
            color: #fff !important;
            background: #4ca1dd !important;
            position: relative;

        }

        .ui-datepicker-next:before {
            content: "<";
            position: absolute;
            width: 30px;
            height: 30px;
            top: 1px;
            right: 5px;
            font-size: 18px;
            font-weight: bold;

        }

        .ui-datepicker-prev:before {
            content: ">";
            position: absolute;
            width: 30px;
            height: 30px;
            top: 1px;
            right: 7px;
            font-size: 18px;
            font-weight: bold;
        }

    </style>

@stop


@section('js-scripts')
    @include('master::js.export-functions')
    <script>
        var trCount = $('#table_sum tr:first th').length - 4;

        // $('#table_sum').find()
        var i;

        for (var i = 0; i < trCount; i++) {
            var sum = 0;
            $('.data-' + i).each(function () {
                sum += Number($(this).text());
            });
            $('.sum-' + i).text(sum);
        }

    </script>
@stop
