@extends('master::layouts.master')

@section('content')
    <div class="wrapper" style="margin-top: -20px;">
        <div class="container">
            <div class="row">
                <div class="col-md-12 mt-4">
                    <h2 class="text-info" id="title_text">
                        تقرير الاقساط المتأخرة
                    </h3>
                </div>
                <form>
                    <div class="col-md-12 row">
                        <div class="col-md-5">
                            <div class="form-inline">
                                <label class="col-sm-2 col-4 col-form-label">{{ trans('reports.from') }}</label>
                                <input type="text" id="from" name="from"
                                    class="form-control input-sm input-light date is-datepicker"
                                    value="{{ request('from') ?? today()->format('Y-m-d') }}">
                                <span>
                                    <i class="fa fa-calendar-alt calendar-icon"></i>
                                </span>
                            </div>
                        </div>

                        <div class="col-md-5">
                            <div class="form-inline">
                                <label class="col-sm-2 col-4 col-form-label">{{ trans('reports.to') }}</label>
                                <input type="text" id="to" name="to" data-old=""
                                    class="form-control input-sm input-light date is-datepicker"
                                    value="{{ request('to') ?? today()->format('Y-m-d') }}">
                                <span>
                                    <i class="fa fa-calendar-alt calendar-icon"></i>
                                </span>
                            </div>
                        </div>

                        <div class="col-md-2" style="margin-top: 30px;">
                            <button class="btn btn-primary">تأكيد</button>
                        </div>
                    </div>


                </form>
            </div>
            <hr>
            <div class="row">
                <div class="my-3 hidden-print col-md-12" style="display: flex; justify-content: space-evenly;">
                    <button id="print-table"
                        class="hidden-print noprint btn btn-success col-sm-2 mr-2">{{ trans('extends.print') }} </button>
                    <button id="export-table"
                        class="hidden-print noprint btn btn-primary col-sm-2 mr-2">{{ trans('extends.toExcel') }} </button>
                    {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
                </div>
                <div class="col-md-12">
                    @if (count($delaies) > 0)
                        <table class="table table-bordered table-hover table2excel" id="table_sum" role="presentation">
                            <thead>
                                <tr class="warning">
                                    <th style="width: 10%">رقم القسط</th>
                                    <th scope="col"> العميل</th>
                                    <th scope="col">تاريخ القسط</th>
                                    <th scope="col">مبلغ القسط</th>
                                    <th scope="col">عدد ايام التأخير</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($delaies as $item)
                                    <tr>
                                        <td>{{ $item->id }} </td>
                                        <td>{{ $item->client->name }} </td>
                                        <td> {{ $item->installment_date }} </td>
                                        <td>{{ price_decimal($item->installment_amount) }}</td>
                                        <td> {{ \Carbon\Carbon::today()->diffInDays($item->installment_date) }} </td>
                                    </tr>
                                @endforeach
                                <tr class="info">
                                    <td colspan="3">اجمالي المبالغ</td>
                                    <td colspan="2"> {{ price_decimal($delaies->sum('installment_amount')) }} </td>
                                </tr>
                            </tbody>
                        </table>
                    @else
                        <h3 class="text-muted text-center">لا توجد بيانات مطابقة لعملية البحث</h3>
                    @endif
                </div>
            </div>
        </div>
    </div>
@stop

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
    <style>
        th {
            vertical-align: middle !important;
        }

        .inner.open {
            max-height: 300px !important;
        }
    </style>
@endsection
@section('js-scripts')
    @include('master::js.export-functions')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>


    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}">
        < script src = "{{ asset('tickets/jquery.timepicker.js') }}" >
    </script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>

    <script src="{{ asset('js/reports/columnsControls.js') }}"></script>

@endsection
