@extends('master::layouts.master')

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <style>
        @media print {
            .noprint {
                display: none;
            }

            .logo {
                /* display:block !important; */
                float: left !important;
                display: flex !important
            }
        }

    </style>
@stop

@section('content')
    <div class="wrapper">
        <div class="container">

            <div class="logo hidden" style="width:99%;display:flex;">
                <div style="width:59%;">
                    <img style="width:auto;height:150" src="{{ getLogoPath() }}">
                </div>
                <div class="well text" style="width:40%;">
                    <h2 class="c_name"></h2>
                    <h2 class="c_code"></h2>
                    <h2 class="c_address"></h2>
                </div>
            </div>

            <h3 class="noprint">جدولة مديونية العملاء</h3>
            <div class="row noprint well">
                <form action="" class="row col-md-12">
                    <input type="hidden" id="current_date" name="date" class="date2">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="" class="control-label">اسم العميل</label>
                            <select name="supplier" id="supplier" class="form-control selectpicker" data-live-search="true">
                                <option value="0">الكل</option>
                                @foreach($clients as $client)
                                    <option @if (request('supplier') == $client->id) selected @endif
                                    value="{{$client->id}}" data-address="{{ $client->address }}">
                                        {{ $client->client_name }}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>


                    <div class="col-md-3" id="bill-container">
                        <div class="form-group">
                            <label for="" class="control-label">الفاتوره</label>
                            <select name="bill" id="bill" class="form-control" data-live-search="true">
                                <option value="0">الكل</option>
                            </select>
                        </div>
                    </div>

                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="" class="control-label">من</label>
                            <input value="{{ request('from') }}" name="from" id="from" class="form-control date"
                                   readonly autocomplete="off">
                        </div>
                    </div>

                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="" class="control-label">الي</label>
                            <input value="{{ request('to') }}" name="to" id="to" class="form-control date" readonly
                                   autocomplete="off">
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="" class="control-label"> نوع العرض</label>
                            <select name="format" id="format" class="form-control">
                                <option value="0">كل الاقساط</option>
                                <option value="2" @if (request('format') == '2') selected @endif> الاقساط المستحقة
                                </option>
                                {{--  <option value="3">الاقساط المتأخرة</option>  --}}
                                <option value="1" @if (request('format') == '1') selected @endif>الاقساط المسددة</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-2 form-group">
                        <label for="" class="control-label text-white col-md-12">  - </label>
                        <button class="btn btn-success">عرض</button>
                    </div>
                </form>
            </div>

            <hr class="noprint">
            <div class="noprint supplier-balance-table col-md-12 row" style="display: none">

                <div class="col-md-12 table-responsive row">
                    <table class="table col-md-12 table-stripped text-center" role="presentation">
                        <thead class="bg-success text-white">
                        <tr>
                            <th scope="col">اسم العميل</th>
                            <th scope="col">الهاتف</th>
                            <th scope="col">الرصيد</th>
                            <th scope="col">المديونية المجدولة</th>
                            <th scope="col">المديونية غير المجدولة</th>
                            <th scope="col">العملية</th>
                        </tr>
                        </thead>
                        <tbody class="supplier-balance-result">

                        </tbody>
                    </table>
                </div>


            </div>

            <hr class="noprint">

            <div class="row">

                <div class="row col-md-12">
                    <button class="pull-left noprint btn btn-primary mb-4 mr-3" type="button" id="print-schedule">طباعة الاقساط
                    </button>

                    @if (request()->bill)
                        @if (isset($showCashButton) && $showCashButton)
                            <button class="btn btn-primary pull-left" id="btn"
                                    style="margin-left: 1em;">تكييش الاقساط
                            </button>
                        @endif

                        <div class="modal fade" id="create_modal" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel"
                             aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">

                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                                            &times;
                                        </button>
                                        <h4 class="modal-title" id="myModalLabel">تكييش الاقساط</h4>
                                    </div>

                                    <form role="form" action="{{ route('clientinstalments.payAllInstallments') }}"
                                          method="post" enctype="multipart/form-data">
                                        {!! csrf_field() !!}
                                        <div class="modal-body" id="modal-loader-u">
                                            <div class="row">
                                                <div class="col-xs-12">

                                                    <div class="well">

                                                        <input class="form-control hidden" name="bill_id" id="bill_id"
                                                               value="{{ request()->bill }}">
                                                        <input class="form-control hidden" name="client_id"
                                                               id="client_id" value="{{ request()->supplier }}">
                                                        <input type="hidden" id="today" name="today" value="{{ \Carbon\Carbon::now() }}">

                                                        <div class="form-group">
                                                            <label for="discount">% نسبه الخصم من الربح </label>
                                                            <input class="form-control" type="number" min="1"
                                                                   name="discount" id="discount-parentage">

                                                        </div>

                                                        <div class="form-group">
                                                            <label for="sale_point">الخزنة</label>
                                                            <select name="sale_point" id="sale_point"
                                                                    class="form-control" data-live-search="true">
                                                                @foreach($salePoints as $salePoint)
                                                                    <option value="{{$salePoint->id}}">{{$salePoint->point_name}}</option>
                                                                @endforeach
                                                            </select>
                                                        </div>


                                                        <div class="form-group">
                                                            <label for="sale_point">المحصل / المندوب</label>
                                                            <select name="employee_id" id="employee_id"
                                                                    class="form-control" data-live-search="true">
                                                                @foreach($employees as $employee)
                                                                    <option value="{{$employee->id}}">
                                                                        {{ $employee->name }}
                                                                    </option>
                                                                @endforeach
                                                            </select>
                                                        </div>


                                                        <div class="form-group">

                                                            <table class="table table-bordered table-condensed" role="presentation">
                                                                <tbody>
                                                                <tr>
                                                                    <td>
                                                                        <label>اجمالي الاقساط غير المدفوعه :</label><br>
                                                                    </td>
                                                                    <td>
                                                                        <label>{{ $totalUnPaid }}</label>
                                                                    </td>
                                                                </tr>

                                                                <tr>
                                                                    <td>
                                                                        <label>الخصم :</label>
                                                                    </td>
                                                                    <td>
                                                                        <label id="discount"></label>
                                                                    </td>
                                                                </tr>

                                                                <tr>
                                                                    <td>
                                                                        <label id="">الاجمالي بعد الخصم :</label>
                                                                    </td>
                                                                    <td>
                                                                        <label id="after-discount"></label>
                                                                    </td>
                                                                </tr>


                                                                </tbody>
                                                            </table>


                                                        </div>

                                                    </div>

                                                </div>
                                            </div>
                                        </div>

                                        <div class="modal-footer">
                                            <button type="button"
                                                    class="btn btn-default"
                                                    data-dismiss="modal">{{ trans('extends.close') }}
                                            </button>
                                            <button class="btn btn-primary">{{ trans('extends.save-btn') }}</button>
                                        </div>
                                    </form>


                                </div>
                            </div>
                        </div>

                    @endif
                </div>


                <div class="@if ($billUrl) col-md-8 @else col-md-12 @endif">
                    <div class="table-responsive">
                        <table class="table text-center" role="presentation">
                            <thead class="bg-info text-white">
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">اسم العميل</th>
                                <th scope="col">رقم الفاتورة</th>
                                <th scope="col">تاريخ الاستحقاق</th>
                                <th scope="col">تاريخ السداد</th>
                                <th scope="col">المبلغ</th>
                                <th scope="col">ملاحظات</th>
                                <th class="noprint">طباعه</th>
                                <th class="noprint">سداد</th>
                                {{-- <th class="noprint">حذف</th> --}}
                            </tr>
                            </thead>

                            <tbody id="supplierinstallmentsResult">
                            @foreach($instalments as $instalment)
                                <tr class="@if ($instalment->installment_pay == 1) bg-success text-white @endif">
                                    <td style="width: 12%;">
                                        {{--                                        {{$loop->iteration}}--}}
                                        {{ $instalment->installmentSequence() }}
                                    </td>
                                    <td>{{$instalment->optionalClient()->client_name}}</td>
                                    {{-- <td>{{$instalment->client_name}}</td> --}}
                                    <td>
                                        @if ($instalment->bill)
                                            <a href="{{ route('invoices.show', [ 'invoice' => $instalment->bill->id]) }}"
                                               class="show_bill"
                                               target="_blank"
                                               rel="noopener noreferrer"
                                               data-id="{{ $instalment->bill->id }}">{{'#'. $instalment->bill->bill_no }}</a>
                                        @else
                                            --
                                        @endif

                                    </td>
                                    <td>{{$instalment->installment_date}}</td>
                                    <td>{{$instalment->installment_pay == 0 ? 'لم يتم السداد' :     $instalment->pay_date}}</td>
                                    <td>{{price_decimal($instalment->installment_amount)}}</td>
                                    <td>{!! nl2br( $instalment->notes ) !!}</td>

                                    @if ($instalment->installment_pay == 1)
                                        <td class="noprint"><a
                                                    href="{{ route('clientinstalments.print', $instalment->id) }}"
                                                    rel="noopener noreferrer"
                                                    target="_blank" class="btn btn-circle btn-success"><i class="fa fa-print"></i></a>
                                        </td>
                                    @else
                                        <td></td>
                                    @endif

                                    @if ($instalment->installment_pay == 0)
                                        <td class="noprint"><a
                                                    href="{{route('clientinstalments.payingTheDebt', $instalment->id)}}"
                                                    class="btn btn-circle btn-success"><i class="fas fa-money-bill-alt"></i></a>
                                        </td>

                                        {{-- <td class="noprint"><a onclick="return confirm('هل انت متأكد من الحذف؟')"
                                                               href="{{route('clientinstalments.delete', $instalment->id)}}"
                                                               class="btn btn-circle btn-danger"><i
                                                        class="fa fa-minus-circle"></i></a>
                                        </td> --}}
                                    @else
                                        <td colspan="1">المحصل: {{  $instalment->user_name }}</td>
                                    @endif
                                </tr>
                            @endforeach

                            <tr class="warning h4">
                                <td colspan="5" class="text-center">الاجمالي بالصفحة</td>
                                <td>{{  round_money($page_sum) }}</td>
                                <td colspan="3"></td>
                            </tr>
                            <tr class="info h4">
                                <td colspan="5" class="text-center">الاجمالي</td>
                                <td>{{  round_money($instalments_sum) }}</td>
                                <td colspan="3"></td>
                            </tr>

                            </tbody>
                        </table>
                    </div>
                </div>

                @if ($billUrl)
                    <div class="col-md-4 noprint">
                        <iframe style="width: 100%;height: 100vh;position: relative;" src="{{$billUrl}}"></iframe>
                    </div>
                @endif

            </div>
            <div class="text-center">
                {!! $instalments->appends(Request::capture()->except('page'))->render() !!}
            </div>
        </div>
    </div>
@stop
@section('js-scripts')


    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{url('tickets/js/bootstrap-select.min.js')}}"></script>
    <script>
        // Get the supplier instalment by its type
        $(document).on("click", ".instalmentStatus", function () {
            var type = $(this).val();
            var client = $("#supplier").find(":selected").val();
            var today = $('#current_date').val();

            var data = {"_token": "{{csrf_token()}}", "type": type, "supplier": client, 'today': today};
            $.ajax({
                type: "POST",
                url: "{{route('clientinstalments.getInstalmentByType')}}",
                data: data,
                cache: false,
                success: function (data) {
                    $("#supplierinstallmentsResult").html(data);
                }
            });
        });
        // Get the supplier balance
        $(document).on("change", 'select[name="supplier"]', function () {
            var client = $(this).val();
            var data = {"_token": "{{csrf_token()}}", "client": client};

            $.ajax({
                url: "{{route('clientinstalments.getSupplierBalanceAjax')}}",
                type: "POST",
                data: data,
                cache: false,
                success: function (data) {
                    $(".supplier-balance-result").html(data);
                    $(".supplier-balance-table").show();
                }
            });

            // get user bills
            var selectedBillId = "{{request()->get('bill') ?? "0" }}";
            $.ajax({
                url: "{{route('clientinstalments.client-bill')}}",
                type: "POST",
                data: data,
                cache: false,
                success: function (data) {
                    console.log(data);
                    var el = '<option value="0">الكل</option>';
                    $.each(data, function (index, value) {
                        var bill_id = value;
                        el += `<option value="${bill_id}">${index}</option>`;
                    });
                    $('#bill').html(el);
                    $("#bill").val(selectedBillId).change();
                }
            });
        });

        $(document).find('#supplier').trigger('change');

        /* $(document).on("change", "#supplier", function () {
            var type = $('input[name=chooseshow]:checked').val();

            var client = $("#supplier").find(":selected").val();
            var today = $('#current_date').val();

            var data = {"_token": "{{csrf_token()}}", "type": type, "supplier": client, 'today': today};
            $.ajax({
                type: "POST",
                url: "{{route('clientinstalments.getInstalmentByType')}}",
                data: data,
                cache: false,
                success: function (data) {
                    $("#supplierinstallmentsResult").html(data);
                }
            });
        });  */

        $(document).ready(function () {
            $('.bootstrap-select').find('button').css('border-color', 'rgb(154, 143, 143)');
        });
    </script>


    <script>
        $(function () {
            if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {
                $(".date2").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });

                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    defaultDate: "0"
                });
            } else {
                $(".date2").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    defaultDate: "0"
                });
            }
        });


        $(document).on('change', '#discount-parentage', function () {
            var additions = {{ $AllInsatllments }};
            var totalUnPaid = {{ $totalUnPaid }};
            var discountPercentage = this.value;
            var discount =  ((discountPercentage / 100) * additions);
            var afterDiscount = totalUnPaid - discount;
            $('#discount').html(discount.toFixed(2));
            $('#after-discount').html(afterDiscount.toFixed(2));
        });

        $(document).on('click', '#btn', function () {

            var loadFile = function (event) {
                var output = document.getElementById('output');
                output.src = URL.createObjectURL(event.target.files[0]);
            };
            $('#create_modal').modal();
        });


        $(document).on('click', '#supplier', function () {
            $('.logo').removeClass('hidden');
            $('.text').addClass('well');
            var c_name = $('#supplier option:selected').html()
            var c_address = $('#supplier option:selected').data('address');
            var c_code = $('#supplier option:selected').val();
            if (Number(c_code) > 0) {
                $('.c_name').html("العميل: " + c_name)
                $('.c_code').html("كود العميل: " + c_code)
                $('.c_address').html("العنوان: " + c_address)
            } else {
                $('.text').removeClass('well');
            }

            window.print();
            $('.logo').addClass('hidden');
        });


        $(document).on('click', '#print-schedule', function () {
            window.print();
        });

        @if (session()->has('print'))
            @foreach(Session::get('print') as $id)
                window.open('{{ route('clientinstalments.print', $id) }}');
            @endforeach
        @endif

    </script>

@stop
