@extends('master::layouts.master')

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <style>
        @media print {
            .noprint {
                display: none;
            }
        }
    </style>
@stop

@section('content')
    <div class="wrapper">
        <div class="container">

            <h3 class="noprint" id="title_text"> تقرير عمولة تحصيل الاقساط</h3>
            <div class="row noprint well">
                <form action="" class="col-md-12 row">
                    <input type="hidden" id="current_date" name="date" class="date2">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="" class="control-label">اسم الموظف</label>
                            <select name="employee" id="employee" class="form-control" data-live-search="true">
                                <option value="0">الكل</option>
                                @foreach($employees as $employee)
                                    <option @if (request('employee') == $employee->id) selected @endif value="{{$employee->id}}">
                                        {{ $employee->name }}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="" class="control-label">من</label>
                            <input value="{{ request('from') }}" name="from" id="from" class="form-control date" readonly autocomplete="off">
                        </div>
                    </div>

                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="" class="control-label">الي</label>
                            <input value="{{ request('to') }}" name="to" id="to" class="form-control date" readonly autocomplete="off">
                        </div>
                    </div>

                    <div class="col-md-2">
                        <div class="form-group">
                            <label for="" class="control-label text-white col-md-12">الي</label>
                            <button class="btn btn-success">عرض </button>
                        </div>
                    </div>
                </form>
            </div>

            <hr class="noprint">
            <div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
                <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2 mr-2">{{ trans('extends.print') }} </button>
                <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2 mr-2">{{ trans('extends.toExcel') }} </button>
                {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
            </div>
            <div class="noprint supplier-balance-table row" >

                <div class="col-md-12 table-responsive">
                    <table class="table table-stripped col-md-12 table2excel" role="presentation">
                        <thead class="bg-success text-white">
                        <tr>
                            <th scope="col">اسم الموظف</th>
                            <th scope="col">اسم العميل</th>
                            <th scope="col">تاريخ الاستحقاق</th>
                            <th scope="col"> تاريخ التحصيل</th>
                            <th scope="col"> العمولة</th>
                            <th scope="col">مبلغ القسط</th>
                            <th scope="col">مبلغ العمولة</th>

                        </tr>
                        </thead >

                            <tbody class="text-center">
                            @foreach($instalments as $instalment)
                                <tr>
                                    <td>{{  $instalment->name }}</td>
                                    <td>{{  $instalment->client_name }}</td>
                                    <td>{{  $instalment->installment_date }}</td>
                                    <td>{{  $instalment->pay_date }}</td>
                                    <td>{{  $instalment->collecting_ratio ? "$instalment->collecting_ratio %" : 0  }}</td>
                                    <td>{{  round_money($instalment->amount) }}</td>
                                    <td>{{  round_money($instalment->percent_amount) }}</td>

                                </tr>
                            @endforeach

                            <tr class="info h4">
                                <td colspan="5" class="text-center">الاجمالي</td>
                                <td>{{  round_money($instalments_sum) }}</td>
                                <td>{{  round_money($percent_sum) }}</td>
                                <td colspan="2"></td>
                            </tr>

                        </tbody>
                        </table>
                    </div>
                </div>
            </div>

        </div>
    </div>
@stop
@section('js-scripts')

    @include('master::js.export-functions')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script src="{{url('tickets/js/bootstrap-select.min.js')}}"></script>
    <script>
        $("#supplier").selectpicker({
            noneResultsText: "لا توجد نتائج مطابقة"
        });
        // Get the supplier instalment by its type
        $(document).on("click", ".instalmentStatus", function () {
            var type = $(this).val();
            var client = $("#supplier").find(":selected").val();
            var today = $('#current_date').val();

            var data = {"_token": "{{csrf_token()}}", "type": type, "supplier": client, 'today': today};
            $.ajax({
                type: "POST",
                url: "{{route('clientinstalments.getInstalmentByType')}}",
                data: data,
                cache: false,
                success: function (data) {
                    $("#supplierinstallmentsResult").html(data);
                }
            });
        });
        // Get the supplier balance
        $(document).on("change", 'select[name="supplier"]', function () {

            var client = $(this).val();
            var data = {"_token": "{{csrf_token()}}", "client": client};

            $.ajax({
                url: "{{route('clientinstalments.getSupplierBalanceAjax')}}",
                type: "POST",
                data: data,
                cache: false,
                success: function (data) {
                     $(".supplier-balance-result").html(data);
                    $(".supplier-balance-table").show();
                }
            });

        });

        $(document).find('#supplier').trigger('change');

        /* $(document).on("change", "#supplier", function () {
            var type = $('input[name=chooseshow]:checked').val();

            var client = $("#supplier").find(":selected").val();
            var today = $('#current_date').val();

            var data = {"_token": "{{csrf_token()}}", "type": type, "supplier": client, 'today': today};
            $.ajax({
                type: "POST",
                url: "{{route('clientinstalments.getInstalmentByType')}}",
                data: data,
                cache: false,
                success: function (data) {
                    $("#supplierinstallmentsResult").html(data);
                }
            });
        });  */

        $(document).ready(function () {
            $('.bootstrap-select').find('button').css('border-color', 'rgb(154, 143, 143)');
        });
    </script>


    <script>
        $(function () {
            if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {
                $(".date2").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });

                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    defaultDate: "0"
                });
            }
             else {
                $(".date2").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    defaultDate: "0"
                });
            }
        });


        $(document).on('click', '#print-schedule', function () {
            window.print();
        });
    </script>

@stop
