@extends('master::layouts.master')

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <style>
        @media print {
            .noprint {
                display: none;
            }
            .logo{
                /* display:block !important; */
                float:left !important;
                display:flex !important
            }
        }

    </style>
@stop

@section('content')
    <div class="wrapper">
        <div class="container">

            <div class="logo hidden" style="width:99%;display:flex;">
                <div style="width:59%;">
                    <img style="width:auto;height:150" src="{{ getLogoPath() }}">
                </div>
                <div class="well text" style="width:40%;">
                    <h2 class="c_name"></h2>
                    <h2 class="c_code"></h2>
                    <h2 class="c_address"></h2>
                </div>
            </div>

            <h3 class="noprint">تقرير ارباح الزياده علي الاقساط</h3>            <div class="row noprint well">
                <form action="">
                    <input type="hidden" id="current_date" name="date" class="date2">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="" class="control-label">اسم العميل</label>
                            <select name="supplier" id="supplier" class="form-control" data-live-search="true">
                                <option selected>اختر عميل</option>
                                @foreach($clients as $client)
                                    <option @if (request('supplier') == $client->id) selected @endif
                                    value="{{$client->id}}" data-address="{{ $client->address }}">
                                        {{ $client->id }} - {{ $client->client_name }}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>

                    <div class="col-md-3" id="bill-container">
                        <div class="form-group">
                            <label for="" class="control-label">الفاتوره</label>
                            <select name="bill" id="bill" class="form-control" data-live-search="true">
                                <option></option>
                            </select>
                        </div>
                    </div>

                    <div class="col-md-2">
                        <div class="form-group">
                            <label for="" class="control-label">من</label>
                            <input value="{{ request('from') }}" name="from" id="from" class="form-control date" readonly autocomplete="off">
                        </div>
                    </div>

                    <div class="col-md-2">
                        <div class="form-group">
                            <label for="" class="control-label">الي</label>
                            <input value="{{ request('to') }}" name="to" id="to" class="form-control date" readonly autocomplete="off">
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="" class="control-label"> نوع العرض</label>
                            <select name="format" id="format" class="form-control">
                                <option value="0">كل الاقساط</option>
                                <option value="2" @if (request('format') == '2') selected @endif> الاقساط المستحقة</option>
                                <option value="1" @if (request('format') == '1') selected @endif>الاقساط المسددة</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <button class="btn btn-success" style="margin-top: 1.7em;">عرض </button>
                    </div>
                </form>
            </div>

            <hr class="noprint">
            <div class="noprint supplier-balance-table row" style="display: none">
                <div class="col-md-12">
                    <table class="table table-responsive table-stripped" role="presentation">
                        <thead class="bg-success">
                        <tr>
                            <th scope="col">اسم العميل</th>
                            <th scope="col">الهاتف</th>
                            <th scope="col">الرصيد</th>
                            <th scope="col">المديونية المجدولة</th>
                            <th scope="col">المديونية غير المجدولة</th>
                            <th scope="col">العملية</th>
                        </tr>
                        </thead>
                        <tbody class="supplier-balance-result">

                        </tbody>
                    </table>
                </div>
            </div>


            <hr class="noprint">
            <div class="row">

                {{--                <div class="row col-md-12">--}}
                {{--                    <button class="pull-left noprint btn btn-primary" type="button" id="print-schedule">طباعة الاقساط</button>--}}
                {{--                </div>--}}

                <div class="col-md-12">
                    <div class="table-responsive">
                        <table class="table" role="presentation">
                            <thead class="bg-info">
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">اسم العميل</th>
                                <th scope="col">رقم الفاتورة</th>
                                <th scope="col">تاريخ الاستحقاق</th>
                                <th scope="col">تاريخ السداد</th>
                                <th scope="col">المبلغ</th>
                                <th scope="col">الربح</th>
                            </tr>
                            </thead>

                            <tbody id="supplierinstallmentsResult">
                            @if ($instalments)
                                @foreach($instalments as $instalment)
                                    <tr class="@if ($instalment->installment_pay == 1) bg-success @endif">
                                        <td>{{$loop->iteration}}</td>
                                        <td>{{$instalment->client_name}}</td>
                                        <td>
                                            @if ($instalment->bill)
                                                <a href="{{ route('clients.show-sale-bill', $instalment->bill->id) }}" class="show_bill" rel="noopener noreferrer"
                                                   target="_blank" data-id="{{ $instalment->bill->id }}">{{'#'. $instalment->bill->bill_no }}</a>
                                            @else
                                                --
                                            @endif

                                        </td>
                                        <td>{{$instalment->installment_date}}</td>
                                        <td>{{$instalment->installment_pay == 0 ? 'لم يتم السداد' :     $instalment->pay_date}}</td>
                                        <td>{{price_decimal($instalment->installment_amount)}}</td>
                                        <td>{{ price_decimal($instalment->profet) }}</td>
                                        @if ($instalment->installment_pay == 0)

                                        @else
                                            <td colspan="2">المحصل: {{  $instalment->user_name }}</td>
                                        @endif
                                    </tr>
                                @endforeach
                            @endif

                            <tr class="warning h4">
                                <td colspan="5" class="text-center">الاجمالي بالصفحة</td>
                                @if ($page_sum)
                                    <td>{{  $page_sum }}</td>
                                    <td colspan="3"></td>
                                @endif
                            </tr>
                            <tr class="info h4">
                                <td colspan="5" class="text-center">الاجمالي</td>
                                @if ($instalments_sum)
                                    <td>{{  $instalments_sum }}</td>
                                    <td colspan="3"></td>
                                @endif
                            </tr>
                            <tr class="info h4">
                                <td colspan="5" class="text-center">اجمالي الربح</td>
                                @if ($instalmentsIncreaseTotal)
                                    <td>{{  $instalmentsIncreaseTotal }}</td>
                                    <td colspan="3"></td>
                                @endif
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>

            </div>
            <div class="text-center">
                {{--{!! $instalments->appends(Request::capture()->except('page'))->render() !!}--}}
            </div>
        </div>
    </div>
@stop
@section('js-scripts')


    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{url('tickets/js/bootstrap-select.min.js')}}"></script>
    <script>
        $("#supplier").selectpicker({
            noneResultsText: "لا توجد نتائج مطابقة"
        });
        // Get the supplier instalment by its type
        $(document).on("click", ".instalmentStatus", function () {
            var type = $(this).val();
            var client = $("#supplier").find(":selected").val();
            var today = $('#current_date').val();

            var data = {"_token": "{{csrf_token()}}", "type": type, "supplier": client, 'today': today};
            $.ajax({
                type: "POST",
                url: "{{route('clientinstalments.getInstalmentByType')}}",
                data: data,
                cache: false,
                success: function (data) {
                    $("#supplierinstallmentsResult").html(data);
                }
            });
        });
        // Get the supplier balance
        $(document).on("change", 'select[name="supplier"]', function () {
            var client = $(this).val();
            var data = {"_token": "{{csrf_token()}}", "client": client};

            $.ajax({
                url: "{{route('clientinstalments.getSupplierBalanceAjax')}}",
                type: "POST",
                data: data,
                cache: false,
                success: function (data) {
                    $(".supplier-balance-result").html(data);
                    $(".supplier-balance-table").show();
                }
            });

            // get user bills
            var selectedBillId = "{{request()->get('bill') ?? "0" }}";
            $.ajax({
                url: "{{route('clientinstalments.client-bill')}}",
                type: "POST",
                data: data,
                cache: false,
                success: function (data) {
                    console.log(data);
                    var el = '<option>اختر فاتوره</option>';
                    $.each(data, function (index, value) {
                        var bill_id = value;
                        el += `<option value="${bill_id}">${index}</option>`;
                    });
                    $('#bill').html(el);
                    $("#bill").val(selectedBillId).change();
                }
            });
        });

        $(document).find('#supplier').trigger('change');


        $(document).ready(function () {
            $('.bootstrap-select').find('button').css('border-color', 'rgb(154, 143, 143)');
        });
    </script>


    <script>
        $(function () {
            if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {
                $(".date2").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });

                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    defaultDate: "0"
                });
            }
            else {
                $(".date2").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    defaultDate: "0"
                });
            }
        });


        $(document).on('click', '#supplier', function () {
            $('.logo').removeClass('hidden');
            $('.text').addClass('well');
            var c_name = $('#supplier option:selected').html()
            var c_address = $('#supplier option:selected').data('address');
            var c_code = $('#supplier option:selected').val();
            if (Number(c_code) > 0 ){
                $('.c_name').html("العميل: " + c_name)
                $('.c_code').html("كود العميل: " + c_code)
                $('.c_address').html("العنوان: " + c_address)
            }else {
                $('.text').removeClass('well');
            }

            window.print();
            $('.logo').addClass('hidden');
        });

    </script>

@stop
