@extends('master::layouts.master')


@section('content')

    @include('master::layouts.messages')
    <div class="row">
        <div class="col-md-4 pull-left">
            <div class="btn-group noprint" style="margin-bottom: 1em;">
                <a href="javascript:void(0)" class="btn btn-primary" id="print">طباعة الفاتورة</a>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-10 col-md-offset-1">

            <div style="background: #eee; padding: 1em; margin: 0 1em 0 1em;">


                <table class="table table-bordered table-condensed" role="presentation">
                    <tbody>
                    <tr>
                        <td colspan="2" class="text-center">
                            <label>
                                ايصال استلام قسط
                            </label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>اسم العميل : </label><br>
                        </td>
                        <td>
                            <label>{{ $instalments->client_name }}</label><br>
                        </td>
                    </tr>
                    <tr>

                        <td>
                            <label> تاريخ السداد :</label><br>
                        </td>
                        <td>
                            <label> {{ $instalments->pay_date }}</label><br>
                        </td>

                    </tr>
                    <tr>

                        <td>
                            <label> تاريخ الاستحقاق :</label><br>
                        </td>
                        <td>
                            <label> {{ $instalments->installment_date }}</label><br>
                        </td>

                    </tr>
                    <tr>
                        <td>
                            <label> رقم الفاتورة : </label><br>
                        </td>
                        <td>
                            <label>{{ optional($instalments->bill)->bill_no ?? '--'}}</label><br>
                        </td>
                    </tr>

                    <tr>
                        <td>
                            <label> تسلسل القسط :</label><br>
                        </td>
                        <td>
                            <label>{{ $instalments->installmentSequence() }}</label><br>
                        </td>
                    </tr>

                    <tr>
                        <td>
                            <label> المبلغ المدفوع :</label>
                        </td>
                        <td>
                            <label>{{ $instalments->installment_amount }}</label>
                        </td>
                    </tr>
                    @if ($instalments->user_name )
                        <tr>
                            <td>
                                <label> المحصل :</label>
                            </td>
                            <td>
                                <label>{{ $instalments->user_name }}</label>
                            </td>
                        </tr>
                    @endif
                    </tbody>
                </table>


            </div>

        </div>

        @stop

        @section('js-scripts')

            <script>
                $('#print').click(function (e) {
                    e.preventDefault();
                    window.print();
                });

                $('#print').click();

            </script>

        @stop

        @section('css-scripts')

            <style>
                @media print {
                    .noprint {
                        display: none;
                    }

                    .print {
                        display: block !important;
                    }

                    #logo {
                        display: block !important;

                    }

                    .width40 {
                        width: 40% !important;
                        float: left;
                        margin-top: -3em !important;
                        margin-bottom: 1em !important;
                    }

                    .width60 {
                        width: 60% !important;
                    }

                }
            </style>

@stop