@extends('master::layouts.master')

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

@stop

@section('content')
    <div class="wrapper">
        <div class="container">
            <form action="{{route('clientinstalments.storeRescheduleDebt', $client->id)}}" method="POST"
                  id="instalmentForm">
                {{csrf_field()}}
                <h3>جدولة مديونية العميل: {{$client->client_name}}</h3>

                <div class="row" style="background-color: #E9F7EA">

                    <div class="col-md-4">
                        <div class="form-group">
                            <h4>بيانات العميل</h4>
                        </div>
                        <hr>
                        <div class="form-group">
                            <label for="">اسم العميل</label>
                            <input type="text" data-supplier="{{$client->id}}" name="client_name" class="form-control"
                                   value="{{$client->client_name}}" readonly>
                            <input type="hidden" class="form-control" value="{{$client->id}}" name="client_id">
                        </div>
                        <div class="form-group">
                            <label for="">الرصيد</label>
                            <input type="text" id="supplier-balance" class="form-control"
                                   value="{{price_decimal($client->balance)}}" readonly>
                        </div>
                        <div class="form-group">
                            <label for="">المديونية غير المجدولة</label>
                            <input type="text" id="supplier-balance" class="form-control" value="{{$balance}}" readonly>
                        </div>
                        <div class="form-group">
                            <label for="">المديونية المجدولة</label>
                            <input type="text" id="supplier-balance" class="form-control" value="{{$scheduled}}"
                                   readonly>
                        </div>
                        <div class="form-group">
                            <label for="">ملاحظات</label>
                            <textarea name="notes" class="form-control" id="" cols="30" rows="6"></textarea>
                        </div>
                        <div class="form-group">
                            <input type="submit" id="save" class="btn btn-success" value="حفظ"/>
                        </div>
                    </div>
                    <div class="col-md-2"></div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <h4>بيانات جدولة المديونية</h4>
                        </div>
                        <hr>
                        <div class="form-group">
                            <label for="">فترات السداد</label>
                            <select name="" id="" class="form-control instalment-system">
                                <option value="-1">أسبوعي</option>
                                <option value="1">شهري</option>
                                <option value="3">3 شهور</option>
                                <option value="6">6 شهور</option>
                                <option value="12">سنوي</option>
                            </select>
                        </div>

                        <div class="form-group">
                            <label for="">عدد دفعات السداد</label>
                            <input type="number" min="1" class="form-control" value="1" id="instalment-number">
                        </div>

                        <div class="form-group">
                            <label for=""> المبلغ المتبقي</label>
                            <input readonly type="text" class="form-control" name="installment_amount"
                                   value="{{ $balance }}" id="instalment-amount">
                        </div>
                        <hr>
                        <div class="form-group">
                            <h4 class="pull-right">توزيع دفعات السداد </h4>
                            <h4 class="pull-right" style="margin-right: 120px">المبلغ</h4>
                        </div>
                        <div class="clearfix"></div>
                        <div class="msg"></div>

                        <div class="clearfix"></div>
                        <div class="form-group distribute-instalments">
                        </div>
                    </div>
                    <div class="col-md-2"></div>

                </div>
            </form>
        </div>
    </div>
@stop
@section('js-scripts')

    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>


    <script>
        $(document).on("change", "#instalment-number", function () {
            built_dates();
        });


        if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {
            $.calendarsPicker.setDefaults({
                calendar: $.calendars.instance('gregorian', '{{ app()->getLocale() }}'),
                dateFormat: 'yyyy-mm-dd',
                showOnFocus: true,
                defaultDate: '0',
                selectDefaultDate: true,
                isRTL: true,
                howTrigger: '#calImg'
            });
        } else {
            $(".date").calendarsPicker({
                calendar: $.calendars.instance('ummalqura'),
                dateFormat: 'Y-mm-dd',

            });
            $.calendarsPicker.setDefaults({
                calendar: $.calendars.instance('ummalqura', '{{ app()->getLocale() }}'),
                dateFormat: 'yyyy-mm-dd',
                showOnFocus: true,
                defaultDate: '0', selectDefaultDate: true,
                isRTL: true,
                howTrigger: '#calImg'
            });
        }

        built_dates();

        function built_dates() {
            var insatllments_count = $("#instalment-number").val();
            insatllments_count = Number(insatllments_count);


            var oldPrices = new Array();
            var sum = 0;
           // var supplier_blance = $("#supplier-balance").val();  
            var supplier_blance = $("#instalment-amount").val();
            
            // console.log(supplier_blance);  
            $(".instalment_amount").each(function () {
                console.log($(this))
                oldPrices.push($(this).val());
                sum = sum + Number($(this).val());
            });
           // {{--  var currentBalance = supplier_blance - sum;  --}}
           // $("#instalment-amount").val(currentBalance);

            $(".distribute-instalments").html("");

            for (var i = 0; i < insatllments_count; i++) {
                var builtinputs = "";
                var idelemnt = "in" + i;
                var es = "es" + i;

                
                per_amount  = supplier_blance / insatllments_count;
               
                /*  if (typeof oldPrices[i] === 'undefined') {
                    $per_amount = supplier_blance;
                }  */
                per_amount = per_amount.toFixed(2);
                oldPrices[i] = per_amount ;
                
                builtinputs += '<div class="row" style="padding-bottom: 5px">';
                builtinputs += '<div class="col-md-2">' + (i + 1) + '</div>';
                builtinputs += '<div class="col-md-5"><input type="text" id="' + idelemnt + '" class="date_install form-control" value="" name="installment_date[]" /></div>';
                builtinputs += '<div class="col-md-5"><input type="number" required id="' + es + '" class="instalment_amount form-control" value="' + oldPrices[i] + '" name="installment_amount[]" /></div>';
                builtinputs += '</div>';
                $(".distribute-instalments").append(builtinputs);

                var list = $(".instalment-system option:selected").val();
                if (list == '-1') {
                    list = 7;
                }
                var mon = list * (i + 1);

                // console.log(list);


                if (list == 7) {

                    $("#" + idelemnt).calendarsPicker({defaultDate: "+" + mon + "d", selectDefaultDate: true});
                    mon = mon * 2;
                } else {

                    $("#" + idelemnt).calendarsPicker({defaultDate: "+" + mon + "m", selectDefaultDate: true});
                }
            }
        }

        $(document).on('change', '#in0', function(){
            var first_val = $(this).val();                        
            var list = $(".instalment-system option:selected").val();
            list = Number(list);
            if (list == '-1') {
                list = 7;
            }
            $(document).find('.date_install').not('#in0').each(function(x){
                var item = $(this);
                var newdate = new Date(first_val); 
                if (list == 7) {                    
                    newdate.setDate(newdate.getDate() + 7); 
                } else {
                    newdate.setMonth(newdate.getMonth() + list);
                } 
                theDate = getDateByFormat(newdate);
                item.val(theDate);
                first_val = theDate;    
            })            
        });
                
        function getDateByFormat(newdate){
            var d = new Date(newdate);
            var day = d.getDate();
            var month = d.getMonth() + 1;
            var year = d.getFullYear();
            console.log({day, month, year})

            if (month < 10 ){
                month = "0" + month;
            }
            if (day < 10 ){
                day = "0" + day;
            }
            console.log('>>', {day, month, year})
            return year + "-" + month + "-" + day; 
        }

        $(".instalment-system").change(function () {
            built_dates();

        });

        $(document).on("keyup", ".instalment_amount", function () {
            var total = $("#supplier-balance").val();
            $(".instalment_amount").each(function () {
                var current = Number($(this).val());
                if (Number.isInteger(current)) {
                    total = total - current;
                    $(".msg").html("");
                } else {
                    $(".msg").html("<small style='color: darkred;'>يرجى تصحيح قيمة حقل المبلغ</small>");
                    return false;
                }
            });
            // $("#instalment-amount").val(total);
        });


        $("#save").on("click", function (e) {
            e.preventDefault();
            var total = 0;
            $(".instalment_amount").each(function () {
                total = total + Number($(this).val());
            });
            var actualBalance = $("#supplier-balance").val();
            if (total > actualBalance) {
                $(".msg").html("<small class='text-danger'>عفوا يجب أن يكون اجمالي المبلغ المدخل أقل من أو يساوي إجمالي الدين</small>");
                return false;
            }
            $("#instalmentForm").submit();
        })
        
        $(document).on('change', '.instalment_amount', function(){
            
            if (! $(this).val())
            {
                $(this).val(1);
            }
            else if ($(this).val() < 0)
            {
                $(this).val(1);
            }
            
            // var elems = $('.instalment_amount');
            // var total_amount = 0;

            // for (let index = 0; index < elems.length; index++) {
            //     total_amount += parseFloat($(elems[index]).val());
            // }
            
            

            
            built_dates();
        });
    </script>
@stop