@extends('master::layouts.master')

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

@stop

@section('content')
    <div class="wrapper">
        <div class="container">
            <form action="{{route('clientinstalments.storeRescheduleDebt', $client->id)}}" method="POST">
                {{csrf_field()}}
                <h3>جدولة مديونية العميل: {{$client->client_name}}</h3>

                <div class="row" style="background-color: #E9F7EA">
                    <form method="POST" action="">
                        <div class="col-md-4">
                            <div class="form-group">
                                <h4>بيانات العميل</h4>
                            </div>
                            <hr>
                            <div class="form-group">
                                <label for="">اسم العميل</label>
                                <input type="text" data-supplier="{{$client->id}}" name="client_name" class="form-control" value="{{$client->client_name}}" readonly>
                                <input type="hidden" class="form-control" value="{{$client->id}}" name="client_id">
                            </div>
                            <div class="form-group">
                                <label for="">الرصيد</label>
                                <input type="text" id="supplier-balance" class="form-control" value="{{$balance}}" readonly>
                            </div>
                            <div class="form-group">
                                <label for="">ملاحظات</label>
                                <textarea name="notes" class="form-control" id="" cols="30" rows="6"></textarea>
                            </div>
                            <div class="form-group">
                                <input type="submit" class="btn btn-success" value="حفظ" />
                            </div>
                        </div>
                        <div class="col-md-2"></div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <h4>بيانات الأقساط</h4>
                            </div>
                            <hr>
                            <div class="form-group">
                                <label for="">التقسيط</label>
                                <select name="" id="" class="form-control instalment-system">
                                    <option value="1">شهري</option>
                                    <option value="3">3 شهور</option>
                                    <option value="6">6 شهور</option>
                                    <option value="12">سنوي</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="">عدد الأقساط</label>
                                <input type="number" min="1" class="form-control" value="1" id="instalment-number">
                            </div>

                            <div class="form-group">
                                <label for="">مبلغ القسط</label>
                                <input readonly type="text" class="form-control" name="installment_amount" value="{{ $balance }}" id="instalment-amount">
                            </div>
                            <hr>
                            <div class="form-group">
                                <h4>توزيع الأقساط الجديدة</h4>
                            </div>
                            <div class="form-group distribute-instalments">
                            </div>
                        </div>
                        <div class="col-md-2"></div>
                    </form>
                </div>
            </form>
        </div>
    </div>
@stop
@section('js-scripts')

    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>


    <script>
        $(document).on("change", "#instalment-number", function(){
            var number_of_instalment = Number($("#instalment-number").val());
            var balance = Number($("#supplier-balance").val());
            var no_balance = balance / number_of_instalment;
            $("#instalment-amount").val(no_balance.toFixed("{{$price_decimal}}"));

            built_dates();
        });



        if ('{{ get_session_val('date_type', 'Integer') }}' == '2'){
            $.calendarsPicker.setDefaults({
                calendar: $.calendars.instance('gregorian','{{ app()->getLocale() }}'),
                dateFormat: 'yyyy-mm-dd',
                showOnFocus: true,
                defaultDate: '0', selectDefaultDate: true,
                isRTL: true,
                howTrigger: '#calImg'
            });
        }else {
            $(".date").calendarsPicker({
                calendar: $.calendars.instance('ummalqura'),
                dateFormat: 'Y-mm-dd',

            });
            $.calendarsPicker.setDefaults({
                calendar: $.calendars.instance('ummalqura','{{ app()->getLocale() }}'),
                dateFormat: 'yyyy-mm-dd',
                showOnFocus: true,
                defaultDate: '0', selectDefaultDate: true,
                isRTL: true,
                howTrigger: '#calImg'
            });
        }

        built_dates();

        function built_dates()
        {
            var insatllments_count= Number($("#instalment-number").val());


            $(".distribute-instalments").html("");
            for (var i=0; i < insatllments_count; i++)
            {
                var builtinputs="";
                var idelemnt="in"+i;
                builtinputs +='<div class="row" style="padding-bottom: 5px">';
                builtinputs +='<div class="col-md-2">'+(i+1)+'</div>';
                builtinputs +='<div class="col-md-8"><input type="text" id="'+idelemnt+'" class="date_install form-control" value="" name="installment_date[]" /></div>';
                builtinputs +='</div>';
                $(".distribute-instalments").append(builtinputs);
                var list=$(".instalment-system option:selected").val();
                var mon=list*(i+1);
                $("#"+idelemnt).calendarsPicker({defaultDate: "+"+mon+"m", selectDefaultDate: true});
            };


            $(".instalment-system").change(function(){
                built_dates();
            });

        }
    </script>
@stop