<?php

Route::group(['middleware' => ['web', 'auth'], 'prefix' => 'clientinstalments'], function () {

    Route::get('/', 'ClientInstallmentsController@index')->name('clientinstalments.index');


    Route::post('get-instalment-by-type', 'ClientInstallmentsController@getByTypeAjax')
        ->name('clientinstalments.getInstalmentByType');

    Route::post('get-supplier-balance', 'ClientInstallmentsController@getClientBalanceAjax')
        ->name('clientinstalments.getSupplierBalanceAjax');

    Route::get('reschedule-debt/{id}', 'ClientInstallmentsController@rescheduleDebt')
        ->name('clientinstalments.rescheduleDebt');

    Route::post('reschedule-debt/{id}', 'ClientInstallmentsController@storeRescheduleDebt')
        ->name('clientinstalments.storeRescheduleDebt');

    Route::get('paying-instalment/{id}', 'ClientInstallmentsController@payingTheDebtView')
        ->name('clientinstalments.payingTheDebtView');

    Route::post('paying-instalment/{id}', 'ClientInstallmentsController@payingTheDebt')
        ->name('clientinstalments.payingTheDebt');


    Route::get('clients-report', 'ClientInstallmentReportController@clientsReport')
        ->name('clientinstalments.clients-report');

    Route::get('clients-report-result', 'ClientInstallmentReportController@clientsReportResult')
        ->name('clientinstalments.clients-report-result');

    Route::get('lateInstallmentsReport', 'ClientInstallmentReportController@lateInstallmentsReport')
        ->name('clientinstalments.lateInstallmentsReport');

    Route::get('installment-employee-report', 'ClientInstallmentReportController@installmentEmployeeReport')->name('clientinstalments.installmentEmployeeReport');

    Route::get('{id}/delete', 'ClientInstallmentsController@delete')
        ->name('clientinstalments.delete');

    Route::post('client-bill', 'ClientInstallmentsController@clientBills')
        ->name('clientinstalments.client-bill');


    Route::get('instalments-increase', 'ClientInstallmentsController@index')->name('clientinstalments.increase');
    Route::post('pay-all-installments', 'ClientInstallmentsController@payAllInstallments')->name('clientinstalments.payAllInstallments');
    Route::get('print-installment/{id}', 'ClientInstallmentsController@printInstallment')->name('clientinstalments.print');
});


