<?php

namespace Modules\Clients\Entities;

use Illuminate\Database\Eloquent\Model;

class Client extends Model
{
    protected $guarded = ['id'];

    protected $table = 'clients';

    public function transactions()
    {
        return $this->hasMany(ClientTransaction::class);
    }

    public function getImageAttribute($value)
    {
        return config('main.base_url') . 'upload/clients/' . $value;
    }
    public function group()
    {
        return $this->belongsTo(ClientsGroups::class, 'group_id', 'id');
    }
    public function scopeSelection($query)
    {
        return $query->select('id','user_name','image','email','mobile1','password','player_id');
    }

    public static function maxCode()
    {
        return self::query()->where('shop_id', auth()->user()->shop_id)->max('code') + 1;
    }
}
