<?php

namespace Modules\Clients\Entities;

use App\Models\systemLog;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use PhpParser\Node\Stmt\Else_;

class ClientsGroups extends Model
{
    protected $table = 'clients_groups';
    protected $guarded = [];
    public $timestamps = false;
    public function scopeSelection($query)
    {
        return $query->select('clients_groups.id', 'clients_groups.name', 'clients_groups.group_discount', 'clients_groups.shop_id', 'clients_groups.add_user', 'clients_groups.valid')->withCount('clients');
    }
    public function clients()
    {
        return $this->hasMany(Client::class, 'group_id', 'id');
    }
    // public function users()
    // {
    //     return $this->belongsToMany(User::class, 'users_groups', 'user_id');
    // }
    public function userGroups()
    {
        return $this->hasMany(UserGroup::class,'group_id');
    }
    public function getValid()
    {
        if ($this->valid ==1) {
            return 'مفعل';
        } else {
            return 'مخفي';
        }
    }
    protected static function boot()
    {
        parent::boot();
        static::addGlobalScope('perAuth', function (Builder $builder) {
            $builder->where('clients_groups.shop_id', get_session_val('serial_id', 'integer'))
                ->when(auth()->user()->clients_group != 0, function ($query) {
                    $query->whereHas('userGroups', function ($query) {
                        $query->where('users_groups.user_id', auth()->id());
                    });
                })->orderBy('clients_groups.id', 'desc');
        });
    }
}
