<?php

namespace Modules\Clients\Entities;

use Illuminate\Database\Eloquent\Model;

class Helper
{
    public static function getSaleBillNo($id)
    {
        $process = Invoices_::find($id);
        return $process->bill_no ?? '--';
    }

    public static function getSaleBackBillNo($id)
    {
        $back = Invoices_::find($id);
      
        return $back->bill_no ?? '--';
    }

    public static function getBackPurchaseBillNo($id)
    {
        $process = Invoices_::find($id);
        $bill = Invoices_::find($id);
        return $bill->id ?? $process->bill_no ?? '--';
    }

    public static function getPurchaseBillNo($id)
    {
        $back = Invoices_::find($id);
        return $back->bill_no ?? '--';
    }

    private function transactionType($type, $billId, $backId)
    {

        switch ($type) {
            case '0'://مردود  مبيعات
                $no = Helper::getSaleBackBillNo($backId);
                $type = '<a href="javascript:void(0)"> فاتورة مرتجع بيع رقم ' . $no . '</a>';
                break;
            case '1':// فاتورة بيع
                $no = Helper::getSaleBillNo($billId);
                $type = '<a href="javascript:void(0)"> فاتورة بيع رقم ' . $no . '</a>';
                break;
            case '2'://عملية سداد من العميل
                $type = 'عملية سداد من العميل';
                break;
            case '3'://فاتورة مشتريات رقم
                $type = ' فاتورة مشتريات رقم' . $billId;
                break;
            case '4'://رصيد جديد
                $type = 'رصيد جديد';
                break;
            case '5'://فاتورة مرتجع مشتريات
                $type = ' فاتورة مرتجع مشتريات' . $billId;
                break;
            case '6'://دفع للشركة
                $type = 'دفع للشركة';
                break;
            case '7'://مردود  نقدى من  الشركة
                $type = 'مردود نقدي من الشركة';
                break;
            case '8'://تعديل مباشر للرصيد
                $type = 'تعديل مباشر للرصيد';
                break;
            case '9'://مردود نقدى للعميل
                $type = 'مردود نقدي للعميل';
                break;
            case '10':// تسجيل مصروفات
                $type = 'تسجيل مصروفات';
                break;
            case '11'://تحويل خزينة
                $type = 'تحويل خزينة';
                break;
            case '12'://تحويل مخزن
                $type = 'تحويل مخزن';
                break;
            case '13':// صرف على مقايسة
                $type = '<a href="javascript:void(0)" onclick="' . show_problem_details($billId) . '">صرف على مقايسة</a>';
                break;
            case '14':// تسوية مقايسة
                $type = '<a href="javascript:void(0)" onclick="' . show_problem_details($billId) . '">تسوية على مقايسة</a>';

                break;
            case '15':// تسوية مقايسة
                $type = 'دفع مستحقات فنى ';
                break;
            case '22'://تم الحذف من قاعدة البيانات
                $type = 'تم الحذف من قاعدة البيانات';
                break;
            case '24'://تسجيل إيرادات
                $type = 'تسجيل إيرادات';
                break;
            case '25':// مدفوع بلاغات
                $type = 'مدفوعات بلاغات';
                break;
            case '27'://تعديل  للكمية
                $type = 'تعديل للكمية';
                break;
            case '30'://حذف صنف من فاتورة المبيعات
                $no = Helper::getSaleBillNo($billId);
                $type = '<a href="javascript:void(0)"> حذف صنف من فاتورة بيع رقم ' . $no . '</a>';
                break;
            case '31'://إضافة صنف على الفاتورة   // تعديل فاتورة مبيعات
                $no = Helper::getSaleBillNo($billId);
                $type = '<a href="javascript:void(0)"> اضافة صنف الي فاتورة بيع رقم ' . $no . '</a>';
                break;
            case '32'://إضافة صنف جديد لفاتورة الشراء
                $type = 'تعديل فى بيانات صنف فى فاتورة شراء' . $billId;
                break;
            case '33'://حذف صنف من فاتورة الشراء
                $type = ' حذف صنف من فاتورة الشراء' . $billId;
                break;
            case '34'://عديل فاتورة مبيعات
                $no = Helper::getSaleBillNo($billId);
                $type = '<a href="javascript:void(0)"> تعديل فاتورة بيع رقم ' . $no . '</a>';
                break;
            case '40'://حافز على المرتب
                $type = 'حافز على المرتب';
                break;
            case '41'://خصم من  المرتب
                $type = 'خصم من المرتب';
                break;
            case '42'://سلفة
                $type = 'سلفة';
                break;
            case '43'://صرف مرتب
                $type = 'صرف مرتب';
                break;
            case '50'://تصنيع
                $type = "تصنيع";
                if ($billId > 0) {
                    $type .= " تصنيع" . $billId;
                }
                break;
            case '51'://تصنيع
                $type = "حذف امر تصنيع";
                break;
            case '60'://خصم رصيد عميل
                $type = " رصيد معدوم ";
                break;
            case '61'://خصم رصيد مورد
                $type = "رصيد معدوم ";
                break;
            case '62'://إهلاكد
                $type = " إهلاك   ";
                break;

            case '63'://اضافة صنف لفاتورة مرتجع البيع
                $no = Helper::getSaleBackBillNo($backId);
                $type = '<a href="javascript:void(0)"> اضافة صنف الي فاتورة مرتجع بيع رقم ' . $no . '</a>';
                break;
            case '64'://حذف صنف من فاتورة مرتجع البيع
                $no = Helper::getSaleBackBillNo($backId);
                $type = '<a href="javascript:void(0)"> حذف صنف من فاتورة مرتجع بيع رقم ' . $no . '</a>';
                break;


            case '65'://اضافة صنف لفاتورة مرتجع شراء
                $type = " اضافة صنف لفاتورة مرتجع شراء   ";
                break;
            case '66'://حذف صنف من فاتورة مرتجع شراء
                $type = " حذف صنف من فاتورة مرتجع شراء   ";
                break;

            default:
                $type = "....";
                break;
        }
        return $type;
    }

}
