<?php

namespace Modules\Clients\Entities;

use Illuminate\Database\Eloquent\Model;

class SaleProcess extends Model
{
    protected $table = 'sale_process';
    protected $appends = ['total_quantity'];

    public function addition_value()
    {
        $addition_value = BillsAddHistory::where([
            'shop_id' => get_session_val('serial_id', 'integer'),
            'bill_id' => $this->id,
            'type' => 1
        ])->get();
        $value = 0;
        if ($addition_value) {
            foreach ($addition_value as $add) {
                $value += $add->addition_value;
            }
        }
        return $value;
    }

    public function getTotalQuantityAttribute()
    {
        $total_qty = SaleDetails::where([
            'shop_id' => get_session_val('serial_id', 'integer'),
            'sale_id' => $this->id
        ])->select('quantity')->get();
        $total = $total_qty->sum('quantity');
        return $total;
    }


    public function vat(){
        return BillsAddHistory::where([
            'shop_id' => get_session_val('serial_id', 'integer'),
            'type' => 1,
            'bill_id' => $this->id
        ])->sum('addition_value');
    }
}