<?php

namespace Modules\Clients\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use App\Http\Controllers\Controller;use Modules\Clients\Entities\BackDetails;
use Modules\Clients\Entities\BillsAdd;
use Modules\Clients\Entities\BillsAddHistory;
use Modules\Clients\Entities\Client;
use Modules\Clients\Entities\SaleBack;
use Modules\Clients\Entities\SaleDetails;
use Modules\Clients\Entities\SaleProcess;

class ClientReportController extends Controller
{

    public function getClientBills(Request $request)
    {
        $clients = Client::where('shop_id', get_session_val('serial_id', 'integer'))->get();

        $bills = [];

        if ($request->has(['client', 'from_date', 'to_date'])) {

            $client_id = $request->client;
            $from = $request->from_date;
            $to = $request->to_date;

            $bills = SaleProcess::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('client_id', $client_id)
                ->whereDate('sale_date', '>=', $from)
                ->whereDate('sale_date', '<=', $to);
            $adds = $bills->pluck('id')->toArray();
               $bills = $bills->select('id', 'sale_date', 'total_price', 'discount', 'net_price', 'bill_no')
                ->get();

            $discount = $bills->sum('discount');
            $total = $bills->sum('total_price');
            $net = $bills->sum('net_price');

            $add_history = BillsAddHistory::where('shop_id', get_session_val('serial_id', 'integer'))
                ->whereIn('bill_id', $adds)->select('addition_value')->get();

            $total_adds = $add_history->sum('addition_value')??0;

            $name = Client::find($client_id)->client_name;
            return view('clients::client_report_1', compact('clients', 'bills', 'name', 'discount', 'total', 'net', 'total_adds'));

        }

        return view('clients::client_report_1', compact('clients', 'bills'));


    }

    public function showSaleBill($id)
    {
        $bill = SaleProcess::where('shop_id', get_session_val('serial_id', 'integer'))->where('id', $id)->firstOrFail();

        $details = SaleDetails::where('shop_id', get_session_val('serial_id', 'integer'))
            ->where('sale_id', $id)
            ->get();

        $img = \DB::table('badr_shop')->where('serial_id', get_session_val('serial_id', 'integer'))->first()->logo_path;
        $currency = \DB::table('badr_shop')->where('serial_id', get_session_val('serial_id', 'integer'))->first()->currency;
        $adds = BillsAddHistory::where('shop_id', get_session_val('serial_id', 'integer'))->where('type', 1)->where('bill_id', $bill->id)->get();
        foreach ($adds as $add) {
            $ad = BillsAdd::where('shop_id', get_session_val('serial_id', 'integer'))->whereId($add->addition_id)->first();
            $add->name = $ad->Addition_name;
        }
        $client = Client::where('shop_id', get_session_val('serial_id', 'integer'))->whereId($bill->client_id)->first();
        return view('clients::show-bill', compact( 'client', 'img', 'bill', 'details', 'currency', 'adds'));
    }

    public function showSaleBackBill($id)
    {
        $bill = SaleBack::where('shop_id', get_session_val('serial_id', 'integer'))->where('id', $id)->firstOrFail();

        $details = BackDetails::where('shop_id', get_session_val('serial_id', 'integer'))
            ->where('back_id', $id)
            ->get();

        $img = \DB::table('badr_shop')->where('serial_id', get_session_val('serial_id', 'integer'))->first()->logo_path;
        $currency = \DB::table('badr_shop')->where('serial_id', get_session_val('serial_id', 'integer'))->first()->currency;
        $adds = BillsAddHistory::where('shop_id', get_session_val('serial_id', 'integer'))->where('type', 3)->where('bill_id', $bill->id)->get();
        foreach ($adds as $add) {
            $ad = BillsAdd::where('shop_id', get_session_val('serial_id', 'integer'))->whereId($add->addition_id)->first();
            $add->name = $ad->Addition_name;
        }
        $client = Client::where('shop_id', get_session_val('serial_id', 'integer'))->whereId($bill->client_id)->first();
        return view('clients::show-back-bill',
            compact('bill', 'details', 'client', 'img', 'currency', 'adds', 'decimal_value'));

    }


}
