<?php

namespace Modules\Clients\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class BadBalanceRequest extends FormRequest
{
    public function authorize()
    {
        return true;
    }

    public function rules()
    {
        return [
            'amount'    => 'required|numeric',
            'date'      => 'required|date',
            'notes'     => 'nullable|string|max:250',
            'client_id' => 'required|numeric|exists:clients,id,shop_id,'.auth()->user()->shop_id,
        ];
    }

    public function attributes()
    {
        return [
            'national_id' => trans('client.national_id'),
            'mobile1'     => trans('client.mobile1')
        ];
    }
}
