<?php

namespace Modules\Clients\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UpdateClientGroupRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required|max:255',
            'discount' => 'nullable|numeric|between:0,100',
        ];
    }
    public function messages()
    {
        return [
            "groupName.required"=> trans('client.clientGroup.groupName_required') ,
            "discountPercent.between"=> trans('client.clientGroup.discount_between') ,
        ];
    }
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
}
