@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
    <div class="card card-light mb-1_5 pt-1_5 p-4">

        <div class="mb-3 d-flex mt-2">
            <h3 class="text-info"> إضافة أرصدة معدومة </h3>
            <h6 class="alert alert-danger" style="margin-right: 50px;"> في حالة اعدام رصيد من المورد يتم كتابة الرصيد المعدوم بالسالب </h6>
        </div>

        <div class="container">
            <form method="post" class="custome-form" action="{{ route('bad.balance') }}" id="formSubmit">
                @csrf

                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label style="font-weight: bold" for="client" class="">@lang('client.client_name.name'): </label>
                            
                            <select class="form-control selectpicker input-normal " id="client" name="client_id" data-none-selected-text="{{ trans('native.no-selected') }}" data-live-search="true">
                                <option value="" selected disabled> @lang('native.no-selected') </option>
                                @foreach ($rows->groupBy('client_role') as $role => $role_rows)
                                    <optgroup label="{{ $role == 0 ? 'عملاء' : ($role == 1 ? 'موردين' : 'عملاء وموردين') }}">
                                        @foreach ($role_rows as $row)
                                            <option value="{{ $row->id }}" data-role="{{ $role }}" data-balance="{{ $row->balance }}" {{ old('client_id') == $row->id ? 'selected' : '' }}>{{ $row->client_name }}</option>
                                        @endforeach
                                    </optgroup>
                                @endforeach
                            </select>
                            @error('client_id') <b class="text-danger"> {{ $message }} </b> @enderror
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-group">
                            <label style="font-weight: bold" for="amount" class="">المبلغ :</label>
                            <input type="text" class="use-only-numbers form-control input-normal " name="amount" id="amount" value="{{ old('amount', 0) }}">
                            @error('amount') <b class="text-danger"> {{ $message }} </b> @enderror
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label style="font-weight: bold" for="current-balance" class="">الرصيد الحالي</label>
                            <input disabled readonly id="current-balance" class="use-only-numbers input-normal  form-control" name="old_balance" value="{{ old('old_balance', 0) }}">
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-group">
                            <label style="font-weight: bold" for="new-balance" class="">الرصيد الجديد</label>
                            <input disabled readonly id="new-balance" class="use-only-numbers  input-normal  form-control" name="new_balance" value="{{ old('new_balance', 0) }}">
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-8">
                        <div class="form-group">
                            <label style="font-weight: bold" for="amount" class="">التاريخ :</label>
                            <input type="date" name="date" id="date" class="form-control input-normal " value="{{ old('date', date('Y-m-d')) }}">
                            @error('date') <b class="text-danger"> {{ $message }} </b> @enderror
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-8">
                        <div class="form-group">
                            <label style="font-weight: bold" for="notes" class="">البيان :</label>
                            <textarea name="notes" id="notes" class="form-control input-normal " cols="5" rows="5">{{ old('notes') }}</textarea>
                            @error('notes') <b class="text-danger"> {{ $message }} </b> @enderror
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-8 text-center">
                        <button type="submit" class="btn btn-success btn-sm w-25"> <i class="fas fa-save"></i> حفظ </button>
                    </div>
                </div>
            </form>
        </div>

</div>
    </div>
@stop

@section('js-scripts')
    
    <script>
        $(function() {
            var client_ele      = $('#client');
            var amount          = $('#amount');
            var current_balance = $('#current-balance');
            var new_balance     = $('#new-balance');

            client_ele.on('change', function() { calculate(); });

            amount.on('keyup', function() { calculate(); });

            function calculate() {
                if ( isNaN( client_ele.val() ) ) return ;
                let selected_option = client_ele.find('option:selected');
                current_balance.val(selected_option.data('balance'));
                let new_balance_val = Number( current_balance.val() ) - ( Number( amount.val() ) );
                new_balance.val( new_balance_val );
            }

            client_ele.change();
        })
    </script>
@stop
