@extends('master::layouts.master')

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <style>
        @media print {

             body * {
                visibility: hidden;
            }
            .show-in-print-only * {
                visibility: visible;
            }
            #table2excel, #table2excel * {
                visibility: visible;
            }
            /*#table2excel {*/
            /*    position: absolute;*/
            /*    left: 0;*/
            /*    top: 0;*/
            /*}*/

            #section-to-print{
                top: 0px;
                left: 0px;
                position: absolute;
            }
            #section-to-print th, #section-to-print td{
                padding: auto 0px;
                margin: auto 0px;
            }

        }

        input:read-only:hover {
            cursor: pointer;
        }
    </style>

@stop

@section('content')
    <div class="wrapper">
        <div class="container ">
            <div class="hidden-print">
                <div class="row">
                    <div class="pull-right col-md-12">
                        <h4 class="text-dark col-md-12">
                            بيانات   {{$client->client_name}}

                            <span class="alert alert-success mx-2 pull-left float-left">   رصيد بالموجب : المبلغ علي العميل أو المورد للمؤسسة   </span>
                            <span class="alert alert-danger mx-2 pull-left float-left">   رصيد بالسالب : المبلغ علي المؤسسة ل العميل أو المورد  </span>
                        </h4>
                    </div>
                </div>

                <div class="row ">
                    <label for="" class="col-md-2 bg-info text-light"> الرصيد </label>
                    <div class="col-md-4">
                        {{$client->balance}}
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-info text-light"> الدور</label>
                    <div class="col-md-4">
                         @if ( $client->client_role == 0 ) عميل @elseif ($client->client_role == 1) مورد @else عميل و مورد @endif
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-info text-light"> معلومات اضافية</label>
                    <div class="col-md-4">
                        {!! $client->addition_data !!}
                    </div>
                </div>

                <!--<div class="row ">-->
                <!--    <label for="" class="col-md-2 bg-info text-light"> التليفون </label>-->
                <!--    <div class="col-md-4">-->
                <!--        {{ $client->tele }}-->
                <!--    </div>-->
                <!--</div>-->
                <div class="row ">
                    <label for="" class="col-md-2 bg-info text-light"> الموبايل </label>
                    <div class="col-md-4">
                        {{ $client->mobile1 }}
                    </div>
                </div>

                <div class="row ">
                    <label for="" class="col-md-2 bg-info text-light"> العنوان </label>
                    <div class="col-md-4">
                        {{ $client->address }}
                    </div>
                </div>

                @if ((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments')))

                    <div class="row ">
                        @if ($client->client_role == 0)
                        <label for="" class="col-md-2 bg-info text-light">الرقم القومي</label>
                        <div class="col-md-4">
                            {{$client->info1}}
                        </div>
                        @elseif ($client->client_role == 1)
                        <label for="" class="col-md-2 bg-info text-light">الرقم الضريبي</label>
                        <div class="col-md-4">
                            {{$client->client_tax_number}}
                        </div>
                        @endif
                    </div>

                    @if ($client->client_role == 2)
                    <div class="row ">
                        <label for="" class="col-md-2 bg-info text-light">الرقم القومي</label>
                        <div class="col-md-4">
                            {{$client->info1}}
                        </div>
                    </div>

                    <div class="row ">
                        <label for="" class="col-md-2 bg-info text-light">الرقم الضريبي</label>
                        <div class="col-md-4">
                            {{$client->client_tax_number}}
                        </div>
                    </div>
                    @endif

                @endif

            </div>
            <div class="row sho">
                <div class="col-md-4">
                    <h2 class="text-dark title-page">كشف حساب
                        <b>{{$client->client_name}}</b>
                    </h2>
                </div>
                <div class="col-md-8 hidden-print">
                    <form action="">
                        @if (request('details'))
                            <input name="details" type="hidden" value="true">
                        @endif
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="">من</label>
                                    <input readonly autocomplete="off" id="dateFrom" name="from" class="form-control date"
                                           value="{{ $from }}">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="">الي</label>
                                    <input readonly autocomplete="off" id="dateTo" name="to" class="form-control date"
                                           value="{{ $to }}">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <button class="btn btn-success" style="margin-top: 1.7em;">عرض</button>
                            </div>
                        </div>
                    </form>
                </div>

            </div>

            <div class="row col-md-12" id="section-to-print">

                <div class="pull-left hidden-print">
                    <a class="btn btn-success text-light" onclick="window.print()"><i class="fa fa-print"></i>طباعه</a>
                </div>
                <div class="col-12 show-in-print-only">
                    <div class="row col-12">
                        <div class="col-4 p-0">@lang('reports.client_name'): <br> {{$client->client_name ?? 'الكل'}}</div>
                        @if(request()->has('from'))
                            <div class="col-4 p-0">@lang('reports.from'): <br> {{request()->from}}</div>
                        @endif
                        @if(request()->has('to'))
                            <div class="col-4 p-0">@lang('reports.to'): <br> {{request()->to}}</div>
                        @endif
                    </div>
                </div>

                <table id="table2excel" class="table table-striped table-hover table-bordered" role="presentation">
                    <thead class="@if (request('details') ) hidden @endif bg-primary">
                        <tr>
                            <td scope="col">م</td>
                            <td scope="col">التاريخ</td>
                            <td scope="col">صادر له</td>
                            <td scope="col">مدفوع منه</td>
                            <td scope="col">الرصيد</td>
                            <td scope="col">البيان</td>
                            <td scope="col">ملاحظات</td>
                        </tr>
                    </thead>
                    <tbody>

                    @if ( ($from != '' || $to != '' ) )
                        <tr>
                            <td>-</td>
                            <td colspan="3">رصيد سابق:</td>
                            <td>{{ price_decimal($pre_balance)}} </td>
                        </tr>
                    @endif


                    @foreach($transactions as $col)
                        <tr>
                            <td  scope="col">{{ $loop->iteration }}</td>
                            <td  scope="col">{{$col->pay_day}}</td>
                            <td  scope="col">{{ price_decimal($col->git) }}</td>
                            <td>{{ price_decimal($col->pay) }}</td>
                            <td  scope="col">{{ price_decimal($col->balance) }}</td>
                            <td  scope="col">

                                @if ( $col->installment_id > 0 )
                                    سداد قسط
                                @else
                                    {!! $col->details_link !!}
                                @endif
                            </td>
                            <td  scope="col">{{$col->notes}}</td>

                            @if (request('back') && in_array($col->type, [0,64,63]))
                                <td  scope="col">{{ $col->sale_back_id }}</td>
                            @endif

                        </tr>

                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div>
@stop

@section('js-scripts')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{url('tickets/js/bootstrap-select.min.js')}}"></script>
    <script src="{{ asset('js/calenders/jquery.tableToExcel.js') }}"></script>

    <script>
        $("#btnExport").click(function (e) {
            e.preventDefault();

            $("#table2excel").table2excel({

                // exclude CSS class

                exclude: ".noExl",

                name: "Worksheet Name",

                filename: "balance-sheet-report.xls" //do not include extension

            });

        });
    </script>
    <script>
        $(function () {

            $('.picker').selectpicker({

                size: 8
            });


                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',

                });



            $("#printBtn").on("click", function (e) {
                e.preventDefault();

                window.print();
            });
            var beforePrint = function () {
                $(".no-print").hide();
            };
            var afterPrint = function () {
                $(".no-print").show();
            };

            if (window.matchMedia) {
                var mediaQueryList = window.matchMedia('print');
                mediaQueryList.addListener(function (mql) {
                    if (mql.matches) {
                        beforePrint();
                    } else {
                        afterPrint();
                    }
                });
            }

            window.onbeforeprint = beforePrint;
            window.onafterprint = afterPrint;

            $('#bill-form').on('submit', function (e) {
                if ($('#from').val() == null || $('#from').val() == '') {
                    e.preventDefault();
                    $('#from').addClass('not-valid');
                } else {
                    $('#from').removeClass('not-valid');
                }
                if ($('#to').val() == null || $('#to').val() == '') {
                    e.preventDefault();
                    $('#to').addClass('not-valid');
                } else {
                    $('#to').removeClass('not-valid');
                }

            });


        })
    </script>
    <script src="{{url('js/jquery.table2excel.js') }}"></script>
    <script>
        $(function () {
            $('.picker').selectpicker({
                size: 8
            });

                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                });


        });
        $(".excelbtn").click(function () {
            // let info = $(document).find('.client_info');
            // info.removeClass('hidden');

            let dateFrom = $('#dateFrom').val(),
                dateTo = $('#dateTo').val(),
                html = "<tr class='added-info'><td colspan='7'></td></tr>" +
                    "<tr class='added-info'>" +
                    "<th scope='col'></th>"+
                "<th scope='col'>"+ dateTo +"</th>"+
                "<th scope='col'>حتي تاريخ</th>"+
                "<th scope='col'>"+ dateFrom +"</th>"+
                    "<th scope='col'> من تاريخ</th>"+
                    "<th scope='col'> "+ '{{$client->client_name}}' + "</th>" +
                    "  <th scope='col'>كشف حساب العميل</th>"+
                "</tr>";
            $("table thead").prepend(html);

            $("table").table2excel({
                // exclude CSS class
                exclude: ".noExl",
                name: "Worksheet Name",
                filename: "كشف حساب العميل {{$client->client_name}}" //do not include extension
            });
            // info.addClass('hidden');
            $(document).find('.added-info').addClass('hidden');
        });
    </script>
@endsection
