@extends('master::layouts.master')

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-md-10 col-md-offset-1">
                <div class="row">
                    <div class="col-md-12 well">
                        <h2 class="title-page">كشف حساب >> {{ $client->client_name }}</h2>
                        <div class="row hidden-print">
                            <form>
                                <div class="col-md-12">
                                    <div class="form-group col-md-4">
                                        <label class="col-md-4">من : </label>
                                        <input type="text" class="form-control col-md-8 date" readonly name="from" value="{{ request('from') }}">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label class="col-md-4">الى : </label>
                                        <input type="text" class="form-control col-md-8 date" readonly name="to" value="{{ request('to') }}">
                                    </div>
                                    <button type="submit" class="btn btn-primary"><i class="fa fa-search"></i>بحث</button>
                                </div>
                            </form>
                        </div>
                        @forelse($transactions as $transaction)
                            @if ($transaction->type == 2 || $transaction->type == 9 || $transaction->type == 60 || $transaction->type == 8)
                                <table class="table table-bordered table-responsive table-striped table-hover table-heading" role="presentation">
                                    <thead class="bg-danger" style='border-top: 2px solid #000;'>
                                        <tr>
                                        <th scope="col">التاريخ</th>
                                        <th scope="col">البيان</th>
                                        <th @if ($transaction->type == 60 || $transaction->type == 8) class="hidden" @endif>رقم المستند</th>
                                        <th scope="col">بواسطة</th>
                                        <th @if ($transaction->type == 8) class="hidden" @endif>المبلغ</th>
                                        <th scope="col">الرصيد</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                        <td>{{ $transaction->pay_day }}</td>
                                        <td>
                                            @if ($transaction->type == 2)
                                                دفعه نقدية من العميل
                                            @endif
                                            @if ($transaction->type == 9)
                                                مردود نقدى للعميل
                                            @endif
                                            @if ($transaction->type == 60)
                                                رصيد معدوم
                                            @endif
                                            @if ($transaction->type == 8)
                                                تعديل مباشر للرصيد
                                            @endif
                                        </td>
                                        <td @if ($transaction->type == 60 || $transaction->type == 8) class="hidden" @endif>{{ optional($transaction->saleProcess)->bill_no ?? $transaction->id }}</td>
                                        <td>{{ optional($transaction->user)->user_name }}</td>
                                        <td @if ($transaction->type == 8) class="hidden" @endif>{{ price_decimal($transaction->amount) }}</td>
                                        <td>{{ price_decimal($transaction->balance) }}</td>
                                    </tr>
                                    </tbody>
                                </table>
                            @else
                                @if (optional($transaction->saleProcess)->bill_no != null || optional($transaction->saleBack)->bill_no != null)
                                    <table class="table table-bordered table-responsive table-striped table-hover table-heading" role="presentation">
                                        <thead class="bg-warning" style='border-top: 2px solid #000;'>
                                        <tr>
                                            <th scope="col">التاريخ</th>
                                            <th scope="col">البيان</th>
                                            <th scope="col">رقم المستند</th>
                                            <th scope="col">طريقة الدفع</th>
                                            <th scope="col">نقطة بيع</th>
                                            <th scope="col">بواسطة</th>
                                        </tr>
                                        </thead>
                                        @if ($transaction->type == 1)
                                            <tbody>
                                            <tr>
                                                <td>{{ $transaction->pay_day }}</td>
                                                <td> فاتوره بيع</td>
                                                <td>{{ optional($transaction->saleProcess)->bill_no }}</td>
                                                <td>
                                                    @if (optional($transaction->saleProcess)->pay_stat == 1)
                                                        نقدى
                                                    @else
                                                        اّجل
                                                    @endif
                                                </td>
                                                <td>{{ optional($transaction->salePoint)->point_name }}</td>
                                                <td>{{ optional($transaction->user)->user_name }}</td>
                                            </tr>
                                            <tr class="success">
                                                <td>الصنف</td>
                                                <td>الوحدة</td>
                                                <td>الكمية</td>
                                                <td>السعر</td>
                                                <td>الخصم</td>
                                                <td>الصافى</td>
                                            </tr>
                                            @foreach($transaction->saleDetails() as $detail)
                                                <tr>
                                                    <td>{{ $detail->item_name }}</td>
                                                    <td>{{ $detail->name }}</td>
                                                    <td>{{ price_decimal($detail->quantity) }}</td>
                                                    <td>{{ price_decimal($detail->price) }}</td>
                                                    <td>%{{ price_decimal(0) }}</td>
                                                    <td>{{ price_decimal($detail->total_price) }}</td>
                                                </tr>
                                            @endforeach
                                            <tr>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td>
                                                    <strong>المجموع</strong>
                                                </td>
                                                <td>
                                                    <strong>{{ price_decimal(optional($transaction->saleProcess)->total_price) }}</strong>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>خصم الفاتورة</td>
                                                <td>المجموع</td>
                                                <td>المدفوع</td>
                                                <td>المتبقى</td>
                                                <td></td>
                                                <td>الرصيد</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    {{ price_decimal(optional($transaction->saleProcess)->discount) }}
                                                    @if (optional($transaction->saleProcess)->discount_type == 0)
                                                        %
                                                    @else
                                                        {{ $currency }}
                                                    @endif
                                                </td>
                                                <td>{{ price_decimal(optional($transaction->saleProcess)->net_price) }}</td>
                                                <td>{{ price_decimal($transaction->amount) }}</td>
                                                <td>
                                                    @if ($transaction->bill_net_total - $transaction->amount > 0)
                                                        {{ $transaction->bill_net_total - $transaction->amount }}
                                                    @else
                                                        {{ price_decimal(-1 * ($transaction->bill_net_total - $transaction->amount)) }}
                                                    @endif
                                                </td>
                                                <td></td>
                                                <td>{{ price_decimal($transaction->balance) }}</td>
                                            </tr>
                                            </tbody>
                                        @else
                                            <tbody>
                                            <tr>
                                                <td>{{ $transaction->pay_day }}</td>
                                                <td>مرتجع مبيعات</td>
                                                <td>{{ optional($transaction->saleBack)->bill_no }}</td>
                                                <td>
                                                    @if (optional($transaction->saleBack)->pay_stat == 1)
                                                        نقدى
                                                    @else
                                                        اّجل
                                                    @endif
                                                </td>
                                                <td>{{ optional($transaction->salePoint)->point_name }}</td>
                                                <td>{{ optional($transaction->user)->user_name }}</td>
                                            </tr>
                                            <tr class="success">
                                                <td>الصنف</td>
                                                <td>الوحدة</td>
                                                <td>الكمية</td>
                                                <td>السعر</td>
                                                <td>الخصم</td>
                                                <td>الصافى</td>
                                            </tr>
                                            @foreach($transaction->backDetails() as $detail)
                                                <tr>
                                                    <td>{{ $detail->item_name }}</td>
                                                    <td>{{ $detail->name }}</td>
                                                    <td>{{ price_decimal($detail->quantity) }}</td>
                                                    <td>{{ price_decimal($detail->price) }}</td>
                                                    <td>%{{ price_decimal(0) }}</td>
                                                    <td>{{ price_decimal($detail->price * $detail->quantity) }}</td>
                                                </tr>
                                            @endforeach
                                            <tr>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td>
                                                    <strong>المجموع</strong>
                                                </td>
                                                <td>
                                                    <strong>{{ price_decimal(optional($transaction->saleBack)->total_price) }}</strong>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>خصم الفاتورة</td>
                                                <td>المجموع</td>
                                                <td>المدفوع</td>
                                                <td>المتبقى</td>
                                                <td></td>
                                                <td>الرصيد</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    {{ price_decimal(optional($transaction->saleBack)->discount) }}
                                                    @if (optional($transaction->saleBack)->discount_type == 0)
                                                        %
                                                    @else
                                                        {{ $currency }}
                                                    @endif
                                                </td>
                                                <td>{{ price_decimal(optional($transaction->saleBack)->net_price) }}</td>
                                                <td>{{ price_decimal(optional($transaction->saleBack)->bil_payment) }}</td>
                                                <td>{{ price_decimal(optional($transaction->saleBack)->rest) }}</td>
                                                <td></td>
                                                <td>{{ price_decimal($transaction->balance) }}</td>
                                            </tr>
                                            </tbody>
                                        @endif
                                    </table>
                                @endif
                            @endif
                        @empty
                            <div class="alert alert-danger text-center" role="alert">
                                <strong>لم يتم تسجيل مبيعات</strong>
                            </div>
                        @endforelse
                        <a class="btn btn-primary hidden-print print_btn"><i class="fa fa-print"></i>طباعه</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
@stop

@section('js-scripts')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script>
        $(function () {
            $('.print_btn').click(function () {
                window.print();
            });

            if ('{{ get_session_val('date_type', 'Integer') }}' ==  '2') {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    // defaultDate: "0",
                    // selectDefaultDate: true
                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    // defaultDate: "0",
                    // selectDefaultDate: true
                });
            }
        });
    </script>
@endsection