@extends('master::layouts.master')

@section('content')
    <div class="container">
        <div class="row no-print">
            <h3>تقرير مشتريات عميل خلال فترة</h3>
            <hr>
            <form action="" method="GET" id="bill-form">

                <div class="col-md-4">
                    <div class="form-group">
                        <label for="">اختر عميل</label>
                        <select name="client" id="" class="form-control picker" data-live-search="true">
                            @foreach($clients as $client)
                                <option @if (request('client') == $client->id) selected
                                        @endif value="{{$client->id}}">{{$client->client_name}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <div class="form-group">
                            <label for="form"> من تاريخ : </label>
                            <input type="text" name="from_date" class="form-control date" id="from"
                                   value="{{ request('from_date') }}"/>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <label for="to"> إلي تاريخ : </label>
                    <input type="text" name="to_date" class="form-control date" id="to"
                           value="{{ request('to_date') }}"/>
                </div>
                <div class="col-md-2">
                    <div class="form-group">
                        <input style="margin-top: 24px" type="submit" class="btn btn-success" value="عرض">
                    </div>
                </div>
            </form>
        </div>
        @if (count($bills) > 0)
            <div class="row">
                <div class="col-md-10">
                    <h4 class="text-center">
                        تقرير مشتريات العميل
                        <span class="text-primary">{{$name}}</span>
                        <span>عن الفترة</span>
                        <span class="text-info">{{ request('from_date') }}</span>
                        الي
                        <span class="text-info">{{ request('to_date') }}</span>
                    </h4>
                </div>
                <div class="col-md-2">
                    {{--<a href="#" id="printBtn" class="btn btn-warning"><i class="fa fa-print fa-3x"></i></a>--}}
                </div>
            </div>
            <div class="row">
                <table class="table table-hover table-striped table-bordered" role="presentation">
                    <thead>
                    <tr class="warning">
                        <th scope="col">رقم الفاتورة</th>
                        <th scope="col">تاريخ الفاتورة</th>
                        <th scope="col">الاجمالي</th>
                        <th scope="col">الخصم</th>
                        <th scope="col">الصافي</th>
                    </tr>

                    </thead>
                    <tbody>
                    @foreach($bills as $bill)
                        <tr>
                            <td>{{$bill->bill_no}}</td>
                            <td>{{$bill->sale_date}}</td>
                            <td>{{price_decimal($bill->total_price)}}</td>
                            <td>{{price_decimal($bill->discount)}}</td>
                            <td>{{price_decimal($bill->net_price)}}</td>
                        </tr>
                    @endforeach
                    <tr class="info">
                        <td colspan="2">الاجمالي</td>
                        <td>{{ price_decimal($total) }}</td>
                        <td>{{ price_decimal($discount) }}</td>
                        <td>{{ price_decimal($net) }}</td>
                    </tr>

                    </tbody>
                </table>
            </div>
        @endif
        @if (request('client') && count($bills) == 0)
            <h3 class="text-center text-muted">
                لا توجد فواتير
            </h3>
        @endif
    </div>
@stop
@section('js-scripts')

    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{url('tickets/js/bootstrap-select.min.js')}}"></script>

    <script>
        $(function () {

            $('.picker').selectpicker({

                size: 8
            });

            if ('{{ get_session_val('date_type', 'Integer') }}' ==  '2') {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',

                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',

                });
            }

            $("#printBtn").on("click", function (e) {
                e.preventDefault();

                window.print();
            });
            var beforePrint = function () {
                $(".no-print").hide();
            };
            var afterPrint = function () {
                $(".no-print").show();
            };

            if (window.matchMedia) {
                var mediaQueryList = window.matchMedia('print');
                mediaQueryList.addListener(function (mql) {
                    if (mql.matches) {
                        beforePrint();
                    } else {
                        afterPrint();
                    }
                });
            }

            window.onbeforeprint = beforePrint;
            window.onafterprint = afterPrint;

            $('#bill-form').on('submit', function (e) {
                if ($('#from').val() == null || $('#from').val() == '') {
                    e.preventDefault();
                    $('#from').addClass('not-valid');
                } else {
                    $('#from').removeClass('not-valid');
                }
                if ($('#to').val() == null || $('#to').val() == '') {
                    e.preventDefault();
                    $('#to').addClass('not-valid');
                } else {
                    $('#to').removeClass('not-valid');
                }

            });



        })
    </script>
@stop
@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <style>
        .not-valid {
            border-color: red !important;
        }
    </style>

@stop