@extends('master::layouts.master')

@section('content')
    <div class="container">
        <div class="row">
            <h2>تقرير النقاط الحاليه للعملاء</h2>
            <div class="table-responsive" id="print" style="overflow-x:scroll ; touch-action: manipulation;">
                <table role="presentation" class="text-center table_bg table table-striped table-bordered table-hover" id="table2excel" style="background-color: #D3E8FF !important">
                    <thead class="bg-primary">
                <tr>
                    <td>#</td>
                    <td>{{ trans('client.client_name') }}</td>
                    <td>{{ trans('client.points_number') }}</td>
                    <td>{{ trans('client.points_value') }}</td>
                </tr>
                </thead>
                    <tbody>
                <?php
                $total_points = 0;
                $total_price = 0;
                ?>
                @foreach($clients as $client)
                <tr>
                    <td>{{ $loop->iteration }}</td>
                    <td>{{$client->client_name}}</td>
                    <td>{{$client->gift_points}}</td>
                    <td>
                        {{ $point_price->bolla_gift * $client->gift_points }}
                        <span>{{ $point_price->currency }}</span>
                    </td>
                </tr>
                    <?php
                    $total_points += $client->gift_points;
                    $total_price += $point_price->bolla_gift * $client->gift_points ;
                    ?>
                @endforeach
                <tr>
                    <td></td>
                    <td></td>
                    <td>
                        {{ trans('client.totally') }} :
                        <span style="    color: #2bb309;">
                            {{ $total_points }}
                        </span>
                        {{ trans('client.points') }}

                    </td>

                    <td>
                        {{ $total_price }}
                        <span>{{ $point_price->currency }}</span>
                    </td>
                </tr>
                </tbody>
            </table>
                <button onclick="toExcel()" class="hidden-print btn btn-primary col-sm-2">{{ trans('extends.toExcel') }} </button>
            </div>
        </div>
    </div>

@stop


@section('css-scripts')
<style>

</style>
@stop


@section('js-scripts')
    <script src="{{url('js/jquery.table2excel.js') }}"></script>
    <script>

        function myFunction() {
            window.print();
            var isChrome = /Chrome/.test(navigator.userAgent) && /Google Inc/.test(navigator.vendor);

            if (isChrome == false) window.close();
        }
        function toExcel() {
            $("#table2excel").table2excel({

                // exclude CSS class

                exclude: ".noExl",

                name: "Report",
                filename: "sell_vat" //do not include extension

            });
        }
    </script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>

    <script>
        $('.picker').selectpicker({
            size: 8
        });
    </script>


@stop