@extends('master::layouts.master')

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <style>
        th {
            text-align: center;
        }
    </style>
@stop

@section('content')
    <div class="wrapper">
        <div class="container">
            <form class="form-horizontal" method="post" action="{{ route('clients.store') }}"
                enctype="multipart/form-data">
                {{ csrf_field() }}
                <div class="row">
                    <h3 class="text-primary"> عميل / مورد جديد </h3>
                </div>

                <input type="hidden" id="client_id" value="">
                <input type="hidden" id="embedded" name="embedded" value="{{ $embedded }}">

                {{-- Client Name & Address --}}
                <div class="form-row row">
                    <div class="form-group col-md-6">
                        <label for="client_role" class="control-label col-md-6">{{ trans('client.client_role') }} :</label>
                        <select name="client_role" id="client_role" class="form-control selectpicker col-md-9"
                            title="{{ trans('client.choose_client_role') }}">
                            @if (authorized('can_add_supplier') &
                                    authorized('can_add_client') &
                                    authorized('can_display_clients') &
                                    authorized('can_display_suppliers'))
                                <option value="0">{{ trans('client.customer') }}</option>
                                <option {{ old('client_role') == 1 ? 'selected' : '' }} value="1">
                                    {{ trans('client.supplier') }}</option>
                                <option {{ old('client_role') == 2 ? 'selected' : '' }} value="2">
                                    {{ trans('client.both') }}</option>
                            @elseif (authorized('can_add_supplier'))
                                <option {{ old('client_role') == 1 ? 'selected' : '' }} value="1">
                                    {{ trans('client.supplier') }}</option>
                                <option {{ old('client_role') == 2 ? 'selected' : '' }} value="2">
                                    {{ trans('client.both') }}</option>
                            @elseif (authorized('can_add_client'))
                                <option value="0" {{ old('client_role') == 0 ? 'selected' : '' }}>
                                    {{ trans('client.customer') }}</option>
                            @endif
                        </select>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="client_name" class="control-label col-md-6">{{ trans('client.client_name') }} :</label>
                        <input type="text" class="form-control col-md-9 " id="client_name" name="client_name"
                            value="{{ old('client_name') ?? ' ' }}" required>
                    </div>
                </div>
                {{-- country --}}
                <div class="form-row row">
                    <div class="form-group col-md-6">
                        <label for="country_id" class="control-label col-md-6">{{ trans('client.country') }}:</label>
                        <select name="country_id" id="country_id" class="form-control selectpicker col-md-9"
                            data-live-search="true" title="{{ trans('client.choose_country') }}" required>
                            {{-- <option value="">{{ trans('client.choose_country') }}</option> --}}
                            @foreach ($countryLists as $countryList)
                                <option value="{{ $countryList->id }}" @if (old('country_id') == $countryList->id ||
                                        (!old('country_id') && $countryList->id == get_session_val('country', 'integer'))) selected @endif>
                                    {{ $countryList->name_ar }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>

                @if ($settings->einvoice == 1)
                    {{-- Client Governate & Region City --}}
                    <div class="form-row row">
                        <div class="form-group col-md-6">
                            <label for="governate" class="control-label col-md-6">{{ trans('client.governate') }}
                                :</label>
                            <input type="text" class="form-control col-md-9" id="governate" name="governate"
                                value="{{ old('governate') ?? '' }}" required>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="regionCity" class="control-label col-md-6">{{ trans('client.regionCity') }}
                                :</label>
                            <input type="text" class="form-control col-md-9" id="regionCity" name="regionCity"
                                value="{{ old('regionCity') ?? '' }}" required>
                        </div>
                    </div>

                    {{-- Client street & buildingNumber --}}
                    <div class="form-row row">
                        <div class="form-group col-md-6">
                            <label for="street" class="control-label col-md-6">{{ trans('client.street') }} :</label>
                            <input type="text" class="form-control col-md-9" id="street" name="street"
                                value="{{ old('street') ?? '' }}" required>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="buildingNumber" class="control-label col-md-6">{{ trans('client.buildingNumber.name') }}
                                :</label>
                            <input type="number" class="form-control col-md-9" id="buildingNumber" name="buildingNumber"
                                value="{{ old('buildingNumber') ?? '' }}" required>
                        </div>
                    </div>

                    {{-- Client Postal Code & Floor --}}
                    <div class="form-row row">
                        <div class="form-group col-md-6">
                            <label for="postalCode" class="control-label col-md-6">{{ trans('client.postalCode') }}
                                :</label>
                            <input type="number" class="form-control col-md-9" id="postalCode" name="postalCode"
                                value="{{ old('postalCode') ?? '' }}" required>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="floor" class="control-label col-md-6">{{ trans('client.floor') }} :</label>
                            <input type="number" class="form-control col-md-9" id="floor" name="floor"
                                value="{{ old('floor') ?? '' }}" required>
                        </div>
                    </div>

                    {{-- Client Room & Landmark --}}
                    <div class="form-row row">
                        <div class="form-group col-md-6">
                            <label for="room" class="control-label col-md-6">{{ trans('client.room') }} :</label>
                            <input type="number" class="form-control col-md-9" id="room" name="room"
                                value="{{ old('room') ?? '' }}" required>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="landmark" class="control-label col-md-6">{{ trans('client.landmark') }}
                                :</label>
                            <input type="text" class="form-control col-md-9" id="landmark" name="landmark"
                                value="{{ old('landmark') ?? '' }}" required>
                        </div>
                    </div>
                @else
                    {{-- Client Address --}}
                    <div class="form-row row">
                        <div class="form-group col-md-6">
                            <label for="address" class="control-label col-md-6">{{ trans('client.address') }}
                                :</label>
                            <input type="text" class="form-control col-md-9" id="address" name="address"
                                value="{{ old('address') ?? '' }}">
                        </div>
                    </div>
                @endif

                {{-- National ID & Tax Number --}}
                <div class="form-row row">
                    <div class="form-group col-md-6 hidden" id="national_input">
                        <label for="national_id" class="control-label col-md-6">{{ trans('client.national_id') }}
                            :</label>
                        <input type="number" class="form-control col-md-9" id="national_id" name="national_id" disabled
                            maxlength="14"  {{ $settings->einvoice == 1 ? 'required' : '' }}
                            oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);"
                            value="{{ old('national_id') ?? '' }}">
                    </div>
                    <div class="form-group col-md-6" id="tax_number_input">
                        <label for="client_tax_number" class="control-label col-md-6">{{ trans('client.tax_number') }}
                            :</label>
                        <input type="number" class="form-control col-md-9" name="client_tax_number"
                            id="client_tax_number" value="{{ old('client_tax_number') ?? '' }}" maxlength="9"
                            oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);">
                    </div>
                    <div class="form-group col-md-6">
                        <label class="control-label col-md-7"> {{ trans('client.client-group') }}:</label>
                        <div class="col-md-9" style="margin-right: -5px;">
                            <select id="client_group" class="form-control" name="group_id">
                                @if (auth()->user()->clients_group == 0)
                                    <option value="">{{ trans('client.clientGroup.choose_client_group') }}</option>
                                    <option value="0">{{ trans('client.clientGroup.WithoutGroup') }}</option>
                                    @foreach ($groupLists as $groupList)
                                        <option value="{{ $groupList->id }}">{{ $groupList->name }}</option>
                                    @endforeach
                                @else
                                    <option>{{ trans('client.clientGroup.choose_client_group') }}</option>
                                    @foreach ($groupLists as $groupList)
                                        <option value="{{ $groupList->id }}">{{ $groupList->name }}</option>
                                    @endforeach
                                @endif
                            </select>
                        </div>
                    </div>
                </div>

                {{-- Mobile & Phone --}}
                <div class="form-row row">
                    <div class="form-group col-md-6">
                        <label for="mobile1" class="control-label col-md-6">{{ trans('client.mobile') }} :</label>
                        <input type="text" class="form-control col-md-9" id="mobile1" name="mobile1"
                            oninput="this.value = this.value.replace(/[^0-9]/g, '').replace(/(\..*)\./g, '$1');"
                            maxlength="11" size="11" value="{{ old('mobile1') ?? '' }}"
                            @if ($settings->telephone_required == 1) required @endif>
                    </div>
                    <div class="form-group col-md-6 hidden">
                        <label for="tele" class="control-label col-md-6">{{ trans('client.phone') }} :</label>
                        <input type="text" class="form-control col-md-9" name="tele" maxlength="11"
                            oninput="this.value = this.value.replace(/[^0-9]/g, '').replace(/(\..*)\./g, '$1');"
                            size="11" value="{{ old('tele') ?? '' }}"
                            @if ($settings->telephone_required == 1 && false) required @endif>
                    </div>
                </div>

                {{-- Balance --}}
                <div class="form-row row">
                    <div class="form-group col-md-6">
                        <label for="balance" class="control-label col-md-7">{{ trans('client.rest_balance') }} :</label>
                        <input type="number" class="form-control col-md-9" id="balance" name="balance"
                            value="{{ old('balance') ?? 0 }}">
                    </div>
                </div>

                <!-- Hide this section in case $module !== 5 -->
                <div class="hidden row" {{ $row->module !== 5 ? 'style=display:none' : '' }}>
                    <div class="form-group mg-bottom">
                        <div class="col-md-2">
                            <label>إسم المركز التابع له </label>
                        </div>
                        <div class="col-md-6" style="overflow: visible;">
                            <select name="city_id" id="city_list" class="selectpicker">
                                <option value="0"></option>
                                @foreach ($cityLists as $cityList)
                                    @if ($cityList->city_up == 0)
                                        <option value="{{ $cityList->id }}"
                                            @if ($cityList->id == old('city_id')) selected @endif>{{ $cityList->city_name }}
                                        </option>
                                    @endif
                                @endforeach

                            </select>
                        </div>
                        <div class="col-md-2">
                            <label>المنطقة </label>
                        </div>
                        <div class="col-md-6" style="overflow: visible;">
                            <select id="city_sup" class="selectpicker ">
                                <option value="0"></option>
                                @foreach ($cityLists as $cityList)
                                    @if ($cityList->city_up != 0)
                                        <option city_up="{{ $cityList->city_up }}" value="{{ $cityList->id }}"
                                            @if ($cityList->id == old('city_sup')) selected @endif>
                                            {{ $cityList->city_name }}</option>
                                    @endif
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>

                {{-- Eyeglass Detection Data --}}
                {{-- @if ($settings->module == 15)
                    <div class="form-row row">
                        <div class="form-group col-md-12">
                            <label class="control-label">بيانات كشف النظاره :</label>
                            <table class="table table-striped table-bordered table-hover table-heading">
                                <thead class="bg-primary">
                                    <tr>
                                        <th scope="col">Axsis</th>
                                        <th scope="col">Cyl</th>
                                        <th scope="col">Sph.</th>
                                        <th scope="col">Axis</th>
                                        <th scope="col">Cyl</th>
                                        <th scope="col">Sph.</th>
                                        <th style="background: white;"></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="f_axis2"></td>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="f_cyl2"></td>
                                        <td><input type="text" class="form-control new_about" name="f_sph2"></td>

                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="f_axis1"></td>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="f_cyl1"></td>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="f_sph1"></td>
                                        <td class="bg-primary">Far</td>
                                    </tr>
                                    <tr>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="n_axis2"></td>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="n_cyl2"></td>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="n_sph2"></td>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="n_axis1"></td>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="n_cyl1"></td>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="n_sph1"></td>
                                        <td class="bg-primary">Near</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                @endif --}}

                <!--client_limit -->
                {{-- <div class="hidden row form-groub mg-bottom" {{ $row->client_limit == 0 ? 'style=display:none' : '' }}>
                    <div class="form-groub">
                        <div class="col-md-2">
                            <label>حد الإئتمان :</label>
                        </div>
                        <div class="col-md-6">
                            <input type="text" class="form-control" id="credit_limit" name="credit_limit"
                                value="0">
                        </div>

                    </div>
                </div> --}}

                <!--multi price list -->
                {{-- <div class="hidden row form-groub mg-bottom" {{ $row->multi_price == 0 ? 'style=display:none' : '' }}>
                    <div class="col-md-2">
                        <label>قائمة الأسعار :</label>
                    </div>
                    <div class="col-md-6">
                        <select name="price_list_id" id="price_list" class="form-control">
                            <option value="0"></option>
                            @foreach ($priceLists as $list)
                                <option value="{{ $list->id }}">{{ $list->list_name }}</option>
                            @endforeach
                        </select>
                    </div>

                </div> --}}

                <!--add info--->
                {{-- <div class="hidden form-group" {{ $row->insatllments == 0 ? 'style=display:none' : '' }}>
                    <div class="row">
                        <div class="col-md-2">
                            <label> :الرقم القومى</label>
                        </div>
                        <div class="col-md-6">
                            <input type="text" class="form-control" id="info" value="">
                        </div>

                    </div>

                    <div class="row">
                        <div class="col-md-2">
                            <label> اسم الضامن : </label>
                        </div>
                        <div class="col-md-6">
                            <input type="text" class="form-control" id="info2" name="info2" value="">
                        </div>
                        <div class="col-md-2">
                            <label> عنوان الضامن</label>
                        </div>
                        <div class="col-md-6">
                            <input type="text" class="form-control" id="info3" name="info3" value="">
                        </div>

                    </div>
                    <div class="row">
                        <div class="col-md-2">
                            <label> تليفون الضامن</label>
                        </div>
                        <div class="col-md-6">
                            <input type="text" class="form-control" id="info4" name="info4" value="">
                        </div>
                        <div class="col-md-2">
                            <label> الرقم القومى للضامن :</label>
                        </div>
                        <div class="col-md-6">
                            <input type="number" class="form-control" id="info5" name="info5" value="">
                        </div>

                    </div>

                </div> --}}

                {{-- <div class="hidden form-group">
                    <div class="col-md-6">
                        <div class="row">
                            <label class="col-sm-4" for="location"> حدد المكان :</label>
                            <div class="col-sm-6">
                                <input type="text" class="form-control input mg-bottom" autocomplete="on"
                                    id="us3-address" name="us3_address" />
                            </div>

                            <label class="col-sm-4"> Lat :</label>
                            <div class="col-sm-6">
                                <input name="lat" type="text" class="form-control input mg-bottom"
                                    id="us3-lat" />
                            </div>

                            <label class="col-sm-4"> Long :</label>
                            <div class="col-sm-6">
                                <input name="lon" type="text" class="form-control input mg-bottom"
                                    id="us3-lon" />
                            </div>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div id="us3" class="form-control mg-bottom" style="height: 290px;"></div>
                    </div>
                </div> --}}

                {{-- Notes --}}
                <div class="form-row row">
                    <div class="form-group col-md-9">
                        <label for="addition_data" class="control-label">{{ trans('client.notes') }}:</label>
                        <textarea class="form-control" id="addition_data" name="addition_data" rows="5">
                            {{ old('addition_data') }}
                        </textarea>
                    </div>
                    <div class="form-group col-md-6 hidden" id="image_preview_div">
                        <div class="row" style="margin-right: 20px;">
                            <label for="client_image" class="control-label">{{ trans('client.customer_image') }}
                                :</label>
                            <img id="image_preview" width="200" height="200" style="margin-top: 5px;">
                        </div>
                    </div>
                </div>

                {{-- <div class=" clearfix"></div>
                <div class="row">
                    <div class="col-md-6">
                        <label> :كلمة مرور الربط </label>
                    </div>
                    <div class="col-md-6 mb-2">
                        <input type="password" class="form-control" name="StorePass" id="StorePass" value="">
                    </div>
                </div> --}}
                {{-- <div class="hidden row form-groub" {{ $row->distributor != 1 ? 'style=display:none' : '' }}> --}}


                {{-- <div class=" hidden row">
                        <div class="col-md-6">
                            <label> تكلفة النقل:</label>
                        </div>
                        <div class="col-md-6">
                            <input type="number" class="form-control" name="StoreTransport" id="StoreTransport"
                                value="0">
                        </div>
                        <div class="col-md-6">
                            <label> خدمة :</label>
                        </div>
                        <div class="col-md-2">
                            <input type="number" class="form-control" name="StoreServices" id="StoreServices"
                                value="0">
                        </div>

                    </div> --}}

                {{-- </div> --}}
                <!--End of add client group by wael  -->

                {{-- <div class="hidden row mt-2 form-groub mg-bottom" {{ $row->notify == 0 ? 'style=display:none' : '' }}>

                        <div class="col-md-6">
                            <label> التنبيه القادم يوم : </label>
                        </div>
                        <div class="col-md-6">
                            <input type="text" class="form-control is-calendarsPicker" name="notify_next"
                                id="date_day" value="">
                        </div>
                        <div class="col-md-6">
                            <label> التنبية كل :</label>
                        </div>
                        <div class="col-md-2">
                            <input type="text" class="form-control" id="notify_length" name="notify_length"
                                value="0">
                        </div>
                        <div class="col-md-1">
                            <h2> يوم </h2>
                        </div>

                    <!--end check notify-->
                </div> --}}
                {{-- <div class="hidden row form-groub mg-bottom">
                        <div class="col-md-6">
                            <label> نقاط العميل :</label>
                        </div>
                        <div class="col-md-6">
                            <input type="text" class="form-control" id="gift_points" name="gift_points"
                                value="0">
                        </div>
                        <div class="col-md-1">
                            <h2>نقطه </h2>
                        </div>
                </div> --}}
                <!--end check notify-->
                <div class="clearfix"></div>

                {{-- <a href="javascript:void(0)" class="btn btn-info pull" style="margin:3px;" id="save_client" onclick="save_newclient()">حفظ</a> --}}

                <div class="form-row row justify-content-center mb-3" style="margin-top: 15px">
                    <button type="submit" class="btn btn-primary aaa w-25 center"> حفظ</button>
                </div>

                <div class="error_box"></div>
            </form>
        </div>
    </div>
@stop

@section('js-scripts')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('tickets/js/jquery.tableToExcel.js') }}"></script>
    <script type="text/javascript"
        src='https://maps.google.com/maps/api/js?libraries=places&key=AIzaSyCmT97qMPjKdidWGuTUr8c9KC2l4sVUcNs'></script>
    <script src="{{ asset('tickets/locationpicker/locationpicker.jquery.min.js') }}"></script>

    <script>
        $('#us3').locationpicker({
            location: {
                latitude: "26.3476129",
                longitude: "43.7833381"
            },
            radius: 300,
            zoom: 7,
            inputBinding: {
                latitudeInput: $('#us3-lat'),
                longitudeInput: $('#us3-lon'),
                radiusInput: $('#us3-radius'),
                locationNameInput: $('#us3-address')
            },
            enableAutocomplete: true
        });

        // $('.aaa').click(function () {
        //     alert("asas");
        // })

        $("#city_list").change(function() {
            var cid = $("#city_list option:selected").val();

            $('#city_sup').prop('selectedIndex', 0);
            $("#city_sup option").hide();
            $("#city_sup option[city_up=" + cid + "]").show();
            $('#city_sup').selectpicker('refresh');

        });
        $("#date_day").calendarsPicker({
            dateFormat: 'yyyy/mm/dd'
        });
    </script>

    <script>
        $(function() {
            $("#client_role").trigger('change');
        });

        $("#client_role").change(function(e) {
            e.preventDefault();
            var role = $("#client_role option:selected").val(); // 0=> Client , 1=> Supplier , 2=>Both

            if (role == 0) {
                // Hide Tax Number Input
                $("#tax_number_input").addClass('hidden');

                // Show National ID Input
                $("#national_input").removeClass('hidden');
                $("#national_id").removeAttr('disabled');
            } else if (role == 1) {
                // Hide National ID Input
                $("#national_input").addClass('hidden');
                $("#national_id").attr('disabled', 'disabled');

                // Show Tax Number Input
                $("#tax_number_input").removeClass('hidden');
            } else {
                // Show National ID Input
                $("#national_input").removeClass('hidden');
                $("#national_id").removeAttr('disabled');

                // Show Tax Number Input
                $("#tax_number_input").removeClass('hidden');
            }
        });
    </script>

    <script>
        $("#image").change(function(e) {
            $("#image_preview_div").removeClass('hidden');
            var reader = new FileReader();
            reader.onload = function(e) {
                $("#image_preview").attr('src', e.target.result);
            }
            reader.readAsDataURL(e.target.files[0]);
        });
    </script>




@stop
