@extends('master::layouts.master')

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <style>
        th {
            text-align: center;
        }
    </style>
@stop

@section('content')
    <div class="wrapper">
    <div   class="card card-light mb-1_5 pt-1_5 p-4">
            <div class="row">
                <div class="col-md-12">
                <h3 class="text-info">@lang('client.client') / @lang('client.supplier') جديد</h3>

                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
               
                    @include('clients::client-form')

    </div>
            </div>

        </div>
    </div>
@stop

@section('js-scripts')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('tickets/js/jquery.tableToExcel.js') }}"></script>
    <script type="text/javascript"
        src='https://maps.google.com/maps/api/js?libraries=places&key=AIzaSyCmT97qMPjKdidWGuTUr8c9KC2l4sVUcNs'></script>
    <script src="{{ asset('tickets/locationpicker/locationpicker.jquery.min.js') }}"></script>

    <script>
        $('#us3').locationpicker({
            location: {
                latitude: "26.3476129",
                longitude: "43.7833381"
            },
            radius: 300,
            zoom: 7,
            inputBinding: {
                latitudeInput: $('#us3-lat'),
                longitudeInput: $('#us3-lon'),
                radiusInput: $('#us3-radius'),
                locationNameInput: $('#us3-address')
            },
            enableAutocomplete: true
        });

        // $('.aaa').click(function () {
        //     alert("asas");
        // })

        $("#city_list").change(function() {
            var cid = $("#city_list option:selected").val();

            $('#city_sup').prop('selectedIndex', 0);
            $("#city_sup option").hide();
            $("#city_sup option[city_up=" + cid + "]").show();
            $('#city_sup').selectpicker('refresh');

        });
        $("#date_day").calendarsPicker({
            dateFormat: 'yyyy/mm/dd'
        });
    </script>

    <script>
        $("#image").change(function(e) {
            $("#image_preview_div").removeClass('hidden');
            var reader = new FileReader();
            reader.onload = function(e) {
                $("#image_preview").attr('src', e.target.result);
            }
            reader.readAsDataURL(e.target.files[0]);
        });
    </script>

    @stack('add-js')
@stop
