@extends('master::layouts.master')

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <style>
        th {
            text-align: center;
        }
    </style>
@stop

@section('content')
    <div class="wrapper">
        <div class="container">
            <form class="form-horizontal" method="post" action="{{ route('clients.update') }}"
                enctype="multipart/form-data">
                {{ csrf_field() }}

                <input name="client_id" value="{{ $client->id }}" type="hidden">

                <div class="row">
                    <h3 class="text-primary"> {{ $client->client_role == 2 ? "عميل / مورد" : ($client->client_role == 1 ? 'مورد' : 'عميل') }} : {{ $client->client_name }} </h3>
                </div>

                <input type="hidden" id="client_id" value="">

                {{-- Client Name & Address --}}
                <div class="form-row row">
                    <div class="form-group col-md-6">
                        <label for="client_role" class="control-label col-md-6">{{ trans('client.client_role') }}
                            :</label>
                        <select name="client_role" id="client_role" class="form-control selectpicker col-md-9" data-none-selected-text="{{ trans('native.no-selected') }}"
                            title="{{ trans('client.choose_client_role') }}">
                            <option value="0" @if ($client->client_role == 0) selected @endif>
                                {{ trans('client.customer') }}</option>
                            <option value="1" @if ($client->client_role == 1) selected @endif>
                                {{ trans('client.supplier') }}</option>
                            <option value="2" @if ($client->client_role == 2) selected @endif>
                                {{ trans('client.both') }}</option>
                        </select>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="client_name" class="control-label col-md-6">{{ trans('client.client_name') }}
                            :</label>
                        <input type="text" class="form-control col-md-9" id="client_name" name="client_name"
                            value="{{ $client->client_name }}">
                    </div>
                </div>

                @if ($settings->einvoice == 1)
                    {{-- country --}}
                    <div class="form-row row">
                        <div class="form-group col-md-6">
                            <label for="country_id" class="control-label col-md-6">{{ trans('client.country') }}:</label>
                            <select name="country_id" id="country_id" class="form-control selectpicker col-md-9" data-none-selected-text="{{ trans('native.no-selected') }}"
                                title="{{ trans('client.choose_country') }}">
                                {{-- <option value="">{{ trans('client.choose_country') }}</option> --}}
                                @foreach ($countryLists as $countryList)
                                    <option value="{{ $countryList->id }}"
                                        @if ($client->country_id == $countryList->id) selected @endif>{{ $countryList->name_ar }}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    {{-- Client Governate & Region City --}}
                    <div class="form-row row">
                        <div class="form-group col-md-6">
                            <label for="governate" class="control-label col-md-6">{{ trans('client.governate') }}
                                :</label>
                            <input type="text" class="form-control col-md-9" id="governate" name="governate"
                                value="{{ $client->governate }}">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="regionCity" class="control-label col-md-6">{{ trans('client.regionCity') }}
                                :</label>
                            <input type="text" class="form-control col-md-9" id="regionCity" name="regionCity"
                                value="{{ $client->regionCity }}">
                        </div>
                    </div>

                    {{-- Client street & buildingNumber --}}
                    <div class="form-row row">
                        <div class="form-group col-md-6">
                            <label for="street" class="control-label col-md-6">{{ trans('client.street') }} :</label>
                            <input type="text" class="form-control col-md-9" id="street" name="street"
                                value="{{ $client->street }}">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="buildingNumber" class="control-label col-md-6">{{ trans('client.buildingNumber.name') }}
                                :</label>
                            <input type="number" class="form-control col-md-9" id="buildingNumber" name="buildingNumber"
                                value="{{ $client->buildingNumber }}">
                        </div>
                    </div>

                    {{-- Client Postal Code & Floor --}}
                    <div class="form-row row">
                        <div class="form-group col-md-6">
                            <label for="postalCode" class="control-label col-md-6">{{ trans('client.postalCode') }}
                                :</label>
                            <input type="number" class="form-control col-md-9" id="postalCode" name="postalCode"
                                value="{{ $client->postalCode }}">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="floor" class="control-label col-md-6">{{ trans('client.floor') }} :</label>
                            <input type="number" class="form-control col-md-9" id="floor" name="floor"
                                value="{{ $client->floor }}">
                        </div>
                    </div>

                    {{-- Client Room & Landmark --}}
                    <div class="form-row row">
                        <div class="form-group col-md-6">
                            <label for="room" class="control-label col-md-6">{{ trans('client.room') }} :</label>
                            <input type="number" class="form-control col-md-9" id="room" name="room"
                                value="{{ $client->room }}">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="landmark" class="control-label col-md-6">{{ trans('client.landmark') }}
                                :</label>
                            <input type="text" class="form-control col-md-9" id="landmark" name="landmark"
                                value="{{ $client->landmark }}">
                        </div>
                    </div>
                @else
                    {{-- Client Address --}}
                    <div class="form-row row">
                        <div class="form-group col-md-6">
                            <label for="address" class="control-label col-md-6">{{ trans('client.address') }}
                                :</label>
                            <input type="text" class="form-control col-md-9" id="address" name="address"
                                value="{{ $client->address }}">
                        </div>
                    </div>
                @endif

                {{-- Image & Image Order --}}
                {{-- <div class="form-row row">
                    <div class="form-group col-md-6">
                        <label for="image" class="control-label col-md-6">{{ trans('client.customer_image') }}
                            :</label>
                        <input type="file" class="form-control col-md-9" id="image" name="image"
                            value="{{ $client->image }}">
                    </div>
                    <div class="form-group col-md-6">
                        <label for="order" class="control-label col-md-6">{{ trans('client.image_order') }}
                            :</label>
                        <input type="number" class="form-control col-md-9" id="order" name="display_order"
                            value="{{ $client->display_order }}">
                    </div>
                </div> --}}

                {{-- National ID & Tax Number --}}
                <div class="form-row row">
                    <div class="form-group col-md-6  @if ($client->client_role == 1) disabled @endif"
                        id="national_input">
                        <label for="national_id" class="control-label col-md-6">{{ trans('client.national_id') }}
                            :</label>
                        <input type="number" class="form-control col-md-9" id="national_id" name="national_id"
                            maxlength="14"
                            oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);"
                            value="{{ $client->info1 }}">
                    </div>
                    <div class="form-group col-md-6 @if ($client->client_role == 0) disabled @endif"
                        id="tax_number_input">
                        <label for="client_tax_number" class="control-label col-md-6">{{ trans('client.tax_number') }}
                            :</label>
                        <input type="number" class="form-control col-md-9" name="client_tax_number"
                            id="client_tax_number" value="{{ $client->client_tax_number }}">
                    </div>
                </div>

                {{-- Mobile & Phone --}}
                <div class="form-row row">
                    <div class="form-group col-md-6">
                        <label for="mobile1" class="control-label col-md-6">{{ trans('client.mobile') }} :</label>
                        <input type="text" class="form-control col-md-9" id="mobile1" name="mobile1"
                            maxlength="11" size="11" value="{{ $client->mobile1 }}">
                    </div>
                    <div class="form-group col-md-6 hidden">
                        <label for="tele" class="control-label col-md-6">{{ trans('client.phone') }} :</label>
                        <input type="text" class="form-control col-md-9" id="tele" name="tele"
                            maxlength="11" size="11" value="{{ $client->tele }}">
                    </div>
                </div>

                {{-- Balance --}}
                <div class="form-row row">
                    <div class="form-group col-md-6">
                        <label for="balance" class="control-label col-md-6">{{ trans('client.rest_balance') }}
                            :</label>
                        <input type="number" class="form-control col-md-9" id="balance" name="balance"
                            value="{{ $client->balance }}" disabled>
                    </div>

                    <div class="form-group col-md-6">
                        <label class="control-label col-md-7"> {{ trans('client.client-group') }}:</label>
                        <div class="col-md-9">
                            <select id="client_group" class="form-control" name="group_id">
                                @if (auth()->user()->clients_group == 0)
                                    <option value="0" @if ($client->group_id == 0) {{ 'selected' }} @endif>
                                        {{ trans('client.clientGroup.WithoutGroup') }}</option>
                                    @foreach ($groupLists as $groupList)
                                        <option value="{{ $groupList->id }}"
                                            @if ($client->group_id == $groupList->id) {{ 'selected' }} @endif>
                                            {{ $groupList->name }}</option>
                                    @endforeach
                                @else
                                    @foreach ($groupLists as $groupList)
                                        <option value="{{ $groupList->id }}"
                                            @if ($client->group_id == $groupList->id) {{ 'selected' }} @endif>
                                            {{ $groupList->name }}</option>
                                    @endforeach
                                @endif

                            </select>
                        </div>

                    </div>
                </div>

                {{-- Eyeglass Detection Data --}}
                @if ($settings->module == 15)
                    <div class="form-row row">
                        <div class="form-group col-md-12">
                            <label class="control-label">بيانات كشف النظاره :</label>
                            <table class="table table-striped table-bordered table-hover table-heading"
                                role="presentation">
                                <thead class="bg-primary">
                                    <tr>
                                        <th scope="col">Axsis</th>
                                        <th scope="col">Cyl</th>
                                        <th scope="col">Sph.</th>
                                        <th scope="col">Axis</th>
                                        <th scope="col">Cyl</th>
                                        <th scope="col">Sph.</th>
                                        <th style="background: white;"></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="f_axis2" value="{{ $clientGlasses->f_axis2 }}"></td>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="f_cyl2" value="{{ $clientGlasses->f_cyl2 }}"></td>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="f_sph2" value="{{ $clientGlasses->f_sph2 }}"></td>

                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="f_axis1" value="{{ $clientGlasses->f_axis1 }}"></td>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="f_cyl1" value="{{ $clientGlasses->f_cyl1 }}"></td>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="f_sph1" value="{{ $clientGlasses->f_sph1 }}"></td>
                                        <td class="bg-primary">Far</td>
                                    </tr>
                                    <tr>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="n_axis2" value="{{ $clientGlasses->n_axis2 }}"></td>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="n_cyl2" value="{{ $clientGlasses->n_cyl2 }}"></td>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="n_sph2" value="{{ $clientGlasses->n_sph2 }}"></td>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="n_axis1" value="{{ $clientGlasses->n_axis1 }}"></td>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="n_cyl1" value="{{ $clientGlasses->n_cyl1 }}"></td>
                                        <td><input type="number" step=".01" class="form-control new_about"
                                                name="n_sph1" value="{{ $clientGlasses->n_sph1 }}"></td>
                                        <td class="bg-primary">Near</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                @endif

                {{-- <div class="row form-groub mg-bottom">
                    <div class="col-md-2">
                        <label>اسم العميل :</label>
                    </div>
                    <div class="col-md-6">
                        <input type="text" class="form-control" id="client_name" name="client_name"
                            value="{{ $client->client_name }}">
                    </div>
                    <div class="col-md-2">
                        <label> العنوان :</label>
                    </div>
                    <div class="col-md-6">
                        <input type="text" class="form-control" id="address" name="address"
                            value="{{ $client->address }}" />
                    </div>

                    <div class="col-md-10" style="overflow: visible;">
                        <label>بيانات كشف النظاره :</label>
                        <table class="table table-striped table-bordered table-hover table-heading">
                            <thead class="bg-primary">
                                <tr>
                                    <th scope="col">Axsis</th>
                                    <th scope="col">Cyl</th>
                                    <th scope="col">Sph.</th>
                                    <th scope="col">Axis</th>
                                    <th scope="col">Cyl</th>
                                    <th scope="col">Sph.</th>
                                    <th style="background: white;"></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td><input type="number" step=".01" class="form-control new_about" name="f_axis2"
                                            value="{{ $clientGlasses->f_axis2 }}"></td>
                                    <td><input type="number" step=".01" class="form-control new_about" name="f_cyl2"
                                            value="{{ $clientGlasses->f_cyl2 }}"></td>
                                    <td><input type="number" step=".01" class="form-control new_about" name="f_sph2"
                                            value="{{ $clientGlasses->f_sph2 }}"></td>

                                    <td><input type="number" step=".01" class="form-control new_about" name="f_axis1"
                                            value="{{ $clientGlasses->f_axis1 }}"></td>
                                    <td><input type="number" step=".01" class="form-control new_about" name="f_cyl1"
                                            value="{{ $clientGlasses->f_cyl1 }}"></td>
                                    <td><input type="number" step=".01" class="form-control new_about" name="f_sph1"
                                            value="{{ $clientGlasses->f_sph1 }}"></td>
                                    <td class="bg-primary">Far</td>
                                </tr>
                                <tr>
                                    <td><input type="number" step=".01" class="form-control new_about" name="n_axis2"
                                            value="{{ $clientGlasses->n_axis2 }}"></td>
                                    <td><input type="number" step=".01" class="form-control new_about" name="n_cyl2"
                                            value="{{ $clientGlasses->n_cyl2 }}"></td>
                                    <td><input type="number" step=".01" class="form-control new_about" name="n_sph2"
                                            value="{{ $clientGlasses->n_sph2 }}"></td>
                                    <td><input type="number" step=".01" class="form-control new_about" name="n_axis1"
                                            value="{{ $clientGlasses->n_axis1 }}"></td>
                                    <td><input type="number" step=".01" class="form-control new_about" name="n_cyl1"
                                            value="{{ $clientGlasses->n_cyl1 }}"></td>
                                    <td><input type="number" step=".01" class="form-control new_about" name="n_sph1"
                                            value="{{ $clientGlasses->n_sph1 }}"></td>
                                    <td class="bg-primary">Near</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div> --}}

                <!-- Hide this section in case $module !== 5 -->
                <div class="hidden row" {{ $row->module !== 5 ? 'style=display:none' : '' }}>
                    <div class="form-group mg-bottom">
                        <div class="col-md-2">
                            <label>إسم المركز التابع له </label>
                        </div>
                        <div class="col-md-6" style="overflow: visible;">
                            <select name="city_id" id="city_list" class="selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}">
                                <option value="0"></option>
                                @foreach ($cityLists as $cityList)
                                    @if ($cityList->city_up == 0)
                                        <option value="{{ $cityList->id }}"
                                            @if ($cityList->id == $client->city_id) selected @endif>{{ $cityList->city_name }}
                                        </option>
                                    @endif
                                @endforeach

                            </select>
                        </div>
                        <div class="col-md-2">
                            <label>المنطقة </label>
                        </div>
                        <div class="col-md-6" style="overflow: visible;">
                            <select id="city_sup" class="selectpicker " data-none-selected-text="{{ trans('native.no-selected') }}">
                                <option value="0"></option>
                                @foreach ($cityLists as $cityList)
                                    @if ($cityList->city_up != 0)
                                        <option city_up="{{ $cityList->city_up }}" value="{{ $cityList->id }}"
                                            @if ($cityList->id == $client->city_id) selected @endif>{{ $cityList->city_name }}
                                        </option>
                                    @endif
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>

                {{-- <div class="row">
                    <div class="form-groub mg-bottom">

                        <div class="col-md-2">
                            <label>الموبيل :</label>
                        </div>
                        <div class="col-md-6">
                            <input type="text" value="{{ $client->mobile1 }}" class="form-control" id="mobile1"
                                name="mobile1" placeholder="">
                        </div>
                        <div class="hidden col-md-2">
                            <label>رقم التليفون :</label>
                        </div>
                        <div class="hidden col-md-6">
                            <input type="text" class="form-control" id="tele" name="tele"
                                value="{{ $client->mobile1 }}">
                        </div>

                    </div>
                </div>

                <div class="row form-groub mg-bottom">
                    <div class="col-md-2">
                        <strong>
                            رصيد : <br> مستحق على العميل </strong>
                    </div>
                    <div class="col-md-6">
                        <input type="text" class="form-control" id="balance" name="balance"
                            value="{{ $client->balance }}">
                    </div>
                    <div class="hidden col-md-2">
                        <label>مجموعة العميل :</label>
                    </div>
                    <div class="hidden col-md-6">
                        <select id="client_group" class="form-control" name="group_id">
                            @foreach ($groupLists as $groupList)
                                <option value="{{ $groupList->id }}" @if ($groupList->id == $client->group_id) selected @endif>
                                    {{ $groupList->name }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>

                <div class="hidden row form-groub mg-bottom">
                    <div class="col-md-2">
                        <label> الرقم القومى :</label>
                    </div>
                    <div class="col-md-6">
                        <input type="text" class="form-control" id="info1" name="info1" value="{{ $client->info1 }}" />
                    </div>
                </div>

                <div class="hidden row form-groub mg-bottom">
                    <div class="col-md-2">
                        <label> :الرقم الضريبي</label>
                    </div>
                    <div class="col-md-6">
                        <input type="text" class="form-control" name="client_tax_number" id="client_tax_number"
                            value="{{ $client->client_tax_number }}">
                    </div>

                </div>

                <div class="row form-groub mg-bottom">
                    <div class="col-md-2">
                        <label for="image"> الصورة :</label>
                    </div>
                    <div class=" col-md-6">
                        <input type="file" class="form-control" id="image" name="image" />
                    </div>

                    <div class="hidden col-md-2">
                        <label for="order"> ترتيب الظهور :</label>
                    </div>
                    <div class="hidden col-md-6">
                        <input type="number" value="0" class="form-control" id="order" name="display_order"
                            value="{{ $client->display_order }}" />
                    </div>
                </div> --}}

                <!--client_limit -->
                {{-- <div class="hidden row form-groub mg-bottom" {{ $row->client_limit == 0 ? 'style=display:none' : '' }}>
                    <div class="form-groub">
                        <div class="col-md-2">
                            <label>حد الإئتمان :</label>
                        </div>
                        <div class="col-md-6">
                            <input type="text" class="form-control" id="credit_limit" name="credit_limit"
                                value="{{ $client->credit_limit }}">
                        </div>

                    </div>
                </div> --}}

                <!--multi price list -->
                {{-- <div class="hidden row form-groub mg-bottom" {{ $row->multi_price == 0 ? 'style=display:none' : '' }}>
                    <div class="col-md-2">
                        <label>قائمة الأسعار :</label>
                    </div>
                    <div class="col-md-6">
                        <select name="price_list_id" id="price_list" class="form-control">
                            <option value="0"></option>
                            @foreach ($priceLists as $list)
                                <option value="{{ $list->id }}" @if ($list->id == $client->price_list) selected @endif>
                                    {{ $list->list_name }}</option>
                            @endforeach
                        </select>
                    </div>

                </div> --}}

                <!--add info--->
                {{-- <div class="hidden form-group" {{ $row->insatllments == 0 ? 'style=display:none' : '' }}>
                    <div class="row">
                        <div class="col-md-2">
                            <label> اسم الضامن : </label>
                        </div>
                        <div class="col-md-6">
                            <input type="text" class="form-control" id="info2" name="info2"
                                value="{{ $client->info2 }}">
                        </div>
                        <div class="col-md-2">
                            <label> عنوان الضامن</label>
                        </div>
                        <div class="col-md-6">
                            <input type="text" class="form-control" id="info3" name="info3"
                                value="{{ $client->info3 }}">
                        </div>

                    </div>
                    <div class="row">
                        <div class="col-md-2">
                            <label> تليفون الضامن</label>
                        </div>
                        <div class="col-md-6">
                            <input type="text" class="form-control" id="info4" name="info4"
                                value="{{ $client->info4 }}">
                        </div>
                        <div class="col-md-2">
                            <label> الرقم القومى للضامن :</label>
                        </div>
                        <div class="col-md-6">
                            <input type="text" class="form-control" id="info5" name="info5"
                                value="{{ $client->info5 }}">
                        </div>

                    </div>


                </div> --}}

                <div class=" form-group">
                    <div class="col-md-6">
                        <div class="row">
                            {{-- <label class="col-sm-4" for="location"> حدد المكان :</label> --}}
                            {{-- <div class="col-sm-6"> --}}
                            {{-- <input type="text" class="form-control input mg-bottom" autocomplete="on" --}}
                            {{-- id="us3-address" --}}
                            {{-- name="us3_address"/> --}}
                            {{-- </div> --}}

                            {{-- <label class="col-sm-4"> Lat :</label> --}}
                            {{-- <div class="col-sm-6"> --}}
                            {{-- <input name="lat" type="text" class="form-control input mg-bottom" id="us3-lat" --}}
                            {{-- value="{{ $client->lat }}"/> --}}
                            {{-- </div> --}}

                            {{-- <label class="col-sm-4"> Long :</label> --}}
                            {{-- <div class="col-sm-6"> --}}
                            {{-- <input name="lon" type="text" class="form-control input mg-bottom" id="us3-lon" --}}
                            {{-- value="{{ $client->lon }}"/> --}}
                            {{-- </div> --}}

                            {{-- <div class="clearfix"></div>
                            @if ($client->image != '' && !is_null($client->image))
                                <img height="150"
                                    src="{{ config('main.badr') }}upload/clients/{{ $client->image }}">
                            @endif
                        </div> --}}
                        </div>
                        <!-- map -->
                        {{-- <div class="col-sm-4"> --}}
                        {{-- <div id="us3" class="form-control mg-bottom" style="height: 290px;"></div> --}}
                        {{-- </div> --}}
                        <!-- end map -->

                    </div>

                    {{-- Notes --}}
                    <div class="form-row row">
                        <div class="form-group col-md-9">
                            <label for="addition_data" class="control-label">{{ trans('client.notes') }}:</label>
                            <textarea class="form-control" id="addition_data" name="addition_data" rows="5">{{ $client->addition_data }}</textarea>
                        </div>
                        {{-- <div class="form-group col-md-6">
                        <div class="row" style="margin-right: 20px;">
                            <label for="client_image" class="control-label">{{ trans('client.customer_image') }}
                                :</label>
                            <img id="image_preview" width="200" height="200" style="margin-top: 5px;"
                                src="{{ $client->image }}">
                        </div>
                    </div> --}}
                    </div>

                    {{-- <div class="row form-groub">
                    <div class="col-md-2">
                        <label> ملاحظات :</label>
                    </div>
                    <div class="col-md-8">
                        <textarea class="form-control" id="addition_data" name="addition_data" rows="5">{{ $client->addition_data }}</textarea>
                    </div>
                </div> --}}

                    <!--add distributor--->
                    {{-- <div class="clearfix"></div> --}}

                    {{-- <div class="hidden row form-groub" {{ $row->distributor != 1 ? 'style=display:none' : '' }}> --}}
                    {{-- <div class="row">
                        <div class="col-md-2">
                            <label> :كلمة مرور الربط </label>
                        </div>
                        <div class="col-md-6">
                            <input type="password" class="form-control" name="StorePass" id="StorePass" value="">
                        </div>

                    </div> --}}
                    {{--
                    <div class="row">
                        <div class="col-md-2">
                            <label> تكلفة النقل:</label>
                        </div>
                        <div class="col-md-6">
                            <input type="number" class="form-control" name="StoreTransport" id="StoreTransport"
                                value="{{ $client->StoreTransport }}">
                        </div>
                        <div class="col-md-2">
                            <label> خدمة :</label>
                        </div>
                        <div class="col-md-6">
                            <input type="number" class="form-control" name="StoreServices" id="StoreServices"
                                value="{{ $client->StoreServices }}">
                        </div>

                    </div> --}}

                    {{-- </div> --}}
                    <!--End of add client group by wael  -->

                    {{-- <div class="hidden row form-groub mg-bottom" {{ $row->notify == 0 ? 'style=display:none' : '' }}>

                        <div class="col-md-2">
                            <label> التنبيه القادم يوم : </label>
                        </div>
                        <div class="col-md-6">
                            <input type="text" class="form-control is-calendarsPicker" name="notify_next"
                                id="date_day" value="{{ $client->notify_next }}">
                        </div>
                        <div class="col-md-2">
                            <label> التنبية كل :</label>
                        </div>
                        <div class="col-md-6">
                            <input type="text" class="form-control" id="notify_length" name="notify_length"
                                value="{{ $client->notify_length }}">
                        </div>
                        <div class="col-md-1">
                            <h2> يوم </h2>
                        </div>


                </div> --}}
                    <!--end check notify-->
                    {{-- <div class="hidden row form-groub mg-bottom">
                        <div class="col-md-2">
                            <label> نقاط العميل :</label>
                        </div>
                        <div class="col-md-6">
                            <input type="text" class="form-control" id="gift_points" name="gift_points"
                                value="{{ $client->gift_points }}">
                        </div>
                        <div class="col-md-1">
                            <h2>نقطه </h2>
                        </div>
                </div> --}}
                    <!--end check notify-->
                    <div class="clearfix"></div>
                    {{-- <div class="clear butttonsss"> --}}
                    {{-- <a class="btn btn-info pull" style="margin:3px;" href="http://localhost/badrshop-cars/sales/clients.php" id="cancel_link"> إلغاء </a> --}}

                    {{-- <a href="javascript:void(0)" class="btn btn-info pull" style="margin:3px;" id="save_client" onclick="save_newclient()">حفظ</a> --}}
                    {{-- <div class="col-sm-offset-2 col-sm-10">
                    <button type="submit" class="btn btn-primary aaa"> حفظ</button>
                </div> --}}

                    <div class="form-row row justify-content-center" style="margin-top: 15px">
                        <button type="submit" class="btn btn-primary aaa mb-3 w-25"> حفظ</button>
                    </div>

                    <div class="error_box"></div>
            </form>
        </div>
    </div>
@stop
@section('js-scripts')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <!--<script src="{{ asset('tickets/js/jquery.tableToExcel.js') }}"></script>-->
    <script type="text/javascript"
        src='https://maps.google.com/maps/api/js?libraries=places&key=AIzaSyCmT97qMPjKdidWGuTUr8c9KC2l4sVUcNs'></script>
    <script src="{{ asset('tickets/locationpicker/locationpicker.jquery.min.js') }}"></script>

    <script>
        // $('#us3').locationpicker({
        //     location: {
        //         latitude: "{{ $client->lat }}",
        //         longitude: "{{ $client->lon }}"
        //     },
        //     radius: 300,
        //     zoom: 7,
        //     inputBinding: {
        //         latitudeInput: $('#us3-lat'),
        //         longitudeInput: $('#us3-lon'),
        //         radiusInput: $('#us3-radius'),
        //         locationNameInput: $('#us3-address')
        //     },
        //     enableAutocomplete: true

        // });

        // $('.aaa').click(function () {
        //     alert("asas");
        // })

        //     $("#city_list").change(function() {
        //         var cid = $("#city_list option:selected").val();

        //         $('#city_sup').prop('selectedIndex', 0);
        //         $("#city_sup option").hide();
        //         $("#city_sup option[city_up=" + cid + "]").show();
        //         $('#city_sup').selectpicker('refresh');

        //     });
        //     $("#date_day").calendarsPicker({
        //         dateFormat: 'yyyy/mm/dd'
        //     });
        //
    </script>

    <script>
        $(function() {
            $('#client_role').trigger('change');
        })

        $("#client_role").change(function(e) {
            e.preventDefault();
            var role = $("#client_role option:selected").val(); // 0=> Client , 1=> Supplier , 2=>Both

            if (role == 0) {
                // Hide Tax Number Input
                $("#tax_number_input").addClass('hidden');

                // Show National ID Input
                $("#national_input").removeClass('hidden');
                $("#national_id").removeAttr('disabled');
            } else if (role == 1) {
                // Hide National ID Input
                $("#national_input").addClass('hidden');
                $("#national_id").attr('disabled', 'disabled');

                // Show Tax Number Input
                $("#tax_number_input").removeClass('hidden');
            } else {
                // Show National ID Input
                $("#national_input").removeClass('hidden');
                $("#national_id").removeAttr('disabled');

                // Show Tax Number Input
                $("#tax_number_input").removeClass('hidden');
            }
        });
    </script>

    //
    <script>
        //     $("#image").change(function(e) {
        //         var reader = new FileReader();
        //         reader.onload = function(e) {
        //             $("#image_preview").attr('src', e.target.result);
        //         }
        //         reader.readAsDataURL(e.target.files[0]);
        //     });
        //
    </script>
@stop
