@extends('master::layouts.master')
@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
@stop

@section('content')
    <div class="wrapper">

    <div class="card card-light mb-1_5 pt-1_5 p-4">

            <!--@include('clients::layouts.messages')-->
            <div id="currentMessage"></div>
            <div class="row">
                <div class="col-md-12">
                    <form class="custome-form">
                        <div class="row w-100 my-2" style="">
                            <div class="col-md-4 "
                                style="">
                                <div class="form-group row">
                                    <label for="client_role" class="col-md-5 control-label mt-2">إسم @lang('client.client') / @lang('client.supplier') : </label>
                                    <input class="form-control input-normal col-md-7" type="text" placeholder="البحث عن @lang('client.client') / @lang('client.supplier')  ..."
                                        name="client">
                                </div>
                            </div>
                            <div class="col-md-3"
                                style="">
                                <div class="form-group row">
                                    <label for="client_role" class="col-md-4 control-label mt-2">{{ trans('client.type client-supplier') }} : </label>
                                    <select name="client_role" id="client_role" class="form-control col-md-8 input-normal">
                                        @if (authorized('can_display_suppliers') && authorized('can_display_clients'))
                                            <option value="2" @if (!request('client_role') || request('client_role') == 2) {{ 'selected' }} @endif>
                                                الكل</option>
                                        @endif
                                        @if (authorized('can_display_clients'))
                                            <option value="0"
                                                @if (request()->has('client_role') && request('client_role') == 0) {{ 'selected' }} @endif>
                                                {{ __('client.client') }} </option>
                                        @endif

                                        @if (authorized('can_display_suppliers'))
                                            <option value="1"
                                                @if (request()->has('client_role') && request('client_role') == 1) {{ 'selected' }} @endif>
                                                {{ __('client.supplier') }}</option>
                                        @endif

                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4 col-12" id="groups">
                                <div class="form-group">
                                    <div class="form-group row"
                                        style="">
                                        <label for="client_role"
                                            class="col-md-4 control-label mt-2">{{ trans('client.clientGroup.client-group') }} : </label>
                                        <select name="group" id="group" class="form-control col-md-8 input-normal"
                                            style="">
                                            @if (auth()->user()->clients_group == 0)
                                                <option @if (request()->has('group') && request('group') == '') {{ 'selected' }} @endif
                                                    value="">{{ trans('client.clientGroup.all_groups') }}
                                                </option>
                                                <option value="0"
                                                    @if (request()->has('group') && request('group') == '0') {{ 'selected' }} @endif>
                                                    {{ trans('client.clientGroup.WithoutGroup') }}
                                                </option>
                                                @foreach ($groups as $groupList)
                                                    <option value="{{ $groupList->id }}"
                                                        @if (request()->has('group') && request('group') == $groupList->id) {{ 'selected' }} @endif>
                                                        {{ $groupList->name }}
                                                    </option>
                                                @endforeach
                                            @else
                                                <option>
                                                </option>
                                                @foreach ($groups as $groupList)
                                                    <option value="{{ $groupList->id }}"
                                                        @if (request()->has('group') && request('group') == $groupList->id) {{ 'selected' }} @endif>
                                                        {{ $groupList->name }}
                                                    </option>
                                                @endforeach
                                            @endif
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-1 col-12" style="">
                                <div class="form-group row">
                                    <button class="btn btn-info w-100" style=""><i
                                            class="fa fa-search"></i> بحث</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
<div class="col-12">
<div class="row justify-content-md-end align-items-center mb-3 mt-2">
                <div class="col-md-3 col-12">
                        <a href="{{ route('clients.create') }}" class="btn btn-success"><i class="fa fa-plus"></i> اضافة @lang('client.client') / @lang('client.supplier')  جديد</a>
                        <a href="{{ route('excel.export.clients') }}" class="btn btn-primary text-light"><i class="fa fa-file-excel mx-1"></i>تصدير اكسل</a>
                </div>
                </div>
</div>
              
               
            </div>

            {{-- {{dd(auth()->user()->show_clients)}} --}}
            <div class="row">
                <div class="col-md-12" dir="rtl">
                <div class="table-responsive">
            <table class="table zui-table zui-table-rounded  table-heading " role="presentation"  style="direction: rtl" id="showDiv">
                        <thead class="bg-info">
                            <tr class="text-light">
                                <th scope="col">#</th>
                                <th scope="col">اسم @lang('client.client') / @lang('client.supplier') </th>
                                <th scope="col">كود @lang('client.client') / @lang('client.supplier') </th>
                                <th scope="col">دور @lang('client.client') / @lang('client.supplier') </th>
                                <th scope="col">{{ trans('client.mobile') }}</th>
                                <th scope="col">الرصيد</th>
                                <th scope="col">العنوان</th>
                                <th scope="col">السعر الاساسي</th>
                                {{-- <th class="hidden noExl">حركات نقدية</th> --}}
                                {{-- <th class="hidden noExl">كشف حساب</th> --}}
                                <th class="noEx1">طباعة</th>
                                <th class="noExl">تعديل</th>
                                <th class="noExl">حذف</th>
                            </tr>
                        </thead>
                        <tbody>
                            @forelse($clients as $client)
                                <tr id="client-{{ $client->id }}" class="text-center">
                                    <td>{{ $loop->iteration }}</td>
                                    <td><a href="{{ route('clients.show', $client->id) }}">{{ $client->client_name }} </a>
                                    </td>
                                    <td>{{ $client->code }}</td>
                                    <td>{{ $client->client_role == 0 ? trans('client.client') : ($client->client_role == 1 ? trans('client.supplier') : 'كلاهما') }}
                                    </td>
                                    <td>{{ !in_array($client->mobile1, ['', ' ', null]) ? $client->mobile1 : '---' }}
                                    </td>
                                    <td>{{ !in_array(round($client->balance, $decimal_num_price), ['', ' ', null]) ? round($client->balance, $decimal_num_price) : '---' }}
                                    </td>
                                    <td>{{ !in_array($client->address, ['', ' ', null]) ? $client->address : '---' }}</td>
                                    <td>{{ $client->price }}</td>
                                    {{-- <td class="hidden noExl">
                                        <a id="{{ $client->id }}" href="javascript:void(0)"
                                            onclick="payment(this.id,'{{ $client->balance }}',1)"
                                            class="btn btn-info">
                                            اضافة<i class="fa fa-plus"></i></a>
                                    </td> --}}
                                    {{-- <td class="hidden noExl">
                                        <a id="{{ $client->id }}" href="javascript:void(0)"
                                            onclick="show_client(this.id)" class="btn btn-primary"> عرض<i
                                                class="fa fa-eye"></i> </a>
                                    </td> --}}
                                    <td class="noExl">
                                        <a href="{{ route('clients.print', $client->id) }}" target="_blank"
                                            rel="noopener noreferrer" class="btn btn-info" style="color: #fff"><i
                                                class="fa fa-print"></i> طباعة</a>
                                    </td>
                                    <td class="noExl">
                                        <a id="{{ $client->id }}" href="{{ route('clients.edit', $client->id) }}"
                                            class="btn btn-success"><i class="fa fa-edit"></i> تعديل</a>
                                    </td>
                                    <td class="noExl">
                                        <a id="{{ $client->id }}" onclick="delete_client({{ $client->id }})"
                                            class="btn btn-danger" style="color: #fff"><i class="fa fa-trash"></i> حذف</a>
                                    </td>
                                    <td class="noExl hidden">
                                        <div id="delete-{{ $client->id }}"></div>
                                    </td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="5">لا يوجد بيانات مطابقة</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                                    </div>
                </div>
            </div>
        </div>
        <div class="row justify-content-center">
            <div class="text-center text-sm-center">{{ $clients->appends(request()->except('page'))->links() }}</div>
        </div>


                                    </div>

@stop
@section('js-scripts')

    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>


    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('tickets/js/js/redirect.js') }}"></script>
    <script src="{{ asset('js/jquery.table2excel.js') }}"></script>
    <script>
        //edit client
        function edit_client(id) {

            $(".loading_prog").show();
            var data = {
                "eid": id
            };
            $.redirect(Server_link + "sales/clients.php", data);

        } //end edit form

        //delte  clients
        function delete_client(id) {
            var data = {
                "id": id,
                "_token": "{{ csrf_token() }}"
            };
            $.ajax({
                url: '{{ route('clients.delete') }}',
                type: 'post',
                data: data,
                beforeSend: function() {
                    $('#delete-' + id).empty().append('<p>جاري العمل ...</p>');
                },
                success: function(data) {
                    if (data.type == "success") {
                        $('#client-' + id).remove();
                    }
                    $('#delete-' + id).empty();
                    $('#currentMessage').empty().append(data.message);
                    $(document).scrollTop(0);
                }
            });
        }

        //show sales for this client
        function show_client(id) {
            var data = {
                "id": id,
                "action": "client_sales"
            };
            $(".loading_prog").show();
            $.redirect(Server_link + "sales/clients_operation.php", data);

        }

        $(".excelbtn").click(function() {

            $("table").table2excel({
                // exclude CSS class
                exclude: ".noExl",
                name: "Worksheet Name",
                filename: "العملاء" //do not include extension
            });

        });

    </script>

    @if (old('client_id'))
        <script> window.open("{{ route('clients.print', old('client_id')) }}", '_blank'); </script>
    @endif
    {{-- <script>



    $("#client_role").change(function() {
        var client_role = $("#client_role option:selected").val();

        if (client_role == "0") {
            $("#groups").show();
        } else {
            $("#groups").hide();
        }
    });
</script> --}}

@stop
