<div class="card my-3">
    <div class="card-header">
        <h3 class="card-title"> <i class="fa fa-info-circle"></i> معلومات عامة</h3>
    </div>
    <div class="card-body" style="background-color: #bee1ee4f">
        <div class="form-row row">
            {{-- ROLE --}}
            <div class="form-group col-md-6">
                <label for="client_role" class="control-label col-xl-6 col-12 required">{{ trans('client.client_role.name') }}
                    :</label>
                @php $selected_role = isset($client) ? $client->client_role : 3; @endphp
                <select name="client_role" id="client_role" class="form-control input-normal selectpicker col-xl-9 col-12"
                    data-none-selected-text="{{ trans('native.no-selected') }}"
                    title="{{ trans('client.choose_client_role') }}">
                    @if (authorized('can_add_supplier') &
                            authorized('can_add_client') &
                            authorized('can_display_clients') &
                            authorized('can_display_suppliers'))
                        @if ($invoice_type != null)
                            @if ($invoice_type == 'purchases' || $invoice_type == 'returned purchases')
                                <option {{ old('client_role', $selected_role) === 1 ? 'selected' : '' }} value="1">
                                    {{ trans('client.supplier') }}</option>
                                <option {{ old('client_role', $selected_role) === 2 ? 'selected' : '' }} value="2">
                                    {{ trans('client.both') }}</option>
                            @endif
                            @if ($invoice_type == 'sales' || $invoice_type == 'returned sales')
                                <option value="0" {{ old('client_role', $selected_role) === 0 ? 'selected' : '' }}>
                                    {{ trans('client.client') }}</option>
                                <option {{ old('client_role', $selected_role) === 2 ? 'selected' : '' }} value="2">
                                    {{ trans('client.both') }}</option>
                            @endif
                        @else
                            <option value="0" {{ old('client_role', $selected_role) === 0 ? 'selected' : '' }}>
                                {{ trans('client.client') }}</option>
                            <option {{ old('client_role', $selected_role) === 1 ? 'selected' : '' }} value="1">
                                {{ trans('client.supplier') }}</option>
                            <option {{ old('client_role', $selected_role) === 2 ? 'selected' : '' }} value="2">
                                {{ trans('client.both') }}</option>
                        @endif
                    @elseif (authorized('can_add_supplier'))
                        @if ($invoice_type != null)
                            @if ($invoice_type == 'purchases' || $invoice_type == 'returned purchases')
                                <option {{ old('client_role', $selected_role) === 1 ? 'selected' : '' }}
                                    value="1">
                                    {{ trans('client.supplier') }}</option>
                                <option {{ old('client_role', $selected_role) === 2 ? 'selected' : '' }}
                                    value="2">
                                    {{ trans('client.both') }}</option>
                            @endif
                            @if ($invoice_type == 'sales' || $invoice_type == 'returned sales')
                                <option value="0"
                                    {{ old('client_role', $selected_role) === 0 ? 'selected' : '' }}>
                                    {{ trans('client.client') }}</option>
                                <option {{ old('client_role', $selected_role) === 2 ? 'selected' : '' }}
                                    value="2">
                                    {{ trans('client.both') }}</option>
                            @endif
                        @else
                            <option {{ old('client_role', $selected_role) === 1 ? 'selected' : '' }} value="1">
                                {{ trans('client.supplier') }}</option>
                            <option {{ old('client_role', $selected_role) === 2 ? 'selected' : '' }} value="2">
                                {{ trans('client.both') }}</option>

                        @endif
                    @elseif (authorized('can_add_client'))
                        @if ($invoice_type != null)
                            @if ($invoice_type == 'purchases' || $invoice_type == 'returned purchases')
                                <option {{ old('client_role', $selected_role) === 2 ? 'selected' : '' }}
                                    value="2">
                                    {{ trans('client.both') }}</option>
                            @endif
                            @if ($invoice_type == 'sales' || $invoice_type == 'returned sales')
                                <option value="0"
                                    {{ old('client_role', $selected_role) === 0 ? 'selected' : '' }}>
                                    {{ trans('client.client') }}</option>
                                <option {{ old('client_role', $selected_role) === 2 ? 'selected' : '' }}
                                    value="2">
                                    {{ trans('client.both') }}</option>
                            @endif
                        @else
                            <option value="0" {{ old('client_role', $selected_role) == 0 ? 'selected' : '' }}>
                                {{ trans('client.client') }}</option>
                            <option {{ old('client_role', $selected_role) === 2 ? 'selected' : '' }} value="2">
                                {{ trans('client.both') }}</option>
                        @endif

                    @endif
                </select>
            </div>

            {{-- CODE --}}
            <div class="form-group col-md-6">
                <label for="code" class="control-label col-xl-6 col-12">كود @lang('client.client') / @lang('client.supplier')  :</label>
                <input type="text" class="form-control input-normal  col-xl-9 col-12" name="code"
                       value="{{ $client->code ?? $client_code ?? old('code') }}">
            </div>

            {{-- NAME --}}
            
            <div class="form-group col-md-6">
                <label for="client_name" class="control-label col-xl-6 col-12 required">{{ trans('client.client_name.name') }}
                    :</label>
                <input type="text" class="form-control  input-normal col-xl-9 col-12" id="client_name" name="client_name"
                    value="{{ old('client_name', $client->client_name ?? '') }}" required>
            </div>

            {{-- EMAIL --}}
            <div class="form-group col-md-6">
                <label for="governate" class="control-label col-xl-6 col-12">البريد الإلكتروني:</label>
                <input type="text" class="form-control  input-normal col-xl-9 col-12" id="email" name="email"
                    value="{{ $client->email ?? old('email') }}">
            </div>

            {{-- EMAIL --}}
            <div class="form-group col-xl-6 col-12 mt-4">
                <div class="d-md-flex justify-content-between align-items-center h-100">
                    <label class="control-label col-md-6 col-12"> إرسال رساله ببيانات الفاتورة عبر </label>

                    <label for="send_email" class="control-label col-md-3 col-12 btn btn-sm btn-dark ml-2 mt-1"> Email
                        <input type="checkbox" id="send_email" name="send_email" value="1" {{ old('send_email', ($client->send_email ?? 0)) == 1 ? 'checked' : '' }}>
                    </label>

                    <label for="send_whatsapp" class="control-label  col-md-3 col-12 btn btn-sm btn-dark mt-1"> WhatsApp
                        <input type="checkbox" id="send_whatsapp" name="send_whatsapp" value="1" {{ old('send_whatsapp', ($client->send_whatsapp ?? 0)) == 1 ? 'checked' : '' }}>
                    </label>
                </div>
            </div>

            @if ($settings->client_limit == 1 || $settings->client_limit == 2)
                <div class="form-group col-md-6">
                    <label for="credit_limit"
                        class="control-label col-md-6">{{ trans('native.Credit_limit') }}:</label>
                    <input type="number" class="form-control col-md-9" min="0" id="credit_limit" name="credit_limit"
                        @if (isset($client) && $client) value="{{ $client->credit_limit ?? old('email') }}"
                    @else
                    value="0" @endif>
                </div>
            @endif
        </div>
    </div>
</div>
