<div class="card my-3">
    <div class="card-header">
        <h3 class="card-title"> <i class="fa fa-building"></i> بيانات خاصة بالمؤسسة</h3>
    </div>
    <div class="card-body" style="background-color: #bee1ee4f">
        <div class="form-row row">

            {{-- COUNTRY --}}
            <div class="form-group col-md-6">
                <label for="country_id" class="control-label col-xl-6 col-12 required">{{ trans('client.country') }}:</label>
                <select name="country_id" id="country_id" class="form-control selectpicker col-xl-9 col-12 input-normal" data-none-selected-text="{{ trans('native.no-selected') }}"
                    data-live-search="true" title="{{ trans('client.choose_country') }}" required>
                    {{-- <option value="">{{ trans('client.choose_country') }}</option> --}}
                    @foreach ($countryLists as $countryList)
                        <option value="{{ $countryList->id }}"
                            {{ isset($client) && $client->country_id == $countryList->id ? 'selected' : (old('country_id', get_session_val('country', 'integer')) == $countryList->id ? 'selected' : '') }}>
                            {{ $countryList->name_ar }}</option>
                    @endforeach
                </select>
            </div>

            {{-- Governate --}}
            <div class="form-group col-md-6">
                <label for="governate" class="control-label col-xl-6 col-12 {{ $settings->einvoice == 1 ? 'required' : '' }}">{{ trans('client.governate.name') }}:</label>
                <input type="text" class="form-control input-normal col-xl-9 col-12" id="governate" name="governate" value="{{ $client->governate ?? old('governate') }}" {{ $settings->einvoice == 1 ? 'required' : '' }}>
            </div>

            @if(get_session_val('multi_price', 'integer') == 1)
                {{-- CLIENT TYPE --}}
                <div class="form-group col-md-6" style="display: none;">
                    <label for="client_type" class="control-label col-xl-6 col-12">{{ trans('client.client_type') }}:</label>
                    <select name="client_type" id="client_type" class="form-control selectpicker input-normal col-xl-9 col-12" data-none-selected-text="{{ trans('native.no-selected') }}"
                            data-live-search="true" title="{{ trans('client.client_type') }}">
                        @foreach ($list_prices as $id => $list_name)
                            <option value="{{ $id }}" {{ isset($client) && $client->client_type == $id ? 'selected' : (old("client_type") === $id ? 'selected' : '') }}>{{ $list_name }}</option>
                        @endforeach
                    </select>
                </div>
            @endif

            @if (isset($collectors) && count($collectors))
                {{-- CLIENT collectors --}}
                <div class="form-group col-md-6" style="display: none;">
                    <label for="collector_id" class="control-label col-xl-6 col-12">إختر محصل:</label>
                    <select name="collector_id" id="collector_id" class="form-control selectpicker col-xl-9 col-12 input-normal" data-live-search="true" title="إختر محصل">
                        @foreach ($collectors as $collector)
                            <option value="{{ $collector->id }}" {{ isset($client) && $client->collector_id == $collector->id ? 'selected' : (old("collector_id") == $collector->id ? 'selected' : '') }}>{{ $collector->name }}</option>
                        @endforeach
                    </select>
                </div>
            @endif

            {{-- GROUP --}}
            <div class="form-group col-md-6">
                <label class="control-label col-xl-6 col-12 required"> {{ trans('client.client-group') }}:</label>
                <div class="col-md-9" style="margin-right: -5px;">
                    <select id="client_group" class="form-control input-normal col-xl-9 col-12" name="group_id">
                        @if (auth()->user()->clients_group == 0)
                            <option value="">{{ trans('client.clientGroup.choose_client_group') }}</option>
                            <option value="0" {{ isset($client) && (int) $client->group_id == 0 ? 'selected' : (old('group_id') == 0 ? 'selected' : '') }}>{{ trans('client.clientGroup.WithoutGroup') }}</option>
                            @foreach ($groupLists as $groupList)
                                <option value="{{ $groupList->id }}" {{ isset($client) && $client->group_id == $groupList->id ? 'selected' : (old('group_id') == $groupList->id ? 'selected' : '') }}>{{ $groupList->name }}</option>
                            @endforeach
                        @else
                            <option>{{ trans('client.clientGroup.choose_client_group') }}</option>
                            @foreach ($groupLists as $groupList)
                                <option value="{{ $groupList->id }}" {{ isset($client) && (int) $client->group_id == $groupList->id ? 'selected' : (old('group_id') == $groupList->id ? 'selected' : '') }}>{{ $groupList->name }}</option>
                            @endforeach
                        @endif
                    </select>
                </div>
            </div>

            {{-- BALANCE --}}
            <div class="form-group col-md-6">
                <label for="balance" class="control-label col-xl-6 col-12">{{ trans('client.rest_balance') }} :</label>
                @if ( isset($client) && $client->id )
                    <input disabled readonly class="form-control input-normal col-xl-9 col-12" id="balance" value="{{ $client->balance ?? old('balance', 0) }}">
                @else
                    <input type="number" class="form-control input-normal col-xl-9 col-12" id="balance" name="balance" value="{{ $client->balance ?? old('balance', 0) }}">
                @endif
            </div>

            @if(get_session_val('module', 'integer') == 2)
                <div class="form-group col-md-6">
                    <label for="buildingNumber" class="control-label col-md-6 required">السعر الاساسي:</label>
                    <input type="text" class="form-control col-md-9 use-only-numbers" id="price" name="price"
                        value="{{ $client->price ?? old('price') }}" required>
                </div>
            @endif
        </div>
    </div>
</div>
