@extends('master::layouts.master')

@section('css-scripts')
    <style>
        #logo img{
            max-height: 200px;
            text-align: center;
            display: block;
            margin: auto;
            margin-bottom: 12px;
        }
        #end{
            margin-top: 12px;
            text-align: center;
        }
        #client_info div{
            border: 1px solid black;
            font-size: {{$bill_settings->font_size}}px;
        }
        #client_info .bold{
            font-weight: bold;
        }
        *{
            white-space: initial !important;
        }

        @page {
            size: auto;   /* auto is the initial value */
            margin: 0;  /* this affects the margin in the printer settings */
        }

        @media print{
            .global-header{
                height: 0;
            }
            body * {
                visibility: hidden;
                font-size: {{$bill_settings->font_size}}px !important;
                direction: rtl !important;
            }

            #print, #print * {
                visibility: visible;
                max-width: 340px;
                margin: auto;
                text-align: center;
                font-size: {{$bill_settings->font_size}}px !important;
                direction: rtl !important;
                font-family: Arial, Helvetica, sans-serif !important;
                font-weight: bolder !important;
                color: black !important;
                background-color: white !important;
                /* word-break: break-all; */
                white-space: initial !important;
            }
            table,th,td{
                border: 1px solid black !important;
                border-collapse: collapse;
            }
        }
    </style>
@endsection

@section('content')
    <div class="col-md-4" style="margin: auto;" id="print">

        <div id="logo">
            <img src="{{ getLogoPath() }}">
        </div>
        <div class="text-center">{!! $bill_settings->bill_header !!}</div>

        <table id="client_info" class="text-center mt-3" border="1" style="width: 100%">
            <tbody>
                <tr style="border: 2px solid #000;"> <td style="padding: 5px" class="bold">التاريخ</td> </tr>
                <tr style="border: 2px solid #000;"> <td style="padding: 5px">{{ \Carbon\Carbon::parse($client->created_at)->format('Y-m-d') }}</td> </tr>
                <tr style="border: 2px solid #000;"> <td style="padding: 5px" class="bold">الوقت</td> </tr>
                <tr style="border: 2px solid #000;"> <td style="padding: 5px">{{ \Carbon\Carbon::parse($client->created_at)->format('H:i:s') }}</td> </tr>
                <tr style="border: 2px solid #000;">
                    <td style="padding: 5px" class="bold">
                        كود
                        @if ($client->client_role == 0)
                            @lang('client.client')
                        @elseif ($client->client_role == 1)
                            @lang('client.supplier')
                        @else
                            @lang('client.client or supplier')
                        @endif
                    </td>
                </tr>
                <tr style="border: 2px solid #000;"> <td style="padding: 5px">{{ $client->code }}</td> </tr>
                <tr style="border: 2px solid #000;"> <td style="padding: 5px" class="bold">
                    @if ($client->client_role == 0)
                        اسم @lang('client.client')
                    @elseif ($client->client_role == 1)
                        اسم @lang('client.supplier')
                    @else
                    اسم @lang('client.client or supplier')
                    @endif
                </td> </tr>
                <tr style="border: 2px solid #000;"> <td style="padding: 5px">{{ $client->client_name }}</td> </tr>
                @if ($client->mobile1 || $client->tele)
                    <tr style="border: 2px solid #000;"> <td style="padding: 5px" class="bold">رقم الهاتف</td> </tr>
                    <tr style="border: 2px solid #000;"> <td style="padding: 5px">{{ $client->mobile1 ?? $client->tele }}</td> </tr>
                @endif
                <tr style="border: 2px solid #000;"> <td style="padding: 5px" class="bold">الرصيد</td> </tr>
                <tr style="border: 2px solid #000;"> <td style="padding: 5px">{{ round_money($client->balance, true) }}</td> </tr>
                <tr style="border: 2px solid #000;"> <td style="padding: 5px" class="bold">التفاصيل</td> </tr>
                <tr style="border: 2px solid #000;"> <td style="padding: 5px">{{ $client->addition_data }}</td> </tr>
            </tbody>
        </table>

        <div id="end" >
            {!! $bill_settings->message_bill !!}
        </div>

    </div>
@endsection

@section('js-scripts')
    <script >
        $(function(){
            window.print();
        });
    </script>
@endsection
