@extends('master::layouts.master')


@section('content')
<style>
    .text-center > img {
        height: 100px !important;
        width: 100px !important;
    }
</style>

    @include('master::layouts.messages')
    <div class="row">
        <div class="col-md-4 pull-left">
            <div class="btn-group noprint" style="margin-bottom: 1em;">
                <a href="javascript:void(0)" class="btn btn-primary" id="print">طباعة الفاتورة</a>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-10 col-md-offset-1">

            <div style="background: #eee; padding: 1em; margin: 0 1em 0 1em;">
                <div class="row">

                    <div class="col-md-4">
                        <label>فاتورة مشتريات رقم: {{ $bill->id }}</label>
                    </div>

                    <div class="col-md-4">
                        <label>المورد: {{ $supplier->supplier_name }}</label>
                    </div>

                    <div class="col-md-4">
                        <label>تاريخ الفاتورة: {{ \Carbon\Carbon::parse($bill->sale_date)->format('Y-m-d') }}</label>
                    </div>

                    <div class="col-md-4 width40">
                        <img id="logo" style="display: none;" src="{{ config('main.badr').$img }}" height="60">
                    </div>
                </div>
            </div>
            <br>


            <table class="table table-bordered table-condensed" role="presentation">
                <tbody>
                <tr>
                    <td>
                        {!! $bill_setting->bill_header !!}
                    </td>

                    <td>
                        {!! $qr !!}
                    </td>
                </tr>
                </tbody>
            </table>



            <div class="col-md-12">
                <table class="table table-bordered table-condensed" role="presentation">
                    <thead>
                    <tr class="bg-info">
                        <th scope='col'>اسم الصنف</th>
                        <th scope='col'> الكميه</th>
                        <th scope='col'> سعر الوحدة</th>
                        <th class="text-center"> اجمالي</th>
                    </tr>
                    </thead>
                    <tbody id="bill-content">
                    <?php $total = 0; ?>
                    @foreach($details as $detail)
                        <?php $t = $detail->price * $detail->quantity; ?>
                        <tr id="item-1">
                            <td> {{ $detail->getItemName() }}</td>
                            <td style="width: 10%;">
                                {{ quant_decimal($detail->quantity) }}
                            </td>
                            <td> {{ price_decimal($detail->price) }} </td>

                            <td id="item-sale-1"
                                class="for-sale">{{ price_decimal($t) }} </td>
                        </tr>
                        <?php $total += $t; ?>
                    @endforeach

                    </tbody>
                </table>
            </div>


            <div id="total_data" class="col-md-12">

                <table class="table table-bordered table-condensed" role="presentation">
                    <tbody>
                    <tr class="info">
                        <td> الاجمالي</td>
                        <td>الخصم</td>
                        @foreach($adds as $add)
                            <td>{{ $add->name }}</td>
                        @endforeach
                        <td>الصافي</td>
                        <td>المدفوع</td>
                        <td>الرصيد السابق</td>
                        <td>الرصيد الباقى</td>
                    </tr>
                    <tr>
                        <td>
                            <span id="all_sum_text">{{ price_decimal($bill->total_bill) }}</span>
                        </td>
                        <?php

                        $discount = $bill->discount;
                        if ($bill->discount_type == 0) {
                            $discount = $discount / 100 * $total;
                        }

                        ?>
                        <td><span
                                    id="all_discount">{{ price_decimal($discount) }} </span></td>

                        <?php $addsV = 0; ?>
                        @foreach($adds as $add)
                            <td><span
                                        id="all_discount">{{ price_decimal($add->addition_value) }}</span>
                            </td>
                            <?php $addsV += $add->addition_value; ?>
                        @endforeach
                        <?php


                        $net_price = $total - $discount + $addsV;
                        ?>

{{--                        <td><span id="all_discount">{{ price_decimal($net_price) }} </span></td>--}}
                        <td><span id="all_discount">{{ price_decimal($bill->net_price) }} </span></td>

                        <td><span id="all_discount">{{ price_decimal($bill->payment) }} </span></td>

                        <td><span id="all_discount">{{ price_decimal($old_balance) }} </span></td>

                        <td><span id="all_discount">{{ price_decimal($current_balance) }} </span></td>

                    </tr>


                    </tbody>
                </table>
                <center>{!! $bill_setting->message_bill !!}</center>


                <hr class="noprint">

            </div>

        </div>


    </div>
    <div class="row">


        @stop

        @section('js-scripts')

            <script>
                $('#print').click(function (e) {
                    e.preventDefault();
                    window.print();
                });
                $('#print').click();
            </script>

        @stop

        @section('css-scripts')

            <style>
                @media print {
                    .noprint {
                        display: none;
                    }

                    .print {
                        display: block !important;
                    }

                    #logo {
                        display: block !important;

                    }

                    .width40 {
                        width: 40% !important;
                        float: left;
                        margin-top: -3em !important;
                        margin-bottom: 1em !important;
                    }

                    .width60 {
                        width: 60% !important;
                    }

                }
            </style>

@stop