@extends('master::layouts.master')

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

@stop

@section('content')
    <div class="wrapper">
        <div class="container">
            <div class="row hidden-print">
                <div class="pull-right">
                    <h4 class="text-success">بيانات العميل: {{$client->client_name}}</h4>
                </div>
            </div>

            <div class="row hidden-print">
                <label for="" class="col-md-2 bg-danger"> رصيد العميل</label>
                <div class="col-md-4">
                    {{$client->balance}}
                </div>
            </div>
            <div class="row hidden-print">
                <label for="" class="col-md-2 bg-danger"> معلومات اضافية</label>
                <div class="col-md-4">
                    {!! $client->addition_data !!}
                </div>
            </div>

            <div class="row hidden-print">
                <label for="" class="col-md-2 bg-danger"> نقاط العميل </label>
                <div class="col-md-4">
                    {{ $client->gift_points }}
                </div>
            </div>
            <div class="row hidden-print">
                <label for="" class="col-md-2 bg-danger"> مجموعة العميل </label>
                <div class="col-md-4">
                    {{ $client->group_name }}
                </div>
            </div>

            <div class="row hidden-print">
                <label for="" class="col-md-2 bg-danger"> التليفون </label>
                <div class="col-md-4">
                    {{ $client->tele }}
                </div>
            </div>

            <div class="row hidden-print">
                <label for="" class="col-md-2 bg-danger"> العنوان </label>
                <div class="col-md-4">
                    {{ $client->address }}
                </div>
            </div>

            @if ($shop->insatllments ==1)

                <div class="row hidden-print">
                    <label for="" class="col-md-2 bg-danger">الرقم القومي</label>
                    <div class="col-md-4">
                        {{$client->info1}}
                    </div>
                </div>
                <div class="row hidden-print">
                    <label for="" class="col-md-2 bg-danger">اسم الضامن</label>
                    <div class="col-md-4">
                        {{$client->info2}}
                    </div>
                </div>
                <div class="row hidden-print">
                    <label for="" class="col-md-2 bg-danger">عنوان الضامن</label>
                    <div class="col-md-4">
                        {{$client->info3}}
                    </div>
                </div>
                <div class="row hidden-print">
                    <label for="" class="col-md-2 bg-danger">تليفون الضامن</label>
                    <div class="col-md-4">
                        {{$client->info4}}
                    </div>
                </div>
                <div class="row hidden-print">
                    <label for="" class="col-md-2 bg-danger">الرقم القومي للضامن</label>
                    <div class="col-md-4">
                        {{$client->info5}}
                    </div>
                </div>
            @endif
            @if ($shop->distributor == 1)
                <div class="row hidden-print">
                    <label for="" class="col-md-2 bg-danger">كود العميل</label>
                    <div class="col-md-4">
                        {{$client->id}}
                    </div>
                </div>
                <div class="row hidden-print">
                    <label for="" class="col-md-2 bg-danger">نقل</label>
                    <div class="col-md-4">
                        {{$client->StoreTransport}}
                    </div>
                </div>
                <div class="row hidden-print">
                    <label for="" class="col-md-2 bg-danger">خدمة</label>
                    <div class="col-md-4">
                        {{$client->StoreServices}}
                    </div>
                </div>
            @endif

            <div class="row">
                <div class="col-md-4">
                    <h2 class="text-primary title-page">كشف حساب العميل
                        <b>{{$client->client_name}}</b>
                    </h2>
                </div>
                <div class="col-md-8 hidden-print">
                    <form action="">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="">من</label>
                                    <input autocomplete="off" name="from" class="form-control date" value="{{ request('from') }}">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="">الي</label>
                                    <input autocomplete="off" name="to" class="form-control date" value="{{ request('to') }}">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <button class="btn btn-success" style="margin-top: 1.7em;">عرض</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            @if (session()->has('success'))
                <div class="row">
                    <div class="col-xs-12 col-sm-12">
                        <ul class='h4 alert alert-success text-center list-unstyled'>
                            {!! session()->get('success') !!}
                        </ul>
                    </div>
                </div>
            @endif
            @if (session()->has('error'))
                <div class="row">
                    <div class="col-xs-12 col-sm-12">
                        <ul class='h4 alert alert-danger text-center list-unstyled'>
                            {!! session()->get('error') !!}
                        </ul>
                    </div>
                </div>
            @endif
            <div class="row">
                <div class="pull-left hidden-print">
                    <a class="btn btn-success excelbtn" id="btnExport"><i class="fa fa-file-excel-o"></i>تصدير اكسل</a>
                    <a class="btn btn-primary" onclick="window.print()"><i class="fa fa-print"></i>طباعه</a>
                </div>
                <table class="table table-striped table-hover table-bordered" role="presentation">
                    <thead class="bg-primary">
                        <tr>
                            <th scope='col'>التاريخ</th>
                            <th scope='col'>صادر له</th>
                            <th scope='col'>مدفوع منه</th>
                            <th scope='col'>الرصيد</th>
                            <th scope='col'>البيان</th>
                            <th scope='col'>ملاحظات</th>
                            {{--@if (auth()->user()->privilege == 1)--}}
                                {{--<th scope='col'>حذف</th>--}}
                            {{--@endif--}}
                        </tr>
                    </thead>
                    <tbody>
                        <?php $pre_balance = 0; ?>
                        @foreach($transactions as $transaction)
                            @if ($transaction->checkBill($transaction->type, $transaction->bill_id, $transaction->sale_back_id, 'client') != -1)

                                <tr>
                                    <td>{{ $transaction->pay_day }}</td>
                                    @if ($transaction->type == 1)
                                        <td>{{ price_decimal(optional($transaction->saleProcess)->net_price) }}</td>
                                        <td>{{ price_decimal(optional($transaction->saleProcess)->payment) }}</td>
                                        <?php $balance = $pre_balance +  price_decimal(optional($transaction->saleProcess)->net_price) -  price_decimal(optional($transaction->saleProcess)->payment); ?>
                                    @elseif ($transaction->type == 0)
                                        <td>{{ price_decimal(optional($transaction->saleBack)->net_price) }}</td>
                                        <td>{{ price_decimal(optional($transaction->saleBack)->payment) }}</td>
                                        <?php $balance = $pre_balance +  price_decimal(optional($transaction->saleProcess)->net_price) -  price_decimal(optional($transaction->saleProcess)->payment); ?>

                                    @elseif ($transaction->type == 2)
                                        <td></td>
                                        <td>{{ price_decimal($transaction->amount) }}</td>
                                        <?php $balance = $pre_balance +  0 -  price_decimal($transaction->amount) ; ?>

                                    @elseif ($transaction->type == 9)
                                        <td>{{ price_decimal($transaction->amount) }}</td>
                                        <td></td>
                                        
                                        <?php $balance = $pre_balance + price_decimal($transaction->amount) - 0 ; ?>
                                    @else
                                        <td></td>
                                        <td></td>
                                        <?php $balance = $pre_balance  ; ?>
                                    @endif

                                    {{-- <td>{{ price_decimal($transaction->balance) }}</td> --}}
                                    <td>{{ price_decimal($balance) }}</td>
                                    <td>
                                        @if ($transaction->type == 1)
                                            <a href="{{route('clients.show-sale-bill', $transaction->bill_id)}}">فاتورة بيع رقم {{$transaction->billNo('1', $transaction->bill_id)}}</a>
                                        @elseif ($transaction->type == 0)
                                            <a href="{{route('clients.show-sale-back-bill', $transaction->sale_back_id)}}">فاتورة مرتجع بيع رقم {{$transaction->billNo('0', $transaction->sale_back_id)}}</a>
                                        @elseif ($transaction->type == 2)
                                            عملية سداد من العميل
                                        @elseif ($transaction->type == 9)
                                            مردود نقدى للعميل
                                        @else
                                            رصيد جديد
                                        @endif
                                    </td>
                                    <td>
                                        @if ($transaction->type == 1)
                                            {{ optional($transaction->saleProcess)->notes }}
                                        @elseif ($transaction->type == 0)
                                            {{ optional($transaction->saleBack)->notes }}
                                        @else
                                            {{ $transaction->notes }}
                                        @endif
                                    </td>
                                    {{--@if (auth()->user()->privilege == 1)--}}
                                        {{--<td>--}}
                                            {{--@if ($transaction->type == 2 || $transaction->type == 9)--}}
                                                {{--<form method="post" action="{{ route('clients.delete-transaction', $transaction->id) }}" onsubmit="return confirm('هل انت متاكد من الحذف')">--}}
                                                    {{--{{ csrf_field() }}--}}
                                                    {{--<button type="submit" class="btn btn-danger delete"><i class="fa fa-trash"></i></button>--}}
                                                {{--</form>--}}
                                            {{--@endif--}}
                                        {{--</td>--}}
                                    {{--@endif--}}
                                </tr>
                            @endif
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@stop

@section('js-scripts')
    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/redirect.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>
    <script src="{{url('js/jquery.table2excel.js') }}"></script>
    <script>
        $(function () {
            $('.picker').selectpicker({
                size: 8
            });
            if ('{{ get_session_val('date_type', 'Integer') }}' ==  '2') {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                });
            }
        });
        $(".excelbtn").click(function () {
            $("table").table2excel({
                // exclude CSS class
                exclude: ".noExl",
                name: "Worksheet Name",
                filename: "كشف حساب العميل {{$client->client_name}}" //do not include extension
            });
        });
    </script>
@stop