@extends('master::layouts.master')

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

@stop

@section('content')
    <div class="wrapper">
        <div class="container">
            @if ($shop->insatllments ==1)
                <div class="row">
                    <div class="pull-right">
                        <h4 class="text-success">بيانات العميل: {{$client->client_name}}</h4>
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-danger">الرقم القومي</label>
                    <div class="col-md-4">
                        {{$client->info1}}
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-danger">اسم الضامن</label>
                    <div class="col-md-4">
                        {{$client->info2}}
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-danger">عنوان الضامن</label>
                    <div class="col-md-4">
                        {{$client->info3}}
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-danger">تليفون الضامن</label>
                    <div class="col-md-4">
                        {{$client->info4}}
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-danger">الرقم القومي للضامن</label>
                    <div class="col-md-4">
                        {{$client->info5}}
                    </div>
                </div>
            @endif
            @if ($shop->distributor == 1)
                <div class="row ">
                    <label for="" class="col-md-2 bg-danger">كود العميل</label>
                    <div class="col-md-4">
                        {{$client->id}}
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-danger">نقل</label>
                    <div class="col-md-4">
                        {{$client->StoreTransport}}
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-danger">خدمة</label>
                    <div class="col-md-4">
                        {{$client->StoreServices}}
                    </div>
                </div>
            @endif
            <hr>
                <div class="row">
                    <div class="col-md-4">
                        <span class="btn btn-info"><a style="color: #F2F2F2" href="{{route('clients.show', $client->id)}}">تقرير حساب العميل {{$client->client_name}}</a></span>
                    </div>
                    <div class="col-md-4"></div>
                    <div class="col-md-4">
                        <span class="btn btn-primary"><a style="color: #F2F2F2" href="{{route('clients.show-new-model', $client->id)}}">كشف حساب العميل {{$client->client_name}} نموذج 2</a></span>
                    </div>
                </div>

                <hr>
            <div class="row">
                <a href="#" id="btnExport" class="btn btn-success pull-left">
                    <i class="fa fa-file-excel-o fa-3x"></i>
                    <span>تحميل إكسيل</span>
                </a>
                <table id="table2excel" class="table table-striped table-hover" role="presentation">
                    <thead class="bg-primary">
                    <tr>
                        <td>م</td>
                        <td>التاريخ</td>
                        <td>رقم الفاتورة</td>
                        <td>رصيد سابق</td>
                        <td>صادر له</td>
                        <td>مدفوع منه</td>
                        <td>المتبقي</td>
                        <td>ملاحظات</td>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($collection as $col)
                        <tr>
                            <td>{{$loop->iteration}}</td>
                            <?php
                            $oldBalance= 0;
                            if ($loop->iteration == 1) {
                                $oldBalance = 0;
                            } else {
                                $oldBalance = $col->balance;
                            }
                            ?>
                            <td>{{$col->pay_day}}</td>
                            <td>{!! $col->transaction_type !!}</td>
                            <td>{{bcdiv($oldBalance,1,$shop->decimal_num_price)}}</td>
                            <td>{{$col->first_cell}}</td>
                            <td>{{$col->second_cell}}</td>
                            <td>{{bcdiv($col->balance,1,$shop->decimal_num_price)}}</td>
                            <td>{{$col->notes}}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@stop
@section('js-scripts')


    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script src="{{url('tickets/js/bootstrap-select.min.js')}}"></script>
    <script src="{{ asset('js/calenders/jquery.tableToExcel.js') }}"></script>

    <script>
        $("#btnExport").click(function(e){
            e.preventDefault();

            $("#table2excel").table2excel({

                // exclude CSS class

                exclude: ".noExl",

                name: "Worksheet Name",

                filename: "balance-sheet-report.xls" //do not include extension

            });

        });
    </script>


@stop