@extends('master::layouts.master')

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <h2 class="title-page text-center">حسابات الموردين بتاريخ {{$today}}</h2>
                <div class="pull-left hidden-print">
                    <a href="javascript:void(0)" class="btn btn-success excel_btn"><i class="fa fa-file-excel-o"></i>تصدير اكسل</a>
                    <a href="javascript:void(0)" onclick="window.print()" class="btn btn-primary printed_details"><i class="fa fa-print"></i>طباعه</a>
                </div>
                <table role="presentation" class="table table-bordered table-responsive table-striped table-hover table-heading">
                    <thead class="bg-primary">
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">اسم المورد</th>
                            <th scope="col">المبلغ</th>
                        </tr>
                    </thead>
                    <tbody>
                        @forelse($suppliers as $supplier)
                            <tr>
                                <td>{{ $loop->iteration }}</td>
                                <td>{{ $supplier->supplier_name }}</td>
                                <td>{{ $supplier->balance }}</td>
                            </tr>
                        @empty
                            <tr>
                                <td class="text-center danger" colspan="3">لا يوجد سجلات</td>
                            </tr>
                        @endforelse
                        <tr>
                            <td></td>
                            <td>الاجمالى</td>
                            <td>{{ $suppliers->sum('balance') }}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@stop

@section('js-scripts')
    <script src="{{url('js/jquery.table2excel.js') }}"></script>
    <script>
        $(".excel_btn").click(function () {
            $("table").table2excel({
                exclude: ".noExl", // exclude CSS class
                name: "Worksheet Name",
                filename: "حسابات الموردين" //do not include extension
            });
        });
    </script>
@stop