@extends('master::layouts.master')

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

@stop

@section('content')
    <div class="wrapper">
        <div class="container">
            @include('clients::layouts.messages')
            <div id="currentMessage"></div>
            <div class="row">
                <div class="col-md-6">
                    <form action="" class="form">

                        <div class="form-group">
                            <input class="col-md-4 form-control" type="text" placeholder="البحث عن مورد ..."
                                   name="name"/>
                            <button class="btn btn-info" style="margin-right: 10px"><i class="fa fa-search"></i>بحث
                            </button>
                        </div>
                    </form>
                </div>
                <div class="col-md-6">
                    <div class="pull-left">
                        <a href="{{route('clients.create')}}" class="btn btn-success"><i class="fa fa-plus"></i> اضافة
                            مورد جديد</a>
                        <a class="btn btn-primary hidden-print excelbtn"><i class="fa fa-file-excel-o"></i>تصدير اكسل</a>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12" dir="rtl">
                    <table role="presentation" class="table table-hover table-stripped" style="direction: rtl">
                        <thead class="bg-info">
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">اسم المورد</th>
                            <th scope="col">رقم الهاتف</th>
                            <th scope="col">الرصيد</th>
                            <th scope="col">العنوان</th>
                            <th class="noExl">حركات نقدية</th>
                            <th class="noExl">كشف حساب</th>
                            <th class="noExl">تعديل</th>
                            <th class="noExl" colspan="2">حذف</th>
                        </tr>
                        </thead>
                        <tbody>
                        @forelse($suppliers as $client)
                            <tr id="client-{{ $client->id }}">
                                <td>{{$loop->iteration}}</td>
                                <td><a href="{{route('suppliers.show', $client->id)}}">{{$client->supplier_name}}</a></td>
                                <td>{{$client->tele or $client->mobile1}}</td>
                                <td>{{$client->balance}}</td>
                                <td>{{$client->address}}</td>
                                <td class="noExl">
                                    <a id="{{$client->id}}" href="javascript:void(0)"
                                       {{--  onclick="payment(this.id,'{{$client->balance}}',1)"--}}
                                       class="btn btn-success"> اضافة<i class="fa fa-plus"></i></a>
                                </td>
                                <td class="noExl">
                                    <a id="{{$client->id}}" href="javascript:void(0)"
                                       {{--onclick="show_client(this.id)"--}}
                                       class="btn btn-primary"> عرض<i class="fa fa-eye"></i> </a>
                                </td>
                                <td class="noExl">
                                    <a id="{{$client->id}}" href="#"
                                       class="btn btn-warning"> تعديل<i class="fa fa-edit"></i> </a>
                                </td>
                                <td class="noExl">
                                    <a id="{{$client->id}}"
                                       {{--                                       onclick="delete_client({{ $client->id }})"--}}
                                       class="btn btn-danger"> حذف<i class="fa fa-trash"></i> </a>
                                </td>
                                <td class="noExl"><div id="delete-{{ $client->id }}"></div></td>

                            </tr>
                        @empty
                            <tr>
                                <td colspan="5">لا يوجد بيانات مطابقة</td>
                            </tr>
                        @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
            {{--<div class="text-center">--}}
                {{--{!! $suppliers->appends(request()->except('page'))->render() !!}--}}
            {{--</div>--}}
        </div>
    </div>
@stop
@section('js-scripts')



    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>


    <script src="{{url('tickets/js/bootstrap-select.min.js')}}"></script>
    <script src="{{url('tickets/js/js/redirect.js')}}"></script>
    <script src="{{url('js/jquery.table2excel.js') }}"></script>
    <script>
        //edit client
        function edit_client(id) {

            $(".loading_prog").show();
            var data = {"eid": id};
            $.redirect(Server_link + "sales/clients.php", data);

        }//end edit form

        //delte  clients
        function delete_client(id) {
            var data = {"id": id, "_token": "{{ csrf_token() }}"};
            $.ajax({
                url: '{{ route('clients.delete') }}',
                type: 'post',
                data: data,
                beforeSend: function(){
                    $('#delete-'+id).empty().append('<p>جاري العمل ...</p>');
                },
                success: function(data){
                    $('#delete-'+id).empty();
                    $('#client-'+id).remove();
                    $('#currentMessage').empty().append(data.message);
                    $(document).scrollTop(0);
                }
            });
        }

        //show sales for this client
        function show_client(id) {
            var data = {"id": id, "action": "client_sales"};
            $(".loading_prog").show();
            $.redirect(Server_link + "sales/clients_operation.php", data);

        }

        $(".excelbtn").click(function () {

            $("table").table2excel({
                // exclude CSS class
                exclude: ".noExl",
                name: "Worksheet Name",
                filename: "الموردين" //do not include extension
            });

        });
    </script>


@stop
