@extends('master::layouts.master')

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <style>
        @media print {
          a[href]:after {
             display: none;
             visibility: hidden;
          }
       }
       </style>
@stop

@section('content')

@if ($supplier)
    <div class="wrapper">
        <div class="container">
<div class="hidden-print"> 
            @if ($shop->insatllments ==1)
                <div class="row">
                    <div class="pull-right">
                        <h4 class="text-success"> بيانات المورد: {{$supplier->client_name}}</h4>
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-danger">الرقم القومي</label>
                    <div class="col-md-4">
                        {{$supplier->info1}}
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-danger">اسم الضامن</label>
                    <div class="col-md-4">
                        {{$supplier->info2}}
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-danger">عنوان الضامن</label>
                    <div class="col-md-4">
                        {{$supplier->info3}}
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-danger">تليفون الضامن</label>
                    <div class="col-md-4">
                        {{$supplier->info4}}
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-danger">الرقم القومي للضامن</label>
                    <div class="col-md-4">
                        {{$supplier->info5}}
                    </div>
                </div>
            @endif
            @if ($shop->distributor == 1)
                <div class="row ">
                    <label for="" class="col-md-2 bg-danger">كود العميل</label>
                    <div class="col-md-4">
                        {{$supplier->id}}
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-danger">نقل</label>
                    <div class="col-md-4">
                        {{$supplier->StoreTransport}}
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-danger">خدمة</label>
                    <div class="col-md-4">
                        {{$supplier->StoreServices}}
                    </div>
                </div>
            @endif
            </div>
            <div class="row">
                <div class="col-md-4">
                    <h2 class="text-primary title-page">كشف حساب المورد
                        @if ($multi_currency == 1 && $supplier->currency_id != 0)
                            <b>{{$supplier->supplier_name}} ({{ optional($supplier->currency)->name }})</b>
                        @else
                            <b>{{$supplier->supplier_name}}</b>
                        @endif
                    </h2>
                    @if ($multi_currency == 1 && $supplier->currency_id != 0)
                        <h4 class="hidden-print">رصيد المورد ({{ optional($supplier->currency)->name }}): {{ $supplier->balance * optional($supplier->currency)->value }}</h4>
                    @else
                        <h4 class="hidden-print">رصيد المورد: {{ $supplier->balance }}</h4>
                    @endif
                </div>
                
            
                <div class="col-md-8 hidden-print">
                    <form action="">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="">من</label>
                                    <input autocomplete="off" readonly name="from" class="form-control date" value="{{ $from }}">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="">الي</label>
                                    <input autocomplete="off" readonly name="to" class="form-control date" value="{{ $to }}">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <button class="btn btn-success" style="margin-top: 1.7em;">عرض</button>
                            </div>
                        </div>
                    </form>
                </div>
                {{--  <div class="col-md-4">
                       <span class="btn btn-primary"><a style="color: #F2F2F2" href="{{route('clients.show-new-model', $supplier->id)}}">كشف حساب العميل {{$supplier->client_name}} نموذج 2</a></span>
                  </div>--}}
            </div>

            <div class="row">
                {{--<a href="#" id="btnExport" class="btn btn-success pull-left">
                    <i class="fa fa-file-excel-o fa-3x"></i>
                    <span>تحميل إكسيل</span>
                </a>--}}
                <div class="pull-left hidden-print">
                    <a class="btn btn-success excelbtn" id="btnExport"><i class="fa fa-file-excel-o"></i>تصدير اكسل</a>
                    <a class="btn btn-primary" onclick="window.print()"><i class="fa fa-print"></i>طباعه</a>
                </div>

                <table id="table2excel" class="table table-striped table-hover table-bordered" role="presentation">
                    <thead class="bg-primary">
                    <tr>
                        <td>م</td>
						{{-- <td> كود </td> --}}
                        <td>التاريخ</td>
                        <td>وارد منه</td>
                        <td>مدفوع له</td>
                        <td>

                        {{ $module == 21 ? 'القيمة' : 'الرصيد' }}
                        </td>
                        <td>البيان</td>
                        <td>ملاحظات</td>
                     
                    </tr>
                    </thead>
                    <tbody>
                
                    <?php $balance = 0; ?>
                    @if ( ($from != '' || $to != '' ) )
                        <tr>
                            <td>-</td>
                            <td colspan="3">رصيد سابق:</td>
                            <td>
                                @if ( $newEntry)
                                    @php $pre_balance += $newEntry->balance; @endphp
                                @endif
                                @if ($multi_currency == 1 && $supplier->currency_id != 0)
                                    {{ price_decimal($pre_balance * optional($supplier->currency)->value)}}
                                @else
                                    {{ price_decimal($pre_balance)}}
                                @endif
                            </td>
                        </tr>
                    @endif
                    
                    <?php  $c = 1; ?>
                    
                    @if ($newEntry &&  ($from == '' && $to == '' ) )
                        
                        <tr>
                            <td>{{ $c }}</td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td>
                                @if ($multi_currency == 1 && $supplier->currency_id != 0)
                                    <?php $pre = $newEntry->balance * optional($supplier->currency)->value; ?>
                                    {{ price_decimal($pre )  .' '.optional($supplier->currency)->name }}
                                @else
                                    <?php $pre = $newEntry->balance; ?>
                                    {{ price_decimal($pre)  .' '.optional($supplier->currency)->name  }}
                                @endif
                            </td>
                            <td colspan="2">رصيد جديد</td>
                        </tr>

                        <?php  $c += 1; $pre_balance=$pre; ?>
                    @endif

                    @php
                        $one=0;
                        $two=0;    
                    @endphp
                    @foreach($collection as $col)

                        <?php 

                            if ($col->type == 5){
                                // dd($col);
                            }
                            $balance = $col->balance;
                            if ($col->type != 8){
                           
                                $balance = balance($col, $pre_balance); 
                            }
                            if (in_array($col->type, [32,33]) && $col->has_bill == false){
                                $balance = $col->balance;
                            }

                            if ( $multi_currency == 1 && $supplier->currency_id != 0){
                                $balance = $balance * optional($supplier->currency)->value;
                            }
                        ?>

                        <tr>
                           @if (request()->has('details') && in_array($col->type, [3]))
                              <td colspan="100">  
                                  @include('clients::supplier.show-income-bill-data', array('col' => $col, 'balance' => price_decimal($balance)))
                              </td>
                           @else

                           <td>{{ $c}}</td>
                           {{-- <td>{{ $col->id . ' - ' . $col->type . ' - ' . $col->bill_id  }}</td> --}}
                           <td>{{$col->pay_day}}</td>
                           @if ($multi_currency == 1 && $supplier->currency_id != 0)
                               {{--  @if ($col->type != 7)  --}}
                                   <td>{{ $col->first_cell ? price_decimal($col->first_cell * optional($supplier->currency)->value)  .' '.optional($supplier->currency)->name  : '' }} </td>
                               {{--  @else  --}}
                                   {{--  <td></td>  --}}
                               {{--  @endif  --}}
                               <td>{{ $col->second_cell ? price_decimal($col->second_cell * optional($supplier->currency)->value)  .' '.optional($supplier->currency)->name : '' }}</td>
                               <td>{{ price_decimal( $balance * optional($supplier->currency)->value ) .' '.optional($supplier->currency)->name }}</td>
                           @else
                               {{--  @if ($col->type != 7)  --}}
                                   <td>{{ $col->first_cell ? price_decimal($col->first_cell)  . ' ' . optional($supplier->currency)->name : '' }} </td>
                               {{--  @else  --}}
                                   {{--  <td></td>  --}}
                               {{--  @endif  --}}
                               <td>{{ $col->second_cell ? price_decimal($col->second_cell) . ' ' . optional($supplier->currency)->name : '' }}</td>
                               <td>{{ price_decimal( $balance ) . ' ' . optional($supplier->currency)->name  }}</td>
                           @endif

                            @php
                                $one += price_decimal($col->first_cell);
                                $two += price_decimal($col->second_cell);    
                            @endphp
   

                           <td>

                               {!! $col->transaction_type !!}
                           </td>
                           <td>{{$col->notes}} </td>
                       </tr>

                    

@endif  
 <?php
                       $pre_balance = $balance ;
                       $c ++
                       ?>
                        {{-- @endif
                        @endif --}}
                    @endforeach


                    <tr class="info">
                        <td colspan="2">الاجمالي</td>
                        <td>{{ $one }}</td>
                        <td>{{ $two }}</td>
                        <td colspan="3"></td>
                    </tr>


                    @if ($multi_currency == 0)
                        <?php
                            if (ceil($supplier->balance) != ceil($balance)){

                                $supplier->balance = $balance;
                                $note = 'تعديل رصيد المورد من ' . $supplier->balance . ' الي ' . $balance . ' بواسطة النظام ';
                                if (request('do') == 'okay')
                                {
                                    $supplier->update();
                                }
                            }
                        ?>
                    @endif
     
                </tbody>
                </table>
                <a class="btn btn-primary hidden-print" onclick="window.print()"><i class="fa fa-print"></i>طباعه</a>
            </div>
        </div>
    </div>
@else
    <h3 class="text-center text-muted">مورد غير معروف</h3>
@endif


@stop

@section('js-scripts')


    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script src="{{url('tickets/js/bootstrap-select.min.js')}}"></script>
    <script src="{{ asset('js/calenders/jquery.tableToExcel.js') }}"></script>

    <script>
        $("#btnExport").click(function (e) {
            e.preventDefault();

            $("#table2excel").table2excel({

                // exclude CSS class

                exclude: ".noExl",

                name: "Worksheet Name",

                filename: "balance-sheet-report.xls" //do not include extension

            });

        });
    </script>
        <script src="{{url('js/jquery.table2excel.js') }}"></script>


    <script>
        $(function () {

            $('.picker').selectpicker({

                size: 8
            });

            if ('{{ get_session_val('date_type', 'Integer') }}' ==  '2') {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',

                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',

                });
            }

            $("#printBtn").on("click", function (e) {
                e.preventDefault();

                window.print();
            });
            var beforePrint = function () {
                $(".no-print").hide();
            };
            var afterPrint = function () {
                $(".no-print").show();
            };

            if (window.matchMedia) {
                var mediaQueryList = window.matchMedia('print');
                mediaQueryList.addListener(function (mql) {
                    if (mql.matches) {
                        beforePrint();
                    } else {
                        afterPrint();
                    }
                });
            }

            window.onbeforeprint = beforePrint;
            window.onafterprint = afterPrint;

            $('#bill-form').on('submit', function (e) {
                if ($('#from').val() == null || $('#from').val() == '') {
                    e.preventDefault();
                    $('#from').addClass('not-valid');
                } else {
                    $('#from').removeClass('not-valid');
                }
                if ($('#to').val() == null || $('#to').val() == '') {
                    e.preventDefault();
                    $('#to').addClass('not-valid');
                } else {
                    $('#to').removeClass('not-valid');
                }

            });


        })

    </script>

@stop