@extends('master::layouts.master')


@section('content')

@include('master::layouts.messages')
    <div class="row">
        <div class="col-md-4 pull-left">
            <div class="btn-group noprint" style="margin-bottom: 1em;">
                <a href="javascript:void(0)" class="btn btn-primary" id="print">طباعة الفاتورة</a>
                <a href="{{ route('purchase.edit', $bill->id) }}" class="btn btn-warning">
                     تعديل الفاتورة</a>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-10 col-md-offset-1">

            <div style="background: #eee; padding: 1em; margin: 0 1em 0 1em;">

                <div class="row">

                    <div class="col-md-4">
                        <label>  رقم فاتورة المورد: {{ $bill->supplier_bill_no }}</label>
                        <br><label>فاتورة شراء رقم: {{ $bill->id }}</label>
                    </div>
                    <div class="col-md-4">
                        <label>المورد: {{ $supplier->supplier_name }}</label>
                    </div>

                    <div class="col-md-4">
                        <label>تاريخ الفاتورة: {{ \Carbon\Carbon::parse($bill->sale_date)->format('Y-m-d') }}</label>
                    </div>

                    <div class="col-md-4 width40">
                        <img id="logo" style="display: none;" src="{{ config('main.badr').$img }}" height="60">
                    </div>
                </div>
            </div>
            <br>
            <div class="col-md-12">
                <table class="table table-bordered table-condensed" role="presentation">
                    <thead>
                    <tr class="bg-info">
                        <th scope="col">اسم الصنف</th>
                        <th scope="col"> الكميه</th>
                        <th scope="col"> سعر الوحدة</th>
                        <th class="text-center"> اجمالي</th>
                    </tr>
                    </thead>
                    <tbody id="bill-content">
                    @foreach($details as $detail)

                        <tr id="item-1">
                            <td> {{ $detail->item_name }}</td>
                            <td style="width: 10%;">
                                {{ quant_decimal($detail->quantity) }}
                            </td>
                            <td> {{ price_decimal($detail->price) }} </td>

                            <td id="item-sale-1"
                                class="for-sale">{{ price_decimal($detail->price * $detail->quantity) }} </td>
                        </tr>
                        
                    @endforeach

                    </tbody>
                </table>
            </div>


            <div id="total_data" class="col-md-12">

                <table class="table table-bordered table-condensed" role="presentation">
                    <tbody>
                    <tr class="info">

                        <td colspan="6" style="width: 77%"> الاجمالي</td>

                        <td>
                            <span id="all_sum_text">{{ price_decimal($bill->total_bill) }}</span>
                        </td>
                    </tr>

                    <tr class="danger">
                        <td colspan="6" style="width: 77%">الخصم</td>
                        <td colspan="2"><span
                                    id="all_discount">{{ price_decimal($bill->discountM) }} </span></td>
                    </tr>


                    @foreach($adds as $add)
                        <tr class="warning">
                            <td colspan="6" style="width: 77%">{{ $add->name }}</td>
                            <td colspan="2"><span
                                        id="all_discount">{{ price_decimal($add->addition_value) }}</span>
                            </td>
                        </tr>
                    @endforeach


                    <tr class="info">
                        <td colspan="6" style="width: 77%">الصافي</td>
                        <td colspan="2"><span
                                    id="all_discount">{{ price_decimal($bill->net_price) }} </span></td>
                    </tr>


                    <tr class="info">
                        <td colspan="6" style="width: 77%">المدفوع</td>
                        <td colspan="2"><span
                                    id="all_discount">{{ price_decimal($bill->payment) }} </span></td>
                    </tr>


                    </tbody>
                </table>

                <div class="col-md-12 print" style="display: none;">
                    <label>تاريخ الطباعة: {{ date('Y-m-d') }} - بواسطة: {{ auth()->user()->user_name }}</label>
                </div>

                <hr class="noprint">

            </div>

        </div>

    </div>

@stop

@section('js-scripts')

    <script>
        $('#print').click(function (e) {
            e.preventDefault();
            window.print();
        });
    </script>

@stop

@section('css-scripts')

    <style>
        @media print {
            .noprint {
                display: none;
            }

            .print {
                display: block !important;
            }

            #logo {
                display: block !important;

            }

            .width40 {
                width: 40% !important;
                float: left;
                margin-top: -3em !important;
                margin-bottom: 1em !important;
            }

            .width60 {
                width: 60% !important;
            }

        }
    </style>

@stop