@extends('master::layouts.master')

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

@stop

@section('content')


    <div class="wrapper">
        <div class="container">
            <div class="row">
                <div class="col-md-4">
                    <h2 class="text-primary title-page">كشف حساب المورد
                        <b>{{$supplier->supplier_name}}</b>
                    </h2>
                </div>
                <div class="col-md-8 hidden-print">
                    <form action="">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="">من</label>
                                    <input autocomplete="off" readonly name="from" class="form-control date" value="{{ request('from') }}">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="">الي</label>
                                    <input autocomplete="off" readonly name="to" class="form-control date" value="{{ request('from') }}">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <button class="btn btn-success" style="margin-top: 1.7em;">عرض</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            @if (session()->has('success'))
                <div class="row">
                    <div class="col-xs-12 col-sm-12">
                        <ul class='h4 alert alert-success text-center list-unstyled'>
                            {!! session()->get('success') !!}
                        </ul>
                    </div>
                </div>
            @endif
            @if (session()->has('error'))
                <div class="row">
                    <div class="col-xs-12 col-sm-12">
                        <ul class='h4 alert alert-danger text-center list-unstyled'>
                            {!! session()->get('error') !!}
                        </ul>
                    </div>
                </div>
            @endif
            <div class="row">
                <div class="pull-left hidden-print">
                    <a class="btn btn-success excelbtn" id="btnExport"><i class="fa fa-file-excel-o"></i>تصدير اكسل</a>
                    <a class="btn btn-primary" onclick="window.print()"><i class="fa fa-print"></i>طباعه</a>
                </div>
                <table class="table table-striped table-hover table-bordered" role="presentation">
                    <thead class="bg-primary">
                        <tr>
                            <td>م</td>
                            <td>التاريخ</td>
                            <td>وارد منه</td>
                            <td>مدفوع له</td>
                            <td>الرصيد</td>
                            <td>البيان</td>
                            <td>ملاحظات</td>
                            <!--<td>حذف</td>-->
                        </tr>
                    </thead>
                    <tbody>
                    @foreach($transactions as $transaction)
                        @if ($transaction->checkBill($transaction->type, $transaction->bill_id, $transaction->sale_back_id, 'supplier') != -1)
                            <tr>
                                <td>{{ $loop->iteration }}</td>
                                <td>{{ $transaction->pay_day }}</td>
                                @if ($transaction->type == 3)
                                    <td>{{ price_decimal(optional($transaction->incomingBill)->net_price) }}</td>
                                    <td>{{ price_decimal(optional($transaction->incomingBill)->payment) }}</td>
                                @elseif ($transaction->type == 5)
                                    <td>{{ price_decimal(optional($transaction->incomingBillReturn)->payment) }}</td>
                                    <td>{{ price_decimal(optional($transaction->incomingBillReturn)->net_price) }}</td>
                                @elseif ($transaction->type == 6)
                                    <td></td>
                                    <td>{{ price_decimal($transaction->amount) }}</td>
                                @elseif ($transaction->type == 7)
                                    <td></td>
                                    <td>{{ price_decimal($transaction->amount) }}</td>
                                @else
                                    <td></td>
                                    <td></td>
                                @endif
                                <td>{{ price_decimal($transaction->balance) }}</td>
                                <td>
                                    @if ($transaction->type == 3)
                                        <a href="{{route('suppliers.show-buy-bill', $transaction->bill_id)}}">فاتورة مشتريات رقم {{$transaction->bill_id}}</a>
                                    @elseif ($transaction->type == 5)
                                        <a href="{{route('suppliers.show-buy-back-bill', $transaction->bill_id)}}">فاتورة مرتجع مشتريات رقم {{$transaction->bill_id}}</a>
                                    @elseif ($transaction->type == 6)
                                        دفع للمورد
                                    @elseif ($transaction->type == 7)
                                        مردود نقدى الى المورد
                                    @else
                                        رصيد جديد
                                    @endif
                                </td>
                                <td>
                                    @if ($transaction->type == 3)
                                        {{ optional($transaction->incomingBill)->notes }}
                                    @elseif ($transaction->type == 5)
                                        {{ optional($transaction->incomingBillReturn)->notes }}
                                    @else
                                        {{ $transaction->notes }}
                                     @endif
                                </td>
                                <!--<td>-->
                                <!--    @if ($transaction->type == 6 || $transaction->type == 7)-->
                                <!--        <form method="post" action="{{ route('suppliers.delete-transaction', $transaction->id) }}" onsubmit="return confirm('هل انت متاكد من الحذف')">-->
                                <!--            {{ csrf_field() }}-->
                                <!--            <button type="submit" class="btn btn-danger delete"><i class="fa fa-trash"></i></button>-->
                                <!--        </form>-->
                                <!--    @endif-->
                                <!--</td>-->
                            </tr>
                        @endif
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@stop

@section('js-scripts')
    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/redirect.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>
    <script src="{{url('js/jquery.table2excel.js') }}"></script>
    <script>
        $(function () {
            $('.picker').selectpicker({
                size: 8
            });
            if ('{{ get_session_val('date_type', 'Integer') }}' ==  '2') {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                });
            }
        });
        $(".excelbtn").click(function () {
            $("table").table2excel({
                // exclude CSS class
                exclude: ".noExl",
                name: "Worksheet Name",
                filename: "كشف حساب المورد {{$supplier->supplier_name}}" //do not include extension
            });
        });
    </script>
@stop