<?php

    Route::group(['prefix' => 'clients'], function () {
         Route::get('/', 'ClientsController@index')->name('clients.index');
         Route::post('/search', 'ClientsController@search')->name('clients.search');

          Route::get('/balance-sheet/{id}', 'ClientsController@showClientBalanceSheet')->name('clients.show');

         Route::get('/update-all-balances', 'ClientsController@updateAllBalances')->name('clients.update-all-balances');
         Route::get('/old-balance', 'ClientsController@oldBalance')->name('clients.old-balance');
         Route::get('/balance-sheet-two/{id}', 'ClientsController@showNewModel')->name('clients.show-new-model');
         Route::get('/create', 'ClientsController@create')->name('clients.create');
         Route::post('/store', 'ClientsController@store')->name('clients.store');
         Route::get('/edit/{id}', 'ClientsController@edit')->name('clients.edit');
         Route::post('/update', 'ClientsController@update')->name('clients.update');
         Route::post('/delete', 'ClientsController@delete')->name('clients.delete');
         Route::get('/client-operations/{id}', 'ClientsController@ClientOperations')->name('clients.operations');

         Route::post('delete-transaction/{id}', 'ClientsController@deleteTransaction')->name('clients.delete-transaction');

        Route::get('/showSaleBill/{id}', 'ClientReportController@showSaleBill')->name('clients.show-sale-bill');
        Route::get('/showSaleBackBill/{id}', 'ClientReportController@showSaleBackBill')->name('clients.show-sale-back-bill');

        Route::get('/get-bills', 'ClientReportController@getClientBills')->name('clients.get-bills');

        Route::get('/clients-points', 'ClientsController@ClientsPoints')->name('clients.clients-points');
        Route::get('/clients-groups', 'ClientGroupController@index')->name('clients.clients-groups');
        Route::post('/store-clients-groups', 'ClientGroupController@store')->name('clients.clients-groups.store');
        Route::post('/update-clients-groups', 'ClientGroupController@update')->name('clients.clients-groups.update');
        Route::post('/destroy-clients-groups', 'ClientGroupController@destroy')->name('clients.clients-groups.destroy');

        Route::get('/client-operations/{id}', 'ClientsController@ClientOperations')->name('clients.operations');
        Route::get('/client-balance', 'ClientsController@ClientBalance')->name('clients.balance');
                Route::get('/print/{id}', 'ClientsController@print')->name('clients.print');

    });

    // Route::group(['prefix' => 'suppliers'], function () {

    //     Route::get('/', 'SuppliersController@index')->name('suppliers.index');
    //     Route::post('/search', 'SuppliersController@search')->name('suppliers.search');
    //     Route::get('/balance-sheet2/{id}', 'SuppliersController@show')->name('suppliers.show2');
    //     Route::get('/balance-sheet/{id}', 'SuppliersController@show2')->name('suppliers.show');

    //     Route::post('delete-transaction/{id}', 'SuppliersController@deleteTransaction')->name('suppliers.delete-transaction');

    //     Route::get('/showBuyBill/{id}', 'SupplierReportController@showPurchaseBill')->name('suppliers.show-buy-bill');
    //     Route::get('/showBuyBackBill/{id}', 'SupplierReportController@showBackPurchaseBill')->name('suppliers.show-buy-back-bill');

    //     Route::get('/all-balances', 'SuppliersController@allBalances')->name('suppliers.all-balances');
    // });


    Route::get('/bad/balance', 'BadBalanceController@index')->name('bad.balance');
    Route::post('/bad/balance', 'BadBalanceController@save')->name('bad.balance');

