@extends('master::layouts.master')

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
    <style>

        .add-percent{

            border-radius: 8px;
            /* width: 100%; */
            cursor: pointer;
            border: none;
            padding: 4px;
        }
        .mb-1_5 {
            margin-bottom: 0.5rem;
        }

        .pt-1_5 {
            padding-top: 0.35rem !important;
        }
        .div .col-form-label {
            padding-top: 0;
        }


        .w-90-per{
            width: 80%;
        }


    </style>
@endsection

@section('content')

    <div id="alert_container"></div>

    <div class="container">

        <div>
            <h2 class="text-info" id="title_text">
                {{ trans('commissions.add-commission-percent-for-items') }}
            </h2>
        </div>

        <div class="row mt-4">
            <form method="post" action="{{route('commissions.store')}}" class="col-md-12">
                @csrf
                <div class="card card-success">

                    <div class="row justify-content-center p-2">

                        {{-- From --}}
                        <div class="col-md-3">
                            <div class="form-group row">

                                <label for="from" class="col-sm-2 col-md-4 col-form-label">{{ trans('commissions.profit-from') }}</label>
                                <div class="col-sm-4 col-md-8 d-flex justify-content-between">
                                    <input type="number" step="0.01" id="from"  name="from" data-old="from"
                                        class="form-control input-sm input-light" value="">
                                        <span class="mt-1">%</span>

                                </div>

                            </div>
                        </div>

                        {{-- To --}}
                        <div class="col-md-3">
                            <div class="form-group row">

                                <label for="to" class="col-sm-2 col-md-4 col-form-label">{{ trans('commissions.to') }}</label>
                                <div class="col-sm-4 col-md-8 d-flex justify-content-between">
                                    <input type="number" step="0.01" id="to"  name="to" data-old="to"
                                        class="form-control input-sm input-light" value="">
                                        <span class="mt-1">%</span>

                                </div>

                            </div>
                        </div>

                        {{-- Percentage --}}
                        <div class="col-md-4">
                            <div class="form-group row">

                                <label for="percent" class="col-sm-2 col-md-4 col-form-label">{{ trans('commissions.commission-percent') }}</label>
                                <div class="col-sm-4 col-md-8 d-flex justify-content-between">
                                    <input type="number" step="0.01" id="percent" name="percent" data-old="percent"
                                        class="form-control input-sm input-normal d-inline-block" value="">
                                        <span class="mt-1">%</span>
                                </div>

                            </div>
                        </div>

                        {{-- Submit --}}
                        <div class="col-md-2">
                            <button class="btn btn-success">
                                {{trans('commissions.add')}}
                            </button>
                        </div>

                    </div>
                </div>
            </form>
        </div>


        <table class="table table-striped mt-4 text-center" id="main_table">
            <thead class="bg-info text-white">
                <tr>
                    <th>{{ trans('commissions.from') }}</th>
                    <th>{{ trans('commissions.to') }}</th>
                    <th>{{ trans('commissions.percent') }}</th>
                    <th>{{ trans('commissions.edit') }}</th>
                    <th>{{ trans('commissions.delete') }}</th>

                </tr>
            </thead>
            <tbody id="commissions_table_body">
                {{-- {{dd($sales)}} --}}
                @forelse ($commissions as $commission)
                    <tr>
                        <td>{{ $commission->from }}</td>
                        <td>{{ $commission->to }}</td>
                        <td>{{ $commission->percent }}</td>
                        <td>
                            <a href="#" class="delete" data-toggle="modal" data-target="#editCommission" data-id="{{ $commission->id }}">
                                <i class="fa fa-edit text-success" aria-hidden="true"></i>
                            </a>
                        </td>
                        <td>
                            <a href="#" class="delete" data-toggle="modal" data-target="#exampleModal2" onclick="deleteCommission({{$commission->id}})">
                                <i class="fa fa-trash text-danger" aria-hidden="true"></i>
                            </a>
                        </td>
                    </tr>
                @empty
                <tr>
                    <td colspan="5" style="text-align: center">
                        لا يوجد اي نسب عمولة
                    </td>
                </tr>
                @endforelse
            </tbody>
        </table>
    </div>

@endsection


@include('commissions::partials.editModal.edit-commission-percent-modal')
{{-- @include('commissions::partials.modals.delete-commission-percent.modal') --}}

@section('js-scripts')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>

    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>
    <script src="{{ asset('js/reports/columnsControls.js') }}"></script>
    @include('commissions::js.js');
@endsection
