<?php

namespace Modules\Coupon\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use App\Http\Controllers\Controller;
use Modules\Coupon\Entities\Coupon;
use Modules\Coupon\Entities\SaleProcess;
use Modules\Coupon\Http\Requests\CouponRequest;

class CouponController extends Controller
{

    public function index()
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $coupons = Coupon::where('shop_id', $shop_id)->paginate(20);
        return view('coupon::index', compact('coupons'));
    }

    public function create()
    {
        $type = get_session_val('date_type', 'integer');
        return view('coupon::create', compact('type'));
    }

    public function store(CouponRequest $request)
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $coupon = new Coupon();
        $coupon->coupon_code = $request->coupon_code;
        $coupon->discount_value = $request->discount_value;
        $coupon->discount_type = $request->discount_type;
        $coupon->expire_date = $request->expire_date;
        $coupon->is_valid = $request->is_valid;
        $coupon->shop_id = $shop_id;
        $coupon->save();
        return redirect()->route('coupons.index')->with([
            'success' => 'تم الحفظ بنجاح'
        ]);
    }

    public function show()
    {
        return view('coupon::show');
    }

    public function edit($id)
    {
        $type = get_session_val('date_type', 'integer');
        $coupon = Coupon::find($id);
        if ($coupon) {
            return view('coupon::edit', compact('coupon', 'type'));
        } else {
            return redirect()->route('coupons.index')->with([
                'error' => 'خطأ في تعريف الكوبون'
            ]);
        }
    }
    public function update(Request $request)
    {
        $coupon = Coupon::find($request->coupon_id);
        if ($coupon) {
            $coupon->coupon_code = $request->coupon_code;
            $coupon->discount_value = $request->discount_value;
            $coupon->discount_type = $request->discount_type;
            $coupon->expire_date = $request->expire_date;
            $coupon->is_valid = $request->is_valid;
            $coupon->save();

            return redirect()->route('coupons.index')->with([
                'success' => 'تم التعديل بنجاح'
            ]);
        } else {
            return redirect()->route('coupons.index')->with([
                'error' => 'خطأ في تعريف الكوبون'
            ]);
        }
    }
    public function destroy(Request $request)
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $coupon = Coupon::find($request->coupon_id);
        if ($coupon) {
            $sales = SaleProcess::where('shop_id', $shop_id)
                ->where('coupon_id', $coupon->id)->get();

            $orders = \DB::table('requests')->where('shop_id', $shop_id)
                ->where('coupon_id', $coupon->id)->get();

            if ($sales->count() > 0 || count($orders) > 0) {
                return redirect()->route('coupons.index')->with([
                    'error' => 'لا يمكن حذف الكوبون لانه مستخدم بالفعل'
                ]);
            } else {

                $coupon->delete();
                return redirect()->route('coupons.index')->with([
                    'success' => 'تم الحذف بنجاح'
                ]);
            }
        } else {
            return redirect()->route('coupons.index')->with([
                'error' => 'خطأ في تعريف الكوبون'
            ]);
        }
    }
}
