@extends('master::layouts.master')
@section('content')
    <div class="wrapper card card-light mb-1_5 p-3">
        <div class="container">
            <div class="row">
             

                <div class="col-md-12 mb-4" style="">
                    <div id="messages"></div>
                    <h1 style="" class="text-info d-inline-block">  {{ trans('coupon.edit_coupon') }}</h1>
                    <a class="btn btn-primary float-left  d-inline-block" href="{{ route('coupons.index') }}"
                        style="">   {{ trans('coupon.back') }}</a>
                </div>
                <div class="col-xs-12 col-md-12">

                    <div class="row">
                        <div class="col-md-12">

                            <form method="post" action="{{ route('coupons.update') }}" class="custome-form">
                                {{ csrf_field() }}
                                <input type="hidden" name="coupon_id" value="{{ $coupon->id }}">
                                <div class="form-group">
                                    <label class="control-label"> {{ trans('coupon.coupon_code') }}</label>
                                    <input placeholder="{{ trans('coupon.enter_coupon_code') }}   " name="coupon_code" class="form-control"
                                        value="{{ $coupon->coupon_code }}">
                                </div>
                                <div class="form-group">
                                    <label class="control-label">{{ trans('coupon.discount') }} </label>
                                    <input min="1" type="number" placeholder="{{ trans('coupon.coupon_discount') }}  "
                                        name="discount_value" class="form-control"
                                        value="{{ price_decimal($coupon->discount_value) }}">
                                </div>
                                <div class="form-group">
                                    <label class="control-label"> {{ trans('coupon.discount_type') }} </label>
                                    <select name="discount_type" class="form-control">

                                        @if ($coupon->discount_type == 0)
                                            <option selected value="0"> {{ trans('coupon.rate') }}</option>
                                            <option value="1">{{ trans('coupon.amount') }}</option>
                                        @else
                                            <option value="0"> {{ trans('coupon.rate') }}</option>
                                            <option selected value="1">{{ trans('coupon.amount') }}</option>
                                        @endif
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label class="control-label"> {{ trans('coupon.expire_date') }}</label>
                                    <input readonly placeholder="  {{ trans('coupon.expire_date') }}" name="expire_date"
                                        value="{{ $coupon->expire_date }}" class="form-control date">
                                </div>
                                <div class="form-group">
                                    <label class="control-label"> {{ trans('coupon.coupon_status') }} </label>
                                    <select name="is_valid" class="form-control">
                                        @if ($coupon->is_valid == 0)
                                            <option selected value="0">  {{ trans('coupon.no_active') }}</option>
                                            <option value="1">{{ trans('coupon.active') }}</option>
                                        @else
                                            <option value="0">  {{ trans('coupon.no_active') }}</option>
                                            <option selected value="1">{{ trans('coupon.active') }}</option>
                                        @endif

                                    </select>
                                </div>


                                <div class="form-group row justify-content-center mt-3">
                                <div class="col-md-2 col-6">

                                <button class="btn btn-success">{{ trans('coupon.save') }}</button>
</div>
</div>
                            </form>


                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>


@stop

@section('js-scripts')

<script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
<script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
<script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
<script src="{{ asset('tickets/datepair.js') }}"></script>
<script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>

    <script>
        $(function() {
            if ('{{ $type }}' == '2') {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    // defaultDate: "0",
                    // selectDefaultDate: true
                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    // defaultDate: "0",
                    // selectDefaultDate: true

                });
            }

        })
    </script>
@stop
@section('css-scripts')
<link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <style>
        .special {
            font-weight: bold !important;
            color: #fff !important;
            background: #bc0000 !important;
            text-transform: uppercase;
        }
    </style>
@stop
