@extends('master::layouts.master')
@section('content')
    <div class="wrapper card card-light mb-1_5 p-3">
        <div class="container">
            <div class="row">
                <div class="col-md-12 mb-3" style="">
                    <div id="messages"></div>
                    <h1 style="" class="text-info d-inline-block">   {{ trans('coupon.coupon') }}</h1>
                    <a class="btn btn-primary float-left d-inline-block" href="{{ route('coupons.create') }}"
                       style="">   {{ trans('coupon.add_coupon') }}</a>
                </div>
                <div class="col-xs-12 col-md-12">
                    <div class="row">
                        <div class="col-md-12">
                        <div class="table-responsive">

                            <table class="table zui-table zui-table-rounded table-hover table-bordered">
                                <thead style="background-color: #007bff;">
                                <tr class="info">
                                    <th>#</th>
                                    <th>   {{ trans('coupon.coupon_code') }}</th>
                                    <th>  {{ trans('coupon.discount') }}</th>
                                    <th>  {{ trans('coupon.activation') }}</th>
                                    <th>    {{ trans('coupon.expire_date') }}</th>
                                    <th>    {{ trans('coupon.coupon_status') }}</th>
                                    <th>{{ trans('extends.action') }}</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($coupons as $item)
                                    <tr data-toggle="collapse" data-target="#demo" id="item-row-{{ $item->id }}">
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $item->coupon_code }}</td>
                                        <td>{{ round_money($item->discount_value) . ' ' . $item->getDiscountType() }}</td>
                                        <td>{{ $item->getStatus() }}</td>
                                        <td>{{ $item->expire_date }}</td>
                                        <td>{!! $item->getStand() !!}</td>
                                        <td>
                                            <div class="row justify-content-center">
                                                <div class="col-md-3">
                                                    <a href="{{ route('coupons.edit', $item->id) }}"
                                                       class="btn btn-warning mb-2">  {{ trans('coupon.edit') }}</a>
                                                </div>
                                                <div class="col-md-3">
                                                    <form method="post" action="{{ route('coupons.destroy') }}">

                                                        {{ csrf_field() }}
                                                        <input type="hidden" name="coupon_id" value="{{ $item->id }}">
                                                        <button onclick="confirm(' {{ trans('coupon.sure_delete') }}')" class="btn btn-danger mb-2">حذف</button>
                                                    </form>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
</div>
                            <div class="text-center">
                                {!! $coupons->links() !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop
