<?php

namespace Modules\Currency\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Concerns\HasEvents;
use Illuminate\Support\Facades\DB;

class Currency extends Model
{
    use HasEvents;

    protected $table = 'currencies';
    protected $fillable = ['name', 'code', 'shop_id', 'value'];
    public const DEFAULT_ROW = [
        'name'    => 'جنيه مصري',
        'code'    => 'EGP',
        'value'   => true
    ];

    protected function getValueAttribute($value)
    {
        return $value;
        return round_money($value);
    }

    public function salePoints()
    {
        return $this->hasMany(SalePoint::class, 'currency_id', 'id');
    }

    public function logs()
    {
        return $this->hasMany(CurrencyLog::class, 'currency_id', 'id');
    }

    public static function main($column = 'name')
    {
        $row = Currency::select('name', 'code')->where('is_main', true)->first() ?? self::DEFAULT_ROW;
        return $column == '*' ? $row->toArray() : $row->$column;
    }

    public static function currencies()
    {
        return Country::select(DB::raw("CONCAT(name_ar, ' - ', currency_name_ar) AS name"), 'currency_name_ar', 'currency_code')->pluck('currency_code', 'name')->toArray();
    }

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shop', function (Builder $builder) {
            $builder->where('shop_id', auth()->user()->shop_id)->orderBy('id', 'DESC');
        });
    }
}
