<?php

namespace Modules\Currency\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class SalePoint extends Model
{
    use RoundingAttributesTrait;
    protected $guarded = ['id'];
    protected $table = 'sale_points';
    public $timestamps = false;

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shop', function (Builder $builder) {
            $builder->where('shop_id', auth()->user()->shop_id);
        });
    }
}
