<?php

namespace Modules\Currency\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CurrencyRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name'  => 'required|string|min:2|max:50|unique:currencies,name,'.$this->currency.',id,shop_id,'.auth()->user()->shop_id,
            'code'  => 'required|string|min:1|unique:currencies,code,'.$this->currency.',id,shop_id,'.auth()->user()->shop_id,
            'value' => 'required|numeric|min:0',
        ];
    }

    public function attributes()
    {
        return [
            'name'  => trans('currency::trans.columns.name'),
            'code'  => trans('currency::trans.columns.code'),
            'value' => trans('currency::trans.columns.value'),
        ];
    }
}
