{{-- <div class="form-group">
    <label for="name" class="required">@lang('currency::trans.columns.name')</label>
    <div class="input-group">
        <input type="text" class="form-control" placeholder="@lang('currency::trans.columns.name')" id="name" name="name" value="{{ $row->name ?? '' }}">
        <div class="input-group-prepend">
            <span class="input-group-text"> <i class="fas fa-pencil-alt"></i> </span>
        </div>
    </div>
    <span class="validation-errors text-danger d-block text-center font-weight-bold" id="name_error"></span>
</div> --}}

<div class="form-group">
    <label for="name" class="required">@lang('currency::trans.columns.name')</label>
    <select class="form-control selectpicker" name="name" id="name" data-none-selected-text="{{ trans('native.no-selected') }}" data-live-search="true">
        <option selected value=""> @lang('native.no-selected')</option>
        @foreach ($currencies as $name => $code)
            <option value="{{ $name }}" data-code="{{ $code }}" {{ isset($row) && $row->name == trim($name) ? 'selected' : '' }}>{{ $name }}</option>
        @endforeach
    </select>
    <span class="validation-errors text-danger d-block text-center font-weight-bold" id="name_error"></span>
</div>

<div class="form-group">
    <label for="value" class="required">@lang('currency::trans.columns.code')</label>
    <div class="input-group">
        <input type="text" class="form-control" placeholder="@lang('currency::trans.columns.code')" id="code" name="code" value="{{ $row->code ?? '' }}">
        <div class="input-group-prepend">
            <span class="input-group-text"> <i class="fas fa-exchange-alt"></i> </span>
        </div>
    </div>
    <span class="validation-errors text-danger d-block text-center font-weight-bold" id="code_error"></span>
</div>

<div class="form-group">
    <label for="value" class="required d-block">
        @lang('currency::trans.columns.value')
        <small class="text-info text-center float-left"> سعر استرشادي بناء علي  <a href="https://api.exchangerate.host" target="_blank" class="btn btn-sm btn-link">exchangerate</a> </small>
    </label>
    <div class="input-group">
        <input type="text" class="form-control" placeholder="@lang('currency::trans.columns.value')" id="value" name="value" value="{{ $row->value ?? 1 }}">
        <div class="input-group-prepend">
            <span class="input-group-text font-weight-bold"> {{ $main_currency['code'] }} </span>
        </div>
    </div>
    <i class="d-block text-warning text-center">@lang("currency::trans.title.exchange-ratio-notes")</i>
    <span class="validation-errors text-danger d-block text-center font-weight-bold" id="value_error"></span>
</div>

<div class="form-group">
    <label>@lang('currency::trans.columns.main_currency')</label>
    <div class="input-group">
        <input class="form-control" disabled value="{{ $main_currency['name'] }}">
        <div class="input-group-prepend">
            <span class="input-group-text"> <i class="fas fa-check"></i> </span>
        </div>
    </div>
</div>
