@extends('master::layouts.master')

@section('css-scripts')
    <style>
        .deleted-currency {
            position: relative;
        }

        .deleted-currency::after {
            content: '@lang("currency::trans.deleted-currency")';
            color: #f00;
            font-weight: bolder;
            text-transform: uppercase;
            position: absolute;
            left: 5px;
            top: 5px;
            font-size: 10px;
            font-style: italic;
            opacity: .3;
            transition: all .3s ease-in-out;
        }

        .deleted-currency:hover::after {
            font-size: 13px;
            opacity: 1;
        }
    </style>
@endsection

@section('content')
    <div class="wrapper card card-light mb-1_5 p-3">
        <div class="container">
            <div id="show-alerts"></div>
            <div class="currency">
                  <h1 class="text-info d-inline-block">
                @lang('currency::trans.title.name')
              
            </h1>
            <div class="currency-1 d-inline-block  float-left">
  <a class="btn btn-primary text-white  mt-2 show-modal-form mb-2  " href="{{ route('currencies.create') }}">@lang('currency::trans.buttons.create') <i class="fa fa-plus"></i> </a>
                <a class="btn btn-info text-white  mt-2  mb-2 " href="{{ route('currencies.excel.export') }}">@lang('currency::trans.buttons.export-excel') <i class="fa fa-download"></i> </a>
                {{-- <a class="btn btn-danger text-white   mb-2 mt-2  show-modal-form" href="{{ route('currencies.excel.import') }}">@lang('currency::trans.buttons.import-excel') <i class="fa fa-upload"></i> </a> --}}
                <a href="{{ route('currencies.index') }}" class="btn btn-dark   mb-2   mt-2 reload-table" data-target="#load-currencies">  @lang('currency::trans.buttons.reload-table') <i class="fas fa-undo"></i> </a>
                <a class="btn btn-warning text-white  mt-2  mb-2 sync-exchange-rate" href="{{ route('currencies.exchange.sync.all') }}"> @lang('currency::trans.buttons.sync-all') <i class="fa fa-undo"></i> </a>
           
            </div>
          
            </div>
          

            @include('currency::includes.table.header')

            @include('currency::includes.logs.header')
        </div>
    </div>

    <div class="modal" id="load-form" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content"></div>
        </div>
    </div>
@endsection

@include('currency::includes.js')
