<?php

namespace Modules\Dairy\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class InvoiceDetail extends Model
{
    use HasFactory;

    protected $table = 'invoices_details';

    protected $guarded = ['id'];

    public $timestamps = false;

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shopID', function (Builder $builder) {
            $builder->where(app(__CLASS__)->getTable().'.shop_id', auth()->user()->shop_id);
        });

        static::creating(function($model) {
            $model->shop_id  = auth()->user()->shop_id;
            $model->add_user = auth()->id();
            $model->add_date = now();
        });
    }
}
