<?php

namespace Modules\Dairy\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class ItemTransaction extends Model
{
    protected $table = 'items_transaction';

    protected $fillable = ['shop_id', 'user_id', 'tansaction_date', 'action_date', 'date_time', 'quantity', 'new_quantity', 'old_quantity', 'item_name', 'item_id', 'price', 'store_id', 'type'];

    public $timestamps = false;

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shopID', function (Builder $builder) {
            $builder->where(app(__CLASS__)->getTable().'.shop_id', auth()->user()->shop_id);
        });

        static::creating(function($model) {
            $model->shop_id   = auth()->user()->shop_id;
            $model->user_id   = auth()->id();
            $model->tansaction_date = now();
        });
    }
}
