<?php

namespace Modules\Dairy\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class RequestDetail extends Model
{
    use HasFactory;

    protected $table = 'request_details';

    protected $fillable = ['quantity', 'price', 'sale_price', 'protein', 'protein_bonus', 'water', 'water_discount', 'fats', 'fats_bonus'];

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shopID', function (Builder $builder) {
            $builder->where(app(__CLASS__)->getTable().'.shop_id', auth()->user()->shop_id);
        });
    }
}
