<?php

namespace Modules\Dairy\Http\Controllers;

use App\Http\Controllers\Controller;
use Modules\Dairy\Entities\Client;
use Modules\Dairy\Entities\ClientTransaction;
use Modules\Dairy\Entities\Store;
use Modules\Dairy\Entities\User;

class ReportController extends Controller
{
    public function clientBalance()
    {
        if (request()->ajax()) {
            $rows = ClientTransaction::select('id', 'client_id', 'bill_id', 'amount', 'type', 'date_time')->whereIn('type', [0, 1, 2, 3, 4])
                                        ->with('invoice:id,invoice_date')
                                        ->whereHas('invoice', fn($query) => $query->filter())
                                        ->with('client', 'invoice')->get();
                                        
            return view('dairy::reports.client-balance.rows', compact('rows'));
        }
        $clients = Client::select('id', 'client_name')->pluck('client_name', 'id');
        $rows    = collect([]);
        return view('dairy::reports.client-balance.index', compact('rows', 'clients'));
    }

    public function supplyOperations()
    {
        if (request()->ajax()) {
            $rows = ClientTransaction::select('id', 'client_id', 'bill_id', 'user_id', 'amount', 'type', 'date_time')->whereIn('type', [0, 1, 3])
                                    ->whereHas('invoice', fn($query) => $query->filter())
                                    ->with('client', 'user', 'invoice', 'invoice.store')->get();
            return view('dairy::reports.supply-operations.rows', compact('rows'));
        }

        $clients = Client::select('id', 'client_name')->pluck('client_name', 'id');
        $stores  = Store::select('id', 'store_name')->pluck('store_name', 'id');
        $users   = User::select('id', 'name')->pluck('name', 'id');
        $rows    = collect([]);
        return view('dairy::reports.supply-operations.index', compact('rows', 'clients', 'stores', 'users'));
    }
}
