<form method="GET" action="{{ route('dairy.purchases.invoices.index') }}" id="filter-form">
    @csrf
    <input type="hidden" name="page" id="page" value="1">

    <div class="row">
        <div class="col-md-3">
            <div class="form-group">
                @if (request()->is('*/sales/*'))
                    <label> @lang('client.client-name') </label>
                @else
                    <label> @lang('client.supplier-name') </label>
                @endif
                <select name="client" class="form-control selectpicker" data-live-search="true" title="@lang('native.no-selected')">
                    <option value="">----</option>
                    @foreach ($clients as $client_id => $client_name)
                        <option value="{{ $client_id }}" {{ request()->get('client') == $client_id ? 'selected' : '' }}> {{ $client_name }} </option>
                    @endforeach
                </select>
            </div>
        </div>

        <div class="col-md-3">
            <div class="form-group">
                <label> @lang('store.name') </label>
                <select name="store" class="form-control selectpicker" data-live-search="true" title="@lang('native.no-selected')">
                    <option value="">----</option>
                    @foreach ($stores as $store_id => $store_name)
                        <option value="{{ $store_id }}" {{ request()->get('store') == $store_id ? 'selected' : '' }}> {{ $store_name }} </option>
                    @endforeach
                </select>
            </div>
        </div>

        <div class="col-md-2">
            <div class="form-group">
                <label> @lang('native.from') </label>
                <input type="text" class="form-control date is-datepicker input-sm" name="from" id="from" autocomplete="off" value="{{ request()->get('from') }}" placeholder="@lang('native.from')">
            </div>
        </div>

        <div class="col-md-2">
            <div class="form-group">
                <label> @lang('native.to') </label>
                <input type="text" class="form-control date is-datepicker input-sm" name="to" id="to" autocomplete="off" value="{{ request()->get('to') }}" placeholder="@lang('native.to')">
            </div>
        </div>

        <div class="col-md-2">
            <div class="form-group">
                <label> @lang('dairy.order_no') </label>
                <input type="text" class="form-control input-sm" name="order_no" id="order_no" autocomplete="off" value="{{ request()->get('order_no') }}" placeholder="@lang('dairy.order_no')">
            </div>
        </div>
    </div>


    <button type="submit" class="btn btn-sm btn-primary" style="float: left"> <i class="fa fa-filter"></i> </button>
</form>


@include('dairy::includes.filter-js')
