<div class="row">
    <div class="col-md-3">
        <div class="form-group">
            <label class="required"> @lang('dairy.qty') </label>
            <div class="input-group">
                <input type="text" autocomplete="off" step="100" class="form-control use-only-numbers" name="quantity" id="quantity" value="{{ optional($row->details)->quantity ?? old('quantity', 0) }}" required>
                <div class="input-group-prepend">
                    <span class="input-group-text"> <i class="fab fa-quora"></i> </span>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-3">
        <div class="form-group">
            <label class="required"> @lang('dairy.per_water') </label>
            <div class="input-group">
                <input type="text" autocomplete="off" max="100" min="0" step="1" class="form-control use-only-numbers" name="water" id="water" value="{{ optional($row?->details)->water ?? old('water', 0) }}" name="per_water" required>
                <div class="input-group-prepend">
                    <span class="input-group-text"> <i class="fas fa-percent"></i> </span>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-3">
        <div class="form-group">
            <label class="required"> @lang('dairy.per_fats') </label>
            <div class="input-group">
                <input type="text" autocomplete="off" max="4.10" min="0" step="0.01" autocomplete="off" class="form-control use-only-numbers" name="fats" id="fats" value="{{ optional($row?->details)->fats ?? old('fats', 3.7) }}" name="per_fats" required>
                <div class="input-group-prepend">
                    <span class="input-group-text"> <i class="fas fa-percent"></i> </span>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-3">
        <div class="form-group">
            <label class="required"> @lang('dairy.per_protein') </label>
            <div class="input-group">
                <input type="text" autocomplete="off" max="3.50" min="0" step="0.01" class="form-control use-only-numbers" name="protein" id="protein" value="{{ optional($row?->details)->protein ?? old('protein', 3.1) }}" name="per_protein" required>
                <div class="input-group-prepend">
                    <span class="input-group-text"> <i class="fas fa-percent"></i> </span>
                </div>
            </div>
        </div>
    </div>
</div>


<div class="row">
    <div class="col-md-3">
        <div class="form-group">
            <label class="required"> @lang('dairy.net_qty') </label>
            <div class="input-group">
                <input type="text" autocomplete="off" disabled class="form-control" name="net_quantity" id="net_quantity" required>
                <div class="input-group-prepend">
                    <span class="input-group-text"> <i class="fab fa-quora"></i> </span>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-3">
        <div class="form-group">
            <label class="required"> @lang('dairy.water_disc') </label>
            <div class="input-group">
                <input type="text" autocomplete="off" disabled class="form-control" name="water_disc" id="water_disc" value="{{ optional($row->details)->water_disc }}" required>
                <div class="input-group-prepend">
                    <span class="input-group-text"> <i class="fas fa-tint"></i> </span>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-3">
        <div class="form-group">
            <label class="required"> @lang('dairy.fats') </label>
            <div class="input-group">
                <input type="text" autocomplete="off" disabled class="form-control" name="fats_bonus" id="fats_bonus" value="{{ optional($row->details)->fats_bonus }}" required>
                <div class="input-group-prepend">
                    <span class="input-group-text"> <i class="fab fa-facebook-f"></i> </span>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-3">
        <div class="form-group">
            <label class="required"> @lang('dairy.protein') </label>
            <div class="input-group">
                <input type="text" autocomplete="off" disabled class="form-control" name="protein_bonus" id="protein_bonus" value="{{ optional($row->details)->protein_bonus }}" required>
                <div class="input-group-prepend">
                    <span class="input-group-text"> <i class="fab fa-product-hunt"></i> </span>
                </div>
            </div>
        </div>
    </div>
</div>


<div class="row">
    <div class="col-md-3">
        <div class="form-group">
            <label class="required"> @lang('dairy.price') </label>
            <div class="input-group">
                <input type="text" autocomplete="off" disabled class="form-control" name="price" id="price" required>
                <div class="input-group-prepend">
                    <span class="input-group-text"> <i class="fas fa-dollar-sign"></i> </span>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-3">
        <div class="form-group">
            <label class="required"> @lang('dairy.end_price') </label>
            <div class="input-group">
                <input type="text" autocomplete="off" disabled class="form-control" name="end_price" id="end_price" required>
                <div class="input-group-prepend">
                    <span class="input-group-text"> <i class="fas fa-dollar-sign"></i> </span>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-3">
        <div class="form-group">
            <label class="required"> @lang('dairy.trans_cost') </label>
            <div class="input-group">
                <input type="text" autocomplete="off" min="0" step="50" class="form-control use-only-numbers" name="fee" id="trans_cost" value="{{ $row?->fee ?? old('fee', 0) }}" required>
                <div class="input-group-prepend">
                    <span class="input-group-text"> <i class="fas fa-truck"></i> </span>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-3">
        <div class="form-group">
            <label class="required"> @lang('dairy.total') </label>
            <div class="input-group">
                <input type="text" autocomplete="off" disabled class="form-control" name="total" id="total" value="{{ $row?->net_price ?? old('total', 0) }}" required>
                <div class="input-group-prepend">
                    <span class="input-group-text"> <i class="fas fa-dollar-sign"></i> </span>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-3">
        <div class="form-group">
            <label class="required"> @lang('dairy.payment_type') </label>
            <div class="input-group">
                <select class="form-control" name="payment_type" id="payment_type">
                    <option value="0" @if(($row?->payment_type ?? old('payment_type')) == 0) selected @endif>@lang('dairy.payment_type_cash')</option>
                    <option value="1" @if(($row?->payment_type ?? old('payment_type')) == 1) selected @endif>@lang('dairy.payment_type_installments')</option>
                </select>
                <div class="input-group-prepend">
                    <span class="input-group-text"> <i class="fas fa-dollar-sign"></i> </span>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-3">
        <div class="form-group">
            <label class="required"> @lang('dairy.payment') </label>
            <div class="input-group">
                <input type="text" autocomplete="off" min="0" step="1000" autocomplete="off" class="form-control use-only-numbers" name="payment" id="payment" value="{{ $row?->payment ?? old('payment', 0) }}">
                <div class="input-group-prepend">
                    <span class="input-group-text"> <i class="fas fa-dollar-sign"></i> </span>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-3">
        <div class="form-group">
            <label> @lang('dairy.rest') </label>
            <div class="input-group">
                <input type="text" class="form-control" id="rest" readonly disabled>
                <div class="input-group-prepend">
                    <span class="input-group-text"> <i class="fas fa-dollar-sign"></i> </span>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-12">
        <div class="form-group">
            <label> @lang('dairy.notes') </label>
            <div class="input-group">
                <textarea class="form-control" name="notes" id="notes">{{ $row?->notes ?? old('notes', "") }}</textarea>
            </div>
        </div>
    </div>
</div>
