<script>
    $(function() {
        let end_price = 0;
        let priceDecimals = {{get_session_val('decimal_num_price', 'integer')}};

        $('body').on('change keyup keydown', '#trans_cost, #water, #fats, #protein, #quantity', function() {
            let val = Number( $(this).val() );
            if (val < 0) val = 0;
            $(this).val( val );
            init();
        });

        $('body').on('change keyup', '#client_id', function() {
            init();
        });

        function init()
        {
            let price = $('#client_id').find('option:selected').data('price');
            $('#price').val( Number( price ) || 0 ).change();
            calculateWater();
            calculatNetQuantity();
            calculateFats();
            calculateProtein();
            calculateEndPriceTotal();
            calculateTotal();
        }

        function calculatNetQuantity() {
            end_price = Number( $('#net_quantity').val() ) * Number( $('#price').val() );
            $('#end_price').val(end_price.toFixed(4));
        }

        function calculateWater()
        {
            let qty        = Number( $('#quantity').val() );
            let water      = Number( $('#water').val() );
            let water_disc = qty * (water / 100);
            let net_qty    = qty - water_disc;
            $('#water_disc').val( water_disc.toFixed(4) );
            $('#net_quantity').val( net_qty.toFixed(4) );
        }

        function calculateFats()
        {
            let bonus_amount = calculateBonus(Number( $('#fats').val() ), 3.80, 4.10, {min: 3.50, max: 3.70}, {main: 0.05, sub: 0.025});
            $('#fats_bonus').val( bonus_amount.toFixed(3) );
        }

        function calculateProtein()
        {
            let bonus_amount = calculateBonus(Number( $('#protein').val() ), 3.20, 3.50, {min: 3.00, max: 3.10}, {main: 0.03, sub: 0.015});
            $('#protein_bonus').val( bonus_amount.toFixed(3) );
        }

        function calculateBonus(percentage, start, end, zeroRange, bonus_values)
        {
            if (percentage > end) percentage = end;
            percentage = percentage.toFixed(2);
            let bonus = result = 0;
            let operation = null;
            let number = String(percentage).slice(-1);
            percentage -= number * .01;
            percentage = percentage.toFixed(1);

            if ( percentage >= zeroRange.min && percentage < start ) {
                bonus = 0;
            } else if ( percentage >= start ) {
                result = ((percentage - zeroRange.max) * 10);
                operation = '+';
            } else if (percentage < zeroRange.min && percentage >= 0) {
                result = (percentage - zeroRange.min) * 10;
                operation = '-';
            }

            bonus = result * bonus_values.main;
            bonus = calculateSubBonus(bonus, number, bonus_values, operation);
            return bonus.toFixed(3) * end_price;
        }

        function calculateSubBonus(bonus, last_number, bonus_values, operation)
        {
            if (operation == null) return 0;
            let add = 0;
            if (last_number > 0 && last_number <= 5) {
                add = bonus_values.sub;
            } else if (last_number > 5 && last_number <= 9) {
                add = bonus_values.main;
            }

            return operation == '+' ? (bonus + add) : (bonus - add);
        }

        function calculateEndPriceTotal()
        {
            let fats_bonus    = Number( $('#fats_bonus').val() );
            let protein_bonus = Number( $('#protein_bonus').val() );
            let total         = end_price + fats_bonus + protein_bonus;

            $('#end_price').val( total.toFixed( priceDecimals ) );
        }

        function calculateTotal()
        {
            let total = Number( $('#end_price').val() ) + Number( $('#trans_cost').val() );
            let payment = Number( $('body').find('#payment').val() );
            let type    = Number( $('body').find('#payment_type').val() );
            $('#total').val( total.toFixed( priceDecimals ) );

            if ($('body').find('#payment_type').val() == 1) { // أجل
                $('body').find('#rest').val( (total - payment).toFixed( priceDecimals ) );
            } else {
                $('body').find('#payment').val( total.toFixed( priceDecimals ) );
            }
        }

        $('body').on('click', '#btn-submit-form', function(e) {
            e.preventDefault();
            $('#client_id').change();
            $(this).prop('disabled', true);
            $(this).closest('form').submit();
        });

        $('body').on('change', '#payment_type', function() {
            let payment_type = Number( $(this).val() );
            let payment_ele  = $('body').find('#payment');
            let rest_ele     = $('body').find('#rest');
            let total_price  = $('body').find('#total').val();

            if (payment_type == 1) { // أجل
                let payment = payment_ele.val();
                if (payment >= total_price) payment = 0;
                payment_ele.val(payment);
                rest_ele.val( total_price - payment );
            } else { // نقدي
                payment_ele.val(total_price);
                rest_ele.val(0);
            }
        });

        $('body').on('change keyup keydown', '#payment', function() {
            let payment      = Number( $(this).val() );
            let payment_type = $('body').find('#payment_type');
            let rest_ele     = $('body').find('#rest');
            let total_price  = $('body').find('#total').val();
            let rest = 0;

            if (payment >= total_price) {
                payment = total_price;
                payment_type.val(0);
            } else if (payment < 0) {
                payment = 0;
                rest    = total_price;
                payment_type.val(1);
            } else {
                rest = total_price - payment;
                payment_type.val(1);
            }

            rest_ele.val( (total_price - payment).toFixed(priceDecimals) );
            $(this).val(payment);
        });

        function calculatePayment()
        {
            let payment = Number ( $('body').find('#payment').val() );
            let total   = Number ( $('body').find('#total').val() );
            let type    = $('body').find("#payment_type").val();


            if (type == 1) { //أجل
                if (payment >= total) {
                    payment = total;
                    $('body').find("#payment_type").val(0);
                } else {
                    if (payment < 0) payment = 0;
                    $('body').find("#payment_type").val(1);
                }
            } else {
                if (payment >= total) {
                    payment = total;
                    $('body').find("#payment_type").val(0);
                } else {
                    if (payment < 0) payment = 0;
                    $('body').find("#payment_type").val(1);
                }
            }

            let rest = total - payment;
            $('body').find('#rest').val( rest );
            $('body').find('#payment').val( payment );
        }

        function calculateRest()
        {
            let type    = Boolean( Number( $('body').find('#payment_type').val() ) );
            let total   = Number( $('#total').val() );
            let payment = Number( $('#payment').val() );
            let rest    = 0;

            if (type) { // أجل
                if (payment == total) {
                    payment = rest;
                    rest    = total;
                } else {
                    payment = payment;
                    rest    = total - payment;
                }
            } else { // نقدي
                payment = total;
                rest    = 0;
            }

            $('body').find('#payment').val( payment );
            $('body').find('#rest').val( rest.toFixed(priceDecimals) );
        }

        $('body').find('#fats, #protein, #quantity, #payment_type').trigger('change');
    });
</script>
