@forelse ($rows as $row)
    <tr>
        @php $net_quantity = $row->details?->quantity - $row->details?->water_discount; @endphp
        <td> {{ $loop->iteration }} </td>
        <td> {{ $row->store?->store_name }} </td>
        <td> {{ $row->receipt_no }} </td>
        <td> {{ $row->invoice_date }} </td>
        <td> {{ $row->client->client_name }} </td>

        <td> {{ round_quantity($row->details?->quantity) }} </td>
        <td> {{ $row->details?->water }}% </td>
        <td> {{ round_quantity($row->details?->water_discount ?? 0) }} </td>
        <td> {{ round_quantity($net_quantity) }} </td>

        <td> {{ $row->details?->fats }} %</td>
        <td> {{ round_quantity($row->details?->fats_bonus ?? 0) }}</td>

        <td> {{ $row->details?->protein }} %</td>
        <td> {{ round_quantity($row->details?->protein_bonus ?? 0) }}</td>

        <td> {{ round_money($row->details?->sale_price) }} </td>
        <td> {{ round_money($row->total) }} </td>

        <td> {{ round_money($row->fee) }} </td>
            <td> {{ round_money($row->net_price) }}</td>
        @if (request()->is('*/requests'))
            <td>
                @if (! $row->is_confirmed)
                    <button type="button" data-href="{{ route('dairy.requests.edit', $row) }}" class="btn btn-primary btn-sm make-request-edit">
                        <i class="fa fa-edit"></i>
                    </button>
                @endif
            </td>
            <td>
                @if (! $row->is_confirmed)
                    <button type="button" data-href="{{ route('dairy.requests.confirm', $row) }}" class="btn btn-success btn-sm make-request-edit"> <i class="fas fa-thumbs-up"></i> </button>
                @endif
            </td>
        @else
            <td>
                <a href="{{ route('invoices.print', $row->id) }}" class="btn btn-primary btn-sm" target="_blank"> <i class="fas fa-print"></i> </a>
            </td>
            <td>
                <a href="{{ route('invoices.show', $row->id) }}" class="btn btn-primary btn-sm" target="_blank"> <i class="fas fa-eye"></i> </a>
            </td>
        @endif
    </tr>
@empty
    <tr>
        <td colspan="20" class="alert alert-warning text-center">  <b> @lang('native.there_are_no_data') </b>  </td>
    </tr>
@endforelse

@if ($rows->count())
    <tr>
        <td colspan="20" class="text-center">
            {{ $rows->links() }}
        </td>
    </tr>
@endif
