<div class="row">
    <div class="col-md-4">
        <div class="form-group">
            @if(request()->route()->named('*sales*'))
                <label class="required"> اختر الشركة </label>
            @else
                <label class="required"> اختر المزرعة </label>
            @endif

            <select name="client_id" id="client_id" class="form-control selectpicker" data-live-search="true" title="@lang('native.no-selected')" required>
                @foreach ($clients as $index => $client)
                    <option value="{{ $client->id }}" data-price="{{ $client->price }}"
                        {{ !get_session_val('select_client', 'integer') && $index == 0 ? 'selected' : '' }}
                        {{ $row->client_id == $client->id || old('client_id') == $client->id ? 'selected' : '' }}>
                        {{ $client->client_name }}
                    </option>
                @endforeach
            </select>
        </div>
    </div>

    <div class="col-md-4">
        <div class="form-group">
            <label class="required"> اختر السيارة </label>

            <select name="store_id" id="store_id" class="form-control selectpicker" data-live-search="true" title="@lang('native.no-selected')" required>
                @foreach ($stores as $id => $store_name)
                    <option value="{{ $id }}" {{ $row->store_id == $id || old('store_id') == $id ? 'selected' : '' }}>
                        {{ $store_name }}
                    </option>
                @endforeach
            </select>
        </div>
    </div>

    <div class="col-md-4">
        <div class="form-group">
            <label class="required"> اختر الصنف </label>

            <select name="item_id" id="item_id" class="form-control selectpicker" data-live-search="true" title="@lang('native.no-selected')" required>
                @foreach ($items as $id => $item_name)
                    <option value="{{ $id }}" {{ $row->item_id == $id || old('item_id') == $id ? 'selected' : '' }}>
                        {{ $item_name }}
                    </option>
                @endforeach
            </select>
        </div>
    </div>

    <div class="col-md-4">
        <div class="form-group">
            <label class="required"> رقم الإيصال </label>
            <input type="text" name="order_no" value="{{ $row?->order_no ?? old('order_no') }}" class="form-control input-sm input-light">
        </div>
    </div>

    <div class="col-md-4">
        <div class="form-group">
            <label class="required"> تاريخ الفاتورة </label>
            <input type="date" name="date" value="{{ old('date', date('Y-m-d')) }}" class="form-control input-sm input-light date is-datepicker">
        </div>
    </div>
</div>


@include('dairy::includes.inputs')
