@extends('master::layouts.master')

@section('content')

    <h2 class="title text-info mt-2 mb-4"> {{ $title }} </h2>

    @include('dairy::includes.filter')

    @include('dairy::includes.table', ['rows' => $rows])


    <div class="modal fade" id="editRequestModal" tabindex="-1" role="dialog" aria-labelledby="editRequestModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content"></div>
        </div>
    </div>
@endsection

@section('js-scripts')
    @include('dairy::includes.js')

    <script>
        $(function () {
            $('body').on('click', '.make-request-edit', function (e) {
                e.preventDefault();
                let btn = $(this);
                let modelElement = $('#editRequestModal').find('.modal-content');

                $.ajax({
                    url: btn.data('href'),
                    method: 'GET',
                    beforeSend: function (jqHXR) { btn.prop('disabled', true); modelElement.empty().find('.errors').empty();},
                    success: function (response) {
                        if (response.reload) {
                            window.location.reload();
                        } else {
                            $('#editRequestModal').modal('show');
                            modelElement.append(response);
                            $('#fats, #protein, #quantity').change();
                        }
                    },
                    error: function (error) { alert(error.responseJSON.message); btn.prop('disabled', false) },
                    complete: function (jqXHR, textStatus) { btn.prop('disabled', false) }
                });
            });

            $('body').on('submit', '#request-submit-form', function (e) {
                e.preventDefault();
                let form = $(this);
                $.ajax({
                    url: form.attr('action'),
                    type: form.attr('method'),
                    data: form.serialize(),
                    beforeSend: function (jqHXR) { form.find('.errors').empty(); form.find('button').prop('disabled', true);},
                    success: function (data) {
                        window.location.reload();
                    },
                    error: function (jqXHR) {
                        form.find('button').prop('disabled', false);
                        if (jqXHR.status == 500) {
                            alert(jqXHR.responseJSON.message);
                        } else if (jqXHR.status == 422) {
                            $.each(jqXHR.responseJSON.errors, function (key, val) {
                                val = Array.isArray(val) ? val[0] : val;
                                form.find(`#${key.replaceAll('.', '-')}_error`).append(val);
                            });
                        }
                    },
                    complete: function (jqHXR) { form.find('.errors').empty(); },
                })
            });
        })
    </script>
@endsection
