<?php

use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'dairy', 'as' => 'dairy.'], function () {
    Route::resource('requests', 'RequestController');
    Route::get('requests/{request}/confirm', 'RequestController@confirm')->name('requests.confirm');


    Route::prefix('purchases/invoices')->as('purchases.invoices.')->controller('PurchasesInvoiceController')->group(function() {
        Route::get('/', 'index')->name('index');
        Route::get('create', 'create')->name('create');
        Route::post('/', 'store')->name('store');
    });

    Route::prefix('sales/invoices')->as('sales.invoices.')->controller('SalesInvoiceController')->group(function() {
        Route::get('/', 'index')->name('index');
        Route::get('create', 'create')->name('create');
        Route::post('/', 'store')->name('store');
    });

    Route::prefix('reports')->as('reports.')->controller('ReportController')->group(function() {
        Route::match(['get', 'post'], 'client/balance', 'clientBalance')->name('client.balance');
        Route::match(['get', 'post'], 'supply/operations', 'supplyOperations')->name('supply.operations');
    });
});
