<?php

namespace Modules\Debentures\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class Client extends Model
{
    use RoundingAttributesTrait;
    protected $fillable = [];
    protected $table = 'clients';

    public function scopeClientGroup($query)
    {
        $ids = auth()->user()->groups()->select('clients_groups.id')->pluck('id')->toArray();
        return $query->when( count($ids), function ($query) use($ids) {
            $query->whereIn('clients.group_id', $ids);
        });
    }

//    public function client_transaction(){
//
//        return $this->hasMany(Cli::class ,'client_id','id');
//    }
}
