<?php

namespace Modules\Debentures\Http\Controllers;

use App\User;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use App\Http\Controllers\Controller;use Illuminate\Support\Facades\Auth;
use Modules\Debentures\Entities\Client;
use Modules\Debentures\Entities\ClientTransaction;
use Modules\Debentures\Entities\SalePoint;

class CollectPermissionController extends Controller
{
    public function AddCollectPermission(Request $request)
    {
        $point = Auth::user()->sale_point;
        if (Auth::user()->point_change == 0) {
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('id', $point)
                ->get();
        } else {
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))->get();
        }
        $clients = Client::where('shop_id', get_session_val('serial_id', 'integer'))->get();
//        dd($clients);

        /*
                $payments = ClientTransaction::where('shop_id', get_session_val('serial_id', 'integer'))->where('type', 2);

                if ($request->has('date_day') && $request->date_day != null && $request->date_day != "") {
                    $payments = $payments->where('pay_day', $request->date_day);
                } else {
                    $payments = $payments->where('date_time', date('Y-m-d'));
                }
                $payments = $payments->get();*/
        return view('debentures::add-collect-permission', compact('clients', 'sale_points'));

    }

    public function CollectPermissionStore(Request $request)
    {
//        dd($request->all());

        $tr = \DB::transaction(function () use($request) {

            $transaction = new ClientTransaction();
            $transaction->date_time = Carbon::now();
            $transaction->client_id = $request->client;
            $transaction->amount = $request->payment;
            $transaction->type = 2;
            $transaction->effect = 1;
            // $transaction->pay_day = $request->date_day;  // will be in insurance process
//                $transaction->balance = $old_balance - $request->payment; // will be in insurance process
            $transaction->notes = $request->notes;
//        $transaction->safe_type = $request->sale_point;
//                $transaction->safe_balance = $money; // will be in insurance process
            $transaction->safe_point_id = $request->sale_point;
            $transaction->user_id = Auth::user()->id;
            $transaction->shop_id = get_session_val('serial_id', 'integer');
            $transaction->insurance_status = 0;
            $transaction->save();

            $ensured = User::where([
                'shop_id' => get_session_val('serial_id', 'integer'),
                'show_clients' => true,
                'accept_debentures' => true
            ])
                ->pluck('id')
                ->toArray();

            $client = Client::select('client_name')->find($request->client);

            foreach ($ensured as $user_id){

                \DB::table('alerts')->insert([
                    'user_id' => $user_id,
                    'shop_id' => get_session_val('serial_id', 'integer'),
                    'para' => 'تم تسجيل اذن تحصيل مبلغ ' . price_decimal($transaction->amount) . ' من العميل ' . $client->client_name,
                    'alert_name' => 'طلب اذن تحصيل',
                    'add_user' => $transaction->user_id
                ]);

            }
            return true;
        });
        if ($tr) {
            return back()->with(['success' => 
            trans('native.correct_save')]);
        } else {
            return back()->with(['error' => 'حدث خطأ اثناء الحفظ']);
        }
    }

    public function CollectPermissions(Request $request)
    {
//        dd('ddd');
        $transactions = ClientTransaction::join('clients', function ($q) {
            $q->on('clients.id', '=', 'client_transaction.client_id');
        })
        ->leftJoin('users', 'client_transaction.insured_user', '=', 'users.id')
            ->join('sale_points', function ($q) {
                $q->on('sale_points.id', '=', 'client_transaction.safe_point_id');
            })
            ->where('client_transaction.shop_id', get_session_val('serial_id', 'integer'));
        if ($request->has('start_date') && $request->start_date != null && $request->start_date != "") {
            $transactions = $transactions->whereDate('date_time', '>=', $request->start_date);
        }
        if ($request->has('end_date') && $request->end_date != null && $request->end_date != "") {
            $transactions = $transactions->whereDate('date_time', '<=', $request->end_date);
        }

        if ($request->has('insurance_status')) {
            if ($request->insurance_status == 1) {
                $transactions = $transactions->where('insurance_status', 0);
            } elseif ($request->insurance_status == 2) {
                $transactions = $transactions->where('insurance_status', 1);
            } else {
                $transactions = $transactions->where('insurance_status', '!=', null);
            }
        } else {

            $transactions = $transactions->where('insurance_status', '!=', null);
        }
        $transactions = $transactions
            ->selectRaw('sale_points.point_name, client_transaction.id, clients.client_name,
             amount, date_time, insurance_status, pay_day, insured_user, users.user_name')
            ->orderBy('date_time', 'DESC')
            ->get();

//        dd($transactions);
        return view('debentures::collect-permissions', compact('transactions'));
    }

    public function CollectPermissionInsure($id)
    {
        $transaction = ClientTransaction::findOrFail($id);
//     dd($transaction);
        if ($transaction) {

//            dd(12);

            $x = \DB::transaction(function () use ($transaction) {
                $client = Client::find($transaction->client_id);
//                dd($client);
                $old_balance = $client->balance;
                $client->balance = $client->balance - $transaction->amount;
                $client->save();

                $sale_point = SalePoint::find($transaction->safe_point_id);
//                dd($sale_point);
                $sale_point->money_point = $sale_point->money_point + $transaction->amount;
                // $money = $sale_point->money_point + $transaction->amount;
                $money = $sale_point->money_point;
                $sale_point->save();
//                dd($sale_point);
                $transaction->pay_day = Carbon::now();
                $transaction->balance = $old_balance - $transaction->amount;
                $transaction->safe_balance = $money;
                $transaction->insured_user = Auth::user()->id;
                $transaction->insurance_status = 1;
                $transaction->save();

                \DB::table('alerts')->insert([
                    'user_id' => $transaction->user_id,
                    'shop_id' => get_session_val('serial_id', 'integer'),
                    'para' => 'تم التأكيد علي اذن تحصيل مبلغ ' . price_decimal($transaction->amount) . ' من العميل ' . $client->client_name,
                    'alert_name' => 'اذن تحصيل',
                    'add_user' => $transaction->insured_user
                ]);

                return true;
            });

            if ($x) {
                return back()->with(['success' => 'تم التأكيد بنجاح']);
            } else {
                return back()->with(['error' => 'حدث خطأ اثناء التأكيد']);


            }
        } else {

            return back()->with(['success' => 'حدث خطأ برجاء المحاوله مره اخرى']);
        }
    }

    public function CollectPermissionDelete($id)
    {
        $transaction = ClientTransaction::findOrFail($id);
        $x = $transaction->delete();
        if ($x) {
            return back()->with(['success' => 'تم الحذف بنجاح']);
        } else {
            return back()->with(['error' => 'حدث خطأ اثناء الحذف']);
        }
    }


    public function print(Request $request, $id=null)
    {
        $url = config('main.badr') . '3lamsales/print_doc_3lam.php?id=' . $id;
        return redirect($url);
        
        // https://www.albadrsales.com/online/3lamsales/print_doc_3lam.php?id=1177285
        
        // $item = ClientTransaction::latest('client_transaction.id')
        //     ->join('clients', 'clients.id', 'client_transaction.client_id')
        //     ->join('sale_points', 'client_transaction.safe_point_id', 'sale_points.id')
        //     ->join('users', 'users.id', 'client_transaction.user_id')
        //     ->selectRaw('client_transaction.id,client_transaction.notes, amount, users.user_name, clients.client_name, sale_points.point_name, pay_day')
        //     ->where('client_transaction.type', 2)->where('client_transaction.shop_id', get_session_val('serial_id', 'integer'));
        // if (is_null($id)){
        //     $item = $item->first();
        // }else {
        //     $item = $item->find($id);
        // }
            
        // $number = 1300;
        
        // if ($item){
        //     $others = ClientTransaction::join('clients', 'clients.id', 'client_transaction.client_id')
        //     ->join('sale_points', 'client_transaction.safe_point_id', 'sale_points.id')
        //     ->join('users', 'users.id', 'client_transaction.user_id')
        //     ->selectRaw('client_transaction.id,client_transaction.notes, amount, users.user_name, clients.client_name, sale_points.point_name, pay_day')
        //     ->where('client_transaction.type', 2)->where('client_transaction.shop_id', get_session_val('serial_id', 'integer'))->where('client_transaction.id', '!=', $item->id)
        //     ->count();
        //     $number += $others;
        // }
    
        // $item->number = $this->getNumberAttribute($number);

        // $img = get_session_val('logo_path', 'string');

        // return view('debentures::print', compact('item', 'img'));
    }
    
    public function getNumberAttribute($num)
    {
        return str_pad($num, 7, "0", STR_PAD_LEFT);
    }

    public function printProFormaInvoice()
    {
        return view('debentures::proforma-invoice');
    }
}
