<?php

namespace Modules\Debentures\Http\Controllers;

use App\Models\User;
use Carbon\Carbon;
use Exception;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Validator;
use Modules\ClientInstallments\Entities\Instalment;
use Modules\Debentures\Entities\BillAdd;
use Modules\Debentures\Entities\Client;
use Modules\Debentures\Entities\ClientTransaction;
use Modules\Debentures\Entities\Employee;
use Modules\Debentures\Entities\SalePoint;
use Modules\Debentures\Entities\SaleProcess;
use Modules\Debentures\Entities\Log;
use Modules\Invoices\Entities\Invoices;
use Modules\Invoices\Entities\InvoiceSettings;
use Modules\Invoices\Http\Controllers\ShareInvoiceController;
use App\Models\systemLog;
class DebenturesController extends Controller
{
    public function PaymentReceipt(Request $request)
    {
        // dd($request->all());
        $point = Auth::user()->sale_point;
        if (Auth::user()->show_points == 1 ||Auth::user()->show_points == 2) {
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('id', $point)
                ->get();
        }elseif (Auth::user()->show_points == 3) {
            $store_id = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('id', $point)
                ->first()->store_id;
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))
            ->where('store_id', $store_id)
          ->get();

        } else {
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))->get();
        }


        // ***********************************************************************************
        //يتاح للمستخدم العملاء الموجودين في المجموعه الخاصه بيه فقط
        $clients = clientGroups()->get();
        // ***************************************************************************************
        $payments = [];


        $payments = ClientTransaction::leftJoin('clients', 'clients.id', 'client_transaction.client_id')
            ->where('client_transaction.shop_id', get_session_val('serial_id', 'integer'))->where('type', 9)
            ->select('client_transaction.*', 'clients.client_name', 'clients.mobile1');

        if ($request->has('date_day') && $request->date_day != null && $request->date_day != "") {
            $payments = $payments->where('pay_day', $request->date_day);
        } else {
            $payments = $payments->where('pay_day', date('Y-m-d'));
        }
        $payments = $payments->get();
        $invoice = Invoices::where('shop_id', get_session_val('serial_id', 'integer'))->whereIn('invoice_type', [0, 2])->find($request->bill) ?? new Invoices();
        return view('debentures::payment-receipt', compact('clients', 'sale_points', 'payments', 'invoice'));
    }

    //     public function PaymentReceiptStore(Request $request)
    //     {
    //         if ($request->all() != []) {
    //             $x = \DB::transaction(function () use ($request) {
    //                 $client = Client::findOrFail($request->client);
    //                 $old_balance = $client->balance;
    //                 $client->balance = $client->balance + $request->payment;
    //                 $client->save();
    //                 $sale_point = SalePoint::findOrFail($request->sale_point);
    //                 $sale_point->money_point = $sale_point->money_point - $request->payment;
    //                 $sale_point->save();
    //                 $money = $sale_point->money_point;
    // //                dd($sale_point);
    //                 $transaction = new ClientTransaction();
    //                 $transaction->date_time = Carbon::now();
    //                 $transaction->client_id = $request->client;
    //                 $transaction->amount = $request->payment;
    //                 $transaction->type = 9;
    //                 $transaction->effect = 0;
    //                 $transaction->pay_day = $request->date_day;
    //                 $transaction->balance = $old_balance + $request->payment;
    //                 $transaction->notes = $request->notes;
    //                 $transaction->safe_type = $request->sale_point;
    //                 $transaction->safe_balance = $money;
    //                 $transaction->safe_point_id = $request->sale_point;
    //                 $transaction->user_id = Auth::user()->id;
    //                 $transaction->shop_id = get_session_val('serial_id' ,'integer');
    //                 $transaction->save();

    //                 return true;
    //             });
    //             if ($x) {
    //                 return back()->with(['success' => 'تم الحفظ بنجاح']);
    //             } else {
    //                 return back()->with(['error' => 'حدث خطأ اثناء الحفظ']);


    //             }

    //         }

    //     }
    public  function createLog($date, $event)
    {
        $log = new systemLog();
        $log->user_id = auth()->id();
        $log->shop_id = get_session_val('serial_id', 'integer');
        $log->date_event = $date;
        $log->event = $event;
        $log->save();
    }

    public function PaymentReceiptStore(Request $request)
    {
        if ($request->all() == [])
            return back()->with(['error' => 'حدث خطأ اثناء الحفظ']);

        try {
            $client = Client::findOrFail($request->client);
            $sale_point = SalePoint::findOrFail($request->sale_point);
            if ($sale_point->money_point - $request->payment < 0 && get_session_val('sale_details_safe', 'integer') == 0) {
                return back()->with(['error' => trans('native.Vault_balance_not_allowed')]);
            }

            $date_time = $request->date_time ?? now();
            DB::beginTransaction();
                if ($request->bill_id) {
                    $bill = Invoices::where([
                        'shop_id' => \auth()->user()->shop_id,
                        'bill_no' => $request->bill_no,
                        'client_id' => $client->id
                    ])->find($request->bill_id);

                    if ($bill) {
                        $bill->payment += $request->payment;
                        $bill->rest -= $request->payment;
                        $bill->save();
                    }
                }

                $client->balance = $client->balance + $request->payment;
                $sale_point->money_point = $sale_point->money_point - $request->payment;

                $client->save();
                $sale_point->save();
                $money = $sale_point->money_point;
                $this->createLog(Carbon::now(),"dhwqugd");

                $transaction = ClientTransaction::create([
                    'date_time'     => $date_time,
                    'client_id'     => $request->client,
                    'amount'        => $request->payment,
                    'type'          => 9,
                    'effect'        => 0,
                    'pay_day'       => empty($request->date_day) ? today() : $request->date_day,
                    'balance'       => $client->balance,
                    'notes'         => $request->notes,
                    'safe_type'     => $request->sale_point,
                    'safe_balance'  => $money,
                    'safe_point_id' => $request->sale_point,
                ]);
            DB::commit();

            Log::create(Carbon::now(), 'تعديل  الرصيد علي العميل    ' . $client->client_name  . ' بتسجيل  سند صرف  بقيمة  ' . $request->payment . ' بتاريخ  ' . Carbon::now());
            return redirect()->back()->with(['success' => trans('native.correct_save'), 'printed_url' => route('debentures.print', $transaction->id)]);
        } catch (\Exception $e) {
            DB::rollBack();
            return back()->with(['error' => 'حدث خطأ اثناء الحفظ']);
        }
    }

    public function CashReceipt(Request $request)
    {

        $point = Auth::user()->sale_point;
        $shop = DB::table('badr_shop')->where('serial_id', get_session_val('serial_id', 'integer'))->get();
        //  dd($shop[0]->decimal_num_price);

        if (Auth::user()->show_points == 1 ||Auth::user()->show_points == 2) {
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('id', $point)
                ->get();
        }elseif (Auth::user()->show_points == 3) {
            $store_id = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('id', $point)
                ->first()->store_id;
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))
            ->where('store_id', $store_id)
          ->get();

        } else {
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))->get();
        }

        // ***********************************************************************************
        //يتاح للمستخدم العملاء الموجودين في المجموعه الخاصه بيه فقط
        $clients = clientGroups()->select('clients.*', 'users.name as mandob')
                    ->leftJoin('users', 'users.id', 'clients.collector_id')->get();
        // ***************************************************************************************
        $payments = ClientTransaction::leftJoin('clients', 'clients.id', 'client_transaction.client_id')
            ->where('client_transaction.shop_id', get_session_val('serial_id', 'integer'))->where('type', 2)
            ->select('client_transaction.*', 'clients.client_name', 'clients.mobile1');

        if ($request->has('date_day') && $request->date_day != null && $request->date_day != "") {
            $payments = $payments->where('pay_day', $request->date_day);
        } else {
            $payments = $payments->where('pay_day', date('Y-m-d'));
        }
        $payments = $payments->get();

        $invoice = Invoices::where('shop_id', get_session_val('serial_id', 'integer'))->find($request->bill) ?? new Invoices();
        return view('debentures::cash-receipt', compact('clients', 'sale_points', 'payments', 'shop', 'invoice'));
    }

    public function availableBills(Request $request)
    {
        // return ($request);
        $validator = Validator::make($request->all(), [
            'bill_no' => 'required',
            'bill_date' => 'nullable|date',
            'client_id' => 'required|exists:clients,id'
        ]);
        $error_data = '<ul class="list-unstyled text-center alert alert-danger">';
        if ($validator->fails()) {
            $errors = $validator->errors();
            foreach ($errors->all() as $error) {
                $error_data .= '<li>' . $error . '</li>';
            }
            $error_data .= '</ul>';
            return response()->json([
                'status' => false,
                'body' => $error_data
            ]);
        }
        $checkBill = Invoices::where([
            'shop_id' => \auth()->user()->shop_id,
            'bill_no' => $request->bill_no,
            'client_id' => $request->client_id
        ])->when($request->bill_date, function ($query) use($request) {
            $query->whereDate('invoice_date', $request->bill_date);
        })->select('id', 'net_price', 'payment')->first();
        if ($checkBill) {

            if(is_installed($checkBill)){
                $invoiceType = 'installed';
                $response = '<a target="_blank" href="'
                .route('clientinstalments.index',
                 [
                    'supplier'=>$request->client_id,
                    'bill'  =>$checkBill->id
                 ])
                 . '">فاتوره رقم ' . $request->bill_no . ' صافى الفاتوره ' . price_decimal($checkBill->net_price) . ' المدفوع ' . price_decimal($checkBill->payment) . ' الباقى ' . price_decimal($checkBill->net_price - $checkBill->payment) . ' (فاتورة مقسطه)'. '</a>';
            }else{
                $invoice_type = $checkBill->net_price - $checkBill->payment == 0 ? 'فاتورة نقدي' : 'فاتورة آجلة';
                $response = '<a target="_blank" href="' . route('invoices.show', $checkBill->id) . '">فاتوره رقم ' . $request->bill_no . ' صافى الفاتوره ' . price_decimal($checkBill->net_price) . ' المدفوع ' . price_decimal($checkBill->payment) . ' الباقى ' . price_decimal($checkBill->net_price - $checkBill->payment) . ' ('.$invoice_type.')'. '</a>';
                $invoiceType = 'paid';
            }

            return response()->json([
                'status' => true,
                'body' => $response,
                'bill_id' => $checkBill->id,
                'invoice_type' => $invoiceType,
                'payment' => $checkBill->net_price - $checkBill->payment
            ]);
        }
        $error_data .= '<li>لا يوجد فاتوره للبيانات المدخله</li>';
        $error_data .= '</ul>';
        return response()->json([
            'status' => false,
            'body' => $error_data
        ]);
    }

    public function CashReceiptStore(Request $request)
    {
        if ($request->all() == [])
            return back()->with(['error' => 'حدث خطأ اثناء الحفظ']);

        try{
            $date_time = $request->date_time ?? now();
            DB::beginTransaction();
                $client = Client::findOrFail($request->client) ?? new Client();
                $old_balance = $client->balance;

                $mandob = $client->client_type != false
                            ? Employee::select('id', 'collecting_ratio')->find($client->collector_id)
                            : new Employee();

                $total_payment = $request->payment;
                $discount = $request->discount;

                $payment = $total_payment - $discount;


                $sale_point = SalePoint::findOrFail($request->sale_point);
                $old_balance = $client->balance;

                $client->balance = $client->balance - $request->payment;
                $sale_point->money_point = $sale_point->money_point + $request->payment;

                $client->save();
                $sale_point->save();

                $new_safe_balance = $sale_point->money_point;

                $bill_no = 0;
                if ($request->has('for_bill') && $request->bill_id > 0) {
                    $bill = Invoices::where([
                        'shop_id' => \auth()->user()->shop_id,
                        'bill_no' => $request->bill_no,
                        'client_id' => $client->id
                    ])->when($request->bill_date, fn($query) => $query->whereDate('invoice_date', $request->bill_date))->find($request->bill_id);

                    if ($bill) {
                        $bill_no = $request->bill_id;
                        Log::create($date_time, ':تعديل  الرصيد علي العميل    ' . $client->client_name  . ' من خلال تسجيل ايصال استلام   ' .
                            ' من فرق تعديل الصافي والمدفوع [ ( ' . price_decimal($bill->net_price) . ' - ' . price_decimal($bill->payment) . ' ) => (' . price_decimal($bill->net_price) . ' - ' . price_decimal($bill->payment + $payment)  . ') ]' .
                            ' وتعديل  رصيد الخزنة من فرق المدفوع '  . ' [ ' . price_decimal($bill->payment) . ' => ' . price_decimal($bill->payment + $payment) .
                            ' ] من فاتورة مبيعات '  . $bill->id . '[ ' . $bill->bill_no . ' ] ' .  ' بتاريخ  ' . $date_time . ' ' . date('H:i:s'), $bill->id, 'sales');
                        $bill->payment += $payment;
                        $bill->rest = $bill->net_price - $bill->payment;
                        $bill->fee_status = true;
                        $bill->save();
                    }
                } else {
                    Log::create($date_time, 'تعديل  الرصيد علي العميل    ' . $client->client_name  . ' بتسجيل  ايصال استلام  بقيمة  ' . $total_payment . ' بتاريخ  ' . Carbon::now());
                }

                $transaction = ClientTransaction::create([
                    'collector_id'     => $mandob->id ?? null,
                    'amount_collected' => $payment * (($mandob->collecting_ratio ?? 0) / 100),
                    'date_time'        => $date_time,
                    'client_id'        => $request->client,
                    'amount'           => $payment,
                    'type'             => 2,
                    'effect'           => 1,
                    'bill_id'          => $bill_no,
                    'pay_day'          => empty($request->date_day) ? today() : $request->date_day,
                    'balance'          => $client->balance,
                    'notes'            => $request->notes,
                    'safe_type'        => $request->sale_point,
                    'safe_balance'     => $new_safe_balance,
                    'safe_point_id'    => $request->sale_point,
                ]);

                if ($discount > 0) {
                    $old_balance = $client->balance;
                    $client->balance = $client->balance - $payment;
                    $client->save();

                    $transaction = ClientTransaction::create([
                        'collector_id'  => $mandob->id ?? null,
                        'date_time'     => $date_time,
                        'client_id'     => $request->client,
                        'amount'        => $discount,
                        'type'          => 60,
                        'effect'        => 1,
                        'bill_id'       => $bill_no,
                        'pay_day'       => empty($request->date_day) ? today() : $request->date_day,
                        'balance'       => $old_balance - $discount,
                        'notes'         => $request->notes,
                        'safe_type'     => null,
                        'safe_balance'  => null,
                        'safe_point_id' => null,
                    ]);
                }
            DB::commit();

            $row = ClientTransaction::select('id', 'pay_day', 'bill_id', 'type', 'user_id', 'client_id', 'safe_type', 'shop_id', 'collector_id', 'amount', 'notes', 'pay_day', 'date_time as date')
                                            ->when(auth()->check(), fn($query) => $query->where('shop_id', auth()->user()->shop_id))->find($transaction->id);
            ShareInvoiceController::mail(\Illuminate\Support\Facades\Crypt::encrypt(null), $row);
            $response = ShareInvoiceController::whatsApp($request->client, route('show.debenture', encrypt($transaction->id)));
            return back()->with(['success' => trans('native.correct_save'), 'printed_url' => route('debentures.print', $transaction->id), 'whatsapp_redirect' => ($response['redirect'] ?? '')]);
        } catch(\Exception $e) {
            DB::rollBack();
            return back()->with(['error' => 'حدث خطأ اثناء الحفظ']);
        }
    }

    public function receiptPayment(Request $request)
    {
        // dd(33333333, $request->all());
        $x = \DB::transaction(function () use ($request) {
            $client = Client::findOrFail($request->client);
            $old_balance = $client->balance;
            $client->balance = $client->balance - $request->payment;
            $client->save();

            $bill = SaleProcess::where([
                'shop_id' => \auth()->user()->shop_id,
                'bill_no' => $request->bill_no,
                'pay_stat' => 0,
                'client_id' => $client->id,
                'sale_date' => $request->bill_date
            ])->first();

            $bill_no = $request->bill_no;
            Log::create(Carbon::now(), 'تعديل  الرصيد علي العميل    ' . $client->client_name  .  ' من خلال تسجيل ايصال استلام   ' .
                ' من فرق تعديل الصافي والمدفوع [ ( ' . price_decimal($bill->net_price) . ' - ' . price_decimal($bill->payment) . ' ) => (' . price_decimal($bill->net_price) . ' - ' . price_decimal($bill->payment + $request->payment)  . ') ]' .
                ' وتعديل  رصيد الخزنة من فرق المدفوع '  . ' [ ' . price_decimal($bill->payment) . ' => ' . price_decimal($bill->payment + $request->payment) .
                ' ] من فاتورة مبيعات '  . $bill->id . '[ ' . $bill->bill_no . ' ] ' .  ' بتاريخ  ' . Carbon::now() . ' ' . date('H:i:s'), $bill->id, 'sales');
            $bill->payment += $request->payment;
            $bill->bil_payment += $request->payment;
            $bill->save();
            if ($bill->payment >= $bill->net_price) {
                $bill->pay_stat = 1;
                $bill->save();
            }

            $sale_point = SalePoint::findOrFail($request->sale_point);
            $sale_point->money_point = $sale_point->money_point + $request->payment;
            $money = $sale_point->money_point - $request->payment;
            $sale_point->save();
            //                dd($sale_point);
            $transaction = new ClientTransaction();
            $transaction->date_time = Carbon::now();
            $transaction->client_id = $request->client;
            $transaction->amount = $request->payment;
            $transaction->type = 2;
            $transaction->effect = 1;
            $transaction->bill_id = $bill->id;
            $transaction->pay_day = empty($request->date_day) ? today() : $request->date_day;
            $transaction->balance = $old_balance - $request->payment;
            $transaction->notes = 'ايصال استلام خاص بفاتوره رقم ' . $bill_no;
            $transaction->safe_type = $request->sale_point;
            $transaction->safe_balance = $money;
            $transaction->safe_point_id = $request->sale_point;
            $transaction->user_id = Auth::user()->id;
            $transaction->shop_id = get_session_val('serial_id', 'integer');
            $transaction->save();

            return true;
        });
        if ($x) {
            return back()->with(['success' =>
            trans('native.correct_save')]);
        } else {
            return back()->with(['error' => 'حدث خطأ اثناء الحفظ']);
        }
    }

    public function printReceipt($id)
    {
        $transaction = ClientTransaction::select('client_id', 'type', 'amount', 'pay_day', 'balance', 'supplier_id', 'notes', 'safe_type', 'safe_point_id')
            ->with('client', 'supplier', 'point')->findOrFail($id);
        $logo = get_session_val('logo_path', 'string');
        $bill_header = DB::table('bill_setting')->where('shop_id', auth()->user()->shop_id)->first()->bill_header;
        return view('debentures::print_receipt2', compact('transaction', 'logo', 'bill_header'));

        // $ids = [];
        // if (strpos($id, ',') === false) {
        //     $ids[] = $id;
        // } else {
        //     $explode = explode(',', $id);
        //     foreach ($explode as $exp) {
        //         $ids[] = $exp;
        //     }
        // }
        // $transactions = ClientTransaction::select('notes', 'amount', 'pay_day', 'client_id', 'safe_point_id')
        //     ->where([
        //         'shop_id' => \auth()->user()->shop_id,
        //         'type' => 2
        //     ])->whereIn('id', $ids)->with('client')->get();
        // $point_name = SalePoint::select()->where([
        //         'shop_id' => \auth()->user()->shop_id,
        //         'id' => $transactions[0]['safe_point_id'] ?? 0
        //     ])->first()->point_name ?? '';
        // $pay_date = $transactions[0]['pay_day'] ?? '';
        // return view('debentures::print_receipt', compact('transactions', 'point_name', 'pay_date'));
    }

    public function print($id)
    {
        try {
            return (new \Modules\Debentures\Http\Controllers\DebentureReportController())->print($id);
        } catch(\Exception $e) {
            $transaction = ClientTransaction::leftJoin('clients', 'clients.id', 'client_transaction.client_id')
                ->leftJoin('users', 'users.id', 'client_transaction.user_id')
                ->where([
                    ['client_transaction.shop_id', get_session_val('serial_id', 'Integer')],
                    ['client_transaction.id', $id]
                ])->select([
                    'client_transaction.*', 'clients.client_name', 'users.user_name', 'users.sale_point as user_safe_point', 'clients.client_role'
                ])->With('collector')->first();

            $invoice_settings = InvoiceSettings::select('message_bill', 'bill_header', 'vat_number', 'font_size')->where('shop_id', $transaction->shop_id)->first();
            return view('debentures::print.receipt', compact('id', 'invoice_settings', 'transaction'));
        }
    }

    public function sendWhatsAppMessage($debenture, $client)
    {
        try {
            $response = ShareInvoiceController::whatsApp($client, route('show.debenture', encrypt($debenture)), false);
            return response()->json($response, 200);
        } catch (Exception $e) {
            return response()->json(['status' => false], 500);
        }
    }

    // private function is_installment($invoice)
    // {
    //     return Instalment::where(['shop_id'=> get_session_val('serial_id', 'integer'),'bill_id'=>"$invoice->id"])->exists();
    // }
}
