@extends('master::layouts.master')

@section('content')
    <div class="container">
        <div class="row">

            @include('master::layouts.messages')

                    <div class="col-md-8 width60">
                        <h2 class="title-page">
                            تسجيل إذن تحصيل
                        </h2>
                    </div>
                    <div class="col-md-4 width40">
                        {{--<img id="logo" style="display: none;" src="{{ config('main.badr').$img }}" height="60">--}}
                    </div>
                </div>

                <div class="clearfix"></div>
            </div>

            <div class="col-md-10 col-md-offset-1 noprint">
                <br>
                <form id="myForm" action="{{route('debentures.collect-permission-store')}}" method="get"
                      enctype="multipart/form-data" class="form-horizontal">
                    <div class="row">
                        <div class="col-md-12">

                            <div class="col-md-6 form-group">
                                <label class="control-label col-md-3" for="status"> استلم من: </label>
                                <div class="col-md-9">
                                    <select title="اختر من العملاء" class="form-control picker" id="client"
                                            name="client"
                                            data-live-search="true" required>
                                        @foreach($clients as $client)
                                            <option value="{{ $client->id }}" data-balance={{$client->balance}}
                                            @if (in_array($client->id, request('client') ?? [])) selected @endif>{{ $client->client_name ?? '' }}  </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3 form-group">
                                <label class="control-label col-md-8" for="status"> الرصيد الحالى: </label>
                                <label class="col-md-4 control-label"> <span id="client_balance"
                                                                             style="color:blue;font-weight: bolder;">00.00</span></label>
                            </div>

                        </div>
                        <div class="col-md-12">
                            <div class="col-md-6 form-group">
                                <label class="control-label col-md-3" for="status"> المبلغ : </label>
                                <div class="col-md-9">
                                    <input type="text" class="form-control" name="payment" id="payment" required/>
                                </div>
                            </div>
                            <div class="col-md-6 form-group">
                                <label class="control-label col-md-3" for="sale_point"> الخزينه :</label>
                                <div class="col-md-9">

                                    <select title="اختر الخزينة" class="form-control picker" id="sale_point"
                                            name="sale_point" required>
                                        @foreach($sale_points as $sale_point)
                                            <option value="{{ $sale_point->id }}"
                                                    data-balance="{{$sale_point->money_point}}">{{ $sale_point->point_name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>
<div class="col-md-12">
                            <div class="col-md-9 form-group">
                                <label class="control-label col-md-2" for="status"> بيان : </label>
                                <div class="col-md-10">
                                    <textarea rows="3" type="text" class="form-control" name="notes" id="notes"></textarea>
                                </div>
                            </div>

                        </div>

                        <div class="col-md-10 form-group">
                            <button class="btn btn-primary pull-left">حفظ</button>
                        </div>



                    </div>


                </form>
            </div>
        </div>
        <hr>

    </div>

@stop


@section('js-scripts')

    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/redirect.js') }}"></script>
    <script>
        $('.picker').selectpicker({
            size: 8,
            style: 'default'
        });
    </script>
    <script>
        $(function () {
                if ('{{ get_session_val('date_type', 'Integer') }}' ==  '2') {
                    $(".date").calendarsPicker({
                        calendar: $.calendars.instance('gregorian'),
                        dateFormat: 'Y-mm-dd',
                        // defaultDate: "0",
                        // selectDefaultDate: true

                    });
                    $(".now").calendarsPicker({
                        calendar: $.calendars.instance('gregorian'),
                        dateFormat: 'Y-mm-dd',
                        defaultDate: "0",
                        selectDefaultDate: true

                    });
                } else {
                    $(".date").calendarsPicker({
                        calendar: $.calendars.instance('ummalqura'),
                        dateFormat: 'Y-mm-dd',
                        defaultDate: "0",
                        // selectDefaultDate: true
                    });
                    $(".now").calendarsPicker({
                        calendar: $.calendars.instance('ummalqura'),
                        dateFormat: 'Y-mm-dd',
                        defaultDate: "0",
                        selectDefaultDate: true
                    });
                }
            }
        );
    </script>

    <script type="text/javascript">
        $('.btn-print').click(function (e) {
            e.preventDefault();
            window.print();
        });


        $(document).on('change', '#client', function () {
            calcbalance();
        });

        function calcbalance() {


            //client
            if ($("#client option:selected").val() > 0) {

                var net_balance = 0
                var client_balance = $("#client option:selected").data('balance');
                var payment = $("#payment").val();
                net_balance = Number(client_balance) + Number(payment);
// alert(net_balance);

                $("#client_balance").html(client_balance);
                $("#new_balance").html(net_balance);
            } else {
                alertify.alert("اختر عميل");
            }

        };


        $("#payment").keyup(function () {
            // alert('ddd');
            calcbalance();
        });


    </script>

@stop
@section('css-scripts')
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

    <style>
        @media print {
            .noprint {
                display: none;
            }

            #logo {
                display: block !important;

            }

            .width40 {
                width: 40% !important;
                float: left;
                margin-top: -3em !important;
                margin-bottom: 1em !important;
            }

            .width60 {
                width: 60% !important;
            }

        }
    </style>
    <style>
        .loader {
            border: 16px solid #f3f3f3;
            border-radius: 50%;
            border-top: 16px solid #3498db;
            width: 30px;
            height: 30px;
            -webkit-animation: spin 2s linear infinite; /* Safari */
            animation: spin 2s linear infinite;
        }

        /* Safari */
        @-webkit-keyframes spin {
            0% {
                -webkit-transform: rotate(0deg);
            }
            100% {
                -webkit-transform: rotate(360deg);
            }
        }

        @keyframes spin {
            0% {
                transform: rotate(0deg);
            }
            100% {
                transform: rotate(360deg);
            }
        }

        /* The Modal (background) */
        .modal {
            /*display: none; !* Hidden by default *!*/
            position: fixed; /* Stay in place */
            z-index: 999999; /* Sit on top */
            padding-top: 100px; /* Location of the box */
            left: 0;
            top: 0;
            width: 100%; /* Full width */
            height: 100%; /* Full height */
            overflow: auto; /* Enable scroll if needed */
            background-color: rgb(0, 0, 0); /* Fallback color */
            background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
        }

        /* Modal Content */
        .modal-content {
            background-color: #fefefe;
            margin: auto;
            padding: 20px;
            border: 1px solid #888;
            width: 80%;
        }

        /* The Close Button */
        .close_modal {
            color: #aaaaaa;
            float: right;
            font-size: 28px;
            font-weight: bold;
        }

        .close_modal:hover,
        .close_modal:focus {
            color: #000;
            text-decoration: none;
            cursor: pointer;
        }
    </style>

@stop
