@extends('master::layouts.master')

@section('content')
<div class="card card-light mb-1_5 pt-1_5 p-4">


    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-12 width60  mt-2">
                        <h2 class="title-page text-info">
                            @lang('receipt.cash-title')

                            <span class="alert alert-success mx-2 pull-left float-left col-md-4">   @lang('receipt.positive')  </span>
                            <span class="alert alert-danger mx-2 pull-left float-left col-md-4">    @lang('receipt.negative')  </span>
                        </h2>
                    </div>
                    <div class="col-md-4 width40">
                        {{--<img id="logo" style="display: none;" src="{{ config('main.badr').$img }}" height="60">--}}
                    </div>
                </div>

                <div class="clearfix"></div>
            </div>

            <div class="col-md-12  noprint">
                <br>
                <form id="myForm" class="custome-form" action="{{route('debentures.cash-receipt-store')}}" method="post"
                      enctype="multipart/form-data" class="form-horizontal">
                      <input type="hidden" name="date_time" value="{{ now() }}">
                    {{ csrf_field() }}
                        <div class="row">
                            <div class="errors hidden w-100"></div>
                        </div>
                        <div class="row">
                            <div class="col-md-6 row form-group">
                                <label class="control-label col-md-4" for="status"> @lang('receipt.receive-from'): </label>

                            <div class="control-label col-md-8" style="display: none"> <b>@lang('receipt.mandob-name') :</b> <span id="show-mandob"></span> </div>
                                <div class="col-md-9">
                                    <select title="@lang('client.client or supplier')" class="form-control selectpicker input-normal" id="client" name="client"
                                            data-live-search="true" required>
                                            @if ($invoice)
                                                @foreach($clients as $client)
                                                    <option value="{{ $client->id }}" data-balance={{round_money($client->balance)}} data-mandob="{{$client->client_type ? $client->mandob : ''}}"
                                                        @if (in_array($client->id, [request('client'), $invoice->client_id])) selected @endif>
                                                        {{ $client->client_name ?? '' }} {{ $client->code ? " | " . $client->code : '' }}
                                                    </option>
                                                @endforeach
                                            @else
                                                @foreach($clients as $client)
                                                    <option value="{{ $client->id }}" data-balance={{round_money($client->balance)}} data-mandob="{{$client->client_type ? $client->mandob : ''}}"
                                                        @if (in_array($client->id, [request('client'), $invoice->client_id])) selected @endif>
                                                        {{ $client->client_name ?? '' }} {{ $client->code ? " | " . $client->code : '' }}
                                                    </option>
                                                @endforeach
                                            @endif
                                    </select>
                                </div>
                            </div>
                            <div class= "col-md-3 form-group">
                                <input type="text" value="{{$shop[0]->decimal_num_price}}" id="decimal_num_price" hidden>
                                <label class="control-label col-md-8" for="status"> @lang('receipt.current-balance'): </label>
                                <label class="col-12 control-label"> <span id="client_balance" style="color:blue;font-weight: bolder;">{{round_money(0)}}</span></label>
                            </div>

                            <div class="col-md-3 form-groub">
                                <label class="col-md-8 control-label">@lang('receipt.new-balance')</label>
                                <label class="col-12 control-label"> <span id="new_balance" style="color:blue;font-weight: bolder;">{{round_money(0)}}</span></span>
                                </label>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6 form-group" style="margin-top: 10px">
                                <input type="checkbox" class="for_bill" name="for_bill" id="for_bill" {{ $invoice->id ? 'checked' : '' }}>
                                <label class="control-label" for="for_bill"> @lang('receipt.receipt-for-bill-no')</label>
                            </div>
                            <div class="col-md-12 bills_data {{ $invoice->id ? '' : 'hidden' }}">
                                <input name="bill_id" id="bill_id" value="0" type="hidden" value="{{ $invoice->id }}">
                                <div class="row">
                                    <div class="col-md-5 form-group">
                                        <div class="row">
                                            <label class="control-label col-md-3" for="bill_no"> @lang('receipt.bill-no') : </label>
                                            <div class="col-md-9">
                                                <input type="text" class="form-control" name="bill_no" id="bill_no" value="{{ $invoice->bill_no }}">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-5 form-group">
                                        <div class="row">
                                            <label class="control-label col-md-3" for="bill_date"> @lang('receipt.bill-date') : </label>
                                            <div class="col-md-9">
                                                <input type="text" readonly="" class="form-control date" name="bill_date" id="bill_date" value="{{ \Carbon\Carbon::parse($invoice->transaction_date)->format('Y-m-d') }}">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-2 form-group">
                                        <a href="javascript:void(0)" class="btn btn-primary" id="check_for_bills"><i class="fa fa-check-circle"></i>تحقق</a>
                                    </div>
                                    <div class="col-md-12 available_bills hidden">
                                        <div class="col-md-10 form-group">
                                            <label class="col-md-3"> @lang('receipt.bills') : </label>
                                            <div class="col-md-9" id="bill_info"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row" id="paying-section">
                            <div class="col-md-6  row form-group">
                                <label class="control-label col-md-4" for="status"> @lang('receipt.amount') : </label>
                                <div class="col-md-9">
                                    <input type="text" class="form-control input-normal" name="payment" id="payment" min="0" oninput="this.value = Math.abs(this.value) > 0 || Math.abs(this.value) == '.' ? this.value : null" required/>
                                </div>
                            </div>


                            <div class="col-md-6  row form-group">
                                <label class=" control-label col-md-4" for="status"> @lang('receipt.date') : </label>
                                <div class="col-md-9">
                                    @if(authorized('can_edit_debentures_receipt_date'))
                                        <input autocomplete="off" type="text" class="form-control date input-normal" name="date_day" id="date_day" value="{{ request()->get('date_day', date('Y-m-d')) }}">
                                    @else
                                        <span>{{ today()->format('Y-m-d') }}</span>
                                    @endif
                                </div>
                            </div>


                            <div class="col-md-6 row form-group" style="display:none;" id="discount_div" >
                                <label class="control-label col-md-4" for="discount"> @lang('receipt.discount') : </label>
                                <div class="col-md-9">
                                    <input type="text" class="form-control input-normal" name="discount" id="discount" value="0" required/>
                                </div>
                            </div>

                            <div class="col-md-6 row form-group">
                                <label class=" control-label col-md-4" for="status"> @lang('receipt.statement') : </label>
                                <div class="col-md-9">
                                    <input type="text" class="form-control input-normal" name="notes" id="notes" required  placeholder="@lang('receipt.statement')"

                                    />
                                </div>
                            </div>
                            <div class="col-md-6 row form-group">
                                <label class="control-label col-md-4" for="sale_point"> @lang('receipt.safe') :</label>
                                <div class="col-md-9">
                                    <select class="form-control input-normal" name="sale_point" id="sale_point" required>
                                        @foreach($sale_points as $sale_point)
                                            <option value="{{ $sale_point->id }}"
                                                    data-balance="{{round_money($sale_point->money_point)}}">{{ $sale_point->point_name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="col-12 form-group text-center mt-5">
                                <button type="submit" id="load" class="btn btn-success w-25 m-3"> @lang('native.save')</button>
                            </div>
                        </div>




                </form>
            </div>
        </div>
        <hr>

        <input type="hidden" class="now">


        @if (count($payments))

        <div class="table-responsive">

            <table class="table  zui-table zui-table-rounded   table-hover table-striped table-bordered" role="presentation">
                <thead>
                <tr class="bg-info">
                    <th scope="col">#</th>
                    <th scope="col">@lang('receipt.amount')</th>
                    <th scope="col">@lang('client.name client or supplier')</th>
                    <th scope="col">@lang('client.client_role.name')</th>
                    <th scope="col">@lang('receipt.date')</th>
                    <th scope="col">@lang('receipt.statement')</th>
                    <th scope="col"></th>
                </tr>
                </thead>
                <tbody>
                @foreach($payments as $payment)
                    <tr>
                        <td>{{$loop->iteration}}</td>
                        <td>{{price_decimal($payment->amount)}}</td>
                        <td>
                            {{$payment->client_name ?? ''}}
                        </td>
                        <td>
                            @lang('receipt.cash')
                        </td>
                        <td>
                            {{$payment->pay_day}}
                        </td>
                        {{-- <td>
                            @if ($payment->effect ==0 )
                                سحب
                            @else
                                إيداع
                            @endif
                        </td> --}}
                        <td>
                            {{$payment->notes}}
                        </td>
                        <td>
                            <a target="_blank" rel="noopener noreferrer" href="{{ route('debentures.print', $payment->id) }}" class="btn btn-info">طباعة</a>

                            @if ($payment->mobile1)
                                <form method="post" action="{{ route('debenture.send.whatsapp.message', [$payment->id, $payment->client_id]) }}" class="d-inline">
                                    @csrf
                                    <button type="button" class="btn btn-whats send-whatsapp-message"> Whatsapp </button>
                                </form>
                            @endif
                        </td>

                    </tr>
                @endforeach
                </tbody>
            </table>
                        </div>
        @else
            <h2>@lang('receipt.no-data')</h2>
        @endif

    </div>
                        </div>
    <div id="myModal" class="modal">

        <!-- Modal content -->
        <div class="modal-content">
            <div class="row">
                <div class="col-md-2">
                    <span class="close_modal">&times;</span>
                </div>
                <div class="col-md-10">
                    <div id="modal_content"></div>

                    <div class="row">
                        <div class="col-md-3">
                            <div id="btn_do">
                            </div>
                        </div>
                        <div class="col-md-3">
                            <a href="javascript:void(0)" class="btn btn-warning close_modal"
                               style="font-size: 16px;color:#fff"> @lang('native.cancel')</a>
                        </div>
                    </div>


                </div>
            </div>

        </div>
        <div class="modal-footer">

        </div>

    </div>



@stop


@section('js-scripts')

    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/redirect.js') }}"></script>
    <script>
        $(function () {

                    $(".date").calendarsPicker({
                        calendar: $.calendars.instance('gregorian'),
                        dateFormat: 'Y-mm-dd',
                        // defaultDate: "0",
                        // selectDefaultDate: true

                    });
                    $(".now").calendarsPicker({
                        calendar: $.calendars.instance('gregorian'),
                        dateFormat: 'Y-mm-dd',
                        defaultDate: "0",
                        selectDefaultDate: true

                    });


                // @if (request('date_day') == '' )
                    // var todayDate = $(document).find('.now').val();
                    // $(document).find('.date').val(todayDate);

                // @endif

                // $('.do').on('click', function () {
                //     var id = $(this).data('id');
                //     $('#myModal').modal('toggle');
                //     $('#modal_content').empty().append('<h3>هل انت متأكد من تنفيذ الفاتورة؟</h3>');
                //     $('#btn_do').empty().append('<button class="btn btn-success text-center"\n' +
                //         '                            id="modal_btn" data-id="' + id + '">' +
                //         '    {{ trans('smsprovider::smsgateway.confirm') }}' +
                //         '</button>')
                // });

                // $('.close').on('click', function () {
                //     $('#btn_do').empty();
                //     $('#myModal').modal('toggle');
                // });



                // $(document).on('click', '.close_modal', function () {
                //     $('#myModal').modal('toggle');
                // });

                // $(document).on('change', '#users', function () {
                //     showSelectUsers();
                // });
                // showSelectUsers();

                // function showSelectUsers() {
                //     $('#clientDiv').show();
                //     $('#supplierDiv').hide();
                //     var users = $('#users option:selected').val();
                //     if (users == 0) {
                //         $('#supplierDiv').show();
                //         $('#clientDiv').hide();
                //     }
                // }

            $('form').submit(function () {
                $('#load').replaceWith('<i class="fa fa-5x fa-spinner fa-spin"></i>');
            });

                $(document).on('click', '#submit', function () {
                    var v2 = $('#to').val();
                    var pickeddate2 = new Date(v2);
                    var to_check = isDate(pickeddate2);

                    var v1 = $('#from').val();
                    var pickeddate1 = new Date(v1);
                    var from_check = isDate(pickeddate1);

                    if (from_check == false) {
                        $('#from').css('border-color', 'red');
                        return false;
                    }
                    $('#from').css('border-color', '#b5b5b5');
                    if (to_check == false) {
                        $('#to').css('border-color', 'red');
                        return false;
                    }
                    $('#to').css('border-color', '#b5b5b5');

                    $(this).replaceWith('<i class="fa fa-5x fa-spinner fa-spin"></i>');
                    $('#myForm').submit();

                });

                function isDate(dateVal) {
                    var d = new Date(dateVal);
                    return d.toString() === 'Invalid Date' ? false : true;
                }



            $('#date_day').on('change', function (e) {
                var date_day = $("#date_day").val();
                e.preventDefault();
                var data = {'date_day': date_day, "_token": "{{csrf_token()}}",};
                $.redirect('{{ route('debentures.cash-receipt') }}', data, "get");
                return false;
            });
            }
        );

    </script>

    <script type="text/javascript">
        $('.btn-print').click(function (e) {
            e.preventDefault();
            window.print();
        });


        $(document).on('change', '#client', function () {
            calcbalance();
            showMandob($(this).find('option:selected').data('mandob'));
        });

        function showMandob(name)
        {
            if (name) {
                $('#show-mandob').text(name).parent().slideDown();
            } else {
                $('#show-mandob').text('').parent().slideUp();
            }
        }

        function calcbalance() {
            if ($("#client option:selected").val() > 0) {
                var client_balance = $("#client option:selected").data('balance');
                var payment = $("#payment").val();
                var decimal_num_price =$("#decimal_num_price").val();
                var net_balance = Number(client_balance) - Number(payment);

                if ($("#decimal_num_price").val() == 0){
                    $("#client_balance").html(parseInt(client_balance));
                }else {
                    $("#client_balance").html(client_balance);
                }

                $("#new_balance").html(net_balance.toFixed( "{{ get_session_val('decimal_num_price', 'integer') }}" ));
            } else {
                alertify.alert("اختر عميل");
            }
        }


        $("#payment").keyup(function () {
            calcbalance();
        });

        $('.for_bill').change(function () {
            let el = $(this),
                show = $(document).find('.bills_data');
            show.addClass('hidden');
            $(document).find('#discount_div').removeClass('hidden');
            show.find('.available_bills').addClass('hidden');
            $(document).find('#bill_no, #bill_date').val('');
            $(document).find('#bill_info').text('');
            if (el.is(':checked')) {
                show.removeClass('hidden');
                $(document).find('#discount_div').addClass('hidden');
            }
        });

        $(document).on('change', '#bill_no', function () {
            let bill_no = $(this).val();
            if (!$.isNumeric(bill_no) || Number(bill_no) <= 0) {
                $(this).val('')
            }
        });

        $(document).on('click', '#check_for_bills', function () {
            console.log('clicked')
            let bill_no = $(document).find('#bill_no').val(),
                bill_date = $(document).find('#bill_date').val(),
                client_id = $('#client').val(),
                sale_point= $('#sale_point').val(),
                notes = $('#notes'),
                bill_info =  $(document).find('#bill_info'),
                available_bills =  $(document).find('.available_bills'),
                errors = $(document).find('.errors');
            bill_info.text('');
            errors.empty().addClass('hidden');
            available_bills.addClass('hidden');
            notes.val('');
            if (bill_no == '') {
                alert('برجاء ادخال بيانات الفاتوره');
                return false;
            }
            if (client_id == '' || client_id == null || isNaN(client_id) ) {
                alert('برجاء اختيار عميل اولا');
                return false;
            }

            $.get('{{ route('debentures.available-bills') }}', {'bill_no': bill_no, 'bill_date': bill_date, 'client_id': client_id}, function (response) {

                if (response.status) {
                    // console.log(response);
                    available_bills.removeClass('hidden');
                    bill_info.append(response.body);
                    $('#paying-section').css('display','flex');
                    if(response.invoice_type == 'installed'){
                        $('#paying-section').css('display','none');
                    }
                    $(document).find('#bill_id').val(response.bill_id);
                    notes.val('ايصال استلام تبع فاتوره رقم '+bill_no);
                } else {
                    errors.removeClass('hidden').append(response.body);
                }
            });
        });
    </script>

@if($invoice->id)
    <script>
        $(function() {
            $('#client').val("{{ $invoice->client_id }}");
            $('.for_bill').attr('checked','checked').change();
            $('#bill_no').val("{{$invoice->bill_no}}").change();
            $('#bill_date').on('change', function(){
                $('#check_for_bills').click();
                $('#payment').val('{{$invoice->rest}}');
                $('#payment').focus();
            });
            $('#bill_date').val(`{{\Carbon\Carbon::parse("$invoice->transaction_date")->format('Y-m-d')}}`).change();
            $('#client').selectpicker('refresh').change();
            $('#payment').keyup();
        });
    </script>
@endif

<script>
    $(function () {
        $('button.send-whatsapp-message').on('click', function(e) {
            e.preventDefault();
            let form = $(this).closest('form');
            $.ajax({
                url: form.attr('action'),
                type: form.attr('method'),
                data: form.serialize(),
                beforeSend: function(jqHXR) {
                    form.find('button').prop('disabled', true);
                },
                success: function(response) {
                    if (response.status)
                        window.open(response.redirect, '_blank');
                    else
                        alert(response.message);
                },
                error: function(response) {
                    alert('يوجد خطأ بالسيرفر');
                },
                complete: function(jqXHR, textStatus) {
                    form.find('button').prop('disabled', false);
                }
            });
        });
    });
</script>


@if (session('whatsapp_redirect') && session('whatsapp_redirect') != '')
    <script>
        $(function() {
            let whatsapp_redirect = '{{ session("whatsapp_redirect") }}';
            whatsapp_redirect = whatsapp_redirect.replace(/&amp;/g, '&');
            window.open(whatsapp_redirect, '_blank');
        });
    </script>
@endif

{{-- @if (session('printed_url'))
    <script>
        var url = '{{ session('printed_url') }}';
        window.open(url, '_blank');
    </script>
@endif --}}
@if (session()->has('success') && session('printed_url') && get_session_val('auto_print', 'integer')  == 1)
    <script>
        window.location.href = "{{ session('printed_url') }}" ;
    </script>
@endif
@stop
@section('css-scripts')
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

    <style>
        @media print {
            .noprint {
                display: none;
            }

            #logo {
                display: block !important;

            }

            .width40 {
                width: 40% !important;
                float: left;
                margin-top: -3em !important;
                margin-bottom: 1em !important;
            }

            .width60 {
                width: 60% !important;
            }

        }
    </style>
    <style>
        .loader {
            border: 16px solid #f3f3f3;
            border-radius: 50%;
            border-top: 16px solid #3498db;
            width: 30px;
            height: 30px;
            -webkit-animation: spin 2s linear infinite; /* Safari */
            animation: spin 2s linear infinite;
        }

        /* Safari */
        @-webkit-keyframes spin {
            0% {
                -webkit-transform: rotate(0deg);
            }
            100% {
                -webkit-transform: rotate(360deg);
            }
        }

        @keyframes spin {
            0% {
                transform: rotate(0deg);
            }
            100% {
                transform: rotate(360deg);
            }
        }

        /* The Modal (background) */
        .modal {
            /*display: none; !* Hidden by default *!*/
            position: fixed; /* Stay in place */
            z-index: 999999; /* Sit on top */
            padding-top: 100px; /* Location of the box */
            left: 0;
            top: 0;
            width: 100%; /* Full width */
            height: 100%; /* Full height */
            overflow: auto; /* Enable scroll if needed */
            background-color: rgb(0, 0, 0); /* Fallback color */
            background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
        }

        /* Modal Content */
        .modal-content {
            background-color: #fefefe;
            margin: auto;
            padding: 20px;
            border: 1px solid #888;
            width: 80%;
        }

        /* The Close Button */
        .close_modal {
            color: #aaaaaa;
            float: right;
            font-size: 28px;
            font-weight: bold;
        }

        .close_modal:hover,
        .close_modal:focus {
            color: #000;
            text-decoration: none;
            cursor: pointer;
        }
    </style>

@stop
