@extends('master::layouts.master')

@section('content')
    <div class="container">
        <div class="row">

            @include('master::layouts.messages')


            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-8 width60">
                        <h2 class="title-page">
                            إذونات التحصيل
                        </h2>
                    </div>
                    <div class="col-md-4 width40">
                        {{--<img id="logo" style="display: none;" src="{{ config('main.badr').$img }}" height="60">--}}
                    </div>
                </div>

                <div class="clearfix"></div>
            </div>

            <div class="col-md-10 col-md-offset-1 noprint">
                <br>
                <form id="myForm" enctype="multipart/form-data" class="form-horizontal">
                    <div class="row">
                        <div class="col-md-6 form-group">
                            <label class=" control-label col-md-4" for="start_date"> من : </label>
                            <div class="col-md-8">
                                <input autocomplete="off" readonly type="text" class="form-control date" name="start_date"
                                       id="start_date"
                                       value="{{ request('start_date') }}">
                            </div>
                        </div>
                        <div class="col-md-6 form-group">
                            <label class=" control-label col-md-4" for="end_date"> الى : </label>
                            <div class="col-md-8">
                                <input autocomplete="off" readonly type="text" class="form-control date" name="end_date"
                                       id="end_date"
                                       value="{{ request('end_date') }}">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="col-md-6 form-group">
                            <label class="control-label col-md-4" for="insurance_status"> حالة الطلب :</label>
                            <div class="col-md-8">
                                <select class="form-control" name="insurance_status" id="insurance_status" required>
                                    <option @if (request('insurance_status') == '0') selected @endif value="0"> الكل</option>
                                    <option @if (request('insurance_status') == '1') selected @endif value="1">غير مؤكد</option>
                                    <option @if (request('insurance_status') == '2') selected @endif value="2"> مؤكد</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-2 form-group">
                            <div class="col-md-2 col-md-offset-10">
                                <button class="btn btn-primary"> عرض</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <hr>
    <input type="hidden" class="now">

    @if (count($transactions))


        <table class="table table-hover table-striped table-bordered" role="presentation">
            <thead>
            <tr class="bg-info">
                <th class="text-center">#</th>
                <th class="text-center">المبلغ</th>
                <th class="text-center"> اسم العميل</th>
                <th class="text-center"> الخزينة</th>
                <th class="text-center"> تاريخ التسجيل</th>
                <th class="text-center">حاله الطلب</th>
                <th class="text-center " colspan="2">(تأكيد / حذف) الطلب</th>
            </tr>
            </thead>

            <tbody>
            @foreach($transactions as $transaction)
                <tr>
                    <td class="text-center">{{$loop->iteration}}</td>
                    <td class="text-center"> {{ price_decimal($transaction->amount) }}</td>
                    <td class="text-center">
                        {{$transaction->client_name ?? ''}}
                    </td>
                    <td class="text-center">
                        {{$transaction->point_name ?? ''}}
                    </td>

                    <td class="text-center" dir="ltr">
                        {{ date('Y-m-d', strtotime($transaction->date_time) ) }}
                    </td>
                    <td class="text-center">
                        @if ($transaction->insurance_status == 0)
                            لم يتم التأكيد
                        @else
                            <!--تم التأكيد بواسطه {{$transaction->user->user_name ?? '' }}-->
                             تم التأكيد بواسطه {{$transaction->user_name ?? '' }}
                        @endif
                    </td>
                    @if ($transaction->insurance_status == 0)
                        <td class="text-center">
                            <a href="{{route('debentures.collect-permission-insure',[$transaction->id])}}"
                               class="btn btn-primary">تأكيد</a>
                        </td>
                        <td class="text-center">

                            <a href="{{url('/debentures/collect-permission-delete/'.$transaction->id)}}"
                               class="btn btn-danger">حذف</a>
                        </td>
                    @else
                        <td class="text-center">
                            تم تاكيده <span dir="ltr">{{ $transaction->pay_day }}</span> لا يمكن حذفه
                        </td>
                        <td class="text-center">
                            {{--<a href="javascript:void(0)" class="print btn btn-success" data-id="{{ $transaction->id }}">طباعة</a>--}}
                            <a href="{{ config('main.badr').'3lamsales/print_doc_3lam.php?id='.$transaction->id }}" class="print btn btn-success" data-id="{{ $transaction->id }}">طباعة</a>
                        </td>

                    @endif

                </tr>
            @endforeach
            </tbody>
        </table>
    @else
        <h2>عفواً لا يوجد اذوانات</h2>
    @endif


    <div id="myModal" class="modal">

        <!-- Modal content -->
        <div class="modal-content">
            <div class="row">
                <div class="col-md-2">
                    <span class="close_modal">&times;</span>
                </div>
                <div class="col-md-10">
                    <div id="modal_content"></div>

                    <div class="row">
                        <div class="col-md-3">
                            <div id="btn_do">
                            </div>
                        </div>
                        <div class="col-md-3">
                            <a href="javascript:void(0)" class="btn btn-warning close_modal"
                               style="font-size: 16px;color:#fff"> الغاء</a>
                        </div>
                    </div>


                </div>
            </div>

        </div>
        <div class="modal-footer">

        </div>

    </div>



@stop


@section('js-scripts')

    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/redirect.js') }}"></script>
    <script>
        $('.picker').selectpicker({
            size: 8,
            style: 'default'
        });
    </script>
    <script>
        $(function () {
                if ('{{ get_session_val('date_type', 'Integer') }}' ==  '2') {
                    $(".date").calendarsPicker({
                        calendar: $.calendars.instance('gregorian'),
                        dateFormat: 'Y-mm-dd',
                        // defaultDate: "0",
                        // selectDefaultDate: true

                    });
                    $(".now").calendarsPicker({
                        calendar: $.calendars.instance('gregorian'),
                        dateFormat: 'Y-mm-dd',
                        defaultDate: "0",
                        selectDefaultDate: true

                    });
                } else {
                    $(".date").calendarsPicker({
                        calendar: $.calendars.instance('ummalqura'),
                        dateFormat: 'Y-mm-dd',
                        // defaultDate: "0",
                        // selectDefaultDate: true
                    });
                    $(".now").calendarsPicker({
                        calendar: $.calendars.instance('ummalqura'),
                        dateFormat: 'Y-mm-dd',
                        defaultDate: "0",
                        selectDefaultDate: true
                    });
                }

                $('.do').on('click', function () {
                    var id = $(this).data('id');
                    $('#myModal').modal('toggle');
                    $('#modal_content').empty().append('<h3>هل انت متأكد من تنفيذ الفاتورة؟</h3>');
                    $('#btn_do').empty().append('<button class="btn btn-success text-center"\n' +
                        '                            id="modal_btn" data-id="' + id + '">' +
                        '    {{ trans('smsprovider::smsgateway.confirm') }}' +
                        '</button>')
                });

                $('.close').on('click', function () {
                    $('#btn_do').empty();
                    $('#myModal').modal('toggle');
                });

                $(document).on('click', '#modal_btn', function () {
                    var id = $(this).data('id');
                    $.ajax({
                        url: '{{ route('collection.do-bill') }}',
                        data: {_token: '{{ csrf_token() }}', bill_id: id, today: $('.now').val()},
                        beforeSend: function () {
                            $('#myModal').modal('toggle');
                            $('#load-' + id).css('display', 'block');
                        },
                        success: function (data) {
                            $('#load-' + id).css('display', 'none');
                            setTimeout(function () {
                                $('#message-info').empty();
                            }, 2500);
                            if (data[0] == 'done') {
                                $('#done_-' + id).html('منفذ');
                                $('#done_date-' + id).html(data[1]);
                            }

                        },
                        error: function () {
                            $('#load-' + id).css('display', 'none');
                            $('#message-info').empty().append(
                                '<p class="text-center alert alert-danger">حدث خطأ</p>'
                            );
                            setTimeout(function () {
                                $('#message-info').empty();
                            }, 2500);
                        }
                    });

                });

                $(document).on('click', '.close_modal', function () {
                    $('#myModal').modal('toggle');
                });

                $(document).on('change', '#users', function () {
                    showSelectUsers();
                });
                showSelectUsers();

                function showSelectUsers() {
                    $('#clientDiv').show();
                    $('#supplierDiv').hide();
                    var users = $('#users option:selected').val();
                    if (users == 0) {
                        $('#supplierDiv').show();
                        $('#clientDiv').hide();
                    }
                }

                $(document).on('click', '#submit', function () {
                    var v2 = $('#to').val();
                    var pickeddate2 = new Date(v2);
                    var to_check = isDate(pickeddate2);

                    var v1 = $('#from').val();
                    var pickeddate1 = new Date(v1);
                    var from_check = isDate(pickeddate1);

                    if (from_check == false) {
                        $('#from').css('border-color', 'red');
                        return false;
                    }
                    $('#from').css('border-color', '#b5b5b5');
                    if (to_check == false) {
                        $('#to').css('border-color', 'red');
                        return false;
                    }
                    $('#to').css('border-color', '#b5b5b5');

                    $(this).replaceWith('<i class="fa fa-5x fa-spinner fa-spin"></i>');
                    $('#myForm').submit();

                });

                function isDate(dateVal) {
                    var d = new Date(dateVal);
                    return d.toString() === 'Invalid Date' ? false : true;
                }


                $('#date_day').on('change', function (e) {
                    var date_day = $("#date_day").val();
                    e.preventDefault();
                    var data = {'date_day': date_day, "_token": "{{csrf_token()}}",};
                    $.redirect('{{ route('debentures.payment-receipt') }}', data, "get");
                    return false;
                });
            }
        );
    </script>

    <script type="text/javascript">
        $('.btn-print').click(function (e) {
            e.preventDefault();
            window.print();
        });


        $(document).on('change', '#client', function () {
            calcbalance();
        });

        function calcbalance() {


            //client
            if ($("#client option:selected").val() > 0) {

                var net_balance = 0
                var client_balance = $("#client option:selected").data('balance');
                var payment = $("#payment").val();
                net_balance = Number(client_balance) - Number(payment);
// alert(net_balance);

                $("#client_balance").html(client_balance);
                $("#new_balance").html(net_balance);
            } else {
                alertify.alert("اختر عميل");
            }

        };


        $("#payment").keyup(function () {
            // alert('ddd');
            calcbalance();
        });


        $(document).on('click', '.print', function () {
            var id= $(this).data('id');
            window.open('{{ route('debentures.print') }}?id='+id, '_blank');
        });


    </script>

@stop
@section('css-scripts')
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

    <style>
        @media print {
            .noprint {
                display: none;
            }

            #logo {
                display: block !important;

            }

            .width40 {
                width: 40% !important;
                float: left;
                margin-top: -3em !important;
                margin-bottom: 1em !important;
            }

            .width60 {
                width: 60% !important;
            }

        }
    </style>
    <style>
        .loader {
            border: 16px solid #f3f3f3;
            border-radius: 50%;
            border-top: 16px solid #3498db;
            width: 30px;
            height: 30px;
            -webkit-animation: spin 2s linear infinite; /* Safari */
            animation: spin 2s linear infinite;
        }

        /* Safari */
        @-webkit-keyframes spin {
            0% {
                -webkit-transform: rotate(0deg);
            }
            100% {
                -webkit-transform: rotate(360deg);
            }
        }

        @keyframes spin {
            0% {
                transform: rotate(0deg);
            }
            100% {
                transform: rotate(360deg);
            }
        }

        /* The Modal (background) */
        .modal {
            /*display: none; !* Hidden by default *!*/
            position: fixed; /* Stay in place */
            z-index: 999999; /* Sit on top */
            padding-top: 100px; /* Location of the box */
            left: 0;
            top: 0;
            width: 100%; /* Full width */
            height: 100%; /* Full height */
            overflow: auto; /* Enable scroll if needed */
            background-color: rgb(0, 0, 0); /* Fallback color */
            background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
        }

        /* Modal Content */
        .modal-content {
            background-color: #fefefe;
            margin: auto;
            padding: 20px;
            border: 1px solid #888;
            width: 80%;
        }

        /* The Close Button */
        .close_modal {
            color: #aaaaaa;
            float: right;
            font-size: 28px;
            font-weight: bold;
        }

        .close_modal:hover,
        .close_modal:focus {
            color: #000;
            text-decoration: none;
            cursor: pointer;
        }
    </style>

@stop
