<div class="errors hidden w-100"></div>
<div class="row">
    <div class="col-md-6 form-group" style="margin-top: 10px">
        <input type="checkbox" class="for_bill" name="for_bill" id="for_bill" {{ $invoice->id ? 'checked' : '' }}>
        <label class="control-label" for="for_bill"> @lang('receipt.receipt-for-bill-no')</label>
    </div>

    <div class="col-md-12 bills_data {{ $invoice->id ? '' : 'hidden' }}">
        <input name="bill_id" id="bill_id" value="0" type="hidden" value="{{ $invoice->id }}">
        <div class="row">
            <div class="col-md-5 form-group">
                <div class="row">
                    <label class="control-label col-md-3" for="bill_no"> @lang('receipt.bill-no') : </label>
                    <div class="col-md-9">
                        <input type="text" class="form-control use-only-numbers" data-format='0' name="bill_no" id="bill_no" value="{{ $invoice->bill_no }}">
                    </div>
                </div>
            </div>
            <div class="col-md-5 form-group">
                <div class="row">
                    <label class="control-label col-md-3" for="bill_date"> @lang('receipt.bill-date') : </label>
                    <div class="col-md-9">
                        <input type="text" readonly="" class="form-control date" name="bill_date" id="bill_date" value="{{ \Carbon\Carbon::parse($invoice->transaction_date)->format('Y-m-d') }}">
                    </div>
                </div>
            </div>
            <div class="col-md-2 form-group">
                <a href="javascript:void(0)" class="btn btn-primary" id="check_for_bills"><i class="fa fa-check-circle"></i> تحقق</a>
            </div>
            <div class="col-md-12 available_bills hidden">
                <div class="col-md-10 form-group">
                    <label class="col-md-3"> @lang('receipt.bills') : </label>
                    <div class="col-md-9" id="bill_info"></div>
                </div>
            </div>
        </div>
    </div>
</div>

@push('bill-checker-scripts')
    <script>
        $(function() {
            $('.for_bill').change(function () {
                let el = $(this),
                    show = $(document).find('.bills_data');
                show.addClass('hidden');
                $(document).find('#discount_div').removeClass('hidden');
                show.find('.available_bills').addClass('hidden');
                $(document).find('#bill_no, #bill_date').val('');
                $(document).find('#bill_info').text('');
                if (el.is(':checked')) {
                    show.removeClass('hidden');
                    $(document).find('#discount_div').addClass('hidden');
                }
            });

            $(document).on('click', '#check_for_bills', function () {
                console.log('clicked')
                let bill_no = $(document).find('#bill_no').val(),
                    bill_date = $(document).find('#bill_date').val(),
                    client_id = $('#client').val(),
                    sale_point= $('#sale_point').val(),
                    notes = $('#notes'),
                    bill_info =  $(document).find('#bill_info'),
                    available_bills =  $(document).find('.available_bills'),
                    errors = $(document).find('.errors');
                bill_info.text('');
                errors.empty().addClass('hidden');
                available_bills.addClass('hidden');
                notes.val('');
                if (bill_no == '') {
                    alert('برجاء ادخال بيانات الفاتوره');
                    return false;
                }
                if (client_id == '' || client_id == null || isNaN(client_id) ) {
                    alert('برجاء اختيار عميل اولا');
                    return false;
                }

                $.get('{{ route('debentures.available-bills') }}', {'bill_no': bill_no, 'bill_date': bill_date, 'client_id': client_id}, function (response) {
                    if (response.status) {
                        available_bills.removeClass('hidden');
                        bill_info.append(response.body);
                        $('#paying-section').css('display','flex');
                        if(response.invoice_type == 'installed'){
                            $('#paying-section').css('display','none');
                        }
                        $(document).find('#bill_id').val(response.bill_id);
                        $(document).find('#payment').val(response.payment);
                        notes.val('ايصال استلام تبع فاتوره رقم '+bill_no);
                    } else {
                        errors.removeClass('hidden').append(response.body);
                    }
                });
            });
        })
    </script>
@endpush


