@extends('master::layouts.master')

@section('content')

<div class="card card-light mb-1_5 pt-1_5 p-4">

    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-12 width60">
                        <h2 class="title-page text-info ">
                            @lang('receipt.payment-title')

                            <span class="alert alert-success mx-2 pull-left float-left col-md-4">   @lang('receipt.positive')  </span>
                            <span class="alert alert-danger mx-2 pull-left float-left col-md-4">    @lang('receipt.negative')  </span>
                        </h2>
                    </div>
                    <div class="col-md-4 width40">
                        {{--<img id="logo" style="display: none;" src="{{ config('main.badr').$img }}" height="60">--}}
                    </div>
                </div>

                <div class="clearfix"></div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12 noprint">
                <br>
                <form id="myForm" class="custome-form" action="{{route('debentures.payment-receipt-store')}}" method="post"
                      enctype="multipart/form-data" class="form-horizontal">
                    {{ csrf_field() }}

                    <input type="hidden" name="date_time" value="{{ now() }}">

                        <div class="row">
                            <div class="col-md-6 form-group">
                                <label class="control-label
                             col-md-4" for="status"> @lang('client.name client or supplier'): </label>
                                <div class="col-md-8 ">
                                    <select title="@lang('client.name client or supplier')" class="form-control input-normal selectpicker" id="client" name="client" data-live-search="true" required>
                                        <option selected></option>
                                        @foreach($clients as $client)
                                            <option value="{{ $client->id }}" data-balance={{round_money($client->balance)}}
                                            {{ in_array($client->id, [request('client'), $invoice->client_id]) ? 'selected' : '' }}>{{ $client->client_name ?? '' }}  </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3 form-group">
                                <label class="control-label col-md-8" for="status"> @lang('receipt.current-balance'): </label>
                                <label class="col-12 control-label"> <span id="client_balance"
                                                                             style="color:blue;font-weight: bolder;">{{round_money(0)}}</span></label>
                            </div>
                            <div class="col-md-3 form-groub">
                                <label class="col-md-8 control-label"> @lang('receipt.new-balance') :</label>
                                <label class="col-12 control-label"> <span id="new_balance"
                                                                             style="color:blue;font-weight: bolder;">{{round_money(0)}}</span></span>
                                </label>
                            </div>
                        </div>

                        @include('debentures::includes.bill-checker')

                        <div class="row">
                            <div class=" col-md-6 form-group">
                                <label class="control-label col-md-4" for="status"> @lang('receipt.amount') : </label>

                                <div class="col-md-8">
                                    <input type="text" class="form-control input-normal" name="payment" id="payment" min="0" value="{{ $invoice->rest ?? '' }}"  oninput="this.value = Math.abs(this.value) > 0 ? Math.abs(this.value) : null" required/>
                                </div>
                            </div>
                            <div class="col-md-6 form-group">
                                <label class=" control-label col-md-4 " for="status"> @lang('receipt.date') : </label>

                                <div class="col-md-8">

                                    @if(authorized('can_edit_debentures_receipt_date'))
                                        <input autocomplete="off" type="text" class="form-control date input-normal" name="date_day" id="date_day" value="{{ request()->get('date_day', date('Y-m-d')) }}">
                                    @else
                                        <span>{{ today()->format('Y-m-d') }}</span>
                                    @endif

                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6 form-group">
                                <label class=" control-label col-md-4" for="status"> @lang('receipt.statement') : </label>
                                <div class="col-md-8">
                                    <input type="text" class="form-control input-normal" name="notes" id="notes" required  placeholder="@lang('receipt.statement')"/>

                                </div>
                            </div>
                            <div class="col-md-6 form-group">
                                <label class="control-label col-md-4" for="sale_point"> @lang('receipt.safe') :</label>
                                <div class="col-md-8">
                                    <select class="form-control input-normal" name="sale_point" id="sale_point" required>
                                         <option value=""> @lang('native.Select_safe') </option>
                                        @foreach($sale_points as $sale_point)
                                            <option value="{{ $sale_point->id }}"
                                                    data-balance="{{round_money($sale_point->money_point)}}">{{ $sale_point->point_name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row form-group ">
                            <div class="col-md-12 text-center">
                                <button type="submit" id="load" class="btn btn-success w-25 m-3"> @lang('native.save')</button>
                            </div>

                            <div class="col-md-6">
                                <p id="bill-note"></p>
                            </div>

                        </div>

                </form>
            </div>
        </div>
        <hr>

        <input type="hidden" class="now">



        @if (count($payments))

        <div class="table-responsive">

            <table class=" table  zui-table zui-table-rounded  table-hover table-striped table-bordered" role="presentation">
                <thead>
                <tr class="bg-info">
                    <th scope="col">#</th>
                    <th scope="col">@lang('receipt.amount')</th>
                    <th scope="col"> @lang('client.name client or supplier')</th>
                    <th scope="col"> @lang('client.client_role.name')</th>
                    <th scope="col"> @lang('receipt.date')</th>
                    <th scope="col"></th>
                </tr>
                </thead>
                <tbody>
                @foreach($payments as $payment)
                    <tr>
                        <td>{{$loop->iteration}}</td>
                        <td>{{$payment->amount}}</td>
                        <td>
                                {{$payment->client_name ?? ''}}
                        </td>
                        <td>
                                @lang('receipt.payment')
                        </td>
                        <td>
                            {{$payment->pay_day}}
                        </td>
                        <td><a target="_blank" rel="noopener noreferrer" href="{{ route('debentures.print', $payment->id) }}" class="btn btn-info">طباعة</a></td>
                        {{-- <td>
                            @if ($payment->effect ==0 )
                                سحب
                            @else
                                إيداع
                            @endif
                        </td> --}}
                    </tr>
                @endforeach
                </tbody>
            </table>
                        </table>
        @else
            <h2>@lang('receipt.no-data')</h2>
        @endif


    </div>

                        </div>
    <div id="myModal" class="modal">

        <!-- Modal content -->
        <div class="modal-content">
            <div class="row">
                <div class="col-md-2">
                    <span class="close_modal">&times;</span>
                </div>
                <div class="col-md-10">
                    <div id="modal_content"></div>

                    <div class="row">
                        <div class="col-md-3">
                            <div id="btn_do">
                            </div>
                        </div>
                        <div class="col-md-3">
                            <a href="javascript:void(0)" class="btn btn-warning close_modal"
                               style="font-size: 16px;color:#fff"> الغاء</a>
                        </div>
                    </div>


                </div>
            </div>

        </div>
        <div class="modal-footer">

        </div>

    </div>



@stop

@section('js-scripts')

{{-- @if (session('printed_url'))
    <script>
        var url = '{{ session('printed_url') }}';
        window.open(url, '_blank');
    </script>
@endif --}}

@if (session()->has('success') && session('printed_url') && get_session_val('auto_print', 'integer')  == 1)
    <script>
        window.location.href = "{{ session('printed_url') }}" ;
    </script>
@endif
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/redirect.js') }}"></script>
    <script>
        $(function () {

                    $(".date").calendarsPicker({
                        calendar: $.calendars.instance('gregorian'),
                        dateFormat: 'Y-mm-dd',
                        // defaultDate: "0",
                        // selectDefaultDate: true

                    });
                    $(".now").calendarsPicker({
                        calendar: $.calendars.instance('gregorian'),
                        dateFormat: 'Y-mm-dd',
                        defaultDate: "0",
                        selectDefaultDate: true

                    });

                    // $(".date").calendarsPicker({
                    //     calendar: $.calendars.instance('ummalqura'),
                    //     dateFormat: 'Y-mm-dd',
                    //     // defaultDate: "0",
                    //     // selectDefaultDate: true
                    // });
                    // $(".now").calendarsPicker({
                    //     calendar: $.calendars.instance('ummalqura'),
                    //     dateFormat: 'Y-mm-dd',
                    //     defaultDate: "0",
                    //     selectDefaultDate: true
                    // });



                @if (request('date_day') == '' )
                    var todayDate = $(document).find('.now').val();
                    $(document).find('.date').val(todayDate);

                @endif

                $('.close').on('click', function () {
                    $('#btn_do').empty();
                    $('#myModal').modal('toggle');
                });


            $('form').submit(function () {
                $('#load').replaceWith('<i class="fa fa-5x fa-spinner fa-spin"></i>');
            });




                $('#date_day').on('change', function (e) {
                    var date_day = $("#date_day").val();
                    e.preventDefault();
                    var data = {'date_day': date_day, "_token": "{{csrf_token()}}",};
                    $.redirect('{{ route('debentures.payment-receipt') }}', data, "get");
                    return false;
                });

            }
        );
    </script>

    @if($invoice->id)
        <script type="text/javascript">
            $(function() {
                $('#notes').val(`سند صرف تبع فاتوره رقم {{ $invoice->bill_no }}`);

                $('#bill-note').html(`<a href="{{ route('invoices.show', $invoice->id) }}" target="_blank">
                                    فاتوره رقم {{ $invoice->bill_no }}
                                    صافى الفاتوره {{ $invoice->bill_total }}
                                    المدفوع {{ $invoice->payment }}
                                    الباقى {{ $invoice->rest }}
                                    (فاتورة آجل) </a>`);


                $('#sale_point').val("{{ $invoice->store_id }}");
            });
        </script>
    @endif

    @stack('bill-checker-scripts')

    <script type="text/javascript">
        $('.btn-print').click(function (e) {
            e.preventDefault();
            window.print();
        });


        $(document).on('change', '#client', function () {
            calcbalance();
        });

        let fireAlert = false;
        function calcbalance() {
            if ($("#client option:selected").val() > 0) {
                var net_balance = 0
                var client_balance = $("#client option:selected").data('balance');
                var payment = $("#payment").val();
                net_balance = Number(client_balance) + Number(payment);
                $("#client_balance").html(client_balance);
                $("#new_balance").html(net_balance.toFixed( "{{ get_session_val('decimal_num_price', 'integer') }}" ));
            } else {
                if (fireAlert) {
                    $("#client_balance").html(0);
                    $("#new_balance").html(0);
                    alert("اختر عميل");
                }
                fireAlert = true;
            }
        };


        $("#payment").keyup(function () {
            // alert('ddd');
            calcbalance();
        });


        $('#client').change();
        // $('#date_day').trigger('change');
        {{--$('#date_day').on('change', function (e) {--}}

            {{--var date_day = $("#date_day").val();--}}
            {{--var data = {'date_day': date_day, "_token": "{{csrf_token()}}",};--}}
            {{--$.ajax({--}}
                {{--url: '{{ route('debentures.payment-receipt') }}',--}}
                {{--type: "get",--}}
                {{--data: data,--}}
                {{--contentType: false,--}}
                {{--cache: false,--}}
                {{--processData: true, // <==--}}
                {{--timeout: 3000,--}}
                {{--beforeSend: function () {--}}

                {{--},--}}
                {{--success: function (data) {--}}

                    {{--var $content = '';--}}

                    {{--$.each(data, function (i, item) {--}}


                    {{--});--}}
                    {{--$('#content').empty().append($content);--}}
                {{--},--}}
                {{--error: function (data) {--}}

                {{--},--}}
                {{--complete: function () {--}}

                {{--}--}}
            {{--});--}}

        {{--});--}}


    </script>

@stop
@section('css-scripts')
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

    <style>
        @media print {
            .noprint {
                display: none;
            }

            #logo {
                display: block !important;

            }

            .width40 {
                width: 40% !important;
                float: left;
                margin-top: -3em !important;
                margin-bottom: 1em !important;
            }

            .width60 {
                width: 60% !important;
            }

        }
    </style>
    <style>
        .loader {
            border: 16px solid #f3f3f3;
            border-radius: 50%;
            border-top: 16px solid #3498db;
            width: 30px;
            height: 30px;
            -webkit-animation: spin 2s linear infinite; /* Safari */
            animation: spin 2s linear infinite;
        }

        /* Safari */
        @-webkit-keyframes spin {
            0% {
                -webkit-transform: rotate(0deg);
            }
            100% {
                -webkit-transform: rotate(360deg);
            }
        }

        @keyframes spin {
            0% {
                transform: rotate(0deg);
            }
            100% {
                transform: rotate(360deg);
            }
        }

        /* The Modal (background) */
        .modal {
            /*display: none; !* Hidden by default *!*/
            position: fixed; /* Stay in place */
            z-index: 999999; /* Sit on top */
            padding-top: 100px; /* Location of the box */
            left: 0;
            top: 0;
            width: 100%; /* Full width */
            height: 100%; /* Full height */
            overflow: auto; /* Enable scroll if needed */
            background-color: rgb(0, 0, 0); /* Fallback color */
            background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
        }

        /* Modal Content */
        .modal-content {
            background-color: #fefefe;
            margin: auto;
            padding: 20px;
            border: 1px solid #888;
            width: 80%;
        }

        /* The Close Button */
        .close_modal {
            color: #aaaaaa;
            float: right;
            font-size: 28px;
            font-weight: bold;
        }

        .close_modal:hover,
        .close_modal:focus {
            color: #000;
            text-decoration: none;
            cursor: pointer;
        }
    </style>

@stop
