@extends('master::layouts.master')

@section('content')
    <div class="container">

        <div class="row-item">

            <div class="width-50">
                <h4>{{ $_SESSION['shop_name'] }}</h4>
            </div>
            <div class="width-50">
                <img src="{{ config('main.badr').$img }}">
            </div>

        </div>

        <div class="row">
            <div class="width-100 center">
                <p>ايصال استلام رقم 
                <span class="dotted-small2">{{ $item->number }}</span></p>
            </div>
        </div>

        <?php
        $date = $item->pay_day;
        $day = \Carbon\Carbon::parse($date)->format('d');
        $month = \Carbon\Carbon::parse($date)->format('m');
        $year = \Carbon\Carbon::parse($date)->format('y');

        $amount = $item->amount;
        $amount = price_decimal($amount);
        $amount_array = explode('.', $amount);

        $pounds = $amount_array[0];
        $cents = array_key_exists(1, $amount_array) ? $amount_array[1] : 00;

        $pounds_ = (int)$pounds;
        $cents_ = (int)$cents;

        $pounds_text = convert_number_to_words($pounds_);
        $cents_text = $cents > 0 ? 'و' . convert_number_to_words($cents_) . ' قرشا ' : "";

        ?>

        <div class="row-item">
            <div class="width-50 vertical">
                <p>التاريخ: {{ $day }} / {{ $month }} / 20{{ $year }}</p>
            </div>
            <div class="width-50 ">
                <ul class="list-unstyled list">
                    <li>
                        <p class="center">قرش</p>
                        <h4 class="gray">{{ $cents }}</h4>
                    </li>
                    <li>
                        <p class="center">جنيه</p>
                        <h4 class="gray">{{ $pounds }}</h4>
                    </li>

                </ul>
            </div>
        </div>

        <div class="row-item">

            <div class="width-20 right">
                <p>استلمت أنا:</p>
            </div>
            <div class="width-80 center">
                <p class="dotted">{{ auth()->user()->name }}</p>
            </div>
            {{--  <div class="width-10 end">
                <p>Received:</p>
            </div>  --}}
        </div>

        <div class="row-item">
            <div class="width-12 right vertical">
                <p> مبلغ:</p>
            </div>
            <ul class="list-unstyled list">
                <li>
                    <p class="center">قرش</p>
                    <h4 class="gray">{{ $cents }}</h4>
                </li>
                <li>
                    <p class="center">جنيه</p>
                    <h4 class="gray">{{ $pounds }}</h4>
                </li>

            </ul>
            <div class="width-15 end vertical">
                <p>:مبلغ وقدره</p>
            </div>
            <div class="width-75 center vertical">
                <p class="gray"> {{ $pounds_text }} جنيها {{ $cents_text }} فقط لا غير </p>
            </div>
           
        </div>

        <div class="row-item">

            <div class="width-20 right">
                <p>نقدا / شيك رقم:</p>
            </div>
            <div class="width-25 center">
                <p class="dotted"><span class="dotted-small2">.</span></p>
            </div>
            <div class="width-40 center">
                <p>بتاريخ: {{ $day }} / {{ $month }} / 20{{ $year }} علي بنك</p>
            </div>
            <div class="width-30 center">
                <p class="dotted">{{ $item->point_name }}</p>
            </div>
        </div>


        <div class="row-item">
            <div class="width-20 right">
                <p> وذلك قيمة:</p>
            </div>
            <div class="width-70 ">
                <p class="dotted center"> {{ $item->notes }}</p>

            </div>
            {{--  <div class="width-20 end">
                <p>Description Of Receipt:</p>
            </div>  --}}
        </div>



        <div class="row-item">

            <div class="width-50 right">
                <h4>
                    العميل:<span class="dotted-small width-100">{{ $item->client_name }}</span>
                </h4>
                
                <h4>التوقيع:</h4>
                <br>
                <p class="dotted-small width-50"></p>
            </div>

            <div class="width-30"></div>
                <div class="width-30 left">
                <h4>
                    المستلم:<span class="dotted-small">  {{ $item->user_name }}</span>
                </h4>
                <h4>التوقيع:</h4>
                <br>
                <p class="dotted-small"></p>

            </div>

        </div>


    </div>


@stop

@section('js-scripts')
    <script>
        window.print();
    </script>
@stop

@section('css-scripts')

    <style>

        .dotted-text {
            text-decoration-line: underline;
            text-decoration-style: dotted;
        }

        .bottom-30 {
            margin-bottom: 30px;
        }

        .top-30 {
            margin-top: 30px;
        }

        .top-32 {
            margin-top: 32px;
        }

        .width-35 {
            width: 35%;
        }

        .vertical {
            margin: auto 0;
        }

        .dotted {
            border: 1.5px dotted #837E83;
            border-top: none;
            border-left: none;
            border-right: none;

        }

        .dotted-small {
            margin-top: 5px;
            margin-right: 15px;
            border: 1.5px dotted #837E83;
            border-top: none;
            border-left: none;
            border-right: none;

        }

        .dotted-small2 {
            margin-top: 5px;
            margin-right: 15px;
            border: 1.5px dotted #837E83;
            border-top: none;
            border-left: none;
            border-right: none;

        }
       .dotted-small2::after {
            content: none !mportant;
        }


        .gray {
            background-color: lightgrey;
            -webkit-print-color-adjust: exact;
            padding: 10px;
        }

        .end {
            /*text-align: end !important;*/
            direction: ltr;
        }

        .right {
            float: right;
        }

        .left {
            float: left;
        }

        .center {
            text-align: center;
        }

        .width-8 {
            width: 8%;
        }

        .width-4 {
            width: 4%;
        }

        .width-10 {
            width: 10%;
        }

        .width-15 {
            width: 15%;
        }

        .width-80 {
            width: 80%;
        }

        .width-12 {
            width: 12%;
        }

        .width-25 {
            width: 25%;
        }

        .width-20 {
            width: 20%;
        }

        .width-70 {
            width: 70%;
        }

        .width-30 {
            width: 30%;
        }

        .width-40 {
            width: 40%;
        }

        .width-50 {
            width: 50%;
        }

        .width-75 {
            width: 75%;
        }

        .width-100 {
            width: 100%;
        }

        .list {
            display: flex;
            float: left;
        }

        .list li {
            padding-right: 10px;
        }

        .row-item {
            display: flex;
        }

        img {
            float: left;
            width: 160px;
        }

        @media print {

            .noprint {
                display: none;
            }

            .gray {
                background-color: lightgrey !important;
                -webkit-print-color-adjust: exact !important;
                padding: 10px;
            }

        }
    </style>

@stop
