@php
    $padding = "10px";
    $font_size = "17px";
    $width   = "calc(50% - ($font_size + ($padding * 2)))";
@endphp
<div style="border: 2px solid #000; border-radius: 10px; padding: 0 20px; margin-bottom: 10px; font-size: {{ $font_size }}">
    <h3 style="position: relative; overflow: hidden;">
        <u style="float: left;"> : Voucher Details </u>
        <u style="float: right;" dir='rtl'> تفاصيل السند : </u>
    </h3>

    <div style="">
        <div style="display: inline-block; width: {{ $width }}; padding: {{ $padding }};">
            <div style="display: flex; justify-content: space-around;">
                <span>رقم المرجع : </span>
                <b> {{ $row->id }} </b>
                <span> : Document No.</span>
            </div>
        </div>

        <div style="display: inline-block; width: {{ $width }}; padding: {{ $padding }};">
            <div  style="display: flex; justify-content: space-around;">
                <span>تاريخ السند : </span>
                <b> {{ \Carbon\Carbon::parse($row->pay_day)->format('d/m/Y') }} </b>
                <span> : Voucher Date</span>
            </div>
        </div>

        <div style="display: inline-block; width: {{ $width }}; padding: {{ $padding }};">
            <div style="display: flex; justify-content: space-around;">
                <span>عملة السند : </span>
                <b> {{ $shop->getCountry?->currency_code }} </b>
                <span> : Currency</span>
            </div>
        </div>

        <div style="display: inline-block; width: {{ $width }}; padding: {{ $padding }};">
            <div  style="display: flex; justify-content: space-around;">
                <span>تاريخ الإيداع : </span>
                <b> {{ \Carbon\Carbon::parse($row->date)->format('d/m/Y') }} </b>
                <span> : Deposit Date</span>
            </div>
        </div>

        <div style="display: inline-block; width: {{ $width }}; padding: {{ $padding }};">
            <div style="display: flex; justify-content: space-around;">
                <span>مندوب المبيعات : </span>
                <b> {{ $collector->name }} </b>
                <span> : Salesperson</span>
            </div>
        </div>

        <div style="display: inline-block; width: {{ $width }}; padding: {{ $padding }};">
            <div style="display: flex; justify-content: space-around;">
                <b>المبلغ : </b>
                <b style="background: #ccc; display: block; width: 30%; text-align: center; padding: 4px 10px; direction: ltr;"> #{{ $row->amount }}# {{ $shop->getCountry?->currency_code }} </b>
                <b> : The amount of</b>
            </div>
        </div>

        <div style="text-align: center;">
            <p> {{ transLatNumbers((float) $row->amount) }} </p>

            <div style="margin-bottom: 10px">
                <div style="display: flex; justify-content: space-around;">
                    <b>الرصيد المتبقي من الفاتورة : </b>
                    <b dir="ltr"> {{ $invoice->rest ?? 0 }} {{  $shop->getCountry?->currency_code }} </b>
                    <b> : Remaining balance of the bill</b>
                </div>
            </div>

            <div style="margin-bottom: 10px">
                <div style="display: flex; justify-content: space-around;">
                    <b>الرصيد الأجمالى على العميل : </b>
                    <b dir="ltr"> {{ $client->balance }} {{  $shop->getCountry?->currency_code }} </b>
                    <b> : The total balance on the customer</b>
                </div>
            </div>
        </div>
    </div>
</div>
