@extends('master::layouts.master')

@section('css-scripts')
    <style type="text/css">
        *{
        margin: 0mm;
        padding: 0mm;
        border: 0mm;
        white-space: initial !important;
    }
        @page{
            size: 700mm auto;
            margin: 0mm;
        }
        body{

        size: 148mm auto;
        }
        table{
            width: 100%;

            border: 2px solid #8E8E8E;
            border-radius: 10px;
            padding : 5px 3px;

        }

            th,td{

                padding-right: 2px;
                font-size: 18px !important;
            }

        #bill{
            width: 90mm;
            height: auto;
            margin: 1mm auto;
            padding: 2mm;
            overflow: hidden;
        }
        .header_row{
            clear:both;
            padding:1mm;
            font-weight: bold;
            text-align: right;
            font-size: 15px;
        }

        .bill_data{
            text-align: right;
        }
        .bill_data span{
            float: left;
        }
        .logo{
            padding:1mm;
            font-family:Arial;
            text-align: center;
            font-size: 18px;
        }
        .logo img{

            height: 40mm;
            width: 60mm;
            text-align :center;

        }
        .logo span{
            float: left;
            text-align: right;
        }
        .logo p{
            font-size: 24px;
            font-weight: bold;
            text-decoration: underline;
        }

        .data{
            padding: 1mm 2mm;
            border:1px solid #000000;
            display: block;
            float: right;
            font-size: 16px;
            height: 16px;
        }
        .price{
            width: 13mm;

        }

        .summery_bill{
            width: 32mm;
            text-align: center

        }
        .serial{
            width: 24mm;
            font-size: 12px;

        }
        .item{
            width: 55mm;

        }
        .quant{
            width: 6mm;
        }
        #badr{
            clear: both;
            margin: 10px;
        }
        #footer{
            clear:both;
            display:block;
            margin-top:10px;
            padding-top :3px;
            text-align: center;
            border: 1px solid #BBBBBB;

        }
        #end{
            clear:both;
            display:block;
            padding: 1mm;
            padding-top: 3mm;
            font-size: 16px;
            text-align: center;
        }
        .net_price{
            text-align: left;
            width: 133mm;
        }
        .net_price span{
            float: right;
        }

        .bill_space{
            clear:both;
            padding-top: 5px;
        }
        .client_balance{
            width: 31.3mm;
            padding-right: 10px;
            font-weight: bold;
        }
        .logo{
            display: block !important;
        }
        @media print {
        body * {
            visibility: hidden;
        }
        #bill, #bill * {
            visibility: visible;
            max-width: 340px;
            margin: auto;
            text-align: center;
            font-size: {{$invoice_settings->font_size}}px !important;
            direction: rtl !important;
            font-family: Arial, Helvetica, sans-serif !important;
            font-weight: bolder !important;
            color: black !important;
            background-color: white !important;
            /* word-break: break-all; */
            white-space: initial !important;
        }
        table,th,td{
                border: 2px solid black !important;
                border-collapse: collapse;
        }
        #bill {
             position: relative;
            left: 0;
            top: 0;
            margin: auto;
            display: block;
        }
        .logo{
            display: block !important;
        }
        img{
            margin: auto;
            display: block;
            text-align: center;
        }
    }

    </style>
@endsection

@section('content')

    @php
        if ($transaction->safe_point_id == $transaction->user_safe_point)
        {
            $pay_stat=__('native.cash');
        }
        else {
            $pay_stat=__('native.Banktransfer');
        }

        $name=$transaction['client_name'];
        $name_title = __('native.supplier_name');

        if (in_array($transaction->client_role, [ 0, 2]))
        {
            $name_title = __('native.client_name');
        }

        if ($transaction->type == 2) // سند قبض من عميل
        {
            $old= $transaction['balance'] + $transaction['amount'];
            $title=__('native.safe_deposit');
        }
        else if ($transaction->type == 9) // سند صرف لعميل
        {
            $old=$transaction['balance'] - $transaction['amount'];
            $title=__('native.Withdraw_from_the_safe');
        }
    @endphp


    <div id="bill" >
        <div class="logo" >
            <img src="{{ getLogoPath() }}" style="margin: auto;">
        </div>
        <div class="text-center">{!! $invoice_settings->bill_header !!}</div>
        <div  class="header_row">
        </div>
        <div id="bill_detail">
            <table class="table" role="presentation">

                <tbody class="text-center">
					<!--<tr>-->
     <!--                   <td></td>-->
     <!--                   <td>{{ $title }}</td>-->
     <!--               </tr>-->
					<tr>
                        <td class="text-center"> {{ __('native.TheDate') }} </td>
                    </tr>
                    
                    <tr>
                        <td> {{ $transaction['pay_day'] }}</td>
                    </tr>
                    
                    <tr>
                        <td class="text-center"  > {{ $name_title  }} </td>
                    </tr>
                    
                    <tr>
                        <td> {{ $name }}</td>
                    </tr>
                    
                    @if ($transaction->collector)
                        <tr>
                            <td class="text-center"> المندوب </td>
                        </tr>
                        <tr>
                            <td> {{ $transaction->collector->name }}</td>
                        </tr>
                    @endif
                    <tr >
                        <td class="text-center" style="border:2px solid;"> {{__('native.client_prev_balance') }}</td>
                    </tr>
                    <tr>
                        <td style="border:2px solid;"> {{ $old  }}</td>
                    </tr>
                    
					<tr>
    					<td class="text-center"> {{ __('native.amount_paid') }}</td>
					</tr>
					<tr>
    					<td> {{ $transaction['amount'] }}</td>
					</tr>

				    <tr class="text-center" >
                        <td style="border:2px solid;"> {{__('native.current_balance') }}</td>
                    </tr>
                    <tr>
                        <td style="border:2px solid;"> {{$transaction['balance']  }}</td>
                    </tr>
                    <tr class="text-center">
                        <td> {{__('native.PaymentType') }}</td>
                    </tr>
                    <tr>
                        <td> {{$pay_stat  }}</td>
                    </tr>
                    <tr class="text-center">
                        <td> تفاصيل</td>
                    </tr>
                    <tr>
                        <td> {{$transaction['notes']  }}</td>
                    </tr>
                </tbody>
            </table>

        </div>
        <div id="end" >
            {!! $invoice_settings->message_bill !!}
        </div>
    </div>

@endsection

@section('js-scripts')
    <script >
        $(function(){
            window.print();
        });
    </script>
@endsection
