@extends('master::layouts.master')
@section('css-scripts')
    <style>
        #section-to-print{
            font-size: {{$invoice_settings->font_size}}px !important;
            white-space: initial !important;
            max-width: 100%;
        }

        @page {
                margin: 0mm;
            }

        @media print {
            body * {
                visibility: hidden;
                /* display: none; */
            }
            .table td, .table th, .table{
                border: 1px solid black;
                border-collapse: collapse;
            }
            #main_side_bar, .global-header, #eJOY__extension_root{
                height: 1px;
                display: none !important;
                padding: 0px !important;
                margin: 0px !important;
            }
            .container{
                width: 100% !important;
            }
            #section-to-print * {
                    visibility: visible;
                    margin-top: 0px;
                    font-size: {{$invoice_settings->font_size}}px !important;
                    direction: rtl !important;
                    font-family: Arial, Helvetica, sans-serif !important;
                    font-weight: bolder !important;
                    color: black !important;
                    background-color: white !important;
                    white-space: initial !important;
            }
            @media print {
                table{
                    width: 100%;
                }
            }
        }

        #section-to-print table {
                border: 3px solid rgb(24, 24, 24);
                border-collapse: collapse !important;
                width: 100% !important;
                font-weight: bold;
            }

            #section-to-print table th, #section-to-print table td {
                border: 2px solid #000 !important;
                padding: 0 10px !important;
            }

    </style>
@endsection

@section('content')
    <div class="container" id="section-to-print">

        <div style="margin-top: 5px">
            @if ($invoice?->shop?->apply_vats)
                @if ($invoice?->client?->client_tax_number)
                    <h2 style="text-align: center;"> فاتورة ضريبية </h2>
                    <h2 style="text-align: center;"> Tax Invoice </h2>
                @else
                    <h2 style="text-align: center;"> فاتورة ضريبية مبسطة </h2>
                    <h2 style="text-align: center;"> Simplified Tax Invoice </h2>
                @endif
            @else
                <h2 style="text-align: center;"> ايصال استلام </h2>
            @endif
        </div>

        <div class="text-center" style=" color: #000"> {!! $invoice_settings->bill_header !!} </div>


        <div style="margin: 5px 0; display: flex; width: 100%">
            <img src="{{ asset($invoice?->shop?->logo_path) }}" alt="logo" width="200px" height="100%">

            <div style="width: 200px"> {!! $invoice?->qr !!} </div>

            <div style="width: 70%; margin-right: auto;">
                <table style="width: 100%">
                    <tr>
                        <td class="text-right"> تاريخ إصدار الفاتورة </td>
                        <td class="text-center"> {{ $row ? \Carbon\Carbon::parse($row->date)->format('Y-m-d') : '' }} </td>
                        <td class="text-left"> Invoice Issue Date </td>
                    </tr>
                    <tr>
                        <td class="text-right"> وقت إصدار الفاتورة </td>
                        <td class="text-center"> {{ $row ? \Carbon\Carbon::parse($row->date)->format('H:i:s-A') : '' }} </td>
                        <td class="text-left"> Invoice Issue Time </td>
                    </tr>
                </table>
            </div>
        </div>

        <div style="margin-bottom: 5px">
            <table style="width: 100%">
                <thead>
                    <tr>
                        <th class="text-right">العميل</th>
                        <th></th>
                        <th class="text-left">Buyer</th>
                        <th class="text-right">المؤسسة</th>
                        <th></th>
                        <th class="text-left">Institution</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td class="text-right">الإسم</td>
                        <td class="text-center"> {{ $invoice?->client?->client_name }} </td>
                        <td class="text-left"> Name </td>
                        <td class="text-right">الإسم</td>
                        <td class="text-center"> {{ $invoice->shop?->shop_name }} </td>
                        <td class="text-left"> Name </td>
                    </tr>
                    <tr>
                        <td class="text-right">العنوان</td>
                        <td class="text-center"> {{ $invoice?->client?->address }} </td>
                        <td class="text-left"> Address </td>
                        <td class="text-right">العنوان</td>
                        <td class="text-center"> {{ $invoice->shop?->address }} </td>
                        <td class="text-left"> Address </td>
                    </tr>
                    @if ($invoice->shop->apply_vats)
                        <tr>
                            <td class="text-right">رقم تسجيل القيمة المضافة</td>
                            <td class="text-center"> {{ $invoice?->client?->client_tax_number }} </td>
                            <td class="text-left"> VAT Number </td>
                            <td class="text-right">رقم تسجيل القيمة المضافة</td>
                            <td class="text-center"> {{ $invoice_settings?->vat_number }} </td>
                            <td class="text-left"> VAT Number </td>
                        </tr>
                    @endif
                </tbody>
            </table>
        </div>


        <div style="width: 100%">
            <table style="width: 100%">
                <thead>
                    <tr>
                        <td colspan="4" class="text-right">توصيف السلعة أو الخدمة</td>
                        <td colspan="4" class="text-left">Line Items:</td>
                    </tr>
                    <tr>
                        @php
                            $vat = $invoice->vats->first()?->vat_value ?? 0;
                            $net_price = $row->amount ?? 0;
                            $amount = $net_price / (1 + ($vat / 100));
                            $vat_weight =  $net_price - $amount;
                            $discount = 0;
                        @endphp

                        <td>البند</td>
                        <td>الوصف</td>
                        <td>الكمية</td>
                        <td>و.ق</td>
                        @if ($invoice?->shop->apply_vats)
                          @if($invoice?->client?->client_tax_number)
                            <td>المبلغ الخاضع للضريبة</td>
                                <td>نسبة الضريبة</td>
                                <td>مبلغ الضريبة</td>
                            @endif
                            <td>المجموع شامل ضريبة القيمة المضافة</td>
                        @else
                            <td>المجموع</td>
                        @endif
                    </tr>
                </thead>

                <tbody>
                    <tr>
                        <td>{!! $row->notes ?? 'دفعة مقدمة' !!}</td>
                        <td></td>
                        <td>1</td>
                        <td></td>
                        <td>{{ round_money($amount) }}</td>
                        @if ($invoice?->shop->apply_vats && $client->client_tax_number)
                            <td>{{ $vat }}%</td>
                            <td>{{ round_money($vat_weight) }}</td>
                            <td>{{ round_money($net_price) }}</td>
                        @endif
                    </tr>
                </tbody>
            </table>

            <table style="margin: 5px 0">
                <thead>
                    <tr>
                        <th colspan="2" class="text-right">إجمالي المبلغ</th>
                        <th colspan="2" class="text-left">Total Amount</th>
                    </tr>
                </thead>

                <tbody>
                    @if ($invoice?->shop->apply_vats)
                        <tr>
                            <td class="text-center">{{ round_money($amount ?? 0, true) }}</td>
                            <td class="text-right">الإجمالي غير شامل ضريبة القيمة المضافة</td>
                            <td colspan="2" class="text-left">Total Excluding VAT</td>
                        </tr>
                    @else
                        <tr>
                            <td class="text-center">{{ round_money($amount ?? 0, true) }}</td>
                            <td class="text-right">الإجمالي</td>
                            <td colspan="2" class="text-left">Total</td>
                        </tr>
                    @endif

                    <tr>
                        <td class="text-center">{{ round_money($discount, true) }}</td>
                        <td class="text-right">مجموع الخصومات</td>
                        <td colspan="2" class="text-left">Discount</td>
                    </tr>

                    @if ($invoice?->shop->apply_vats)
                        <tr>
                            <td class="text-center">{{ round_money($amount - $discount, true) }}</td>
                            <td class="text-right">الإجمالي الخاضع للضريبة غير شامل ضريبة القيمة المضافة</td>
                            <td colspan="2" class="text-left">Total Taxable Amount Excluding VAT</td>
                        </tr>

                        <tr>
                            <td class="text-center">{{ round_money($vat_weight, true) }}</td>
                            <td class="text-right">مجموع ضريبة القيمة المضافة</td>
                            <td colspan="2" class="text-left">Total VAT</td>
                        </tr>
                    @endif

                    <tr>
                        <td class="text-center">{{ round_money($net_price - $discount, true) }}</td>
                        <td class="text-right">إجمالي المبلغ المستحق</td>
                        <td colspan="2" class="text-left">Total Amount Due</td>
                    </tr>

                    <tr>
                        <td colspan="4" class="text-center">{{ transLatNumbers($net_price) }}</td>
                    </tr>

                    @if ($row->collector)
                        <tr>
                            <td class="text-center">المندوب</td>
                            <td colspan="2" class="text-center">{{ $row->collector?->name }}</td>
                            <td class="text-center">Supplier</td>
                        </tr>
                    @endif
                </tbody>
            </table>
        </div>

        <div class="mt-2 text-center" style=" color: #000">
            {!! $invoice_settings->message_bill !!}
        </div>

    </div>
@endsection
