@extends('master::layouts.master')

@section('content')
    <div class="wrapper card card-light mb-1_5 p-3">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <h1 class="title-page inline-block text-info" id="title_text"> 
                        @lang('reports.Added_value_report_on_receipt_payment')  </h1>
                    @include('debentures::reports.additions.filter')
                </div>
            </div>

            @include('debentures::reports.additions.table')
        </div>
    </div>
@stop

@section('js-scripts')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    @include('master::js.export-functions')

    <script>
        $(function () {
            if ('{{ get_session_val('date_type', 'Integer') }}' == '2'){
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });
            }else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"

                });
            }


        })
    </script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script>
        $('.selectpicker').selectpicker({
            size: 8,
            style: 'btn-default',
        });
    </script>


    <script>
        $(function() {
            $('#filter-form').on('submit', function(e) {
                e.preventDefault();
                let form = $(this);
                form.find('button').attr('disabled', true);
                $('#main_table').addClass('load');
                $.ajax({
                    url: form.attr('action'),
                    type: form.attr('method'),
                    data: form.serialize(),
                    success: function(response) {
                        $('#main_table').removeClass('load').find('tbody').empty().append(response);
                    },
                    complete: function() {
                        form.find('button').removeAttr('disabled');
                    }
                });
            });

            $('#filter-form').submit();
        })
    </script>

@stop

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
@stop
