@php $total_vats = $total_net = $total_without_vat = 0 @endphp
@foreach ($rows as $row)
    @php
        $vat = $row->invoice?->vats?->first()?->vat_value ?? 0;
        $installment_amount = $row->amount ?? 0;
        $amount = $installment_amount / (1 + ($vat / 100));
        $vat_weight =  $installment_amount - $amount;
        $discount = 0;

        $total_vats += $vat_weight;
        $total_net += $installment_amount;
        $total_without_vat += $amount;
    @endphp
    <tr>
        <td class="text-center">{{ $loop->iteration }}</td>
        <td class="text-center">
            <a href="{{ route('invoices.show', $row->bill_id) }}" target="_blank">{{ $row->invoice->bill_no }}</a>
        </td>
        <td class="text-center">
            <a href="{{ route('debentures.print', $row->id) }}" target="_blank">{{ $row->id }}</a>
        </td>
        <td class="text-center">{{ $row->date_time }}</td>
        <td>{{ $row->client->client_name }}</td>
        <td class="text-center">{{ $row->client->client_tax_number }}</td>
        <td class="text-center">{{ price_decimal($amount) }}</td>
        <td class="text-center">{{ $vat }}%</td>
        <td class="text-center">{{ price_decimal($vat_weight) }}</td>
        <td class="text-center">{{ $installment_amount }}</td>
    </tr>
@endforeach
<tr class="info text-center">
    <td colspan="6">  @lang('native.Total') </td>
    <td> {{ price_decimal($total_without_vat) }}</td>
    <td></td>
    <td> {{ price_decimal($total_vats) }}</td>
    <td> {{ price_decimal($total_net) }}</td>
</tr>
