<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::prefix('debentures')->group(function() {
//     Route::get('/', 'DebenturesController@index');
// });

Route::group(['middleware' => ['web', 'auth'], 'prefix' => 'debentures'], function () {
    Route::group(['middleware' => 'auth'], function () {
        Route::get('/payment-receipt', 'DebenturesController@PaymentReceipt')->name("debentures.payment-receipt");
        Route::post('/payment-receipt-store', 'DebenturesController@PaymentReceiptStore')->name("debentures.payment-receipt-store");
        Route::get('/cash-receipt', 'DebenturesController@CashReceipt')->name("debentures.cash-receipt");
        Route::post('/cash-receipt-store', 'DebenturesController@CashReceiptStore')->name("debentures.cash-receipt-store");
        Route::get('/', 'DebenturesController@index');

        Route::get('/add-collect-permission', 'CollectPermissionController@AddCollectPermission')->name("debentures.add-collect-permission");
        Route::get('/collect-permissions', 'CollectPermissionController@CollectPermissions')->name("debentures.collect-permissions");
        Route::get('/collect-permission-store', 'CollectPermissionController@CollectPermissionStore')->name("debentures.collect-permission-store");
        Route::get('/collect-permission-insure/{id}', 'CollectPermissionController@CollectPermissionInsure')->name("debentures.collect-permission-insure");
        Route::get('/collect-permission-delete/{id}', 'CollectPermissionController@CollectPermissionDelete')->name("debentures.collect-permission-delete");

        Route::get('/available-bills', 'DebenturesController@availableBills')->name('debentures.available-bills');

        Route::post('/receipt-payment', 'DebenturesController@receiptPayment')->name("debentures.receipt-payment");

        Route::get('/print-receipt/{id}', 'DebenturesController@printReceipt')->name('debentures.print-receipt');

        Route::get('/suppliers-later', 'supplierReport@index')->name("debentures.suppliers-later");
        Route::post('/supplier-receipt-payment', 'supplierReport@suplierReceiptPayment')->name("debentures.supplier-receipt-payment");

    });

    // Route::get('/print/{id?}', 'CollectPermissionController@print')->name("debentures.print");
    Route::get('/print-pro-invoice', 'CollectPermissionController@printProFormaInvoice')->name("debentures.print-pro-invoice");
    Route::get('/print/{id}', 'DebenturesController@print')->name("debentures.print");

    
    
    Route::match(['get', 'post'], 'report/addetions', 'DebentureReportController@addetions')->name('debentures.report.addetions');
});

Route::post('send/whatsapp/debenture/{debenture}/client/{client}', 'DebenturesController@sendWhatsAppMessage')->name('debenture.send.whatsapp.message');