<?php

namespace Modules\Delivery\Entities;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;

class Invoices extends Model
{
    protected $guarded = ['id'];
    protected $table = 'invoices_';
    public $timestamps = false;
    protected $dates = [
        'delivery_date',
        'done_date'
    ];

    public function client()
    {
        return $this->belongsTo(Client::class)->whereIntegerInRaw('client_role', [0, 2]);
    }

    public function delivery()
    {
        return $this->belongsTo(DeliveryMan::class, 'delivery_man_id')->withDefault([
            'name' => 'غير محدد',
            'phone' => '',
        ]);
    }
    }
