@extends('master::layouts.master')

@section('css-scripts')
    <style>
        .pagination {
            justify-content: center;
        }

        @media print {
            .noprint {
                display: none !important;
            }
            #print_div{
                display: none !important;
            }
        }
    </style>

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
@endsection

@section('content')
    <div class="validation_errors"></div>
    <ul class="list-unstyled text-center alert alert-success success_msg hidden"></ul>
    <ul class="list-unstyled text-center alert alert-danger error_msg hidden"></ul>

    <div class="card mb-1_5 pt-1_5 col-md-12" style="">

    <h1 class="text-center title-page text-info mb-4 mt-3" id="title_text">
        {{ !request('done') ? __('delivery.delivery_order_report') : __('delivery.completed_orders_report') }}</h1>

    <!-- start filter -->
    @include('delivery::delivery_report.partials.filter', compact('clients', 'delivery_men'))
    <!-- end filter -->

    <!-- start table -->
    @include('delivery::delivery_report.partials.table', $bills)
    <!-- end table -->

    </div>
@endsection

@section('js-scripts')
    @include('master::js.export-functions')

    <script>
        $('.confirm_delivery_man').click(function() {
            let el = $(this).closest('tr'),
                bill_id = $(this).data('bill_id'),
                delivery_man_id = el.find('select option:selected').val(),
                url = '{{ route('delivery-report.confirm-delivery') }}',
                data = {
                    '_token': '{{ csrf_token() }}',
                    'bill_id': bill_id,
                    'delivery_man_id': delivery_man_id
                };

            if (delivery_man_id == '-1') {
                alert('{{ __('delivery.select_delivery_man') }}');
                return false;
            }

            if (confirm('{{ __('delivery.follow_up_order_confirmation') }}')) {
                $.post(url, data, function(response) {
                    if (response.status) {
                        if (response.remove == true) {
                            el.closest('tr').remove();
                        } else {
                            el.replaceWith(response.data);
                        }

                        $(document).find('.success_msg').removeClass('hidden').append( '<li>{{ __('delivery.the_request_has_been_confirmed_successfully') }}</li>');
                        setTimeout(() => {
                            $(document).find('#bill_id-' + bill_id).removeClass('alert-success');
                            $(document).find('.success_msg').empty().addClass('hidden');
                        }, 1500);
                    } else {
                        $('.validation_errors').empty().append(response.data);
                    }
                });
                return true;
            }
            return false;
        });


        $(document).on('click', '.confirm_payment', function() {
            let el = $(this).closest('tr'),
                bill_id = $(this).data('bill_id'),
                url = '{{ route('delivery-report.confirm-payment') }}',
                data = {
                    '_token': '{{ csrf_token() }}',
                    'bill_id': bill_id
                };
            if (confirm('{{ __('delivery.follow_up_the_payment_of_the_request') }}')) {
                $.post(url, data, function(response) {
                    if (response.status) {
                        el.addClass('alert-success');
                        $(document).find('.success_msg').removeClass('hidden').append('<li>{{ __('delivery.the_request_has_been_successfully_paid') }}</li>');
                        setTimeout(() => {
                            el.remove();
                            $(document).find('.success_msg').empty().addClass('hidden');
                        }, 1500);
                    } else {
                        $('.validation_errors').empty().append();
                        $(document).find('.error_msg').removeClass('hidden').append('<li>' + response.data +
                            '</li>');
                        setTimeout(() => {
                            el.remove();
                            $(document).find('.error_msg').empty().addClass('hidden');
                        }, 1500);
                    }
                });
                return true;
            }
            return false;
        });
    </script>

    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>


    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}">
        < script src = "{{ asset('tickets/jquery.timepicker.js') }}" >
    </script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>
    <script src="{{ asset('js/reports/columnsControls.js') }}"></script>
    <script>
        $(function() {

            $(".date").calendarsPicker({
                calendar: $.calendars.instance('gregorian'),
                dateFormat: 'Y-mm-dd',

            });

        })
        // added
        $('#select_viewed_cols').html(
            getColsControls(2)
        );
    </script>
@endsection
