<!-- start delivery report table -->
<div class="table-responsive">
    <table class="zui-table zui-table-rounded table" id="table2excel">
        <thead>
        <tr>
            <th scope="col">{{ __('delivery.bill_no') }}</th>
            <th scope="col">{{ __('delivery.client_name') }}</th>
            <th scope="col">{{ __('delivery.net') }}</th>
            <th scope="col">{{ __('delivery.phone') }}</th>
            <th scope="col">{{ __('delivery.address') }}</th>
            <th scope="col">{{ __('delivery.delivery_man') }}</th>
            @if(!request('done'))
                <th scope="col" class="noprint">{{ __('delivery.action') }}</th>
            @endif
        </tr>
        </thead>
        <tbody class="section">
        @foreach($bills as $bill)
            <tr>
                <td>{{ $bill->bill_no }}</td>
                <td>{{ $bill->client ? $bill->client->client_name : '' }}</td>
                <td>{{ round_money($bill->net_price) }}</td>
                <td>{{ $bill->client ? $bill->client->mobile1 : '' }}</td>
                <td>{{ $bill->client ? $bill->client->address : '' }}</td>
                <td class="d-flex justify-content-center">
                    @if(is_null($bill->delivery_date))
                        <select class="form-control col-md-7 noprint">
                            <option style="display: none" value="-1">{{ __('delivery.select_delivery_man') }}</option>
                            @foreach($delivery_men as $delivery_man)
                                <option value="{{ $delivery_man->id }}" @if($bill->delivery_man_id == $delivery_man->id) selected @endif>
                                    {{ $delivery_man->name }}
                                </option>
                            @endforeach
                        </select>
                    @else
                        <p>
                        {{ __('delivery.delivery_man') }} : {{ $bill->delivery->name }} <br>
                        <span class="noprint">
                            {{ __('delivery.deliver_date') }} : {{ \Carbon\Carbon::parse($bill->delivery_date)->format('Y-m-d h:i:s a') }}
                            @if(request('done'))
                                <br>
                                {{ __('delivery.date_of_receipt') }} : {{ \Carbon\Carbon::parse($bill->done_date)->format('Y-m-d h:i:s a') }}
                            @endif
                        </span>
                        </p>
                    @endif
                </td>

                <td class="noprint">
                    @if(!request('done'))
                        @if(is_null($bill->delivery_date))
                            <a href="#" class="btn btn-primary confirm_delivery_man" data-bill_id="{{ $bill->id }}">{{ __('delivery.confirm') }}
                                <i class="fa fa-motorcycle"></i></a>
                        @else
                            <a href="#" class="btn btn-primary confirm_payment" data-bill_id="{{ $bill->id }}">
                                {{ __('delivery.confirm_payment') }}
                                <i class="fa fa-money"></i></a>
                        @endif
                    @endif
                </td>
            </tr>
        @endforeach
        </tbody>
        <tfoot>
        <tr>
            <td colspan="2">{{ __('delivery.requests_total_per_page') }}</td>
            <td>{{ round_money($bills->sum('net_price')) }}</td>
            <td>{{ __('delivery.request_count_per_page') }}</td>
            <td>{{ $bills->count() }}</td>
            <td colspan="2" class="noprint"></td>
        </tr>
        <tr>
            <td colspan="2">{{ __('delivery.all_requests_total') }}</td>
            <td>{{ round_money($total_bills_net_price)  }}</td>
            <td>{{ __('delivery.all_request_count') }}</td>
            <td>{{ $bills->total() }}</td>
            <td colspan="2" class="noprint"></td>
        </tr>
        </tfoot>
    </table>
</div>
<!-- start delivery report table -->

<!-- start pagination -->
<div class="noprint">
    {!! $bills->appends(request()->capture()->except('page'))->render() !!}
</div>
<!-- end pagination -->
