<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::group(['middleware' => ['web', 'auth'], 'prefix' => 'delivery'], function () {

    Route::group(['prefix' => 'delivery-man', 'as' => 'delivery-man.'], function (){
        Route::get('/', 'DeliveryManController@index')->name('index');
        Route::post('/store', 'DeliveryManController@store')->name('store');
        Route::post('/update', 'DeliveryManController@update')->name('update');
        Route::post('/destroy', 'DeliveryManController@destroy')->name('destroy');
        Route::get('/table', 'DeliveryManController@getIndexTable')->name('table');
        Route::post('/edit-modal-body', 'DeliveryManController@getEditModalBody')->name('edit-modal-body');
    });

    Route::group(['prefix' => 'regions', 'as' => 'regions.'], function () {
        Route::get('/', 'RegionController@index')->name('index');
        Route::post('/store', 'RegionController@store')->name('store');
        Route::post('/update', 'RegionController@update')->name('update');
        Route::post('/destroy', 'RegionController@destroy')->name('destroy');
        Route::get('/table', 'RegionController@getIndexTable')->name('table');
        Route::post('/edit-modal-body', 'RegionController@getEditModalBody')->name('edit-modal-body');
    });

    Route::group(['prefix' => 'services', 'as' => 'services.'], function () {
        Route::get('/', 'ServicesController@index')->name('index');
        Route::post('/store', 'ServicesController@store')->name('store');
        Route::post('/update', 'ServicesController@update')->name('update');
        Route::post('/destroy', 'ServicesController@destroy')->name('destroy');
        Route::get('/table', 'ServicesController@getIndexTable')->name('table');
        Route::post('/edit-modal-body', 'ServicesController@getEditModalBody')->name('edit-modal-body');
    });

    Route::group(['prefix' => 'periods', 'as' => 'periods.'], function () {
        Route::get('/', 'PeriodsController@index')->name('index');
        Route::post('/store', 'PeriodsController@store')->name('store');
        Route::post('/update', 'PeriodsController@update')->name('update');
        Route::post('/destroy', 'PeriodsController@destroy')->name('destroy');
        Route::get('/table', 'PeriodsController@getIndexTable')->name('table');
        Route::post('/edit-modal-body', 'PeriodsController@getEditModalBody')->name('edit-modal-body');
    });

    Route::group(['prefix' => 'report', 'as' => 'delivery-report.'], function () {
        Route::get('/', 'DeliveryReportController@index')->name('index');
        Route::post('/confirm-delivery', 'DeliveryReportController@confirmDelivery')->name('confirm-delivery');
        Route::post('/confirm-payment', 'DeliveryReportController@confirmPayment')->name('confirm-payment');
    });
});
