<?php

namespace Modules\EInvoice\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class EinvoiceItemCode extends Model
{
    use HasFactory;

    protected $table   = 'einvoice_item_codes';
    protected $guarded = [];
    public $timestamps = false;
    protected $dates = ['requestCreationDateTimeUtc', 'codeCreationDateTimeUtc', 'activeFrom', 'activeTo'];

    protected static function newFactory()
    {
        return \Modules\EInvoice\Database\factories\EinvoiceItemCodeFactory::new();
    }

    public function item()
    {
        return $this->belongsTo(Item::class, 'itemCode', 'item_einvoice_code');
    }

    protected static function boot ()
    {
        parent::boot();

        static::addGlobalScope('shop_id', function ($query) {
            $query->where('einvoice_item_codes.shop_id', get_session_val('serial_id', 'integer'));
        });

        static::creating(function ($model) {
            $model->shop_id = get_session_val('serial_id', 'integer');
        });
    }
}
