<?php

namespace Modules\EInvoice\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Modules\Invoices\Entities\Invoices;

class Einvoices extends Model
{
    use HasFactory, RoundingAttributesTrait;

    protected $table   = 'einvoices';
    protected $guarded = [];
    protected $appends = ['bill_no'];
    public $timestamps = false;
    protected $dates   = [
        "dateTimeIssued",
        "dateTimeReceived",
        "cancelRequestDate",
        "rejectRequestDate",
        "cancelRequestDelayedDate",
        "rejectRequestDelayedDate",
        "declineCancelRequestDate",
        "declineRejectRequestDate",
        "canbeCancelledUntil",
        "canbeRejectedUntil"
    ];

    public function invoice()
    {
        return $this->belongsTo(Invoice::class, 'invoice_id', 'id')->withDefault(['invoice_id' => 0]);
    }

    public function details()
    {
        return $this->hasMany(EinvoiceDetail::class, 'einvoice_id', 'id');
    }

    protected static function newFactory()
    {
        return \Modules\EInvoice\Database\factories\EinvoicesFactory::new();
    }

    public function getBillNoAttribute()
    {
        return Invoices::where('id', $this->invoice_id)->first(['bill_no'])->bill_no ?? null;
    }
}
