<?php

namespace Modules\EInvoice\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class Invoice extends Model
{
    use RoundingAttributesTrait;
    protected $table   = 'invoices_';
    protected $guarded = [];
    public $timestamps = false;
    public $with       = ['issuer', 'reciever'];

    public function einvoice()
    {
        return $this->hasOne(Einvoices::class, 'id', 'einvoice_id');
    }

    public function details()
    {
        return $this->hasMany(InvoiceDetail::class, 'invoice_id');
    }

    public function vats()
    {
        return $this->hasMany(InvoiceVat::class, 'invoice_id');
    }

    public function issuer()
    {
        return $this->hasOne(Clients::class, 'id', 'add_user');
    }

    public function reciever()
    {
        return $this->hasOne(Clients::class, 'id', 'client_id');
    }
}
