<?php

namespace Modules\EInvoice\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class InvoiceDetail extends Model
{
    use RoundingAttributesTrait;
    protected $table   = 'invoices_details';
    protected $guarded = [];
    public $timestamps = false;

    public function invoice()
    {
        return $this->belongsTo(Invoice::class, 'invoice_id');
    }

    public function unit()
    {
        return $this->belongsTo(Unit::class, 'unit_id');
    }

    public function vats()
    {
        return $this->hasMany(InvoiceVat::class, 'invoice_id');
    }
}
