<?php

namespace Modules\EInvoice\Entities;

use Illuminate\Database\Eloquent\Model;

class Settings extends Model
{
    protected $table = 'einvoice_settings';

    protected $fillable = [
        'shop_id',
        'company_name',
        'activity_id',
        'branch_id',
        'country_id',
        'currency_id',
        'internal_id',
        'registration_id',
        'client_id',
        'client_secret',
        'thumbprint',
        'client_id_live',
        'client_secret_live',
        'is_live',
    ];

    public $timestamps = false;

    public function scopeShop($query)
    {
        return $query->where('shop_id', get_session_val('serial_id', 'integer'));
    }

    public static function getThumbprint()
    {
        return self::select('thumbprint')->first()->thumbprint ?? '';
    }
    public function getCurrencyTextAttribute()
    {
        $currency = Country::where('currency_code', $this->currency_id)->first();
        return app()->isLocale('en') ? $currency->currency_name_en : ($currency->currency_name_ar  ?? '');
    }
}
