<?php

namespace Modules\EInvoice\Http\Controllers;

use App\Services\Einvoice\Einvoice;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Illuminate\Support\Arr;

class NotificationController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index(Request $request)
    {
        //Get query parameters
        $pageSize = 20;
        $query = $this->getUrlQuery($request, $pageSize);

        $Allnotifications = Einvoice::getNotification($query);
        $notifications = $Allnotifications['result'] ?? collect();
        $totalCount = isset($Allnotifications['metadata']) ? $Allnotifications['metadata']['totalCount'] : 0;

        // Search in notifications.
        if ($request->has('search') && !in_array($request->search, ['', ' ', null])) {
            $notifications = collect($notifications)->filter(function ($notification) use ($request) {
                return $notification['notificationId'] == $request->search
                    || $notification['address'] == $request->search
                    || $notification['finalMessage'] == $request->search;
            });
        }

        $notifications = !is_null($notifications)
            ? paginate($notifications, $pageSize, $totalCount)
            : $notifications;

        return view('einvoice::notifications.index', compact('notifications'));
    }

    /**
     * Get query parameters.
     *
     * @param request
     * @param pageSize
     * @return Response
     */
    public function getUrlQuery($request, $pageSize = 20)
    {
        $urlQuery = [];
        foreach ($request->query() as $key => $value) {
            if (!empty($value)) {
                $urlQuery[$key] = $value;
            } else {
                unset($urlQuery[$key]);
            }
        }
        $currentQueries = Arr::except($urlQuery, ['search']);
        $newQueries = [
            'language' => app()->getLocale(),
            'pageSize' => $pageSize,
            'pageNo' => $request->page ?? 1,
        ];
        $allQueries = array_merge($currentQueries, $newQueries);
        $query = http_build_query($allQueries);

        return $query;
    }

    /**
     * Receive notification.
     *
     * @param request
     * @return Response
     */
    public function receive(Request $request)
    {
        // $einvoice = new Einvoice();
        $token = 'hnsNh3bPaEPoWswuKzOh8I3EkK9dkLKVwoLccruRkF0YDmlWmFPpPRijBguD8lmsKsfzDs0ojmCeGHBhc7k8EkD9N7gZvcLry28e';

        echo $token;
    }
}
