@extends('master::layouts.master')

@section('content')
    <div class="container-fluid">

        <h1 class="text-primary">
            {{ __('einvoice.egscode.title', ['name' => app()->isLocale('ar') ? $itemCode['codeNameAr'] : $itemCode['codeName']]) }}
        </h1>

        <div class="row mt-3">
            <form class="col-md-12" method="POST">
                @csrf
                @method('PUT')

                {{--  --}}
                <input type="hidden" name="codeID" value="{{ $itemCode['codeID'] }}">
                <input type="hidden" name="status" value="{{ $itemCode['status'] }}">

                {{-- Code Type & Item E-Invoice Code --}}
                <div class="form-row row">
                    <div class="form-group col-md-6">
                        <label for="codeType" class="control-label">{{ __('einvoice.egscode.CodeType') }}
                            :</label>
                        <input type="text" name="codeType" id="codeType" class="form-control col-md-12" value="EGS"
                            disabled>
                    </div>
                    <div class="form-group col-md-6">
                        <label class="control-label" for="itemCode">{{ __('einvoice.egscode.itemCode') }}
                            :</label>
                        <input type="text" class="form-control col-md-12" name="itemCode" id="itemCode"
                            value="{{ $itemCode['itemCode'] }}" @if ($itemCode['status'] != 'Submitted') disabled @endif>
                    </div>
                </div>

                {{-- Code Name Ar & En --}}
                <div class="form-row row">
                    <div class="form-group col-md-6">
                        <label for="codeNameAr" class="control-label">{{ __('einvoice.egscode.CodeNameAR') }}
                            :</label>
                        <input type="text" name="codeNameAr" id="codeNameAr" class="form-control col-md-12"
                            value="{{ $itemCode['codeNameSecondaryLang'] }}" @if ($itemCode['status'] != 'Submitted') disabled @endif>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="codeNameEn" class="control-label">{{ __('einvoice.egscode.CodeNameEN') }}
                            :</label>
                        <input type="text" name="codeName" id="codeNameEn" class="form-control col-md-12"
                            value="{{ $itemCode['codeNamePrimaryLang'] }}" @if ($itemCode['status'] != 'Submitted') disabled @endif>
                    </div>
                </div>

                {{-- Parent Code Ar & EN --}}
                <div class="form-row row">
                    <div class="form-group col-md-6">
                        <label for="parentCodeNameAr" class="control-label">{{ __('einvoice.itemcodes.parentCodeAr') }}
                            :</label>
                        <input type="text" name="parentCodeNameAr" id="parentCodeNameAr" class="form-control col-md-12"
                            value="{{ $itemCode['parentCodeNameSecondaryLang'] }}" @if ($itemCode['status'] != 'Submitted') disabled @endif>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="parentCodeName" class="control-label">{{ __('einvoice.itemcodes.parentCodeEn') }}
                            :</label>
                        <input type="text" name="parentCodeName" id="parentCodeName" class="form-control col-md-12"
                            value="{{ $itemCode['parentCodeNamePrimaryLang'] }}" @if ($itemCode['status'] != 'Submitted') disabled @endif>
                    </div>
                </div>



                {{-- Parent Code & Active --}}
                <div class="form-row row">
                    <div class="form-group col-md-6">
                        <label for="parentItemCode" class="control-label">{{ __('einvoice.egscode.ParentCode') }}
                            :</label>
                        <input type="text" name="parentItemCode" id="parentItemCode" class="form-control col-md-12"
                            value="{{ $itemCode['parentItemCode'] }}" @if ($itemCode['status'] != 'Submitted') disabled @endif>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="active" class="control-label">{{ __('einvoice.egscode.Active') }}
                            :</label>
                        <input type="text" name="active" id="active" class="form-control col-md-12"
                            value="{{ $itemCode['active'] == 1 ? __('einvoice.yes') : __('einvoice.no') }}" disabled>
                    </div>
                </div>

                {{-- Code Description Ar & En --}}
                <div class="form-row row">
                    <div class="form-group col-md-6">
                        <label for="descriptionAr" class="control-label">{{ __('einvoice.egscode.CodeDescAR') }}
                            :</label>
                        <input type="text" name="codeDescriptionSecondaryLang" id="descriptionAr"
                            class="form-control col-md-12" value="{{ $itemCode['descriptionSecondaryLang'] }}">
                    </div>
                    <div class="form-group col-md-6">
                        <label for="descriptionEn" class="control-label">{{ __('einvoice.egscode.CodeDescEN') }}
                            :</label>
                        <input type="text" name="codeDescriptionPrimaryLang" id="descriptionEn"
                            class="form-control col-md-12" value="{{ $itemCode['descriptionPrimaryLang'] }}">
                    </div>
                </div>

                {{-- Active From && To && Active --}}
                <div class="form-row row">
                    <div class="form-group col-md-6">
                        <label for="activeFrom" class="control-label">{{ __('einvoice.egscode.ActiveFrom') }}
                            :</label>
                        <input type="text" name="activeFrom" id="activeFrom" class="form-control col-md-12 date"
                            value="{{ date('Y-m-d', strtotime($itemCode['activeFrom'])) }}"
                            @if ($itemCode['status'] != 'Submitted') disabled @endif>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="activeTo" class="control-label">{{ __('einvoice.egscode.ActiveTo') }}
                            :</label>
                        <input type="text" name="activeTo" id="activeTo" class="form-control col-md-12 date"
                            value="{{ $itemCode['activeTo'] ? date('Y-m-d', strtotime($itemCode['activeTo'])) : '' }}">
                    </div>
                </div>

                {{-- Submit --}}
                <div class="form-row row justify-content-end">
                    <button type="submit" class="btn btn-primary" id="save"
                        disabled>{{ __('einvoice.submit') }}</button>
                </div>
            </form>
        </div>
    </div>
@stop

@section('css-scripts')
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/jquery.bootstrap.treeselect.css') }}" rel="stylesheet" type="text/css">

    <style>
        input:disabled {
            cursor: context-menu !important;
        }
    </style>
@stop

@section('js-scripts')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('tickets/js/jquery.bootstrap.treeselect.js') }}"></script>

    <script>
        $(function() {
            $('.selectpicker').selectpicker({
                size: 8
            });

            $(".date").calendarsPicker({
                calendar: $.calendars.instance('gregorian'),
                dateFormat: 'Y-mm-dd',
                defaultDate: "0",
            });

            $(".date_").calendarsPicker({
                calendar: $.calendars.instance('gregorian'),
                dateFormat: 'Y-mm-dd',

            });
        });
    </script>
    <script>
        var date = new Date();
        var today = date.toISOString().split('T')[0];
        var activeFrom = $("#activeFrom").val();

        // If activeFrom is not empty and less than or equal to today then remove the disabled attribute from save button.
        activeFrom <= today && !['', ' ', null].includes(activeFrom) ? $('#save').removeAttr("disabled") : $(
            '#save').attr('disabled', true);

        // If activeFrom input is changed, then active input will be changed.
        $("#activeFrom").change(function(e) {
            if ($("#activeFrom").val() <= today) {
                $("#active").empty();
                $("#active").val("{{ __('extends.yes') }}");
                $("#active").css("color", "#107c10");
                $("#save").removeAttr("disabled");
            } else {
                $("#active").empty();
                $("#active").val("{{ __('extends.no') }}");
                $("#active").css("color", "#C9302C");
                $("#save").attr("disabled", "disabled");
            }
        });

        // If activeTo input is smaller than activeFrom input, then save button will be disabled.
        $("#activeTo").change(function(e) {
            e.preventDefault();
            var activeTo = $("#activeTo").val();

            if (activeTo <= $("#activeFrom").val() && !['', ' ', null].includes(activeTo)) {
                $("#save").attr("disabled", "disabled");
            } else {
                $("#save").removeAttr("disabled");
            }
        });
    </script>
@stop
