@extends('master::layouts.master')

@section('content')
    <div class="container-fluid">
        <div class="row">
            <h1 class="text-primary">{{ __('einvoice.itemcodes.published.title') }}</h1>
            <div class="alert alert-success hidden" id="success_msg"></div>
            <div class="alert alert-danger hidden" id="error_msg"></div>
            @include('einvoice::layouts.messages')

            <form class="col-md-12 mt-2 mb-2">
                <div class="form-row row">

                    {{-- Search Input --}}
                    <div class="col-md-3">
                        <input type="text" name="search" id="search" class="form-control col-md-12"
                            placeholder="{{ __('einvoice.itemcodes.search') }}" value="{{ request('search') }}" disabled>
                        <small>{{ __('einvoice.select_cat_note') }}</small>
                    </div>

                    {{-- Search Cat --}}
                    <div class="col-md-2">
                        <select name="searchcat" id="searchcat" class="form-control selectpicker col-md-12" data-none-selected-text="{{ trans('native.no-selected') }}"
                            title="{{ __('einvoice.itemcodes.search_cat') }}">
                            <option value="CodeLookupValue" @if (request('searchcat') == 'CodeLookupValue') selected @endif>
                                {{ __('einvoice.itemcodes.published.CodeLookupValue') }}</option>
                            <option value="ParentCodeLookupValue" @if (request('searchcat') == 'ParentCodeLookupValue') selected @endif>
                                {{ __('einvoice.itemcodes.published.ParentCodeLookupValue') }}</option>
                            <option value="CodeName" @if (request('searchcat') == 'CodeName') selected @endif>
                                {{ __('einvoice.itemcodes.codeName') }}</option>
                            <option value="CodeID" @if (request('searchcat') == 'CodeID') selected @endif>
                                {{ __('einvoice.itemcodes.published.CodeID') }}</option>
                            <option value="CodeDescription" @if (request('searchcat') == 'CodeDescription') selected @endif>
                                {{ __('einvoice.itemcodes.description') }}</option>
                            <option value="TaxpayerRIN" @if (request('searchcat') == 'TaxpayerRIN') selected @endif>
                                {{ __('einvoice.itemcodes.published.TaxpayerRIN') }}</option>
                            <option value="ParentCodeID" @if (request('searchcat') == 'ParentCodeID') selected @endif>
                                {{ __('einvoice.itemcodes.published.ParentCodeID') }}</option>
                            <option value="ParentLevelName" @if (request('searchcat') == 'ParentLevelName') selected @endif>
                                {{ __('einvoice.itemcodes.published.ParentLevelName') }}</option>
                            <option value="CodeTypeLevelNumber" @if (request('searchcat') == 'CodeTypeLevelNumber') selected @endif>
                                {{ __('einvoice.itemcodes.published.CodeTypeLevelNumber') }}</option>
                        </select>
                    </div>

                    {{-- Search Cat --}}
                    <div class="col-md-2">
                        <select name="codeType" id="codeType" class="form-control selectpicker col-md-12" data-none-selected-text="{{ trans('native.no-selected') }}"
                            title="{{ __('einvoice.itemcodes.search_codeType') }}">
                            <option value="EGS" selected @if (request('codeType') == 'EGS') selected @endif>EGS</option>
                            <option value="GS1" @if (request('codeType') == 'GS1') selected @endif>GS1</option>
                        </select>
                    </div>

                    <div class="col-md-2">
                        <input type="text" name="ActiveFrom" id="ActiveFrom" class="form-control col-md-12 date"
                            placeholder="{{ __('einvoice.date_from') }}" value="{{ request('ActiveFrom') }}">
                    </div>

                    <div class="col-md-2">
                        <input type="text" name="ActiveTo" id="ActiveTo" class="form-control col-md-12 date"
                            placeholder="{{ __('einvoice.date_to') }}" value="{{ request('ActiveTo') }}">
                    </div>

                    <div class="col-md-1">
                        <button class="btn btn-primary" type="submit">{{ __('einvoice.search') }}</button>
                    </div>
                </div>
            </form>
        </div>
    </div>

    <table class="table table-hover table-bordered table-striped bg-white" role="presentation">
        <thead>
            <tr class="info">
                <th scope="col">#</th>
                <th scope="col">{{ __('einvoice.itemcodes.published.CodeLookupValue') }}</th>
                <th scope="col">{{ __('einvoice.itemcodes.codeName') }}</th>
                <th scope="col">{{ __('einvoice.itemcodes.description') }}</th>
                <th scope="col">{{ __('einvoice.itemcodes.published.ParentCodeLookupValue') }}</th>
                <th scope="col">{{ __('einvoice.itemcodes.published.ParentLevelName') }}</th>
                <th scope="col">{{ __('einvoice.itemcodes.ownerTaxpayer.name') }}</th>
                <th scope="col">{{ __('einvoice.itemcodes.ownerTaxpayer.rin') }}</th>
                <th scope="col">{{ __('einvoice.itemcodes.active') }}</th>
                <th scope="col">{{ __('einvoice.itemcodes.activeFrom') }}</th>
                <th scope="col">{{ __('einvoice.itemcodes.activeTo') }}</th>
                <th scope="col">{{ __('extends.action') }}</th>
            </tr>
        </thead>
        <tbody>
            @notnull($publishedCodes)
                @foreach ($publishedCodes as $publishedCode)
                    <tr>
                        <td>{{ request('page') == 1 || !request('page') ? $loop->iteration : $loop->iteration + $publishedCodes->perPage() }}</td>
                        <td>{{ $publishedCode['codeLookupValue'] }}</td>
                        <td>{{ app()->isLocale('en') ? $publishedCode['codeNamePrimaryLang'] : $publishedCode['codeNameSecondaryLang'] }}
                        </td>
                        <td>{{ app()->isLocale('en') ? $publishedCode['codeDescriptionPrimaryLang'] : $publishedCode['codeDescriptionSecondaryLang'] }}
                        </td>
                        <td>{{ $publishedCode['parentCodeLookupValue'] }}</td>
                        <td>{{ $publishedCode['parentLevelName'] }}</td>
                        <td>{{ $publishedCode['ownerTaxpayer']['name'] ?? '---' }}</td>
                        <td>{{ $publishedCode['ownerTaxpayer']['rin'] ?? '---' }}</td>
                        <td>{{ $publishedCode['active'] == 1 ? __('einvoice.yes') : __('einvoice.no') }}</td>
                        <td>{{ date('Y-m-d H:m:s', strtotime($publishedCode['activeFrom'])) }}</td>
                        <td>{{ in_array($publishedCode['activeTo'], ['', ' ', null]) ? '---' : date('Y-m-d H:m:s', strtotime($publishedCode['activeTo'])) }}
                        </td>
                        <td>
                            <a href="{{ route('einvoice.itemcodes.reuse', $publishedCode['codeLookupValue']) }}"
                                class="btn btn-primary reuse">{{ __('einvoice.itemcodes.RequestCodeReuse') }}</a>
                        </td>
                    </tr>
                @endforeach
            @elsenull
                <tr>
                    <td colspan="14" class="text-center">{{ __('einvoice.itemcodes.published.null') }}</td>
                </tr>
            @endnotnull
        </tbody>
    </table>

    {{-- Pagination --}}
    @notnull($publishedCodes)
        <div class="row d-flex justify-content-center">{{ $publishedCodes->appends(request()->all())->links() }}</div>
    @endnotnull
    </div>
@endsection

@section('js-scripts')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>

    <script>
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $('.selectpicker').selectpicker({
                style: 'btn-default',
                size: 10
            });
        });
    </script>

    <script>
        $(".reuse").click(function(e) {
            e.preventDefault();

            var url = $(this).attr('href');
            var comment = prompt("{{ __('einvoice.itemcodes.enter_comment') }} :");

            if (comment != null) {
                $.ajax({
                    type: "PUT",
                    url: url,
                    data: {
                        '_token': '{{ csrf_token() }}',
                        'comment': comment
                    },
                    dataType: "json",
                    success: function(response) {
                        if (response.success == true) {
                            $("#success_msg").removeClass('hidden');
                            $("#success_msg").text(response.message);
                        } else {
                            $("#success_msg").removeClass('hidden');
                            $("#success_msg").text(response.message);
                        }
                    }
                });
            }
        });

        $("#searchcat").change(function(e) {
            e.preventDefault();
            $('#search').removeAttr('disabled');
        });
    </script>
@endsection

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <style>
        .filter-option,
        .filter-option-inner,
        .filter-option-inner-inner {
            padding: 0 !important;
            margin: 0 !important;
        }

        input:disabled {
            cursor: context-menu !important;
        }
    </style>
@stop
