<?php

namespace Modules\Employee\Entities;

use App\Traits\RoundingAttributesTrait;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;

class Employee extends Model
{
    use RoundingAttributesTrait;
    protected $fillable = [];
    protected $table = 'users';
    public $timestamps = false;

    public function newQuery()
    {
        return parent::newQuery();
    }

    public function transaction()
    {
        return $this->hasMany(EmployeeTransaction::class, 'em_id', 'id');
    }

    public function getPerish()
    {
        $today = Carbon::now();
        $start = $this->covenant_receive_date;
        $end = $this->covenant_destruction_date;
        $total = Carbon::parse($start)->diffInDays($end);
        $actual = Carbon::parse($today)->diffInDays($start);

        if ($this->covenant_receive_date == null) {
            return 'لا يوجد عهده';
            // return trans('native.There_is_no_covenant');

        }
        if ($total == 0) {
            return 100;
        } else {
            $percent = ($actual / $total) * 100;
            $x = number_format($percent, 2, '.', '');

            return $x;
        }

    }

    public function point()
    {
        return $this->hasOne(SalePoint::class, 'id', 'sale_point');
    }


    public function clients()
    {
        return $this->hasMany(Client::class, 'collector_id', 'id');
    }
}
