<?php

namespace Modules\Employee\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class EmployeeTransaction extends Model
{
    use RoundingAttributesTrait;
    protected $fillable = [];
    protected $table = 'emp_transaction';
    public $timestamps = false;


    public function employee()
    {
        return $this->belongsTo(Employee::class, 'em_id', 'id');
    }

    public function getTypeContent()
    {
        $type = $this->type;
        if ($type == 40) {
            return 'حافز علي المرتب';
        }
        if ($type == 41) {
            return 'خصم من المرتب';
        }
        if ($type == 42) {
            return 'سلفة';
        }
        if ($type == 43) {
            return 'راتب شهر' . ' ' . $this->monthe;
        }

    }

    public function checkDeleteAvailability($emp_id)
    {
        if (in_array($this->type, [43, 42])) { #سلف وصرف مرتب
            return true;
        }
        $month = $this->monthe;
        $emp_trans = EmployeeTransaction::where('shop_id', get_session_val('serial_id', 'integer'))
            ->where('type', 43)#صرف مرتب
            ->where('monthe', $month)
            ->where('em_id', $emp_id)->first();
        if ($emp_trans) {
            return false;
        }
        return true;
    }
}
