<?php

namespace Modules\Employee\Http\Controllers;

use App\Models\systemLog;
use Carbon\Carbon;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Modules\Employee\Entities\ClientTransaction;
use Modules\Employee\Entities\Employee;
use Modules\Employee\Entities\EmployeeTransaction;
use Modules\Employee\Entities\SalePoint;

class EmployeeTransactionController extends Controller
{
    public function paySalaryIndex()
    {
        $point = Auth::user()->sale_point;
        if (Auth::user()->show_points == 1 ||  Auth::user()->show_points == 2) {
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('id', $point)
                ->get();
        } elseif (Auth::user()->show_points == 3) {
            $store_id = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('id', $point)
                ->first()->store_id;
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))
            ->where('store_id', $store_id)
            ->get();

        }
        else {
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))->get();
        }

        $price_decimal = get_session_val('decimal_num_price', 'integer');
                $type = get_session_val('date_type', 'integer');

        $employees = Employee::where('shop_id', get_session_val('serial_id', 'integer'))->where('work', 1)
            ->select('id', 'salary', 'money_out', 'name', 'month_deduct', 'work')
            ->get();

        foreach ($employees as $employee) {
            if ($employee->month_deduct > 0) {
                $employee->money_out_ = $employee->month_deduct;
            } else {
                $employee->money_out_ = $employee->money_out;
            }
        }


        return view('employee::pay-sallery', compact('sale_points', 'employees', 'price_decimal', 'type'));
    }

    public function payMoneyOutIndex()
    {
        $point = Auth::user()->sale_point;
        if (Auth::user()->point_change == 0) {
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('id', $point)
                ->get();
        } else {
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))->get();
        }

        $price_decimal = get_session_val('decimal_num_price', 'integer');
                $type = get_session_val('date_type', 'integer');
        $employees = Employee::where('shop_id', get_session_val('serial_id', 'integer'))->where([ ['work', 1], ['is_employee', 1]])->get();
        return view('employee::pay-money-out', compact('sale_points', 'employees', 'price_decimal', 'type'));
    }

    public function postSallery(Request $request)
    {
        if ( is_null($request->employee_id) || (is_array($request->employee_id) && count($request->employee_id) == 0) ) {
            return back()->with([
                'error' => 'لا موظفين لصرف رواتبهم'
            ]);
        }

        $month = $request->month;
        $year = $request->year;
        if (strlen($month) == 1) {
            $month = '0' . $month;
        }
        $monthe = $month . '/' . $year;

        $point_ = SalePoint::find($request->sale_point);
        $temp_minus_sale_total = 0;
        for ($i = 0; $i < sizeof($request->employee_id); $i++) {
            $temp_minus_sale_total += $request->net[$i];
        }
        if (get_session_val('negative_money', 'integer') == 0 && $point_->money_point - $temp_minus_sale_total < 0) {
            return back()->with([
                'error' => trans('native.safe_balance_not_enough')
            ]);
        }

        \DB::transaction(function () use ($request, $point_, $monthe) {

            $date = Carbon::parse($request->date)->format('Y-m-d');
            $datetime = Carbon::parse($request->date)->format('Y-m-d H:i:s');

            for ($i = 0; $i < sizeof($request->employee_id); $i++) {
                $point_->money_point -= $request->net[$i];
                $point_->save();
                $employee = Employee::where('id', $request->employee_id[$i])->first();

                $employee->money_out -= $request->deduct[$i];
                $employee->save();
                if ($employee->money_out == 0) {
                    $employee->month_deduct = 0;
                    $employee->save();
                }

                $month_deduct = $request->deduct[$i];
                if ($employee->money_out <= $employee->month_deduct){
                    $employee->month_deduct = $employee->money_out;
                    $employee->save();
                }
                # end table user >>

                $clientTransaction = new ClientTransaction();
                $clientTransaction->shop_id = get_session_val('serial_id', 'integer');
                $clientTransaction->date_time = $datetime;
                $clientTransaction->client_id = 0;
                $clientTransaction->amount = $request->net[$i];
                $clientTransaction->type = 43;
                $clientTransaction->effect = 0; #out of sale_point
                $clientTransaction->pay_day = $date;
                $clientTransaction->balance = 0; # new
                $clientTransaction->bill_id = 0;
                $clientTransaction->bill_net_total = null;
                $clientTransaction->safe_type = 1;
                $clientTransaction->safe_balance = $point_->money_point;
                $clientTransaction->safe_point_id = $request->sale_point;
                $clientTransaction->user_id = auth()->id();

                $clientTransaction->sale_back_id = 0;
                $clientTransaction->problem_id = 0;
                $clientTransaction->supplier_id = 0;
                $clientTransaction->salary_month = 0;

                $clientTransaction->OutTransactionID = 0;
                $clientTransaction->spend_id = 0;
                $clientTransaction->employee_id = $employee->id;
                $clientTransaction->save();

                #End clientTransaction >>
                $transaction = new EmployeeTransaction();
                $transaction->salary = $employee->salary;
                $transaction->monthe = $monthe;
                $transaction->deduct = $request->cut[$i] ?? 0;
                $transaction->em_id = $employee->id;
                $transaction->spend_date = $date;
                $transaction->amount = $request->net[$i] ?? 0;
                $transaction->type = 43;
                $transaction->note = $request->note[$i] ?? '';
                $transaction->resson = $request->reason ?? '';
                $transaction->client_transaction = $clientTransaction->id;
                $transaction->add_user = auth()->id();
                $transaction->add_date = $datetime;
                $transaction->edit_user = auth()->id();
                $transaction->edit_date = $datetime;
                $transaction->month_deduct = $request->deduct[$i] ?? 0;
                $transaction->addition = $request->additions[$i] ?? 0;
                $transaction->shop_id = get_session_val('serial_id', 'integer');
                $transaction->save();

            }

            systemLog::create(date('Y-m-d H:i:s'), 'سداد مرتبات شهر ' . $date);

        });

        return redirect()->back()->with(['success' => trans('native.correct_save') ]);

    }

    public function postEmployeeSallery(Request $request)
    {
        $month = $request->month;
        $year = $request->year;
        if (strlen($month) == 1) {
            $month = '0' . $month;
        }
        $monthe = $month . '/' . $year;

        $point_ = SalePoint::find($request->sale_point);

        if (get_session_val('negative_money' ,'integer') == 0){
            if ($point_->money_point - $request->net <=0){
                return redirect()->back()->with(['error' => trans('native.safe_balance_not_enough')
            ]);
            }
        }

        \DB::transaction(function () use ($request, $point_, $monthe) {

            $month_deduct = $request->deduct;

            $date = Carbon::parse($request->date)->format('Y-m-d');
            $datetime = Carbon::parse($request->date)->format('Y-m-d H:i:s');

            $point_->money_point -= $request->net;
            $point_->save();
            $employee = Employee::where('id', $request->employee_id)->first();

            if ($employee->money_out > 0) {
                $employee->money_out -= $request->deduct;
                $employee->save();
                if ($employee->money_out == 0) {
                    $employee->month_deduct = 0;
                    $employee->save();
                }
            }
            if ($employee->money_out <= $employee->month_deduct){
                $employee->month_deduct = $employee->money_out;
                $employee->save();
            }
            # end table user >>

            $clientTransaction = new ClientTransaction();
            $clientTransaction->shop_id = get_session_val('serial_id', 'integer');
            $clientTransaction->date_time = $datetime;
            $clientTransaction->client_id = 0;
            $clientTransaction->amount = $request->net;
            $clientTransaction->type = 43;
            $clientTransaction->effect = 0;
            $clientTransaction->pay_day = $date;
            $clientTransaction->balance = 0; # new
            $clientTransaction->bill_id = 0;
            $clientTransaction->bill_net_total = null;
            $clientTransaction->safe_type = 1;
            $clientTransaction->safe_balance = $point_->money_point;
            $clientTransaction->safe_point_id = $request->sale_point;
            $clientTransaction->user_id = auth()->id();

            $clientTransaction->sale_back_id = 0;
            $clientTransaction->problem_id = 0;
            $clientTransaction->supplier_id = 0;
            $clientTransaction->salary_month = 0;

            $clientTransaction->OutTransactionID = 0;
            $clientTransaction->spend_id = 0;
            $clientTransaction->save();

            #End clientTransaction >>
            $transaction = new EmployeeTransaction();
            $transaction->salary = $employee->salary;
            $transaction->monthe = $monthe;
            $transaction->deduct = $request->cut ?? 0;
            $transaction->em_id = $employee->id;
            $transaction->spend_date = $date;
            $transaction->amount = $request->net ?? 0;
            $transaction->type = 43;
            $transaction->note = $request->note ?? '';
            $transaction->resson = $request->reason ?? '';
            $transaction->client_transaction = $clientTransaction->id;
            $transaction->add_user = auth()->id();
            $transaction->add_date = $datetime;
            $transaction->edit_user = auth()->id();
            $transaction->edit_date = $datetime;
            $transaction->month_deduct = $request->deduct ?? 0;
            $transaction->addition = $request->additions ?? 0;
            $transaction->shop_id = get_session_val('serial_id', 'integer');
            $transaction->save();

            systemLog::create(date('Y-m-d H:i:s'), 'سداد مرتب الموظف ' . $employee->user_name . ' شهر ' . $date);

        });

        return redirect()->back()->with(['success' =>  trans('native.correct_save') ]);
    }

    public function postMoneyOut(Request $request)
    {

        $messages = [
            'date.required' => trans('native.date_required'),
            'sale_point.required' =>  trans('native.sale_point_required'),
            'employee.required' => trans('native.employee_required'),
            'money.required' => trans('native.money_required'),
        ];

        $this->validate($request, [
            "date" => "required_unless:type,42",
            "sale_point" => "required",
            "employee" => "required",
            "type" => "required",
            "money" => "required",

        ], $messages);


        $emp = Employee::find($request->employee);

        $start = $emp->start_work;
        $start = strtotime($start);

        $end = strtotime($request->date);

        if ($start > $end){
            return back()->with([
                'error' => trans('native.it_is_not_possible_to_record_amounts_for_the_employee_in_a_period_before_the_beginning_of_his_work')
            ]);
        }

        $point_ = SalePoint::findOrFail($request->sale_point);
        if (get_session_val('negative_money', 'integer') == 0 && $point_->money_point - $request->money < 0) {
            return back()->with([
                'error' => trans('native.safe_balance_not_enough')
            ]);
        }

        if (in_array($request->type, [40,41])){
            $monthe_t = Carbon::parse($request->date)->format('m/Y');
            $sallery = EmployeeTransaction::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('type', 43)#صرف مرتب
                ->where('monthe', $monthe_t)
                ->where('em_id', $emp->id)->first();
            if ($sallery) {
                return back()->with([
                    'error' => trans('native.this_month_salary_has_been_paid') . $monthe_t .' '.trans('native.already')
                ]);
            }
        }

        \DB::transaction(function () use ($request, $emp, $point_) {

            $date = Carbon::parse($request->date)->format('Y-m-d');
            $datetime = Carbon::parse($request->date)->format('Y-m-d H:i:s');

            $today = Carbon::parse($request->today)->format('Y-m-d');
            $today_time = Carbon::parse($request->today)->format('Y-m-d H:i:s');

            $monthe = Carbon::parse($request->date)->format('m/Y');
            $point_ = SalePoint::find($request->sale_point);

            $month_deduct = 0;

            #الخزنة هتزيد ولا هتقل
            if ($request->type == 42) {
                $point_->money_point -= $request->money;
                $point_->save();
            }

            if ($request->type == 42) {
                $emp->money_out += $request->money;
                $emp->month_deduct += $request->month_deduct;
                $effect = 0;
                $emp->save();

                $month_deduct = $request->month_deduct;

            }

            if ($request->type == 40) {
                $effect = 0;
            }

            if ($request->type == 41) {
                $effect = 1;
            }

            $c_tr = 0;

            if ($request->type == 42) {
                $clientTransaction = new ClientTransaction();
                $clientTransaction->shop_id = get_session_val('serial_id', 'integer');
                $clientTransaction->date_time = $today_time;
                $clientTransaction->client_id = 0;
                $clientTransaction->amount = $request->money;
                $clientTransaction->type = $request->type;
                $clientTransaction->effect = $effect;
                $clientTransaction->pay_day = $today;
                $clientTransaction->balance = 0; # new
                $clientTransaction->bill_id = 0;
                $clientTransaction->bill_net_total = null;
                $clientTransaction->safe_type = 1;
                $clientTransaction->safe_balance = $point_->money_point;
                $clientTransaction->safe_point_id = $request->sale_point;
                $clientTransaction->user_id = auth::id();
                $clientTransaction->sale_back_id = 0;
                $clientTransaction->problem_id = 0;
                $clientTransaction->supplier_id = 0;
                $clientTransaction->salary_month = 0;
                $clientTransaction->OutTransactionID = 0;
                $clientTransaction->spend_id = 0;
                $clientTransaction->save();
                $c_tr = $clientTransaction->id;
            }

            $transaction = new EmployeeTransaction();
            $transaction->salary = $emp->salary;
            $transaction->monthe = $monthe ?? '';
            $transaction->deduct = 0;
            $transaction->em_id = $emp->id;
            if ($request->type == 42) {
                $transaction->spend_date = $today;
            }else {
                $transaction->spend_date = $date;
            }
            $transaction->amount = $request->money ?? 0;
            $transaction->type = $request->type;
            $transaction->note = $request->note ?? '';
            $transaction->resson = $request->reason ?? '';
            $transaction->client_transaction = $c_tr;
            $transaction->add_user = auth()->id();
            $transaction->add_date = $datetime;
            $transaction->edit_user = auth()->id();
            $transaction->edit_date = $datetime;
            $transaction->shop_id = get_session_val('serial_id', 'integer');
            $transaction->month_deduct = $month_deduct ?? 0;
            $transaction->addition = 0;
            $transaction->save();

            if ($request->type == 40) {
                $type_ = 'حوافز';
            } elseif ($request->type == 41) {
                $type_ = 'خصومات';
            } elseif ($request->type == 42) {
                $type_ = 'سلفة';
            }
            $event = 'تسجيل ' . $type_ . ' للموظف ' . $emp->user_name;
            systemLog::create(date('Y-m-d H:i:s'), $event);

        });


        return redirect()->back()->with([
            'success' => trans('native.correct_save')
        ]);

    }

    public function updateSalaryPageContent(Request $request)
    {
        $month = $request->month;
        $year = $request->year;

        if (strlen($month) == 1) {
            $month = '0' . $month;
        }

        $monthe = $month . '/' . $year;

        $emp_trans = EmployeeTransaction::where('shop_id', get_session_val('serial_id', 'integer'))->where('type', 43)->where('monthe', $monthe)->pluck('em_id');

        $emp_trans = json_decode(json_encode($emp_trans));


        $date = date('Y-m-d', strtotime($year . '-' . $month . '-31'));

        $emps = Employee::where('work', 1)
            ->whereDate('start_work', '<=', $date)
            ->where('shop_id', get_session_val('serial_id', 'integer'))->pluck('id');

        $emps = json_decode(json_encode($emps));

        $ids = array_diff($emps, $emp_trans);

        $employees = Employee::whereIn('id', $ids)
            ->where('is_employee', 1)
            ->select('id', 'salary', 'money_out', 'name', 'month_deduct', 'work')
            ->get();
        $data = '';

        if ($employees) {
            $count = 1;
            foreach ($employees as $employee) {

                $emp_trans = EmployeeTransaction::where('shop_id', get_session_val('serial_id', 'integer'))
                    ->where('type', 43)#صرف مرتب
                    ->where('monthe', $monthe)
                    ->where('em_id', $employee->id)->first();

                $emp_trans_additions = EmployeeTransaction::where('shop_id', get_session_val('serial_id', 'integer'))
                    ->where('type', 40)#حافز مرتب
                    ->where('monthe', $monthe)
                    ->where('em_id', $employee->id)->sum('amount');

                $emp_trans_cuts = EmployeeTransaction::where('shop_id', get_session_val('serial_id', 'integer'))
                    ->where('type', 41)#خصم من مرتب
                    ->where('monthe', $monthe)
                    ->where('em_id', $employee->id)->sum('amount');

                if (is_null($emp_trans)) {

                    $sallery = $employee->salary;
                    $money_out = $employee->money_out_;

                    if ($employee->month_deduct > 0) {
                        $employee->money_out_ = $employee->month_deduct;
                    } else {
                        $employee->money_out_ = $employee->money_out;
                    }

                } else {
                    $sallery = $emp_trans->salary;
                    $money_out = $emp_trans->deduct;
                }

                $diff = price_decimal($sallery + $emp_trans_additions - ($emp_trans_cuts + $employee->month_deduct));

                $data .= '<tr id="employee-' . $employee->id . '">
                               <td>' . $count . '</td>
                               <td>' . $employee->name . '</td>
                               <td>' . $employee->job . '
                               <input type="hidden" name="employee_id[]" value="' . $employee->id . '"/></td>
                                <td>' . price_decimal($sallery) . '<input type="hidden" name="salary[]"  id="salary-'.$employee->id.'"
                                           value="' . price_decimal($sallery) . '" class="salary__ form-control"/></td>

                                <td>' . price_decimal($emp_trans_additions) . '<input type="hidden"
                                            name="additions[]" id="addition-'.$employee->id.'"
                                           value="' . price_decimal($emp_trans_additions) . '" class="additions__ form-control"/></td>

                                <td>' . price_decimal($emp_trans_cuts) . '<input type="hidden" name="cut[]" id="cut-'.$employee->id.'"
                                           value="' . price_decimal($emp_trans_cuts) . '" class="cut__ form-control"/></td>

                                <td><input type="number" name="deduct[]"
                                           value="' . price_decimal($employee->month_deduct) . '" data-id="'.$employee->id.'" class="deduct__ form-control"/></td>

                                <td><p id="net_txt-'.$employee->id.'">' . price_decimal($diff) . '</p><input type="hidden" name="net[]" id="net-'.$employee->id.'" class="form-control net__"
                                           value="' . price_decimal($diff) . '"
                                           data-id="' . $employee->emp_id . '"/></td>
                                <td><input type="text" name="note[]" class="form-control"/></td>
                                <td><a href="javascript:void(0)" class="btn btn-danger delete" data-id="employee-' . $employee->id . '">
                                ' . trans('native.delete') . '
                                </a></td>
                            </tr>
                                 ';
                $count++;
            }
        }
        $status = '1';
        if ($data == '') {
            $status = '0';
        }
        return response()->json([$status, $data]);
    }

    public function updateEmployeeSalary(Request $request)
    {
        $month = $request->month;
        $year = $request->year;

        if (strlen($month) == 1) {
            $month = '0' . $month;
        }

        $monthe = $month . '/' . $year;

        $neddle = date('Y-m-01', strtotime($year . '-' . $month));


        $start = date('Y-m-01', strtotime($neddle));
// Last day of the month.
        $end = date('Y-m-t', strtotime($neddle));

        $date = date('Y-m-d', strtotime($year . '-' . $month . '-31'));

        $employee = Employee::where('id', $request->employee_id)
            ->whereDate('start_work', '<=', $date)
            ->select('id', 'salary', 'money_out', 'name', 'month_deduct', 'work')
            ->first();
        if ($employee) {
            $emp_trans = EmployeeTransaction::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('type', 43)#صرف مرتب
                ->where('monthe', $monthe)
                ->where('em_id', $employee->id)->first();

            $emp_trans_additions = EmployeeTransaction::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('type', 40)#حافز مرتب
                ->where('monthe', $monthe)
                ->where('em_id', $employee->id)->sum('amount');

            $emp_trans_cuts = EmployeeTransaction::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('type', 41)#خصم من مرتب
                ->where('monthe', $monthe)
                ->where('em_id', $employee->id)->sum('amount');

            $data = '';

            if (is_null($emp_trans)) {

                $sallery = $employee->salary;
                $money_out = $employee->money_out_;

                if ($employee->month_deduct > 0) {
                    $employee->money_out_ = $employee->month_deduct;
                } else {
                    $employee->money_out_ = $employee->money_out;
                }

            } else {
                $sallery = $emp_trans->salary;
                $money_out = $emp_trans->deduct;
            }

            $diff = price_decimal($sallery + $emp_trans_additions - ($emp_trans_cuts + $employee->month_deduct));

            $data .= '<tr id="employee-' . $employee->id . '">

                                <td>' . price_decimal($sallery) . '<input type="hidden" name="salary"  id="my_salary"
                                           value="' . price_decimal($sallery) . '" class="salary__ form-control"/></td>

                                <td>' . price_decimal($emp_trans_additions) . '<input type="hidden" name="additions" id="my_addition"
                                           value="' . price_decimal($emp_trans_additions) . '" class="additions__ form-control"/></td>

                                <td>' . price_decimal($emp_trans_cuts) . '<input type="hidden" name="cut" id="my_cut"
                                           value="' . price_decimal($emp_trans_cuts) . '" class="cut__ form-control"/></td>

                                <td><input type="number" name="deduct"  id="my_deduct" max="'. price_decimal($sallery) .'"
                                           value="' . price_decimal($employee->month_deduct) . '" class="deduct__ form-control"/></td>

                                <td><p id="net_txt">' . price_decimal($diff) . '</p><input type="hidden" id="my_net" name="net" class="form-control net__"
                                           value="' . price_decimal($diff) . '"
                                           data-id="' . $employee->emp_id . '"/></td>
                                <td><input type="text" name="note" class="form-control"/></td>';
            if ($emp_trans) {
                $data .=
                    '<td>  '. trans('native.spend_date') . ' ' . $emp_trans->spend_date . '</td>
                            </tr>';
            } else {

                $data .= '<td><button class="btn btn-success" data-id="employee-' . $employee->id . '"> ' . trans('native.spend') . ' </button></td>
                            </tr>';
            }

            return response()->json($data);

        } else {
            return response()->json('nothing');

        }

    }

    public function postDeleteMoney(Request $request)
    {

        $emp = Employee::findOrFail($request->employee_id);

        $transaction = EmployeeTransaction::where('em_id', $emp->id)
            ->where('shop_id', get_session_val('serial_id', 'integer'))
            ->find($request->transaction);
        if ($transaction) {

            \DB::transaction(function () use ($emp, $transaction, $request) {

                $type = $transaction->type;
                $amount = $transaction->amount;
                $month_deduct = $transaction->month_deduct;
                $n_type = 22;
                $date = Carbon::parse($request->date)->format('Y-m-d');
                $effect = 1;

                $c_trans_id = $transaction->client_transaction;
                $c_trans = ClientTransaction::where('shop_id', get_session_val('serial_id', 'integer'))->where('id', $c_trans_id)->first();
                $point_id = $c_trans->safe_point_id ?? 0;
                $point_ = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))->where('id', $point_id)->first();

                $cut = $month_deduct;
                #الخزنة هتزيد ولا هتقل
                if ($type == 42) {

                    $point_->money_point += $amount;
                    $point_->save();
                    $emp->money_out -= $amount;
                    $emp->month_deduct -= $month_deduct;

                }

                if ($type == 43) {
                    $point_->money_point += $amount;
                    $point_->save();

                    $emp->money_out += $cut;
                    $emp->month_deduct += $month_deduct;
                }

                $emp->save();

                if (in_array($type, [42,43])) {

                    $this->doTransaction($amount, $n_type, $effect, $date, $point_->money_point, $point_id, $c_trans, $emp);
                }

                $transaction->delete();

            });

            return back()->with(['success' => trans('native.correct_delete') ]);

        } else {
            return back()->with(['error' => trans('native.something_wrong!!!!') ]);
        }
    }

    private function doTransaction($amount, $type, $effect, $date, $safebalance, $salepoint, $prev, $emp)
    {
        $clientTransaction = new ClientTransaction();
        $clientTransaction->shop_id = get_session_val('serial_id', 'integer');
        $clientTransaction->date_time = date('Y-m-d H:i:s');
        $clientTransaction->client_id = 0;
        $clientTransaction->amount = $amount; #$request->money
        $clientTransaction->type = $type; #$request->type
        $clientTransaction->effect = $effect;
        $clientTransaction->pay_day = $date;
        $clientTransaction->balance = 0; # new
        $clientTransaction->bill_id = 0;
        $clientTransaction->bill_net_total = null;
        $clientTransaction->safe_type = 1;
        $clientTransaction->safe_balance = $safebalance; #$point_->money_point
        $clientTransaction->safe_point_id = $salepoint; #$request->sale_point;
        $clientTransaction->user_id = auth::id();
        $clientTransaction->sale_back_id = 0;
        $clientTransaction->problem_id = 0;
        $clientTransaction->supplier_id = 0;
        $clientTransaction->salary_month = 0;
        $clientTransaction->OutTransactionID = 0;
        $clientTransaction->spend_id = 0;
        $clientTransaction->related_to = $prev->id;
        $clientTransaction->employee_id = $emp->id;
        $txt = ' [ سلفة ] ';
        if ($prev->type == 42){
            $txt = ' [ مرتب ] ';
        }
        $clientTransaction->notes = 'حذف من قاعدة البيانات '. $txt;

        $clientTransaction->save();

        if ($type == 22){
            $prev->is_deleted = 1;
            $prev->related_to = $clientTransaction->id;
            $prev->save();
        }

    }

}
