<?php

namespace Modules\Employee\Http\Controllers;

use Carbon\Carbon;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Maatwebsite\Excel\Facades\Excel;
use Modules\Employee\Entities\Attendance;
use Modules\Employee\Entities\Employee;
use Modules\Employee\Entities\Store;

class ExcelController extends Controller
{
    public function attendance()
    {
        return view('employee::register_attendance');
    }

    public function upload(Request $request)
    {
                $this->validate($request, [
            'sheet' => 'required|mimes:xls,xlsx,csv',
        ]);
        if ($request->file('sheet')->isValid()) {
            $file = $request->file('sheet');
            $shop_id = get_session_val('serial_id', 'integer');
            $path = 'upload/' . $shop_id . '/sheet/';
            $extension = $file->getClientOriginalExtension();
            $fileName = 'attendance-' . random_int(11111111, 99999999) . '.' . $extension;
            $file->move($path, $fileName);
            $data = $this->imporAttendance($path . $fileName, $shop_id);
            return back()->with(['success' => 'نجحت العملية', 'data' => $data]);
        } else {
            return redirect()->route('employee.attendance')->with(['error' => 'لقد حدث خطأ ما. يرجي المحاولة مرة أخري.']);
        }
    }

    public function imporAttendance($file, $shop_id)
    {
        $result = [];
        $text = '<ul>';
        Excel::selectSheetsByIndex(0)->load($file, function ($sheet) use ($shop_id, &$result, &$text) {

            if (sizeof($sheet->toArray()) > 0) {
                foreach ($sheet->toArray() as $row) {
                    if (array_key_exists('0', $row)) {
                        array_pull($row, '0');
                    }
                    $counter = 0;
                    $emp_name = array_values($row)[0];
                    $store = array_values($row)[1];
                    $store_type = array_values($row)[2];
                    $date = array_values($row)[3];
                    $type = array_values($row)[4];
                    $from = array_values($row)[5];
                    $to = array_values($row)[6];
                    if (!is_null($emp_name)) {
                        $emp_check = Employee::where([
                            'shop_id' => $shop_id,
                            'user_name' => $emp_name
                        ])->first();
                        if ($emp_check) {
                            if (is_null($store) || is_null($store_type) || is_null($date) || is_null($type) || is_null($from) || is_null($to)) {
                                $text .= '<li><p class="text-danger">فشل الحفظ ' . $emp_name . ' برجاء اكمال البيانات</p></li> ';
                                $counter += 1;
                            }
                            if (!in_array($type, [1, 2]) || !in_array($store_type, [1, 2])) {
                                $text .= '<li><p class="text-danger">فشل الحفظ ' . $emp_name . ' برجاء ادخال البيانات صحيحه</p></li> ';
                                $counter += 1;
                            }
                            if ($store_type == 1) {
                                if ($counter == 0) {
                                    $x = Attendance::updateOrCreate([
                                        'shop_id' => $shop_id,
                                        'user_id' => $emp_check->id,
                                        'date_attendance' => $date,
                                        'store_id' => 0
                                    ], [
                                        'attendance_type' => $type,
                                        'time_from' => $from,
                                        'time_to' => $to
                                    ]);
                                    if ($x) {
                                        $text .= '<li><p class="text-success">تم الحفظ ' . $emp_name . '</p></li>';
                                        $counter = 0;
                                    } else {
                                        $text .= '<li><p class="text-danger">فشل الحفظ ' . $emp_name . ' برجاء المحاولة مرة أخري</p></li> ';
                                        $counter = 0;
                                    }
                                }
                            } else {
                                $store_check = Store::where([
                                    'shop_id' => $shop_id,
                                    'store_name' => $store
                                ])->first();
                                if ($store_check) {
                                    if ($counter == 0) {
                                        $x = Attendance::updateOrCreate([
                                            'shop_id' => $shop_id,
                                            'user_id' => $emp_check->id,
                                            'date_attendance' => $date,
                                            'store_id' => $store_check->id
                                        ], [
                                            'attendance_type' => $type,
                                            'time_from' => $from,
                                            'time_to' => $to
                                        ]);
                                        if ($x) {
                                            $text .= '<li><p class="text-success">تم الحفظ ' . $emp_name . '</p></li>';
                                            $counter = 0;
                                        } else {
                                            $text .= '<li><p class="text-danger">فشل الحفظ ' . $emp_name . ' برجاء المحاولة مرة أخري</p></li> ';
                                            $counter = 0;
                                        }
                                    }
                                } else {
                                    $text .= '<li><p class="text-danger">فشل الحفظ ' . $store . ' الفرع غير مسجل</p></li> ';
                                }
                            }
                        } else {
                            $text .= '<li><p class="text-danger">فشل الحفظ ' . $emp_name . ' الموظف غير مسجل</p></li> ';
                        }
                    }
                }
            } else {
                $text .= '<li><h1 class="text-danger">الملف فارغ ....</h1></li> ';
            }
        });
        return $text;
    }

    public function validateDate($date, $format = 'Y-m-d H:i:s')
    {
        $d = Carbon::createFromFormat($format, $date);
        $x = $d && $d->format($format) == $date;
        return response()->json($x);
    }
}