<?php

namespace Modules\Employee\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Modules\Employee\Entities\Employee;
use Modules\Employee\Entities\SalePoint;
use Modules\Invoices\Entities\Invoices;

class ReportController extends Controller
{
    public function userBollaReport(Request $request)
    {

        if ($request->all() == []) {
            $results = collect();
        } else {

            $results = Invoices::where('invoice_type', '1')
                ->where('invoices.shop_id', get_session_val('serial_id', 'integer'))
                ->join('badr_shop', 'invoices.shop_id', 'badr_shop.serial_id')
                ->join('users', 'invoices.add_user', 'users.id')
                ->join('invoices_details', 'invoices.id', 'invoices_details.invoice_id');

            if ($request->has('from') && !in_array($request->from, ['', null])) {
                $results = $results->whereDate('invoices.invoice_date', '>=', $request->from);
            }

            if ($request->has('to') && !in_array($request->to, ['', null])) {
                $results = $results->whereDate('invoices.invoice_date', '<=', $request->to);
            }

            if ($request->has('user') && !in_array($request->user, ['', '0', null])) {
                $results = $results->where('users.id', $request->user);
            }

            $results = $results->select('invoices.id', 'invoices.bill_no',
                'invoices.invoice_date', 'users.user_name',
                \DB::raw('SUM(invoices_details.quantity) as total_quantity'),
                \DB::raw('SUM(invoices_details.bolla) as total_bolla'),
                \DB::raw('SUM(invoices_details.bolla) * badr_shop.bolla_gift as total_money')
            )
                ->groupBy('invoices.id')
                ->get();

        }

        $users = Employee::where('shop_id', get_session_val('serial_id', 'integer'))->where('work', 1)->get();
        return view('employee::user-bolla-report', compact('results', 'users', 'request'));
    }

}