@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">
            <div class="row">
                <div class="col-md-12">

                    <h1 class="text-primary my-2">
                        {{ trans('native.employees') }}
                        <button class="btn btn-primary float-left mt-2" id="btn" style="margin-top: -2em;margin-bottom: 1em;">{{ trans('native.new_employee') }}</button>
                    </h1>

                </div>

                <div class="col-xs-12 col-12 col-md-12 col-md-offset-1">

                    <div class="row">
                        <div class="col-md-12">
                            <div style="background: #f3da9c;padding: 1em; margin-bottom: 1em;">
                                <form>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <select name="filter" id="filter" class="form-control">
                                                    <option @if (request('filter') == '2') selected @endif value="2">{{ trans('native.all_employees') }}</option>
                                                    <option @if (request('filter') == '1') selected @endif value="1">{{ trans('native.staff') }}</option>
                                                    <option @if (request('filter') == '0') selected @endif value="0">{{ trans('native.not_working') }}</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group col-md-4 hidden">
                                            <select class="form-control input-sm input-light select2 padding-select" name="store_id" id="store_id">
                                                @if (auth()->user()->change_store == '1')
                                                    <option @if (request('store_id') == '-1') selected @endif value="-1"> {{ trans('native.all_branches') }} </option>
                                                @endif
                                                @if (auth()->user()->change_store == '1' || $user_store == 0)
                                                    <option @if (request('store_id') == '0') selected @endif value="0"> {{ trans('native.main_store') }} </option>
                                                @endif
                                                @foreach($stores as $id => $store_name)
                                                    <option @if ($id == request('store_id')) selected @endif value="{{ $id }}">{{ $store_name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                        <div class="col-md-4">
                                            <button class="btn btn-success">{{ trans('native.show') }}</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12 col-xs-12 col-12 table-responsive">
                            <table class="table  table-hover table-bordered" role="presentation">

                                <thead>
                                <tr class="bg-info text-white">
                                    <th scope="col">#</th>
                                    <th scope="col"> {{ trans('native.employee_name') }}</th>
                                    <th scope="col">{{ trans('native.job') }}</th>
                                    <!--<th scope="col">{{ trans('native.collection_rate') }}</th>-->
                                    <th scope="col">{{ trans('client.mobile') }}</th>
                                    <th scope="col">{{ trans('native.salary') }}</th>
                                    <th scope="col">{{ trans('native.collection-ratio') }}</th>
                                    <th scope="col">{{ trans('native.total_advance') }}</th>
                                    <th scope="col">{{ trans('extends.action') }}</th>

                                </tr>
                                </thead>

                                <tbody>
                                @foreach($employees as $employee)
                                    <tr data-toggle="collapse" data-target="#demo">
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $employee->name }}</td>
                                        @if ($employee->work)
                                            <td>{{ $employee->job }}</td>
                                        @else
                                            <td > <span class="text-danger">{{ trans('native.no_work') }}</span></td>
                                        @endif

                                        <!--<td>{{ $employee->money_percent }}%</td>-->

                                        <td>{{ $employee->tel }}</td>
                                        <td class="text-center">{{ $employee->salary }}</td>
                                        <td class="text-center">{{ $employee->collecting_ratio ? "$employee->collecting_ratio %" : 0 }}</td>
                                        <td class="text-center">{{ $employee->money_out }}</td>
                                        <td>
                                            <div class="row">
                                                <div class="col-md-4">

                                                    <a class="btn btn-md btn-primary"
                                                       href="{{ route('employee.show', $employee->id) }}">{{ trans('extends.details') }}
                                                    </a>
                                                </div>
                                                <div class="col-md-4">

                                                    <a class="btn btn-md btn-warning warn" data-toggle="modal"
                                                       data-target="#updateElementModal"

                                                       data-href="{{ $employee->id }}"
                                                       style="margin-left:5px;">
                                                            <span class="glyphicon glyphicon-pencil" data-toggle="tooltip"
                                                                data-placement="top" title="Remove this Element">{{ trans('native.edit') }} </span>
                                                    </a>
                                                </div>

                                               {{--@if (1 ==0)--}}
                                                <div class="col-md-4">
                                                    @if (auth()->id() != $employee->id )
                                                    @if ($employee->is_employee == 1)
                                                        <a class="btn btn-md btn-danger" data-toggle="modal"
                                                           data-target="#deleteElementModal"
                                                           data-href="{{ $employee->id }}"
                                                           style="margin-left:5px;">
	<span class="glyphicon glyphicon-trash" data-toggle="tooltip"
          data-placement="top" title="Remove this Element">{{ trans('native.delete') }} </span>
                                                        </a>
                                                    @endif
                                                    @endif
                                                </div>

                                                   {{--@endif--}}

                                            </div>
                                        </td>

                                    </tr>
                                @endforeach

                                <tr class="info">
                                    <td colspan="4"> {{ trans('native.total') }}</td>
                                    <td class="text-center">{{ $employees->sum('salary') }}</td>
                                    <td class="text-center"></td>
                                    <td class="text-center">{{ $employees->sum('money_out') }}</td>
                                    <td></td>
                                </tr>

                                </tbody>

                            </table>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="create_modal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header badge-light">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabel">{{ trans('native.add_employee') }} </h4>
                </div>
                <form role="form" action="{{ route('employee.store') }}" method="post" enctype="multipart/form-data">
                    {!! csrf_field() !!}
                    <div class="modal-body" id="modal-loader-u">
                        <div class="row">
                            <div class="col-xs-12 col-12 col-12">

                                <div class="well">
                                    @include('employee::form', ['item' => null])
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="modal-footer bg-light">
                        <button type="button"
                                class="btn btn-default"
                                data-dismiss="modal">{{ trans('native.close') }}
                        </button>
                        <button class="btn btn-primary">{{ trans('native.save') }}</button>
                    </div>
                </form>


            </div>
        </div>
    </div>

    <div class="modal fade" id="updateElementModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div id="currentErrorMessage2"></div>
                <form id="updateElementForm" method="post" action="{{ route('employee.update') }}"
                      enctype="multipart/form-data">

                    {{ csrf_field() }}

                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    </div>

                    <div class="modal-body" id="modal-loader-u">
                        <div id="updateElementLoader" style="alignment: center;"></div>
                        <div id="updateElementErrors" style="alignment: left;"></div>
                        <div class="row">
                            <div class="col-xs-12 col-12">
                                <div class="well" id="updateElementWell">
                                    {{-- DATA WILL BE ADDED HERE BY ID! --}}
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="modal-footer bg-light">
                        <button type="button"
                                class="btn btn-default"
                                data-dismiss="modal">{{ trans('native.close') }}
                        </button>
                        <button class="btn btn-primary" type="submit"> {{ trans('native.edit-btn') }}</button>
                    </div>

                </form>

            </div>
        </div>
    </div>


    <div class="modal fade" id="deleteElementModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">

                <form id="deleteElementForm" action="{{ route('employee.destroy') }}" method="post">

                    {{ csrf_field() }}
                    <div class="modal-body" id="modal-loader-u">
                        <p>{{ trans('native.you_are_about_to_be_deleted') }} </p>
                        <p>{{ trans('native.Upon_confirmation,_this_statement_and_other_data_associated_with_it_will_be_deleted') }} </p>
                        <p>{{ trans('native.do_you_want_to_delete?') }}</p>
                        <div id="deleteElementLoader" style="alignment: center;"></div>
                        <div id="deleteElementErrors" style="alignment: left;"></div>
                    </div>

                    <div class="deleteRef"></div>
                    <div class="modal-footer bg-light">
                        <button type="button"
                                class="btn btn-default"
                                data-dismiss="modal">{{ trans('native.close') }}
                        </button>
                        <button class="btn btn-danger" type="submit">{{ trans('native.delete-btn') }} </button>
                    </div>

                </form>

            </div>
        </div>
    </div>

@stop

@section('js-scripts')

    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script src="{{ asset('tickets/js/jquery.bootstrap.treeselect.js') }}"></script>

    <!--set tree select on item id-->
    <!--set tree select on item id-->
    <script>

        $('#sale_unit').treeselect();
        $('#sale_unit_div').find("button").css("width", "100%");
    </script>

    <script>

        $(document).ready(function () {

            var loader = "<div align='center' id='loader'>" +
                "<i class='fa fa-spinner fa-pulse fa-3x fa-fw'></i>" +
                "</div><br>";


            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                    type: "GET",
                    data: null,
                    contentType: false,
                    cache: false,
                    processData: false,
                    timeout: 3000,
                }
            });

            $(document).on('click', '#btn', function () {
                $('#create_modal').modal();

                if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {
                    $(".date__").calendarsPicker({
                        calendar: $.calendars.instance('gregorian'),
                        dateFormat: 'Y-mm-dd',
                        selectDefaultDate: true,
                        defaultDate: "0"
                    });

                } else {
                    $(".date__").calendarsPicker({
                        calendar: $.calendars.instance('ummalqura'),
                        dateFormat: 'Y-mm-dd',
                        selectDefaultDate: true,
                        defaultDate: "0"
                    });
                }


            });

            $(document).find(".date2").calendarsPicker({
                calendar: $.calendars.instance("gregorian"),
                dateFormat: "Y-mm-dd",
                defaultDate: "0"
            });

            $('#deleteElementModal').on('show.bs.modal', function (e) {

                hashedID = $(e.relatedTarget).data('href');

                $('#deleteElementLoader').empty();
                $('#deleteElementErrors').empty();
                $('#error').remove();
                $('.deleteRef').empty().append('<input name="employee_id" value="' + hashedID + '" type="hidden">');

            });

			$(document).on('click', '.warn', function(){
				hashedID = $(this).data('href');
				var data = {id: hashedID};
                $.ajax({
                    url: '{{ route('employee.edit') }}',
                    type: "get",
                    data: data,
                    contentType: false,
                    cache: false,
                    processData: true, // <==
                    beforeSend: function () {
                        $('#updateElementLoader').empty().prepend(loader);
                        $('#updateElementErrors').empty();
                        $('#error').remove();
                        $('#updateElementWell').empty()
                    },
                    success: function (data) {
                        $('#updateElementLoader').empty();
                        $('#updateElementWell').empty().prepend(data);
                        $('body').find('.collecting').change();

                        $(document).find(".date2").calendarsPicker({
                            calendar: $.calendars.instance("gregorian"),
                            dateFormat: "Y-mm-dd",
                            defaultDate: "0"
                        });

                    },
                    error: function (data) {
                        $('#updateElementLoader').empty();
                        $('#updateElementWell').empty().prepend(error);
                    },
                    complete: function () {

                    }
                });
				if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {
                    $(document).find(".date2").calendarsPicker({
                        calendar: $.calendars.instance('gregorian'),
                        dateFormat: 'Y-mm-dd',
                        selectDefaultDate: true,
                        defaultDate: "0"
                    });

                } else {
                         $(document).find(".date2").calendarsPicker({
                        calendar: $.calendars.instance('ummalqura'),
                        dateFormat: 'Y-mm-dd',
                        selectDefaultDate: true,
                        defaultDate: "0"
                    });
                }
				$('#updateElementModal').modal();


			});



        });

        $('#salary').on('change', function(){

           var val = parseFloat($(this).val());

            if(! val)
            {
                $(this).val(0);
            }
        });

        $('#tel').on('change', function(){

           var length = $(this).val().length,
            max_length = @if(get_session_val('country', 'integer') == 187) 10 @else 11 @endif;

            if(length > max_length)
            {
                $(this).val($(this).val().slice(0, max_length));
            }
        });

        $(document).on('change', '#update_tel', function(){
            var length = $(this).val().length,
            max_length = @if(get_session_val('country', 'integer') == 187) 10 @else 11 @endif;

            if(length > max_length)
            {
                $(this).val($(this).val().slice(0, max_length));
            }
        });

    </script>

    <script>
        $(function() {
            $('body').on('change', '.collecting', function() {
                if ($(this).prop('checked')) {
                    $(this).closest('form').find('.collecting_ratio').removeAttr('disabled').closest('.form-group').slideDown();
                } else {
                    $(this).closest('form').find('.collecting_ratio').attr('disabled', 'disabled').closest('.form-group').slideUp();
                }
            });
        });
    </script>

@stop

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

    <link href="{{ asset('tickets/css/jquery.bootstrap.treeselect.css') }}" rel="stylesheet" type="text/css">

    <style>
        .special {
            font-weight: bold !important;
            color: #fff !important;
            background: #bc0000 !important;
            text-transform: uppercase;
        }
    </style>
@stop
