@extends('master::layouts.master')

@section('content')
    <div class="wrapper" style="background: rgba(246,246,246,0.85);">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <h1 class="text-primary" style="margin-bottom: 30px;"> تسجيل السلف و الحوافز و الخصومات </h1>

                </div>

                <div class="col-xs-12 col-md-11 col-md-offset-1">

                    <div class="row">
                        <form class="form-horizontal col-12" action="{{ route('employee.post-money-out') }}" method="post">

                            {{ csrf_field() }}

                            <div class=" row">
                                <div class="col-6">
                                    <div class="form-group form-inline">

                                        <label class="control-label col-sm-4" for="date"> تاريخ صرف البند :</label>
                                        <div class="col-sm-8">
                                            <div id="ddd">
                                                <input type="text" class="form-control input-sm input-normal date" name="date"/>
                                                <input type="hidden" class="form-control input-sm input-normal date" name="today"/>
                                            </div>

                                        </div>

                                        <div class="col-12 my-2">
                                            <div id="safe" class="hidden row">
                                                <label class="control-label col-sm-4" for="pwd"> الخزينة :</label>
                                                <div class="col-sm-8">
                                                    <select name="sale_point" class="input-sm input-light select2 padding-select picker" data-live-search="true">
                                                        @foreach($sale_points as $sale_point)
                                                            @if (auth()->user()->sale_point == $sale_point->id)
                                                                <option selected
                                                                        value="{{ $sale_point->id }}">{{ $sale_point->point_name }}</option>
                                                            @else
                                                                <option value="{{ $sale_point->id }}">{{ $sale_point->point_name }}</option>
                                                            @endif
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-group form-inline">
                                        <label class="control-label col-sm-4" for="employee"> الموظف :</label>
                                        <div class="col-sm-8">
                                            <select name="employee" id="employee" class="input-sm input-light select2 padding-select picker"
                                                    data-live-search="true">
                                                @foreach($employees as $employee)
                                                    <option value="{{$employee->id}}">{{$employee->name}}</option>
                                                @endforeach
                                            </select>
                                        </div>

                                    </div>
                                </div>
                            </div>

                            <div class="col-12 row">

                                <div class="col-6">
                                    <div class="form-group form-inline">

                                        <label class="control-label col-sm-4" for="money"> المبلغ :</label>
                                        <div class="col-sm-8">
                                            <input type="number" min="0" class="form-control input-sm input-normal" id="money" name="money"
                                                value="0"/>
                                        </div>
                                    </div>
                                </div>


                                <div class="col-6">
                                    <div class="form-group form-inline">
                                        <label class="control-label col-sm-5" for="type"> البند :</label>
                                        <div class="col-sm-7">
                                            <select name="type" class="select col-10 input-sm input-normal" id="type">

                                                <option value="40"> حوافز تضاف علي المرتب</option>
                                                <option value="41"> خصم يستقطع من المرتب</option>
                                                <option value="42"> سلفة تخصم علي دفعات</option>

                                            </select>
                                        </div>
                                    </div>
                                </div>

                            </div>

                            <div class="col-12 row">

                                <div class="col-6">
                                    <div class="form-group form-inline">
                                        <label class="control-label col-sm-4" for="reason"> السبب :</label>
                                        <div class="col-sm-8">
                                            <input type="text" class="form-control input-sm input-normal" id="reason" name="reason"/>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-6">
                                    <div class="form-group form-inline">
                                        <label class="control-label col-sm-5" for="note"> الملاحظات :</label>
                                        <div class="col-sm-7">
                                            <textarea class="form-control input-sm input-normal" rows="5" name="note" id="note"></textarea>
                                        </div>
                                    </div>
                                </div>

                            </div>


                            <div class="col-6">
                                <div class="form-group form-inline">
                                    <div class="col-sm-offset-2 col-sm-10">
                                        <button type="submit" class="btn btn-primary"> حفظ</button>
                                    </div>
                                </div>
                            </div>

                        </form>
                    </div>

                </div>
            </div>
        </div>
    </div>



@stop

@section('js-scripts')

    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>


    <script>
        $(function () {
            if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    defaultDate: "0",
                    selectDefaultDate: true
                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    defaultDate: "0",
                    selectDefaultDate: true

                });
            }

        })
    </script>

    <script>
        $('.picker').selectpicker({
            size: 8
        });
        $('#type').on('change', function () {
            if ($(this).val() == 42) {
                $('#safe').removeClass('hidden');
                $(this).after(`
                    <input required
                    type="number" min="1"
                     class="form-control input-sm input-normal"
                      name="month_deduct"
                      placeholder=" ادخل قيمه السلفة الشهرية التي تخصم من المرتب " id="month_deduct" style="margin-top: 15px" />
                    `
                )
            } else {
                $('#safe').addClass('hidden');
                $('#month_deduct').remove();
            }
        });
        $(document).on('change', '#month_deduct', function(){
            var max = parseFloat($('#money').val()),
                current = parseFloat($(this).val());
            if(! max)
            {
                $('#money').val(current);
            }
            else if(current > max)
            {
                $(this).val(max);
            }
        });

        $('#money').on('change', function(){
            if($('#type').val() == 42)
            {
                var max = parseFloat($(this).val()),
                current = parseFloat($('#month_deduct').val());
                if(! current)
                {
                    $('#month_deduct').val(0);
                }
                else if(current > max)
                {
                    $('#month_deduct').val(max);
                }
            }
        });

    </script>
@stop
@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">


@stop
