@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">
            <h1></h1>
            <div class="row">
                <div class="col-md-12">

                    <h2 class="text-primary" style="margin-bottom: 30px;">
                          {{ trans('native.payment_of_employee_salaries_for_the_month') }}
                     </h2>
                </div>


                <input type="hidden" id="month_">
                <input type="hidden" id="year_">

                <div class="col-xs-12 col-md-12 col-12 col-md-offset-1">

                    <div class="row">
                        <div class="col-md-12 col-12 col-xs-12">
                            <form action="{{route('employee.post-sallery')}}" class="form-horizontal" method="post">
                                {{ csrf_field() }}
                                <div class='col-12'>
                                    <div class="form-group form-inline">
                                        <label class="control-label col-sm-2 col-md-1" for="date">  {{ trans('native.date') }} :</label>
                                        <div class="col-sm-1">
                                            {{ trans('native.month') }}
                                        </div>
                                        <div class="col-md-2">
                                            {{ Form::selectRange('month', 01, 12 , 07,['class' => 'form-control','id' => 'month']) }}
                                        </div>
                                        <div class="col-md-1 coll-md-push-1">
                                            {{ trans('native.year') }}
                                        </div>
                                        <div class="col-md-1">
                                            @if ( get_session_val('date_type', 'Integer') ==1 )
                                                {{ Form::selectYear('year', 1430, 1460 ,1440, ['class' => 'form-control','id' => 'year']) }}
                                            @elseif (get_session_val('date_type', 'Integer') ==2)
                                                {{ Form::selectYear('year', 2000, 2050 ,date('Y'), ['class' => 'form-control','id' => 'year']) }}
                                            @endif
                                        </div>
                                        <div class='col-md-5'>                                            
                                            <div class="form-group">
                                                <label class="control-label col-sm-4" for="sale_point">  {{ trans('native.sale_point') }} :</label>
                                                <div class="col-sm-8">
                                                    <select class="form-control" name="sale_point">
                                                        @foreach($sale_points as $sale_point)
                                                            <option value="{{$sale_point->id}}"> {{$sale_point->point_name}} </option>
                                                        @endforeach
                                                    </select>
                                                    <input type="hidden" name="date" class="date"/>
                                                </div>
                                            </div>
                                        </div>

                                        <a class="btn btn-success col-md-1" id="get-salary-data"
                                           href="javascript:void(0)">
                                           {{ trans('native.confirm') }}
                                        </a>
                                    </div>
                                </div>

                                <div class='table-responsive col-12'>
                                    <table class="table table-hover table-bordered" role="presentation">

                                        <thead>
                                        <tr class="bg-info text-white">
                                            <th scope="col">#</th>
                                            <th scope="col"> {{ trans('native.EmployeeName') }} </th>
                                            <th scope="col"> {{ trans('native.Job') }} </th>
                                            <th scope="col"> {{ trans('native.Salary') }} </th>
                                            <th scope="col"> {{ trans('native.incentives') }} </th>
                                            <th scope="col"> {{ trans('native.discounts') }} </th>
                                            <th scope="col"> {{ trans('native.monthly_advance') }} </th>
                                            <th scope="col"> {{ trans('native.net') }} </th>
                                            <th scope="col"> {{ trans('native.notes') }} </th>
                                            <th scope="col"> {{ trans('native.delete') }} </th>
                                        </tr>
                                        </thead>
                                        <tbody id="table-content">
    
                                        </tbody>
    
                                    </table>
                                </div>

                                <div class="form-group">
                                    <div class="col-sm-10">
                                        <button type="submit" class="go-do btn btn-primary" id="do-do"> 
                                            {{ trans('native.save') }}
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
    </div>



@stop

@section('js-scripts')

    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script>

        $('.salary ,.cut').keyup(function () {
            let elem = $(this).closest('tr'),
                salary = parseInt(elem.find('.salary').val()),
                cut = parseInt(elem.find('.cut').val()),
                net = salary - cut;
            elem.find('.net').val(net);
        });
    </script>

    <script>
        $(function () {
            if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"

                });

                $("#month_").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'mm',
                    selectDefaultDate: true,
                    defaultDate: "0"

                });

                $("#year_").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y',
                    selectDefaultDate: true,
                    defaultDate: "0"

                });


            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });

                $("#month_").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'mm',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });

                $("#year_").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });

            }

        })
    </script>

    <script>

        $(document).ready(function () {
            getContent();

            var month = $('#month_').val();
            var year = $('#year_').val();
            //alert(month);
            if (month.length == 2 && month[0] == 0) {
                $('#month option[value=' + month[1] + ']').attr('selected', 'selected');
            } else {
                $('#month option[value=' + month + ']').attr('selected', 'selected');
            }

            if (year.length == 2 && year[0] == 0) {
                $('#month option[value=' + year[1] + ']').attr('selected', 'selected');
            } else {
                $('#month option[value=' + year + ']').attr('selected', 'selected');
            }

        });

        $(document).on('change', '.deduct__', function () {
            var id = $(this).data('id');
            var deduct = $(this).val();
            var salary = $(document).find('#salary-'+id).val();
            var addition = $(document).find('#addition-'+id).val();
            var cut = $(document).find('#cut-'+id).val();

            deduct = Number(deduct);
            salary = Number(salary);
            addition = Number(addition);
            cut = Number(cut);

            var new_net = salary + addition - cut - deduct;
            $(document).find('#net-' + id).val(new_net);
            $(document).find('#net_txt-' + id).html(new_net);
        });

        $(document).on('click', '#get-salary-data', function () {

            var month = $('#month').val();
            var year = $('#year').val();

            $.ajax({
                type: 'get',
                url: '{{ route('employee.ajax.update-salary-content') }}',
                data: {'month': month, 'year': year},
                beforeSend: function () {
                    $('#table-content').empty().append('<tr class="info text-center"><td colspan="8"> {{ trans('native.loading') }} </td>');
                },
                success: function (data) {
                    $('#table-content').empty().append(data[1]);
                    if (data[0] === '0') {
                        $('#do-do').addClass('hidden');
                    } else {
                        $('#do-do').removeClass('hidden');
                    }

                }, error: function (xhr, ajaxOptions, thrownError) {
                    console.log(thrownError);
                }
            });

        });

        $(document).on('click', '.delete', function () {
            var attr = $(this).data('id');
            $('#' + attr).remove();
            var len = $('tbody tr').length;
            if (len == 0) {
                $('.go-do').addClass('hidden');
            }
        });

        function getContent() {

            var month = $('#month_').val();
            var year = $('#year_').val();

            $.ajax({
                type: 'get',
                url: '{{ route('employee.ajax.update-salary-content') }}',
                data: {'month': month, 'year': year},
                success: function (data) {
                    console.log(data);

                    $('#table-content').empty().append(data[1]);
                    if (data[0] === '0') {
                        $('#do-do').addClass('hidden');
                    } else {
                        $('#do-do').removeClass('hidden');
                    }

                }, error: function (xhr, ajaxOptions, thrownError) {
                    console.log(thrownError);
                }
            });
        }

    </script>




@stop

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

@stop
