@extends('master::layouts.master')

@section('content')
    <div class="container">
        <div class="row">

            <div class="col-md-12">
                <h2 class="title-page">
                    تقرير الرواتب المصروفة للموظفين
                </h2>
            </div>

            <div class="col-md-10 col-md-offset-1 noprint">
                <br>
                <form class="form-inline" method="get" action="">

                    <div class="form-group">
                        <div class="form-group">
                            {{--<label class="control-label col-sm-2" for="date"> التاريخ :</label>--}}
                            <div class="col-sm-3">
                                شهر


                                {{ Form::selectRange('month', 01, 12 , request('month') ?? (int)date('m'),['class' => 'form-control','id' => 'month']) }}
                            </div>
                            <div class="col-md-3">
                                سنه
                                @if ( get_session_val('date_type', 'Integer') ==1 )
                                    {{ Form::selectRange('year', 1430, 1460 ,request('year') ?? 1440, ['class' => 'form-control','id' => 'date']) }}
                                @elseif (get_session_val('date_type', 'Integer') ==2)
                                    {{ Form::selectRange('year', 2000, 2050 ,request('year') ?? date('Y'), ['class' => 'form-control','id' => 'date']) }}
                                @endif
                            </div>
                        </div>
                    </div>

                    <button style="margin-top: 1.7em;" type="submit" class="btn btn-success"> عرض</button>
                </form>

</div>

                <div class="col-md-12">
                    <table class="table table-bordered table-striped" id="table2excel" style="margin-top: 30px;" role="presentation">
                        <thead>
                        <tr class="bg-info">
                            <th scope="col"> الموظف</th>

                            <th scope="col"> الراتب الاساسي</th>
                            <th scope="col"> الحوافز</th>
                            <th scope="col"> الخصومات</th>
                            <th scope="col"> السلف</th>
                            <th scope="col"> الصافي</th>
                            <th scope="col"> تفاصيل </th>
                        </tr>
                        </thead>
                        <tbody>

                        <?php
                        $all_sallery = 0;
                        $all_raise = 0;
                        $all_cut = 0;
                        $all_debt = 0;
                        $all_net = 0;

                        ?>

                        @foreach($employees as $employee)
                            <tr>
                                <td>{{ $employee->name }}</td>

                                <td>{{ price_decimal($employee->salary) }}</td>
                                <td>{{ price_decimal($employee->addition) }}</td>
                                <td>{{ price_decimal($employee->deduct) }}</td>
                                <td>{{ price_decimal($employee->month_deduct) }}</td>
                                <td>{{ price_decimal($employee->amount) }}</td>
                                <td>
                                    <a
{{--                                            href="{{ route('employee.report_salary',['em_id'=>$employee->em_id]) }}"--}}
{{--                                                target="_blank"--}}
{{--                                            class="hidden-print  btn btn-success">{{ trans('extends.print') }} </a>--}}

                            href="{{ route('employee.show_detail',[
                                        'em_id'=>$employee->em_id,
                                        'month'=>request('month'),
                                        'year'=>request('year')
                                      ]) }}" target="_blank"
                            class="hidden-print  btn btn-success">{{ trans('extends.print') }} </a>

                                </td>



                                <?php
                                $all_sallery += $employee->salary ;
                                $all_raise += $employee->addition ;
                                $all_cut += $employee->deduct ;
                                $all_debt += $employee->month_deduct ;
                                $all_net += $employee->amount ;

                                ?>

                            </tr>
                        @endforeach

                        @if (request('month') && request('year'))
                            <tr class="info">
                                <td>الاجمالي</td>
                                <td>{{ price_decimal($all_sallery) }}</td>
                                <td>{{ price_decimal($all_raise) }}</td>
                                <td>{{ price_decimal($all_cut) }}</td>
                                <td>{{ price_decimal($all_debt) }}</td>
                                <td>{{ price_decimal($all_net) }}</td>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                </div>
                
                
                      
                <button onclick="myFunction()"
                class="hidden-print noprint btn btn-success col-sm-2">{{ trans('extends.print') }} </button>

                <button onclick="toExcel()"
                        class="hidden-print noprint btn btn-primary col-sm-2">{{ trans('extends.toExcel') }} </button>

                <button onclick="toPDF()"
                        class="hidden-print noprint btn btn-danger pdfBtn col-sm-2">تصدير الي PDF </button>

                </div>
            </div>
            <hr>


        </div>




    @stop


    @section('js-scripts')

        <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
        <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
        <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
        <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
        <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
        <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

        <script>
            $(function () {

                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });


            })


        </script>


        <script type="text/javascript">
            $('.btn-print').click(function (e) {
                e.preventDefault();
                window.print();
            });

            function myFunction() {
                window.print();
                var isChrome = /Chrome/.test(navigator.userAgent) && /Google Inc/.test(navigator.vendor);
                if (isChrome == false) window.close();
            }

            function printDetail() {
                window.print();
                var isChrome = /Chrome/.test(navigator.userAgent) && /Google Inc/.test(navigator.vendor);
                if (isChrome == false) window.close();
            }





            function toExcel() {

                        var table = $('#table2excel');
                        if (table && table.length){
                            var preserveColors = (table.hasClass('table2excel_with_colors') ? true : false);
                            $(table).table2excel({
                                exclude: ".noExl",
                                name: "Excel Document Name",
                                filename: "myFileName" + new Date().toISOString().replace(/[\-\:\.]/g, "") + ".xls",
                                fileext: ".xls",
                                exclude_img: true,
                                exclude_links: true,
                                exclude_inputs: true,
                                preserveColors: preserveColors
                            });
                        }
                /*
                $("#table2excel").table2excel({

                    // exclude CSS class

                    exclude: ".noExl",

                    name: "Report",
                    filename: "sell_vat" //do not include extension

                });
                */
            }

            function toPDF() {
                var content = $('#left_content').html();
                var the_content = $('html').clone();
                the_content.find('nav').remove();
                the_content.find('.noprint').remove();
                the_content.find('.hidden-print').remove();
                the_content.find('script').remove();
                the_content.find('.warning').removeClass('warning');
                the_content.find('#table2excel').removeAttr('class');
                the_content.find('#table2excel').attr('border', '1');
                the_content.find('td').css('vertical-align', 'middle');
                the_content.find('th').css('vertical-align', 'middle');
                the_content.find('#logo').remove();
                the_content.find('.title-page').remove();


                console.log(the_content.html())

                content = the_content.html();

                var _token = '{{ csrf_token() }}';
                var shop_id = '{{ get_session_val('serial_id', 'integer') }}';
                $.post('{{ route('print-pdf') }}', {_token, content, shop_id}, function(result){

                     var id = 'pdf-'+result;
                        var link = Server_link +'tools/public/'+ result;
                        var btn = '<a id="'+id+'" class="hidden" download href="'+ link +'"></a>';
                        $('body').append(link);
                        setTimeout(function(){
                            window.open(link);
                            $('.pdfBtn').html('تصدير الي PDF').removeAttr('disabled');
                        }, 3500);
                })
            }
        </script>

    @stop
    @section('css-scripts')

        <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
        <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
        <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

        <style>
            @media print {
                .noprint {
                    display: none;
                }

                #logo {
                    display: block !important;

                }

                .width40 {
                    width: 40% !important;
                    float: left;
                    margin-top: -3em !important;
                    margin-bottom: 1em !important;
                }

                .width60 {
                    width: 60% !important;
                }

            }
        </style>

    @stop
