@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">
            <div class="row">

                <div class="col-xs-12 col-md-12">

                    <div class="row">
                        <div class="col-md-12 col-xs-12">
                            <table id="table2excel" class="table table-responsive table-hover table-bordered" role="presentation"
                                    style="background: rgba(49,48,255,0.13); color: #000;">

                                <thead>
                                    <tr>
                                        <th style="width: 10%;" scope="col">{{ trans('native.employee_name') }}</th>
                                        <td style="width: 10%;">{{ $employee->name }}</td>

                                        <th style="width: 10%;" scope="col"> {{ trans('native.job') }}</th>
                                        <td style="width: 10%;">{{ $employee->job }}</td>

                                        <th style="width: 10%;" scope="col">مسئول تحصيل ؟</th>
                                        <td style="width: 10%;">{{ $employee->collecting ? "نعم" : 'لا' }}</td>
                                    </tr>

                                    <tr>
                                        <th style="width: 10%;" scope="col"> {{ trans('native.address') }}</th>
                                        <td style="width: 10%;">{{ $employee->address }}</td>

                                        <th style="width: 10%;" scope="col">{{ trans('native.phone_number') }}</th>
                                        <td style="width: 10%;">{{ $employee->tel }}</td>

                                        <th style="width: 10%;" scope="col">نسبة التحصيل</th>
                                        <td style="width: 10%;">{{ $employee->collecting ? $employee->collecting_ratio.'%' : '' }}</td>
                                    </tr>

                                    <tr>
                                        <th style="width: 10%;" scope="col">{{ trans('native.basic_salary') }}</th>
                                        <td style="width: 10%;">{{ $employee->salary }}</td>

                                        <th style="width: 10%;" scope="col">{{ trans('native.total_advance') }}</th>
                                        <td>{{ $employee->money_out }}</td>

                                        <th style="width: 10%;" scope="col">عدد عملاء الجملة</th>
                                        <td>{{ $employee->collecting ? $employee->clients_count : '' }}</td>
                                    </tr>

                                    <tr>
                                        <th style="width: 10%;" scope="col">{{ trans('native.job') }}</th>
                                        <td style="width: 10%;">
                                            @if ($employee->work)
                                                <b class="text-success"> يعمل </b>
                                            @else
                                                <b class="text-danger"> لا يعمل </b>
                                            @endif
                                    </tr>
                                </thead>

                            </table>
                        </div>


                    </div>

                </div>


                @if ($employee->work)
                    <div class="col-xs-12 col-md-12 noprint">
                        <div style="padding: 1em;margin-bottom: 1em; background: #e8f0ff;">
                            <form method="post" action="{{ route('employee.post-emp-sallery') }}">
                                {{ csrf_field() }}

                                <div class="row" style="margin-bottom: 1em;">
                                    <div class='col-12 row'>
                                        <div class="col-md-3">
                                            <h2>{{ trans('native.pay_salary') }} </h2>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group form-inline">
                                                <div class="col-md-1">
                                                    {{ trans('native.month') }}
                                                </div>
                                                <div class="col-md-5">
                                                    {{ Form::selectRange('month', 01, 12 , 07,['class' => 'form-control','id' => 'month']) }}
                                                </div>
                                                <div class="col-md-1 coll-md-push-1">
                                                    {{ trans('native.year') }}
                                                </div>
                                                <div class="col-md-5">
                                                    @if ( get_session_val('date_type', 'Integer') ==1 )
                                                        {{ Form::selectYear('year', 1430, 1460 ,1440, ['class' => 'form-control','id' => 'year']) }}
                                                    @elseif (get_session_val('date_type', 'Integer') ==2)
                                                        {{ Form::selectYear('year', 2000, 2050 ,date('Y'), ['class' => 'form-control','id' => 'year']) }}
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-3 ">
                                            <div class="form-inline">
                                                <label class="control-label col-sm-2" for="sale_point">  {{ trans('native.treasury') }}:</label>
                                                <div class="col-sm-10">
                                                    <select class="form-control" name="sale_point">
                                                        @foreach($sale_points as $sale_point)
                                                            <option value="{{$sale_point->id}}"> {{$sale_point->point_name}} </option>
                                                        @endforeach
                                                    </select>
                                                    <input type="hidden" name="date" class="date"/>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <input name="employee_id" value="{{ $employee->id }}" type="hidden">
                                <div class="col-12 table-responsive">
                                    <table class="table table-bordered table-hover" role="presentation">
                                        <thead>
                                        <tr class="warning">
                                            <th scope="col">{{ trans('native.basic_salary') }}</th>
                                            <th scope="col">{{ trans('native.incentives') }}</th>
                                            <th scope="col">{{ trans('native.discounts') }}</th>
                                            <th scope="col">{{ trans('native.monthly_advance') }}</th>
                                            <th scope="col"> {{ trans('native.net') }}</th>
                                            <th scope="col">{{ trans('native.notes') }}</th>
                                            <th scope="col"></th>
                                        </tr>

                                        </thead>
                                        <tbody id="table-content"></tbody>
                                    </table>
                                </div>

                            </form>
                        </div>
                    </div>
                @endif

                <div class="col-xs-12 col-md-12 col-12 table-responsive">

                    <table id="table3excel" class="table table-hover table-bordered " >
                        <thead>



                        <tr class="bg-info text-white">

                            <th scope="col">{{ trans('native.date') }}</th>
                            <th scope="col">{{ trans('native.clause') }}</th>
                            <th scope="col">{{ trans('native.the_amount') }}</th>
                            <th scope="col">{{ trans('native.reason') }}</th>
                            <th scope="col">{{ trans('native.notes') }}</th>
                            <th class="noExl noprint">{{ trans('native.delete') }} </th>
                        </tr>

                        </thead>
                        <tbody>
                        @foreach($employee_transaction as $item)
                            <tr class="success">

                                <td>{{ $item->spend_date }}</td>
                                <td>{{ $item->getTypeContent() }}</td>
                                <td>{{ price_decimal($item->amount) }}</td>
                                <td>{{ $item->reason }}</td>
                                <td>{{ $item->note }}</td>
                                <td class="noExl noprint">
                                    @if ($item->checkDeleteAvailability($employee->id))
                                        <form method="post" action="{{ route('employee.post-delete-money') }}"
                                              id="deleteForm-{{ $item->id }}">
                                            {{ csrf_field() }}
                                            <input name="employee_id" value="{{ $employee->id }}" type="hidden">
                                            <input name="date" class="date" type="hidden">
                                            <input name="transaction" value="{{ $item->id }}" type="hidden">
                                        </form>
                                        <a href="javascript:void(0)" class="btn btn-danger deleteMe "
                                           data-id="{{ $item->id }}"> {{ trans('native.delete') }} </a>
                                    @else
                                        <p>{{ trans('native.The_salary_has_been_paid') }}</p>
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    {!! $employee_transaction->links() !!}
                </div>

                    <div class="col-xs-12 col-md-12">
                        <button onclick="myFunction()"
                                class="hidden-print noprint btn btn-success col-sm-2">{{ trans('extends.print') }}
                        </button>

                        <button onclick="toExcel()"
                              class="hidden-print noprint btn btn-primary col-sm-2">{{ trans('extends.toExcel') }}
                        </button>
                    </div>
            </div>
        </div>

    </div>
    <input type="hidden" id="month_">
    <input type="hidden" id="year_">


    <div class="modal fade" id="deleteModal" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <h3 class="text-center text-danger">{{ trans('native.are_you_sure_to_delete_this_item?') }}</h3>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary modal-confirm pull-right">{{ trans('native.confirm') }}</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">{{ trans('native.close') }}</button>
                </div>
            </div>

        </div>
    </div>



@if (! is_null($session))
    <div class="row for_print">
        <div class="width60">
            <h4>{{ trans('native.employee_salary_disbursement') }} &nbsp; {{ $employee->name }} &nbsp; {{ trans('native.month') }}: <span id="stateText">{{ $session['month'] }}</span>
            </h4>
        </div>

        <div class="width40">
            <img id="logo" style="display: none;" src="{{ config('main.badr').$img }}" height="60">
        </div>
        <br>
        <br>

        <div class="width60">
            <p>{{ trans('native.date') }}: <span id="dateTxt">{{ $session['date'] }}</span></p>
        </div>

        <div class="width40">
            <p style="float: right;">{{ trans('native.amount') }}: <span id="amountTxt">{{ $session['amount'] }}</span></p>
        </div>
        <br>
        <div class="col-md-12">
            <p>{{ trans('native.notes') }}: <span id="notesTxt">{{ $session['notes'] }}</span></p>
        </div>

        <hr>
        <br> <br>
        <div class="width40">
            <p id="toPersonTxt">{{ trans('native.The_recipient') }}</p>
        </div>
        <div class="width40">
            <p id="fromPersonTxt">>{{ trans('native.delivery') }}</p>
        </div>

    </div>
@endif


@stop


@section('js-scripts')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('js/jquery.table2excel.js') }}"></script>

    <script type="text/javascript">
        $('.btn-print').click(function (e) {
            e.preventDefault();
            window.print();
        });


        function myFunction() {

            if( $('#table3excel tr').length < 2 )
            {
                $('#table3excel').addClass('noprint');
            }
            else{
                $('#table3excel').removeClass('noprint');
            }

            window.print();
            var isChrome = /Chrome/.test(navigator.userAgent) && /Google Inc/.test(navigator.vendor);

            if (isChrome == false) window.close();
        }


        function toExcel() {

            // var table = $(".table2excel");
            var html = $("#table2excel").html();

            var table = $("#table2excel").append($("#table3excel").clone());

            if (table && table.length){
                var preserveColors = (table.hasClass('table2excel_with_colors') ? true : false);
                $(table).table2excel({
                    exclude: ".noExl",
                    name: "Excel Document Name",
                    filename: "employee_details" + new Date().toISOString().replace(/[\-\:\.]/g, "") + ".xls",
                    fileext: ".xls",
                    exclude_img: true,
                    exclude_links: true,
                    exclude_inputs: true,
                    preserveColors: preserveColors
                });

                $("#table2excel").html(html);
            }

        }

    </script>

    <script>

        $(document).keyup('.salary__ ,.cut__', function () {

            var salary = parseInt($(document).find('.salary__').val());
            var cut = parseInt($(document).find('.cut__').val());
            var net = salary - cut;
            $(document).find('.net__').val(net);

        });
    </script>
    <script>
        $(function () {
            if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"

                });

                $("#month_").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'mm',
                    selectDefaultDate: true,
                    defaultDate: "0"

                });

                $("#year_").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y',
                    selectDefaultDate: true,
                    defaultDate: "0"

                });


            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });

                $("#month_").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'mm',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });

                $("#year_").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });

            }

        })
    </script>
    <script>

        $(document).ready(function () {

            var month = $('#month_').val();
            var year = $('#year_').val();
            //alert(month);
            if (month.length == 2 && month[0] == 0) {
                $('#month option[value=' + month[1] + ']').attr('selected', 'selected');
            } else {
                $('#month option[value=' + month + ']').attr('selected', 'selected');
            }

            if (year.length == 2 && year[0] == 0) {
                $('#month option[value=' + year[1] + ']').attr('selected', 'selected');
            } else {
                $('#month option[value=' + year + ']').attr('selected', 'selected');
            }

            getContent();
        });

        $(document).on('change', '#my_deduct', function () {
            var deduct = $(this).val();
            var salary = $(document).find('#my_salary').val();
            var addition = $(document).find('#my_addition').val();
            var cut = $(document).find('#my_cut').val();

            deduct = Number(deduct);
            salary = Number(salary);
            addition = Number(addition);
            cut = Number(cut);

            if (deduct > salary)
            {
                deduct = salary;
                $(this).val(deduct);
            }

            var new_net = salary + addition - cut - deduct;
            $(document).find('#my_net').val(new_net);
            $(document).find('#net_txt').html(new_net);
        });

        $('#month ,#year').on('change', function () {

            getContent();

        });

        function getContent() {
            var month = $('#month').val();
            var year = $('#year').val();

            $.ajax({
                type: 'get',
                url: '{{ route('employee.ajax.update-salary-employee') }}',
                data: {'month': month, 'year': year, 'employee_id': '{{ $employee->id }}'},
                beforeSend: function () {
                    $('#table-content').empty().append('<tr class="info text-center"><td colspan="8">جاري التحميل ...</td>');
                },
                success: function (data) {
                    $('#table-content').empty().append(data);

                }, error: function (xhr, ajaxOptions, thrownError) {
                    console.log(thrownError);
                }
            });
        }

        $(document).on('click', '.deleteMe', function () {
            var id = $(this).data('id');
            $('.modal-confirm').attr('form', id);
            $('#deleteModal').modal('toggle');
        });

        $(document).on('click', '.modal-confirm', function () {
            var id = $(this).attr('form');
            $(document).find('#deleteForm-' + id).submit();
        });

        @if (! is_null($session))
            $(document).ready(function(){
                window.print();
            });
        @endif


    </script>

@stop

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

    <style>
        .for_print {
            display: none !important;
            margin: 20px;
        }

        @media print {
            .noprint {
                display: none !important;
            }

            .for_print {
                display: block !important;
            }

            #logo {
                display: block !important;

            }

            .width40 {
                width: 40% !important;
                float: left;
                margin-top: -3em !important;
                margin-bottom: 1em !important;
            }

            .width60 {
                width: 60% !important;
            }

        }
    </style>

@stop
