@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">
            <div class="row">
                <div class="col-md-12">

                    @if (session('success'))
                        <p class="alert alert-success text-center">{{ session('success') }}</p>
                    @endif

                    @if (session('error'))
                        <p class="alert alert-danger text-center">{{ session('error') }}</p>
                    @endif
                    @if ($errors->any())
                        <div class="row">
                            <div class="col-xs-12 col-sm-12">
                                <!-- if there are creation errors, they will show here -->
                                <ul class="alert alert-danger">
                                    @foreach($errors->all() as $error)
                                        <li>{{$error}}</li>
                                    @endforeach
                                </ul>
                            </div>
                        </div>
                    @endif
                    <h1 class="text-primary title-page">تقرير عمولات الموظفين</h1>
                </div>

                <div class="col-xs-12 col-md-11 col-md-offset-1">

                    <div class="row">
                        <div class="col-md-12">
                            <form>
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="">من</label>
                                            <input name="from" value="{{ $request->from }}" class="form-control date">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="">الي</label>
                                            <input name="to" value="{{ $request->to }}" class="form-control date">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="">الموظف</label>
                                            <select name="user" class="form-control picker" data-live-search="true">
                                                <option value="0" @if ($request->user == '0') selected @endif>كل الموظفين</option>
                                                @foreach($users as $user)
                                                    <option @if ($request->user == $user->id) selected @endif
                                                    value="{{ $user->id }}">{{ $user->user_name }}</option>
                                                @endforeach

                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <button class="btn btn-success" style="margin-top: 1.7em;">عرض</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-md-12 col-xs-12">
                            <table class="table table-responsive table-hover table-bordered">

                                <thead>
                                <tr class="info">
                                    <th scope="col">#</th>
                                    <th scope="col">الموظف</th>
                                    <th scope="col">تاريخ الفاتورة</th>
                                    <th scope="col">رقم الفاتورة</th>
                                    <th scope="col">عدد الاصناف</th>
                                    <th scope="col">النقاط</th>
                                    <th scope="col">المبلغ</th>

                                </tr>
                                </thead>

                                <tbody>
                                @foreach($results as $result)
                                    <tr data-toggle="collapse" data-target="#demo">
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $result->user_name }}</td>
                                        <td>{{ $result->sale_date }}</td>
                                        <td>{{ $result->bill_no }}</td>
                                        <td>{{ quant_decimal($result->total_quantity) }}</td>
                                        <td>{{ quant_decimal($result->total_bolla) }}</td>
                                        <td>{{ price_decimal($result->total_money) }}</td>
                                    </tr>
                                @endforeach


                                  <tr class="info">
                                      <td colspan="4"> الاجمالي</td>
                                      <td>{{ $results->sum('total_quantity') }}</td>
                                      <td>{{ $results->sum('total_bolla') }}</td>
                                      <td>{{ $results->sum('total_money') }}</td>


                                </tbody>

                            </table>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>


@stop

@section('js-scripts')

    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>


        <script>
            $(function () {
                if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {
                    $(".date").calendarsPicker({
                        calendar: $.calendars.instance('gregorian'),
                        dateFormat: 'Y-mm-dd',
                        // defaultDate: "0",
                        // selectDefaultDate: true
                    });
                } else {
                    $(".date").calendarsPicker({
                        calendar: $.calendars.instance('ummalqura'),
                        dateFormat: 'Y-mm-dd',
                        // defaultDate: "0",
                        // selectDefaultDate: true

                    });
                }

                $('.picker').selectpicker({
                    size: 8
                });


            })
    </script>


@stop

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <style>
        button.btn.dropdown-toggle.btn-default{
            border: #bfbbbb 1px solid;
        }
    </style>
@stop
