<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
use Illuminate\Support\Facades\Route;
use Modules\Employee\Http\Controllers\EmployeeController;

Route::group(['middleware' => ['web', 'auth'], 'prefix' => 'employee'], function()
{
    Route::get('/', 'EmployeeController@index')->name('employee.index');
    Route::get('/edit', 'EmployeeController@edit')->name('employee.edit');
    Route::post('/store', 'EmployeeController@store')->name('employee.store');
    Route::post('/update', 'EmployeeController@update')->name('employee.update');
    Route::post('/destroy', 'EmployeeController@destroy')->name('employee.destroy');

    Route::get('/pay-sallery', 'EmployeeTransactionController@paySalaryIndex')->name('employee.pay-sallery');
    Route::post('/post-sallery', 'EmployeeTransactionController@postSallery')->name('employee.post-sallery');
    Route::post('/post-emp-sallery', 'EmployeeTransactionController@postEmployeeSallery')->name('employee.post-emp-sallery');
    Route::get('/pay-money-out', 'EmployeeTransactionController@payMoneyOutIndex')->name('employee.pay-money-out');
    Route::post('/post-money-out', 'EmployeeTransactionController@postMoneyOut')->name('employee.post-money-out');
    Route::post('/post-delete-money', 'EmployeeTransactionController@postDeleteMoney')->name('employee.post-delete-money');

    Route::get('/employee-ajax-update-salary-content', 'EmployeeTransactionController@updateSalaryPageContent')->name('employee.ajax.update-salary-content');
    Route::get('/employee-ajax-update-emp-salary', 'EmployeeTransactionController@updateEmployeeSalary')->name('employee.ajax.update-salary-employee');


    #21-10-2018 user bolla report
    Route::get('user-bolla-report', ['uses' => 'ReportController@userBollaReport', 'as' => 'user-bolla-report']);

    Route::get('report_salary', ['as' => 'employee.report_salary', 'uses' => 'EmployeeController@reportSalary']);
    Route::get('get_report_salary', ['as' => 'get_report_salary', 'uses' => 'EmployeeController@reportSalary']);

    Route::get('register-attendance', 'ExcelController@attendance')->name('employee.attendance');
    Route::post('register-attendance', 'ExcelController@upload')->name('employee.attendance-upload');

    Route::get('show_detail', ['as' => 'employee.show_detail', 'uses' => 'EmployeeController@showDetail']);

    Route::get('/{id}', 'EmployeeController@show')->name('employee.show');

});