<?php

namespace Modules\Excel\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;
use Modules\Clients\Entities\Country;
use Modules\Excel\Entities\Scopes\ShopIdScope;


class Client extends Model
{
    use RoundingAttributesTrait;
    protected $table = 'clients';
    public $timestamps  = false;
//    protected $guarded = [];

    protected $fillable = [
        'client_name',
        'client_role',
        'shop_id'
    ];

    public function country()
    {
        return $this->belongsTo(Country::class, 'country_id')->select('id', 'name_ar as name')->withDefault(['name' => '']);
    }

    public function getRoleAttribute()
    {
        return $this->client_role == 0 ? 'عميل' : ($this->client_role == 1 ? 'مورد' : 'كلاهما');
    }

    protected static function booted()
    {
        static::addGlobalScope(new ShopIdScope);
    }
}
