<?php

namespace Modules\Excel\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class ItemPrice extends Model
{
    use RoundingAttributesTrait;
    protected $table = 'items_prices';
    public $timestamps = false;
    protected $guarded = ['id'];

    public function item()
    {
        return $this->belongsTo(Item::class, 'item_id')->select('id', 'item_name as name', 'barcode');
    }

    public function list()
    {
        return $this->belongsTo(PriceList::class, 'list_id')->select('id', 'list_name as name');
    }

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shopID', function (Builder $builder) {
            $builder->where('shop_id', auth()->user()->shop_id);
        });

        self::creating(function($model) {
            $model->add_user = auth()->id();
            $model->shop_id  = auth()->user()->shop_id;
            $model->add_date = now();
        });

        self::updating(function($model) {
            $model->edit_user = auth()->id();
            $model->edit_date = now();
        });
    }
}
