<?php

namespace Modules\Excel\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;


class PriceList extends Model
{
    protected $table = 'prices_list';
    public $timestamps  = false;
    protected $guarded = ['id'];

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shopID', function (Builder $builder) {
            $builder->where('shop_id', auth()->user()->shop_id);
        });

        self::creating(function($model) {
            $model->add_user = auth()->id();
            $model->shop_id  = auth()->user()->shop_id;
            $model->add_date = now();
        });

        self::updating(function($model) {
            $model->edit_user = auth()->id();
            $model->edit_date = now();
        });
    }
}
