<?php

namespace Modules\Excel\Exports;

use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;
use Modules\Clients\Entities\Badrshop;
use Modules\Excel\Entities\Client;

class ClientsExport implements FromView
{
    public function __construct(public bool $empty = false)
    {
        ini_set('max_execution_time', 999999999999999999);
    }

    public function view(): View
    {
        $settings = Badrshop::select('country', 'einvoice')->with('Country:id,name_en')->where('serial_id',  get_session_val('serial_id', 'integer'))->first();
        return view('excel::exports.clients', [
            'clients' => $this->query(),
            'settings' => $settings
        ]);
    }

    protected function query()
    {
        if ($this->empty) return [];
        return Client::select('id', 'country_id', 'client_role', 'client_name', 'email', 'address', 'client_tax_number', 'info1', 'mobile1', 'balance', 'governate', 'regionCity', 'street', 'buildingNumber', 'floor', 'room', 'postalCode', 'landmark')
                        ->where('shop_id', get_session_val('serial_id', 'integer'))->with('country')->orderBy('id', 'ASC')->get();
    }
}
