<?php

namespace Modules\Excel\Exports;

use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;
use Modules\Excel\Entities\ItemPrice;

class ItemPricesExport implements FromView
{
    public function __construct(public bool $empty = false)
    {
        ini_set('max_execution_time', 999999999999999999);
    }

    public function view(): View
    {
        return view('excel::exports.prices', [
            'rows' => $this->query()
        ]);
    }

    protected function query()
    {
        if ($this->empty) return [];
        return ItemPrice::select('id', 'item_id', 'list_id', 'price', 'list_quant')
                            ->whereHas('list')->whereHas('item')->with('list', 'item')
                            ->orderBy('item_id')->get();
    }
}
