<?php

namespace Modules\Excel\Exports;

use Illuminate\Contracts\View\View;
use Illuminate\Support\Facades\DB;
use Maatwebsite\Excel\Concerns\FromView;
use Modules\Excel\Entities\Item;

class ItemsExport implements FromView
{
    public function __construct(public bool $empty = false)
    {
        ini_set('max_execution_time', 999999999999999999);
    }

    public function view(): View
    {
        return view('excel::exports.items', [
            'items' => $this->getQuery()
        ]);
    }

    protected function getQuery()
    {
        if ($this->empty) return [];
        $decimal_num_price = get_session_val('decimal_num_price', 'integer');

        return Item::select('id', 'item_name as name', 'barcode', 'about', 'supplier_id', 'sale_unit',
                                DB::raw("TRUNCATE(sale_price, $decimal_num_price) as sale_price"),
                                DB::raw("TRUNCATE(pay_price, $decimal_num_price) as pay_price"),
                                DB::raw("TRUNCATE(lowest_price, $decimal_num_price) as lowest_price"),
                                DB::raw("TRUNCATE(min_quantity, $decimal_num_price) as min_quantity"))
                        ->with('supplier:id,client_name as name', 'category:id,name')
                        ->withSum('storeQty as quantity', 'store_quant')
                        ->where('shop_id', get_session_val('serial_id', 'integer'))
                        ->orderBy('id', 'desc')->get();
    }
}
