<?php

namespace Modules\Excel\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Maatwebsite\Excel\Facades\Excel;
use Modules\Excel\Exports\ItemPricesExport;
use Modules\Excel\Imports\DeleteItemPricesImport;
use Modules\Excel\Imports\UpdateItemPricesImport;

class ItemMultiPriceController extends Controller
{
    public function index()
    {
        return view('excel::item_prices');
    }

    public function import(Request $request)
    {
        session()->forget(['success_rows', 'failed_rows']);
        if ($request->operation == 1) {
            Excel::import(new UpdateItemPricesImport(), $request->sheet);
        } else {
            Excel::import(new DeleteItemPricesImport(), $request->sheet);
        }
        return redirect()->back()->withInput(['operation' => $request->operation]);
    }

    public function export(Request $request)
    {
        ob_clean();
        return Excel::download(new ItemPricesExport($request->has('empty')), 'prices.xlsx');
    }
}
