<?php

namespace Modules\Excel\Http\Controllers;

use App\Log;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use App\Http\Controllers\Controller;
use App\Imports\ImportItemUnit;
use App\Imports\ItemUnitImport;
use App\Imports\UnitImport;
use App\Models\systemLog;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Validator;
use Maatwebsite\Excel\Facades\Excel;
use Maatwebsite\Excel\Validators\ValidationException;
use Modules\Excel\Entities\Store;
use Modules\Excel\Exports\ClientsExport;
use Modules\Excel\Exports\ItemsExport;
use Modules\Excel\Imports\AddClientsImport;
use Modules\Excel\Imports\AddItemsImport;
use Modules\Excel\Imports\DeleteItemsImport;
use Modules\Excel\Http\Requests\ExcelRequest;
use PhpOffice\PhpSpreadsheet\Calculation\Information\ExcelError;

class UnitsController extends Controller
{
    public function index()
    {
        return view('excel::unit_excel');
    }
    public function uploadUnits(ExcelRequest $request)
    {
        $file = $request->file('sheet');
        $shop_id = get_session_val('serial_id', 'integer');
        $name_one = 'uploads/' . $shop_id . '/sheet/';
        $extension = $file->getClientOriginalExtension(); // getting file extension
        $fileName = 'units-' . rand(11111111, 99999999) . '.' . $extension; // renameing file
        $file->move($name_one, $fileName); // uploading file to given path
        // Excel::import(new ItemUnitImport, ($name_one . $fileName));
        $import = new ItemUnitImport;
        $import->import($name_one . $fileName);

        return redirect()->back();
    }

}
