@extends('master::layouts.master')

@section('content')

<div class="card card-light mb-1_5 pt-1_5 p-4">

    <div class="container">
        <form method="post"  class="custome-form" enctype="multipart/form-data" action="{{ route('excel.edit_clients_store') }}">
            {!! csrf_field() !!}
            <h1 class="text-info">تعديل العملاء و الموردين بالاكسيل</h1>
            <hr>

            <div class="row mt-3">
                <div class="col-md-3">
                    <label for="operation" class="form-label h5 mr-3">1- اختر من القائمه:</label>
                </div>
                <div class="col-md-4">
                    <select class="form-control input-normal " name="operation" id="operation" required>
                        <option value="1" selected > إضافة عملاء و موردين</option>
                    </select>
                </div>
            </div>

            <div class="container" id="instructions"></div>

            <hr>

            <div class="row mt-3">
                <div class="col-md-3">
                    <label class="form-label h5 mr-3">2- رفع ملف الاكسل </label>
                </div>
                <div class="col-md-4 d-inline-flex mr-3">
                    <input type="file" name="sheet" class="form-control input-normal "  required
                    accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel">
                    <button class="btn btn-primary mr-4" id="load">تأكيد</button>
                </div>
            </div>
        </form>

        @if (session()->has('imported_clients'))
            <hr>
            <h5>{{ session()->get('import_success') }}</h5>
            @foreach(session()->get('imported_clients') as $client )
                <ul class="h4 alert alert-success text-center list-unstyled">
                    {{ $client }}
                </ul>
            @endforeach
        @endif

        @if (session()->has('import_validation_errors'))
            <hr>
            <h5>خطا في الصفوف التاليه:</h5>
            @foreach(session()->get('import_validation_errors') as $row => $validation_errors )
                <ul class="h4 alert alert-warning text-center list-unstyled">
                    رقم الصف : {{ $row }}
                    @foreach($validation_errors as $error)
                        <li class="text-danger">{{ $error }}</li>
                    @endforeach
                </ul>
            @endforeach
        @endif


    </div>
</div>
@endsection

@section('js-scripts')
    <script>
        $(document).on('submit', 'form', function (e) {
            $('#load').replaceWith('<p class="alert alert-info mr-3">جاري العمل ....</p>');
        });

        $(function(){
            createInstructions();
        });

        $(document).on('change', '#operation', function (e) {
            createInstructions();
        });

        function createInstructions()
        {
            let operation = $('#operation').val();

            let instructions = `
                <p class="text-danger" style="font-size: 16px">ملاحظة :يتم تجاهل اول صفين لاحتوائهم على عناوين الاعمدة و التفاصيل </p>
                <h5>لضمان نجاح العملية يرجي تحميل النموذج التالي والعمل به لاضافة العملاء و الموردين </h5>
                <a target="_blank" href="{{ route('excel.export.clients', ['empty' => true]) }}" class="btn btn-success">تحميل النموذج</a>
            `;

            $('#instructions').html(instructions);
        }
    </script>
@endsection
