@extends('master::layouts.master')

@section('content')
    <div class="container">
        <form method="post" enctype="multipart/form-data" action="{{ route('excel.import.item.prices') }}">
            {!! csrf_field() !!}
            <h1 class="text-info">تعديل قوائم الاسعار</h1>
            <hr>

            <div class="row mt-3">
                <div class="col-md-3">
                    <label for="operation" class="form-label h5 mr-3">1- اختر من القائمه:</label>
                </div>
                <div class="col-md-4">
                    <select class="form-control" name="operation" id="operation" required>
                        <option value="1" {{ old('operation') == 1 ? 'selected' : '' }}  > إضافة </option>
                        <option value="2" {{ old('operation') == 2 ? 'selected' : '' }}> حذف </option>
                    </select>
                </div>
            </div>

            <div class="container" id="instructions">
                <p class="text-danger" style="font-size: 16px">ملاحظة :يتم تجاهل اول صف لاحتوائه على عناوين الاعمده</p>
                <h5>لضمان نجاح العملية يرجي تحميل النموذج التالي والعمل به لاضافة الاصناف </h5>
                <a target="_blank" href="{{ route('excel.export.item.prices', ['empty' => true]) }}" class="btn btn-success download-excel">تحميل النموذج</a>
            </div>

            <hr>

            <div class="row mt-3">
                <div class="col-md-3">
                    <label class="form-label h5 mr-3">3- رفع ملف الاكسل </label>
                </div>
                <div class="col-md-4 d-inline-flex">
                    <input type="file" name="sheet" class="form-control"  required
                    accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel">
                    <button class="btn btn-primary mr-2" id="load">تأكيد</button>
                </div>
            </div>
        </form>

        @if (session()->has('success_rows'))
            <hr>
            <h5 class="text-success">{{ session()->get('success_rows') }}</h5>
        @endif

        @if (session()->has('error'))
            <hr>
            <h5 class="text-danger">{{ session()->get('error') }}</h5>
        @endif

        @if (session()->has('failed_rows'))
            <hr>
            <h5>خطا في الصفوف التاليه ( {{ count(session()->get('failed_rows')) }} صف ):</h5>
            @foreach(session()->get('failed_rows') as $row => $item_name )
                <ul class="h4 alert alert-danger text-center list-unstyled">
                    <li>
                        <p> رقم الصف : {{ $row }} </p>
                        <p> إسم الصنف : {{ $item_name }} </p>
                    </li>
                </ul>
            @endforeach
        @endif
    </div>

    {{ session()->forget(['success_rows', 'failed_rows']); }}
@endsection

@section('js-scripts')
    <script>
        $(document).on('submit', 'form', function (e) {
            $('#load').replaceWith('<p class="alert alert-info">جاري العمل ....</p>');
        });
    </script>
@endsection
