<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Modules\Excel\Http\Controllers\ExcelController;
use Modules\Excel\Http\Controllers\ItemMultiPriceController;

Route::group(['middleware' => ['web', 'auth'], 'prefix' => 'excel'], function () {
    Route::get('/edit-items', [ExcelController::class, 'editItems'])->name('excel.edit_items');
    Route::post('/edit-items', [ExcelController::class, 'editItemsStore'])->name('excel.edit_items_store');

    Route::get('/clients', [ExcelController::class, 'clients'])->name('excel.edit_clients');
    Route::post('/clients', [ExcelController::class, 'storeClients'])->name('excel.edit_clients_store');

    Route::get('/units-excel', 'UnitsController@index')->name('excel.units-excel');
    Route::post('/upload-units', ['as' => 'excel.units-upload', 'uses' => 'UnitsController@uploadUnits']);


    Route::get('export/items', [ExcelController::class, 'exportItems'])->name('excel.export.items');
    Route::get('export/clients', [ExcelController::class, 'exportClients'])->name('excel.export.clients');

    Route::get('import/item/prices', [ItemMultiPriceController::class, 'index'])->name('excel.import.item.prices.view');
    Route::post('import/item/prices', [ItemMultiPriceController::class, 'import'])->name('excel.import.item.prices');
    Route::get('export/item/prices', [ItemMultiPriceController::class, 'export'])->name('excel.export.item.prices');
});
