<?php

namespace Modules\Excel\Services;

use Modules\Excel\Entities\ItemType;

/**
 *
 */
class ItemsTypeService
{
    private $itemType;

    /**
     * get item classification
     * @param $itemType
     * @return mixed
     */
    private function getItemsType()
    {
        return !empty($this->itemType)
                ? ItemType::where('name', $this->itemType)->first()
                : ItemType::select('id')->where('shop_id', get_session_val('serial_id', 'Integer'))->first();
    }

    /**
     *  store item classification name
     * @param $itemType
     * @return ItemsTypeService
     */
    public function setItemsTypeName(string $itemType)
    {
        $this->itemType = $itemType;
        return $this;
    }

    /**
     * store item classification and return id
     * @param $itemType
     * @return mixed
     */
    private function storeItemsType()
    {
        return ItemType::insertGetId([
            'name' => $this->itemType,
            'shop_id' => get_session_val('serial_id', 'integer')
        ]);
    }

    /**
     *  get classification id
     * @param $itemType
     * @return mixed
     */
    public function getItemsTypeId()
    {
        $getItemType = $this->getItemsType();
        return $getItemType ? $getItemType->id : $this->storeItemsType();
    }

}
