<?php

namespace Modules\Excel\Services;

use Modules\Excel\Entities\Client;

/**
 *
 */
class SupplierService
{
    private $supplierName;

    /**
     * get supplier
     * @param $supplier
     * @return mixed
     */
    private function getSupplier()
    {
        return !empty($this->supplierName)
                ? Client::where([
                    'client_role' => 1,
                    'client_name' => $this->supplierName
                ])->first()
                : Client::select('id')->where('shop_id', get_session_val('serial_id', 'Integer'))->where('client_role', 1)->first();
    }

    /**
     *  set supplier name
     * @param string $supplierName
     * @return SupplierService
     */
    public function setSupplierName(string $supplierName)
    {
        $this->supplierName = $supplierName;
        return $this;
    }

    /**
     * store supplier and return id
     * @param $supplier
     * @return mixed
     */
    private function storeSupplier()
    {
        return Client::insertGetId([
            'client_name' => $this->supplierName,
            'client_role' => 1,
            'shop_id' => get_session_val('serial_id', 'integer')
        ]);
    }

    /**
     *  get supplier id
     * @param $supplier
     * @return mixed
     */
    public function getSupplierId()
    {
        $getSupplier = $this->getSupplier();
        return $getSupplier ? $getSupplier->id : $this->storeSupplier();
    }
}
