<?php

namespace Modules\Excel\Services;

use Modules\Excel\Entities\Unit;

/**
 *
 */
class UnitsService
{
    private $unit;

    /**
     * get unit
     * @param $unit
     * @return mixed
     */
    private function getUnit()
    {
        return !empty($this->unit)
                ? Unit::where('name', $this->unit)->first()
                : Unit::select('id')->where('shop_id', get_session_val('serial_id', 'Integer'))->first();
    }

    /**
     * set unit name
     * @param $unit
     * @return UnitsService
     */
    public function setUnitName(string $unit)
    {
        $this->unit = $unit;
        return $this;
    }

    /**
     * store unit and return id
     * @param $unit
     * @return mixed
     */
    private function storeUnit()
    {
        return Unit::insertGetId([
            'name' => $this->unit,
            'shop_id' => get_session_val('serial_id', 'integer')
        ]);
    }

    /**
     *  get unit id
     * @param $unit
     * @return mixed
     */
    public function getUnitId()
    {
        $getUnit = $this->getUnit();
        return $getUnit ? $getUnit->id : $this->storeUnit();
    }
}
