<?php

namespace Modules\Installer\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Concerns\HasEvents;

class Country extends Model
{
    use HasEvents;

    protected $table = 'countries';
    public $timestamps = false;
    public $primaryKey = 'id';
    protected $guarded = [];

    public function zone()
    {
        return $this->hasOne(Zone::class, 'country_code', 'iso_alpha2')->withDefault(['zone_name' => 'Africa/Cairo']);
    }
}
