<?php

namespace Modules\Installer\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class InstallerRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return ! checkDatabaseConnection();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'shop_name'  => 'required|string|max:255',
            'owner_name' => 'required|string|max:255',
            'telephone'  => 'required|string|max:255',
            'user_name'  => 'required|string|max:255',
            'password'   => 'required|string|max:255|same:confirm_password|min:3',
            'active_id'  => 'required|string|max:255|regex:(([a-zA-Z0-9-]+):([0-9]+))',
        ];
    }

    public function attributes()
    {
        return [
            'shop_name'  => trans('installer::trans.shop_name'),
            'owner_name' => trans('installer::trans.owner_name'),
            'telephone'  => trans('installer::trans.telephone'),
            'user_name'  => trans('installer::trans.user_name'),
            'password'   => trans('installer::trans.password'),
            'active_id'  => trans('installer::trans.active_id'),
            'confirm_password' => trans('installer::trans.confirm_password'),
        ];
    }
}
