@extends('layouts.app')

@section('content')
<style>
    .login-form-group i {
        color: #aaa;
    }
</style>

@if (session('error'))
    <div class="alert alert-danger">
        {{ session('error') }}
    </div>
@endif

<div class="row ">
    <div class="col-md-8 offset-md-2">
        <h1 class="h3 text-center d-block d-sm-none"> @lang('installer::trans.install-program') </h1>

        <div class="col-md-6 d-block d-sm-none">
            <div class="logo text-center">
                <a href="#" title=" البدر للمبيعات ">
                    <img src=" {{ asset('imgs/logo.png') }}" alt="البدر للمبيعات " title="البدر للمبيعات " />
                </a>
            </div>
        </div>
        <div class="login-content">
            <h1 class="h3 text-center d-none d-sm-block"> @lang('installer::trans.install-program') </h1>
            <div class="login-content__form">
                <form method="POST" action="{{ route('installer.install') }}">
                    @csrf
                    <div class="login-content__form_top">
                        <div class="login-form-group">
                            <span> <i class="fa fa-building"></i> </span>
                            <label for="shop_name"> @lang('installer::trans.shop_name') </label>
                            <input type="text" class="form-control" name="shop_name" id="shop_name" placeholder="@lang('installer::trans.shop_name')" autofocus value="{{ old('shop_name') }}" required>
                            @error('shop_name') <p class="text-danger text-bold">{{ $message }}</p> @enderror
                        </div>

                        <div class="login-form-group">
                            <span> <i class="fa fa-user"></i> </span>
                            <label for="owner_name"> @lang('installer::trans.owner_name') </label>
                            <input type="text" class="form-control" name="owner_name" id="owner_name" placeholder="@lang('installer::trans.owner_name')" value="{{ old('owner_name') }}" required>
                            @error('owner_name') <p class="text-danger text-bold">{{ $message }}</p> @enderror
                        </div>

                        <div class="login-form-group">
                            <span> <i class="fa fa-list"></i> </span>
                            <label for="telephone"> @lang('installer::trans.telephone') </label>
                            <input type="text" class="form-control" name="telephone" id="telephone" placeholder="@lang('installer::trans.telephone')" value="{{ old('telephone') }}" required>
                            @error('telephone') <p class="text-danger text-bold">{{ $message }}</p> @enderror
                        </div>

                        <div class="login-form-group">
                            <span> <i class="fa fa-user"></i> </span>
                            <label for="user_name"> @lang('installer::trans.user_name') </label>
                            <input type="text" class="form-control" name="user_name" id="user_name" placeholder="@lang('installer::trans.user_name')" value="{{ old('user_name') }}" required>
                            @error('user_name') <p class="text-danger text-bold">{{ $message }}</p> @enderror
                        </div>

                        <div class="login-form-group">
                            <span> <i class="fa fa-lock"></i> </span>
                            <label for="password"> @lang('installer::trans.password') </label>
                            <input type="password" class="form-control" name="password" id="password" placeholder="@lang('installer::trans.password')" required>
                            @error('password') <p class="text-danger text-bold">{{ $message }}</p> @enderror
                        </div>

                        <div class="login-form-group">
                            <span> <i class="fa fa-lock"></i> </span>
                            <label for="confirm_password"> @lang('installer::trans.confirm_password') </label>
                            <input type="password" class="form-control" name="confirm_password" id="confirm_password" placeholder="@lang('installer::trans.confirm_password')" required>
                        </div>

                        <hr>

                        <div class="login-form-group">
                            <span> <i class="fa fa-barcode"></i> </span>
                            <label for="serial_id"> @lang('installer::trans.serial_id') </label>
                            <input type="text" class="form-control" placeholder="@lang('installer::trans.serial_id')" disabled value="{{ old('serial_id', $mac_address) }}">
                        </div>

                        <div class="login-form-group">
                            <span> <i class="fa fa-check"></i> </span>
                            <label for="active_id"> @lang('installer::trans.active_id') </label>
                            <input type="text" min="1" class="form-control" name="active_id" id="active_id" placeholder="@lang('installer::trans.active_id')" value="{{ old('active_id') }}" required>
                            @error('active_id') <p class="text-danger text-bold">{{ $message }}</p> @enderror
                        </div>
                    </div>

                    <div class="form-group text-center mt-5">
                        <button type="submit"
                            class="btn btn-primary d-block w-50 m-auto btn-xlg rounded-10 auth-submit">
                            <i class="fa fa-download"></i>
                            @lang('installer::trans.install')
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="col-md-12 mt-5">
        <div class="row">

            @php $details = getSupportDetails(); @endphp

            <div class="col-md-3">
                <div class="explanation">
                    <a href="{{ $details['whatsapp'] }}" target="_blank" title="اضغط هنا للانتقال الي واتساب">
                        <img src="{{asset('imgs/whatsapp_logo.png')}}" style="width: 49px;">
                        <p>
                            تواصل عن طريق واتساب
                        </p>
                    </a>
                </div>
            </div>

            <div class="col-md-6">
                <div class="text-center for-contact">
                    <p>
                        للتواصل مع الدعم الفني يمكنك الاتصال على

                    </p>
                    <p>
                        {{ $details['support_number'] }}
                    </p>
                </div>
            </div>

            <div class="col-md-3">
                <div class="explanation">
                    <a href="">
                        <img src="{{ $details['video'] }}" alt="">
                        <p> فيديو تعليمي لشرح البرنامج </p>
                    </a>

                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('js-scripts')
    <script>
        $(function() {
            $("form").on("submit", function() {
                $(this).find('[type="submit"]').prop('disabled', true);
            });
        });
    </script>
@endsection
