<?php

namespace Modules\Invoices\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Einvoices extends Model
{
    use HasFactory, RoundingAttributesTrait;

    protected $table   = 'einvoices';
    protected $guarded = [];
    public $timestamps = false;
    protected $dates   = [
        "dateTimeIssued",
        "dateTimeReceived",
        "cancelRequestDate",
        "rejectRequestDate",
        "cancelRequestDelayedDate",
        "rejectRequestDelayedDate",
        "declineCancelRequestDate",
        "declineRejectRequestDate",
        "canbeCancelledUntil",
        "canbeRejectedUntil"
    ];

    public function invoice()
    {
        return $this->belongsTo(Invoice::class, 'invoice_id', 'id');
    }

    public function details()
    {
        return $this->hasMany(EinvoiceDetail::class, 'einvoice_id', 'id');
    }

    protected static function newFactory()
    {
        return \Modules\Invoices\Database\factories\EinvoicesFactory::new();
    }
}
