<?php

namespace Modules\Invoices\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class User extends Model
{
    protected $guarded = ['id'];
    protected $table = 'users';

    public function requests(): HasMany
    {
        return $this->hasMany(Request::class, 'user_id', 'id');
    }
    
    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shopID', function (Builder $builder) {
            $builder->where('users.shop_id', auth()->user()->shop_id);
        });
    }
}
