<?php

namespace Modules\Invoices\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class NewInvoiceRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'client_id' => 'required',
            'store_id' => 'required',
            'invoice_date' => 'sometimes',
            'bill_no' => 'nullable',
            'invoice_discount_type' => 'sometimes|required', // whatch out
            'pay_method' => 'required',
            'cash_safe_point_id' => 'required',
            'item_serials' => 'nullable|array',
            'image' => 'nullable|image',
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
}
