<?php

namespace Modules\Invoices\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PendingInvoiceRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'client_id' => 'nullable|integer|exists:clients,id',
            'total' => 'nullable|numeric',
            'no_bill' => 'nullable|numeric',
            'net' => 'nullable|numeric',
            'rest' => 'nullable|numeric',
            'payment_type' => 'nullable|integer',
            'notes' => 'nullable|string',
            'store_id' => 'nullable|integer|exists:stores,id',
            'invoice_date' => 'nullable|date',
            'sale_point_id' => 'nullable|integer|exists:sale_points,id',
            'cash_paid' => 'nullable|numeric',
            'vats_total' => 'nullable|numeric',
            'installment_add_precent'=> 'nullable|numeric',
            'installment_add_value'=> 'nullable|numeric',
            'installment_value'=> 'nullable|numeric',
            'installment_count'=> 'nullable|integer',
            'installment_type'=> 'nullable|integer',
            'installment_dates'=> 'nullable|array',
            'installment_notes'=> 'nullable|string',
            'region' => 'nullable|integer',
            'delivery_type' => 'nullable|string',
            'delivery_period' => 'nullable|string',
            'delivery_fees' => 'nullable|numeric',
            'delivery_man' => 'nullable|integer',
            'cash_safe_point_id' => 'nullable|integer',
            'network_safe_point_id' => 'nullable|integer',
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
}
