@extends('master::layouts.master')
@section('css-scripts')
    <style>
        #section-to-print{
            font-size: {{$invoice_settings->font_size}}px !important;
            white-space: initial !important;
            max-width: 100%;
        }

        @page {
                margin: 0mm;
            }

        @media print {
            body * {
                visibility: hidden;
                /* display: none; */
            }
            .table td, .table th, .table{
                border: 1px solid black;
                border-collapse: collapse;
            }
            #main_side_bar, .global-header, #eJOY__extension_root{
                height: 1px;
                display: none !important;
                padding: 0px !important;
                margin: 0px !important;
            }
            .container{
                width: 100% !important;
            }
            #section-to-print * {
                    visibility: visible;
                    margin-top: 0px;
                    font-size: {{$invoice_settings->font_size}}px !important;
                    direction: rtl !important;
                    font-family: Arial, Helvetica, sans-serif !important;
                    font-weight: bolder !important;
                    color: black !important;
                    background-color: white !important;
                    white-space: initial !important;
            }
            @media print {
                table{
                    width: 100%;
                }
            }
        }

        #section-to-print table {
                border: 3px solid rgb(24, 24, 24);
                border-collapse: collapse !important;
                width: 100% !important;
                font-weight: bold;
            }

            #section-to-print table th, #section-to-print table td {
                border: 2px solid #000 !important;
                padding: 0 10px !important;
            }

    </style>
@endsection

@section('content')
    <div class="container" id="section-to-print">
        @php $is_cash_bill = $invoice->payment == $invoice->net_price || $settings->getCountry?->name_en != "Saudi Arabia"; @endphp

        <div style="margin-top: 5px">
            @if ($settings->apply_vats && $settings->getCountry?->name_en == "Saudi Arabia")
                @if ($is_cash_bill)
                    @if ($invoice?->client?->client_tax_number)
                        <h2 style="text-align: center;"> فاتورة ضريبية </h2>
                        <h2 style="text-align: center;"> Tax Invoice </h2>
                    @else
                        <h2 style="text-align: center;"> فاتورة ضريبية مبسطة </h2>
                        <h2 style="text-align: center;"> Simplified Tax Invoice </h2>
                    @endif
                @else
                    <h2 style="text-align: center;"> Parts Cash Proforma Invoice </h2>
                    <h2 style="text-align: center;"> فاتورة أولية نقدية للأجزاء </h2>
                @endif
            @else
                <h2 style="text-align: center;"> {{$invoice->type}} </h2>
            @endif
        </div>

        <div class="text-center" style=" color: #000"> {!! $settings->bill_header !!} </div>


        <div style="margin: 5px 0; display: flex; width: 100%">
            @if ($is_cash_bill)
                <img src="{{ asset($invoice?->shop?->logo_path) }}" alt="logo" width="200px" height="100%">

                <div style="width: 200px"> {!! $invoice?->qr !!} </div>
            @endif

            <div style="width: 70%; margin-right: auto;">
                <table style="width: 100%">
                    <tr>
                        <td class="text-right"> فاتورة </td>
                        <td class="text-center"> {{ $invoice?->bill_no }} </td>
                        <td class="text-left"> Invoice Number </td>
                    </tr>
                    <tr>
                        <td class="text-right"> تاريخ إصدار الفاتورة </td>
                        <td class="text-center"> {{ $invoice ? \Carbon\Carbon::parse($invoice->invoice_date)->format('Y-m-d') : '' }} </td>
                        <td class="text-left"> Invoice Issue Date </td>
                    </tr>
                    <tr>
                        <td class="text-right"> وقت إصدار الفاتورة </td>
                        <td class="text-center"> {{ $invoice ? \Carbon\Carbon::parse($invoice->invoice_date)->format('H:i:s-A') : '' }} </td>
                        <td class="text-left"> Invoice Issue Time </td>
                    </tr>
                </table>
            </div>
        </div>


        <div style="margin-bottom: 5px">
            <table style="width: 100%">
                <thead>
                    <tr>
                        <th class="text-right">العميل</th>
                        <th></th>
                        <th class="text-left">Buyer</th>
                        <th class="text-right">المورد</th>
                        <th></th>
                        <th class="text-left">Seller</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td class="text-right">الإسم</td>
                        <td class="text-center"> {{ $invoice?->client?->client_name }} </td>
                        <td class="text-left"> Name </td>
                        <td class="text-right">الإسم</td>
                        <td class="text-center"> {{ $store?->store_name }} </td>
                        <td class="text-left"> Name </td>
                    </tr>
                    <tr>
                        <td class="text-right">العنوان</td>
                        <td class="text-center"> {{ $invoice?->client?->address }} </td>
                        <td class="text-left"> Address </td>
                        <td class="text-right">العنوان</td>
                        <td class="text-center"> {{ $store?->address }} </td>
                        <td class="text-left"> Address </td>
                    </tr>
                    @if ($settings->apply_vats)
                        <tr>
                            <td class="text-right">رقم تسجيل القيمة المضافة</td>
                            <td class="text-center"> {{ $invoice?->client?->client_tax_number }} </td>
                            <td class="text-left"> VAT Number </td>
                            <td class="text-right">رقم تسجيل القيمة المضافة</td>
                            <td class="text-center"> {{ $store?->tax_number }} </td>
                            <td class="text-left"> VAT Number </td>
                        </tr>
                    @endif
                </tbody>
            </table>
        </div>


        <div style="width: 100%">
            <table style="width: 100%">
                <thead>
                    <tr>
                        <td colspan="4" class="text-right">توصيف السلعة أو الخدمة</td>
                        <td colspan="4" class="text-left">Line Items:</td>
                    </tr>
                    <tr>
                        <td>إسم السلعه</td>
                        <td>التفاصيل</td>
                        <td>إسم الوحدة</td>
                        <td>سعر الوحدة</td>
                        <td>الكمية</td>
                        @if ($settings->apply_vats)
                            <td>المبلغ الخاضع للضريبة</td>
                            <td>نسبة الضريبة</td>
                            <td>مبلغ الضريبة</td>
                            <td>المجموع شامل ضريبة القيمة المضافة</td>
                        @else
                            <td>المجموع</td>
                        @endif
                    </tr>
                </thead>

                <tbody>
                    @php $bill_total_without_vat = 0; @endphp
                    @foreach ($invoice->InvoiceDetails as $row)
                        <tr>
                            @php
                                $item_vat = $invoice->vats->where('item_id', $row->item_id)->where('unit_id', $row->unit_id);
                                $total_item_vat = count($item_vat) ? $item_vat->sum('vat_weight') : 0;

                                if (in_array($invoice->invoice_type, [0, 2])) {
                                    $item_price = $invoice->invoice_total_disc_status == 1 ? $row->pay_price : $row->pay_price;
                                } else {
                                    $item_price = $invoice->invoice_total_disc_status == 1 && $row->discount > 0 ? $row->sale_price : $row->sale_price;
                                }

                                $total_item_price = $item_price * $row->quantity;
                                if ($row->Item?->vat_state == 2 && $settings->apply_vats) {
                                    $total_item_price = $row->total_price / (1 + $item_vat->first()?->vat_value / 100);
                                    $total_item_vat = $row->total_price - $total_item_price;
                                }

                                $row->total_price = $row->Item->vat_state == 1 ? ($row->total_price + $total_item_vat) : $row->total_price;

                                $bill_total_without_vat += $total_item_price;
                            @endphp
                            <td> {{ $row->Item?->item_name }} </td>
                            <td> {{ $row->Item?->about }} </td>
                            <td> {{ $row->Unit?->name }} </td>
                            <td> {{ round_money((float) $item_price) }} </td>
                            <td> {{ round_quantity((float) $row->quantity) }} </td>
                            <td> {{ round_money((float) $total_item_price) }} </td>

                            @if ($settings->apply_vats)
                                @if (count($item_vat))
                                    <td> {{ $item_vat->first()->vat_value }} {{ $item_vat->first()->vat_type ? '' : '%' }} </td>
                                @else
                                    <td> 0.00 </td>
                                @endif
                                <td> {{ round_money($total_item_vat) }} </td>
                                <td> {{ round_money($row->total_price) }} </td>
                            @endif
                        </tr>
                    @endforeach
                </tbody>
            </table>

            <table style="margin: 5px 0">
                <thead>
                    <tr>
                        <th colspan="2" class="text-right">إجمالي المبلغ</th>
                        <th colspan="2" class="text-left">Total Amount</th>
                    </tr>
                </thead>

                <tbody>
                    @php
                        $invoice_discount = $bill_total = $vat_weight = $net_price = 0;
                        if ($invoice) {
                            $net_price = $invoice->net_price;
                            $bill_total = $bill_total_without_vat;
                            $vat_weight = $invoice->vats->sum('vat_weight');
                            $invoice_discount = $invoice->invoice_total_disc_type == 1 ? (float)$invoice->invoice_total_disc : (float)$bill_total * ( (float)$invoice->invoice_total_disc / 100);
                        }
                    @endphp
                    @if ($settings->apply_vats)
                        <tr>
                            <td class="text-center">{{ round_money((float) $bill_total ?? 0, true) }}</td>
                            <td class="text-right">الإجمالي غير شامل ضريبة القيمة المضافة</td>
                            <td colspan="2" class="text-left">Total Excluding VAT</td>
                        </tr>
                    @else
                        <tr>
                            <td class="text-center">{{ round_money((float) $bill_total ?? 0, true) }}</td>
                            <td class="text-right">الإجمالي</td>
                            <td colspan="2" class="text-left">Total</td>
                        </tr>
                    @endif

                    <tr>
                        <td class="text-center">{{ round_money((float) $invoice_discount, true) }}</td>
                        <td class="text-right">مجموع الخصومات</td>
                        <td colspan="2" class="text-left">Discount</td>
                    </tr>

                    @if ($settings->apply_vats)
                        <tr>
                            <td class="text-center">{{ round_money((float) $bill_total - $invoice_discount, true) }}</td>
                            <td class="text-right">الإجمالي الخاضع للضريبة غير شامل ضريبة القيمة المضافة</td>
                            <td colspan="2" class="text-left">Total Taxable Amount Excluding VAT</td>
                        </tr>

                        <tr>
                            <td class="text-center">{{ round_money((float) $vat_weight, true) }}</td>
                            <td class="text-right">مجموع ضريبة القيمة المضافة</td>
                            <td colspan="2" class="text-left">Total VAT</td>
                        </tr>
                    @endif

                    <tr>
                        <td class="text-center">{{ round_money((float) $net_price, true) }}</td>
                        <td class="text-right">إجمالي المبلغ المستحق</td>
                        <td colspan="2" class="text-left">Total Amount Due</td>
                    </tr>

                    <tr>
                        <td colspan="4" class="text-center">{{ transLatNumbers((float) $net_price) }}</td>
                    </tr>

                    @if ($invoice->collector)
                        <tr>
                            <td class="text-center">المندوب</td>
                            <td colspan="2" class="text-center">{{ $invoice->collector->name }}</td>
                            <td class="text-center">Supplier</td>
                        </tr>
                    @endif
                </tbody>
            </table>
        </div>

        <div class="mt-2 text-center" style=" color: #000">
            {!! $settings->message_bill !!}
        </div>

    </div>
@endsection
