@extends('master::layouts.master')
@section('css-scripts')
<style>
    /* .table-bordered{
        width: 30%;
        display: inline;
        border: 0px;
        line-height: 25px;
    } */
    #section-to-print{
            font-size: {{$invoice_settings->font_size}}px !important;
            white-space: initial !important;

        }
        .table td, .table th, .table{
            border: 1px solid black;
            border-collapse: collapse;
        }

        @page {
                size: 700mm auto;
                margin: 0mm;
            }
            body {

                size: 148mm auto;
                line-height: 22px;
                    direction: rtl;
            }
            #section-to-print, #section-to-print * {
                visibility: visible;
                max-width: 420px;
                margin: auto;
                text-align: center;
                    direction: rtl;
            }
        @media print {
            img{
                width: 200px;
                height: 180px;
            }
            table,th,td{
                border: 2px solid black !important;
                border-collapse: collapse;
            }

            body * {
                visibility: hidden;
                font-size: {{$invoice_settings->font_size}}px !important;
                direction: rtl !important;
            }
            #section-to-print, #section-to-print * {
                visibility: visible;
                max-width: 340px;
                margin: auto;
                text-align: center;
                font-size: {{$invoice_settings->font_size}}px !important;
                direction: rtl !important;
                font-family: Arial, Helvetica, sans-serif !important;
                font-weight: bolder !important;
                color: black !important;
                background-color: white !important;
                white-space: initial !important;
            }
            .global-header{
                height: 0;
            }

        }

</style>
@endsection
@section('content')
<div class="ct">
<div class="wd text-center" id="section-to-print">
    <div class="col-md-4" style="margin:auto;">
        <img src="{{getLogoPath()}}" alt="logo" width="200" height="180" style="display:inline; margin-top: 8%">
    </div>

    <p class="mb-1" style=" color: #000"> {{ $invoice_settings?->shop?->shop_name }} </p>

    <p class="mb-1" style=" color: #000"> {{ $store?->address }} </p>

    @if ($settings->show_bill_header)
        <p class="mb-1" style=" color: #000"> {!! $settings->bill_header !!} </p>
    @endif


    @if ($settings->apply_vats && $settings->getCountry?->name_en == "Saudi Arabia")
        <p class="mb-1" style=" color: #000"> الرقم الضريبي : {{ $invoice_settings?->vat_number }} : VAT NO</p>
        @if ($invoice_settings?->vat_number != $store?->tax_number)
            <p class="mb-1" style=" color: #000"> رقم السجل التجاري : {{ $store?->tax_number }} : CR NO</p>
        @endif

        @if ($invoice->client && $invoice->client->client_tax_number)
            <p>
                <b> فاتورة ضريبية  TAX INVOICE </b> <br>
                <b> {{ $invoice->client->client_tax_number }} </b>
            </p>
        @else
            <p> <b> فاتورة ضريبية مبسطة </b> </p>
        @endif
    @else
        <h2 style="text-align: center;"> فاتورة </h2>
    @endif


    <div class="text-center">
        <p class="h5">التاريخ : {{ $invoice->invoice_date }} </p>
        <p class="h5">العميل : {{ $invoice->client?->client_name}} </p>
        <p class="h5">رقم الفاتورة : {{ $invoice->bill_no }} </p>
        <p class="h5">المستخدم : {{ $invoice->user?->user_name }} </p>
    </div>


    @if ($settings->qr_code)
        {!! $invoice?->qr !!}
    @endif

    <br>

    <div class="row text-center">
        <table class=" table table-bordered" id="bill">
            <tr class="text-center">
                <th class="p-0">م</th>
                <th class="p-0">اسم الصنف </th>
                <th class="p-0">الوصف </th>
                <th class="p-0">اسم الوحدة </th>
                <th class="p-0"> العدد </th>
                <th class="p-0">السعر</th>
                <th class="p-0">الاجمالي</th>
            </tr>

            {{-- @dd($invoice, $invoice->InvoiceDetails, $invoice->vats, $invoice->client, $invoice->User); --}}

            @php
                $items_count = $total_quantity = $total_vats = $total_discount = $total_basic_price = 0;
                $total_vats += $invoice->vats->sum('vat_weight') ?? 0;
            @endphp
            @foreach($invoice->InvoiceDetails as $detials)

                @php
                    $items_count += 1;
                    $total_quantity += $detials->quantity;
                    // $total_discount += ($detials->discount_type == 1 ? $detials->discount : $detials->basic_pay_price * ($detials->discount / 100)) * $detials->quantity;
                    if (in_array($invoice->invoice_type, [0, 2]))
                    {
                        if ($invoice->invoice_total_disc_status == 1)
                        {
                            $total_basic_price += ( $detials->basic_pay_price * $detials->quantity);
                            $price = $detials->basic_pay_price;
                        }
                        else
                        {
                            $total_basic_price += ( $detials->pay_price * $detials->quantity);
                            $price = $detials->pay_price;
                        }
                    }
                    else {
                        if ($invoice->invoice_total_disc_status == 1)
                        {
                            if ($detials->discount > 0)
                            {
                                $total_basic_price += ( $detials->basic_sale_price * $detials->quantity);
                                $price = $detials->basic_sale_price;
                            }
                            else {
                                $total_basic_price += ( $detials->sale_price * $detials->quantity);
                                $price = $detials->sale_price;
                            }

                        }
                        else
                        {
                            $total_basic_price += ( $detials->sale_price * $detials->quantity);
                            $price = $detials->sale_price;
                        }
                    }

                @endphp

                <tr>
                    <td>{{$loop->iteration}}</td>
                    <td>{{$detials->Item?->item_name}}</td>
                    <td>{{$detials->Item?->about}}</td>
                    <td>{{$detials->Unit?->name}}</td>
                    <td>{{ round_quantity((int)$detials->quantity, true) }}</td>
                    <td>{{ round_money((float)$price) }}</td>
                    <td>{{ round_money((float)$price * (float)$detials->quantity) }}</td>
                </tr>

            @endforeach

            @php
                $invoice_discount = $invoice->invoice_total_disc_type == 1 ? (float)$invoice->invoice_total_disc : (float)$total_basic_price * ( (float)$invoice->invoice_total_disc / 100);
            @endphp

            <tr>
                <td class="p-0" colspan="4">الاجمالي</td>
                <td class="p-0" colspan="3">{{ round_money((float)$invoice->bill_total + (float)($invoice->invoice_total_disc_status == 1 ? $invoice_discount : 0), true) }}</td>
            </tr>
            <tr>
                <td class="p-0" colspan="4">الخصم</td>
                <td class="p-0" colspan="3">{{ round_money((float)$invoice_discount, true) }}</td>
            </tr>
            <tr>
                <td class="p-0" colspan="4">الاجمالي بعد الخصم</td>
                <td class="p-0" colspan="3">{{ round_money((float)$invoice->bill_total  + (float)($invoice->invoice_total_disc_status == 1 ? $invoice_discount : 0) - (float)$invoice_discount) }}</td>
            </tr>
            @if ($settings->apply_vats)
                <tr>
                    <td class="p-0" colspan="4">القيمة المضافة</td>
                    <td class="p-0" colspan="3">{{  round_money((float) $total_vats , true) }}</td>
                </tr>
            @endif

            @if($invoice->invoice_type == 1 &&  get_session_val('show_delivery_charges_in_the_invoice', 'Integer') == 1)
            <tr>
                <td class="p-0" colspan="4">رسوم التوصيل</td>
                <td class="p-0" colspan="3">{{  round_money((float) $invoice->fee , true) }}</td>
            </tr>
            @endif

            <tr>
                <td class="p-0" colspan="4"><strong> الصافي </strong></td>
                <td class="p-0" colspan="3"><strong> {{ round_money((float)$invoice->net_price, true) }} </strong></td>
            </tr>
            <tr>
                <td class="p-0" colspan="4">المدفوع</td>
                <td class="p-0" colspan="3">{{ round_money((float)$invoice->payment, true) }}</td>
            </tr>
            <tr>
                <td class="p-0" colspan="4"> المتبقي</td>
                <td class="p-0" colspan="3">{{ round_money((float)$invoice->rest, true) }}</td>
            </tr>

            @if ($settings->show_client_balance)
                @php $client_type = in_array($invoice->invoice_type, [0, 2]) ? __('native.to-supplier') : __('native.to-client'); @endphp
                @if ($invoice->balance > 0)
                    @php $old_balance = eval("return $invoice->rest - $invoice->balance;"); @endphp
                @else
                    @php $old_balance = eval("return $invoice->rest + $invoice->balance;"); @endphp
                @endif

                <tr>
                    <td class="p-0" colspan="4">{{ __('invoices.previous_balance') }}  {{ $client_type }}</td>
                    <td class="p-0" colspan="3">{{ round_money((float) $old_balance, true) }}</td>
                </tr>

                <tr>
                    <td class="p-0" colspan="4">{{ __('native.current_balance') }}  {{ $client_type }}</td>
                    <td class="p-0" colspan="3">{{ round_money((float)$invoice->balance, true) }}</td>
                </tr>
            @endif

            <tr>
                <td colspan="7" class="text-center">{{ transLatNumbers((float) $invoice->net_price) }}</td>
            </tr>
        </table>
    </div>

    @if ($settings->show_bill_message)
        <div class="mt-2" style=" color: #000">
            {!! $settings->message_bill !!}
        </div>
    @endif
</div>
</div>
@endsection
