@extends('master::layouts.master')

@section('css-scripts')
    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <style>
        .radio-group label {
            color: black;
        }

        .radio-group .btn,
        .radio-group .btn {
            color: #000 !important;
            background-color: #fff !important;
            border-color: #fbfbfb;
            border-radius: 4px !important;
        }

        .radio-group .btn:active,
        .radio-group .btn.active {
            color: #fff !important;
            background-color: #5cb85c !important;
            border-color: #fbfbfb;
        }

        .btn-group input[type="radio"] {
            display: none;
        }

        #result {
            position: absolute;
            right: 17%;
            margin-top: 34px;
        }

        #result ul li {
            padding: 0px 8px;
        }

        #result ul li:hover {
            background-color: {{ $bg_color }};
            cursor: pointer;
        }

        .button:hover {
            cursor: pointer;
        }

        .btn-danger {
            color: white !important;
        }

        #items_in_the_table tr td,
        #items_in_the_table tr td input {
            text-align: center;
        }

        #items_in_the_table tr td input {
            width: 100% !important;
        }

        .liSelected {
            background: dodgerblue !important;
            color: white;
        }

        .card {
            border-radius: 6px !important;
        }

        * {
            font-size: 14px !important;
        }

        h1 {
            font-size: 24px !important;
        }


        .item {
            background-size: 100% 80px;
            background-repeat: no-repeat;
            text-wrap: revert;
            /* height: 160px; */
        }

        li.ingrediant_option:hover {
            cursor: pointer;
            background-color: #64b5f6;
            color: #fff;
        }
    </style>

    @if (get_session_val('screen_type', 'integer') == 1 && get_session_val('show_input_keys', 'integer') == 1)
        <style>
            #quantity_by_keys_conainer .input_key {
                font-weight: bold;
                font-size: 22px;
                background-color: #64b5f6;
            }

            #quantity_by_keys_conainer .input_key_lg {
                font-weight: bold;
                font-size: 18px;
                background-color: #64b5f6;
                background-color: #f0ad4e;
                color: white;
            }
        </style>
    @endif
@endsection

@section('content')
    <h1 class="text-info"> @lang("invoices.create-title.$invoice_type") </h1>

    @if (session()->has('success') && session()->get('invoice_id'))
        <script>
            window.open("{{ route('invoices.print', ['invoice' => session()->get('invoice_id')]) }}", "_blank") ;
        </script>
    @endif

    <div class="col-md-12">
        
        <form class="custome-form  mt-2" id="new-invoice-form"
              action="{{ route('invoices.store', $invoice_type) }}" method="POST" enctype="multipart/form-data">
            @csrf
            <input type="hidden" name="pendingInvoice" Auto_Test= "create_invoice_search_pendingInvoice" value="{{$pendingInvoice->id ?? "0"}}" id="pending_invoice_id">
            @includeWhen(
                !is_null($invoice) && $invoice_type == 'returned sales',
                'invoices::layouts.create.reference_invoice')
            @include('invoices::layouts.create.bill_info')
            <div class="row">
                @includeWhen(get_session_val('screen_type', 'integer') == 1, 'invoices::layouts.create.press')
                    <div @class([
                        'col-md-6' =>
                            get_session_val('screen_type', 'integer') == 1,
                        'col-md-12' =>
                            get_session_val('screen_type', 'integer') == 0,
                    ])>

                @includeWhen(get_session_val('screen_type', 'integer') == 1 &&
                        get_session_val('show_input_keys', 'integer') == 1 &&
                        !(!is_null($invoice) && $invoice_type == 'returned sales'),
                    'invoices::layouts.create.partials.input_keys')

                @include('invoices::layouts.create.new_item')
                @include('invoices::layouts.create.added_item')
                @include('invoices::layouts.create.bill_money_info')

                @if (get_session_val('manufacturing', 'integer') == 2 &&
                        in_array($invoice_type, ['sales', 'returned sales']) &&
                        get_session_val('definite_while_selling', 'integer') == 1)
                    @include('invoices::layouts.create.partials.ingrediants')
                    @include('invoices::layouts.create.partials.more_ingrediants')
                @endif
            </div>
        </form>
    </div>

    @if ( (authorized('can_display_sales') && $invoice_type =='sales') ||
        (authorized('can_display_purchases') && $invoice_type =='purchases') )
        @include('invoices::layouts.create.daily_invoices')
    @endif
@endsection

@section('js-scripts')
    @include('invoices::js.einvoice-submiting-js')
    @if (get_session_val('custom_invoice_details_table', 'integer') == 1)
        @include('invoices::js.custom_new_js')
    @else
        @include('invoices::js.new_js')
    @endif
    @include('invoices::js.add-client-js')

    @includeWhen((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments')) == 1 && in_array($invoice_type, ['sales', 'purchases']),
        'invoices::js.installments')
    @includeWhen(!is_null($invoice), 'invoices::js.return_from_sales')
    @includeWhen(get_session_val('screen_type', 'integer') == 1, 'invoices::js.press')
    @includeWhen(get_session_val('screen_type', 'integer') == 1 && get_session_val('show_input_keys', 'integer') == 1,
        'invoices::js.input_keys')
    @includeWhen(get_session_val('manufacturing', 'integer') == 2 &&
            in_array($invoice_type, ['sales', 'returned sales']) &&
            get_session_val('definite_while_selling', 'integer') == 1,
        'invoices::js.ingrediants')

    @if (session()->get('whatsapp_redirect'))
        <script>
            $(function() {
                $.ajax({
                    url: "{{ session()->get('whatsapp_redirect') }}",
                    type: "GET",
                    success: function(response) { response.status ? window.open(response.redirect, '_blank') : console.log(response); },
                    error: function(error) { console.log(error); },
                })
            });
        </script>
    @endif

    @if (session()->get('send-invoice-as-mail'))
        <script>
            $(function() {
                $.ajax({
                    url: "{{ session()->get('send-invoice-as-mail') }}",
                    type: "GET",
                    success: function(response) { console.log(response); },
                    error: function(response) { console.log(response); },
                })
            });
        </script>
    @endif
@endsection
