<script>
    $(function() {
        $('#new_client').on('click', function(e) {
            e.preventDefault();
            $('#addNewClientModal').find('.modal-content').addClass('load').find('.modal-body').empty();

            $.ajax({
                url: $(this).attr('href'),
                data: 'get',
                success: function(response) {
                    $('#addNewClientModal').find('.modal-content').removeClass('load').find('.modal-body').append(response);
                    $('#addNewClientModal').find('.selectpicker').selectpicker();
                }
            })
        });

        $('#addNewClientModal').on('submit', 'form', function(e) {
            e.preventDefault();
            let form = $(this);
            form.addClass('load').find('.show-validation-error').remove();

            $.ajax({
                url: $(this).attr('action'),
                type: $(this).attr('method'),
                data: new FormData(form[0]),
                dataType: 'JSON',
                processData: false,
                contentType: false,
                success: function(response) {
                    reloadCients();
                },
                error: function(jqXHR) {
                    form.removeClass('load');
                    if (jqXHR.status == 422) { // List Validation Error
                        $.each(jqXHR.responseJSON.errors, function (key, val) {
                            val = Array.isArray(val) ? val[0] : val;
                            form.find(`[name="${key}"]`).closest('.form-group').append(errorTemplate(val));
                        });
                    }
                }
            });
        });

        function errorTemplate(message)
        {
            return `<p class="text-danger m-0 font-weight-bold show-validation-error">${message}</p>`;
        }

        var abort_collector_request = {abort: function() {}};
        $('#client_id').on('change', function() {
            $('#display-collector').hide().find('#show-collector').text('');
            $('#display-client-type').hide().find('#show-client-type').text('');

            $('#multi_prices_selection').find('option').removeAttr('selected');
            $('#multi_prices_selection').find(`option[data-id="${$(this).find('option:selected').data('type')}"]`).attr('selected', 'selected');
            $('#multi_prices_selection').change();

            abort_collector_request.abort();
            abort_collector_request = $.ajax({
                url: "{{ route('invoices.client.collector') }}",
                method: 'GET',
                data: {id: $(this).val()},
                success: function(response) {
                    if (response.collector.name) {
                        $('#display-collector').show().find('#show-collector').text(response.collector.name);
                    }

                    if (response.type_name) {
                        $('#display-client-type').show().find('#show-client-type').text(response.type_name);
                    }
                }
            });
        });
        // $('#client_id').change();

        function reloadCients() {
            $('#addNewClientModal').modal('hide').find('.modal-body').empty();
            $.ajax({
                type: "GET",
                url: "{{ route('invoices.getClients', $invoice_type) }}",
                success: function (data) {
                    updateClients(data['clients']);
                }
            });
        }

        function updateClients(updatedClients) {
            new_html = '';
            if ('{{get_session_val('select_client', 'Integer')}}' == 1) {
                new_html += " <option value='-1' > {{ trans('invoices.choose', ['client' => trans('invoices.'. $invoice_type .'.client')]) }} </option>";
            }

            for (let i = 0; i < updatedClients.length; i++) {
                var client_currency = '{{$currency}}';
                if (updatedClients[i]['currency']) {
                    client_currency = updatedClients[i]['currency'];
                }

                var vat_status = 0;
                if (updatedClients[i]['has_vat']) {
                    vat_status = 1;
                }

                new_html += `<option data-currency='${client_currency}' data-currencyid='${updatedClients[i]['currency_id']}' value='${updatedClients[i]['id']}'
                                data-balance='${updatedClients[i]['balance']}' data-has_vat='${vat_status}' data-type='${updatedClients[i]['client_type']}'>${updatedClients[i]['client_name']}</option>`;
            }

            $('#client_id').html(new_html);
            $('.selectpicker').selectpicker('refresh');

            $('#client_id option:last').attr('selected', true);
            $('#client_id').trigger('change');
        }
    });
</script>

