@php
    $press_mode = '';
    if (get_session_val('screen_type', 'integer') == 1)
    {
        $press_mode = 'hidden';
    }
@endphp


<div class="table-responsive" id="spends">
    <table class="zui-table zui-table-rounded">
        <thead>
            <tr>
                @if(get_session_val('custom_invoice_details_table', 'integer') == 1)
                    <th scope="col">{{ trans('orders.item') }}</th>
                    <th scope="col">{{ trans('orders.price') }}</th>
                    <th scope="col">{{ trans('orders.amount') }}</th>
                    <th scope="col">الاضافة</th>
                    <th scope="col">{{ trans('orders.discount') }}</th>
                    <th scope="col">{{ trans('orders.total') }}</th>
                    <th scope="col">@lang('native.notes')</th>
                    <th scope="col">{{ trans('orders.delete') }}</th>
                @else
                <th scope="col">{{ trans('orders.item') }}</th>
                <th scope="col"  style="display:none;">{{ trans('native.purchase_item_code') }}</th>
                @if ($invoice_type == 'sales' || $invoice_type == 'sales offers' || $invoice_type == 'returned purchases')
                    <th class="{{$press_mode}}" scope="col">{{ trans('orders.about') }}</th>
                @endif

                @if ($invoice_type != 'purchases')
                    <th scope="col" class="{{$press_mode}}"
                    @if ($invoice_type == 'purchases' || $invoice_type == 'returned purchases')
                        @if (! authorized('can_see_purchase_price') ) style=" display: none;" @endif
                    @endif
                    >{{ trans('orders.main_price') }}</th>
                @endif

                <th scope="col"  > {{ trans('orders.amount') }}</th>
                <th scope="col"  > {{ trans('orders.current_amount') }}</th>
                <th scope="col" class=" {{$press_mode}} @if (get_session_val('units_sup', 'Integer') == '0') hidden @endif "   >{{ trans('orders.unit') }}</th>

                @if ($invoice_type == 'purchases' || $invoice_type == 'returned purchases')
                <th scope="col"
                    class="@if ( ! authorized('can_see_purchase_price')) hidden @endif"> {{ trans('orders.pay_price') }}</th>
                @endif

                <th scope="col"   class="@if ($invoice_type == 'purchases' || $invoice_type == 'returned purchases')
                                                    @if (! authorized('can_see_purchase_price')) hidden @endif
                                                  @endif "
                                                  >{{ trans('orders.total') }}</th>

                @if ($invoice_type != 'returned purchases')
                    <th scope="col"
                    > {{ trans('orders.sale_price') }}</th>
                    @if ($invoice_type == 'sales' || $invoice_type == 'sales offers' || $invoice_type == 'returned sales' || $invoice_type == 'purchases')
                        <th scope="col" class=" {{$press_mode}} @if ( get_session_val('check_lowest_price', 'Integer') == 0 ) hidden @endif "    >
                            {{ trans('orders.lowest_price') }}
                        </th>
                    @endif
                @endif

                @if (get_session_val('show_expire_date', 'integer') == 1)
                    <th scope="col" class=" {{$press_mode}}  @if ( get_session_val('show_expire_date', 'Integer') == 0) hidden @endif "  >
                        {{ trans('orders.expire_date') }}
                    </th>
                @endif

                <th scope="col" class=" {{$press_mode}}  @if (get_session_val('show_item_serial', 'Integer') == 0) hidden @endif "  >
                    @lang('invoices.details.item-series')
                </th>
                <th scope="col" class=" {{$press_mode}}  @if (get_session_val('show_item_serial', 'Integer') == 0) hidden @endif "  >
                    @lang('native.notes')
                </th>

                @if (get_session_val('enable_client_sales', 'integer') == 1 && ($invoice_type == 'sales' || $invoice_type == 'returned sales'))
                    <th> @lang('native.sales_total') </th>
                    <th>@lang('native.total_returned')</th>
                @endif

                <th scope="col"  >{{ trans('orders.delete') }}</th>
                @endif
            </tr>
        </thead>

        <tbody class="section" id="items_in_the_table" class="data">
            @if(isset($pendingInvoice))
                @foreach($pendingInvoice->details as $detail)
                            {!!$detail->rawHTML!!}
                @endforeach
            @endif
            @includeWhen(!is_null($invoice) && $invoice_type == 'sales', 'invoices::layouts.create.generated_items', ['invoice' => $invoice])
        </tbody>

        <tfoot>
            <tr>
                <td> @lang('invoices.details.items-count') </td>
                <td Auto_Test = "added_items_items_count" colspan=" @if (get_session_val('screen_type', 'integer') == 1) 2 @else  3 @endif">
                    <input type="number" step="1"
                        class="form-control text-center input-light  @if (get_session_val('screen_type', 'integer') == 1) w-50 @else  w-35 @endif  input-sm" name="items_count" id="items_count" disabled>
                </td>

                <td> @lang('native.total') </td>
                <td Auto_Test ="added_items_items_total" colspan=" @if (get_session_val('screen_type', 'integer') == 1) 1 @else  3 @endif">
                    <input type="number" step="0.0001"
                        @if ($invoice_type == 'purchases' || $invoice_type == 'returned purchases')
                            @if (! authorized('can_add_purchases_invoices') ) style=" display: none;" @endif
                        @endif
                        class="form-control text-center input-light  @if (get_session_val('screen_type', 'integer') == 1) w-100 @else  w-35 @endif input-sm" name="items_total" id="items_total" disabled>
                </td>
            </tr>
        </tfoot>
    </table>
</div>
