<style>
    .form-group .bootstrap-select {
        position: relative !important;
    }

    .form-group .bootstrap-select .dropdown-menu {
        min-width: 100% !important;
        top: unset;
        left: unset;
    }
</style>

    <div class="card card-light mb-1_5 pt-1_5 col-md-12">
        <div class="container">
            <div class="form-group row">
                <label for="client_id" class="col-sm-2 col-12 col-form-label">
                    {{ trans('invoices.choose', ['client' => trans('invoices.' . $invoice_type . '.client')]) }}
                </label>
                <div class="col-sm-4 @if (!is_null($invoice) && $invoice_type == 'returned sales') col-12 @else col-12 @endif">
                    <select name="client_id" id="client_id"
                        class="form-control input-sm input-light select2 selectpicker padding-select col-md-10 with-add-icon pending-invoice-data"
                        data-live-search="true" Auto_Test="bill_info_client_id">

                        @if (!is_null($invoice) && $invoice_type == 'returned sales')
                            <option data-sales-count="{{ $invoice->client->sales_count }}" data-currency="{{ $invoice->client->currency ?? $currency }}"
                                data-currencyid="{{ $invoice->client->currency_id }}" value="{{ $invoice->client->id }}"
                                data-balance="{{ $invoice->client->balance }}"
                                data-creditlimit="{{ ($invoice->client->credit_limit != null) ? $invoice->client->credit_limit : '0'}}"
                                data-has_vat="{{ $invoice->client->has_vat ? '1' : '0' }}" selected>
                                {{ $invoice->client->client_name }}  {{ $invoice->client->code ? " | {$invoice->client->code}" : '' }}
                            </option>
                        @else
                            <option value="-1"  @if (!request('client_id') || request('client_id') == -1) {{ 'selected' }} @endif>
                                {{ trans('invoices.choose', ['client' => trans('invoices.' . $invoice_type . '.client')]) }}
                            </option>
                            @foreach ($clients as $index => $client)
                                <option data-sales-count="{{ $client->sales_count }}" data-currency="{{ $client->currency ?? $currency }}"
                                    data-currencyid="{{ $client->currency_id }}" value="{{ $client->id }}"
                                    data-discount="{{ $client->group_discount ?? 0 }}"
                                    data-balance="{{ $client->balance }}"
                                    data-has_vat="{{ $client->has_vat ? '1' : '0' }}"
                                    data-creditlimit="{{ ($client->credit_limit != null) ? $client->credit_limit : '0' }}"
                                    data-type="{{ $client->client_type }}"
                                    @if (isset($pendingInvoice) && $pendingInvoice->client_id == $client->id) selected @else
                                        @if (!get_session_val('select_client', 'integer') && $index == -1) selected @endif
                                        @if (isset($invoice) && $invoice->client_id == $client->id) selected @endif
                                    @endif
                                    >{{ $client->client_name }}  {{ $client->code ? " | {$client->code}" : '' }}
                                </option>
                            @endforeach

                        @endif

                    </select>

                    @if (
                        (($invoice_type == 'sales' || $invoice_type == 'returned sales') && auth()->user()->new_client == 1) ||
                            (($invoice_type == 'purchases' || $invoice_type == 'returned purchases') && auth()->user()->new_supplier == 1))
                        <a href="{{ route('clients.create', ['invoice_type' => $invoice_type]) }}" class="btn btn-info mr-1"
                            data-toggle="modal" data-target="#addNewClientModal" id="new_client"
                            style="{{ get_session_val('screen_type', 'integer') ? 'margin-right: 20px;' : '' }} background: #5cb85c;" Auto_Test="bill_info_crate_client_or_supplier">
                            +
                        </a>
                    @endif
                </div>

                <div class="col-sm-6 row">
                    <div class="mb-0 col-md-4">
                        @if($invoice_type == 'sales' || $invoice_type == 'returned sales')
                        <span id="client-sales-count">
                            @lang('invoices.sales-invoices-count')
                        </span>
                        @endif
                    </div>

                    <p class="mb-0 col-md-4">
                        {{ trans('invoices.balance', ['client' => trans('invoices.' . $invoice_type . '.client')]) }}
                        <span class="client_balance"> 0 </span>
                        {{ $currency }}
                    </p>

                    <p class="mb-0 col-md-4 bg-warning text-black pt-2" style="border-radius: 4px;">
                        @lang('invoices.invoice-net')
                        <span id="show_invoice_net">
                            0
                        </span>
                        {{ $currency }}
                    </p>
                </div>
            </div>

            <div class="form-group row">
                <label for="invoice_date" class="col-sm-2 col-12 col-form-label">
                    {{ trans('invoices.date', ['type' => trans('invoices.' . $invoice_type . '.the-title')]) }}
                </label>
                <div class="col-sm-4 col-12">
                    <!-- <input type="date" id="birthday" name="birthday" class="form-control input-sm input-light" id="buying" data-role="calendarpicker"> -->
                    <input type="text" id="invoice_date" name="invoice_date" Auto_Test= "bill_info_invoice_date"
                        class="form-control input-sm input-light date is-datepicker pending-invoice-data"
                        value="{{ isset($pendingInvoice) && $pendingInvoice->invoice_date ? \Illuminate\Support\Carbon::parse($pendingInvoice->invoice_date)->format('Y-m-d')  : date('Y-m-d') }}"
                        {{-- @if ($invoice_type == 'sales' || $invoice_type == 'returned sales' || )  --}}
                            @if (!authorized('can_change_sale_invoice_date'))
                                disabled
                            @endif
                        {{-- @endif --}}

                    @if (!is_null($invoice) && $invoice_type == 'returned sales') @php
                                $invoice_min_date = strtotime($invoice->invoice_date);
                            @endphp
                            min="{{ date('Y-m-d', $invoice_min_date) }}" @endif
                    >
                    <span>
                        <i class="fa fa-calendar-alt calendar-icon"></i>
                    </span>


                    <!-- <input type="text" class="form-control input-sm input-light" id="buying" name="" /> -->
                </div>

                <label for="store_id" class="col-sm-2 col-12 col-form-label small-screen-margin">
                    {{ trans('invoices.choose', ['client' => trans('invoices.the') . trans('invoices.store')]) }}
                </label>
                <div class="col-sm-4 col-12">
                    <select name="store_id" id="store_id" Auto_Test="bill_info_store_id"
                        class="form-control select2 input-light input-sm padding-select small-screen-margin pending-invoice-data">
                        @if (!is_null($invoice) && $invoice_type == 'returned sales')
                            <option value="{{ $invoice->Store->id }}" selected>{{ $invoice->Store->store_name }}
                            </option>
                        @else
                            @foreach ($stores as $store)
                                <option value="{{ $store->id }}"
                                        @if (isset($pendingInvoice) && $pendingInvoice->store_id == $store->id) selected @else
                                            @if (isset($invoice) && $invoice->store_id == $store->id) selected @endif
                                        @endif
                                        @if(request()->store_id == $store->id) selected @endif
                                    >{{ $store->store_name }}</option>
                            @endforeach
                        @endif
                    </select>
                </div>
            </div>

            <div class="form-group row">
                <label for="bill_no" class="col-sm-2 col-12 col-form-label">
                    {{ trans('invoices.no', ['client' => trans('invoices.' . $invoice_type . '.client')]) }}
                </label>
                <div class="col-sm-4 col-12">
                    @if (stripos($invoice_type, 'purchases') !== false)
                        <input type="number" step="1" class="form-control input-sm input-light pending-invoice-data"
                            id="supplier_invoice_no" Auto_Test="bill_info_supplier_invoice_no" name="supplier_invoice_no"
                            placeholder="{{ trans('invoices.invoices.supplier_invoice_no') }}" value="{{ $max_bill_number }}" />
                    @else
                        <input type="number" step="1" class="form-control input-sm input-light pending-invoice-data" id="bill_no" Auto_Test= "bill_info_bill_no"
                            name="bill_no"
                            placeholder="{{ trans('invoices.no', ['client' => trans('invoices.' . $invoice_type . '.client')]) }}"
                            @if (get_session_val('billno_show', 'Integer') != 1) readonly @endif value="{{ $max_bill_number }}" />
                    @endif
                </div>

                <div class="col-md-6">
                    <div class="row">
                        <div class="col-md-12 row" style="display: none;" id="display-collector">
                            <label class="col-4 col-form-label small-screen-margin"> @lang('invoices.client.collector') </label>
                            <p class="col-8 col-form-label small-screen-margin" id="show-collector"></p>
                        </div>

                        <div class="col-md-12 row" style="display: none;" id="display-client-type">
                            <label class="col-4 col-form-label small-screen-margin"> @lang('invoices.client.type') </label>
                            <p class="col-8 col-form-label small-screen-margin" id="show-client-type"></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <select id="dump" class="hidden form-control">
    </select>

    <!-- Modal -->
    <div class="modal fade" id="addNewClientModal" tabindex="-1" role="dialog"
        aria-labelledby="addNewClientModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="addNewClientModalLabel">
                        @lang('client.add client-supplier')
                    </h5>
                    <button type="button" Auto_Test="bill_info_btn1" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <div class="modal-body"></div>
                <div class="modal-footer">
                    <button type="button" Auto_Test="bill_info_btn2" class="btn btn-secondary"
                        data-dismiss="modal">{{ __('extends.close') }}</button>
                </div>
            </div>
        </div>
    </div>

