<div class="table-responsive col-md-12 row" id="spends">
    <h1 class="text-info my-2">
        @if ($invoice_type == 'sales offers')
            @lang('invoices.today-offers')
        @else
            @lang('invoices.today-bills')
        @endif
    </h1>
    <table class="zui-table zui-table-rounded">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col"> @lang('invoices.bill-no') </th>
                <th scope="col">
                    {{ trans('invoices.name', ['client' => trans('invoices.'. $invoice_type .'.client')]) }}
                </th>
                <th scope="col"> @lang('invoices.invoice-net') </th>
                <th scope="col"> @lang('native.processes') </th>
            </tr>
        </thead>   

        <tbody>

            @forelse ($invoices as $i => $invoice)
                <tr>
                    <td>{{$loop->iteration}}</td>
                    <td Auto_Test ="daily_invoices_bill_no_{{++$i}}">{{$invoice->bill_no}}</td>
                    <td Auto_Test="daily_invoices_client_name_{{++$i}}">{{$invoice->client?->client_name}}</td>
                    <td Auto_Test="daily_invoice_net_price_{{++$i}}">{{round_money($invoice->net_price, true)}}</td>
                    <td Auto_Test="daily_invoices_print_{{++$i}}">
                        <a href="{{route('invoices.print', ['invoice' => $invoice->id])}}" target="_blank" rel="noopener noreferrer">
                            <i class="fa fa-print">
                            </i>
                        </a>
                    </td>
                </tr>
            @empty
                @if ($invoice_type == 'sales offers')
                    <tr>
                        <td colspan="5" Auto_Test="daily_invoices_no_offers_today" class="py-2" > 
                            @lang('invoices.no-offers-today')
                        </td>
                    </tr>
                @else
                    <tr>
                        <td colspan="5" Auto_Test="daily_invoices_no_bill_today" class="py-2"> 
                            @lang('invoices.no-bills-today')
                        </td>
                    </tr>
                @endif
            @endforelse
        </tbody>
    </table>
</div>