@extends('master::layouts.master')

@section('content')
    <div class="container-fluid">
        <h1 class="text-primary">{{ __('invoices.invoices.pendings.' . $invoice_type) }} </h1>

        <div class="row">
            <form method="get" class="col-md-12 mt-2">

                <div class="form-row">
                    <div class="form-group col-md-4">
                        <input Auto_Test="pendings_search_search" type="text" name="search" id="search" class="form-control col-md-12"
                            value="{{ request('search') }}"
                            placeholder=" {{__('invoices.name_title')}} {{ in_array($invoice_type, ['sales', 'returned sales']) ? __('invoices.invoices.client') : __('invoices.invoices.supplier') }}{{__('invoices.or_invoice_number')}} ">
                    </div>
                    <div class="form-group col-md-2">
                        <div class="col-md-12">
                            <input type="text" Auto_Test = "search_datefrom" id="dateFrom" name="dateFrom"
                                class="form-control input-light date is-datepicker col-md-12"
                                value="{{ request('dateFrom') }}" placeholder="{{ __('extends.from') }}">
                            <span><i class="fa fa-calendar-alt calendar-icon"></i></span>
                        </div>
                    </div>

                    <div class="form-group col-md-2">
                        <div class="col-12">
                            <input type="text" Auto_Test="search_dateto" id="dateTo" name="dateTo"
                                class="form-control input-light date is-datepicker col-md-12"
                                value="{{ request('dateTo') }}" placeholder="{{ __('extends.to') }}">
                            <span><i class="fa fa-calendar-alt calendar-icon"></i></span>
                        </div>
                    </div>
                    <div class="form-group col-md-2 d-flex">
                        <button Auto_Test="search_btn1" class="btn btn-primary w-50 ml-1" type="submit">{{ __('einvoice.search') }}</button>
                    </div>
                </div>


            </form>
        </div>
        <div class="table-responsive">

            <table class="table table-hover table-bordered table-striped bg-white ">
                <thead>
                    <tr class="info">
                        <th scope="col">#</th>
{{--                        <th scope="col">{{ __('invoices.invoices.invoiceNo') }}</th>--}}
                        <th scope="col">
                            {{ in_array($invoice_type, ['sales', 'returned sales']) ? __('invoices.invoices.client') : __('invoices.invoices.supplier') }}
                        </th>
                        <th scope="col">{{ __('invoices.invoices.netPrice') }}</th>
                        <th scope="col">{{ __('invoices.invoices.invoiceDate') }}</th>
                        <th scope="col">{{ __('extends.action') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @notnull($pendingInvoices)
                        @foreach ($pendingInvoices as $i => $pendingInvoice)
                            <tr>
                                <td Auto_Test ="exception_table_iteration_{{++$i}}">{{ request('page') == 1 || !request('page') ? $loop->iteration : $loop->iteration + $pendingInvoices->perPage() }}</td>
{{--                                <td>{{ $pendingInvoice->no_bill ? $pendingInvoice->no_bill : '-' }}</td>--}}
                                <td Auto_Test = "exception_table_client_{{++$i}}">{{ $pendingInvoice->client_id ? ($pendingInvoice->client->client_name ?? '-') : '-' }}</td>
                                <td Auto_Test= "eception_table_net_{{++$i}}">{{ $pendingInvoice->net ? number_format($pendingInvoice->net, get_session_val('decimal_num_price', 'integer')) : '-' }}</td>
                                <td Auto_Test= "exception_table_date_{{++$i}}">{{ $pendingInvoice->invoice_date ? ($pendingInvoice->invoice_date ?? '-') : '-' }}</td>
                                <td Auto_Test= "exception_table_type_{{++$i}}">
                                    <a Auto_Test= "exception_table_create_{{++$i}}" href="{{ route('invoices.pendings.create', [ $invoice_type, $pendingInvoice->id ]) }}" class="btn btn-primary"
                                       target="_blank" rel="noopener noreferrer"
                                       title="{{ __('extends.show') }}">{{ __('extends.show') }}</a>
                                    <form action="{{route('invoices.pendings.destroy', [$invoice_type, $pendingInvoice->id])}}" class="d-inline" method="POST">
                                        @csrf
                                        @method('DELETE')
                                        <button Auto_Test= "exception_table_btn_{{++$i}}" type="submit" class="btn btn-danger">
                                            <i class="fa fa-trash"></i>
                                        </button>
                                    </form>
                                </td>
                            </tr>
                        @endforeach
                    @endnotnull
                </tbody>
            </table>
        </div>

        {{-- Pagination --}}
        @notnull($pendingInvoices)
            <div Auto_Test= "exception_table_div" class="row justify-content-center">{{ $pendingInvoices->appends(request()->query())->links() }}</div>
        @endnotnull
    </div>
@endsection

@section('js-scripts')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>

@endsection

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
@stop
