<div style="padding: 10px;">
    {{-- AUTH --}}
    @if (auth()->check())
        <div style="display: flex; justify-content: space-between; column-gap: 10px;">
            <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> المستخدم : </span>
            <span style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999"> {{ auth()->user()?->user_name }} </span>
            <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : User </span>
        </div>
    @endif

    {{-- NAME --}}
    <div style="display: flex; justify-content: space-between; column-gap: 10px; margin-top: 15px;">
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> العميل : </span>
        <span style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999"> {{ $client->client_name }} </span>
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : Customer </span>
    </div>

    {{-- CODE --}}
    <div style="display: flex; justify-content: space-between; column-gap: 10px; margin-top: 15px;">
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> كود العميل : </span>
        <div style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999">
            <div style="display: flex; justify-content: space-around; ">
                <span> {{ $client->code }} </span>
                <b> : Client Code </b>
                <b> نوع العميل : </b>
                <span> {{ $client->type?->name }} </span>
            </div>
        </div>
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : Client Typete</span>
    </div>

    {{-- VAT NUMBER --}}
    <div style="display: flex; justify-content: space-between; column-gap: 10px; margin-top: 15px;">
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> الرقم الضريبي : </span>
        <div style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999">
            <div style="display: flex; justify-content: space-around; ">
                <span> {{ $client->client_tax_number }} </span>
                <b> : VAT No. </b>
                <b> تاريخ إصدار الفاتورة : </b>
                <span>
                    @if ($invoice->invoice_date)
                        <span style="float: right;"> {{ \Carbon\Carbon::parse($invoice->invoice_date)->format('H:i:sA') }} </span>
                        <span style="float: left; padding: 0 20px;"> {{ \Carbon\Carbon::parse($invoice->invoice_date)->format('d/m/Y') }} </span>
                    @endif
                </span>
            </div>
        </div>
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : Invoice Issue Date </span>
    </div>

    {{-- ADDRESS --}}
    @if ($invoice_settings->show_client_address)
        <div style="display: flex; justify-content: space-between; column-gap: 10px; margin-top: 15px;">
            <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> العنوان : </span>
            <span style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999"> {{ $client->address }} </span>
            <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : Address </span>
        </div>
    @endif

    {{-- PHONE --}}
    <div style="display: flex; justify-content: space-between; column-gap: 10px; margin-top: 15px;">
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> الهاتف : </span>
        <div style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999">
            <div style="display: flex; justify-content: space-around; ">
                <span> {{ $client?->mobile1 }} </span>
                <b> : Phone </b>
                <b> البريد الألكتروني : </b>
                <span> {{ $client->email }} </span>
            </div>
        </div>
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : Email</span>
    </div>

    {{-- INVOICE DATE --}}
    <div style="display: flex; justify-content: space-between; column-gap: 10px; margin-top: 15px;">
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> المندوب : </span>
        <div style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999">
            <div style="display: flex; justify-content: space-around; ">
                <span> {{ $collector->name }} </span>
                <b> : Salesman </b>
                <b> تاريخ الإستحقاق : </b>
                <span> {{ $invoice->invoice_date ? \Carbon\Carbon::parse($invoice->invoice_date)->format('d/m/Y') : '' }} </span>
            </div>
        </div>
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : Due Date</span>
    </div>

    {{-- PAYMENT TYPE --}}
    @php $payment_type = $invoice?->getPaymentType((bool) $invoice_settings->show_payment_type); @endphp
    @if ($payment_type)
        <div style="display: flex; justify-content: space-between; column-gap: 10px; margin-top: 15px;">
            <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> نوع الدفع : </span>
            <span style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999"> {{ $payment_type }} </span>
            <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : Payment Type </span>
        </div>
    @endif

    {{-- NOTES --}}
    @if ($invoice_settings->notes)
        <div style="display: flex; justify-content: space-between; column-gap: 10px; margin-top: 15px;">
            <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> ملاحظات : </span>
            <span style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999"> {{ $invoice->notes }} </span>
            <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : Comment </span>
        </div>
    @endif
</div>
