@php
    $padding = 10;
    $border  = 2;
    $invoice_discount = $bill_total = $vat_weight = $net_price = 0;
    if ($invoice) {
        $net_price = $invoice->net_price;
        // $bill_total = $invoice->bill_total;
        $bill_total = $bill_total_without_vat;
        $vat_weight = $invoice->vats->sum('vat_weight');
        $invoice_discount = $bill_total_discounts;
        $invoice_discount = $invoice->invoice_total_disc_type == 1 ? (float)$invoice->invoice_total_disc : (float)$bill_total * ( (float)$invoice->invoice_total_disc / 100);
    }
@endphp

<div style="display: flex; justify-content: space-between; column-gap: 30px; flex-direction: row; position: relative; flex-direction: row-reverse;">
    <div style="border: {{ $border }}px solid #000; border-radius: 30px; margin-top: 15px; font-weight: bold; width: 50%">
        <div style="border-bottom: 2px solid #000">
            <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">الإجمالي قبل الخصم</span>
            <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: center; border-left: {{ $border }}px solid #000; border-right: {{ $border }}px solid #000">
                {{ round_money((float) $bill_total ?? 0, true) }}
            </span>
            <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">Subtotal</span>
        </div>

        <div style="border-bottom: 2px solid #000">
            <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">مبلغ الخصم</span>
            <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: center; border-left: {{ $border }}px solid #000; border-right: {{ $border }}px solid #000">
                {{ round_money((float) $invoice_discount, true) }}
            </span>
            <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">Discount Amount</span>
        </div>

        @if ($shop->apply_vats)
            <div style="border-bottom: 2px solid #000">
                <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">الصافي بدون الضريبة</span>
                <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: center; border-left: {{ $border }}px solid #000; border-right: {{ $border }}px solid #000">
                    {{ round_money((float) $bill_total - $invoice_discount, true) }}
                </span>
                <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">Net VAT Excluded</span>
            </div>

            <div style="border-bottom: 2px solid #000">
                <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">ضريبة القيمة المضافة {{ $invoice->vats->first()->vat_value ?? 0 }}%</span>
                <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: center; border-left: {{ $border }}px solid #000; border-right: {{ $border }}px solid #000">
                    {{ round_money((float) $vat_weight, true) }}
                </span>
                <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">VAT Amount {{ $invoice->vats->first()->vat_value ?? 0 }}%</span>
            </div>
        @endif

        @if ($invoice_settings->show_invoice_rest)
            <div style="border-bottom: 2px solid #000">
                <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">المبلغ المدفوع</span>
                <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: center; border-left: {{ $border }}px solid #000; border-right: {{ $border }}px solid #000">
                    {{ round_money((float) $invoice->payment, true) }}
                </span>
                <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">The Amount Paid</span>
            </div>

            <div style="border-bottom: 2px solid #000">
                <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">المبلغ المتبقي</span>
                <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: center; border-left: {{ $border }}px solid #000; border-right: {{ $border }}px solid #000">
                    {{ round_money((float) $invoice->rest, true) }}
                </span>
                <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">Remaining Amount</span>
            </div>
        @endif

        <div>
            @if ($shop->apply_vats)
                <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">الصافي شامل الضريبة</span>
            @else
                <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">الصافي بعد الخصم</span>
            @endif
            <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: center; border-left: {{ $border }}px solid #000; border-right: {{ $border }}px solid #000">
                {{ round_money((float) $net_price, true) }}
            </span>

            @if ($shop->apply_vats)
                <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">Included VAT Net</span>
            @else
                <span style="padding: {{ $padding }}px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">Net After Discount</span>
            @endif
        </div>
    </div>

    @if ($is_cash_bill || !$shop->use_parts_cash_proforma_invoice)
        @if ($invoice_settings->qr_code)
            <div style="flex-grow: .5; display: flex; flex-direction: column; justify-content: center;">
                <p style="max-height: 250px; max-width: 250px">{!! $invoice->qr !!}</p>
            </div>
        @endif
    @endif
</div>

<p style="text-align: left; border-bottom: 2px solid #929292; padding: 10px 10px 7px; margin: 0;">
    {{ transLatNumbers((float) $net_price) }}
</p>
