<?php

namespace Modules\Item\Entities;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;

class BadrShop extends Model
{
    protected $table = 'badr_shop';

    protected $guarded = [];

    public function checkOnlineIsNotActive()
    {
        return Carbon::parse($this->run_date) < now() && $this->online;
    }

    public function checkOfflineIsNotActive()
    {
        if ($this->online) return false;

        if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN')
            return $this->windowsPlatform();
        else
            return $this->linuxPlatform();
    }

    protected function windowsPlatform()
    {
        if( !function_exists( 'system' ) ) return true;

        ob_start();
        $check = true;
        system('getmac /fo list');
        $mycom = ob_get_contents();
        ob_clean();
        $findme = "Physical Address:";
        $start = 0;

        while (($pbac = strpos(($mycom), $findme, $start)) !== false) {
            $bac1 = substr($mycom, ($pbac + 18), 17);

            if (strpos($bac1, 'N/A') !== false || strpos($bac1, 'Disabled') !== false) break;

            //start test Mac
            $code = md5($bac1 . $this->telephone . $this->serial_id);
            $uscode = chunk_split($code, 4, "-");

            $check =  ($uscode == $this->active_id) ? false : $check; // for pass one
            $start = $pbac + 1; // start searching from next position.
        }

        return $check;
    }

    protected function linuxPlatform()
    {
        $bac = str_replace("www.", "", $_SERVER["HTTP_HOST"]);
        $code = md5($bac . $this->telephone . $this->serial_id);
        $uscode = chunk_split($code, 4, "-");
        error_reporting(0);
        return ! $this->active_id == $uscode;
    }
}
