<?php

namespace Modules\Item\Entities;

use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    protected $table = 'items_type';
//    public $incrementing = false;
    public $timestamps = false;
    protected $fillable = [];

    public function type()
    {
        $type = $this->category_id;
        if ($type == '0'){
            return 'Main';
        }else {
            $cat = Category::find($this->category_id);
            if ($cat){
                return $cat->name;
            }else {
                return 'No Match';
            }
        }
    }

    public function subCategory()
    {
        return $this->hasMany(Category::class, 'category_id')->with('subCategory');
    }

    public function pressSubCategory()
    {
        return $this->hasMany(Category::class, 'category_id')->with([
            'pressSubCategory',
            'pressSubCategory.items' => fn($query) => $query->with([
                'unit',
                'subUnits.unitName',
                'itemVats.invoiceAdd',
                'storeQty',
                'multiPrices'
            ])
        ]);
    }

    public function parentCategory()
    {
        return $this->belongsTo(Category::class, 'category_id')->with(['parentCategory']);
    }

    public function subs()
    {
        return $this->hasMany(Category::class, 'category_id')->select('id', 'category_id')->with('subs');
    }

    // public function subCategory()
    // {
    //     $id = $this->id;
    //     $subs = Category::where('shop_id', get_session_val('serial_id', 'integer'))->where('category_id', $id)->get();
    //     if (count($subs) > 0){
    //         return $subs;
    //     }else {
    //         return collect();
    //     }
    // }

    public function getImg()
    {
        $logo = get_session_val('logo_path', 'string');

        if (in_array($this->upload_img, ['', null])) {
            return $logo;
        } else {
            return $this->upload_img;
        }
    }

    public function items()
    {
        return $this->hasMany(Item::class, 'sale_unit');
    }

}
