<?php

namespace Modules\Item\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class ItemUnit extends Model
{
    use RoundingAttributesTrait;
    protected $fillable = [];
    public $timestamps = false;
    protected $table = 'items_unit';


    public function isFree()
    {
        $sales = SaleDetails::where('shop_id', get_session_val('serial_id', 'integer'))
        ->where('unit', $this->id)
        ->where('items_id', $this->item_id)
        ->count();

        $back = SaleBack::where('shop_id', get_session_val('serial_id', 'integer'))
        ->where('unit', $this->id)
        ->where('items_id', $this->item_id)
        ->count();

        $total = $sales + $back;

        if ($total > 0){
            return false;
        }
        return true;
    }
    
        public function unitName()
    {
        return $this->belongsTo(Unit::class, 'unit_id');
    }

}
