<?php

namespace Modules\Item\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class StoreItem extends Model
{
    use HasFactory, RoundingAttributesTrait;

    protected $guarded = [];
    protected $table   = 'store_items';
    public $timestamps = false;

    protected static function newFactory()
    {
        return \Modules\Item\Database\factories\StoreItemFactory::new();
    }

    public function item()
    {
        return $this->belongsTo(Item::class, 'id', 'item_id');
    }
    
    public function store()
    {
        return $this->belongsTo(Store::class, 'store_id');
    }

}
