<?php

namespace Modules\Item\Entities;

use Illuminate\Database\Eloquent\Model;

class Unit extends Model
{
    protected $table    = 'units';
    protected $fillable = ['name', 'shop_id', 'mobile_id', 'unit_einvoice_code'];
    public $timestamps  = false;

    public function items()
    {
        return $this->belongsToMany(Item::class, 'items_unit', 'unit_id', 'item_id')->withPivot(
            'unit_type',
            'unit_value',
            'unit_price',
            'unit_barcode',
            'Screenhidden',
            'shop_id',
            'unit_einvoice_code',
        );
    }

    public function invoiceDetails()
    {
        return $this->hasMany(InvoiceDetail::class, 'unit_id', 'id');
    }
}
