<?php

namespace Modules\Category\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use App\Http\Controllers\Controller;
use Modules\Category\Entities\Color;
use Modules\Category\Entities\Item;
use Modules\Category\Entities\Unit;

class ColorsController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index()
    {
//        dd(get_session_val('serial_id', 'integer'));
        $colors = Color::where('shop_id', get_session_val('serial_id', 'integer'))->get();
        return view('category::colors.index', compact('colors'));
    }

    /**
     * Show the form for creating a new resource.
     * @return Response
     */
    public function create()
    {
        try {

            $providedData['currentUser'] = auth()->user();

            $providedData['forEditing'] = '<div class="row">' .
                '<div class="col-xs-12 col-sm-12">' .
                '<div class="panel panel-default">' .

                '<div id="createNewInfo" class="panel-collapse collapse in" aria-expanded="true">' .
                '<div class="panel-body">' .
                ' <div class="row">' .
                '<div class="col-xs-12">' .
                '<ul class="list-group">' .
                '<li class="list-group-item h4">' .
                '<div class="form-group">' .
                '<label for="name">الوحده:</label>' .
                '<input class="form-control" maxlength="75" style="width:90%;max-width:100%;" placeholder="اسم الوحده" name="name" type="text" value="" id="name">' .
                '</div>' .
                '</li>       ' .

                '</ul>' .
                '</div>' .
                '</div>';



            return response()->json([
                "data" => $providedData['forEditing'],
                "errors" => []
            ]);

        } catch (\Exception $e) {
            $errors = '<ul>' .
                '<li class="text-danger h5">حدث خطأ ما. يرجي مراجعة المسئولين.</li>' .
                '<li class="text-danger h5">' . $e->getMessage() . '</li>' .
                '</ul>';

            return response()->json([
                "data" => [],
                "errors" => $errors
            ]);
        }
    }

    /**
     * Store a newly created resource in storage.
     * @param  Request $request
     * @return Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'color_name' => 'required|unique:colors',
            'color_code' => 'required|unique:colors',
            'colorHash' => 'required',
        ]);

        $color = new Color();

        $color->color_name = $request->color_name;
        $color->color_code = $request->color_code;
        $color->colorHash = $request->colorHash;

        $color->shop_id = get_session_val('serial_id', 'integer');
        $color->save();

        return redirect()->back();

    }

    /**
     * Show the specified resource.
     * @return Response
     */
    public function show()
    {
        return view('category::show');
    }

    /**
     * Show the form for editing the specified resource.
     * @return Response
     */
    public function edit()
    {
        return view('category::edit');
    }

    /**
     * Update the specified resource in storage.
     * @param  Request $request
     * @return Response
     */
    public function update(Request $request ,$id)
    {
        $this->validate($request, [
            'color_name' => 'required|unique:colors,color_name,'.$id,
            'color_code' => 'required|unique:colors,color_code,'.$id,
            'colorHash' => 'required',
        ]);

        $color =Color::find($id);

        $color->color_name = $request->color_name;
        $color->color_code = $request->color_code;
        $color->colorHash = $request->colorHash;

        $color->shop_id = get_session_val('serial_id', 'integer');
        $color->save();

        return redirect()->back()->with(['success'=>
        trans('native.correct_save')]);

    }

    /**
     * Remove the specified resource from storage.
     * @return Response
     */
    public function destroy($id)
    {
        $color = Color::find($id);
        $check = Item::where('shop_id' , get_session_val('serial_id', 'integer'))->where('color_id' , $color->id)->get();
        if ($check->count() > 0) {
            return back()->with(['error'=>'لا يمكن الحذف لارتباطها بسجلات اخرى']);
        } else {
            $color->delete();
            return back()->with(['success'=>'تم حذف الدولة بنجاح']);
        }
    }
}
