<?php

namespace Modules\Category\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\File;
use Intervention\Image\Facades\Image;
use Modules\Category\Entities\CardCompany;
use Modules\Category\Entities\Category;
use Modules\Category\Entities\Item;
use Modules\Category\Entities\ItemColor;
use Modules\Category\Entities\ItemPrice;
use Modules\Category\Entities\ItemSize;
use Modules\Category\Entities\ItemUnit;
use Modules\Category\Entities\PriceList;
use Modules\Category\Entities\Slider;
use Modules\Category\Entities\Supplier;
use Modules\Category\Entities\Company;
use Modules\Category\Entities\Color;
use Modules\Category\Entities\Size;
use Modules\Category\Entities\SupplierItem;
use Modules\Category\Entities\Unit;
use Modules\Category\Entities\Shelf;

class SliderController extends Controller
{

    public function index()
    {
        $items = Item::where('shop_id', get_session_val('serial_id', 'integer'))->get();
        $sliders = Slider::where('shop_id', get_session_val('serial_id', 'integer'))->get();
        return view('category::slider.index', compact('sliders', 'items'));
    }


    public function store(Request $request)
    {

        $this->validate($request, [
            'image' => 'required|mimes:jpg,png,jpeg',
        ]);

        if ($request->has('out')){
            $out = 1;
        }else {
            $out = 0;
        }

        $slider = new Slider();
        $slider->shop_id = get_session_val('serial_id', 'integer');
        $slider->item_id = $request->item_id;
        $slider->outside_link = $out;
        $slider->image_link = $request->source;

        $file = $request->file('image');
        $ext = $file->getClientOriginalExtension();
        $file_name = time().'-'.str_random(10).'.'.$ext;
        $file->move('../upload/', $file_name);
        $slider->src = 'upload/'.$file_name;
        $slider->save();

        return redirect()->back()->with(['success' =>
        trans('native.correct_save')]);
    }


    public function destroy(Request $request)
    {
        $slider = Slider::find($request->slider_id);
        if ($slider){
            File::delete('../'.$slider->image_link);
            $slider->delete();
            return redirect()->back()->with(['success' => 'تم الحذف بنجاح']);
        }else {
            return redirect()->back()->with(['error' => 'خطأ في الحذف']);
        }

    }
}
