<?php

namespace Modules\Item\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Modules\Item\Entities\Unit;
use App\Http\Controllers\Controller;
use App\Models\systemLog;
use Carbon\Carbon;
use Modules\Item\Http\Requests\UnitRequest;

class UnitController extends Controller
{
    public function index()
    {
        $units    = Unit::where('shop_id', get_session_val('serial_id', 'integer'))->get();
        $settings = \DB::table('badr_shop')->where('serial_id', get_session_val('serial_id', 'integer'))->first();
        return view('item::units.index', compact('units', 'settings'));
    }
    public  function createLog($date, $event)
    {
        $log = new systemLog();
        $log->user_id = auth()->id();
        $log->shop_id = get_session_val('serial_id', 'integer');
        $log->date_event = $date;
        $log->event = $event;
        $log->save();
    }

    public function store(UnitRequest $request)
    {
        $validated            = $request->validated();
        $validated['shop_id'] = get_session_val('serial_id', 'integer');
        $unit                 = Unit::updateOrCreate(['id' => $request->id], $validated);
        $message              = $request->id ? __('extends.update_sucessfully') : __('extends.save_sucessfully');
        if( $request->id){
            $this->createLog(Carbon::now(), "تم تعديل الوحده ".$request->name);
        }
        else{
            $this->createLog(Carbon::now(), "تم انشاء الوحده ".$request->name);

        }
        return back()->with('success', $message);
        // return response()->json(['status' => true, 'msg' => __('messages.success'), 'unit' => $unit]);
    }

    public function destroy(Request $request)
    {
        $unit = Unit::where('id', $request->id)->where('shop_id', get_session_val('serial_id', 'integer'))->first();

        if ($unit && $unit->items()->count() == 0 && $unit->invoiceDetails()->count() == 0) {
            $this->createLog(Carbon::now(), "تم حذف الوحده ".$unit->name);
            $unit->delete();
            return response()->json(['status' => true, 'msg' => __('extends.delete_sucessfully')]);
        }else {
            return response()->json(['status' => false, 'msg' => __('extends.cannot_delete_unit')]);
        }
    }
   
}
