<?php

namespace Modules\Item\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UnitRequest extends FormRequest
{
    public function authorize()
    {
        return true;
    }

    public function rules()
    {
        $settings     = \DB::table('badr_shop')->where('serial_id', get_session_val('serial_id', 'integer'))->first();
        $unique_rules = $this->id
            ? 'unique:units,name,' . $this->id . ',id,shop_id,' . get_session_val('serial_id', 'integer')
            : 'unique:units,name,NULL,id,shop_id,' . get_session_val('serial_id', 'integer');

        $rules = ['name' => ['required', 'string', 'max:75', $unique_rules],];

        if ($settings->einvoice == 1) {
            $rules['unit_einvoice_code'] = ['required', 'string'];
        }

        return $rules;
    }

    public function messages()
    {
        return [
            'name.required'               => __('units.unit_name_required'),
            'name.string'                 => __('units.unit_name_string'),
            'name.max'                    => __('units.unit_name_max'),
            'name.unique'                 => __('units.unit_name_unique'),
            'unit_einvoice_code.required' => __('units.unit_einvoice_code_required'),
            'unit_einvoice_code.string'   => __('units.unit_einvoice_code_string'),
        ];
    }
}
