@extends('master::layouts.master')

@section('content')

    <div class="container">
        @include('master::layouts.messages')
        <h1 class="text-info">{{trans('items.update_items_excel')}}</h1>
        <hr>
        <h5 class="text-secondary">@lang('excel.items.title')</h5>
        <p class="text-danger" style="font-size: 16px">@lang('excel.items.note')</p>
        <h5>@lang('excel.items.info')</h5>
        <a download href="{{url('tickets/sheet/add_items.xlsx')}}" class="btn btn-success">{{ trans('items.download_file') }}</a>
        <hr>
    </div>
    <div class="container">
        <form method="post" enctype="multipart/form-data" action="{{ route('items.prices-upload') }}">
            {!! csrf_field() !!}
            <div class="row mt-3">
                <div class="col-md-2">
                    <label for="store" class="form-label h5 mr-3">{{ trans('items.stores.name') }}</label>
                </div>
                <div class="col-md-4">
                    <select class="form-control" name="store" id="store" required>
                        @foreach ( $stores as $store )
                        <option value="{{$store->id}}">{{$store->store_name}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
        <div class="row mt-3">
            <div class="col-md-6">
                <div class="form-orizontal d-flex">
                    <label class=" h5 title-page col-md-4"> @lang('excel.upload-file') </label>
                    <input type="file" name="sheet" class="form-control" required>
                </div>
            </div>
            <div class="col-md-4">
                <button class="btn btn-primary" id="load">@lang('native.confirm')</button>
            </div>
        </div>

    </form>
    </div>


@endsection

@section('js-scripts')
<script>

    $(document).on('submit', 'form', function (e) {
        $('#load').replaceWith('<p class="alert alert-info">@lang("native.Updating_Wait_please")....</p>');
    });

</script>
@endsection
