<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>{{ __('items.barcode_ticket.tickets.title') }}</title>
    <style>
        @font-face {
            font-family: 'Nahdi';
            src: URL('fonts/Nahdi-Black.ttf') format('truetype');
        }

        @font-face {
            font-family: 'Nahdibold';
            src: URL('fonts/Nahdi-Bold.ttf') format('truetype');
        }

        * {
            margin: 0mm;
            padding: 0mm;
            border: 0mm;
            border-spacing: 0px;
        }

        body {
            direction: rtl;
        }

        #ticket {
            padding-top: {{ $ticket->logoheight }}mm;
            background-image: url({{ $settings->logo_path }});
            background-size: {{ $ticket->logowidth . 'mm ' . $ticket->logoheight . 'mm' }};
            background-repeat: no-repeat;
            background-position: top center;

            width: {{ $ticket->barcodewidth }}mm;
            height: {{ $ticket->barcodeheight }}mm;
            display: block;
            text-align: center;
            margin-top: {{ $ticket->itemup }}mm;
            margin-bottom: {{ $ticket->itemdown }}mm;
            margin-left: {{ $ticket->itemleft }}mm;
            margin-right: {{ $ticket->itemright }}mm;
            float: right;
        }

        #ticket p {
            font-size: {{ $ticket->fontsize }}px;
        }

        img {

            margin: 0px auto;
        }

        .barcodeimg {
            width: {{ $ticket->codimgwidth }}mm;
            height: {{ $ticket->codimgheight }}mm;
        }

        .discount_price {
            text-decoration: line-through;
        }

        @media print {
            #page_cont {
                page-break-after: always;
            }

            * {
                margin: 0mm;
                padding: 0mm;
                border: 0mm;
                border-spacing: 0px;
            }
        }

        td {
            font-family: cursive;
            font-weight: bolder;
            border-spacing: 0px;
            padding: 0 5px;
        }
    </style>
</head>

<body>

    @if ($page_count == 1 && $ticket->barcodecount != 0)
        <div id="page_cont">
            @foreach ($requestedItems as $item)
                @for ($temp_counter = 0; $temp_counter < $item['quantity']; $temp_counter++)
                    <div id="ticket">
                        @if ($ticket->show_shop_name == 1)
                            <p>{{ $settings->shop_name }}</p>
                        @endif

                        @if ($ticket->titleName != '')
                            <p>{{ $ticket->titleName }}</p>
                        @endif

                        @if ($ticket->support == 1)
                            <img class="barcodeimg"
                                src="{{ 'data:image/png;base64,' . DNS1D::getBarcodePNG($item['barcode'], 'CODABAR', $ticket->barcodewidth, $ticket->barcodeheight) }}">
                        @endif

                        @if ($ticket->print_barcode)
                            <p>{{ $item['barcode'] }}</p>
                        @endif

                        @if ($ticket->showitem == 1)
                            <p>{{ $item['item']['item_name'] }}</p>
                        @endif

                        @if ($ticket->show_about)
                            <p>{{ $item['item']['about'] }}</p>
                        @endif

                        @if ($ticket->price)
                            <p>{{ price_decimal($item['price']) . ' ' . $settings->currency }}</p>
                        @endif

                        @if ($ticket->show_unit_name && $item['item'] && $item['item']->unit)
                            <p>{{ $item['item']->unit->name ?? '' }}</p>
                        @elseif ($ticket->show_unit_name && $item['unit'])
                            <p>{{ $item['unit'] ?? '' }}</p>
                        @endif
                    </div>
                @endfor
            @endforeach
        </div>
    @endif

    <script type="text/javascript" src="jquery-1.8.0.min.js"></script>
    <script type="text/javascript">
        window.print();
    </script>
</body>

</html>
