@extends('master::layouts.master')

@section('content')
    <div class="container-fluid">
        <h1 class="text-primary">{{ __('einvoice.egscode.title', ['name' => $item->item_name]) }}</h1>
        <form method="POST" class="col-md-12 mt-4">
            @csrf

            {{-- Code Type & Item E-Invoice Code --}}
            <div class="form-row row">
                <div class="form-group col-md-6">
                    <label for="codeType" class="control-label">{{ __('einvoice.egscode.CodeType') }}
                        :</label>
                    <input type="text" name="codeType" id="codeType" class="form-control col-md-12" value="EGS"
                           style="cursor: context-menu" readonly>
                </div>
                <div class="form-group col-md-6">
                    <label class="control-label" for="itemCode">{{ __('einvoice.egscode.itemCode') }}
                        :</label>
                    <div class="input-group">
                        <input type="number" class="form-control col-md-9" name="itemCode" id="itemCode"
                               style="border-left: 0; border-radius: 0 4px 4px 0 !important;" value="{{ $item->barcode }}"
                               required>
                        <input type="text" class="form-control col-md-3 d-inline-block" id="itemref" name="itemref"
                               value="{{ '-EG-' . $einvoice_settings->registration_id }}" disabled
                               style="border-right: 0; border-radius: 4px 0 0 4px; cursor: context-menu">
                    </div>
                </div>
            </div>

            {{-- Code Name Ar & En --}}
            <div class="form-row row">
                <div class="form-group col-md-6">
                    <label for="codeNameAr" class="control-label">{{ __('einvoice.egscode.CodeNameAR') }}
                        :</label>
                    <input type="text" name="codeNameAr" id="codeNameAr" class="form-control col-md-12"
                           value="{{ old('codeNameAr') ?? ($item_code->codeNamePrimaryLang ?? $item->item_name) }}" required>
                </div>
                <div class="form-group col-md-6">
                    <label for="codeNameEn" class="control-label">{{ __('einvoice.egscode.CodeNameEN') }}
                        :</label>
                    <input type="text" name="codeName" id="codeNameEn" value="{{ old('codeName') ?? ($item_code->codeNameSecondaryLang ?? $item->name_en) }}" class="form-control col-md-12" required>
                </div>
            </div>

            {{-- Code Description Ar & En --}}
            <div class="form-row row">
                <div class="form-group col-md-6">
                    <label for="descriptionAr" class="control-label">{{ __('einvoice.egscode.CodeDescAR') }}
                        :</label>
                    <input type="text" name="descriptionAr" id="descriptionAr" class="form-control col-md-12"
                           value="{{ old('descriptionAr') ?? ($item_code->descriptionPrimaryLang ?? $item->about) }}" required>
                </div>
                <div class="form-group col-md-6">
                    <label for="descriptionEn" class="control-label">{{ __('einvoice.egscode.CodeDescEN') }}
                        :</label>
                    <input type="text" name="description" id="descriptionEn" value="{{ old('description') ?? ($item_code->descriptionSecondaryLang ?? $item->description) }}" class="form-control col-md-12" required>
                </div>
            </div>

            {{-- Parent Code & Request Reason --}}
            <div class="form-row row">
                <div class="form-group col-md-6">
                    <label for="parentCode" class="control-label">{{ __('einvoice.egscode.ParentCode') }}
                        :</label>
                    <input type="text" name="parentCode" id="parentCode" class="form-control col-md-12"
                           value="{{ old('parentCode') ?? ($item_code->parentItemCode ?? $item->parent_code) }}" required>
                </div>
                <div class="form-group col-md-6">
                    <label for="requestReason" class="control-label">{{ __('einvoice.egscode.RequestReason') }}
                        :</label>
                    <input type="text" name="requestReason" id="requestReason" class="form-control col-md-12"
                           value="{{ old('requestReason') ?? ($item_code->statusReason ?? $item->requestReason) }}">
                </div>
            </div>

            {{-- Active From && To && Active --}}
            <div class="form-row row">
                <div class="form-group col-md-4">
                    <label for="activeFrom" class="control-label">{{ __('einvoice.egscode.ActiveFrom') }}
                        :</label>
                    <input type="text" name="activeFrom" id="activeFrom" class="form-control col-md-12 date"
                           value="{{ old('activeFrom') ?? ($item->activeFrom ?? date('Y-m-d')) }}" required>
                </div>
                <div class="form-group col-md-4">
                    <label for="activeTo" class="control-label">{{ __('einvoice.egscode.ActiveTo') }}
                        :</label>
                    <input type="text" name="activeTo" id="activeTo" class="form-control col-md-12 date"
                           value="{{ old('activeTo') ?? $item->activeTo }}">
                </div>
                <div class="form-group col-md-4">
                    <label for="active" class="control-label">{{ __('einvoice.egscode.Active') }}
                        :</label>
                    <input type="text" name="active" id="active" class="form-control col-md-12 disabled"
                           style="cursor: context-menu" value="{{ old('active') }}">
                </div>
            </div>

            {{-- Submit --}}
            <div class="text-left">
                <button type="submit" class="btn btn-primary" id="save" disabled>{{ __('extends.save') }}</button>
            </div>
        </form>
    </div>
@stop

@section('css-scripts')
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

    <style>
        .not-valid {
            border-color: red !important;
        }
    </style>
@stop

@section('js-scripts')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script>
        $(function() {
            $('.selectpicker').selectpicker({
                size: 8
            });

            $(".date").calendarsPicker({
                calendar: $.calendars.instance('gregorian'),
                dateFormat: 'Y-mm-dd',
                defaultDate: "0",
            });

            var date = new Date();
            var today = date.toISOString().split('T')[0];
            var activeFrom = $("#activeFrom").val();

            // If activeFrom is not empty and less than or equal to today then remove the disabled attribute from save button.
            activeFrom <= today && !['', ' ', null].includes(activeFrom) ? $('#save').removeAttr("disabled") : $(
                '#save').attr('disabled', true);

            // If activeFrom input is changed, then active input will be changed.
            $("#activeFrom").change(function(e) {
                if ($("#activeFrom").val() <= today) {
                    $("#active").empty();
                    $("#active").val("نعم");
                    $("#active").css("color", "#107c10");
                    $("#save").removeAttr("disabled");
                } else {
                    $("#active").empty();
                    $("#active").val("لا");
                    $("#active").css("color", "#C9302C");
                    $("#save").attr("disabled", "disabled");
                }
            });
            $("#activeFrom").change();

            // If activeTo input is smaller than activeFrom input, then save button will be disabled.
            $("#activeTo").change(function(e) {
                e.preventDefault();
                var activeTo = $("#activeTo").val();

                if (activeTo <= $("#activeFrom").val() && !['', ' ', null].includes(activeTo)) {
                    $("#save").attr("disabled", "disabled");
                } else {
                    $("#save").removeAttr("disabled");
                }
            });
        });
    </script>
@stop
