@extends('master::layouts.master')
@section('content')

<div class="card card-light mb-1_5 p-3">

<div class="container-fluid">
   <div class="row">
      <div class="col-md-12 items-header">
         <h1 class="text-info  d-inline-block">{{ __('items.title') }}</h1>
         <a class="btn btn-primary float-left mt-2" href="{{ route('items.create') }}"><span class="fa fa-plus"
            data-toggle="tooltip" data-placement="top" title="select Manufacturing prodcuts"></span>
         {{ __('items.addItem') }}</a>
         <a href="{{ route('excel.export.items') }}" class="btn btn-info float-left mt-2 ml-2"> <i class="fa fa-download"></i> @lang('native.export_excel')</a>
      </div>
      <div class="card card-success mb-1_5 p-3 col-md-12">

      <form class=" mt-2 custome-form">
         <div class="form-row row mb-1">
            <div class="col-md-2">
               <div class="form-group">
                  <label class="control-label d-inline-block">{{ __('items.search_on_item') }}  /</label>
                  <label for="barcode_only">
                  {{ __('items.barcode_only') }} :
                  <input type="checkbox" id="barcode_only" value="1" name="barcode" class="control-label" @if (request('barcode')) checked @endif>
                  </label>
               </div>
            </div>
            <div class="col-md-10">
               <div class="form-group">
                  <input class="form-control input-normal" id="autocomplete_items" type="text" name="search"value="{{ request('search') }}">
               </div>
            </div>
         </div>
         <div class="form-row row">
            <div class="form-group col-md-4">
               <label class="control-label" for="select_cat">{{ __('items.categories') }} :</label>
               <select class="form-control selectpicker col-md-12" data-live-search="true" id="select_cat"
                  name="cat_id">
               <option value="0" @if (request('cat_id') == 0) selected @endif>
               {{ trans('items.all') }}</option>
               @foreach ($cats as $cat)
               <option @if (request('cat_id') == $cat->id) selected @endif value="{{ $cat->id }}">
               {{ $cat->name }}</option>
               @endforeach
               </select>
            </div>
            <div class="form-group col-md-4">
               <label class="control-label" for="select_sup">{{ __('items.supplier') }} :</label>
               <select class="form-control selectpicker col-md-12" data-live-search="true" id="select_sup"
                  name="sup_id">
               <option value="0" @if (request('sup_id') == 0) selected @endif>
               {{ trans('items.all') }}</option>
               @foreach ($suppliers as $supplier)
               <option @if (request('sup_id') == $supplier->id) selected @endif value="{{ $supplier->id }}">
               {{ $supplier->client_name }}
               </option>
               @endforeach
               </select>
            </div>
            <div class="form-group col-md-3 col-10">
               <label class="control-label" for="select_store">{{ __('items.stores.name') }} :</label>
               <select class="form-control selectpicker col-md-12" data-live-search="true" id="select_store"
                  name="store_id">
               <option value="0" @if (request('store_id') == 0) selected @endif>
               {{ __('items.all') }}</option>
               @foreach ($stores as $store)
               <option value="{{ $store->id }}" @if (request('store_id') == $store->id || count($stores) == 1) selected @endif>
               {{ $store->store_name }}</option>
               @endforeach
               </select>
            </div>

            <div class="form-group col-md-1 col-2">

<button type="submit" class="btn btn-success mt-4" id="search"><i class="fa fa-search d-sm-inline-block d-none"></i>
{{ __('extends.search') }}</button>
</div>
         </div>

      </form>
</div>
      <div class="table-responsive">
         <table class="table table-hover  zui-table zui-table-rounded table-striped table-bordered bg-white mt-3">
            <thead>
               <tr class="bg-primary text-white">
                  <th scope="col">#</th>
                  <th scope="col">{{ __('items.name') }}</th>
                  <th scope="col">{{ __('items.quantity.name') }}</th>
                  <th scope="col">{{ __('items.price.name') }}</th>
                  @if(authorized('can_see_purchase_price') )
                  <th scope="col">{{ __('items.pay_price.name') }}</th>
                  @endif
                  <th scope="col">{{ __('items.barcode.name') }}</th>
                  <th scope="col">{{ __('items.main_category') }}</th>
                  <th scope="col">{{ __('items.supplier') }}</th>
                  {{--
                  <th scope="col"> {{__('store.name')}} </th>
                  --}}
                  <th scope="col">{{ __('extends.action') }}</th>
               </tr>
            </thead>
            <tbody id="tbody">
               @foreach ($items as $item)
               <tr id="item-row-{{ $item->id }}">
                  <td>{{ $loop->iteration + $items->firstItem() - 1 }}</td>
                  <td><a href="{{ route('items.show', $item->id) }}">{{ $item->name }}</a></td>
                  <td>{{ $item->quantity ?? 0 }}</td>
                  <td>{{ $item->price }}</td>
                  @if(authorized('can_see_purchase_price'))
                  <td>{{ $item->pay_price }}</td>
                  @endif
                  <td>{{ $item->barcode }}</td>
                  <td>{{ $item->category?->name }}</td>
                  <td>{{ $item->supplier?->name }}
                  </td>
                  {{--
                  <td> {{$item->store_name}} </td>
                  --}}
                  <td class="d-flex flex-row">
                     <a class="btn btn-info btn-sm ml-1" href="{{ route('items.show', [ 'id' => $item->id]) }}"
                        title="{{ __('extends.show') }}">{{ __('extends.show') }}</a>
                     </a>
                     <a class="btn btn-warning btn-sm ml-1" href="{{ route('items.edit', [ 'id' => $item->id, 'store_id' => $item->store_id]) }}"
                        title="{{ __('extends.edit') }}">{{ __('extends.edit') }}</a>
                     </a>
                     <a class="btn btn-danger btn-sm ml-1 @if (!authorized('can_delete_items')) hidden @endif"
                        data-toggle="modal" data-target="#deleteElementModal" data-id="{{ $item->id }}"
                        title="{{ __('extends.delete') }}">{{ __('extends.delete') }}</a>
                     </a>
                     @if ($item->manufacturing == 1)
                     <a class="btn btn-primary btn-sm ml-1"
                        href="{{ route('items.manufacturing-cats', [$item->id]) }}"
                        title="{{ __('items.manufacturing_cats') }}">{{ __('items.manufacturing_cats') }}</a>
                     </a>
                     @endif
                     @if ($settings->einvoice == 1 && in_array($item->item_einvoice_code, ['', ' ', null]))
                     <a class="btn btn-success btn-sm"
                        href="{{ route('items.einvoice.egscode', $item->id) }}"
                        title="{{ __('items.einvoice_code') }}">{{ __('items.einvoice_code') }}</a>
                     </a>
                     @endif
                  </td>
               </tr>
               @endforeach
            </tbody>
         </table>
      </div>
   </div>
   <div class="row justify-content-center">
      {{ $items->appends(request()->input())->links() }}
   </div>
</div>
                  </div>

<div class="modal fade" id="deleteElementModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
   aria-hidden="true">
   <div class="modal-dialog">
      <div class="modal-content">
         <form id="deleteElementForm" action="{{ route('items.destroy') }}" method="post">
            @csrf
            <div class="modal-body pb-0" id="modal-loader-u">
               <h4>{{ __('extends.delete_message') }}</h4>
               <p class="mt-3">{{ __('extends.delete_alert') }}</p>
               <p>{{ __('extends.confirm_delete') }}</p>
               <div id="deleteElementLoader" class="align-center"></div>
               <div id="deleteElementErrors" class="float-left"></div>
            </div>
            <div class="modal-footer d-flex justify-content-end pt-0">
               <button type="submit" class="btn btn-danger ml-1">{{ __('extends.delete') }} </button>
               <button type="button" class="btn btn-secondary" data-dismiss="modal">{{ __('extends.close') }}
               </button>
            </div>
         </form>
      </div>
   </div>
</div>
@stop
@section('js-scripts')
<script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
<script>
   $(document).ready(function() {
       $.ajaxSetup({
           headers: {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
           }
       });

       $('.selectpicker').selectpicker({
           style: 'btn-default',
           size: 8
       });
   });
</script>
<script>
   $(document).ready(function() {
       var loader =
           `<div align='center' id='loader'><i class='fa fa-spinner fa-pulse fa-3x fa-fw'></i></div><br>`;

       $.ajaxSetup({
           headers: {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
               type: "GET",
               data: null,
               contentType: false,
               cache: false,
               processData: false,
               timeout: 3000,
           }
       });

       $('#deleteElementModal').on('show.bs.modal', function(e) {
           hashedID = $(e.relatedTarget).data('id');
           $('#deleteElementLoader').empty();
           $('#deleteElementErrors').empty();
           $('#error').remove();
           $('#modal-loader-u').append(`<input name="item_id" value="${hashedID}" type="hidden">`);
       });

       $(document).on('submit', '#deleteElementForm', function(e) {
           e.preventDefault();

           $('#deleteElementLoader').empty().append(loader);
           $.ajax({
               url: "{{ route('items.destroy') }}",
               type: "post",
               data: $('#deleteElementForm').serialize(),
               dataType: "json",
               success: function(data) {
                   $('#deleteElementModal').modal('toggle');
                   if (data.status == true) {
                       $('#item-row-' + hashedID).fadeOut('slow');
                       $('#success_messages').empty().removeClass('hidden').text(data
                           .message);
                       setTimeout(function() {
                           $('#success_messages').addClass('hidden');
                       }, 3000);
                   } else {
                       $('#error_messages').empty().removeClass('hidden').text(data
                           .message);
                       setTimeout(function() {
                           $('#error_messages').addClass('hidden');
                       }, 3000);
                   }
               },
               error: function(response) {
                   var error = '<ul class="list-unstyled mb-0 pr-0">';
                   $.each(response.responseJSON.errors, function(index, value) {
                       error += '<li>' + value + '</li>';
                   });
                   error += "</ul>";
                   $('#currentErrorMessage').append(error);
               },
           });

       });
   });
</script>
@stop
@section('css-scripts')
<link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
<style>
   .special {
   font-weight: bold !important;
   color: #fff !important;
   background: #bc0000 !important;
   text-transform: uppercase;
   }
   .btn-danger {
   padding: 6px 12px !important;
   }
</style>
@stop
