@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div id="status"></div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <h1 class="title-page inline-block">تحديد تصنيفات التصنيع</h1>

                    <div style="margin-bottom: 15px;"><span class="text-primary" style="font-size: 18px;">يجب اختيار
                            التصنيفات بترتيب ظهورها فى المتجر</span></div>

                    <div class="clearfix"></div>

                    @if (Session::has('success'))
                        <div class="alert alert-success text-center" id="success_msg">{{ Session::get('success') }}</div>
                    @endif

                    @if (Session::has('error'))
                        <div class="alert alert-danger text-center" id="fail_msg">{{ Session::get('error') }}</div>
                    @endif

                    <div class="alert alert-success text-center hidden" id="success_msg"></div>
                    <div class="alert alert-danger text-center hidden" id="fail_msg"></div>

                    <div class="row">
                        <div class="col-md-10 col-md-offset-1">
                            <div class="row">
                                <div class="col-md-11" id="fitem_id_col">
                                    <div class="form-group">
                                        <label for="cat">اختار التصنيفات :</label>
                                        <select class="form-control selectpicker" name="cat" id="cat"
                                            data-live-search="true" title="اختار التصنيف">
                                            @foreach ($categories as $category)
                                                <option value="{{ $category->id }}"> {{ $category->name }}
                                                </option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-1">
                                    <a href="javascript:void(0)" id="setitem" class="btn btn-primary"
                                        style="margin-top: 27px">أضف</a>
                                </div>

                            </div>

                        </div>
                        <div class="row">
                            <div class="col-md-10 col-md-offset-1">
                                <div class="content_store">
                                    <form method="post" action="{{ route('items.manufacturing-cats', $item->id) }}"
                                        id="save-updates-form">
                                        {{ csrf_field() }}

                                        <input type="hidden" name="cats_ids">

                                        <table class="table table-bordered table-striped">
                                            <thead>
                                                <tr>
                                                    <th scope="col">الصنف</th>
                                                    <th scope="col">التصنيف</th>
                                                    <th scope="col">العمليات</th>
                                                </tr>
                                            </thead>
                                            <tbody id="items-rows">
                                                @if (count($cats) > 0)
                                                    @foreach ($cats as $cat)
                                                        {{-- <tr id="tr-{{ $cat->category_id }}"> --}}
                                                        <tr id="tr-{{ $cat->id }}">
                                                            <td>{{ $cat->item->item_name }}</td>
                                                            <td>{{ $cat->category->name }}</td>
                                                            <td><a href="javascript:void(0)" class="btn btn-danger deleteMe"
                                                                    data-tr="tr-{{ $cat->id }}">حذف</a></td>
                                                        </tr>
                                                    @endforeach
                                                @endif
                                            </tbody>
                                        </table>

                                    </form>

                                    <a href="javascript:void(0)" class="perish-btn btn btn-success btn-lg" id="save_cats"
                                        style="margin-top: 5px;">حفظ</a>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection


@section('js-scripts')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>

    <script>
        $('.selectpicker').selectpicker({
            style: 'btn-default',
            size: 8
        });

        var cats_ids = [];

        $("#setitem").click(function() {

            var item_name = '{{ $item->item_name }}';
            var cat_name = $("#cat option:selected").text();
            var cat_id = $("#cat option:selected").val();

            if (!cats_ids.includes(cat_id)) {
                cats_ids.push(cat_id);
                if (cat_id != 0) {
                    if (!$('#tr-' + cat_id).length) {
                        $("#items-rows").append(
                            `<tr id="tr-${cat_id}">
                                <td>${item_name}</td>
                                <td>${cat_name}</td>
                                <td><a href="javascript:void(0)" class="btn btn-danger deleteMe" data-tr="tr-${cat_id}">حذف</a></td>
                            </tr>`
                        );

                        $("input[name='cats_ids']").val(cats_ids);
                    } else {
                        alert('هذا التصنيف موجود مسبقا');
                    }

                } else {
                    alert('يجب اختيار تصنيفات');
                }
            } else {
                alert('تم اضافة التصنيف من قبل');
            }

        });


        $(document).on('click', '.deleteMe', function() {
            if (confirm('هل انت متأكد من الحذف؟')) {
                var trID = $(this).data('tr');
                // console.log(trID);
                // return false;
                $(document).find('#' + trID).remove();
                row_id = trID.replace("tr-", '');

                var cat_id = cats_ids.indexOf(row_id);
                cats_ids.splice(cat_id, 1);

                $.ajax({
                    type: "delete",
                    url: "{{ route('items.delete-manufacturing-cats') }}",
                    data: {
                        cat_id: row_id,
                        _token: '{{ csrf_token() }}'
                    },
                    dataType: "json",
                    success: function(response) {
                        $("#success_msg").removeClass('hidden');
                        $("#success_msg").append(response.msg);
                        $("#success_msg").fadeOut(3000);
                    }
                });
            }
            return false;
        });

        $(document).on('click', '#save_cats', function() {
            if ($("input[name='cats_ids']").val() == 0) {
                alert('يجب اختيار تصنيفات');
            } else {
                $(this).attr('disabled', 'disabled');
                $(document).find('#save-updates-form').submit();
            }
        });

        $("#success_msg").fadeOut(3000);
        $("#fail_msg").fadeOut(3000);
    </script>
@endsection

@section('css-scripts')
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
@endsection
