@extends('master::layouts.master')

@section('content')
    <h2 class="title text-info mt-2 mb-4">
        {{ trans('multiPrices.prices_list') }}
        <button data-toggle="modal" data-target="#newListModal"
            class="btn btn-xs btn-success float-left mt-1">
            {{ trans('multiPrices.add_new') }}
            <i class="fa fa-plus pr-2"></i>
        </button>

        <a href="{{ route('excel.import.item.prices') }}" class="btn btn-xs btn-primary float-left mt-1 mx-2">
            @lang('multiPrices.update')
            <i class="fa fa-file pr-2"></i>
        </a>

        <a href="{{ route('excel.export.item.prices') }}" class="btn btn-xs btn-info float-left mt-1 mx-2">
            @lang('multiPrices.download')
            <i class="fa fa-download pr-2"></i>
        </a>
    </h2>

    <div class="my-2 col-md-12" id="response_msg">

    </div>

    <table class="table table-striped">
        <thead class="bg-info text-light">
            <tr class="font-weight-bold text-center">
                <td scope="col" >#</td>
                <td scope="col" >  {{ trans('multiPrices.list_name') }}</td>
                <td scope="col" >  {{ trans('multiPrices.add_date') }}</td>
                <td scope="col" >  {{ trans('multiPrices.operations') }}</td>
            </tr>
        </thead>
        <tbody id="list_table_body">

            @forelse ($prices_list as $price_list)
                <tr class="text-center" data-id="{{$price_list->id}}">
                    <td> {{ $loop->iteration }} </td>
                    <td class="list_name"> {{ $price_list->list_name }} </td>
                    <td> {{ $price_list->add_date }} </td>
                    <td>
                        <a class="mx-2 btn btn-xs text-white btn-warning edit_list" data-id="{{$price_list->id}}">
                            <i class="fa fa-edit"></i>
                        </a>
                        <a class="mx-2 btn btn-xs text-white btn-danger delete_list" data-id="{{$price_list->id}}">
                            <i class="fa fa-trash"></i>
                        </a>
                    </td>
                </tr>
            @empty
                <tr>
                    <td colspan="4" class="text-center" id="no_lists">
                        {{ __('multiPrices.no_lists') }}
                    </td>
                </tr>
            @endforelse
        </tbody>
    </table>

    @include('item::multiPrices.new_modal')
    @include('item::multiPrices.edit_modal')
@endsection

@section('js-scripts')
    @include('item::multiPrices.js')
@endsection
