<script>

    $('#submit_new_list').on('click', function (event) {

        if (validateListName('new_list_name'))
        {
            $.ajax({
                type: "POST",
                url: "{{ route('multiPrices.store') }}",
                headers: {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                },
                data: {
                    'name': $('#new_list_name').val()
                },
                success: function (response) {

                    if (response['status'] == true)
                    {
                        closeModal();
                        responseMsg("{{trans('native.list_added_successfully')}}", 1);
                        appendNewList(response['new_list']);
                        $('#no_lists').remove();
                    }
                    else {
                        raiseMultiInputErrors(response);
                    }
                },
                error: function (response) {
                    responseMsg('حدث خطأ ما ... حاول مجددا', 0);
                }
            });
        }

    });

    $('#update_existing_list').on('click', function (event) {

        if (validateListName('updated_list_name') && parseInt($('#target_list_id').val()) > 0)
        {
            $.ajax({
                type: "POST",
                url: "{{ route('multiPrices.update') }}",
                headers: {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                },
                data: {
                    'name': $('#updated_list_name').val(),
                    'id': $('#target_list_id').val()
                },
                success: function (response) {

                    if (response['status'] == true)
                    {
                        closeModal();
                        responseMsg('تم تعديل القائمة بنجاح', 1);
                        updateList(response['updated_list']);
                    }
                    else {
                        raiseMultiInputErrors(response);
                    }
                },
                error: function (response) {
                    responseMsg('حدث خطأ ما ... حاول مجددا', 0);
                }
            });
        }

    });

    $(document).on('click', '.delete_list', function (event) {

        var id = $(this).data('id');
        $.ajax({
            type: "POST",
            url: "{{ route('multiPrices.delete') }}",
            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            },
            data: {
                'id': id
            },
            success: function (response) {

                if (response['status'] == true)
                {
                    responseMsg("{{trans('native.correct_delete')}}", 1);
                    removeList(response['id']);
                }
                else {
                    responseMsg("{{trans('native.list_cannot_delete')}}", 0);
                }
            },
            error: function (response) {
                responseMsg('حدث خطأ ما ... حاول مجددا', 0);
            }
        });

    });

    $(document).on('click', '.edit_list', function(){
        // control_edit_modal
        var id = $(this).data('id');
        $('#target_list_id').val(id);
        $('#old_list_name').val( $('tr[data-id="'+id+'"]').children('.list_name').text() );
        $('#control_edit_modal').trigger('click');
    });

    function validateListName(list_input_id)
    {
        var list_name = $('#' + list_input_id).val();
        if (list_name.length < 3)
        {
            raiseInputError(list_input_id, 'يجب أن لا يقل اسم القائمة عن 3 أحرف');
            return false;
        }
        else if (listNameExists(list_name))
        {
            raiseInputError(list_input_id, 'هذا الاسم مستخدم من قبل');
            return false;
        }
        return true;
    }

    function closeModal()
    {
        $('.close').trigger('click');
    }

    function raiseMultiInputErrors(response)
    {
        var ids = {
            'store' : 'new_list_name',
            'update': 'updated_list_name',
        };

        for (let index = 0; index < response['errors'].length; index++) {
            raiseInputError( ids[response['target']],  response['errors'][index]);
        }
    }

    function raiseInputError(id, msg)
    {
        removeOldValidationErrors();
        var new_html = '<span class="text-danger text-small validate_error">'+ msg +'</span>';
        $('#' + id).after(new_html);
    }

    function removeOldValidationErrors()
    {
        $('.validate_error').remove();
    }

    function listNameExists(list_name)
    {
        var all_list_names = $('.list_name');
        for (let index = 0; index < all_list_names.length; index++) {
            if ($(all_list_names[index]).text().trim() == list_name)
            {
                return true;
            }
        }
        return false;
    }

    function responseMsg(msg, status)
    {
        emptyAllMsgs();

        var responseStatus = {
            '0' : 'alert-danger',
            '1' : 'alert-success',
        };

        var new_html = '<div class="alert '+ responseStatus[status] +'"> '+ msg +' </div>';

        $('#response_msg').html(new_html);
    }

    function emptyAllMsgs()
    {
        $('#response_msg').html(' ');
    }

    function appendNewList(new_list)
    {
        var operations = '<td> <button class="mx-2 btn btn-xs text-white btn-warning edit_list" data-id="'+ new_list['id'] +'"> <i class="fa fa-edit"></i> </button>' +
                        '<button class="mx-2 btn btn-xs text-white btn-danger delete_list" data-id="'+ new_list['id'] +'"> <i class="fa fa-trash"></i> </button> </td>';
        var new_html = '<tr class="text-center" data-id="'+ new_list['id'] +'"> <td> 1 </td> <td class="list_name"> '+ new_list['list_name'] +' </td> <td> '+
                        new_list['add_date'] +' </td> '+ operations +' </tr>';

        $('#list_table_body').prepend(new_html);
    }

    function updateList(updated_list)
    {
        $('tr[data-id="'+ updated_list['id'] +'"]').children('.list_name').text(updated_list['list_name']);
    }

    function removeList(id)
    {
        $('tr[data-id="'+ id +'"]').remove();
    }

    $('#newListModal').on('hidden.bs.modal', function () {
        $('#new_list_name').val(' ');
    });
</script>
