{{-- Add New Supplier Modal --}}
<div class="modal fade" id="new-supplier-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
    aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">{{ __('items.new_supplier') }}</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <form id="new-supplier-form-modal" method="post">
                @csrf
                <div class="modal-body pb-0" id="modal-loader-u">
                    <div class="form-group">
                        <label class="control-label" for="supplier_name">{{ __('items.supplier') }} :</label>
                        <input type="text" class="form-control" name="supplier_name" id="supplier_name" autofocus />
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="tele">{{ __('items.phone_number') }} :</label>
                        <input type="text" class="form-control" name="tele" id="tele" />
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-end">
                    <button class="btn btn-primary" type="submit">{{ __('extends.save') }}</button>
                    <button type="button" class="btn btn-secondary mr-1" data-dismiss="modal">{{ __('extends.close') }}
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>

{{-- Add New Barcode Modal --}}
<div class="modal fade" id="new-barcode-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
    aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">{{ __('items.new_barcode') }}</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body pb-0" id="modal-loader-u">
                <div class="form-group">
                    <label class="control-label" id="new-barcode-label" for="barcode">{{ __('items.barcode.name') }}
                        :</label>
                    <input type="text" class="form-control" name="barcode[]" id="new-barcode" autofocus>
                </div>
            </div>
            <div class="modal-footer d-flex justify-content-end">
                <button type="button" class="btn btn-primary" id="add-barcode-btn">{{ __('extends.save') }}</button>
                <button type="button" class="btn btn-secondary mr-1" id="barcode-close-modal"
                    data-dismiss="modal">{{ __('extends.close') }}
                </button>
            </div>
        </div>
    </div>
</div>

{{-- Add Sub Unit Modal --}}
<div class="modal fade" id="new-sub-unit-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
    aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">{{ __('items.new_sub_unit') }}</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <form id="new-sub-unit-form-modal" method="post">
                @csrf
                <div class="modal-body pb-0" id="modal-loader-u">
                    <div id="show-modal-errors" class="hidden"></div>

                    <div class="form-group" id="modal_unit_form_group">
                        <label class="control-label" for="unit_id">{{ __('items.unit.title') }} :</label>
                        <select data-live-search="true" class="form-control" name="unit_id" id="unit">
                            @foreach ($units as $unit)
                                <option value="{{ $unit->id }}" data-name="{{ $unit->name }}"
                                    data-unit_einvoice_code="{{ $unit->unit_einvoice_code }}">
                                    {{ $unit->name }}</option>
                            @endforeach
                        </select>
                    </div>

                    @if ($settings->einvoice == 1)
                        <div class="form-group">
                            <label class="control-label" for="unit_einvoice_code">{{ __('items.unit.einvoice_code') }}
                                :</label>
                            <input type="text" class="form-control" name="unit_einvoice_code"
                                id="modal_unit_einvoice_code" readonly>
                        </div>
                    @endif

                    <div class="form-group">
                        <label class="control-label" for="modal_unit_value">{{ __('items.unit.value') }} :</label>
                        <input type="text" class="form-control" name="unit_value" id="modal_unit_value">
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="modal_unit_price">{{ __('items.unit.price') }} :</label>
                        <input type="number" class="form-control" name="unit_price" id="modal_unit_price">
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="modal_unit_barcode">{{ __('items.unit.barcode') }}
                            :</label>
                        <input type="number" class="form-control" name="unit_barcode" id="modal_unit_barcode">
                    </div>
                    <div class="form-row row">
                        <div class="form-group col-md-6 hidden">
                            <label class="control-label" for="barcode">{{ __('items.unit.type') }} :</label>
                            <select class="form-control selectpicker" name="unit_type">
                                <option value="0" selected>{{ __('items.unit.larger') }}</option>
                                <option value="1">{{ __('items.unit.smaller') }}</option>
                            </select>
                        </div>
                        <div class="form-group col-md-6 hidden">
                            <div class="form-inline">
                                <label class="control-label" for="barcode">{{ __('items.show_in_store') }} :</label>
                                <input type="checkbox" class="form-control" name="Screenhidden" checked />
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-end">
                    <a href="javascript:void(0)" class="btn btn-primary"
                        id="add-new-sub-unit-btn">{{ __('extends.save') }}</a>
                    <button type="button" class="btn btn-secondary mr-1"
                        data-dismiss="modal">{{ __('extends.close') }}
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>

{{-- Variable List Modal --}}
<div class="modal fade" id="new-company-modal" tabindex="-1" role="dialog"
    aria-labelledby="new-company-modalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">{{ __('items.variable_price_list') }}</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <form id="new-company-form-modal" method="post">
                @csrf
                <div class="modal-body pb-0" id="modal-loader-u">
                    <div class="form-group">
                        <label class="control-label" for="company_name">{{ __('items.list_name') }} :</label>
                        <input type="text" class="form-control" name="company_name" id="company_name"
                            autofocus />
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="income_ration">{{ __('items.percentage_on_purchases') }}
                            :</label>
                        <input type="text" class="form-control" name="income_ratio" id="income_ration" />
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="sale_ratio">{{ __('items.percentage_on_sales') }} :</label>
                        <input type="text" class="form-control" name="sale_ratio" id="sale_ratio" />
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-end ">
                    <button class="btn btn-primary ml-1" type="submit">{{ __('extends.save') }}</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">{{ __('extends.close') }}
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>

{{-- Card Company Modal --}}
<div class="modal fade" id="new-card-company-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
    aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">{{ __('items.card_company') }}</h4>
            </div>
            <form id="new-card-company-form-modal" method="post">
                @csrf
                <div class="modal-body pb-0" id="modal-loader-u">
                    <div class="form-group">
                        <label class="control-label" for="company_name">{{ __('items.company_name.name') }} :</label>
                        <input type="text" class="form-control" name="company_name" id="company_name" autofocus>
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="card_count">{{ __('items.card_count.name') }} :</label>
                        <input type="text" class="form-control" name="card_count" id="card_count"
                            value="0">
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-primary" type="submit">{{ __('extends.save-btn') }} </button>
                    <button type="button" class="btn btn-secondary mr-1"
                        data-dismiss="modal">{{ __('extends.close') }}
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>

{{-- Add Item Size Modal --}}
<div class="modal fade" id="new-size-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
    aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">{{ __('items.add_size') }}</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <form id="new-size-form-modal" action="" method="post">
                @csrf
                <div class="modal-body pb-0" id="modal-loader-u">
                    <div class="form-group">
                        <label class="control-label" for="size_name">{{ __('items.size.name') }} :</label>
                        <input type="text" class="form-control" name="size_name" id="size_name" autofocus />
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="size_code">{{ __('items.size_code.name') }} :</label>
                        <input type="text" class="form-control" name="size_code" id="size_code" value="0">
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-end">
                    <button class="btn btn-primary" type="submit">{{ __('extends.save') }} </button>
                    <button type="button" class="btn btn-secondary mr-1"
                        data-dismiss="modal">{{ __('extends.close') }}
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>

{{-- Add Item Color Modal --}}
<div class="modal fade" id="new-color-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
    aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">{{ __('items.add_color') }}</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <form id="new-color-form-modal" action="" method="post">
                @csrf
                <div class="modal-body pb-0" id="modal-loader-u">
                    <div class="form-group">
                        <label class="control-label" for="color_name">{{ __('items.color.name') }} :</label>
                        <input type="text" class="form-control" name="color_name" id="color_name" autofocus />
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="color_code">{{ __('items.color_code.name') }} :</label>
                        <input type="text" class="form-control jscolor" name="color_code" id="color_code" />
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-end">
                    <button class="btn btn-primary" type="submit">{{ __('extends.save') }} </button>
                    <button type="button" class="btn btn-secondary mr-1"
                        data-dismiss="modal">{{ __('extends.close') }}
                    </button>
                </div>
            </form>
        </div>

    </div>
</div>

{{-- Update Sub Units Modal --}}
<div class="modal fade" id="updateSubUnitElementModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
    aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">{{ __('items.update_sub_unit') }}</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <form id="edit-sub-unit-form-modal" action="" method="post">
                @csrf
                <div class="modal-body updateElementWell pb-0" id="modal-loader-u"></div>
                <div class="modal-footer d-flex justify-content-end">
                    <button class="btn btn-primary" id="edit-sub-unit-btn">{{ __('extends.save') }}</button>
                    <button type="button" class="btn btn-secondary mr-1"
                        data-dismiss="modal">{{ __('extends.close') }}</button>
                </div>
            </form>
        </div>
    </div>
</div>

{{-- Add Shelf Modal --}}
<div class="modal fade" id="new-shelf-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
    aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">{{ __('items.add_shelf') }}</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <form id="new-shelf-form-modal" action="" method="post">
                @csrf
                <div class="modal-body pb-0" id="modal-loader-u">
                    <div class="form-group">
                        <label class="control-label" for="shelf_name">{{ __('items.shelf') }} :</label>
                        <input type="text" class="form-control" name="shelf_name" id="size_name" autofocus />
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-end">
                    <button class="btn btn-primary" type="submit">{{ __('extends.save') }} </button>
                    <button type="button" class="btn btn-secondary mr-1"
                        data-dismiss="modal">{{ __('extends.close') }}
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>

{{-- Print Barcode Modal --}}
<div class="modal fade" id="printBarcodeModal" tabindex="-1" role="dialog"
    aria-labelledby="printBarcodeModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="printBarcodeModalLabel">{{ __('items.barcode_ticket.tickets.title') }}
                </h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <form id="printBarcodeForm" action="{{ route('barcode.printBarcode') }}" method="POST" target="_blank" rel="noopener noreferrer">
                @csrf
                <div class="modal-body pb-0">
                    <div class="form-group">
                        <label class="control-label" for="quantity">{{ __('items.quantity.name') }} :</label>
                        <input type="number" class="form-control" name="quantity" value="1">
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-end">
                    <button type="submit" class="btn btn-primary ml-1">{{ __('extends.print') }}</button>
                    <button type="button" class="btn btn-secondary"
                        data-dismiss="modal">{{ __('extends.close') }}</button>
                </div>
            </form>
        </div>
    </div>
</div>
