@extends('master::layouts.master')
@section('content')

<div class="card card-light mb-1_5 p-3">

<div class="container-fluid">
   @include('item::error')
   <div class="row align-items-center">
      <h1 class="text-info d-inline-block">{{ __('items.item') . ' ' . $item->item_name }}</h1>
      <a class="btn btn-info mr-2" href="{{ route('items.create') }}">{{ __('items.addItem') }}</a>
      <a class="btn btn-primary mr-2" href="{{ route('items.edit', $item->id) }}" title="{{ __('extends.edit') }}">{{ __('extends.edit') }}</a>
      <img class="mr-auto border" src="{{ asset($item->img) }}" alt="{{ $item->item_name }}" height="120" width="130">
   </div>
   <div class="bg-light mt-3 mb-4 pt-3 pl-3 pr-3 pb-0">

      {{-- Item Name && Description --}}
      <div class="row">
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6">{{ __('items.name') }} :</label>
            <p class="d-inline-block col-md-5">{{ $item->item_name }}</p>
         </div>
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6">{{ __('items.about') }} :</label>
            <p class="d-inline-block col-md-5">{{ $item->about }}</p>
         </div>
      </div>
      {{-- Main Unit && Barcode --}}
      <div class="row">
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6">{{ __('items.barcode.name') }} :</label>
            <p class="d-inline-block col-md-5">{{ $item->barcode }}</p>
         </div>
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6">{{ __('items.main_unit') }} :</label>
            <p class="d-inline-block col-md-5">{{ $item->unit }}</p>
         </div>
      </div>
      {{-- Quantity && Min Quantity --}}
      {{--
      <div class="row">
         --}}
         {{--
         <div class="col-md-6">
            --}}
            {{--                    <label class="control-label text-primary col-md-6">{{ __('items.quantity.name') }} :</label>--}}
            {{--
            <p class="d-inline-block col-md-5">{{ round_quantity($item->store_qty ?? 0) }}</p>
            --}}
            {{--
         </div>
         --}}
         {{--
         <div class="col-md-6">
            --}}
            {{--                    <label class="control-label text-primary col-md-6">{{ __('items.min_quantity') }} :</label>--}}
            {{--
            <p class="d-inline-block col-md-5">{{ round_quantity($item->min_quantity) }}</p>
            --}}
            {{--
         </div>
         --}}
         {{--
      </div>
      --}}
      {{-- Sale & Pay Price --}}
      <div class="row">
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6">{{ __('items.sale_price.name') }} :</label>
            <p class="d-inline-block col-md-5">{{ $item->sale_price }}</p>
         </div>
         @if(authorized('can_see_purchase_price') )
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6">{{ __('items.pay_price.name') }} :</label>
            <p class="d-inline-block col-md-5">{{ $item->pay_price }}</p>
         </div>
         @endif
      </div>
      {{-- Purchase Date && Expire Date --}}
      <div class="row">
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6">{{ __('items.purchase_date') }} :</label>
            <p class="d-inline-block col-md-5">{{ $item->incom_date }}</p>
         </div>
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6">{{ __('items.expire_date') }} :</label>
            <p class="d-inline-block col-md-5">{{ $item->expire_date }}</p>
         </div>
      </div>
      {{-- Main & Sub Category --}}
      <div class="row">
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6">{{ __('items.main_category') }} :</label>
            <p class="d-inline-block col-md-5">{{ $item->main_cat }}</p>
         </div>
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6">{{ __('items.supplier') }} :</label>
            <p class="d-inline-block col-md-5">{{ $item->supplier }}</p>
         </div>
         {{--
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6">{{ __('items.sub_category') }} :</label>
            <p class="d-inline-block col-md-5">{{ $item->sub_cat }}</p>
         </div>
         --}}
      </div>
      {{-- supplier && show_in_store --}}
      {{--
      <div class="row">
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6">{{ __('items.supplier') }} :</label>
            <p class="d-inline-block col-md-5">{{ $item->supplier }}</p>
         </div>
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6">{{ __('items.show_in_store') }}:</label>
            <p class="d-inline-block col-md-5">{{ $item->online == 1 ? __('extends.yes') : __('extends.no') }}</p>
         </div>
      </div>
      --}}
      {{-- Item Details --}}
      <div class="row">
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6">{{ __('items.item_details') }} :</label>
            <p class="d-inline-block col-md-5">{{ $item->details }}</p>
         </div>
      </div>
   </div>
   <div class="card">
      <div class="card-header bg-info">
         <h3 class="card-title text-white">{{ __('items.stores.name') }}</h3>
      </div>
      <div class="card-body">
         <div class="table-responsive">
            <table class="table  zui-gray-table zui-table-rounded  table-hover table-striped  bg-white mt-3">
               <thead>
                  <tr class="bg-primary text-white">
                     <th scope="col">#</th>
                     <th scope="col">{{ __('store.name') }}</th>
                     <th scope="col">{{ __('items.quantity.name') }}</th>
                  </tr>
               </thead>
               <tbody id="tbody">
                  @foreach ($item->stores as $store)
                  <tr class="text-center">
                     <td>{{ $loop->iteration }}</td>
                     <td>{{ $store->store_name }}</td>
                     <td>{{ $store->pivot->store_quant ?? 0 }}</td>
                  </tr>
                  @endforeach
               </tbody>
               <tfoot class="bg-info text-white">
                  <tr>
                     <td colspan="2"> @lang('native.total') </td>
                     <td>{{ round_quantity($item->stores->sum('pivot.store_quant')) }}</td>
                  </tr>
               </tfoot>
            </table>
         </div>
      </div>
   </div>
   {{-- Item Images Row --}}
   {{--
   <div class="row">
      <h4 class="d-inline-block text-primary">{{ __('extends.images') }}</h4>
      <button id="new-item-image" data-toggle="modal" data-target="#new-item-image-modal"
         class="btn btn-primary mr-auto">{{ __('extends.add_image') }}</button>
   </div>
   --}}
   {{-- Item Add Image Modal --}}
   {{--
   <div class="modal fade" id="new-item-image-modal" tabindex="-1" role="dialog"
      aria-labelledby="new-item-image-modal" aria-hidden="true">
      <div class="modal-dialog" role="document">
         <div class="modal-content">
            <div class="modal-header">
               <h5 class="modal-title" id="new-item-image-modalTitle">{{ __('extends.add_image') }}</h5>
               <button type="button" class="close" data-dismiss="modal" aria-label="Close">
               <span aria-hidden="true">&times;</span>
               </button>
            </div>
            <form id="new-item-image-form" action="{{ route('items.images.store') }}" method="post"
               enctype="multipart/form-data">
               {{ csrf_field() }}
               <input type="hidden" name="item_id" value="{{ $item->id }}">
               <div class="modal-body mb-0 pb-0" id="modal-loader-u">
                  <div class="form-group">
                     <label class="control-label" for="image_link">{{ __('items.image.name') }} :</label>
                     <input type="file" class="form-control" name="image_link" id="image_link">
                  </div>
                  <div class="form-group">
                     <label for="text">{{ __('items.image_text') }} :</label>
                     <input type="text" name="image_text" class="form-control">
                  </div>
                  <div class="form-inline">
                     <label class="control-label ml-2" for="text">{{ __('items.show_in_store') }}</label>
                     <input checked type="checkbox" name="image_state" class="f  orm-control">
                  </div>
               </div>
               <div class="modal-footer d-flex justify-content-end">
                  <button type="submit" class="btn btn-primary ml-1">{{ __('extends.save') }}</button>
                  <button type="button" class="btn btn-secondary"
                     data-dismiss="modal">{{ __('extends.close') }}</button>
               </div>
            </form>
         </div>
      </div>
   </div>
</div>
--}}
{{-- Item Images Modals--}}
{{--
<div class="container mt-3 h-100 mb-4">
   <div class="card-group">
      @foreach ($item->getImages() as $img)
      <div class="col-md-4 @if ($loop->iteration > 3) mt-4 @endif">
         <div class="card">
            <img class="card-img-top w-100"
               src="{{ in_array($img->image_link, ['', ' ', null]) ? asset('images/fallbackimage.png') : asset($img->image_link) }}"
               alt="{{ $img->image_text }}">
            <div class="card-body">
               <p class="card-text">{{ $img->image_text }}</p>
               <div class="float-left">
                  <button class="btn btn-primary btn-sm mr-1" data-toggle="modal"
                     data-target="#edit-item-image-modal-{{ $img->id }}">{{ __('extends.edit') }}</button>
                  <button class="btn btn-danger btn-sm" data-toggle="modal"
                     data-target="#delete-item-image-modal-{{ $img->id }}">{{ __('extends.delete') }}</button>
               </div>
            </div>
            <div class="card-footer">
               <small class="text-muted">{{ $img->add_time }}</small>
            </div>
         </div>
      </div>
      <!-- Item Edit Image Modal -->
      <div class="modal fade" id="edit-item-image-modal-{{ $img->id }}" tabindex="-1" role="dialog"
         aria-labelledby="edit-item-image-modal-{{ $img->id }}" aria-hidden="true">
         <div class="modal-dialog" role="document">
            <div class="modal-content">
               <div class="modal-header">
                  <h5 class="modal-title" id="edit-item-image-modal-{{ $img->id }}Title">
                     {{ __('extends.edit') }}
                  </h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                  </button>
               </div>
               <form id="edit-item-image-form-{{ $img->id }}"
                  action="{{ route('items.images.update', $img->id) }}" method="post"
                  enctype="multipart/form-data">
                  @csrf
                  <input type="hidden" name="item_id" value="{{ $item->id }}">
                  <input type="hidden" name="image_id" value="{{ $img->id }}">
                  <div class="modal-body mb-0 pb-0" id="modal-loader-{{ $img->id }}">
                     <div class="form-group">
                        <label class="control-label" for="image_link">{{ __('items.image.name') }} :</label>
                        <input type="file" class="form-control" name="image_link" id="image_link">
                     </div>
                     <div class="form-group">
                        <label for="text">{{ __('items.image_text') }} :</label>
                        <input type="text" name="image_text" class="form-control"
                           value="{{ $img->image_text }}">
                     </div>
                     <div class="form-inline">
                        <label class="control-label ml-2"
                           for="text">{{ __('items.show_in_store') }}</label>
                        <input type="checkbox" name="image_state" class="form-control"
                        @if ($img->image_state) checked @endif>
                     </div>
                  </div>
                  <div class="modal-footer d-flex justify-content-end">
                     <button type="submit"
                        class="btn btn-primary ml-1">{{ __('extends.update') }}</button>
                     <button type="button" class="btn btn-secondary"
                        data-dismiss="modal">{{ __('extends.close') }}</button>
                  </div>
               </form>
            </div>
         </div>
      </div>
      <!-- Item Delete Image Modal -->
      <div class="modal fade" id="delete-item-image-modal-{{ $img->id }}" tabindex="-1" role="dialog"
         aria-labelledby="delete-item-image-modal-{{ $img->id }}" aria-hidden="true">
         <div class="modal-dialog" role="document">
            <div class="modal-content">
               <div class="modal-header">
                  <h5 class="modal-title" id="delete-item-image-modal-{{ $img->id }}Title">
                     {{ __('extends.delete') }}
                  </h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                  </button>
               </div>
               <form id="delete-item-image-form-{{ $img->id }}"
                  action="{{ route('items.images.delete', $img->id) }}" method="post">
                  @csrf
                  <input type="hidden" name="image_id" value="{{ $img->id }}">
                  <div class="modal-body mb-0 pb-0" id="modal-loader-{{ $img->id }}">
                     <p class="text-center">{{ __('extends.delete_image_confirm') }}</p>
                  </div>
                  <div class="modal-footer d-flex justify-content-end">
                     <button type="submit"
                        class="btn btn-danger ml-1">{{ __('extends.delete') }}</button>
                     <button type="button" class="btn btn-secondary"
                        data-dismiss="modal">{{ __('extends.close') }}</button>
                  </div>
               </form>
            </div>
         </div>
      </div>
      @endforeach
   </div>
</div>
--}}

</div>
@stop
@section('js-scripts')
<script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
<script>
   $(document).ready(function() {
       var loader = "<div align='center' id='loader'>" +
           "<i class='fa fa-spinner fa-pulse fa-3x fa-fw'></i>" +
           "</div><br>";

       $.ajaxSetup({
           headers: {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
               type: "GET",
               data: null,
               contentType: false,
               cache: false,
               processData: false,
               timeout: 3000,
           }
       });
   });
</script>
@stop
@section('css-scripts')
<link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
<style>
   .special {
   font-weight: bold !important;
   color: #fff !important;
   background: #bc0000 !important;
   text-transform: uppercase;
   }
   .control-label {
   width: 150px !important;
   }
</style>
@stop
