<?php

namespace Modules\Maintenance\Http\Controllers;

use Illuminate\Routing\Controller;
use Illuminate\Http\Request;
use Modules\Maintenance\Entities\Component;

class ComponentController extends Controller
{
    public function index()
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $components = Component::select('id', 'name')->where('shop_id', $shop_id)->get();
        return view('maintenance::components', compact('components'));
    }

    public function store(Request $request)
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $request->validate([
            'name' => 'required|unique:components,name'
        ]);

        Component::create([
            'name' => $request->name,
            'shop_id' => $shop_id
        ]);

        return back()->with('success', 'تم الإضافة بنجاح');
    }

    public function update(Request $request)
    {
        $request->validate([
            'id' => 'required|exists:components,id',
            'name' => 'required|unique:components,name,'. $request->id,
        ]);

        $component = Component::findOrFail($request->id);
        $component->update([
            'name' => $request->name
        ]);

        return back()->with('success', 'تم التعديل بنجاح');
    }

    public function destroy($id)
    {
        $component = Component::with('orders')->findOrFail($id);
        if ($component->orders()->count()) {
            return back()->with('error', 'لا يمكن الحذف لارتباطه بطلبات صيانة');
        }
        $component->delete();
        return back()->with('success', 'تم الحذف بنجاح');
    }
}
