<?php
namespace Modules\Maintenance\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'client_id' => 'required|numeric|exists:clients,id',
            'store_id' => 'required|numeric',
            'mobile' => 'required|numeric',
            'address' => 'nullable|string',
            'damage' => 'nullable|string',
            'serial' => 'nullable|string',
            'category' => 'required|numeric|exists:items_type,id',
            'modal' => 'required|numeric|exists:items_type,id',
            'components' => 'required|array',            
        ];
    }
}
