@extends('master::layouts.master')
@section('content')
    <style>
        .top_menu {
            margin-bottom: 3px;
        }
    </style>
    <div class="container">
        <div class="row">
            <div class="col-md-12 well">

                <h1 class="text-center title-page"> {{ __('maintenance.components') }}</h1>
                <button type="button" class="btn btn-primary pull-left" data-toggle="modal" data-target="#newRecord"
                style="margin-bottom: 10px;">
                    <i class="fa fa-plus"></i>{{ __('maintenance.add_component') }}
                </button>
                <table class="table table-hover table-stripped">
                    <thead class="bg-info">
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">{{ __('maintenance.components_name') }}</th>
                        <th scope="col">{{ __('maintenance.edit') }}</th>
                        <th scope="col">{{ __('maintenance.delete') }}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @forelse($components as $component)
                        <tr>
                            <td>{{ $loop->iteration }}</td>
                            <td>{{ $component->name }}</td>
                            <td>
                                <a href="javascript:void(0)" class="btn btn-primary edit_component"
                                   data-id="{{ $component->id }}"
                                   data-name="{{ $component->name }}"
                                ><i class="fa fa-edit"></i></a>
                            </td>
                            <td>
                                <form method="post" action="{{ route('components.delete', $component->id) }}"
                                      onsubmit="return confirm('هل انت متأكد من الحذف؟')">
                                    {{ csrf_field() }}
                                    <button type="submit" class="btn btn-danger"><i class="fa fa-trash"></i></button>
                                </form>
                            </td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="6" class="text-center danger"> {{ __('maintenance.no_data') }} </td>
                        </tr>
                    @endforelse
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection

@section('js-scripts')
    <div id="newRecord" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title"> {{ __('maintenance.add_component') }}</h4>
                </div>
                <form action="{{ route('components.store') }}" method="post">
                    {{ csrf_field() }}
                    <div class="modal-body">
                        <div class="row col-md-12">
                            <label class="col-xs-3">{{ __('maintenance.name') }}</label>
                            <input type="text" name="name" class="col-xs-7 form-control">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-success">{{ __('maintenance.save') }}</button>
                    </div>
                </form>
            </div>

        </div>
    </div>

    <div id="editRecord" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title"> {{ __('maintenance.edit_component') }}</h4>
                </div>
                <form action="{{ route('components.update') }}" method="post">
                    {{ csrf_field() }}
                    <input type="hidden" name="id" id="component_id">
                    <div class="modal-body">
                        <div class="row">
                            <label class="col-xs-3">{{ __('maintenance.name') }}</label>
                            <input type="text" name="name" id="name" class="col-xs-7 form-control">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-success">{{ __('maintenance.save') }}</button>
                    </div>
                </form>
            </div>

        </div>
    </div>

    <script>
        $(document).on('click', '.edit_component', function () {
            $(document).find('#editRecord').modal('toggle');
            let id = $(this).data('id'),
                name = $(this).data('name');
            $(document).find('#component_id').val(id);
            $(document).find('#name').val(name);
        });
    </script>
@endsection
