@extends('master::layouts.master')
@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <style>
        .top_menu {
            margin-bottom: 3px;
        }
    </style>

@endsection

@section('content')
<div class=" card card-light mb-1_5 p-3">

    <div class="container-fluid" style="margin: 10px 10px 0 10px">
        <div class="row">
            <div class="col-md-12 well">

                <h1 class="text-center title-page text-info">{{ __('maintenance.new_order') }}</h1>
                <form method="post" action="{{ route('maintenance.store') }}" enctype="multipart/form-data" class="custome-form">

                    {{ csrf_field() }}

                    <div class="form-group col-md-12">
                        <a href="#" data-toggle="modal" data-target="#addNewClientModal" class="btn btn-success"><i
                                    class="fa fa-plus"></i>{{ __('maintenance.new_client') }}</a>
                    </div>
                    <div class="form_1" style="display: flex;">
                        <div class="form-group col-md-3">
                            <select class="form-control selectpicker" data-live-search="true" name="client_id" id="client"
                                    >
                                <option value="" style="display: none">*{{ __('maintenance.choose_client') }} </option>
                                @foreach($clients as $client)
                                    <option value="{{ $client->id }}" data-address="{{ $client->address }}"
                                            data-mobile="{{ $client->mobile1 }}"
                                            data-phone="{{ $client->tele }}">{{ $client->client_name }} {{ !in_array($client->mobile1, ['', null]) ? '/ '.$client->mobile1 : '' }} {{ !in_array($client->tele, ['', null]) ? '/ '.$client->tele : '' }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group col-md-3">
                            <input type="text" class="form-control input-sm" name="mobile" id="mobile" placeholder="*{{ __('maintenance.mobile') }} "
                                   value="" >
                        </div>
                        <div class="form-group col-md-3 hidden">
                            <input type="text" class="form-control input-sm" name="address" id="address" placeholder="{{ __('maintenance.address') }}"
                                   value="">
                        </div>
                        <div class="form-group col-md-3">
                            <select class="form-control input-normal" name="store_id" id="store_id" >
                                @foreach($stores as $store)
                                    <option @if ($store->id == request('store_id')) selected @endif value="{{ $store->id }}">{{ $store->store_name }}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="form-group col-md-3">
                            <input type="text" class="form-control date input-sm" readonly name="delivery_date" id="delivery_date" placeholder="{{ __('maintenance.delivery_date') }} "
                                   value="">
                        </div>
                    </div>
                    <div class="form_2" style="display: flex;">
                        <div class="form-group col-md-3">
                            <select class="form-control selectpicker" data-live-search="true" name="category" id="category"
                                    >
                                <option value="" style="display: none">*{{ __('maintenance.brand') }}  </option>
                                @foreach($categories as $category)
                                    <option value="{{ $category->id }}">{{ $category->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group col-md-3">
                            <select class="form-control selectpicker" data-live-search="true" name="modal" id="modal">
                                <option value="" style="display: none">*{{ __('maintenance.modal') }}  </option>
                            </select>
                        </div>
                        <div class="form-group col-md-3">
                            <input type="text" class="form-control input-sm" name="serial" id="serial" placeholder=" {{ __('maintenance.serial') }}"
                                   value="">
                        </div>

                        <div class="form-group col-md-3">
                            <input type="text" class="form-control input-sm" name="damage" id="damage" placeholder=" {{ __('maintenance.status_error') }}"
                                   value="">
                        </div>
                    </div>

                    <div class="form-group col-md-12" style="margin-right: -17px;display:flex">
                        <div class="col-md-6">
                            <table class="table table-hover table-stripped">
                                <thead class="bg-info">
                                <tr>
                                    <th scope="col">{{ __('maintenance.type') }}</th>
                                    <th scope="col">{{ __('maintenance.status_true') }}</th>
                                    <th scope="col">{{ __('maintenance.broken') }}</th>
                                    <th scope="col">{{ __('maintenance.not_defined') }} </th>
                                </tr>
                                </thead>
                                <tbody class="components">
                                @forelse($components as $component)
                                    <tr>
                                        <td>{{ $component->name }}</td>
                                        <td>
                                            <input checked type="radio" name="components[{{ $component->id }}]" value="good">
                                        </td>
                                        <td>
                                            <input type="radio" name="components[{{ $component->id }}]" value="broken">
                                        </td>
                                        <td>
                                            <input type="radio" name="components[{{ $component->id }}]" value="not_available">
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-danger text-center">    {{ __('maintenance.check') }}</td>
                                    </tr>
                                @endforelse
                                </tbody>
                            </table>
                        </div>
                        <div class="col-md-6">
                            <div class="col-md-6">
                                <lable> {{ __('maintenance.image') }} :</lable>
                                <input type="file" class="image" name="image" accept=".png, .jpg, .jpeg">
                            </div>
                            <div class="col-md-6">
                                <img src="" class="thumbnail image_preview hidden">
                            </div>
                        </div>
                    </div>
                    <div class="form-group col-md-3">
                        <input type="hidden" name="add_user" id="add_user">

                        {{-- <a href="javascript:void(0)" class="btn btn-primary" id="ensure"><i class="fa fa-save"></i> {{ __('maintenance.check_save') }}</a> --}}
                        <button type="submit" class="btn btn-primary" id="load"><i class="fa fa-save"></i>{{ __('maintenance.save') }}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    </div>
    <!-- Modal -->

    <div class="modal fade" id="addNewClientModal" tabindex="-1" role="dialog" aria-labelledby="addNewClientModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addNewClientModalLabel">
                    عميل جديد
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="embed-responsive embed-responsive-21by9" id="adding_new_client_cont" style="height: 400px;">
                    <iframe class="embed-responsive-item" id="adding_new_client_iframe" src=""></iframe>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">{{ __('extends.close') }}</button>
            </div>
            </div>
        </div>
    </div>

@endsection

@section('js-scripts')

    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script>
        $(function () {
            $('.selectpicker').selectpicker({
                style: 'btn-default',
                size: 8
            });

            if ('{{ get_session_val('date_type', 'Integer') }}' ==  '2') {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    // defaultDate: '0',
                    // selectDefaultDate: true,
                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    // defaultDate: '0',
                    // selectDefaultDate: true,
                });
            }

            $('#adding_new_client_iframe').attr('src', '{{route('clients.create', ['embedded' => 1])}}');

        });

        $('#client').change(function () {
            let address = $(this).find(':selected').data('address'),
                mobile = $(this).find(':selected').data('mobile'),
                phone = $(this).find(':selected').data('phone');
            $('#address').val(address);
            $(document).find('#mobile').val(mobile);
        });

        $('#category').change(function () {
            let id = $(this).find(':selected').val();
            $.get('{{ route('maintenance.related-categories') }}', {'id': id}, function (response) {
                $('#modal').empty().append('<option value="" style="display: none">اختر موديل الجهاز*</option>')
                            .append(response.option).selectpicker('refresh', {noneSelectedText : '{{ trans("native.no-selected") }}'});
            });
        });

        function validate(val) {
            if (val == '' || val == null || val == undefined) {
                return null;
            }
            return val;
        }

        $('form').submit(function () {
            let tr = $('.components>tr');
            var check = false;
            if (tr.length) {
                tr.each(function (k, that) {
                   let el = $(that),
                       length = el.find('input[type="radio"]:checked').length;
                    if (length == 0) {
                        el.addClass('danger');
                        check = true;
                    } else {
                        el.removeClass('danger');
                    }
                })
            } else {
                alert('قم بإضافة مكونات الفحص!!!');
                return false;
            }
            if (!check) {
                $(document).find('#load').replaceWith('<p class="alert alert-info">جاري الحفظ ....</p>');
            } else {
                return false;
            }
        });

        $('.image').change(function () {
            if (this.files && this.files[0]) {
                var reader = new FileReader();

                reader.onload = function (e) {
                    $('.image_preview').removeClass('hidden').attr('src', e.target.result);
                }
                reader.readAsDataURL(this.files[0]);
            }
        });
    </script>

    <script>
        $('.selectpicker').selectpicker({noneSelectedText : '{{ trans('native.no-selected') }}'});
        $('#addNewClientModal').on('hidden.bs.modal', function () {
            let data = {
                'embedded' : true,
            };

            $.ajax({
                type: "GET",
                data: data,
                url: "{{ route('maintenance.getClients', 'sales') }}",
                success: function (data) {
                    updateClients(data['clients'], data['selected']);
                }
            });
        });

        function updateClients(updatedClients, selected_client_id)
        {

            var new_html = "<option value='' style='display: none' selected>*{{ __('maintenance.choose_client') }} </option>";

            for( let i = 0; i < updatedClients.length ; i++)
            {

                var client_name_details = updatedClients[i]['client_name'];
                if (updatedClients[i]['mobile1'])
                {
                    client_name_details += ' / ' + updatedClients[i]['mobile1'];
                }
                else if (updatedClients[i]['tele'])
                {
                    client_name_details += ' / ' + updatedClients[i]['tele'];
                }

                new_html += " <option value='" + updatedClients[i]['id'] + "' data-address='" + updatedClients[i]['address'] +
                            "' data-mobile='" +  updatedClients[i]['mobile1'] + "' data-phone='"+ updatedClients[i]['tele'] +"'>"+
                                client_name_details
                            + "</option>";

            }

            $('#client').html(new_html);
            $('.selectpicker').selectpicker('refresh');


            if (selected_client_id)
            {
                $('#client').val(selected_client_id);
                $('#client').trigger('change');
            }

        }
    </script>
@stop
