@extends('master::layouts.master')

@section('content')
    <style>
        .top_menu {
            margin-bottom: 3px;
        }

        .margin5 {
            margin-top: 5px;
        }
    </style>
    <div class="container-fluid" style="margin: 10px 10px 0 10px">
        <div class="row">
            <div class="col-md-12 well">

                <div class="row errors hidden">
                    <div class="col-xs-12 col-sm-12">
                        <ul class="alert alert-danger text-center list-unstyled" id="errors">

                        </ul>
                    </div>
                </div>
                <h1 class="text-center title-page" style="margin-bottom: 30px"> {{ __('maintenance.maintenance_details') }}  {{ $order->order_no }}</h1>
                <div class="pull-left">
                    <a href="{{ route('maintenance.print-barcode', $order->id)}}" class="btn btn-primary" rel="noopener noreferrer"
                       target="_blank"><i class="fa fa-barcode"></i> {{ __('maintenance.Ticket_print') }}</a>
                    <a href="{{ route('maintenance.print', $order->id)}}" class="btn btn-primary" target="_blank" rel="noopener noreferrer"><i
                                class="fa fa-print"></i>
                        {{ __('maintenance.print') }}
                        @if (is_null($order->no_bill))
                        {{ __('maintenance.order') }}
                        @else
                        {{ __('maintenance.purchures') }}
                        @endif
                    </a>
                    @if ($order->bill_id > 0)
                        <a href="{{ route('invoices.show', [ 'invoice' => $order->bill_id]) . '?edit=1' }}"
                           class="btn btn-primary" rel="noopener noreferrer"
                           target="_blank"><i class="fa fa-money"></i> {{ __('maintenance.purchures_details') }}
                        </a>
                    @endif
                </div>
                <form method="post" action="{{ route('maintenance.update') }}">
                    {{ csrf_field() }}
                    <input type="hidden" name="order_id" value="{{ $order->id }}">
                    <div class="col-md-12" style="display: flex">
                        <div class="form-group col-md-3">
                            <label>{{ __('maintenance.client') }} : </label>
                            <label>{{ $order->client->client_name }}</label>
                        </div>
                        <div class="form-group col-md-3">
                            <label> {{ __('maintenance.phone') }} : </label>
                            <label>{{ $order->client->mobile1 }}</label>
                        </div>
                        <div class="form-group col-md-3">
                            <label>  {{ __('maintenance.tele') }} : </label>
                            <label>{{ $order->client->tele }}</label>
                        </div>
                        <div class="form-group col-md-3">
                            <label>{{ __('maintenance.address') }} : </label>
                            <label>{{ $order->client->address }}</label>
                        </div>
                    </div>
                    <div class="col-md-12" style="display: flex">
                        <div class="form-group col-md-3">
                            <label> {{ __('maintenance.brand_type') }} : </label>
                            <label>{{ $order->category->mainCategory->name ?? '----'  }}</label>
                        </div>
                        <div class="form-group col-md-3">
                            <label> {{ __('maintenance.model_name') }} : </label>
                            <label>{{ $order->category->name }}</label>
                        </div>
                        <div class="form-group col-md-3">
                            <label> {{ __('maintenance.status_error') }} : </label>
                            <label>{{ $order->damage }}</label>
                        </div>
                        <div class="form-group col-md-3">
                            <label> {{ __('maintenance.order_date') }} : </label>
                            <label>{{ \Carbon\Carbon::parse($order->created_at)->format('Y-m-d') }}</label>
                        </div>
                    </div>
                    <div class="col-md-12" style="display: flex">
                        <div class="form-group col-md-3">
                            <label>{{ __('maintenance.delivery_date') }}  : </label>
                            <label>{{ \Carbon\Carbon::parse($order->delivery_date)->format('Y-m-d') }}</label>
                        </div>
                        <div class="form-group col-md-3">
                            <label> {{ __('maintenance.serial') }} : </label>
                            <label>{{ $order->serial }}</label>
                        </div>
                        <div class="form-group col-md-3">
                            @if (is_null($order->no_bill))
                                <select class="form-control" name="warranty" id="warranty" required>
                                    <option value="" style="display: none">* {{ __('maintenance.choose_warranty_period') }} </option>
                                    @foreach($order->getWarranty() as $index => $value)
                                        <option @if ($order->warranty == $index) selected
                                                @endif value="{{ ''.$index.'' }}">{{ $value }}</option>
                                    @endforeach
                                </select>
                            @else
                                <label> {{ __('maintenance.warranty_period') }} : </label>
                                <label>{{ $order->getWarranty($order->warranty) }}</label>
                            @endif
                        </div>
                    </div>
                    <div class="col-md-12" style="display: flex">
                        <div class="col-md-6">
                            <table class="table table-hover table-stripped">
                                <thead class="bg-info text-white">
                                <tr>
                                    <th scope="col">{{ __('maintenance.type') }} </th>
                                    <th scope="col">{{ __('maintenance.status_true') }} </th>
                                    <th scope="col">{{ __('maintenance.broken') }} </th>
                                    <th scope="col"> {{ __('maintenance.not_defined') }} </th>
                                </tr>
                                </thead>
                                <tbody class="components">
                                @foreach($order->components as $component)
                                    <tr>
                                        <td class="text-center">{{ $component->name }}</td>
                                        <td class="text-center">
                                            @if ($component->pivot->status == 'good') <i class="fa fa-check"></i> @endif
                                        </td>
                                        <td class="text-center">
                                            @if ($component->pivot->status == 'broken') <i
                                                    class="fa fa-check"></i> @endif
                                        </td>
                                        <td class="text-center">
                                            @if ($component->pivot->status == 'not_available') <i
                                                    class="fa fa-check"></i> @endif
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                        <div class="col-md-6">
                            <div class="col-md-6">
                                @if (!empty($order->image))
                                <img src="{{asset($order->image) }}" height="30%"
                                     class="thumbnail image_preview">
                                @else
                                <img src="{{asset('imgs/noImage.png') }}" height="30%"
                                     class="thumbnail image_preview">
                                @endif
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <h1 class="text-center title-page" style="margin-bottom: 30px">{{ __('maintenance.data_recording') }}  </h1>
                        <div class="row">
                            <div class="form-group col-md-6">
                                <textarea class="form-control" style="resize: none;" rows="4" id="engineer_notes"
                                          placeholder="{{ __('maintenance.data_recording_details') }} "></textarea>
                            </div>
                            {{--                            <div class="form-group col-md-3">--}}
                            {{--                                <label>المهندس : </label>--}}
                            {{--                                <select id="engineer">--}}
                            {{--                                    <option style="display: none" value="">أختر مهندس</option>--}}
                            {{--                                    @foreach($employees as $employee)--}}
                            {{--                                        <option value="{{ $employee->id }}">{{ $employee->name }}</option>--}}
                            {{--                                    @endforeach--}}
                            {{--                                </select>--}}
                            {{--                            </div>--}}
                            <div class="form-group col-md-3">
                                <a class="btn btn-primary text-white" id="add_notes"><i class="fa fa-plus"></i>{{ __('maintenance.add_recored') }}</a>
                            </div>
                        </div>
                        <table class="table table-hover table-stripped">
                            <thead class="bg-info text-white">
                            <tr>
                                <th scope="col">{{ __('maintenance.details') }}</th>
                                {{--                                <th scope="col">المهندس</th>--}}
                                <th scope="col"></th>
                            </tr>
                            </thead>
                            <tbody class="engineers_notes">
                            @forelse($order->records as $note)
                                <tr>
                                    <td>{{ $note->notes }}</td>
                                    {{--                                    <td>{{ $note->employee->name }}</td>--}}
                                    <td>
                                        <a href="javascript:void(0)" data-id="{{ $note->id }}"
                                           class="btn btn-danger delete_old_note"><i class="fa fa-trash"></i></a>
                                    </td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2" class="danger text-center">{{ __('maintenance.no_data') }}  </td>
                                </tr>
                            @endforelse
                            </tbody>
                        </table>
                    </div>
                    <div class="col-md-12" style="display: flex">
                        <div class="form-group col-md-3">
                            <label> {{ __('maintenance.no_data') }} : </label>
                            <select name="status" id="status">
                                @foreach($status as $order_status)
                                    <option @if ($order->status == $order_status->status) selected
                                            @endif @if ($order_status->status == 6 && is_null($order->no_bill)) style="display: none"
                                            @endif  value="{{ $order_status->status }}">{{ $order_status->name }}</option>
                                @endforeach
                            </select>
                        </div>
{{--                        <div class="form-group col-md-3 sale_points hidden">--}}
{{--                            <label>الخزينة : </label>--}}
{{--                            <select name="point_id" id="point_id">--}}
{{--                                @foreach($points as $point)--}}
{{--                                    <option value="{{ $point->id }}">{{ $point->point_name }}</option>--}}
{{--                                @endforeach--}}
{{--                            </select>--}}
{{--                        </div>--}}
                        {{--                        <div class="form-group col-md-3">--}}
                        {{--                            <label>المهندس : </label>--}}
                        {{--                            <select name="employee" id="employee"--}}
                        {{--                                    required>--}}
                        {{--                                @foreach($employees as $employee)--}}
                        {{--                                    <option @if ($order->sales_man == $employee->id) selected--}}
                        {{--                                            @endif value="{{ $employee->id }}">{{ $employee->name }}</option>--}}
                        {{--                                @endforeach--}}
                        {{--                            </select>--}}
                        {{--                        </div>--}}
                        <div class="form-group col-md-3">
                            <label>{{ __('maintenance.store') }} : </label>
                            {{--                            @if (!is_null($order->store_id))--}}
                            <label>{{ $order->store->store_name }}</label>
                            {{--                            @else--}}
                            {{--                                <select name="store_id" id="store_id" required>--}}
                            {{--                                    @if (auth()->user()->change_store == '1' || $user_store == 0)--}}
                            {{--                                        <option value="0">المخزن الرئيسى</option>--}}
                            {{--                                    @endif--}}
                            {{--                                    @foreach($stores as $store)--}}
                            {{--                                        <option value="{{ $store->id }}">{{ $store->store_name }}</option>--}}
                            {{--                                    @endforeach--}}
                            {{--                                </select>--}}
                            {{--                            @endif--}}
                        </div>
                    </div>
                    <div class="form-group col-md-12">
                        <h1 class="text-center title-page">{{ __('maintenance.Spare_parts') }}  </h1>
                        <div class="row requirements">
                            <div class="form-group col-md-3">
                                <input type="text" class="form-control" placeholder=" {{ __('orders.item') }} "
                                       id="search" data-name="" data-quantity="" data-sale="" data-unit=""
                                       data-item_id="" data-vat_state="" data-vats_values="" data-vats_ids=""
                                       data-vats_types="" data-vats_opers="" data-vats_usage="" data-vats_usage_status=""
                                       autocomplete="off">

                                <div id="result"></div>
                            </div>
                            <div class="form-group col-md-1">
                                <input type="number" min="1" max="" data-old="1" class="form-control"
                                       placeholder="{{ __('orders.amount') }}"
                                       id="quantity">
                                <span id="current" style="color: red"></span>
                            </div>
                            <div class="form-group col-md-1">
                                <input type="text" class="form-control" data-old="" placeholder="{{ __('orders.pay_price') }}"
                                       id="pay_price">
                            </div>
                            <div class="form-group col-md-1">
                                <input type="text" class="form-control" data-old="" placeholder="{{ __('orders.sale_price') }}" id="sale_price">
                            </div>
                            <div class="form-group col-md-1">
                                <input type="text" readonly class="form-control" placeholder="{{ __('orders.total') }}" id="total">
                            </div>
                            <div class="form-group col-md-2">
                                <a href="javascript:void(0)" class="btn btn-success requirements"
                                   id="add_item"><i class="fa fa-plus"></i>{{ __('maintenance.add_recored') }}</a>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-9">
                                <table class="table table-hover table-stripped">
                                    <thead class="bg-info text-white">
                                    <tr>
                                        <th scope="col">{{ __('orders.item') }}</th>
                                        <th scope="col">{{ __('orders.amount') }}</th>
                                        <th scope="col">{{ __('orders.price') }}</th>
                                        <th scope="col">{{ __('orders.total') }}</th>
                                        <th scope="col">{{ __('maintenance.service') }}</th>
                                        <th scope="col">{{ __('orders.net') }}</th>
                                        <th scope="col">العمليات</th>
                                        @if (is_null($order->no_bill))
                                            <th scope="col"></th>
                                        @endif
                                    </tr>
                                    </thead>
                                    <tbody class="items">

                                        @forelse($order->details as $detail)
                                            <tr>

                                                <td>{{ $detail->item->item_name }}</td>
                                                <td class="text-center" class="quantity"
                                                    data-item_id="{{ $detail->item_id }}" data-sale="{{ $detail->price }}"
                                                    data-pay="{{ $detail->pay_price }}"
                                                    data-vat_state="{{ $detail->item->vat_state }}"
                                                    data-vat_value="{{ $detail->item->vat->addition_value }}">{{ round_money($detail->quantity??0) }}</td>
                                                <td class="text-center">{{ round_money($detail->price) }}</td>
                                                <td class="text-center" class="item_total">{{ round_money($detail->quantity * $detail->price) }}</td>
                                                <td class="text-center">{{ round_money($detail->quantity * $detail->price) }}</td>
                                                <td class="text-center">{{ round_money($detail->quantity * $detail->price) }}</td>
                                                @if (is_null($order->no_bill))
                                                    <td class="text-center">
                                                        <a href="javascript:void(0)"
                                                           class="btn btn-danger remove_from_order"
                                                           data-detail_id="{{ $detail->id }}"><i
                                                                    class="fa fa-trash"></i></a>
                                                    </td>
                                                @endif
                                            </tr>
                                        @empty
                                            <tr>
                                                <td class="text-center danger check" colspan="7">{{ __('maintenance.Add_spare_parts') }}</td>
                                            </tr>
                                       @endforelse
                                    </tbody>
                                </table>
                                <div class="deleted_items hidden"></div>
                            </div>
                            <div class="form-group col-md-3">
                                <div class="row margin5">
                                    <label class="col-md-6">  {{ __('maintenance.total_without_discount') }} : </label>
                                    <label class="col-md-4" id="totals">{{ round_money($order->total) }}</label>
                                </div>
                                <div class="row margin5">
                                    <label class="col-md-6" for="discount">{{ __('orders.discount') }} : </label>
                                    @if (is_null($order->no_bill))
                                        <input type="number" step="any" min="0" name="discount" autocomplete="off"
                                               class="col-md-4 form-control" id="discount"
                                               value="{{ round_money($order->discount) }}">
                                    @else
                                        <label class="col-md-4">
                                            {{ round_money($order->discount) }} {{ $order->discount_type == 0 ? ' % ' : $currency }}
                                        </label>
                                    @endif
                                </div>
                                @if (is_null($order->no_bill))
                                    <div class="row margin5">
                                        <label class="col-md-3" for="money">{{ __('orders.money') }}  : </label>
                                        <input type="radio" @if ($order->discount_type == 1) checked
                                               @endif name="discount_type" class="col-md-1"
                                               id="money"
                                               value="1">
                                        <label class="col-md-3" for="percent">{{ __('orders.ratio') }}  : </label>
                                        <input type="radio" @if ($order->discount_type == 0) checked
                                               @endif name="discount_type" class="col-md-1"
                                               id="percent" value="0">
                                    </div>
                                @endif

                                @if (get_session_val('apply_vats', 'Integer') == 1)
                                <div class="row margin5">
                                    <label for="vats_total" class="col-sm-3 col-form-label"> اجمالي الضرائب
                                    </label>
                                    <div class="col-sm-9 col-7">
                                        <input type="text" class="form-control input-light input-sm"
                                            id="vats_total" name="vats_total" value="0" readonly/>
                                    </div>
                                </div>
                                @endif
                                <div class="row margin5">
                                    <label class="col-md-6">{{ __('orders.net') }}  : </label>
                                    <label class="col-md-4" id="net">{{ round_money($order->net) }}</label>
                                </div>
                                <div class="row margin5">
                                    <label class="col-md-6">{{ __('orders.pay_method') }}   : </label>
                                    @if (!is_null($order->no_bill))
                                        <label class="col-md-4">
                                            {{ $order->payment_type == 1 ? 'نقدى' : 'اجل' }}
                                        </label>
                                    @endif
                                </div>
                                @if (is_null($order->no_bill))
                                    <div class="row margin5">
                                        <label class="col-md-3" for="cash">{{ __('orders.cash') }}  : </label>
                                        <input type="radio" @if ($order->payment_type == 1 || auth()->user()->sale_cash == 0) checked
                                               @endif name="pay_method" class="col-md-1"
                                               id="cash" value="1">
                                        @if (auth()->user()->sale_cash == 1)
                                        <label class="col-md-3" for="later">{{ __('orders.later') }}  : </label>
                                        <input type="radio" @if ($order->payment_type == 0) checked
                                               @endif name="pay_method" class="col-md-1"
                                               id="later"
                                               value="0">
                                        @endif
                                    </div>
                                @endif
                                <div class="row margin5">
                                    <label class="col-md-6">{{ __('orders.choose_cash_safe_point') }} : </label>
                                    @if (is_null($order->no_bill))
                                    <select name="point_id" id="point_id" class="col-md-4 form-control">
                                        @foreach($points as $point)
                                            <option @if ($point->id == $order->sale_point_id) selected @endif value="{{ $point->id }}">{{ $point->point_name }}</option>
                                        @endforeach
                                    </select>
                                    @else
                                        <label class="col-md-6">
                                            {{ $order->network_only == 0 ? $order->point->point_name : '---' }}
                                        </label>
                                    @endif
                                </div>
                                <div class="row margin5">
                                    <label class="col-md-6" for="advance">{{ __('orders.paid') }} : </label>
                                    @if (is_null($order->no_bill))
                                        <input type="text" name="advance" autocomplete="off"
                                               class="col-md-4 form-control" id="advance"
                                               value="{{ round_money($order->advance) }}">
                                    @else
                                        <label class="col-md-4">
                                            {{ round_money($order->advance) }}
                                        </label>
                                    @endif
                                </div>
                                @if ($network_payment == 1)
                                    <div class="row margin5">
                                        @if (is_null($order->no_bill))
                                            <label class="col-md-6">
                                                <input type="checkbox" @if ($order->network_only == 1) checked @endif name="network_only" id="network_only"
                                                       value="{{ $order->network_only }}"> {{ __('maintenance.network_only') }}
                                            </label>
                                        <select name="network_id" id="network_id" class="col-md-4 form-control">
                                            @foreach($networks as $network)
                                                <option @if ($network->id == $order->network_id) selected @endif value="{{ $network->id }}">{{ $network->point_name }}</option>
                                            @endforeach
                                        </select>
                                        @else
                                            <label class="col-md-6">{{ __('maintenance.network') }} :</label>
                                            <label class="col-md-6">
                                                {{ $order->network_payment > 0 ? $order->network->point_name : '---' }}
                                            </label>
                                        @endif
                                    </div>
                                    <div class="row margin5">
                                        <label class="col-md-6" for="network_payment">{{ __('orders.paid') }} {{ __('maintenance.network') }}  : </label>
                                        @if (is_null($order->no_bill))
                                            <input type="text" name="network_payment" autocomplete="off"
                                                   class="col-md-4 form-control" id="network_payment"
                                                   value="{{ round_money($order->network_payment) }}">
                                        @else
                                            <label class="col-md-4">
                                                {{ round_money($order->network_payment) }}
                                            </label>
                                        @endif
                                    </div>
                                @endif
                                <div class="row margin5">
                                    <label class="col-md-6" for="rest">{{ __('orders.rest') }} : </label>
                                    <label class="col-md-4" id="rest">
                                        {{ round_money(($order->net) - ($order->advance + $order->network_payment)) }}
                                    </label>
                                </div>
                                <div class="row margin5">
                                    <label class="col-md-6">{{ __('maintenance.profit') }} : </label>
                                    <label class="col-md-4" id="profits">{{ round_money($order->profit) }}</label>
                                    <input type="hidden" class="profits" name="profit" value="{{ $order->profit }}">
                                </div>
                            </div>
                        </div>
                    </div>



                    @if (!is_null($order->no_bill))
                        <div class="col-md-12">
                            <h1 class="text-center title-page">{{ __('maintenance.profit') }} </h1>
                            <div class="row @if (!$order->inWarranty()) hidden @endif">
                                <div class="form-group">
                                    <input type="checkbox" @if ($order->guarantee == 1) checked
                                           @endif id="show_return_notes">
                                    <label for="show_return_notes">{{ __('maintenance.return_income_add') }}  </label>
                                </div>
                            </div>
                            <div class="row return_notes {{ $order->guarantee == 1  ? '' : 'hidden' }}">
                                <div class="form-group col-md-9">

                                        <textarea class="form-control @if (!$order->inWarranty()) hidden @endif"
                                                  style="resize: none;" rows="7" id="return_notes"
                                                  placeholder="{{ __('maintenance.return_income_details') }}  ">{{ $order->notes }}</textarea>
                                    @if (!$order->inWarranty())
                                        <p>{{ $order->notes }}</p>
                                    @endif
                                </div>
                            </div>
                            {{-- <a href="javascript:void(0)" class="btn btn-primary" id="ensure"><i class="fa fa-save"></i>تأكيد
                                العملية</a> --}}
                            <a href="javascript:void(0)" id="load" class="btn btn-primary add_return_notes"><i
                                        class="fa fa-save"></i>{{ __('maintenance.save') }}</a>
                        </div>
                    @endif


                    <input type="hidden" name="order_total" id="order_total" value="{{ $order->total }}">
                    <input type="hidden" name="order_net" id="order_net" value="{{ $order->net }}">
                    <input type="hidden" name="add_user" id="add_user">

                    <div class="form-group col-md-3">
                        @if (is_null($order->no_bill))
                            {{-- <a href="javascript:void(0)" class="btn btn-primary" id="ensure"><i class="fa fa-save"></i>
                                {{ __('maintenance.check_save') }}</a> --}}
                            <button style="margin-right: -27px;" type="submit" class="btn btn-primary" id="load"><i class="fa fa-save"></i>حفظ
                            </button>
                        @endif
                    </div>
                </form>
            </div>
            <div class="col-md-12 well" style="background-color: #e7e6e6;border: 1px solid #e7e6e6;margin-bottom: 20px;">
                <p class="text-primary">{{ __('maintenance.Updates') }}:</p>
                @if ($order->logs()->count())
                    <ul>
                        @foreach($order->logs()->get() as $log)
                            <li>{{ $log->event }}</li>
                        @endforeach
                    </ul>
                @endif
            </div>
        </div>
    </div>

@endsection

@section('js-scripts')
    <script>

        $(function () {
            if ('{!! session()->has('order_id') !!}') {

                {{ session()->forget('order_id') }}
            }
            let order_status = '{{ is_null($order->no_bill) }}';
            if (!order_status) {
                $(document).find('.requirements').addClass('hidden')
            }
        });

        const decimal_value = '{{ $decimal_value }}';
        var current_store = 0;

        $('#search').keyup(function () {
            var val = $(this).val();

            if (validate('{{ $order->store_id }}') != null) {
                store_id = '{{ $order->store_id }}';

            } else {
                store_id = $('#store_id').val();
            }

            if (validate(val) != null) {
                $.get('{{ route('maintenance.search') }}', {'search': val, 'store_id': store_id}, function (response) {
                    $('#result').html(response.body);
                });
            }
        });

        $(document).on('click', '.options', function () {
            let el = $(this),
                total = 0;

            $('#search').val(el.text()).data('item_id', el.data('id')).data('vat_state', el.data('vat_state')).data('name', el.data('name')).data('quantity', el.data('quantity')).data('sale', el.data('sale_price')).data('unit', el.data('unit_id'));
            $('#search').data('vats_ids', el.data('vats')).data('vats_values', el.data('vats_values')).data('vats_types', el.data('vats_types')).data('vats_opers', el.data('vats_opers')).data('vats_usage', el.data('vats_usage')).data('vats_usage_status', el.data('vats_usage_status'));

            $('#quantity').attr('max', el.data('quantity')).val(1);
            $('#current').text('الكمية الحالية : ' + el.data('quantity'));
            $('#pay_price').data('old', el.data('pay_price')).val(el.data('pay'));
            $('#sale_price').data('old', el.data('sale_price')).val(el.data('sale'));
            total = 1 * el.data('sale');
            $('#total').val(total.toFixed(decimal_value));
            $('#result').empty();
        });

        function validate(val) {
            if (val == '' || val == null || val == undefined) {
                return null;
            }
            return val;
        }

        function checkMoney(val, old) {
            let t = $('#totals').text();
            t = Number(t);
            if ($.isNumeric(val) && Number(val) >= 0 && Number(val) <= t) {
                return val;
            } else {
                return old;
            }
        }

        function checkRatio(val, old) {
            if ($.isNumeric(val) && Number(val) >= 0 && Number(val) <= 100) {
                return val;
            } else {
                if (old > 99) {
                    old = 99;
                }
                return old;
            }
        }

        $('#add_item').click(function () {
            if ($('.check').length) {
                $('.check').remove();
            }
            $(document).find('.danger').removeClass('danger');
            let data = $('#search'),
                name = (data.data('name')).trim(),
                id = data.data('item_id'),
                vat_state = data.data('vat_state'),
                vats_ids = data.data('vats_ids'),
                vats_values = data.data('vats_values'),
                vats_types = data.data('vats_types'),
                vats_opers = data.data('vats_opers'),
                vats_usage = data.data('vats_usage'),
                vats_usage_status = data.data('vats_usage_status'),
                quantity = $('#quantity').val(),
                sale_price = $('#sale_price').val(),
                pay_price = $('#pay_price').val(),
                total = $('#total').val(),
                service = 0,
                net = Number(total) - (quantity * pay_price) + service,
                html = ``,
                empty = $('#search, #quantity, #sale_price, #pay_price, #total');

            let check = $(document).find('.item-' + id);
            if (check.length) {
                // check.addClass('danger');
                // empty.val('');
                // return false;
                let old_row = check.find('.quantity');
                quantity   = parseFloat(quantity)   + parseFloat(old_row.data('quantity'));
                total      = parseFloat(total)      + parseFloat(old_row.data('total'));
                service    = parseFloat(service)    + parseFloat(old_row.data('service'));
                net        = parseFloat(net)        + parseFloat(old_row.data('net'));
                check.remove();
            }
            html = `
                <tr class="item-${id}">
                    <td>${name}</td>
                    <td class="quantity text-center" data-item_id="${id}" data-sale="${sale_price}" data-pay="${pay_price}" data-vat_state="${vat_state}"
                                         data-vats_values="${vats_values}" data-vats_ids="${vats_ids}" data-vats_types="${vats_types}"
                                         data-total="${total}" data-service="${service}" data-net="${net}" data-quantity="${quantity}"
                                         data-vats_opers="${vats_opers}" data-vats_usage="${vats_usage}" data-vats_usage_status="${vats_usage_status}"
                    >${quantity}</td>
                    <td>${sale_price}</td>
                    <td class="item_total text-center">${total}</td>
                    <td class="item_total text-center">${service}</td>
                    <td class="item_total text-center">${net}</td>
                    <td class="text-center">
                        <a href="javascript:void(0)" class="btn btn-danger remove"><i class="fa fa-trash"></i></a>
                    </td>
                    <input type="hidden" name="items[${id}]" value="${quantity}-${sale_price}-${pay_price}"/>
                </tr>
            `;
            $(html).prependTo('.items');
            empty.val('');
            $('#current').text('');
            $('#result').text('');
            calculate();
        });

        $(document).on('click', '.remove', function () {
            if (confirm('هل انت متاكد من الحذف؟')) {
                let el = $(this).closest('tr');
                el.remove();
                if ($('.items>tr').length) {
                    calculate();
                } else {
                    zero();
                }
            }
        });

        $('.remove_from_order').click(function () {
            if (confirm('هل انت متاكد من الحذف؟')) {
                let el = $(this),
                    tr = el.closest('tr'),
                    detail_id = el.data('detail_id'),
                    html = `<input type="hidden" name="deleted_items[]" value="${detail_id}">`;
                tr.remove();
                $(document).find('.deleted_items').append(html);
                if ($('.items>tr').length) {
                    calculate();
                } else {
                    zero();
                }
            }
        });

        $('form').submit(function () {
            let warranty = $('#warranty').val();
            if (validate(warranty) == null) {
                alert('قم باختيار مدة الضمان');
                return false;
            }
            var status = 0,
                complete = true;
            if ($('#status').length) {
                status = $('#status').val();
            }
            if (status == 4) {
                if ($('.check').length) {
                    alert('قم بادخال قطع الغيار اولا');
                    return false;
                }
                if ('{{ $sale_details }}' == 0) {
                    $(document).find('.errors').addClass('hidden');
                    $(document).find('#errors').empty();
                    var ids = [],
                        details = [];
                    $(document).find('.quantity').each(function (k, that) {
                        let item_id = $(that).data('item_id'),
                            quantity = $(that).text();
                        ids.push(item_id);
                        details[item_id] = quantity;
                    });
                    $.ajax({
                        url: '{{ route('maintenance.check-quantity') }}',
                        async: false,
                        type: 'GET',
                        data: {'ids': ids, 'details': details, 'store_id': '{{ $order->store_id }}'},
                        success: function (response) {
                            if (response.status) {
                                $(document).find('.errors').removeClass('hidden');
                                $(document).find('#errors').append(response.message);
                                complete = false;
                            }
                        }
                    });
                }
            }
            if (!complete) {
                return false;
            }
            $('#load').replaceWith('<p class="alert alert-info">جاري الحفظ ....</p>');
        });

        // $('#status').change(function () {
        //     let val = $(this).val();
        //     $(document).find('.sale_points').addClass('hidden');
        //     if (val == 4) {
        //         $(document).find('.sale_points').removeClass('hidden');
        //     }
        // });

        $('#store_id').change(function () {
            if (confirm('عند تغيير المخزن سوف يتم إزالة اى قطع غيار مسجلة')) {
                $('.items').empty();
                current_store = $(this).val();
                $('#search, #quantity, #sale_price, #pay_price, #total').empty();
            } else {
                $(this).val(current_store);
            }
        });

        function checkVal(val, old) {
            if (val == '' || val == null || Number(val) <= 0 || !$.isNumeric(val)) {
                return Number(old);
            }
            return Number(val);
        }

        $('#sale_price').change(function () {
            let el = $(this),
                qty = $('#quantity').val(),
                newVal = checkVal(el.val(), el.data('old')),
                total = 0;
            el.val(newVal.toFixed(decimal_value));
            total = Number(qty) * Number(newVal);
            $('#total').val(total.toFixed(decimal_value));
        });

        $('#quantity').change(function () {
            let el = $(this),
                max = el.attr('max'),
                newVal = checkVal(el.val(), el.data('old'));
            el.val(newVal);
            if (max < newVal) {
                el.val(el.data('old'));
            }
            $('#sale_price').trigger('change');
        });

        $('#pay_price').change(function () {
            let el = $(this),
                newVal = checkVal(el.val(), el.data('old'));
            el.val(newVal.toFixed(decimal_value));
        });

        $('#discount').change(function () {
            let val = $(this).val();
            if ($('#percent').is(':checked')) {
                $(this).val(checkRatio(val, 0));
            } else {
                $(this).val(checkMoney(val, 0));
            }
            calculate();
        });

        $('#percent, #money').change(function () {
            calculate();
        });

        function calculate() {
            var all_total = 0, for_vat = 0, no_vat = 0, all_profit = 0, rest = 0, paid = 0,  total_vat = 0, total_before_disc = 0, total_disc_val = 0;

            var discount = parseFloat($('#discount').val());
            var discount_percent = 0;
            var temp_total = parseFloat($('#totals').text());


            if ($('input[name=discount_type]:checked').val() == 0)
            {
                discount_percent = parseFloat(discount / 100);
                total_disc_val = parseFloat( temp_total * (discount / 100));
            }
            else {
                discount_percent = parseFloat(discount / temp_total);
                total_disc_val = discount;
            }

            if (isNaN(discount_percent))
            {
                discount_percent = 0;
                total_disc_val = 0;
            }

            $(document).find('.quantity').each(function (k, that) {
                let vat_state = $(that).data('vat_state'),
                    vats_values = $(that).data('vats_values'),
                    vats_ids = $(that).data('vats_ids'),
                    vats_types = $(that).data('vats_types'),
                    vats_opers = $(that).data('vats_opers'),
                    vats_usage = $(that).data('vats_usage'),
                    vats_usage_status = $(that).data('vats_usage_status'),
                    sale = Number($(that).data('sale')),
                    pay = Number($(that).data('pay')),
                    qty = Number($(that).text()),
                    tr = $(that).closest('tr');

                let total = qty * sale;

                total_before_disc +=  total;
                total -= ( total * discount_percent);

                // vats calculation
                if ({{ get_session_val('apply_vats', 'Integer') }} != 0){ // منع حساب القيمه المضاضه عندما تكون متوقف اللعمل بها

                    // split vats_values & vats_types

                    if ( vats_values )
                    {
                        if (vats_types.length > 2)
                        {
                            vats_types = vats_types.split(',');
                            vats_opers = vats_opers.split(',');
                            vats_ids = vats_ids.split(',');
                            vats_values = vats_values.split(',');
                            vats_usage = vats_usage.split(',');
                            vats_usage_status = vats_usage_status.split(',');
                        }
                        else {
                            vats_types = [vats_types];
                            vats_ids = [vats_ids];
                            vats_values = [vats_values];
                            vats_opers = [vats_opers];
                            vats_usage = [vats_usage];
                            vats_usage_status = [vats_usage_status];
                        }

                        temp_vat = 0;

                        [temp_vat, n_total] = calculate_vats(vats_usage, vats_usage_status, vats_types, vats_values, vats_opers, total, vat_state, qty);

                        total_vat += temp_vat;
                        for_vat += n_total;
                    }
                    else {
                        for_vat += total;
                    }

                }

                all_profit += ((sale - (sale * discount_percent)) - pay) * qty;
            });


            $('#vats_total').val(total_vat.toFixed(decimal_value));

            all_total = no_vat + for_vat;
            all_total = Number(all_total);
            all_profit = Number(all_profit);
            $(document).find('#totals').text(total_before_disc.toFixed(decimal_value));

            $(document).find('#order_total').val(all_total + total_vat);
            $('#net').text((all_total + total_vat).toFixed(decimal_value));

            if ($('#cash').is(':checked')) {
                paid = all_total + total_vat;
                rest = 0;
            } else {
                paid = parseFloat($('#advance').val());
                rest = (all_total + total_vat) - paid;
            }

            rest = Number(rest);
            $('#rest').text(rest.toFixed(decimal_value));
            $('#advance').val(paid.toFixed(decimal_value));
            all_profit = all_profit - (all_profit * discount_percent);
            all_profit = Number(all_profit);
            $('#profits').text(all_profit.toFixed(decimal_value));
            $(document).find('.profits').val(all_profit);
            $(document).find('#order_net').val((all_total + total_vat).toFixed(decimal_value));

            /*
                $(document).find('#totals').text(all_total.toFixed(decimal_value));

                $(document).find('#order_total').val(all_total);

                var discount_percent = $('#discount').val(),
                    discount_profit = discount_percent;
                let net = 0;
                if ($('#money').is(':checked')) {
                    discount_percent = discount_percent * 100 / all_total;
                    if (all_profit > 0) {
                        discount_profit = discount_profit * 100 / all_profit;
                    }
                }
                var for_vat_after_discount_total = for_vat,
                    total_vat = 0,
                    service = 0;
                if ('{{ $bill_adds }}' == 0) {
                    $('.vat').each(function (k, This) {
                        let vat_type = $(This).data('check'),
                            vat_value = $(This).data('val');
                        vat_value = Number(vat_value);
                        if (vat_type == '0') {
                            vat_value = vat_value / 100 * for_vat_after_discount_total;
                            total_vat += vat_value;
                            let vat_value_discount = vat_value * discount_percent / 100,
                                vat_value_after_discount = vat_value - vat_value_discount;
                            vat_value_after_discount = Number(vat_value_after_discount);
                            $(This).val(vat_value_after_discount.toFixed(decimal_value));
                        }
                        if (vat_type == '1') {
                            $(This).val(vat_value.toFixed(decimal_value));
                            service += vat_value;
                        }
                    });
                }
                let for_vat_after_discount_total_discount = for_vat_after_discount_total * discount_percent / 100,
                    total_vat_discount = total_vat * discount_percent / 100,
                    no_vat_discount = no_vat * discount_percent / 100,
                    all_discount = for_vat_after_discount_total_discount + total_vat_discount + no_vat_discount;
                all_discount = Number(all_discount);
                net = for_vat_after_discount_total + total_vat + no_vat + service - all_discount;
                net = Number(net);
                $('#net').text(net.toFixed(decimal_value));
                $(document).find('#order_net').val(net);
                fees = Number(fees);
                $('#total_fees').text(fees.toFixed(decimal_value));
                $(document).find('#order_fees').val(fees);
                if ($('#cash').is(':checked')) {
                    paid = net;
                    rest = 0;
                } else {
                    paid = 0;
                    rest = net - paid;
                }
                rest = Number(rest);
                $('#rest').text(rest.toFixed(decimal_value));
                $('#advance').val(paid.toFixed(decimal_value));
                all_profit = all_profit - all_profit * discount_profit / 100;
                all_profit = Number(all_profit);
                $('#profits').text(all_profit.toFixed(decimal_value));
                $(document).find('.profits').val(all_profit);
            */
        }

        // $('.vat').change(function () {
        //     if ($('.items>tr').length) {
        //         calculate();
        //     }
        // });

        $('#cash, #later').change(function () {
            if ($('.items>tr').length) {
                calculate();
            }
        });

        $('#advance').change(function () {
            if ($('.items>tr').length) {
                var net = $('#net').text(),
                    paid = $('#advance'),
                    new_paid = checkValue(paid.val(), net),
                    rest = 0;
                new_paid = Number(new_paid);
                paid.val(new_paid.toFixed(decimal_value));
                rest = net - new_paid;
                if ('{{ $network_payment }}' == 1) {
                    let network_payment = $(document).find('#network_payment').val();
                    network_payment = Number(network_payment);
                    rest = net - (new_paid + network_payment);
                }
                $('#rest').text(rest.toFixed(decimal_value));
                if (Number(new_paid) == Number(net)) {
                    $('#cash').prop('checked', true);
                }
            }
        });

        $('#network_payment').change(function () {
            let el = $(this),
                paid = el.val(),
                old_paid = el.data('old'),
                new_paid = checkValue(paid, old_paid);
            if (new_paid) {
                new_paid = Number(new_paid);
                el.val(new_paid.toFixed(decimal_value)).data('old', new_paid);
                var net = $('#order_net').val();
                net = Number(net);
                net = net.toFixed(decimal_value);
                let network_only = $('#network_only');
                var rest = 0;
                if (!network_only.is(':checked')) {
                    let p = $('#advance').val();
                    p = Number(p);
                    rest = net - (p + new_paid);
                    rest = Number(rest);
                    $('#rest').text(rest.toFixed(decimal_value));
                }
                if (new_paid == net) {
                    network_only.prop('checked', true).trigger('change');
                }
                if (rest == 0) {
                    $('#cash').prop('checked', true);
                } else {
                    $('#later').prop('checked', true);
                }
            }
        });

        $('#network_only').change(function () {
            let paid = $('#advance'),
                el = $(this),
                network_payment = $('#network_payment');
            if (el.is(':checked')) {
                el.val('1');
                network_payment.val($('#order_net').val()).prop('readonly', true);
                paid.val('0.00').prop('readonly', true);
            } else {
                el.val('0');
                network_payment.val('0.00').prop('readonly', false);
                paid.val($('#order_net').val()).prop('readonly', false);
            }
            $('#cash').prop('checked', true);
            $('#rest').text('0.00');
        });

        function checkValue(val, old) {
            if ($.isNumeric(val) && Number(val) >= 0) {
                return val;
            }
            return old;
        }

        $('#add_notes').click(function () {
            let engineer = $('#engineer option:selected'),
                notes = $('#engineer_notes');
            // if (validate(engineer.val()) == null || validate(notes.val()) == null) {
            if (validate(notes.val()) == null) {
                alert('قم بادخال البيانات');
                return false;
            }
            let tr = `
                <tr>
                    <td>${notes.val()}</td>
                    <!--                    <td>${engineer.text()}</td>-->
                    <td>
                        <a href="javascript:void(0)" class="btn btn-danger delete_new_note"><i class="fa fa-trash"></i></a>
                    </td>
                    <!--                    <input type="hidden" name="engineers_notes[${engineer.val()}]" value="${notes.val()}">-->
                    <input type="hidden" name="engineers_notes[0]" value="${notes.val()}">
                </tr>
            `;
            if ($('.engineers_notes>tr td.danger').length) {
                $('.engineers_notes').empty();
            }
            $('.engineers_notes').append(tr);
            notes.val('');
        });

        $(document).on('click', '.delete_new_note', function () {
            if (confirm('هل انت متأكد من الحذف؟')) {
                let tr = $(this).closest('tr');
                tr.remove();
            }
        });

        $('.delete_old_note').click(function () {
            if (confirm('هل انت متأكد من الحذف؟')) {
                let tr = $(this).closest('tr'),
                    id = $(this).data('id'),
                    html = `<input type="hidden" name="deleted_notes[]" value="${id}">`;
                tr.remove();
                $('.engineers_notes').append(html);
            }
        });

        $(document).on('click', '#show_return_notes', function () {
            let el = $(document).find('.return_notes');
            if ($(this).is(':checked')) {
                el.removeClass('hidden');
                $(this).val('1');
            } else {
                el.addClass('hidden');
                $(document).find('#return_notes').val('');
                $(this).val('0');
            }
        });

        $(document).on('click', '.add_return_notes', function () {
            let return_notes = $(document).find('#return_notes').val(),
                id = '{{ $order->id }}',
                _token = '{{ csrf_token() }}',
                add_user = $(document).find('#add_user').val();
            var register_notes = 0,
                status = $('#status').val();
            if ($('#show_return_notes').is(':checked')) {
                register_notes = 1;
            }
            let data = {
                _token,
                id,
                register_notes,
                return_notes,
                status,
                add_user
            };
            $.post('{{ route('maintenance.return-notes') }}', data, function (response) {
                alert(response.message);
                $('#status').val(status);
                location.reload();
            });
        });

        function zero() {
            $('#totals, #rest, #profits, #net, #discount').text('0');
            $('#advance').val('0');
            if ('{{ $bill_adds }}' == 0) {
                $('.vat').each(function (k, that) {
                    $(that).val('0');
                });
            }
        }

        function calculate_vats(vats_usage, vats_usage_status, vats_types, vats_values, vats_opers, total, vat_state, qty = 1)
        {

            total_vats = 0;
            n_total = 0;

            if (vat_state == 0)
            {
                n_total += total;
            }
            else {

                for (let index = 0; index < vats_values.length; index++) {

                    if (vats_usage_status[index] == 0)
                    {
                        if (vat_state == 2)
                        {
                            if (vats_types[0] == 0)
                            {
                                n_total += (total / (1 + (parseFloat(vats_values[0]) / 100)));
                                total_vats += (( total - n_total ));
                            }
                            else
                            {
                                n_total += (total - (parseFloat(vats_values[0]) * qty));
                                total_vats += (parseFloat(vats_values[0]) * qty);
                            }
                            break;
                        }
                        else {
                            if (vats_types[index] == 0)
                            {
                                n_total +=  ( (vats_opers[index] == 0 ? 1 : -1) * (total * (1 + (parseFloat(vats_values[index]) / 100))));
                                total_vats +=  (( n_total - total * (vats_opers[index] == 0 ? 1 : -1)));
                            }
                            else
                            {
                                total_vats += (vats_opers[index] == 0 ? 1 : -1) * (parseFloat(vats_values[index]) * qty);
                            }
                            n_total = 0;
                        }
                    }
                }
                if (vat_state == 2)
                    n_total = total - total_vats
                else
                    n_total = total;
            }

            return [total_vats, n_total];
        }

    </script>
@endsection
