@extends('master::layouts.master')

@section('content')
    <style>
        .top_menu {
            margin-bottom: 3px;
        }

        .date {
            display: block;
            margin: auto;
        }
    </style>
    <div class="container-fluid" style="margin: 10px 10px 0 10px">
        <div class="row">
            <div class="col-md-12 well">

                <h1 class="text-center title-page">{{ __('maintenance.enquiry') }}</h1>
                <div class="row">
                    <form style="display: contents;">
                        <div class="form-group col-md-2">
                            <label for="from">{{ __('maintenance.from') }} :</label>
                            <input type="text" readonly name="from" id="from" class="form-control date"
                                   value="{{ request('from')??today()->format('Y-m-d') }}">
                        </div>
                        <div class="form-group col-md-2">
                            <label for="to">{{ __('maintenance.to') }} :</label>
                            <input type="text" readonly name="to" id="to" class="form-control date"
                                   value="{{ request('to')??today()->format('Y-m-d') }}">
                        </div>
                        <div class="form-group col-md-2">
                            <button type="submit" style="margin-top: 1.7em" class="btn btn-primary">{{ __('maintenance.show') }}</button>
                        </div>
                    </form>
                </div>
                <table class="table table-hover table-stripped">
                    <thead class="bg-info">
                    <tr>
                        <th scope="col"> {{ __('maintenance.Order_statuses') }}</th>
                        @if (auth()->user()->change_store == '1' || $user_store == 0)
                            <td> {{ __('maintenance.main_store') }} </td>
                        @endif
                        @foreach($stores as $store)
                            <td>{{ $store->store_name }}</td>
                        @endforeach
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($status as $order_status)
                        <tr>
                            <td>{{ $order_status->name }}</td>
                            @if (auth()->user()->change_store == '1' || $user_store == 0)
                                <td>
                                    <a href="{{ route('maintenance.index') }}?from={{ request('from')??today()->format('Y-m-d') }}&to={{ request('to')??today()->format('Y-m-d') }}&status={{ $order_status->status }}&store_id=0">
                                        {{ $orders->where('store_id', '0')->where('status', $order_status->status)->count() }}
                                    </a>
                                </td>
                            @endif
                            @foreach($stores as $store)
                                <td>
                                    <a href="{{ route('maintenance.index') }}?from={{ request('from')??today()->format('Y-m-d') }}&to={{ request('to')??today()->format('Y-m-d') }}&status={{ $order_status->status }}&store_id={{ $store->id }}">
                                        {{ $orders->where('store_id', $store->id)->where('status', $order_status->status)->count() }}
                                    </a>
                                </td>
                            @endforeach
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection

@section('css-scripts')
    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
@endsection

@section('js-scripts')
    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script>
        $(function () {
            if ('{{ get_session_val('date_type', 'Integer') }}' ==  '2') {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    // defaultDate: '0',
                    // selectDefaultDate: true,
                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    // defaultDate: '0',
                    // selectDefaultDate: true,
                });
            }
        });
    </script>
@endsection
