@extends('master::layouts.master')

@section('content')
    <style>
        .top_menu {
            margin-bottom: 3px;
        }
    </style>
    <div class="container-fluid" style="margin: 10px 10px 0 10px">
        <div class="row">
            <div class="col-md-12 well">

                <h1 class="text-center title-page"> {{ __('maintenance.title') }}</h1>
                <form class="hidden-print" id="submit_form">
                    <div class="form_1" style="display: flex;">
                        <div class="form-group col-md-3">
                            <input type="text" class="form-control" name="order_no" id="order_no" placeholder=" {{ __('maintenance.order_no') }}"
                                   value="{{ request('order_no') }}">
                        </div>
                        <div class="form-group col-md-3">
                            <input type="text" class="form-control" name="bill_no" id="bill_no" placeholder=" {{ __('maintenance.bill_no') }}"
                                   value="{{ request('bill_no') }}">
                        </div>
                        <div class="form-group col-md-3">
                            <input type="text" class="form-control" name="serial" id="serial" placeholder="{{ __('maintenance.serial') }} "
                                   value="{{ request('serial') }}">
                        </div>
                        <div class="form-group col-md-3">
                            <select class="form-control selectpicker" data-live-search="true" name="client_id" id="client_id">
                                <option @if (request('client_id') == '-1') selected @endif value="-1" >{{ __('maintenance.client') }} </option>
                                @foreach($clients as $client)
                                    <option @if (request('client_id') == $client->id) selected @endif value="{{ $client->id }}">{{ $client->client_name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form_2" style="display: flex;">
                        <div class="form-group col-md-3">
                            <select class="form-control selectpicker" data-live-search="true" name="brand" id="brand">
                                <option @if (request('brand') == '-1') selected @endif value="-1">{{ __('maintenance.brand') }}</option>
                                @foreach($categories as $category)
                                    <option @if (request('brand') == $category->id) selected @endif value="{{ $category->id }}">{{ $category->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group col-md-3">
                            <select class="form-control selectpicker" data-live-search="true" name="modal" id="modal">
                                <option @if (request('modal') == '-1') selected @endif value="-1">   {{ __('maintenance.modal') }}</option>
                                @foreach($subs as $sub)
                                    <option @if (request('modal') == $sub->id) selected @endif value="{{ $sub->id }}">{{ $sub->name }}</option>
                                @endforeach
                            </select>
                        </div>
    {{--                    <div class="form-group col-md-3">--}}
    {{--                        <select class="form-control selectpicker" data-live-search="true" name="employee_id" id="employee_id">--}}
    {{--                            <option @if (request('employee_id') == '-1') selected @endif value="-1">كل المهندسين</option>--}}
    {{--                            @foreach($employees as $employee)--}}
    {{--                                <option @if (request('employee_id') == $employee->id) selected @endif value="{{ $employee->id }}">{{ $employee->name }}</option>--}}
    {{--                            @endforeach--}}
    {{--                        </select>--}}
    {{--                    </div>--}}
                        <div class="form-group col-md-3">
                            <input type="text" class="form-control" name="mobile" id="mobile" placeholder=" {{ __('maintenance.mobile') }}"
                                   value="{{ request('mobile') }}">
                        </div>
                        <div class="form-group col-md-3" id="date_to">
                            <input  type="text" class="form-control date" name="from" id="from" placeholder="{{ __('maintenance.from') }}"
                                   value="{{ request('from') }}">
                        </div>
                    </div>
                    <div class="form_3" style="display: flex;">
                        <div class="form-group col-md-3">
                            <input id="" readonly autocomplete="off" type="text" class="form-control date" name="to" id="to" placeholder=" {{ __('maintenance.to') }}"
                                   value="{{ request('to') ?? now()->format('Y-m-d') }}">
                        </div>
                        <div class="form-group col-md-3">
                            <select class="form-control" name="status" id="status">
                                <option @if (request('status') == '-1') selected @endif value="-1">    {{ __('maintenance.status') }}</option>
                                @foreach($status as $order_status)
                                    <option @if (request('status') == ''. $order_status->status.'') selected @endif value="{{ $order_status->status }}">{{ $order_status->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group col-md-3">
                            <select class="form-control" name="store_id" id="store_id">
                                @if (auth()->user()->change_store == '1')
                                    <option @if (request('store_id') == '-1') selected @endif value="-1">  {{ __('maintenance.stores') }}</option>
                                @endif
                                @foreach($stores as $store)
                                    <option @if ($store->id == request('store_id')) selected @endif value="{{ $store->id }}">{{ $store->store_name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group col-md-3">
                            <select class="form-control selectpicker" data-live-search="true" name="user_id" id="user_id">
                                <option @if (request('user_id') == '-1') selected @endif value="-1">  {{ __('maintenance.user') }}</option>
                                @foreach($users as $user)
                                    <option @if (request('user_id') == $user->id) selected @endif value="{{ $user->id }}">{{ $user->user_name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form_4" style="display: inline-flex;">
                        <div class="form-group pull-left" style="margin-right: 15px;">
                            <button type="submit" class="btn btn-primary"><i class="fa fa-search"></i> {{ __('maintenance.search') }}</button>
                        </div>
                        <div class="form-group" style="margin-right: 900px;">
                            <a href="javascript:void(0)" id="print_all" 
                               class="btn btn-primary hidden-print float-left mx-1" onClick="window.print();"><i
                                        class="fa fa-print"></i> {{ __('maintenance.print') }}</a>
                            <a href="{{ route('maintenance.create') }}"
                               class="btn btn-primary hidden-print float-left"><i
                                        class="fa fa-plus"></i>{{ __('maintenance.new_order') }}</a>
                        </div>
                    </div>

                </form>
                <div style="overflow: auto;font-size:16px" id="print_div">
                    <div style="overflow: auto">
                    <table class="table table-hover table-stripped">
                        <thead class="bg-info">
                        <tr>
                            <th scope="col">{{ __('maintenance.order_no') }} </th>
                            <th scope="col"> {{ __('maintenance.store') }}</th>
                            <th scope="col">{{ __('maintenance.created_at') }}</th>
                            <th scope="col">{{ __('maintenance.status_show') }} </th>
                            <th scope="col">{{ __('maintenance.client_name') }} </th>
                            <th scope="col">{{ __('maintenance.mobile') }} </th>
                            <th scope="col"> {{ __('maintenance.brand_type') }}</th>
                            <th scope="col">{{ __('maintenance.model_name') }}</th>
                            <th scope="col"> {{ __('maintenance.return') }}</th>
{{--                            <th scope="col">المهندس</th>--}}
                            <th scope="col"></th>
                            <th class="hidden-print"></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($orders as $order)
                            <tr>
                                 <td>
                                    <a href="{{ route('maintenance.edit', $order->id) }}"><i
                                                class="fa fa-eye"></i>{{ $order->order_no }}</a>
                                </td>
                                <td>{{ $order->store_id == 0 ? 'الفرع الرئيسى' : $order->store->store_name }}</td>
                                <td>{{ \Carbon\Carbon::parse($order->created_at)->format('Y-m-d') }}</td>
                                <td>
                                    {{ $status->where('status', $order->status)->first()->name ?? '' }}
                                </td>
                                <td>{{ $order->client->client_name }}</td>
                                <td>{{ $order->client->mobile1 }}</td>
                                <td>{{ $order->category->mainCategory->name ?? '----' }}</td>
                                 <td>{{ $order->category->name  ?? '---'}}</td>
                                <td>{{ round_money($order->net) }}</td>
                                <td class="hidden-print">
                                    <form method="post" action="{{ route('maintenance.delete', $order->id) }}" onsubmit="return confirm('هل انت متأكد من الحذف؟')">
                                        {{ csrf_field() }}
                                        <button type="submit" class="btn btn-danger"><i class="fa fa-trash"></i></button>
                                    </form>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="10" class="text-center danger">لا يوجد سجلات</td>
                            </tr>
                        @endforelse
                        @if (count($orders))
                            <tr class="text-center success" style="font-weight: bolder">
                                <td colspan="2">{{ __('maintenance.total') }}</td>
                                <td colspan="3">{{ __('maintenance.return') }} : {{ round_money($orders->sum('net')) }}</td>
                                <td colspan="3">الربح : {{ round_money($orders->sum('profit')) }}</td>
                                <td colspan="1"></td>
                                <td class="hidden-print"></td>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                </div>

            </div>
        </div>
    </div>
@endsection

@section('css-scripts')
    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
@endsection

@section('js-scripts')
    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></s>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script>
        $(function () {
            if ('{{ get_session_val('date_type', 'Integer') }}' ==  '2') {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    // defaultDate: '0',
                    // selectDefaultDate: true,
                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    // defaultDate: '0',
                    // selectDefaultDate: true,
                });
            }
        });

        $('#brand').change(function () {
            let id = $(this).val();
            if (id != '-1') {
                $.get('{{ route('maintenance.related-categories') }}', {'id': id}, function (response) {
                    $('#modal').empty().append('<option value="-1">اختر اسم الجهاز</option>').append(response.option).selectpicker('refresh');
                });
            } else {
                $('#modal').empty();
            }
        });



        $(document).keydown(function (e) {
            if (e.keyCode == 13) {
                $('#submit_form').submit();
            }
        });
    </script>
@endsection
