<html>
<header>
    <title>الطباعة</title>
    <link href="{{ config('main.badr') }}tools/tickets/css/bootstrap.min.css" rel="stylesheet">
    <link href="{{ config('main.badr') }}tools/tickets/css/font-awesome.min.css" rel="stylesheet">
    <script type="text/javascript" src="{{ config('main.badr') }}jquery-3.2.1.min.js"></script>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <style>
        body {
            margin: 10px;
        }

        .my-container {
            display: flex;
            direction: rtl;
        }

        .width-100 {
            width: 100%;
        }

        .width-60 {
            width: 60%;
            height: auto;
        }

        .width-40 {
            width: 39%;
            height: auto;
        }

        .footer * {
            align-items: center;
            text-align: center !important;
        }

        .logo, .header {
            align-items: center;
            height: auto;
            max-height: 200px;
            margin: 0 auto;
        }

        .upper {
            border: 2px solid #848383;
            padding: 10px;
            margin-left: 5px;
            font-size: 17px;
            margin-bottom: 3px;
            font-weight: 600;
            display: flex;
            width: auto;

        }

        .mode {
            border: 2px solid #848383;
            padding: 4px;
            margin-left: unset;
            font-size: 17px;
            margin-bottom: 5px;
            font-weight: 600;
            text-align: center;
        }

        table tr, th, td{
            line-height: 0.5 !important;
        }

        table th {
            text-align: right;
        }
    </style>
</header>
<body>
<div class="width-100 my-container">
    <div class="logo">
        <img class="logo_image" src="{{ config('main.badr').$logo }}">
    </div>
</div>

<div class="width-100 my-container">
    <div class="header">
        <div style="text-align: right; float: right;">{!! $header !!}</div>
    </div>
</div>

<div class="width-100 my-container">
    <div class="width-60">
        <div class="upper width-100">
            <span class="width-60">رقم الايصال :</span>
            <span class="width-40">{{ $order->order_no }}</span>
        </div>
        <div class="upper width-100">
            <span class="width-60">اسم العميل: </span>
            <span class="width-40">{{ $order->client->client_name }}</span>
        </div>
        <div class="upper width-100">
            <span class="width-60"> تليفون العميل:</span>
            <span class="width-40">{{ $order->client->mobile1 }}</span>
        </div>
        <div class="upper width-100">
            <span class="width-60">نوع العطل:</span>
            <span class="width-40">
                {{ $order->damage }}
            </span>
        </div>
        <div class="upper width-100">
            <span class="width-60">حالة الطلب:</span>
            <span class="width-40">{{ \Modules\Maintenance\Entities\Order::getCurrentStatusName($order->status) }}</span>
        </div>
    </div>
    <div class="width-40">
        <div class="mode">
            <p>نوع الجهاز
            </p>
            <p>{{ $order->brand }}</p>
        </div>
        <div class="mode">
            <p>الموديل</p>
            <p>{{ $order->category->name }}</p>
        </div>
        <div class="mode">
            <p>تاريخ الاستلام</p>
            <p>{{ \Carbon\Carbon::parse($order->created_at)->format('Y-m-d') }}</p>
        </div>
    </div>
</div>
@if ($order->records->count())
<div class="my-container width-100">
    <table class="table table-bordered table-hover table-heading">
        <thead class="bg-info">
        <tr>
            <th scope="col">التفاصيل</th>
{{--            <th scope="col">المهندس</th>--}}
        </tr>
        </thead>
        <tbody>
        @foreach($order->records as $note)
            <tr>
                <td>{{ $note->notes }}</td>
{{--                <td>{{ $note->employee->name }}</td>--}}
            </tr>
        @endforeach
        </tbody>
    </table>
</div>
@endif
<div class="my-container width-100">
    <table class="table table-bordered table-hover table-heading">
        <thead class="bg-info">
        <tr>
            <th scope="col">المكون / الحالة</th>
            <th scope="col">سليم</th>
            <th scope="col">مكسور</th>
            <th scope="col">غير متوفر</th>
        </tr>
        </thead>
        <tbody>
        @foreach($order->components as $component)
            <tr>
                <td>{{ $component->name }}</td>
                <td>
                    @if ($component->pivot->status == 'good') <i class="fa fa-check"></i> @endif
                </td>
                <td>
                    @if ($component->pivot->status == 'broken') <i
                            class="fa fa-check"></i> @endif
                </td>
                <td>
                    @if ($component->pivot->status == 'not_available') <i
                            class="fa fa-check"></i> @endif
                </td>
            </tr>
        @endforeach
        </tbody>
    </table>
</div>

@if ((!is_null($order->bill_id) && $order->bill_id > 0) || $order->details->count())
    <div class="my-container width-100">
        <table class="table table-bordered table-hover table-heading">
            <thead>
            <tr class="info">
                <th scope="col">#</th>
                <th scope="col">الصنف</th>
                <th scope="col">الكمية</th>
                <th scope="col">السعر</th>
                <th scope="col">الاجمالى</th>
            </tr>
            </thead>
            <tbody>
            @if (!is_null($order->bill_id) && $order->bill_id > 0)
            @foreach($bill->details as $detail)
                <tr>
                    <td>{{ $loop->iteration }}</td>
                    <td>{{ $detail->item->item_name }}</td>
                    <td>{{ quant_decimal($detail->quantity) }}</td>
                    <td>{{ price_decimal($detail->price) }}</td>
                    <td>{{ price_decimal($detail->price * $detail->quantity) }}</td>
                </tr>
            @endforeach
            <tr class="center">
                <td colspan="2" style="font-weight: bolder">الخدمة</td>
                <td colspan="3">{{ price_decimal($bill->fee) }}</td>
            </tr>
            <tr class="center">
                <td colspan="2" style="font-weight: bolder">الاجمالى</td>
                <td colspan="3">
                    {{ price_decimal($bill->total_price) }}
                </td>
            </tr>
            <tr class="center">
                <td colspan="2" style="font-weight: bolder">الخصم</td>
                <td colspan="3">
                    {{ price_decimal($bill->discount) }} {{ $bill->discount_type == 0 ? ' % ' : $currency }}
                </td>
            </tr>
            @if ($bill_adds == 0)
            <tr class="center">
                <td colspan="2" style="font-weight: bolder">القيمة المضافة</td>
                <td colspan="3">{{ price_decimal($bill->adds->sum('addition_value')) }}</td>
            </tr>
            @endif
            <tr class="center">
                <td colspan="2" style="font-weight: bolder">الصافى</td>
                <td colspan="3">
                    {{ price_decimal($bill->net_price) }}
                </td>
            </tr>
            @else
                @foreach($order->details as $detail)
                    <tr>
                        <td>{{ $loop->iteration }}</td>
                        <td>{{ $detail->item->item_name }}</td>
                        <td>{{ quant_decimal($detail->quantity) }}</td>
                        <td>{{ price_decimal($detail->price) }}</td>
                        <td>{{ price_decimal($detail->price * $detail->quantity) }}</td>
                    </tr>
                @endforeach
                <tr class="center">
                    <td colspan="2" style="font-weight: bolder">الخدمة</td>
                    <td colspan="3">{{ price_decimal($order->total_fees) }}</td>
                </tr>
                <tr class="center">
                    <td colspan="2" style="font-weight: bolder">الاجمالى</td>
                    <td colspan="3">
                        {{ price_decimal($order->total) }}
                    </td>
                </tr>
                <tr class="center">
                    <td colspan="2" style="font-weight: bolder">الخصم</td>
                    <td colspan="3">
                        {{ price_decimal($order->discount) }} {{ $order->discount_type == 0 ? ' % ' : $currency }}
                    </td>
                </tr>
                @if ($bill_adds == 0)
                <tr class="center">
                    <td colspan="2" style="font-weight: bolder">القيمة المضافة</td>
                    <td colspan="3">{{ $order->adds->sum('addition_value') }}</td>
                </tr>
                @endif
                <tr class="center">
                    <td colspan="2" style="font-weight: bolder">الصافى</td>
                    <td colspan="3">
                        {{ price_decimal($order->net) }}
                    </td>
                </tr>
            @endif
            </tbody>
        </table>
    </div>
@endif

<div class="my-container width-100" style="display:block;">
    <div style="text-align: center; margin: 0 auto;">
        <div class="footer">{!! $footer !!}</div>
    </div>
</div>
<script>
    window.print();
    var isChrome = /Chrome/.test(navigator.userAgent) && /Google Inc/.test(navigator.vendor);
    if (isChrome == false) window.close();
</script>
</body>
</html>
