<html>
<header>
    <title>الطباعة</title>
    <link href="{{ asset('tickets/css/bootstrap.min.css')}}" rel="stylesheet">
    <link href="{{ asset('tickets/css/font-awesome.min.css')}}" rel="stylesheet">
    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <style>
        body {
            margin: 10px;
        }
        #table_heading{
            display: flex;
            margin-right: 0px;

        }
        .my-container {
            /*display: flex;*/
            direction: rtl;
        }

        .width-100 {
            width: 100%;
        }

        .width-60 {
            width: 60%;
            height: auto;
        }

        .width-40 {
            width: 39%;
            height: auto;
        }

        .footer * {
            align-items: center;
            text-align: center !important;
        }

        .logo, .header {
            align-items: center;
            height: auto;
            /*max-height: 20px;*/
            margin: 0 auto;
            text-align: center;
        }

        .upper {
            border: 2px solid #848383;
            padding: 3px;
            margin-left: 5px;
            font-size: 12px;
            margin-bottom: 1px;
            font-weight: 400;
            display: flex;
            width: auto;

        }

        .mode {
            border: 2px solid #848383;
            /*padding: 4px;*/
            margin-left: unset;
            font-size: 17px;
            margin-bottom: 2px;
            font-weight: 600;
            text-align: center;
        }

        table tr, th, td{
            line-height: 1 !important;
            font-size: 14px;
            text-align: center
        }

        table th {
            text-align: right;
        }

        .logo_image{
            height: 100px;
            width: auto;
        }
        @page {
            size: 700mm !important;
            margin: 0mm;
        }

        #bill {
            width: 70mm;
            height: auto;
            margin: 1mm auto;
            padding: 2mm;
        }
        .center{
            text-align: center;
        }

        .item-th{

            white-space: pre-wrap;
            line-height: 18px !important;
        }

        h3 {
            margin: 0;
        }
    </style>
</header>
<body>
<div id="bill">
    <div class="width-100 my-container">
        <div class="logo">
            <img class="logo_image" src="{{asset($order->image)}}">
        </div>
    </div>
    <div class="width-100 my-container">
        <div class="row">
            <div class="center"  >
                <h4>
                @if (!is_null($order->bill_id) && $order->bill_id > 0)
                رقم الفاتوره :  {{ $order->no_bill }}
                @else
                 رقم الطلب :  {{ $order->order_no }}
                @endif
                </h4>
            </div>
            <div class=" center">
                <h4>
                    {!! $header !!}
                </h4>
            </div>
             @if (!is_null($order->bill_id) && $order->bill_id > 0)
            <div class=" center">
                <span class="width-40">{{ $bill->sale_date}}</span>
            </div>
            @endif
            <div class="upper width-100">
                <span class="width-100">الجوال:  {{ $order->client->mobile1 }} </span>

            </div>
            <div class="upper width-100">
                <span class="width-100">اسم العميل: {{ $order->client->client_name }}  </span>

            </div>

            <div class="upper width-100">
                <span class="width-100">  نوع العطل: {{ $order->damage }}</span>
            </div>
            <div class="upper width-100">
                <span class="width-100"> حالة الطلب:{{ \Modules\Maintenance\Entities\Order::getCurrentStatusName($order->status) }}</span>
            </div>
            <div class="upper width-100">
                <span class="width-100">  نوع الجهاز: {{ $order->brand }}</span>
            </div>
            <div class="upper width-100">
                <span class="width-100">  الموديل : {{ $order->category->name }}</span>
            </div>
            <div class="upper width-100">
                <span class="width-100">  تاريخ الاستلام:   {{ \Carbon\Carbon::parse($order->created_at)->format('Y-m-d') }}</span>
            </div>
        </div>
    </div>

    <div class="my-container row">
        <table class="table table-bordered table-hover table-heading">
            <thead class="bg-info">
            <tr>
                <th scope="col">المكون / الحالة</th>
                <th scope="col">سليم</th>
                <th scope="col">غير سليم</th>
                <th scope="col">لم يتم الفحص </th>
            </tr>
            </thead>
            <tbody>
            @foreach($order->components as $component)
                <tr>
                    <td>{{ $component->name }}</td>
                    <td>
                        @if ($component->pivot->status == 'good') <i class="fa fa-check"></i> @endif
                    </td>
                    <td>
                        @if ($component->pivot->status == 'broken') <i class="fa fa-check"></i> @endif
                    </td>
                    <td>
                        @if ($component->pivot->status == 'not_available') <i class="fa fa-check"></i> @endif
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>

    @if ((!is_null($order->bill_id) && $order->bill_id > 0) || $order->details->count())
        <div class="my-container row">
            <table class="table table-bordered table-hover table-heading">
                <thead>
                <tr class="info">
                    <th scope="col">#</th>
                    <th scope="col">الصنف</th>
                    <th scope="col">الكمية</th>
                    <th scope="col">السعر</th>
                    <th scope="col">الاجمالى</th>
                </tr>
                </thead>
                <tbody>
                @if (!is_null($order->bill_id) && $order->bill_id > 0)
                    @foreach($bill->details as $detail)
                        <tr>
                            <td class="item-th">{{ $loop->iteration }}</td>
                            <td class="item-th">{{ $detail->Item->item_name }}</td>
                            <td class="item-th">{{ quant_decimal($detail->quantity) }}</td>
                            <td class="item-th">{{ round_money($detail->sale_price) }}</td>
                            <td class="item-th">{{ round_money($detail->sale_price * $detail->quantity) }}</td>
                        </tr>
                    @endforeach
                    {{-- <tr class="center">
                        <td colspan="2" style="font-weight: bolder">الخدمة</td>
                        <td colspan="3">{{ round_money($bill->fee) }}</td>
                    </tr> --}}
                    <tr class="center">
                        <td colspan="2" style="font-weight: bolder">الاجمالى</td>
                        <td colspan="3">
                            {{ round_money($bill->bill_total) }}
                        </td>
                    </tr>
                    <tr class="center">
                        <td colspan="2" style="font-weight: bolder">الخصم</td>
                        <td colspan="3">
                            {{ round_money($bill->invoice_total_disc) }}
                        </td>
                    </tr>
                    
                    @if ($bill_adds == 0)
                        <tr class="center">
                            <td colspan="2" style="font-weight: bolder">القيمة المضافة</td>
                            <td colspan="3">{{ round_money($bill->vats->sum('vat_weight')) }}</td>
                        </tr>
                    @endif
                    <tr class="center">
                        <td colspan="2" style="font-weight: bolder">الصافى</td>
                        <td colspan="3">
                            {{ round_money($bill->net_price) }}
                        </td>
                    </tr>
                @else
                    @foreach($order->details as $detail)
                        <tr>
                            <td class="item-th">{{ $loop->iteration }}</td>
                            <td class="item-th">{{ $detail->item->item_name }}</td>
                            <td class="item-th">{{ quant_decimal($detail->quantity) }}</td>
                            <td class="item-th">{{ round_money($detail->price) }}</td>
                            <td class="item-th">{{ round_money($detail->price * $detail->quantity) }}</td>
                        </tr>
                    @endforeach
                    <tr class="center">
                        <td colspan="2" style="font-weight: bolder">الخدمة</td>
                        <td colspan="3">{{ round_money($order->total_fees) }}</td>
                    </tr>
                    <tr class="center">
                        <td colspan="2" style="font-weight: bolder">الاجمالى</td>
                        <td colspan="3">
                            {{ round_money($order->total) }}
                        </td>
                    </tr>
                    <tr class="center">
                        <td colspan="2" style="font-weight: bolder">الخصم</td>
                        <td colspan="3">
                            {{ round_money($order->discount) }} {{ $order->discount_type == 0 ? ' % ' : $currency }}
                        </td>
                    </tr>
                    @if ($bill_adds == 0)
                        <tr class="center">
                            <td colspan="2" style="font-weight: bolder">القيمة المضافة</td>
                            <td colspan="3">{{ $bill->vats->sum('vat_weight') }}</td>
                        </tr>
                    @endif
                    <tr class="center">
                        <td colspan="2" style="font-weight: bolder">الصافى</td>
                        <td colspan="3">
                            {{ round_money($order->net) }}
                        </td>
                    </tr>
                @endif
                </tbody>
            </table>
        </div>
    @endif

    <div class="my-container width-100">
        {!! $qr_code !!}
    </div>


    <div class="my-container width-100" style="display:block;">
        <div style="text-align: center; margin: 0 auto;">
            <div class="footer">{!! $footer !!}</div>
        </div>
    </div>
</div>

<script>
    window.print();
    var isChrome = /Chrome/.test(navigator.userAgent) && /Google Inc/.test(navigator.vendor);
    if (isChrome == false) window.close();
</script>
</body>
</html>
