<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['middleware' => ['auth'], 'prefix' => 'maintenance'], function()
{
    Route::group(['as' => 'maintenance.'], function () {
        Route::get('/', 'MaintenanceController@index')->name('index');
        Route::get('/create', 'MaintenanceController@create')->name('create');
        Route::post('/store', 'MaintenanceController@store')->name('store');
        Route::get('/edit/{id}', 'MaintenanceController@edit')->name('edit');
        Route::post('/update', 'MaintenanceController@update')->name('update');
        Route::get('/print/{id}', 'MaintenanceController@print')->name('print');
        Route::get('/related-categories', 'MaintenanceController@relatedCategories')->name('related-categories');
        Route::get('/search', 'MaintenanceController@search')->name('search');
        Route::post('/new-client', 'MaintenanceController@newClient')->name('new-client');
        Route::get('/print-barcode/{id}', 'MaintenanceController@barcode')->name('print-barcode');
        Route::post('/delete/{id}', 'MaintenanceController@destroy')->name('delete');
        Route::get('/check-quantity', 'MaintenanceController@checkQuantity')->name('check-quantity');
        Route::post('return-notes', 'MaintenanceController@returnNotes')->name('return-notes');
        Route::post('check-password', 'MaintenanceController@checkPassword')->name('check-password');
        Route::get('/enquiry', 'MaintenanceController@enquiry')->name('enquiry');
        Route::get('getClients', 'MaintenanceController@getClients')->name('getClients');
        //Route::get('users-operations', 'MaintenanceController@usersOperations')->name('users-operations');

    });
    Route::group(['prefix' => 'components', 'as' => 'components.'], function () {
        Route::get('/', 'ComponentController@index')->name('index');
        Route::post('/store', 'ComponentController@store')->name('store');
        Route::post('/update', 'ComponentController@update')->name('update');
        Route::post('/delete/{id}', 'ComponentController@destroy')->name('delete');
    });

    Route::group(['prefix' => 'status', 'as' => 'status.'], function () {
        Route::get('/', 'StatusController@index')->name('index');
        Route::post('/store', 'StatusController@store')->name('store');
        Route::post('/update', 'StatusController@update')->name('update');
        Route::post('/delete', 'StatusController@destroy')->name('destroy');
        Route::post('/reArrange', 'StatusController@reArrangeStatus')->name('reArrange');
    });
    
    Route::get('/fix', 'MaintenanceController@fix');
});
