<?php

namespace Modules\Manufacture\Entities;

use App\Traits\RoundingAttributesTrait;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Modules\Maintenance\Entities\BillAdd;

class InvoiceDetails extends Model
{
    use RoundingAttributesTrait;
    protected $guarded = ['id'];
    protected $table = 'invoices_details';
    public $timestamps = false;

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shop', function (Builder $builder) {
            $builder->where('invoices_details.shop_id', (auth()->user()->shop_id ?? 0));
        });
    }
}
