<?php

namespace Modules\Manufacture\Entities;

use App\Traits\RoundingAttributesTrait;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Modules\Maintenance\Entities\BillAdd;

class OrderDetails extends Model
{
    use RoundingAttributesTrait;
    protected $guarded = ['id'];
    protected $table = 'manufacturing_details';
    public $timestamps = false;

    public function getQuantityAttribute($value)
    {
        return round_quantity($value, true);
    }

    public function item()
    {
        return $this->belongsTo(Item::class, 'item_id', 'id')->select('id', 'item_name');
    }

    public function productionStore()
    {
        return $this->belongsTo(Store::class, 'store_id')->select('id', 'store_name');
    }
}
