<?php

namespace Modules\Manufacture\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ManufactureStoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            "item_id"       => 'required|exists:items,id',
            "order_qty"     => 'required|numeric|min:1',
            "items"         => 'required|array',
            "items.*.id"    => 'required|exists:items,id',
            "items.*.qty"   => 'required|numeric'
        ];
    }

    public function messages()
    {
        return [
            'item_id.required' => 'الرجاء اختيار صنف',
            'item_id.exists' => 'هذا الصنف غير صحيح',
            'order_qty.required' => 'الكمية يجب ان تكون رقم لا يقل عن واحد',
            'items.required' => 'الرجاء اختيار المواد الخام وتحديد الكميات',
            'items.array' => 'الرجاء اختيار المواد الخام وتحديد الكميات',
        ];
    }
}
