<?php

namespace Modules\Manufacture\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ManufactureUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            "items"         => 'required|array',
            "items.*.id"    => 'required|exists:items,id',
            "items.*.qty"   => 'required|numeric'
        ];
    }

    public function messages()
    {
        return [
            'items.required' => 'الرجاء اختيار المواد الخام وتحديد الكميات',
            'items.array' => 'الرجاء اختيار المواد الخام وتحديد الكميات',
        ];
    }
}
