<?php

namespace Modules\Manufacture\Http\Services;

use Illuminate\Support\Facades\DB;
use Modules\Manufacture\Entities\ItemCollection;

class ManufactureInitService {
    public static function init(array $items, int $item_id, int $order_qty) :bool
    {
        try {
            DB::beginTransaction();
                $data = [];
                foreach ($items as $item) {
                    $current_item = $item;
                    $sub_item_id = $current_item['id'];
                    if ( ItemCollection::where(['main_item' => $item_id, 'item_id' => $sub_item_id])->count() ) continue;
                    $data [] = [
                        'shop_id'       => auth()->user()->shop_id,
                        'main_item'     => $item_id,
                        'main_result'   => $order_qty,
                        'item_id'       => $sub_item_id,
                        'quant'         => $item['qty'],
                        'add_date'      => now(),
                    ];
                }
                ItemCollection::insert($data);
            DB::commit();
            return true;
        } catch (\Exception $e) {
            DB::rollBack();
            return false;
        }
    }
}
