<?php

namespace Modules\Manufacture\Http\Services;

use Illuminate\Support\Facades\DB;
use Modules\Manufacture\Entities\ItemCollection;

class ManufactureUpdateService {
    public static function update(array $items, int $id) :bool
    {
        try {
            DB::beginTransaction();
                $main_result = ItemCollection::select('main_result')->where('main_item', $id)->first()->main_result ?? 1;
                ItemCollection::whereNotIn('item_id', array_keys($items))->where('main_item', $id)->delete();
                foreach ($items as $item) {
                    ItemCollection::updateOrCreate([
                        'main_item' => $id,
                        'item_id'   => $item['id'],
                        'shop_id'   => auth()->user()->shop_id
                    ], [
                        'main_result'   => $main_result,
                        'quant'         => $item['qty'],
                    ]);
                }
            DB::commit();
            return true;
        } catch (\Exception $e) {
            dd($e->getMessage());
            DB::rollBack();
            return false;
        }
    }
}
