@extends('master::layouts.master')

@section('content')
    <style> .select-item-name:hover { background-color: #b2d1ff6e; } </style>
    <div class="container-fluid" style="margin: 10px 10px 0 10px">
        <div class="row">
            <div class="col-md-12 well">
                <h1 class="title-page"> تعديل مكونات التشكيلة {{ $item->item_name }} </h1>

                <div class="text-left">
                    <button type="button" class="btn btn-primary toggle-form" id="open-form" data-target="#close-form">أضف صنف</button>
                    <button type="button" class="btn btn-warning text-white toggle-form hidden" data-target="#open-form" id="close-form">إلغاء <i class="fa fa-times"></i> </button>
                </div>

                <div id="new-item" class="autocomplete-target" style="border: 2px solid #17a2b8; padding: 15px; margin: 15px 0;">
                    <table>
                        <tbody>
                            <tr>
                                <td style="width: 500px; padding-left: 20px">
                                    <div style="position: relative">
                                        <label class="font-weight-bold"> {{ __('manufacture::trans.select_product') }} </label>
                                        <span class="text-danger error" id="item_id_error"></span>
                                        <input type="text" class="form-control autocomplete" data-id="" data-manufacturing="0" placeholder="{{ __('manufacture::trans.select_product') }}">
                                        <div class="load-items" style="width: 100%; position: absolute; z-index: 10; background-color: #fff"></div>
                                    </div>
                                </td>
                                <td style="width: 300px; padding-left: 20px">
                                    <label class="font-weight-bold"> {{ __('manufacture::trans.qty') }} </label>
                                    <input type="number" class="form-control" id="sub-item-qty" placeholder="{{ __('manufacture::trans.qty') }}">
                                </td>
                                <td style="padding-top: 25px">
                                    <button type="button" class="btn btn-primary" id="add-item" data-id="" data-name="" data-details="" data-qty="">  حفظ <i class="fa fa-save"></i> </button>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>

                <form action="{{ route('manufacture.update', $item->id) }}" method="post" id="submit-form">
                    @csrf
                    @method('PUT')
                    <h3 style="text-align: center; font-size: 20px; font-weight: bold; color: #256c89">تعريف الاصناف</h3>
                    <table class="table table-bordered table-striped table-hover table-heading">
                        <thead class="bg-info text-white">
                            <tr>
                                <th>الصنف</th>
                                <th>الكمية</th>
                                <th>حذف</th>
                            </tr>
                        </thead>
                        <tbody id="list-new-items">
                            @foreach($item->collection as $row)
                                <tr id="row-{{ $row->item_id }}">
                                    <td> {{ $row->item->item_name }} </td>
                                    <td>
                                        <input type="number" name="items[{{ $row->item_id }}][qty]" class="form-control qty" value="{{ round_quantity($row->quant, true) }}">
                                        <input type="hidden" name="items[{{ $row->item_id }}][id]" class="form-control" value="{{ $row->item_id }}">
                                    </td>
                                    <td>
                                        <a class="btn btn-danger text-white remove-new-item"><i class="fa fa-trash"></i></a>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>


                    <button type="submit" class="btn btn-success">حفظ</button>
                </form>
            </div>
        </div>
@endsection


@section('js-scripts')
    @include('manufacture::js.search')
    @include('manufacture::js.add-item')
    <script>
        function itemTemplate(btn) {
            return `<tr>
                        <td> ${btn.data('name')} </td>
                        <td>
                            <input type="number" name="items[${btn.data('id')}][qty]" class="form-control" value="${btn.data('qty')}">
                            <input type="hidden" name="items[${btn.data('id')}][id]" class="form-control" value="${btn.data('id')}">
                        </td>
                        <td>
                            <a class="btn btn-danger text-white delete_current"><i class="fa fa-trash"></i></a>
                        </td>
                    </tr>`;
        }

        $(function () {
            $('#new-item').hide();
            $('.toggle-form').click(function () {
                $(this).addClass('hidden');
                $($(this).data('target')).removeClass('hidden');
                $('#new-item').slideToggle();
            });
        });
    </script>
@endsection
