@extends('master::layouts.master')

@section('content')
    <div class="container-fluid" style="margin: 10px 10px 0 10px">
        <div id="show-message"></div>
        <div class="row">
            <div class="col-md-12 well">
                <h1 class="title-page mb-5"> {{ __('manufacture::trans.name') }}</h1>
                @include('manufacture::includes.filter-form')

                <div style="overflow: auto;font-size:16px" id="print_div">
                    <div style="overflow: auto">
                        <table class="table table-striped table-bordered table-hover table-heading" id="table2excel">
                            <thead class="bg-info text-white">
                            <tr>
                                <th>م</th>
                                <th width="150px">التاريخ</th>
                                <th width="300px">مخزن</th>
                                <th>الصنف</th>
                                <th>الوصف</th>
                                <th>الكمية</th>
                                <th width="150px">حذف</th>
                            </tr>
                            </thead>
                            <tbody id="load-data"></tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
@endsection

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
    <style>
                .load {
                    cursor: wait;
                    position: relative;
                }

                .load::before {
                    font-family: "Font Awesome 5 Free";
                    content: "\f021";
                    position: absolute;
                    left: 50%;
                    top: 50%;
                    transform: translate(-50%, -50%);
                    font-size: 19px;
                    font-weight: bolder;
                    color: #000;
                    z-index: 1029;
                    animation: load .9s linear infinite;
                }

                .load::after {
                    content: "";
                    display: block;
                    position: absolute;
                    top: 0;
                    left: 0;
                    bottom: 0;
                    right: 0;
                    background-color: rgb(255, 255, 255);
                    opacity: 0.8;
                    z-index: 1028;
                    height: 100%;
                    transition: all .5s ease-in-out;
                }

                @keyframes load {
                    from { transform: rotate(0deg); }
                    to { transform: rotate(360deg); }
                }
            </style>
@endsection

@section('js-scripts')
    @include('manufacture::js.init-dates')
    @include('manufacture::js.export-functions')
    @include('manufacture::js.function-remove')
    @include('manufacture::js.search')
    <script>
        $(function () {
            let page = 1;
            $('#submit_form').on('submit', function (e) {
                e.preventDefault();
                let form = $(this);
                form.find('#page_number').val(1);
                $('#load-data').parent().addClass('load');
                form.find('button[type="submit"]').prop('disabled', true);
                $.ajax({
                    url: form.attr('action'),
                    type: form.attr('method'),
                    data: form.serialize()+"&page="+page,
                    success: function (response) {
                        page = 1;
                        $('#load-data').empty().append(response);
                        $(`tfoot td`).not('tfoot td:first').text('');
                    },
                    error: function (error) {
                        console.log('Error:', error);
                    },
                    complete: function () {
                        $('#load-data').parent().removeClass('load');
                        form.find('button[type="submit"]').prop('disabled', false);
                    }
                });
            });
            $('#submit_form').submit();

            $('body').on('click', '.pagination .page-link', function (e) {
                e.preventDefault();
                page = Number( $(this).text() );
                $('#submit_form').submit();
            })
        })
    </script>
@endsection
