@extends('master::layouts.master')

@section('content')
    <style> .select-item-name:hover { background-color: #b2d1ff6e; } </style>
    <div class="container-fluid" style="margin: 10px 10px 0 10px">
        <div id="show-message"></div>

        <div class="row">
            <div class="col-md-12 well">
                <h1 class="mb-5 title-page"> {{ __('manufacture::trans.manufacture_order') }}</h1>

                <form action="{{ route('manufacture.init') }}" method="post" id="submit-form">
                    @csrf
                    <div class="form_1 autocomplete-target" style="display: flex;">
                        <div class="form-group col-md-3">
                            <label class="font-weight-bold"> {{ __('manufacture::trans.select_product') }} </label>
                            <span class="text-danger error" id="item_id_error"></span>
                            <input type="text" class="form-control autocomplete" id="item_result" data-manufacturing="1" placeholder="{{ __('manufacture::trans.select_product') }}" autofocus autocomplete="off">
                            <input type="hidden" name="item_id" id="item_id" value="{{ old('item_id') }}">
                            <input type="number" class="hidden" id="current_selection" value="-1">

                            <div class="load-items" style="width: 100%; position: absolute; z-index: 10; background-color: #fff"></div>
                            <p>
                                الصنف المصنع :
                                <span id="item-details"></span>
                            </p>
                        </div>

                        <div class="form-group col-md-2"></div>
                        <div class="form-group col-md-3">
                            <div>
                                <label class="font-weight-bold"> ناتج عملية التصنيع للمرة الواحدة </label>
                                <span class="text-danger error" id="order_qty_error"></span>
                                <input type="number" min="1" name="order_qty" class="form-control" value="1">
                                <span id="item_unit"></span>
                            </div>
                        </div>
                    </div>

                    <div>
                        <table class="table table-striped table-bordered table-hover table-heading">
                            <thead class="bg-info text-white">
                                <tr>
                                    <th>الصنف</th>
                                    <th width="40%">الوصف</th>
                                    <th>الكمية</th>
                                    <th>إضافة</th>
                                </tr>
                                <tr class="autocomplete-target text-dark">
                                    <td>
                                        <div style="position: relative">
                                            <input type="text" class="form-control autocomplete" data-id="" data-manufacturing="0" placeholder="{{ __('manufacture::trans.select_product') }}">
                                            <div class="load-items" style="width: 100%; position: absolute; z-index: 10; background-color: #fff"></div>
                                        </div>
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" disabled readonly id="show-item-details">
                                    </td>
                                    <td>
                                        <input type="number" class="form-control" id="sub-item-qty" placeholder="{{ __('manufacture::trans.qty') }}">
                                    </td>
                                    <td>
                                        <button type="button" class="btn btn-primary" id="add-item" data-id="" data-name="" data-details="" data-qty=""> أضف </button>
                                    </td>
                                </tr>
                            </thead>
                            <tbody id="list-new-items"></tbody>
                        </table>
                    </div>
                    <button type="submit" class="btn btn-success">حفظ</button>
                </form>
            </div>


            @include('manufacture::includes.list-collection')
        </div>
@endsection

@section('js-scripts')
    @include('manufacture::js.function-remove')
    @include('manufacture::js.submit-form-function')
    <script>
        function itemTemplate(btn) {
            return `<tr id="row-${btn.data('id')}">
                        <td>
                            ${btn.data('name')}
                            <input type="hidden" name="items[${btn.data('id')}][id]" value="${btn.data('id')}">
                            <input type="hidden" class="qty" name="items[${btn.data('id')}][qty]" value="${btn.data('qty')}">
                        </td>
                        <td>${btn.data('details')}</td>
                        <td class="show-qty">${btn.data('qty')}</td>
                        <td><button type="button" class="btn btn-danger remove-new-item"> حذف </button> </td>
                    </tr>`;
        }
    </script>
    @include('manufacture::js.search')
    @include('manufacture::js.add-item')
@endsection
