<style>
    .liSelected{
        background: dodgerblue !important;
        color: white;
    }
</style>
<script>
    $(function () {
        $('.load-items').hide();

        $('body').on('change keyup', 'input[name="order_qty"]', function (e) { if ($(this).val() <= 0 || ! $.isNumeric($(this).val())) $(this).val(1); });

        let search_ajax = {abort: function () {}};
        $('body').on('keyup', '.autocomplete', function () {
            let ele = $(this).parent().find('.load-items');
            if ($(this).val() == '') {
                $(this).closest('.autocomplete-target').find('input[name="item_id"]').val('');
                ele.slideUp();
                return ;
            }
            
            let manufacturing = $(this).data('manufacturing') || 0;
            search_ajax.abort();
            search_ajax = $.ajax({
                url: "{{ route('manufacture.search.list.products') }}",
                data: {search: $(this).val(), manufacturing: manufacturing},
                success: function (response) {
                    let text = '<ul class="list-group" style="padding: 0">';
                    if (response.length) {
                        $.each(response, function (index, item) {
                            text += `<li class='select-item-name option' style="padding: 2px 10px; cursor: pointer; list-style: none; text-align: right"
                                            data-item-id="${item.id}"
                                            data-item-unit="${item.unit.name}"
                                            data-item-details="${item.details}"
                                            data-item-qty="${item.quantity}"
                                    >${item.item_name}</li>`;
                        });
                    } else {
                        text += `<li class='text-center'> لا يوجد بيانات </li>`;
                    }
                    text += '</ul>';
                    ele.empty().show().append(text);
                }
            });

            $('body').on('focusout', '.autocomplete', function () {
                setTimeout(function () {
                    $('.load-items').slideUp(600);
                }, 400);
            });

            $('body').on('click', '.select-item-name', function () {
                let parent = $(this).closest('.autocomplete-target');
                parent.find('.autocomplete').val($(this).text()).data('id', $(this).data('item-id'));
                parent.find('#item_id').val($(this).data('item-id'));
                parent.find('#item_unit').text($(this).data('item-unit'));
                parent.find("#item-details").text($(this).text() + ' - ' + $(this).data('item-details'));
                parent.find("#show-item-details").val($(this).data('item-details'));
                parent.find('#add-item')
                    .data('id', $(this).data('item-id'))
                    .data('name', $(this).text());

                // parent.find('input[type="number"]').focusin();
                $('.load-items').empty().hide();
                $('#current_selection').val('-1');
                // $('.autocomplete').blur();
            });

            $('body').on('change', '#sub-item-qty', function () {
                if ($(this).val() <= 0 || ! $.isNumeric($(this).val())) $(this).val(1);
                let input = $(this).closest('.autocomplete-target').find('.autocomplete');
                let details = $(this).closest('.autocomplete-target').find('#show-item-details');
                let btn = $(this).closest('.autocomplete-target').find('#add-item');

                btn.data('id', input.data('item-id'))
                    .data('name', input.val())
                    .data('details', details.text())
                    .data('qty', $(this).val());
            });
        });
    });

    // navigation
    $(document).keydown(function (e) {
        if (e.keyCode === 38) {
            navigate('up');
        }

        if (e.keyCode === 40) {
            navigate('down');
        }

        if (e.keyCode === 13) {
            e.preventDefault();
            let check = $(document).find('.liSelected');
            if (check.length) {
                let el = check.closest('.select-item-name');
                if (el.hasClass('option')) {
                    el.trigger('click');
                    // $("input[name='order_qty']").focus();
                }
            }
        }
    });


    function navigate(direction) {

        var currentSelection = $('#current_selection').val();

        // if ($(document).find("ul li.liSelected").length == 0) {
        //     currentSelection = -1;
        // }

        let parent = $(document).find('ul li.option');
        // child = $(document).find('ul li.option a');

        if (direction == 'up') {
            if (currentSelection != 0) {
                --currentSelection;
            }
        }

        if (direction == 'down') {
            if (currentSelection != parent.length - 1) {
                currentSelection++;
            }
        }

        parent.removeClass('liSelected');
        parent.eq(currentSelection).addClass('liSelected');

        $('#current_selection').val(currentSelection);

    }

</script>