@extends('master::layouts.master')

@section('content')
    <style> .select-item-name:hover { background-color: #b2d1ff6e; } </style>
    <div class="container-fluid" style="margin: 10px 10px 0 10px">
        <div id="show-message"></div>

        <div class="row">
            <div class="col-md-12 well">
                <h1 class="mb-5 title-page"> {{ __('manufacture::trans.report') }}</h1>
                @include('manufacture::reports.form')
            </div>

            <div class="col-md-12">
                    <div style="overflow-x:auto;">

                        <div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
                            <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2 mr-2">{{ trans('extends.print') }} </button>
                            <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2 mr-2">{{ trans('extends.toExcel') }} </button>
                            <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button>
                        </div>

                        <table class="table table-bordered table-striped table-hover table-heading" id="table2excel">
                            <thead>
                            <tr>
                                <td colspan="8" class="text-center" id="show-date"></td>
                            </tr>
                            </thead>
                            <thead class="bg-info text-white">
                                <tr>
                                    <th>#</th>
                                    <th class="item_colum">إسم الصنف</th>
                                    <th class="barcode" >الكمية</th>
                                    <th class="quantity" >متوسط التكلفه للوحده</th>
                                    <th class="quantity" >متوسط التكلفه للكمية</th>
                                    <th class="quantity" >سعر البيع للوحده</th>
                                    <th class="quantity" >سعر البيع للكمية</th>
                                    <th class="quantity" >النسبة</th>
                                </tr>
                            </thead>

                            <tbody id="load-data">
                                @include('manufacture::reports.table')
                            </tbody>

                            <tfoot>
                                <tr>
                                    <td colspan="2">الإجمالي</td>
                                    <td id="total-items-qty"></td>
                                    <td id="total-item-cost"></td>
                                    <td id="total-items-cost"></td>
                                    <td id="total-item-price"></td>
                                    <td id="total-items-price"></td>
                                    <td id="total-percentage"></td>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
            </div>
        </div>
    </div>
@endsection

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
    <style>
        .load {
            cursor: wait;
            position: relative;
        }

        .load::before {
            font-family: "Font Awesome 5 Free";
            content: "\f021";
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            font-size: 19px;
            font-weight: bolder;
            color: #000;
            z-index: 1029;
            animation: load .9s linear infinite;
        }

        .load::after {
            content: "";
            display: block;
            position: absolute;
            top: 0;
            left: 0;
            bottom: 0;
            right: 0;
            background-color: rgb(255, 255, 255);
            opacity: 0.8;
            z-index: 1028;
            height: 100%;
            transition: all .5s ease-in-out;
        }

        @keyframes load {
            from { transform: rotate(0deg); }
            to { transform: rotate(360deg); }
        }
    </style>
@endsection

@section('js-scripts')
    @include('manufacture::js.search')
    @include('manufacture::js.init-dates')
    @include('manufacture::js.export-functions')
    <script>
        $(function () {
            $('#submit_form').on('submit', function (e) {
                e.preventDefault();
                $('#load-data').parent().addClass('load');
                let form = $(this);
                $.ajax({
                    url: form.attr('action'),
                    type: form.attr('method'),
                    data: form.serialize(),
                    success: function (response) {
                        $('#load-data').empty().append(response.view).parent().removeClass('load');
                        $(`tfoot td`).not('tfoot td:first').text('');
                        $(`#show-date`).text(` من ${response.start_date} إلي ${response.end_date}`);
                        calcTotal();
                    },
                    error: function (error) {
                        console.log('Error:', error);
                    }
                });
            });

            function calcTotal() {
                $.each(['items-qty', 'item-cost', 'item-price', 'items-cost', 'items-price'], function (index, key) {
                    let total = 0;
                    $(`td.${key}`).each(function () {
                        total += Number($(this).data('value'));
                    });
                    $(`tfoot td#total-${key}`).text(total.toFixed(2));
                });

                let total_cost = Number( $('#total-items-cost').text() );
                let total_price = Number( $('#total-items-price').text() );
                let ratio = total_cost / total_price * 100;
                $('#total-percentage').text((ratio || 0).toFixed(2) + ' %');
            }
            $('#submit_form').submit();
        });
    </script>
@endsection
