<?php

Route::resource('manufacture', 'ManufactureController')->except(['show']);
Route::prefix('manufacture')->as('manufacture.')->group(function() {
    Route::get('search/list/products', 'ManufactureController@getProducts')->name('search.list.products');
    Route::post('load/data', 'ManufactureController@loadData')->name('load.data');
    Route::get('load/materials', 'ManufactureController@materials')->name('load.materials');
    Route::get('init', 'ManufactureController@init')->name('init');
    Route::post('init', 'ManufactureController@saveInit')->name('init');
    Route::delete('orders/{order_id}', 'ManufactureController@destroyOrder')->name('orders');
});

Route::prefix('manufacture/reports')->as('manufacture.reports.')->group(function() {
    Route::get('/', 'ManufactureReportController@index')->name('index');
    Route::post('list', 'ManufactureReportController@list')->name('list');
});
