<?php

namespace Modules\Master\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class Alert extends Model
{
    protected $table   = 'alerts';
    protected $guarded = [];

    public function added()
    {
        return $this->belongsTo(User::class, 'add_user', 'id')->select('id', 'user_name as name');
    }

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shop', function (Builder $builder) {
            $builder->where('shop_id', auth()->user()->shop_id)->whereNull('status');
        });
    }
}
