<?php

namespace Modules\Master\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class Invoice extends Model
{
    protected $table   = 'invoices_';
    protected $guarded = [];

    public function client()
    {
        return $this->belongsTo(Client::class, 'client_id')->select('id', 'client_name as name');
    }

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shop', function (Builder $builder) {
            $builder->where('shop_id', auth()->user()->shop_id);
        });
    }
}
