@extends('master::layouts.master')

@section('page_title', 'albadr home page')

@section('content')

    @if ($not_submit_einvoices['sale'] > 0)
    <div class="alert alert-warning" role="alert">
        @lang('einvoice.page-title.einvoices-not-synced', ['count' => $not_submit_einvoices['sale']]),
        @lang('einvoice.page-title.click-to-show-einvoices', ['link' => route('invoices.index', 'sales')])
    </div>
    @endif

    @if ($not_submit_einvoices['back'] > 0)
    <div class="alert alert-warning" role="alert">
        @lang('einvoice.page-title.reterned-einvoices-not-synced', ['count' => $not_submit_einvoices['back']]),
        @lang('einvoice.page-title.click-to-show-einvoices', ['link' => route('invoices.index', 'returned sales')])
    </div>
    @endif

    <!-- End section -->

    <!-- start in main-processes content -->
    <section class="main-processes">
        <div class="row grey-row gx-2">
            <div class="col-lg-6 col-12">
                <div class="card light-card p-2 m-h-card">
                    @if(authorized('can_sale'))
                        <a href="{{ route('invoices.new', 'sales')}}" title="@lang('native.add-sales') " class="btn btn-dark w-100 d-block mb-3 btn-md">
                            <span class="icon-img bg-icon icon-img__flex ">
                                <img src="{{ asset('imgs/cart.png') }}" alt="@lang('native.add-sales') " title="@lang('native.add-sales') ">
                            </span>
                            <span  class="progress-content">@lang('native.add-sales')</span>
                        </a>
                    @endif
                    <div class="row">
                        @if(authorized('can_return_sales'))
                            <div class="col-md-6 col-6">
                                <a href="{{  route('invoices.new', 'returned sales') }}" title="@lang('native.add-return-sales')" class="btn btn-light btn-md w-100 d-flex flex-column ">
                                    <span class="icon-img bg-icon d-block">
                                        <img src="{{ asset('imgs/Component-19-1.png') }}" alt="@lang('native.add-return-sales')" title="@lang('native.add-return-sales')"  class="invice-reg"/>
                                    </span>
                                    @lang('native.add-return-sales')
                                </a>
                            </div>
                        @endif

                        @if (authorized('can_display_reports'))
                            <div class="col-md-6 col-6 no-padding-right">
                                <a href="{{  route('salesreports.items_sales_dusring_period_report') }}" title="@lang('native.Today_sales_summary') "  class=" btn btn-light w-100 d-block btn-md">
                                    <span class="icon-img bg-icon ">
                                        <img src="{{ asset('imgs/profits.png') }}" alt="@lang('native.Today_sales_summary')"/>
                                    </span>
                                    @lang('native.Today_sales_summary')
                                </a>
                            </div>
                        @endif
                    </div>
                </div>
            </div>
            <!-- // clip.png -->
            <!-- // delivery.png -->
            <div class="col-lg-6 col-12 no-padding-right">
                <div class="card light-card p-2">
                    <div class="row">
                        @if(authorized('can_add_purchases_invoices'))
                            <div class="col-md-6 col-12">
                                <a href="{{ route('invoices.new', 'purchases') }}" title=" @lang('native.add_income')" class="btn btn-dark d-block mb-3 btn-md btn-block-mob">
                                    <span class="icon-img bg-icon icon-img__flex">
                                        <img src="{{ asset('imgs/clip.png') }}" alt=" @lang('native.add_income')  " title=" @lang('native.add_income') "/>
                                    </span>
                                    <span  class="progress-content">@lang('native.add_income')</span>
                                </a>
                            </div>
                        @endif

                        @if (authorized('can_display_items'))
                            <div class="col-md-6 col-12 no-padding-right pd-less- mb-2">
                                <a href="{{route('items.index')}}" title=" @lang('items.title')   " class="btn btn-dark d-block btn-md btn-block-mob">
                                    <span class="icon-img bg-icon icon-img__flex">
                                        <img src="{{ asset('imgs/delivery.png') }}" alt="  @lang('items.title') " title="  @lang('items.title')  	 "/>
                                    </span>
                                    <span  class="progress-content"> @lang('items.title') </span>
                                </a>
                            </div>
                        @endif

                        @if (authorized('can_add_spend'))
                            <div class="col-md-6 col-6">
                                <a href="{{route("spendsandincoms.index")}}" title="@lang('native.spend_regi')" class="btn btn-light d-block btn-md">
                                    <span class="icon-img bg-icon d-block">
                                        <img src="{{ asset('imgs/cash-payment.png') }}" alt=" @lang('native.spend_regi')" title=" @lang('native.spend_regi')"/>
                                    </span>
                                    @lang('native.spend_regi')
                                </a>
                            </div>
                        @endif

                        @if (authorized('can_add_client'))
                            <div class="col-md-6  col-6 no-padding-right">
                                <a href="{{route('clients.create')}}" title="@lang('client.add client-supplier')" class="btn btn-light d-block btn-md">
                                    <span class="icon-img bg-icon d-block">
                                        <img src="{{ asset('imgs/Component-10-1.png') }}" alt="@lang('client.add client-supplier')" title="@lang('client.add client-supplier')"/>
                                    </span>
                                    @lang('client.add client-supplier')
                                </a>
                            </div>
                        @endif
                    </div>
                </div>
            </div>
            
        </div>
    </section>
    <!-- end main-processes -->
    <!-- start cash -->

    <section class="cash">
        <div class="container">
            <div class="row">
                @if (Auth::user()->show_points > 1)
                    @foreach ($sale_points as $sale_point)
                        <div class="col-xl-2 col-lg-3  col-md-4 col-6">
                            <div class="card cash__card text-center">
                                <div class="card-img index-card gray-bg">
                                    <img src=" {{ asset('imgs/money.png') }}">
                                </div>
                                <h4>
                                    <a href="{{ route('salesreports.sales_points_transactions_report', [
                                            'safe_point_id' => $sale_point->id,
                                            'store_id' => -1,
                                            'start_date' => date('Y-m-d'),
                                            'end_date' => date('Y-m-d'),
                                        ]) }}">
                                        {{ $sale_point->point_name }}
                                    </a>
                                </h4>
                                <span class="badge badge-secondary badge-md">{{ $sale_point->money_point }}</span>
                            </div>
                        </div>
                    @endforeach
                    
                @endif

                @if (authorized('can_display_reports'))
                    <div class="col-xl-2 col-lg-3  col-md-4 col-6">
                        <div class="card cash__card text-center">
                            <div class="card-img index-card yellow-bg">
                                <img src=" {{ asset('imgs/Component-11-1.png') }}">
                            </div>
                            <h4><a href="{{ route('salesreports.min-quantity-items') }}"> @lang('items.end-stock') </a></h4>
                            <span class="badge badge-secondary badge-md">{{ $items_reached_minimum }} @lang('items.row')</span>
                        </div>
                    </div>

                    <div class="col-xl-2 col-lg-3  col-md-4 col-6  @if (get_session_val('show_expire_date', 'integer') == 0) hidden @endif">
                        <div class="card cash__card text-center">
                            <div class="card-img index-card danger-bg">
                                <img src=" {{ asset('imgs/contract.png') }}" class="contract">
                            </div>
                            <h4><a href="{{ route('salesreports.expired-items') }}"> @lang('items.item-will-expire') </a></h4>
                            <span class="badge badge-secondary badge-md">{{ $items_expired_soon }} @lang('items.row')</span>
                        </div>
                    </div>
                @endif

                {{-- <div class="col-md-2 col-4">
                <div class="col-xl-2 col-lg-3  col-md-4 col-6">
                    <div class="card cash__card text-center">
                        <div class="card-img index-card green-bg">
                            <img src=" {{ asset('imgs/Component 13 - 1.png') }}">
                        </div>
                        <h4> طلبات المتجر الالكتروني  </h4>
                        <span class="badge badge-secondary badge-md"> 0  </span>
                    </div>
                </div> --}}

            </div>
        </div>
    </section>


    @include('master::sections.tables')
@endsection

@section('js_scripts')
    <script>
        $(".menu-link").click(function(){
            $(".global-aside").addClass("open-s")
        });

    </script>
@endsection
