<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>@yield('page_title')</title>

        @yield('css-scripts')

        <link rel="stylesheet" type="text/css" href="{{ asset('css/master/bootstrap.min.css') }}">
        <link href="{{ asset('css/master/fontawesome-all.min.css') }}" rel="stylesheet">
        <link rel="stylesheet" type="text/css" href="{{ asset('css/master/style.css') }}">

        <link rel="stylesheet" type="text/css" href="{{ asset('css/master/sweetalert2.min.css') }}">
        {{-- <link href="{{ asset('tickets/css/bootstrap.min.css') }}" rel="stylesheet"> --}}
        <link rel="stylesheet" type="text/css" href="{{ asset('css/bootstrap-select/bootstrap-select.min.css') }}">

        <style> input.use-only-numbers { text-align: right !important; } </style>
        @if (! in_array(app()->getLocale(), ['ar', 'ksa', 'ar-milk']))
            <link rel="stylesheet" type="text/css" href="{{ asset('css/style-ltr.css') }}">
            <style>
                .sidebar .dropdown-toggle::after { left: unset !important; }
            </style>
        @endif

        {{-- Laravel Mix - CSS File --}}
        {{-- <link rel="stylesheet" href="{{ mix('css/master.css') }}"> --}}
        <style>
            #main_side_bar .dropdown-menu.show{
                transform: translate3d(0px, 0px, 0px) !important;
            }
            #main_side_bar .dropdown-menu
            {
                position: relative !important;
            }

            .show-in-print-only {
                display: none;
                visibility: none;
            }

            @media print {
                .global-header, #main_side_bar, .hidden-print, .hidden-print *, .no-print, .no-print *, form, .noprint {
                    display: none !important;
                }

                .table2excel {
                    margin-top: 20px
                }

                .col-md-10{
                    max-width: 100% !important;
                }

                .show-in-print-only {
                    display: block !important;
                    visibility: visible !important;
                }
            }

            .required:after {
                content: '*';
                color: #ff0000;
                margin: 0 5px;
            }

            .load {
                cursor: wait;
                position: relative;
            }

            .load::before {
                font-family: "Font Awesome 5 Free";
                content: "\f021";
                position: absolute;
                left: 50%;
                top: 50%;
                transform: translate(-50%, -50%);
                font-size: 19px;
                font-weight: bolder;
                color: #000;
                z-index: 1029;
                animation: load .9s linear infinite;
            }

            .load::after {
                content: "";
                display: block;
                position: absolute;
                top: 0;
                left: 0;
                bottom: 0;
                right: 0;
                background-color: rgb(255, 255, 255);
                opacity: 0.8;
                z-index: 1028;
                height: 100%;
                transition: all .5s ease-in-out;
            }

            @keyframes load {
                from { transform: rotate(0deg); }
                to { transform: rotate(360deg); }
            }

            input.use-only-numbers { direction: ltr !important; }
        </style>
        @stack('css-stack')
    </head>
    <body>
        @include('master::layouts.header')
        @extends('master::layouts.body')
        @include('master::layouts.footer')

        {{-- Laravel Mix - JS File --}}
        {{-- <script src="{{ mix('js/master.js') }}"></script> --}}
        {{-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js" integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut" crossorigin="anonymous"></script> --}}
        <script src="{{ asset('js/master/jquery.min.js') }}"></script>
        <script src="{{ asset('js/master/popper.min.js') }}"></script>
        <script src="{{ asset('js/master/jquery-3.3.1.min.js') }}"></script>
        <script src="{{ asset('js/master/bootstrap.min.js') }}"></script>

        <script src="{{ asset('js/master/main.js') }}"></script>
        <script src="{{ asset('js/master/auth.js') }}"></script>

        <script src="{{ asset('js/master/sweetalert2.all.min.js') }}"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js" integrity="sha512-2ImtlRlf2VVmiGZsjm9bEyhjGW4dU7B6TNwh/hx/iSByxNENtj3WVE6o/9Lj4TJeVXPi4bnOIMXFIJJAeufa0A==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

        <script src="{{ asset('js/bootstrap-select/bootstrap-select.min.js') }}"></script>
        <script>
            $(document).ready(function(){
                @includeWhen( Route::currentRouteName() == 'invoices.print' && isset($preview) ,'invoices::js.printing_js')
                @includeWhen( isset($embedded), 'master::layouts.embedded' )

                $('#select_viewed_cols, .selectpicker').selectpicker({noneSelectedText : '{{ trans('native.no-selected') }}'});

                $('#language').on('change', function() {
                    window.location.href = $(this).data('href');
                });
            });

            setInterval(resendErrors, 5000 * 60 * 10)
            function resendErrors()
            {
                $.get('{{route('resend-errors')}}', function(){});
            }

            jQuery(document).ready(function() {
                let decimal_num_quant = Number( "{{ get_session_val('decimal_num_quant', 'integer') }}" );
                // $('body').on('keypress', 'input.use-only-numbers', function(event) {
                //     let val = $(this).val();
                //     let max = Number( $(this).attr('max') );
                //     let min = Number( $(this).attr('min') );
                //     if (event.which == 45) { val *= -1; }
                //     if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
                //         event.preventDefault();
                //     }

                //     // if ( min && val < min ) val = $(this).attr('min');
                //     // if ( max && val > max ) val = $(this).attr('max');

                //     // $(this).val(val).trigger('change');
                // });

                $('body').on('keydown', 'input.use-only-numbers', function(event) {
                    // Allow: backspace, delete, tab, escape, and enter
                    if (event.keyCode == 46 || event.keyCode == 8 || event.keyCode == 9 || event.keyCode == 27 || event.keyCode == 13 ||
                        // Allow: Ctrl+A
                        (event.keyCode == 65 && event.ctrlKey === true) ||
                        // Allow: home, end, left, right
                        (event.keyCode >= 35 && event.keyCode <= 39) || event.keyCode == 110 || event.keyCode == 190) {
                        // let it happen, don't do anything
                        return;
                    } else {
                        // Ensure that it is a number and stop the keypress
                        if (event.shiftKey || (event.keyCode < 48 || event.keyCode > 57) && (event.keyCode < 96 || event.keyCode > 105)) {
                            event.preventDefault();
                        }
                    }
                });

                $('body').on('keydown', 'input.use-only-numbers', function(event) {
                    let step   = Number( $(this).attr('step') || 1 );
                    let val    = $(this).val();
                    let number = val;

                    if (event.keyCode == 38) {
                        number = Number(val) + step;
                    } else if (event.keyCode == 40) {
                        number = Number(val) - step;
                    }

                    if ( !isNaN(number) )
                        $(this).val( number );
                });

                $('body').on('focusout', 'input.use-only-numbers', function(event) {
                    $(this).val( Number( $(this).val() ).toFixed( decimal_num_quant ) );
                });
            });

            $(function() {
                var header = $(".global-header");

                $(window).scroll(function() {
                    var scroll = $(window).scrollTop();
                    if (scroll >= 115) {
                        $('body').css('padding-top', '115px');
                        header.addClass("scrolled");
                    } else {
                        $('body').css('padding-top', '0px');
                        header.removeClass("scrolled");
                    }
                });
            });
        </script>

        @stack('js')

    </body>
</html>

