@if ($errors->any())
    <div class="row w-100">
        <div class="col-xs-12 col-sm-12">
            <!-- if there are any errors, show them here -->
            <ul class="alert alert-danger text-center list-unstyled">
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    </div>
@endif

@if (session()->has('success'))
    <div class="row w-100">
        <div class="col-xs-12 col-sm-12">
            <!--- if there is a success message, show it here -->
            <ul class='h4 alert alert-success text-center list-unstyled'>
                {!! session()->get('success') !!}
            </ul>
        </div>
    </div>
@endif

@if (session()->has('error'))
    <div class="row w-100">
        <div class="col-xs-12 col-sm-12">
            <!--- if there is an error, it will show here -->
            <ul class='h4 alert alert-danger text-center list-unstyled'>
                {!! session()->get('error') !!}
            </ul>
        </div>
    </div>
@endif

@if (session()->has('warning'))
    <div class="row w-100">
        <div class="col-xs-12 col-sm-12">
            <!--- if there is an warning, it will show here -->
            <ul class='h4 alert alert-warning text-center list-unstyled'>
                {!! session()->get('warning') !!}
            </ul>
        </div>
    </div>
@endif

@if (session()->has('message'))
    <div class="row w-100">
        <div class="col-xs-12 col-sm-12">
            <!--- if there is an message, it will show here -->
            <ul class='h4 alert alert-info text-center list-unstyled'>
                {!! session()->get('message') !!}
            </ul>
        </div>
    </div>
@endif

@if (session()->has('einvoiceErrors'))
    <div class="row">
        <div class="col-xs-12 col-sm-12">
            <ul class='h4 alert alert-danger text-center list-unstyled'>
                <!--- if there are einvoice errors, they will show here -->
                @if (is_array(session()->get('einvoiceErrors')) && count(session()->get('einvoiceErrors')) > 0)
                    @foreach (session()->get('einvoiceErrors') as $error)
                        <li>{{ $error['message'] ?? $error['Message'] }}</li>
                    @endforeach
                @else
                    <li>{{ session()->get('einvoiceErrors') }}</li>
                @endif

            </ul>
        </div>
    </div>
@endif

@if (session()->has('einvoiceCodeErrors'))
    <div class="row">
        <div class="col-xs-12 col-sm-12">
            <ul class='h4 alert alert-danger text-center list-unstyled'>
                <!--- if there are einvoice errors, they will show here -->
                @if (is_array(session()->get('einvoiceCodeErrors')) && count(session()->get('einvoiceCodeErrors')) > 0)
                    @foreach (session()->get('einvoiceCodeErrors') as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                @endif

            </ul>
        </div>
    </div>
@endif

<div class="w-100 hidden text-center" id="messages"></div>
<div class="alert alert-danger w-100  text-center hidden"   id="error_messages"></div>
<div class="alert alert-success w-100  text-center hidden"  id="success_messages"></div>
