<section class="tables">
    <div class="row">
        @if ((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments')))
            <div class="col-lg-6 col-12">
            <div class="text-center caption-table mt-3">
                @lang('native.insatllments_late_title')
                <span class="float-right">
                    <i style="width: 10px; height: 10px; background-color: #fcff00; display: inline-block; border-radius: 50%;"></i>
                    @lang('client.supplier')
                </span>

                <span class="float-right mx-3">
                    <i style="width: 10px; height: 10px; background-color: #1177aae3; display: inline-block; border-radius: 50%;"></i>
                    @lang('client.client')
                </span>
            </div>
            <div class="table-responsive">
            <table class="table text-center custome-table">
                <thead>
                    <tr>
                        <th> # </th>
                        <th> @lang('client.name client or supplier') </th>
                        <th> @lang('installment.date') </th>
                        <th> @lang('installment.days-delay') </th>
                        <th> @lang('installment.amount') </th>
                        <th> @lang('installment.payed')
                    </tr>
                </thead>
                <tbody>
                    @forelse ($instalments as $instalment)
                        <tr
                            style="border-bottom: 1px solid #878787; background-color: {{ $instalment->type ? '#fcff0054' : '#0060ff26' }}">
                            <td> {{ $loop->iteration }} </td>
                            <td>
                                @if ($instalment->client)
                                    <a href="{{ route('clients.show', $instalment->client_id) }}" target="_blank"
                                        class="btn btn-default">
                                        {{ $instalment->client->name }}
                                    </a>
                                @elseif ($instalment->invoice?->client)
                                    <a href="{{ route('clients.show', $instalment->invoice->client_id) }}"
                                        target="_blank" class="btn btn-default">
                                        {{ $instalment->invoice->client->name }}
                                    </a>
                                @endif
                            </td>
                            <td> {{ $instalment->installment_date }} </td>
                            <td class="text-danger"> @lang('installment.day-delay', ['days' => $instalment->days])</td>
                            <td> {{ round_money($instalment->installment_amount, true) }} </td>
                            <td>
                                <a href="{{ route(($instalment->type ? 'supplierinstallment' : 'clientinstalments') . '.payingTheDebtView', $instalment->id) }}"
                                    class="btn btn-info btn-sm" target="_blank">
                                    <i class="fas fa-money-bill-alt"></i>
                                </a>
                            </td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="6" class="alert alert-info text-center"> @lang('installment.no-data') </td>
                        </tr>
                    @endforelse
                </tbody>
                <tfoot>
                    <tr>
                        <td colspan="3">
                            <a href="{{ route('supplierinstallment.index', ['format' => 2]) }}"
                                class="read-more btn btn-warning d-block text-white" target="_blank">
                                @lang('installment.all-supplier-installments')
                                <i class="fa fa-angle-double-left" aria-hidden="true"></i>
                            </a>
                        </td>
                        <td colspan="3">
                            <a href="{{ route('clientinstalments.index', ['format' => 2]) }}"
                                class="read-more btn btn-info d-block text-white" target="_blank">
                                <i class="fa fa-angle-double-right" aria-hidden="true"></i>
                                @lang('installment.all-client-installments')
                            </a>
                        </td>
                    </tr>
                </tfoot>
            </table>
            </div>

        </div>
        @endif

        <div class="col-md-6 hidden">
            <div class="text-center caption-table mt-3">
                تنبيهات الموظفين
                <a href="#" class="float-left read-more" target="_blank">المزيد <i class="fa fa-angle-double-left"
                        aria-hidden="true"></i>
                </a>
            </div>
            <ul class="list-unstyled staff-alerts">
                @forelse ($alerts as $alert)
                    <li>
                        <!--  style="background: #ccc; margin:5px" -->
                        <div class="row">
                            <div class="col-7">
                                <h5> {{ $alert->alert_name }} </h5>
                                <small> {{ $alert->para }} </small>
                            </div>
                            <div class="col-5 border-right">
                                <p class="mb-0 h6">{{ $alert->date }}</p>
                                <small>
                                    بواسطه : {{ $alert->added->name }}
                                </small>
                            </div>
                        </div>
                    </li>
                @empty
                    <li class="text-center text-white bg-info">
                        لا يوجد تنبيهات
                    </li>
                @endforelse
            </ul>
        </div>
    </div>
</section>
