<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::prefix('master')->group(function() {
//     Route::get('/', 'MasterController@index');
// });

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Cache;
use Mcamara\LaravelLocalization\Facades\LaravelLocalization;
use App\Services\Crash\CrashController;

Route::group(['middleware'=> ['auth']], function()
{
    Route::get('/{home?}', 'MasterController@index')->where('home', 'home')->name('master.home');
    Route::get('/unAuthorized/{permission}', 'MasterController@unAuthorized')->name('unAuthorized');

    Route::post('print-pdf', function(){
        ini_set('memory_limit', '1024M'); // or you could use 1G
        ini_set('max_execution_time', '0'); // or you could use 1G

        $x = printPDF(request('content'), 7);
        return $x;
    })->name('print-pdf');

});

    Route::get('resend-errors', function(){
        CrashController::resendErrors();
    })->name('resend-errors');
