@extends('master::layouts.master')

@section('content')
    <div class="container" style="margin-top: 50px;">
        <div class="row">
            <div class="col-md-9 col-md-offset-1">
                <div class="clearfix"></div>
                <table class="table table-bordered">
                    <tr style="background-color: #007bff;">
                        @if ($message->type == 0)
                            <th> {{ trans('notifications.Sender_name') }}</th>
                        @else
                            <th> {{ trans('notifications.receiver_name') }}</th>
                        @endif
                        <td>{{ $message->name }}</td>
                        <th> {{ trans('notifications.phone') }}</th>
                        <td>{{ $message->phone }}</td>
                    </tr>
                    <tr>
                        <th> {{ trans('notifications.email') }}</th>
                        <td colspan="3">{{ $message->email }}</td>
                    </tr>
                    <tr>
                        <th> {{ trans('notifications.Title') }}</th>
                        <td colspan="3">{{ $message->title }}</td>
                    </tr>
                    <tr>
                        <th> {{ trans('notifications.content') }}</th>
                        <td style="max-width: 150px; word-wrap:break-word" colspan="3">{{ $message->description }}</td>
                    </tr>
                </table>
            </div>

        </div>
        @if ($message->type == 0)
            <div class="row" style="margin-right: 68%;">
                <div class="col-md-9 col-md-offset-1">
                    <a href="{{ route('messages.reply', $message->id) }}" class="btn btn-success pull-left"><i
                            class="fa fa-reply"></i>{{ trans('notifications.reply') }}</a>
                </div>
            </div>
        @endif
        @if ($replies->count() > 0)
            <h2>{{ trans('notifications.reply_message') }}  </h2>
            @foreach ($replies as $reply)
                <div class="col-md-9 col-md-offset-1">

                    <div class="clearfix"></div>
                    <table class="table table-bordered">

                        <tr>
                            <th> {{ trans('notifications.Title') }}</th>
                            <td colspan="3">{{ $reply->title }}</td>
                        </tr>
                        <tr>
                            <th> {{ trans('notifications.content') }}</th>
                            <td style="max-width: 150px; word-wrap:break-word" colspan="3">{{ $reply->description }}</td>
                        </tr>
                    </table>


                </div>
            @endforeach
        @endif


        @if ($message->type == 1)
            <h2 style="margin-right: -82px;">{{ trans('notifications.message') }}</h2>

            <div class="col-md-9 col-md-offset-1">

                <div class="clearfix"></div>
                <table class="table table-bordered">

                    <tr style="background-color: #007bff;">
                        <th> {{ trans('notifications.Title') }}</th>
                        <td colspan="3">{{ $original->title }}</td>
                    </tr>
                    <tr>
                        <th> {{ trans('notifications.content') }}</th>
                        <td style="max-width: 150px; word-wrap:break-word" colspan="3">{{ $original->description }}</td>
                    </tr>
                </table>


            </div>
        @endif


    </div>

    </div>
@stop
