<?php

namespace Modules\Perish\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;
use Modules\WooCommerce\Entities\WooCommerceItem;

class Item extends Model
{
    use RoundingAttributesTrait;
    
    protected $table = "items";
    protected $fillable = [];

    public $timestamps = false;
    public function store_items()
    {
        return $this->hasOne(StoreItem::class);
    }


    public function woocommerce(){

        return $this->hasOne(WooCommerceItem::class ,'item_id' , 'id');
    }

    public function ItemType(){

        return $this->belongsTo(ItemType::class , 'sale_unit');
    }

    public function unit(){

        return $this->belongsTo(Unit::class , 'unit_id' , 'id');
    }



}
