<?php

namespace Modules\Perish\Entities;

use Illuminate\Database\Eloquent\Model;

class ItemTransaction extends Model
{
    public $timestamps = false;
    protected $table = "items_transaction";
    protected $fillable = [];

    public function item()
    {
        return $this->belongsTo(Item::class)->withDefault([
            'item_name' => '---'
        ]);
    }

    public function supplier()
    {
        return $this->belongsTo(Supplier::class)->select('id', 'supplier_name')->withDefault([
            'supplier_name' => '---'
        ]);
    }
}
