<?php

namespace Modules\Perish\Entities;

use Illuminate\Database\Eloquent\Model;
use Modules\WooCommerce\Entities\WooCommerceItemType;

class ItemType extends Model
{
    protected $fillable = [];
    protected $table = 'items_type';


    public $timestamps = false;

    public function type()
    {
        $type = $this->category_id;
        if ($type == '0'){
            return 'Main';
        }else {
            $cat = ItemType::find($this->category_id);
            if ($cat){
                return $cat->name;
            }else {
                return 'No Match';
            }
        }
    }

    public function subCategory()
    {
        $id = $this->id;
        $subs = ItemType::where('shop_id', get_session_val('serial_id', 'integer'))->where('category_id', $id)->get();
        if (count($subs) > 0){
            return $subs;
        }else {
            return collect();
        }
    }

    public function getImg()
    {
        $logo = get_session_val('logo_path', 'string');
        if (in_array($this->upload_img, ['', null])) {
            return $logo;
        } else {
            return $this->upload_img;
        }
    }

    public function woocommerce(){

        return $this->hasOne(WooCommerceItemType::class ,'item_type_id' , 'id');
    }
}
