<?php

namespace Modules\Perish\Http\Controllers;

use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Validator;
use Modules\Perish\Entities\Item;
use Modules\Perish\Entities\ItemTransaction;
use Modules\Perish\Entities\SalePoint;
use Modules\Perish\Entities\Store;
use Modules\Perish\Entities\StoreItem;
use Modules\Perish\Entities\Supplier;
use Modules\Perish\Entities\Unit;
use DB;
use Modules\Invoices\Entities\Client;
use Modules\Invoices\Entities\InvoiceDetails;
use Modules\Invoices\Entities\Invoices;

class PerishController extends Controller
{

    public function index()
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $stores = Store::where('shop_id', $shop_id)->get();

        $items = Item::where('shop_id', $shop_id)->get();

//        dd($items[0]->store_items->store_quant);

        return view('perish::index', compact('stores', 'items'));
    }

    public function storeItems(Request $request)
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $store_id = $request->store_id;
//       $store_item = StoreItem::where('store_id', $store_id)->where('shop_id', get_session_val('serial_id', 'integer'))->first();
        $data = "";
        if ($store_id == 0) {
            $items = Item::where('shop_id', $shop_id)->where('quantity', '>', 0)->get();
        } else {
            $storeItems = StoreItem::where('shop_id', $shop_id)->where('store_id', $store_id)->pluck('item_id');
            $ids = json_decode(json_encode($storeItems));
            $items = Item::whereIn('id', $ids)->get();
        }

        if (count($items) > 0) {
            $c = 1;
            foreach ($items as $item) {

                if ($store_id == 0) {
                    $qty = $item->quantity;
                } else {
                    $qty = $item->store_items()->where('store_id', $store_id)->first()->store_quant;
                }

                // $unit = Unit::find($item->unit_id);
                // if ($unit){
                //     $item->unit = $unit->name;
                // }else {
                //     $item->unit = '';
                // }
                $price = 10;
                $data .= '<tr>
                        <td>' . $c . '</td>
                        <td>' . $item->InvoiceDetails->item_name . '</td>

                        <td>' .$item->unit->name ?? ''. '</td>
                        <td>' .  round_money($qty) .'</td>
                        <td><input type="number" name="' . $item->id . '" class="form-control"
                        value="0"/></td>
                    </tr>';
                $c++;
            }
        }

        return response()->json($data);


    }

    public function update(Request $request)
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $data = $request->except(['_token', 'store']);


        $ids = [];

    // ini_set('max_input_vars', 3000);
    /*
    php_value max_input_vars 3000
    php_value suhosin.get.max_vars 3000
    php_value suhosin.post.max_vars 3000
    php_value suhosin.request.max_vars 3000
    */

        foreach ($data as $item_id => $ex_val) {

            if ($request->store == 0) {

                $item = Item::whereId($item_id)->where('shop_id', $shop_id)->first();
                $i = $item;
                $current = $item->quantity;

                $item->quantity = $item->quantity - $ex_val;
                $item->save();

            } else {

                $item = StoreItem::where('item_id', $item_id)->where('store_id', $request->store)->first();
                $i = Item::findOrFail($item_id);
                $current = $item->store_quant;
                $item->store_quant = $current - $ex_val;
                $item->save();
            }

            if ($ex_val != 0) {

                if ($request->store == 0) {
                    $qty_ = $item->quantity;
                } else {
                    $qty_ = $item->store_quant;
                }

                $transaction = new ItemTransaction();
                $transaction->store_id = $request->store;
                $transaction->shop_id = $shop_id;
                $transaction->user_id = Auth::user()->id;
                $transaction->tansaction_date = date('Y-m-d H:i:s');
                $transaction->action_date = date('Y-m-d H:i:s');
                $transaction->item_id = $item_id;
                $transaction->price = $i->sale_price;
                $transaction->quantity = $ex_val;
                $transaction->type = 62;
                $transaction->new_quantity = $qty_;
                $transaction->old_quantity = $current;

                $transaction->pay_price = $i->pay_price;

                #not required data but can't be null
                $transaction->item_name = $i->item_name;
                $transaction->order_no = 0;
                $transaction->manuf_order = 0;
                $transaction->store_to = 0;
                $transaction->store_from = 0;
                $transaction->problem_id = 0;
                $transaction->back_id = 0;
                $transaction->sale_id = 0;
                $transaction->incom_return_id = 0;
                $transaction->incom_id = 0;

                $transaction->save();

            }

            array_push($ids, $item_id);
        }

        $items = Item::whereIn('id', $ids)->get();

        $data2 = "";
        if (count($items) > 0) {
            $c = 1;
            foreach ($items as $item) {

                if ($request->store == 0) {
                    $qty = $item->quantity;
                } else {
                    $qty = $item->store_items()->where('store_id', $request->store)->first()->store_quant;
                }

                $unit = Unit::find($item->unit_id);
                if ($unit){
                    $item->unit = $unit->name;
                }else {
                    $item->unit = '';
                }

                $data2 .= '<tr>
                        <td>' . $c . '</td>
                        <td>' . $item->InvoiceDetails->item_name . '</td>
                        <td>' .$item->unit. '</td>
                         <td>' .  round_money($qty) .'</td>

                        <td><input type="number" name="' . $item->id . '" class="form-control"
                        value="0"/></td>
                    </tr>';
                $c++;

            }
        }
        return response()->json($data2);
    }

    public function adminSearch()
    {

        $type = get_session_val('date_type', 'integer');
        $user_sale_point = SalePoint::whereId(auth()->user()->sale_point)->first();
        $user_store = $user_sale_point->store_id;
        $stores = Store::where('shop_id',\auth()->user()->shop_id );
        if (auth()->user()->change_store == 0) {
            $stores = $stores->where('id', $user_store);
        }
        $stores = $stores->get();
        $items = Item::where('shop_id', \auth()->user()->shop_id)->select('id', 'item_name')->get();
        $categories = DB::table('items_type')->where('shop_id', \auth()->user()->shop_id)->get(['id', 'name']);

        return view('perish::report', compact('stores', 'type', 'user_store', 'items', 'categories'));
    }

    public function adminPostSearch(Request $request)
    {

        $this->validate($request, [
            'store_id' => 'required',
            'trans_from' => 'required',
            'trans_to' => 'required',
        ]);


        $store_id = $request->store_id;
        $category_id = $request->category_id;

        $category_condition = "=";
        if ($category_id == null)
        {
            $category_id = -1;
        }
        if ($category_id == -1)
        {
            $category_condition = "!=";
        }

        $from = $request->trans_from;
        $from = Carbon::parse($from)->format('Y-m-d');

        $to = $request->trans_to;
        $to = Carbon::parse($to)->format('Y-m-d');

        $store_ = Store::find($store_id);
        $store_name = $store_->store_name;

        $shop_id  = get_session_val('serial_id', 'integer');

        $history = Invoices::leftJoin('invoices_details', 'invoices_.id', 'invoices_details.invoice_id')
                    ->leftJoin('items', 'invoices_details.item_id', 'items.id')
                    ->leftJoin('clients', 'clients.id', 'invoices_.client_id')
                    ->where([
                        'invoice_type' => 18,
                        'invoices_.store_id' => $store_id,
                        'invoices_.shop_id' => $shop_id
                    ])
                    ->whereDate('invoices_.transaction_date', '>=', $from)
                    ->whereDate('invoices_.transaction_date', '<=', $to)
                    ->where('items.sale_unit', $category_condition, $category_id)
                    ->when(!in_array($request->item_id, ['-1', '', null]), function ($item) use ($request) {
                        $item->where('invoices_details.item_id', $request->item_id);
                    })
                    ->selectRaw('invoices_.id, invoices_details.item_id, invoices_details.pay_price, invoices_details.quantity,
                    invoices_.replaced, invoices_.client_id, invoices_.notes, items.item_name, clients.client_name ,
                        SUM(invoices_details.sale_price * invoices_details.quantity) as total_price, items.pay_price , items.sale_price, 
                        SUM(items.pay_price * invoices_details.quantity) as total_pay_price')
                    ->groupBy('invoices_.id')
                    ->get();

        $total_qty = $history->sum('quantity');

        $suppliers = Client::where('shop_id',$shop_id )->whereIn('client_role', [1, 2])->select('id', 'client_name AS supplier_name')->get();

        return view('perish::report-result', compact('history', 'store_name', 'from', 'to', 'total_qty', 'suppliers'));

    }

    public function replace(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'transactions' => 'required|array',
        ]);
        if ($validator->fails()) {
            return response()->json([
                'status' => false,
                'message' => 'حدث خطأ اثناء التحقق'
            ]);
        }

        $x = DB::transaction(function () use ($request) {
            foreach ($request->transactions as $data) {
                $explode = explode(',', $data);

                $transaction_id = $explode[0];
                $supplier_id = $explode[1];

                Invoices::where('id', $transaction_id)->update([
                    'client_id' => $supplier_id,
                    'replaced' => 1
                ]);

               $transaction_details = InvoiceDetails::where('invoice_id', $transaction_id)->first();

                $store_item = StoreItem::where([
                    'item_id' =>$transaction_details->item_id,
                    'store_id' =>$transaction_details->store_id
                ])->first();
                
                $invoice = Invoices::create([
                    'invoice_date' => date('Y-m-d h:i:s'),
                    'transaction_date' => date('Y-m-d h:i:s'),
                    'add_user' => auth()->user()->id,
                    'client_id' => $supplier_id,
                    'store_id' => $transaction_details->store_id,
                    'notes' => '',
                    'shop_id' => get_session_val('serial_id', 'Integer'),
                    'invoice_type' => 23,
                    'invoice_total_disc' => 0,
                    'invoice_total_disc_type' => 1,
                    'invoice_total_disc_status' => 1,
                    'store_from' => $transaction_details->store_id,
                    'replaced' => 1
                ]);
        
                InvoiceDetails::create([
                   'invoice_id' => $invoice->id,
                   'shop_id' => get_session_val('serial_id', 'Integer'),
                   'item_id' =>$transaction_details->item_id,
                   'quantity' =>$transaction_details->quantity,
                   'quantity_after' =>$transaction_details->quantity + $store_item->store_quant,
                   'unit_id' =>$transaction_details->unit_id,
                   'store_id' =>$transaction_details->store_id,
                   'pay_price' => $transaction_details->pay_price,
                   'basic_pay_price' => $transaction_details->pay_price,
                   'sale_price' => $transaction_details->sale_price,
                   'basic_sale_price' => $transaction_details->sale_price,
                ]);
                
                $store_item->store_quant += $transaction_details->quantity;
                $store_item->save();

            }
            return [
                'status' => true
            ];
        });
        if ($x['status']) {
            return \response()->json([
                'status' => true,
                'message' => 'تم الاستبدال بنجاح'
            ]);
        }
        return \response()->json([
            'status' => false,
            'message' => 'حدث خطأ اثناء الحفظ'
        ]);
    }

    public function replacements(Request $request)
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $items = Item::where('shop_id', $shop_id)->select('id', 'item_name')->get();
        $suppliers = Client::where('shop_id', $shop_id)->whereIn('client_role', [1, 2])->select('id', 'client_name AS supplier_name')->get();
        $transactions = collect();
        
        if ($request->has(['from', 'to', 'item_id', 'supplier_id'])) {

            $transactions = Invoices::leftJoin('invoices_details', 'invoices_.id', 'invoices_details.invoice_id')
                            ->leftJoin('items', 'items.id', 'invoices_details.item_id')
                            ->leftJoin('clients', 'clients.id', 'invoices_.client_id')
                            ->where([
                                'invoices_.shop_id' => $shop_id,
                                'invoices_.invoice_type' => 23
                            ])
                            ->whereDate('invoices_.transaction_date', '>=', $request->from)
                            ->whereDate('invoices_.transaction_date', '<=', $request->to)
                            ->when(!in_array($request->item_id, ['-1', '', null]), function ($item) use ($request) {
                                $item->where('invoices_details.item_id', $request->item_id);
                            })
                            ->when(!in_array($request->supplier_id, ['-1', '', null]), function ($supplier) use ($request) {
                                $supplier->where('invoices_.client_id', $request->supplier_id);
                            })
                            ->select(
                                'invoices_.id', 'invoices_details.quantity', 'invoices_.client_id AS supplier_id', 'invoices_details.item_id', 
                                'clients.client_name AS supplier_name', 'items.item_name', 'invoices_.transaction_date AS action_date'
                                )
                            ->get();
                            
        }

        return view('perish::replacements', compact('items', 'suppliers', 'transactions'));
    }


}
