@extends('master::layouts.master')
@section('content')
<div class="wrapper card card-light mb-1_5 p-3">
   <div class="container">
      <div class="row">
         <div class="col-md-12">
            <div id="status"></div>
         </div>
      </div>
      <div class="row">
         <div class="col-md-12">
            <div style="display: flex;">
               <h3 class="title-page col-md-12 text-info">
                  {{ __('perish.index-title') }}
                  <a class="btn btn-primary pull-left float-left" href="{{ route('perishes.report') }}">  {{ __('perish.show_perish') }}</a>
               </h3>
            </div>
            <div class="clearfix"></div>
            <div class="row">
               <div class="col-md-12">
                  <div class="row">
                     <form style="display: contents;" id="change-store-form" class="custome-form" action="{{ route('perishes.ajax-store-items') }}">
                        {!! csrf_field() !!}
                        <div class="col-md-10">
                           @if (\Auth::user()->change_store != 0)
                           <div class="form-group">
                              <label for="select_store">  {{ __('perish.choose-store') }} : </label>
                              <select class="form-control input-normal" name="store_id" id="store-select">
                                 @foreach($stores as $store)
                                 <option value="{{ $store->id }}"> {{ $store->store_name }} </option>
                                 @endforeach
                              </select>
                           </div>
                           @endif
                        </div>
                        <div class="col-md-2">
                           <br>
                           <a href="javascript:void(0)" onclick="filter()" class="btn btn-success"
                              id="filter-btn"
                              style="margin-top: 5px;">{{ __('perish.sure') }}</a>
                        </div>
                     </form>
                  </div>
                  <div class="row mt-3">
                     <div class="col-md-2">
                        <label for="barcode">{{ __('perish.barcode') }}</label>
                     </div>
                     <div style="margin-left: -1px;" class="col-md-8
                     ">
                        <input class="form-control input-normal" type="text" id="barcode" style="font-size: 14px;
                           border-radius: 8px;">
                     </div>
                  </div>
                  <br>
                  <div class="row hidden" id="for-items">
                     <div class="col-md-2">
                        <label for="barcode">  {{ __('perish.item_choose') }}</label>
                     </div>
                     <div class="col-md-8">
                        <div class="form-group items---">
                           <select class="form-control selectpicker input-normal" style="font-size: 14px;
                           border-radius: 8px;" name="item_id" id="item_id" data-live-search="true">
                           </select>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-md-12">
                     <div class="row ">
                  <div class="content_store col-md-12">
                     <form action="{{ route('perishes.update-qty') }}" method="post"
                        id="save-updates-form">
                        {!! csrf_field() !!}
                        <div class="row">
                           <div class="col-md-12">
                              <div class="table-responsive">
                                 <table class="table zui-table zui-table-rounded table-bordered">
                                    <thead style="background-color: #4d7cff;">
                                       <tr>
                                          <th scope="col"> {{ __('perish.name') }}</th>
                                          <th scope="col"> {{ __('perish.unit') }}</th>
                                          <th scope="col">  {{ __('perish.amount_avilabul') }}</th>
                                          <th scope="col"> {{ __('perish.perish') }}</th>
                                          <th scope="col"> {{ __('perish.total') }}</th>
                                          @if ($show_item_serial == 1)
                                          <th scope="col">{{ __('perish.serial') }}</th>
                                          @endif
                                       </tr>
                                    </thead>
                                    <tbody id="items-rows">
                                       {{-- 
                                       <tr>
                                          <td>{{ $loop->iteration }}</td>
                                          <td>{{ $item->item_name }}</td>
                                          <td>{{ $item->store->store_quant }}</td>
                                          <td><input type="number" name="quantity" class="form-control"
                                             value="1"/></td>
                                       </tr>
                                       --}}
                                    </tbody>
                                 </table>
                              </div>
                           </div>
                        </div>
                        <div class="row justify-content-center">
                           <div class="col-md-3">
                              <a href="javascript:void(0)" onclick="saveChanges()"
                                 class="perish-btn btn btn-success btn-lg"
                                 id="filter-btn2"
                                 style="margin-top: 5px;">{{ __('perish.perish-add') }}</a>
                           </div>
                        </div>
                     </form>
                  </div>
               </div>
               </div>
          
            </div>
         </div>
      </div>
   </div>
</div>
@stop
@section('js-scripts')
<script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
<script src="{{ asset('tickets/scanner.js') }}"></script>
<script>
   var loader = "<div align='center' id='loader'>" +
       "<i class='fa fa-spinner fa-pulse fa-3x fa-fw'></i>" +
       "</div><br>";
       $('.selectpicker').selectpicker({
           style: 'btn-default',
           size: 8
       })
   filter();
   
   function filter() {
   
       $('#barcode').val('');
   
       $.ajax({
           url: '{{ route('perishes.ajax-store-items') }}',
           type: 'post',
           data: new FormData($("#change-store-form")[0]),
           contentType: false,
           cache: false,
           processData: false,
           beforeSend: function () {
               $('#items-rows').empty().append(loader);
           },
           success: function (data) {
               $('#loader').remove();
               $('#for-items').removeClass('hidden');
               $(document).find('#item_id').empty().append(data.option);
               $(document).find('#item_id').prev('div').find('ul').append(data.list);
               $('.selectpicker').selectpicker('refresh');
           },
           error: function (xhr) {
               $('#items-rows').prepend('<p class="text-center text-danger">لقد حدث خطأ ما.. أعد تحميل الصفحة</p>');
               $('#loader').remove();
           },
           complete: function () {
           }
       });
       appendTotals();
   }
   
   $(document).on('change', '#item_id', function(){
   
       $('.wrong-value').remove();
   
       var selectedItem = $('#item_id').find('option:selected');
       var uid= selectedItem.val();
       if (uid == 0){
           alert('برجاء اختيار الصنف أولا');
           return false;
       }
   
       var name = selectedItem.html();
       var unit = selectedItem.data('unit');
       var qty = selectedItem.data('qty');
       var price = selectedItem.data('price');
   
       let require_serial = selectedItem.data('serial');
       var serials = ``;
   
       if ('{{ $show_item_serial }}' == 1) {
           if (require_serial == 1) {
               serials = `
                       <td class="new_serial">
                           <input type="text" class="serial form-control" name="serial" style="margin-bottom: 5px">
                           <input type="hidden" class="item_serials" name="serials[${uid}]" >
                       </td>
                       `;
           } else {
               serials = `<td class="new_serial"></td>`;
           }
   
       }
   
       $(document).find('#items-rows').prepend(`<tr id="the-${uid}">
           <td>${name}</td>
           <td>${unit}</td>
           <td>${qty}</td>
           <td><input type="number" name="quantity[${uid}]" class="form-control quantity" data-require_serial="${require_serial}" data-price="${ price }" data-id="${uid}" min="1" max="${qty}"
           value="1"/></td>
           <td class="price">${price}</td>
           ${serials}
           <td><a href="javascript:void(0)" class="btn btn-danger delete" data-id="the-${uid}">حذف</a></td>
           </tr>`);
       changeTotals();
   });
   
   $(document).on('change', '.quantity', function () {
       
       var input_qty  =  parseFloat($(this).val());
       var max_qty    =  parseFloat($(this).attr('max'));
       var min_qty    =  parseFloat($(this).attr('min'));
       var current_qty = parseFloat($(this).val());
   
       if (input_qty > max_qty )
       {
           $(this).val(max_qty);
           current_qty = max_qty;
       }
       else if (input_qty < min_qty)
       {
           $(this).val(min_qty);
           current_qty = min_qty;
       }
   
       
       if ('{{ $show_item_serial }}' == '1') {
           let require_serial = $(this).data('require_serial');
           if (require_serial == 1) {
               let qty = current_qty,
                   thisElem = $(this).closest("tr"),
                   item_id = $(this).data('id');
               var serials = '';
               for (i = 0; i < qty; i++) {
                   serials += '<input type="text" class="serial form-control" name="serial" style="margin-bottom: 5px">';
               }
               serials += '<input type="hidden" class="item_serials" name="serials['+item_id+']" >';
               thisElem.find('.new_serial').empty().append(serials);
           }
       }
       $price = parseInt($(this).attr('data-price'));
       $quantity = current_qty;
       $id = $(this).attr('data-id');
       $total = $price * $quantity;
       $('tr#the-'+$id).children('.price').text($total.toFixed({{ $decimal_num_price }}));
       changeTotals();
   });
   
   $(document).on('change', '.serial', function () {
       var thisElem = $(this).closest('tr');
       var store_id = $(document).find('select#store-select option:selected').val();
       var item_id = thisElem.find('.quantity').data('id');
       var item_serials = [];
       thisElem.find('.serial').each(function (k, This) {
           $(This).css({'border-color': ''});
           var val = $(This).val();
           if (val == '' || val == null) {
               $(This).css({'border-color': 'red'});
           } else {
   
               $.get('', {'serial': val, 'store_id':store_id, 'item_id': item_id}, function (data) {
                   if (data.status == 1) {
                       if (data.msg == '' || data.msg == null) {
                           $(This).val(val);
                       } else {
                           $(This).val('');
                           alert(data.msg);
                       }
                   } else {
                       $(This).val('');
                       alert(data.msg);
                   }
               });
               item_serials.push(val);
           }
       });
       thisElem.find('.item_serials').val(item_serials);
   });
   
   $(document).on('click', '.delete', function(){
       var uid = $(this).data('id');
       if (confirm('هل انت متاكد من  الحذف؟')){
           $(document).find('#'+ uid).remove();
           changeTotals();
           return false;
       }else {
           return false;
       }
   
   })
   
   function saveChanges() {
   
       var store = $(document).find('select#store-select option:selected').val();
   
       if (store == null) {
           $('#status').empty().append(' <ul class="h4 alert alert-danger text-center list-unstyled">المخزن مطلوب </ul>');
       } else {
           if ('{{ $show_item_serial }}' == '1') {
   
               $(document).find('input[name=serial]').each(function () {
                   var val = $(this).val();
                   if ( val.length <= 0 ) {
                       // e.preventDefault();
                       $(this).css({'border-color': 'red'});
                       return false;
                   }
               });
   
           }
   
           updatePerish()
       }
   }
   
   function updatePerish(){
   
       var store = $(document).find('select#store-select option:selected').val();
       var data = new FormData($("#save-updates-form")[0]);
       data.append('store_id', store);
   
       $.ajax({
           url: '{{ route('perishes.update-qty') }}',
           type: 'post',
           data: data,
           contentType: false,
           cache: false,
           processData: false,
   
           beforeSend: function () {
               $('#filter-btn2').replaceWith('<p id="loading" class="text-center h3">جاري تنفيذ الطلب....</p>');
           },
           success: function (data) {
               $(document).scrollTop(0);
               $('#status').empty().append(' <ul class="h4 alert alert-success text-center list-unstyled">تم الحفظ بنجاح</ul>');
   
               $('#items-rows').empty().append(data);
   
               $('#loading').replaceWith(' <a href="javascript:void(0)" onclick="saveChanges()" ' +
                   'class="perish-btn btn btn-success btn-lg" id="filter-btn2" style="margin-top: 5px;">إهلاك</a>');
               setTimeout(function () {
                   $('#status').empty();
               }, 5000);
           },
           error: function (xhr) {
               console.log(xhr);
               $errors = xhr.responseJSON.errors;
               var error = '<ul class="alert alert-danger text-center list-unstyled">';
               $.each($errors, function (key, val) {
                   error += "<li>" + val + "</li>";
               });
               error += "</ul>";
               $('#status').empty().append(error);
               $('#items-rows').prepend('<p class="text-center text-danger">لقد حدث خطأ ما.. أعد تحميل الصفحة</p>');
               $('#loader').remove();
           },
           complete: function () {
   
           }
       });
   }
   
   function changeTotals()
   {
       $quantities = document.getElementsByClassName('quantity');
       $prices = document.getElementsByClassName('price');
       $total_money = 0;
       $total_quantity = 0;
   
       for (let index = 0; index < $quantities.length; index++) {
           $total_money += ( parseFloat($($prices[index]).text()));
           $total_quantity += parseFloat($($quantities[index]).val());
       }
       $('#total_quantity').text($total_quantity);
       $('#total_money').text($total_money.toFixed({{ $decimal_num_price }}));
   }
   function appendTotals()
   {
       $tr_info = "<tr> <td colspan='3'>الاجمالي</td><td id='total_quantity'>0</td><td id='total_money'>0</td> <td></td></tr>";
       $('#items-rows').append($tr_info);
   }
   
   /* barcode */
   
   $('#barcode').on('change', function(){
       $barcode = $(this).val().trim();
       if ($barcode.length > 0)
       {
           detect($barcode);
       }
   });
   /* copied */
   $(document).scannerDetection({
       timeBeforeScanTest: 200, // wait for the next character for upto 200ms
       avgTimeByChar: 40, // it's not a barcode if a character takes longer than 100ms
       preventDefault: false,
       endChar: [13],
       ignoreIfFocusOn: 'input[type="text"]',
       onKeyDetect: function (barcode, qty) {
           validScan = true;
       } // main callback function	,
       ,
       onComplete: function (barcode) {
           detect(barcode);
       },
       onError: function (string, qty) {
           // $('#barcode').val('');
       }
   });
   
   function detect(barcode) {
       $('.wrong-value').remove();
       let store_id = $('#store-select').val();
       $.ajax({
           url: '{{ route("perishes.search-barcode") }}',
           type: 'post',
           data: {
               _token: "{{ csrf_token() }}",
               barcode: barcode,
               store_id: store_id
           },
           success: function (data) {
               if (data != -1)
               {
                   // $('#item_id').val(data.trim()).trigger('change');
                   addItem(data.trim());
                   $('#barcode').val('').focus();
               }
               else {
                   $('#barcode').after("<p class='wrong-value' style='color:#e14; display: inline-block; margin: 0px 12px;'> تأكد من صحة الباركود </p>");
               }
           }
       });
   }
   
   function addItem(id)
   {
       $('.wrong-value').remove();
   
       var selectedItem = $('#item_id option[value="'+ id +'"]');
   
       if (! selectedItem.text()){
           alert(' تأكد من وجود الصنف أولا بكمية أكبر من الصفر');
           return false;
       }
   
       var name = selectedItem.text();
       var unit = selectedItem.data('unit');
       var qty = selectedItem.data('qty');
       var price = selectedItem.data('price');
   
       let require_serial = selectedItem.data('serial');
       var serials = ``;
   
       if ('{{ $show_item_serial }}' == 1) {
           if (require_serial == 1) {
               serials = `
                       <td class="new_serial">
                           <input type="text" class="serial form-control" name="serial" style="margin-bottom: 5px">
                           <input type="hidden" class="item_serials" name="serials[${id}]" >
                       </td>
                       `;
           } else {
               serials = `<td class="new_serial"></td>`;
           }
   
       }
   
       $(document).find('#items-rows').prepend(`<tr id="the-${id}">
           <td>${name}</td>
           <td>${unit}</td>
           <td>${qty}</td>
           <td><input type="number" name="quantity[${id}]" class="form-control quantity" data-require_serial="${require_serial}" data-price="${ price }" data-id="${id}" min="1" max="${qty}"
           value="1"/></td>
           <td class="price">${price}</td>
           ${serials}
           <td><a href="javascript:void(0)" class="btn btn-danger delete" data-id="the-${id}">حذف</a></td>
           </tr>`);
       changeTotals();
   }
   
</script>
@stop
@section('css-scripts')
<link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
@stop