@extends('master::layouts.master')

@section('content')
    <style>
        .top_menu {
            margin-bottom: 3px;
        }
    </style>
    <div class="card card-light mb-1_5 p-3">

    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12 well">
                <h1 class="text-center title-page text-info" id="title_text">{{ __('perish.Replaced_items_report') }} </h1>
                <form class="custome-form">
               <div class="row">
                <div class="col-md-12">
                    <div class="form-group row">
<div class="col-md-3">
<label for="from" class="col-md-12">{{ __('perish.from') }} : </label>
                            <input type="text" class="form-control date col-md-12" autocomplete="off" name="from"
                                placeholder="{{ __('perish.from') }}" value="{{ request('from') }}" required>
</div>

<div class="col-md-3">
<label for="to" class="col-md-12">{{ __('perish.to') }} : </label>
                            <input type="text" class="form-control date col-md-12" autocomplete="off" name="to"
                                placeholder="{{ __('perish.to') }}" value="{{ request('to') }}" required>

    </div>
    <div class="col-md-3">
    <label for="item_id" class="col-md-12">{{ __('perish.item') }} : </label>
                            <select class="form-control col-md-12 selectpicker" name="item_id" id="item_id" required>
                                <option @if (request('item_id') == -1) selected @endif value="-1">
                                    {{ __('perish.items') }}</option>
                                @foreach ($items as $item)
                                    <option @if (request('item_id') == $item->id) selected @endif value="{{ $item->id }}">
                                        {{ $item->item_name }}</option>
                                @endforeach
                            </select>
    </div>
    <div class="col-md-2">
    <label for="supplier_id" class="col-md-12">{{ __('perish.supplier') }} : </label>
                            <select class="form-control col-md-12" name="supplier_id" id="supplier_id" required>
                                <option @if (request('supplier_id') == -1) selected @endif value="-1">
                                    {{ __('perish.suppliers') }}</option>
                                @foreach ($suppliers as $supplier)
                                    <option @if (request('supplier_id') == $supplier->id) selected @endif value="{{ $supplier->id }}">
                                        {{ $supplier->supplier_name }}</option>
                                @endforeach
                            </select>
    </div>
    <div class="col-md-1 text-center">
    <button type="submit" class="btn btn-success" style="margin-top:30px"><i
                                class="fa fa-search"></i>{{ __('perish.show') }}</button>
    </div>
                    </div>
                </div>
               </div>
                </form>
                @if (request()->has(['from', 'to', 'item_id', 'supplier_id']))
                <div class="table-responsive">
                       <table class="table table-hover table-stripped text-center table2excel">
                        <div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
                            <button id="print-table"
                                class="hidden-print noprint btn btn-success col-sm-2 mr-2">{{ trans('extends.print') }}
                            </button>
                            <button id="export-table"
                                class="hidden-print noprint btn btn-primary col-sm-2 mr-2">{{ trans('extends.toExcel') }}
                            </button>
                            {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
                        </div>

                        <thead class="bg-info text-white">
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">{{ __('perish.date') }}</th>
                                <th scope="col">{{ __('perish.item') }}</th>
                                <th scope="col">{{ __('perish.quantity') }}</th>
                                <th scope="col">{{ __('perish.supplier') }}</th>
                            </tr>
                        </thead>
                        <tbody>
                            @forelse($transactions as $transaction)
                                <tr>
                                    <td>{{ $loop->iteration }}</td>
                                    <td>{{ \Carbon\Carbon::parse($transaction->action_date)->format('Y-m-d') }}</td>
                                    <td>{{ $transaction->item_name }}</td>
                                    <td>{{ round_money($transaction->quantity) }}</td>
                                    <td>{{ $transaction->supplier_name }}</td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="5" class="danger text-center">لا يوجد سجلات</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
                 
                @endif
            </div>
        </div>
    </div>

    </div>
@endsection

@section('css-scripts')
    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
@endsection

@section('js-scripts')
    @include('master::js.export-functions')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('js/jquery.table2excel.js') }}"></script>

    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script>
        $(function() {
            $('.selectpicker').selectpicker({
                style: 'btn-default',
                size: 8
            });


            $(".date").calendarsPicker({
                calendar: $.calendars.instance('gregorian'),
                dateFormat: 'Y-mm-dd',
                // defaultDate: '0',
                // selectDefaultDate: true,
            });



        });
    </script>
@stop
