@extends('master::layouts.master')

@section('content')
    <div class="wrapper" style="margin-top: -20px;">
        <div class="container">
            <div class="row">
                <div class="col-md-10">
                    <div style="display: flex;">
                        <h1 style="margin-top: 20px;" class="title-page inline-block">
                            {{ __('perish.report-title') }}
                        </h1>
                        <a style="margin-right: 415px;margin-top:25px;margin-bottom:10px" href="{{ route('perishes.report') }}" class="btn btn-primary pull-left btn-lg">تقرير جديد</a>
                    </div>
                    {{--<div class="clearfix"></div>--}}
                    <div style="margin-top:10px" class="col-md-10 col-md-offset-1">
                        <h4 class="pager">
                            {{ __('perish.report-first') }}<span class="text-primary">{{ $from }}</span> {{ __('perish.to_date') }}
                            <span class="text-primary">{{ $to }}</span>
                            {{ __('perish.store') }}: <span class="text-info"><u>{{ $store_name }}</u></span>
                        </h4>
                        <hr>
                        @if (count($history) > 0)
                            <table class="table table-bordered">
                                <thead style="background-color: #4d7cff;" class="text-white">
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col"> {{ __('perish.name') }}</th>
                                    <th scope="col">{{ __('perish.perish') }}</th>
                                    <th scope="col"> {{ __('perish.pay_price') }}</th>
                                    <th scope="col">  {{ __('perish.total_pay_price') }}</th>
                                    <th scope="col">   {{ __('perish.sale_price') }}</th>
                                    <th scope="col">  {{ __('perish.total_sale_price') }}</th>
                                    <th scope="col">  {{ __('perish.notes') }}</th>
                                    <th scope="col"> {{ __('perish.replace') }}</th>

                                </tr>
                                </thead>
                                <tbody>
                                @foreach($history as $item)
                                    <tr class="transactions" data-transaction_id="{{ $item->id }}">
                                        <td>{{ $loop->iteration }}</td>
                                        @if (get_session_val('module', 'integer') == 22)
                                            <td>{{ ($item->item_name) }} </td>
                                            <td> {{round_money($item->quantity * 1000)  }} </td>
                                        @else
                                            <td>{{ ($item->item_name) }} </td>
                                            <td> {{round_money($item->quantity )  }} </td>
                                        @endif
                                        <td> {{  round_money($item->pay_price) }} </td>
                                        <td> {{  round_money($item->total_pay_price) }} </td>
                                        <td> {{  round_money($item->sale_price) }} </td>
                                        <td> {{  round_money($item->total_price) }} </td>
                                        <td> {{ $item->notes }} </td>
                                        <td>
                                            @if ($item->replaced == 0)
                                                <select class="form-control supplier_id">
                                                    <option value="0">اختر مورد</option>
                                                    @foreach($suppliers as $supplier)
                                                        <option value="{{ $supplier->id }}">{{ $supplier->supplier_name }}</option>
                                                    @endforeach
                                                </select>
                                            @else
                                                {{ $item->client_name }}
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                                <tr class="info">
                                    <td></td>
                                    <td>اجمالى الهالك</td>
                                    @if (get_session_val('module', 'integer') == 22)
                                        <td>{{ round_money($total_qty * 1000) }} جرام</td>
                                    @else
                                        <td>{{ round_money($total_qty) }} </td>
                                    @endif
                                    <td></td>
                                    <td>{{  round_money($history->sum('total_pay_price')) }}</td>
                                    <td></td>
                                    <td>{{  round_money($history->sum('total_price')) }}</td>
                                    <td></td>
                                    <td></td>
                                </tr>
                                </tbody>
                            </table>

                            <a href="javascript:void(0)" id="replace" class="btn btn-primary"><i class="fa fa-recycle"><th scope="col"> {{ __('perish.replace') }}</th></i></a>

                        @else
                            <h3 class="text-muted text-center">{{ __('perish.no_search_data') }}</h3>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('css-scripts')
    <style>
        .ui-datepicker-next, .ui-datepicker-prev {
            color: #fff !important;
            background: #4ca1dd !important;
            position: relative;

        }

        .ui-datepicker-next:before {
            content: "<";
            position: absolute;
            width: 30px;
            height: 30px;
            top: 1px;
            right: 5px;
            font-size: 18px;
            font-weight: bold;

        }

        .ui-datepicker-prev:before {
            content: ">";
            position: absolute;
            width: 30px;
            height: 30px;
            top: 1px;
            right: 7px;
            font-size: 18px;
            font-weight: bold;
        }

    </style>

@stop

@section('js-scripts')
    <script>
        function validate(val) {
            if (val == '' || val == null || val == undefined || !$.isNumeric(val) || Number(val) <= 0) {
                return false;
            }
            return true;
        }

        $('#replace').click(function () {
            var transactions = [];
            $('.transactions').each(function (i, that) {
                let tr = $(that),
                    select = tr.find('.supplier_id');
                if (select.length) {
                    let val = select.val();
                    if (!validate(val)) {
                        tr.addClass('danger');
                    } else {
                        let transaction_id = tr.data('transaction_id');
                        transactions.push(transaction_id+','+val);
                        tr.removeClass('danger');
                    }
                }
            });

                let data = {
                    '_token': '{{ csrf_token() }}',
                    'transactions': transactions
                };

                console.log({transactions});

                $.post('{{ route('perishes.replace') }}', data, function (response) {
                    if (response.status) {
                        alert(response.message);
                        location.reload();
                    } else {
                        alert(response.message);
                    }
                });

        });
    </script>
@endsection
