@extends('master::layouts.master')

@section('content')
    <div class="wrapper card card-light mb-1_5 p-3">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div style="display: flex;">
                        <h3 class="title-page inline-block col-md-12 text-info">
                            {{ __('perish.report-title') }}
                            <a class="btn btn-primary pull-left float-left" href="{{ route('perishes.index') }}"> {{ __('perish.item_perish') }} </a>
                        </h3>

                    </div>


                    <div class="clearfix"></div>
                    <div class="col-md-8">
                        <form action="{{ route('perishes.history-result') }}" method="GET" class="custome-form">
                            {{--{{ csrf_field() }}--}}
                            <div class="form-group">
                                <label for="form">  {{ __('perish.store') }} : </label>
                                <select class="form-control input-normal" name="store_id" id="">
                                    <option selected disabled> </option>
                                    @foreach($stores as $store)
                                        <option value="{{ $store->id }}"> {{ $store->store_name }} </option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="form">  {{ __('perish.brand') }} : </label>
                                <select class="form-control input-normal" name="category_id">
                                    <option value="-1" selected disabled> </option>
                                    @foreach($categories as $category)
                                        <option value="{{ $category->id }}"> {{ $category->name }} </option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="item_id">  {{ __('perish.all_items') }} : </label>
                                <select class="form-control selectpicker input-normal" data-live-search="true" name="item_id" id="item_id">
                                    <option value="-1">  {{ __('perish.items') }}</option>
                                    @foreach($items as $item)
                                        <option value="{{ $item->id }}">{{ $item->item_name }}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="form">    {{ __('perish.from_date') }} : </label>
                                <input type="text" name="trans_from" class="form-control date input-normal" id="form" autocomplete="off" readonly/>
                            </div>
                            <div class="form-group">
                                <label for="to">   {{ __('perish.to_date') }} : </label>
                                <input type="text" name="trans_to" class="form-control date input-normal" id="toQ" autocomplete="off" readonly/>
                            </div>
                            <div class="form-group">

                            <div class="content_store text-center mt-3">
                                <button type="submit" class="btn btn-success"> {{ __('perish.show') }}</button>
                            </div>

</div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('js-scripts')

    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>

    <script>
        $(function () {
            if ('{{ get_session_val('date_type', 'Integer') }}' ==  '2'){
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',

                });
            }else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',

                });
            }


        })
    </script>
@stop
@section('css-scripts')
    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
@endsection
