<?php

namespace Modules\SalePoints\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class Currency extends Model
{
    protected $fillable = [];

    protected $table = 'currencies';

    public const DEFAULT_ROW = [
        'name'    => 'جنيه مصري',
        'code'    => 'EGP',
        'value'   => true
    ];

    public static function main($column = 'name')
    {
        $row = Currency::select('name', 'code')->where('is_main', true)->first() ?? ['code' => get_session_val('currency', 'string')];
        return $column == '*' ? $row->toArray() : $row[$column];
    }

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('perShop', function (Builder $builder) {
            $builder->where('currencies.shop_id', auth()->user()->shop_id)->orderBy('id', 'DESC')
                    ->when( get_session_val('multi_currency', 'integer') == 0, fn($query) => $query->where('id', 0) );
        });
    }
}
