<script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
<script>
    $('.selectpicker').selectpicker()

    function getSalePointsTable() {
        $.ajax({
            type: "GET",
            url: "{{ route('salepoint.get_salepoints_table') }}",
            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            },
            success: function (data) {
                $('#salepoints_table_container').html(data);
            }
        });
    }

    function addPoint() {

        let data = {
            point_name: $('#point_name').val(),
            money_point: $('#money_point').val(),
            store_id: $('#store_id').val(),
            point_type: $('#point_type').val(),
            currency_id: $('#currency').val(),
            currency_text: $('#currency').find('option:selected').text()
        }

        $.ajax({
            url: "{{ route('salepoint.store') }}",
            type: "POST",
            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            },
            data: data,
            success: function (data) {
                $('#addSalePoint').modal('hide');
                getSalePointsTable();
                $('#alert_container').html(data);
                $('#form')[0].reset();
            }
        });
    }


    $('#editSalePoint').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget)
        var id = button.data('id')

        $.ajax({
            type: "POST",
            url: "{{ route('salepoint.get_salepoint_modal_edit_body') }}",
            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            },
            data: {
                id
            },
            success: function (response) {
                $('#edit_modal_body').html(response);
                $('.selectpicker').selectpicker('refresh');
            }
        });
    })



    function editPoint() {
        let data = {
            id: $('#salepoint_id').val(),
            point_name: $('#edit_point_name').val(),
            money_point: $('#edit_money_point').val(),
            old_balance: $('#old_balance').val(),
            store_id: $('#edit_store_id').val(),
            point_type: $('#edit_point_type').val(),
            currency_id: $('#edit_currency').val(),
            currency_text: $('#edit_currency').find('option:selected').text()
        }

        $.ajax({
            type: "POST",
            url: "{{ route('salepoint.update') }}",
            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            },
            data: data,
            success: function (response) {
                $('#editSalePoint').modal('hide');
                getSalePointsTable();
                $('#alert_container').html(response);
            }
        });
        $('button[type=submit], input[type=submit]').attr('disabled',true);

    }

    function deleteSalpoint(id) {

        Swal.fire({
            title: 'هل أنت متأكد؟',
            text: "لن تستطيع التراجع عن عملية الحذف",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'نعم, حذف!',
            cancelButtonText: 'تراجع'
        }).then((result) => {
            if (result.isConfirmed) {
                $.ajax({
                    type: "POST",
                    url: "{{ route('salepoint.destroy') }}",
                    data: {
                        id
                    },
                    headers: {
                        'X-CSRF-TOKEN': '{{ csrf_token() }}'
                    },
                    success: function (response) {
                        getSalePointsTable();
                        $('#alert_container').html(response);
                    }
                });
            }
        })

    }


    $('#transferSalePoint').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget)
        var id = button.data('id')

        $.ajax({
            type: "POST",
            url: "{{ route('salepoint.get_salepoint_modal_transfer_body') }}",
            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            },
            data: {
                id
            },
            success: function (response) {
                $('#transferModalBody').html(response);
                $('.selectpicker').selectpicker('refresh');
            }
        });
    })


    function transferMoney() {
        Swal.fire({
            title: 'هل أنت متأكد؟',
            text: "لن تستطيع التراجع عند عمليه التحويل",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'نعم, حول!',
            cancelButtonText: 'تراجع'
        }).then((result) => {
            if (result.isConfirmed) {


            let data = {
                salepoint_id: $('#salepoint_id').val(),
                point_to: $('#point_to').val(),
                transfer_amount: $('#transfer_amount').val(),
                transfer_notes: $('#transfer_notes').val()
            }

            if (data.transfer_amount == 0) {
                Swal.fire(
                    'خطأ!',
                    'المبلغ المراد تحويله يجب ان يكون اكبر من 0',
                    'error'
                )
                return;
            }

                $.ajax({
                    type: "POST",
                    url: "{{ route('salepoint.transfer_money') }}",
                    data: data,
                    headers: {
                        'X-CSRF-TOKEN': '{{ csrf_token() }}'
                    },
                    success: function (response) {
                        if (response['response_status'] == -1)
                        {
                             alert = `<div class="alert alert-danger alert-dismissible fade show" role="alert">
                                    <strong>تنبيه!</strong> رصيد الخزنة لا يسمح
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>`;
                        }
                        else {
                             alert = `<div class="alert alert-primary alert-dismissible fade show" role="alert">
                                        <strong>تنبيه!</strong> تم التحويل بنجاح.
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>`;
                        }
                        $('#transferSalePoint').modal('hide');
                        getSalePointsTable();
                        $('#alert_container').html(alert);
                    }
                });
            }
        })
    }

    $('#editSalePoint').on('hidden.bs.modal', function () {
        $('button[type="submit"]').attr('disabled', false);
    });
</script>
