<!-- start salepoints table -->
<div class="table-responsive">
    <table class="zui-table zui-table-rounded table">
        <thead>
            <tr>
                <th scope="col" width="10">م</th>
                <th scope="col" width="20">اسم الخزنة</th>
                <th scope="col" width="10">المبلغ الحالى</th>
                <th scope="col" width="20">اسم المخزن</th>
                <th scope="col" width="20" @class(['hidden' => !get_session_val('multi_currency', 'integer')])>اسم العملة</th>
                <th scope="col" width="10"> نوع نقطه البيع </th>
                <th scope="col" width="10">تحويل للخزنة</th>
                <th scope="col" width="10">تعديل</th>
                <th scope="col" width="10">حذف</th>
            </tr>
        </thead>
        <tbody class="section">
            @foreach($salePoints as $salePoint)
                <tr>
                    <td>{{ $loop->iteration }}</td>
                    <td>{{ $salePoint->point_name }}</td>
                    <td>{{ $salePoint->current_point_money }}</td>
                    <td>{{ $salePoint->store->store_name }}</td>
                    <td @class(['hidden' => !get_session_val('multi_currency', 'integer')])>{{ $salePoint->currency->name }}</td>
                    <td>{{ $salePoint->point_type_name }}</td>
                    <td>
                        <a href="#" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#transferSalePoint" data-id="{{ $salePoint->id }}">
                            تحويل
                            <i class="fas fa-exchange-alt"></i>
                        </a>
                    </td>
                    <td>
                        <a href="#" class="btn btn-success btn-sm" data-toggle="modal" data-target="#editSalePoint" data-id="{{ $salePoint->id }}">
                            تعديل
                            <i class="fas fa-edit"></i>
                        </a>
                    </td>
                    <td>
                        <a href="#" onclick="deleteSalpoint( {{ $salePoint->id }} )" class="btn btn-danger btn-sm" >
                            حذف
                            <i class="fas fa-trash-alt"></i>
                        </a>
                    </td>
                </tr>
            @endforeach
        </tbody>
        <tfoot>
            <tr>
                <td colspan="2">الاجمالي</td>
                <td>{{round_money( $salePoints->sum('money_point'), true )}} {{ get_session_val('currency', 'string') }}</td>
            </tr>
        </tfoot>
    </table>
</div>
<!-- start salepoints table -->
