<?php

namespace Modules\SalesReport\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class Employee extends Model
{
    protected $table   = 'users';
    protected $guarded = ['id'];

    public function scopeFilter($query)
    {
        return $query->when(request()->get('mandob_id'), function($query) {
                        $query->where('id', request()->get('mandob_id'));
                    });
    }

    public function transactions()
    {
        return $this->hasMany(ClientTransaction::class, 'collector_id', 'id');
    }

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('employees', function (Builder $builder) {
            $builder->where('shop_id', auth()->user()->shop_id)->where('is_employee', true)->where('collecting', true);
        });
    }
}
