<?php

namespace Modules\SalesReport\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Modules\Store\Entities\ClientTransaction;

class Invoice extends Model
{
    use HasFactory;

    protected $table   = 'invoices_';
    protected $guarded = [];
    public $timestamps = false;

    public function details()
    {
        return $this->hasMany(InvoiceDetail::class, 'invoice_id', 'id');
    }

    public function transactions()
    {
        return $this->hasMany(ClientTransaction::class, 'bill_id', 'id');
    }

    protected static function newFactory()
    {
        return \Modules\SalesReport\Database\factories\InvoiceFactory::new();
    }
}
