<?php

namespace Modules\SalesReport\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Item extends Model
{
    use HasFactory;

    protected $table   = 'items';
    protected $guarded = [];

    protected static function newFactory()
    {
        return \Modules\SalesReport\Database\factories\ItemFactory::new();
    }

    public function prices()
    {
        return $this->hasMany(ItemPrice::class);
    }

    public function ItemType()
    {

        return $this->belongsTo(ItemType::class, 'sale_unit', 'id');
    }

    public function factory()
    {
        return $this->belongsTo(Factory::class);
    }




    public function units()
    {
        return  $this->belongsTo(Unit::class, 'unit_id', 'id');
    }
}
