<?php

namespace Modules\SalesReport\Entities;

use App\Services\Updaters\InvoiceStoreItemUpdater;
use Illuminate\Database\Eloquent\Model;

class StoreItem extends Model
{
    protected $guarded = ['id'];
    protected $table = 'store_items';
    public $timestamps = false;

    public static function createNew(InvoiceStoreItemUpdater $updater)
    {
        $created_item = StoreItem::create([
            'item_id' => $updater->getItemId(),
            'store_id' => $updater->getStoreId(),
            'store_quant' => 0,
            'add_user' => auth()->user()->id,
            'shop_id' => get_session_val('serial_id', 'Integer'),
            'add_date' => date('Y-m-d H:i:s')
        ]);

        return $created_item;
    }
}
