<?php

namespace Modules\SalesReport\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\Invoices\Entities\ClientGroup;
use Modules\SalesReport\Entities\Client;

class ClientBalanceController extends Controller
{
    public function clientBalance(Request $request)
    {

        $clients = clientGroups();

        $groups    = groupList();
        $clients = $clients->where('clients.shop_id', get_session_val('serial_id', 'integer'))
            ->whereIn('clients.client_role', [0, 2])
            ->join('clients_groups', function ($q) use ($request) {
                $q->on('clients_groups.id', 'clients.group_id');
                if ($request->group_id != -1) {
                    $q->where('clients_groups.id', $request->group_id);
                }
            })
            ->leftJoin('client_transaction', function ($join) {
                $join->on('client_transaction.client_id', '=', 'clients.id');
                // })->leftJoin('invoices_', function ($join) {
                //     $join->on('invoices_.client_id', '=', 'clients.id');
                // })
            })->select(
                'clients.id',
                'clients.client_name',
                'clients_groups.name as group_name',
                'clients_groups.id as g_id',
                'clients.balance',
                DB::raw('SUM(CASE WHEN client_transaction.type = 2 THEN client_transaction.amount  END) AS cashreceipt'), //ايصال استلام
                // DB::raw('SUM(CASE WHEN client_transaction.type = 1 THEN client_transaction.bill_net_total END) AS totalinvoicesales'),
                DB::raw('SUM(CASE WHEN client_transaction.type = 9 THEN client_transaction.amount  END) AS paymentreceipt'), //ايصال صرف
                DB::raw('SUM(CASE WHEN (client_transaction.type = 0 AND client_transaction.amount != client_transaction.bill_net_total)  THEN client_transaction.bill_net_total  END) AS totalibillnvoicebacksalesreceipt'), //مرتجع اجمالي الفاتوره
                DB::raw('SUM(CASE WHEN (client_transaction.type = 0 AND client_transaction.amount != client_transaction.bill_net_total)  THEN client_transaction.amount  END) AS totalclientinvoicebacksalesreceipt'), //مرتجع اجل الجزء اللي دفعه العميل
                DB::raw('SUM(CASE WHEN (client_transaction.type = 0 AND client_transaction.amount = client_transaction.bill_net_total) THEN client_transaction.amount  END) AS totalinvoicebacksalescash'), //مرتجع مبيعات نقدي
                // DB::raw('SUM(CASE WHEN invoices_.invoice_type = 1  THEN invoices_.net_price  END) AS totalinvoicesales'),
                //  DB::raw('SUM(CASE WHEN invoices_.invoice_type = 3  THEN invoices_.net_price  END) AS totalinvoicebacksales'),
                DB::raw('SUM(CASE WHEN (client_transaction.type = 1 AND client_transaction.amount = client_transaction.bill_net_total) THEN client_transaction.amount  END) AS totalcashinvoicesales'), //فاتوره مبيعات نقدي
                DB::raw('SUM(CASE WHEN (client_transaction.type = 1 AND client_transaction.amount != client_transaction.bill_net_total) THEN client_transaction.amount  END) AS totaldebositsales'), // الفاتوره مبيعات اجل المبلغ اللي دفعه
                DB::raw('SUM(CASE WHEN (client_transaction.type = 1 AND client_transaction.amount != client_transaction.bill_net_total) THEN client_transaction.bill_net_total  END) AS totaldebositinvoicesales'), // الفاتوره مبيعات اجل
            )

            //
            ->groupBy('clients.id')
            ->distinct()
            ->get()->groupBy('group_name');


        return view('salesreport::client_balance', compact('clients', 'groups'));
    }
}
