<?php

namespace Modules\SalesReport\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\SalesReport\Entities\Client;
use Modules\SalesReport\Entities\Item;
use Modules\SalesReport\Entities\SalePoint;
use Modules\SalesReport\Entities\StoreItem;
use Modules\SalesReport\Entities\Supplier;

class Financialcontroller extends Controller
{
    public function FinancialPosition()
    {
        $currency = get_session_val('currency', 'integer');
        $sale_points_total = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))->sum('money_point');
        $store_items = StoreItem::where('store_items.shop_id', get_session_val('serial_id', 'integer'))
            ->join('stores', function ($q) {
                $q->where('stores.shop_id', '=', get_session_val('serial_id', 'integer'));
                $q->on('store_items.store_id', 'stores.id');
            })->get();
        $clients_total = Client::where('shop_id', get_session_val('serial_id', 'integer'))->whereIn('client_role', [0, 2])->sum('balance');
        $suppliers_total = Client::where('shop_id', get_session_val('serial_id', 'integer'))->whereIn('client_role', [1])->sum('balance');
        $amount_total = 0;
        foreach ($store_items as $store) {
            $item_price = Item::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where(['id' => $store->item_id, 'available' => 1])
                ->where(function ($query) {
                    $query->where('is_service', 0)->orWhere('is_service', null);
                })
                ->first()->pay_price ?? 0;
            $amount_total += $store->store_quant * $item_price;
        }
        return view('salesreport::financial-position', compact('sale_points_total', 'amount_total', 'clients_total', 'suppliers_total', 'currency'));
    }
}
