<?php

namespace Modules\SalesReport\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Modules\SalesReport\Entities\ClientTransaction;
use Modules\SalesReport\Entities\Employee;

class MandubReportController extends Controller
{
    public function index()
    {
        if (request()->ajax()) {
            return view('salesreport::mandobeen.includes.table-body', ['rows' => $this->getQuery()]);
        }
        return view('salesreport::mandobeen.index');
    }

    protected function getQuery()
    {
        return Employee::select('id', 'name', 'collecting_ratio')->withSum([
                            'transactions' => fn($query) => $query->filter()
                        ], 'amount')->withSum([
                            'transactions' => fn($query) => $query->filter()
                        ], 'amount_collected')->get();
    }

    public function receipts()
    {
        if (request()->ajax()) {
            return view('salesreport::mandobeen.includes.receipts-table-body', ['rows' => $this->getReceiptsQuery()]);
        }
        $mandobeen = Employee::select('id', 'name')->pluck('name', 'id');
        return view('salesreport::mandobeen.receipts', compact('mandobeen'));
    }

    protected function getReceiptsQuery()
    {
        return ClientTransaction::select('client_id', 'collector_id', 'bill_id', 'amount', 'amount_collected', 'type', 'pay_day', 'notes')->where('effect', true)
                                    ->with('collector', 'client', 'invoice')->filter()->get();
    }
}
