<?php

namespace Modules\SalesReport\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\EInvoice\Entities\BadrShop;
use Modules\Invoices\Entities\Client;
use Modules\Invoices\Entities\SalePoint;
use Modules\Invoices\Entities\Store;
use Modules\User\Entities\ClientGroup;

class SalesReportController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Renderable
     */
    public function index()
    {
        return view('salesreport::index');
    }

    /**
     * Show the form for creating a new resource.
     * @return Renderable
     */
    public function create()
    {
        return view('salesreport::create');
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Renderable
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function show($id)
    {
        return view('salesreport::show');
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function edit($id)
    {
        return view('salesreport::edit');
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Renderable
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Renderable
     */
    public function destroy($id)
    {
        //
    }

    public function gross_profit_report(Request $request)
    {
       
        // prepare filters
        $store_filter = $client_filter = $client_group_join = $client_group_filter = $store_filter_with_alias = $client_filter_with_alias = $client_group_filter_with_alias = '';

        if ($request->store != -1)
        {
            $store_filter = ' AND invoices_.store_id = ' . intval($request->store);
            $store_filter_with_alias = ' AND i.store_id = ' . intval($request->store);
        }

        if ($request->client != -1)
        {
            $client_filter = ' AND invoices_.client_id = ' . intval($request->client);
            $client_filter_with_alias = ' AND i.client_id = ' . intval($request->client);
        }

        if ($request->client_group != -1)
        {
            $client_group_join = ' clients, ';
            $client_group_filter = ' AND clients.group_id = ' . intval($request->client_group) . ' AND clients.id = invoices_.client_id';
            $client_group_filter_with_alias = ' AND clients.group_id = ' . intval($request->client_group) . ' AND clients.id = i.client_id';
        }

        // prepare pay price
        $pay_price = 'pay_price';
        if (get_session_val('Profits_Calc_method' , 'integer') == 2)
        {
            $pay_price = 'av_pay_price';
        }
        else if (get_session_val('Profits_Calc_method' , 'integer') == 3)
        {
            $pay_price = 'ac_pay_price';
        }
        // create & prepare views to get values

        $view_sale = DB::Statement("
                            CREATE OR REPLACE VIEW view_sale AS
                            SELECT
                            DATE_FORMAT(invoice_date, '%Y/%m/%d') AS sale_date ,
                            SUM(
                                if (
                                    items.vat_state = 1,
                                        TRUNCATE (i_d.sale_price, ". get_session_val('decimal_num_price', 'Integer') .") * i_d.quantity
                                            +
                                            (  select sum(invoices_details_vats.vat_weight)
                                                        from invoices_details_vats
                                                        left join invoices_details
                                                        on invoices_details_vats.invoice_id = invoices_details.invoice_id
                                                        AND invoices_details_vats.shop_id =  ". get_session_val('serial_id', 'Integer') ." AND invoices_details_vats.item_id = invoices_details.item_id
                                                        left join invoices_ on invoices_.id = invoices_details.invoice_id
                                                        where invoices_details.item_id = items.id and invoices_details.invoice_id = invoices_.id AND invoices_.invoice_type = 1
                                                        AND invoices_details_vats.invoice_id = i.id AND invoices_details.id = i_d.id AND i_d.unit_id = invoices_details_vats.unit_id

                                            )
                                            ,
                                TRUNCATE
                                    (i_d.sale_price, ". get_session_val('decimal_num_price', 'Integer') .") * i_d.quantity
                                )
                            ) AS netprice,
                            SUM(
                                if (
                                    items.vat_state = 2,
                                TRUNCATE
                                    (i_d.sale_price, ". get_session_val('decimal_num_price', 'Integer') .") * i_d.quantity
                                    -
                                    (   select sum(invoices_details_vats.vat_weight)
                                        from invoices_details_vats
                                        left join invoices_details
                                        on invoices_details_vats.invoice_id = invoices_details.invoice_id
                                        AND invoices_details_vats.shop_id =  ". get_session_val('serial_id', 'Integer') ." AND invoices_details_vats.item_id = invoices_details.item_id
                                        left join invoices_ on invoices_.id = invoices_details.invoice_id
                                        where invoices_details.item_id = items.id  and invoices_details.invoice_id = invoices_.id AND invoices_.invoice_type = 1
                                        AND invoices_details_vats.invoice_id = i.id  AND invoices_details.id = i_d.id  AND i_d.unit_id = invoices_details_vats.unit_id
                                    )
                                    ,
                                TRUNCATE
                                    (i_d.sale_price, ". get_session_val('decimal_num_price', 'Integer') .") * i_d.quantity
                                )
                            ) AS netprice_withoutvat,
                            SUM(
                                if (
                                    items.purchase_vat_state = 1,
                                        TRUNCATE (i_d.". $pay_price .", ". get_session_val('decimal_num_price', 'Integer') .") * i_d.quantity
                                            +
                                            i_d.pay_vats_weight * i_d.quantity
                                            ,

                                TRUNCATE
                                    (i_d.". $pay_price .", ". get_session_val('decimal_num_price', 'Integer') .") * i_d.quantity
                                )
                            ) AS netpayprice,
                            SUM(
                                if (
                                    items.purchase_vat_state = 2,
                                TRUNCATE
                                    (i_d.". $pay_price .", ". get_session_val('decimal_num_price', 'Integer') .") * i_d.quantity
                                    -
                                    (
                                        i_d.pay_vats_weight * i_d.quantity
                                    )
                                    ,
                                TRUNCATE
                                    (i_d.". $pay_price .", ". get_session_val('decimal_num_price', 'Integer') .") * i_d.quantity
                                )
                            ) AS netpayprice_withoutvat,
                            SUM(i_d.quantity) AS quantity_sales
                        FROM
                            invoices_ i,
                            " . $client_group_join ."
                            items
                        INNER JOIN invoices_details i_d
                        WHERE
                            items.id = i_d.item_id AND i.shop_id =  ". get_session_val('serial_id', 'Integer') ." AND i.id = i_d.invoice_id AND
                            DATE(invoice_date) BETWEEN '" . $request->start_date . "' AND '" . $request->end_date ."' ". $store_filter_with_alias . $client_filter_with_alias . $client_group_filter_with_alias ." AND i.invoice_type = 1
                        GROUP BY
                            DATE(sale_date)
                        ORDER BY
                            sale_date;
        ");

        $view_back = DB::Statement("
                    CREATE OR REPLACE VIEW view_back  AS
                    SELECT
                    DATE_FORMAT(invoice_date, '%Y/%m/%d') AS date_back ,
                    SUM(
                        if (
                            items.vat_state = 1,
                                TRUNCATE (i_d.sale_price, ". get_session_val('decimal_num_price', 'Integer') .") * i_d.quantity
                                    +
                                    (  select sum(invoices_details_vats.vat_weight)
                                                from invoices_details_vats
                                                left join invoices_details
                                                on invoices_details_vats.invoice_id = invoices_details.invoice_id
                                                AND invoices_details_vats.shop_id =  ". get_session_val('serial_id', 'Integer') ." AND invoices_details_vats.item_id = invoices_details.item_id
                                                left join invoices_ on invoices_.id = invoices_details.invoice_id
                                                where invoices_details.item_id = items.id and invoices_details.invoice_id = invoices_.id AND invoices_.invoice_type = 3
                                                AND invoices_details_vats.invoice_id = i.id AND invoices_details.id = i_d.id AND i_d.unit_id = invoices_details_vats.unit_id
                                    )
                                    ,
                        TRUNCATE
                            (i_d.sale_price, ". get_session_val('decimal_num_price', 'Integer') .") * i_d.quantity
                        )
                    ) AS net_back,
                    SUM(
                        if (
                            items.vat_state = 2,
                        TRUNCATE
                            (i_d.sale_price, ". get_session_val('decimal_num_price', 'Integer') .") * i_d.quantity
                            -
                            (   select sum(invoices_details_vats.vat_weight)
                                from invoices_details_vats
                                left join invoices_details
                                on invoices_details_vats.invoice_id = invoices_details.invoice_id
                                AND invoices_details_vats.shop_id =  ". get_session_val('serial_id', 'Integer') ." AND invoices_details_vats.item_id = invoices_details.item_id
                                left join invoices_ on invoices_.id = invoices_details.invoice_id
                                where invoices_details.item_id = items.id  and invoices_details.invoice_id = invoices_.id AND invoices_.invoice_type = 1
                                AND invoices_details_vats.invoice_id = i.id  AND invoices_details.id = i_d.id AND i_d.unit_id = invoices_details_vats.unit_id
                            )
                            ,
                        TRUNCATE
                            (i_d.sale_price, ". get_session_val('decimal_num_price', 'Integer') .") * i_d.quantity
                        )
                    ) AS net_back_without_vat,
                    SUM(
                        if (
                            items.purchase_vat_state = 1,
                                TRUNCATE (i_d.". $pay_price .", ". get_session_val('decimal_num_price', 'Integer') .") * i_d.quantity
                                    +
                                    i_d.pay_vats_weight * i_d.quantity
                                    ,

                        TRUNCATE
                            (i_d.". $pay_price .", ". get_session_val('decimal_num_price', 'Integer') .") * i_d.quantity
                        )
                    ) AS back_pay_price,
                    SUM(
                        if (
                            items.purchase_vat_state = 2,
                        TRUNCATE
                            (i_d.". $pay_price .", ". get_session_val('decimal_num_price', 'Integer') .") * i_d.quantity
                            -
                            (
                                i_d.pay_vats_weight * i_d.quantity
                            )
                            ,
                        TRUNCATE
                            (i_d.". $pay_price .", ". get_session_val('decimal_num_price', 'Integer') .") * i_d.quantity
                        )
                    ) AS back_pay_price_without_vat,
                    SUM(i_d.quantity) AS quantity_back
                FROM
                    invoices_ i,
                    " . $client_group_join ."
                    items
                INNER JOIN invoices_details i_d
                WHERE
                    items.id = i_d.item_id AND i.shop_id =  ". get_session_val('serial_id', 'Integer') ." AND i.id = i_d.invoice_id AND
                    DATE(invoice_date) BETWEEN '" . $request->start_date . "' AND '" . $request->end_date ."' ". $store_filter_with_alias . $client_filter_with_alias . $client_group_filter_with_alias ." AND i.invoice_type = 3
                GROUP BY
                    DATE(date_back)
                ORDER BY
                    date_back;

        ");

        $view_net_sales = DB::Statement("
                CREATE OR REPLACE VIEW view_net_sales AS
                SELECT
                    sale_date,
                    netprice,
                    netprice_withoutvat,
                    netpayprice,
                    netpayprice_withoutvat,
                    view_sale.quantity_sales,
                    date_back,
                    net_back,
                    net_back_without_vat,
                    back_pay_price,
                    back_pay_price_without_vat,
                    quantity_back
                FROM
                    view_sale
                LEFT JOIN view_back ON sale_date = date_back
                UNION
                SELECT
                    sale_date,
                    netprice,
                    netprice_withoutvat,
                    netpayprice,
                    netpayprice_withoutvat,
                    view_sale.quantity_sales,
                    date_back,
                    net_back,
                    net_back_without_vat,
                    back_pay_price,
                    back_pay_price_without_vat,
                    quantity_back
                FROM
                    view_back
                LEFT JOIN view_sale ON date_back = sale_date
        ");


        // viewed details
        $net_sales = DB::table('view_net_sales')->get();
        $stores = Store::where('shop_id', get_session_val('serial_id' ,'integer'))->get(['id', 'store_name']);
        $safe_points = SalePoint::where('shop_id', get_session_val('serial_id' ,'integer'))->get(['id', 'point_name']);
        $clients = Client::where('shop_id', get_session_val('serial_id' ,'integer'))->whereIn('client_role',  [0, 2])->orderBy('client_name')->get(['id', 'group_id', 'client_name']);
        $clients_groups = ClientGroup::where('shop_id', get_session_val('serial_id' ,'integer'))->get(['id', 'name']);
        $decimal_round_num = BadrShop::where('serial_id', get_session_val('serial_id' ,'integer'))->first(['decimal_num_price'])['decimal_num_price'];

        // view data
        return view('salesreport::gross_profit_report', compact('net_sales', 'stores', 'safe_points', 'clients', 'clients_groups', 'decimal_round_num'));

    }
}
