@extends('master::layouts.master')
@section('css-scripts')
<link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
<style>
    .d__flex {
        display: flex;
        justify-content: space-between;
    }
</style>
@endsection

@section('content')
<div class="card card-light mb-1_5 p-3">

    <div class="container-fluid">
<div class="row">
    <div class="col-md-12">

<form method="get" action="{{route('salesreports.category.profit')}}" class="well custome-form" style="overflow: visible;">
    <h2 class="well-head text-center text-info" id="title_text" >تقرير الارباح</h2>
    <div class="row">
        <div class="col-md-2">
            <label>
                التصنيف
            </label>
            <select id="unit" name="unit" class="form-control selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}" data-live-search="true">
                <option value="-1">الكل</option>
                @foreach($item_units as $i)
                <option value="{{$i->id}}" {{ request('unit') && request('unit')==$i->id ? 'selected' : ''}}
                    >{{$i->name}}
                </option>
                @endforeach
            </select>
        </div>
        <div class="col-md-2">
            <label>الموردين</label>
            <select id="supplier" name="supplier" class="form-control selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}" data-live-search="true">
                <option value="-1">الكل</option>
                @foreach($suppliers as $s)
                <option value="{{$s->id}}" {{ request('supplier') && request('supplier')==$s->id ? 'selected' : ''}}
                    >{{$s->client_name}}
                </option>
                @endforeach
            </select>
        </div>
        <div class="col-md-2">
            <label>
                {{__('native.choose_store')}}
            </label>
            <select id="store_list" name="store" class="form-control">
                <option value="" @if ( request('store')=='' ) selected @endif>كل المخازن</option>
                @foreach(getStores() as $store)
                <option value="{{$store->id}}" {{ request('store') && request('store')==$store->id ? 'selected' : ''}}
                    >{{$store->store_name}}</option>
                @endforeach
            </select>
        </div>

        <div class="col-md-2">
            <div >
                <label>
                    {{ __('native.to') }}
                </label>
                <div>
                    <input value="{{ request('from') }}" name="from" id="from" class="form-control date" readonly
                        autocomplete="off">
                </div>
            </div>
        </div>

        <div class="col-md-2">
            <div >
                <label>
                    {{ __('native.to') }}
                </label>
                <div>
                    <input value="{{ request('to') }}" name="to" id="to" class="form-control date" readonly
                        autocomplete="off">
                </div>
            </div>
        </div>

        <div class="col-md-2">
            <div>
                <label class="text-white col-md-12">
                    -
                </label>
                <button type="submit" id="submit" class="btn btn-info">{{__('native.show')}}</button>
            </div>
        </div>


    </div>
</form>

<div class="hidden raw hidden-print">
    <input type="button" class="btn  btn-success " onclick="window.print();" value="{{__('native.print')}}" />
    <input type="button" class="btn btn-primary excelbtn" value="{{__('native.export_excel')}}" />
    <button type="button" class="btn btn-danger pdfBtn">
        {{__('extends.toPDF')}}
    </button>
</div>

@if ($items ?? 0)
<div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
    <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2">{{ trans('extends.print') }} </button>
    <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2">{{ trans('extends.toExcel') }} </button>
    {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
</div>
@include('salesreport::category_profit.category_items_profit_report')
@endif
</div>
</div></div></div>

@stop

@section('js-scripts')
@include('master::js.export-functions')
<script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
<script src="{{url('tickets/js/bootstrap-select.min.js')}}"></script>
<script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
<script>
    // var item = document.querySelector('#item');
    // var submit_btn = document.querySelector('#submit');
    // if (item.value == 0){
    //     submit_btn.disabled = true;
    // }
    // item.onchange = function() {
    //     submit_btn.disabled = false;
    // };
</script>
<script>
    //*********************
    //**** date picker ****
    //*********************
    $(function () {
        if ('{{ get_session_val('date_type', 'integer') }}' == '2') {
            $(".date").calendarsPicker({
                calendar: $.calendars.instance('gregorian'),
                dateFormat: 'Y-mm-dd',
            });
        } else {
            $(".date").calendarsPicker({
                calendar: $.calendars.instance('ummalqura'),
                dateFormat: 'Y-mm-dd',
            });
        }
    });
</script>
<script>
    //*********************
    //*** Excel Button ****
    //*********************
    $(".excelbtn").click(function () {
        $(document).find('tr[style="display:none;"]').remove();
        $("table").table2excel({
            // exclude CSS class
            exclude: ".noExl",
            name: "Worksheet Name",
            filename: "file_excel" //do not include extension
        });
    });

    //*********************
    //**** PDF Button *****
    //*********************
    $(".pdfBtn").click(function () {
        $(this).html('<i class="fa fa-spinner fa-spin"></i>');
        $(this).attr('disabled', 'disabled');
        var from = $('#from').val();
        var to = $('#to').val();

        $(document).find('a').removeAttr('href');
        var item = $('#item option:selected').text();
        var the_content = "<p>تقرير عمليات صنف "+ item +" من " + from + " الي" + to + "</p>";
        the_content += '<table>' + $(document).find('#left_content').find('table').html() + '</table>';
        the_content += `<style>
                                table, th, td {
                                    border: 1px solid black;
                                }
                            </style>`;
        content = the_content;
        shop_id = '{{get_session_val('serial_id', 'integer')}}';
        var font_size = '8';
        exportToPDF(content, font_size);
    });

</script>

<script>
    function exportToPDF(content, font_size=12){
        shop_id = '{{get_session_val('serial_id', 'integer')}}';
        var data = {content, shop_id, font_size}
        $.ajax({
            // url: url,
            url: Server_link + 'tools/api/print-pdf',
            data: data,
            async: true,
            type: 'POST',
            success : function(result) {
                var id = 'pdf-'+result;
                var link = Server_link +'tools/public/'+ result;
                var btn = '<a id="'+id+'" class="hidden" download href="'+ link +'"></a>';
                $('body').append(link);
                setTimeout(function(){
                    window.open(link);
                    $('.pdfBtn').html('تصدير الي PDF').removeAttr('disabled');
                }, 3500);

            },
        });

    }
</script>
@endsection
