@extends('master::layouts.master')

@section('css-scripts')
    <style>
        #group_name {
            margin-right: 29%;
            width: 400px;
            padding-right: 145px;
            background-color: #dbf5e1;
            border-radius: 22px;
        }
    </style>
@endsection

@section('content')

<div class="card card-light mb-1_5 p-3">

    <div class="container">
        <div>
            <h2 class="text-info" id="title_text">
                {{ trans('reports.client_balance_report') }}
            </h2>
        </div>
        <div class="row mt-4">
            <form method="get" class="col-md-12">
                <div class="card card-success" style="margin-bottom: 20px;">
                    <div class="row justify-content-center p-2">
                        {{-- Item --}}
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label for="point"
                                    class="col-sm-2 col-md-4 col-form-label">{{ trans('client.clientGroup.group_name') }} :
                                </label>
                                <div class="col-sm-4 col-md-8">

                                    <select name="group_id" id="group_id"
                                        class="form-control input-sm input-light select2 padding-select selectpicker">
                                        @if (auth()->user()->clients_group == 0)
                                            <option value="-1"
                                                @if (!request('group_id') || request('group_id') == -1) {{ 'selected' }} @endif>
                                                الكل </option>


                                            @foreach ($groups as $group)
                                                <option value="{{ $group->id }}"
                                                    @if ($group->id == request('group_id')) {{ 'selected' }} @endif>
                                                    {{ $group->name }} </option>
                                            @endforeach
                                        @else
                                            <option>
                                            </option>
                                            @foreach ($groups as $group)
                                                <option value="{{ $group->id }}"
                                                    @if ($group->id == request('group_id')) {{ 'selected' }} @endif>
                                                    {{ $group->name }} </option>
                                            @endforeach
                                        @endif
                                    </select>
                                </div>
                            </div>
                        </div>



                        {{-- To --}}
                        <div class="col-md-6">
                            <div class="form-group row">



                                <div class="col-sm-1 col-md-2">

                              
                                    <button type="submit" class="text-center button-success w-60-per add-group add-percent">
                                        <i class="fa fa-search"> </i>
                                    </button>

                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </form>
        </div>

        <div>
            <input type="checkbox"  name="" id="hide-zero-debt"> اخفاء القيم الصفرية
        </div>
        
        @foreach ($clients as $clientgroup => $groupClients)
            <div class="client-group-section">
                <input id="group_name" type="text" disabled value="{{ $clientgroup }}">
                <div class="table-resopnsive">

                <table class="table table-striped mt-4 table2excel" id="main_table">
                    {{-- <div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
                    <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2">{{ trans('extends.print') }} </button>

                    </div> --}}
                    <thead class="bg-info text-white">
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">{{ trans('reports.client_name') }}</th>
                            <th scope="col">{{ trans('balance.creditor') }}</th>
                            <th scope="col">{{ trans('balance.debtor') }}</th>

                            <th scope="col">{{ trans('native.the_balance') }}</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php
                            $totaldebtor = $totalcreditor = $totalbalance = 0;
                        @endphp
                        @forelse ($groupClients as $client)
                            <tr style="text-align: center" class="{{ $client->balance == 0 ? 'hidden-zero-balance' : '' }}">
                                <td scope="row">{{ $loop->iteration }}</td>
                                <td>{{ $client->client_name }}</td>

                                <td class="debt">{{ $client->cashreceipt + $client->totalcashinvoicesales + $client->totaldebositsales + $client->totalinvoicebacksalescash + $client->totalibillnvoicebacksalesreceipt ?? 0 }}
                                </td>
                                <td class="credit">{{ $client->totalcashinvoicesales + $client->totaldebositinvoicesales + $client->paymentreceipt + $client->totalinvoicebacksalescash + $client->totalclientinvoicebacksalesreceipt ?? 0 }}
                                </td>
                                <td class="balance">{{ $client->balance ?? 0 }}</td>
                            </tr>

                            @php
                                $totaldebtor += $client->cashreceipt + $client->totalcashinvoicesales + $client->totaldebositsales + $client->totalinvoicebacksalescash + $client->totalibillnvoicebacksalesreceipt;
                                $totalcreditor += $client->totalcashinvoicesales + $client->totaldebositinvoicesales + $client->paymentreceipt + $client->totalinvoicebacksalescash + $client->totalclientinvoicebacksalesreceipt;
                                $totalbalance += $client->balance;
                            @endphp
                        @empty
                            <tr style="text-align: center">
                                <td colspan="5">
                                    لا يوجد عملاء بهذه المجموعه
                                </td>
                            </tr>
                        @endforelse

                        <tr class="bg-success text-white" style="text-align: center">
                            <td scope="row">

                            </td>

                            <td>
                                الاجمالي
                            </td>
                            <td class="totaldebtor">
                                {{ $totaldebtor }}
                            </td>
                            <td class="text-center totalcreditor">
                                {{ $totalcreditor }}
                            </td>
                            <td class="text-center totalbalance">
                                {{ $totalbalance }}
                            </td>


                        </tr>
                    </tbody>
                </table>
                    </div>
            </div>
        @endforeach
    </div>

                    </div>
@endsection

@section('js-scripts')
    <script>
        $(document).ready(function() {
            $(document).on("click", ".add-group", function(e) {
                let group_id = $('#group_id').val();
                $.ajax({
                    url: "{{ route('salesreports.clientBalance') }}",
                    method: "GET",
                    data: {
                        group_id: group_id
                    },
                    success: function(res) {
                        console.log(res);
                    }
                });


            });
        });
    </script>

    <script>
        $('#hide-zero-debt').on('change', function(e) {
            if ($(this).is(':checked')) {
                $('.hidden-zero-balance').addClass('hide').hide();
            } else {
                $('.hidden-zero-balance').removeClass('hide').show();
            }

            calcTotal();
        });

        function calcTotal(clientDebtTd) {
            $('table.table').each(function() {
                let total_credit = total_debt = total_balance = 0;
                $(this).find('tr').not('.hidden-zero-balance.hide').each(function() {
                    if (! $(this).hasClass('.hide')) {
                        total_debt += Number( $(this).find('td.debt').text() );
                        total_credit += Number( $(this).find('td.credit').text() ); 
                        total_balance += Number( $(this).find('td.balance').text() ); 
                    }
                });

                $(this).find('td.totaldebtor').text(total_debt);
                $(this).find('td.totalcreditor').text(total_credit);
                $(this).find('td.totalbalance').text(total_balance);

                let all_rows = $(this).find('tr').length - 2;
                let hidden_rows = $(this).find('tr.hidden-zero-balance.hide').length;

                all_rows == hidden_rows ? $(this).closest('.client-group-section').hide(): $(this).closest('.client-group-section').show();
            });
        }
    </script>

@endsection
