@extends('master::layouts.master')

@section('content')
<div class="card card-light mb-1_5 p-3">

    <div class="container">

        <div>
            <h2 class="text-info"  id="title_text">
                {{ trans('reports.gross_profit_report') }}
            </h2>
        </div>

        <div class="row" style="margin: 24px 0;">
            <form method="get" class="col-md-12 custome-form">
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="start_date" class="col-sm-2 col-4 col-form-label">{{ trans('reports.from') }}</label>
                            <div class="col-12">
                                <input type="text" id="start_date" name="start_date"
                                    class="form-control  input-light date is-datepicker"
                                    value="{{ request('start_date') ?? today()->format('Y-m-d') }}">
                                <span>
                                    <i class="fa fa-calendar-alt calendar-icon"></i>
                                </span>
                            </div>
                        </div>
                    </div>

                    {{-- <label for="invoice_date" class=" col-12 col-form-label"> تاريخ الشراء
                         </label>
                <div class="col-sm-4 col-8">
                    <input type="text" id="invoice_date"
                        class="form-control  input-light date is-datepicker">
                    <span>
                        <i class="fa fa-calendar-alt calendar-icon"></i>
                    </span>
                </div> --}}


                    <div class="col-md-3">
                        <div class="form-group">

                            <label for="end_date" class="col-sm-2 col-4 col-form-label">{{ trans('reports.to') }}</label>
                            <div class="col-12">
                                <input type="text" id="end_date" name="end_date" data-old=""
                                    class="form-control  input-light date is-datepicker"
                                    value="{{ request('end_date') ?? today()->format('Y-m-d') }}">
                                <span>
                                    <i class="fa fa-calendar-alt calendar-icon"></i>
                                </span>
                            </div>

                            {{-- <label for="end_date"> {{ trans('reports.to') }} : </label> --}}
                            {{-- <input type="date" class="form-control input-sm input-light date is-datepicker is-calendarsPicker" id="end_date" name="end_date" value="{{ request('end_date')??today()->format('Y-m-d') }}"> --}}
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="store" class="col-12 col-form-label">{{ trans('reports.store') }} : </label>
                            <select name="store" id="store" class="form-control">
                                <option value="-1" @if (!request('store') || request('store') == -1) {{ 'selected' }} @endif> الكل
                                </option>
                                @foreach ($stores as $store)
                                    <option value="{{ $store->id }}"
                                        @if ($store->id == request('store')) {{ 'selected' }} @endif>
                                        {{ $store->store_name }} </option>
                                @endforeach
                            </select>
                        </div>
                    </div>


                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="client_group" class="col-12  col-form-label">{{ trans('reports.clients_groups') }} : </label>
                            <select name="client_group" id="client_group" class="form-control ">
                                @if (!$user->groups->isEmpty())
                                    <option value="-2"> </option>
                                    @foreach ($clients_groups as $client_group)
                                        <option value="{{ $client_group->id }}"
                                            @if ($client_group->id == request('client_group')) {{ 'selected' }} @endif>
                                            {{ $client_group->name }} </option>
                                    @endforeach
                                @else
                                    <option value="-1" @if (!request('client_group') || request('client_group') == -1) {{ 'selected' }} @endif>
                                        {{ trans('client.clientGroup.all_groups') }}
                                    </option>
                                    <option @if (request()->has('client_group') && request('client_group') == 0) {{ 'selected' }} @endif value="0">
                                        {{ trans('client.clientGroup.WithoutGroup') }}
                                    </option>
                                    @foreach ($clients_groups as $client_group)
                                        <option value="{{ $client_group->id }}"
                                            @if ($client_group->id == request('client_group')) {{ 'selected' }} @endif>
                                            {{ $client_group->name }} </option>
                                    @endforeach
                                @endif
                                {{-- <option value="-1" @if (!request('client_group') || request('client_group') == -1) {{ 'selected' }} @endif> الكل
                                </option> --}}
                                {{-- @foreach ($clients_groups as $client_group)
                                    <option value="{{ $client_group->id }}"
                                        @if ($client_group->id == request('client_group')) {{ 'selected' }} @endif>
                                        {{ $client_group->name }} </option>
                                @endforeach --}}
                            </select>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="client" class="col-12  col-form-label">{{ trans('reports.select_client') }} : </label>
                            <select name="client" id="client" class="form-control selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}" data-live-search="true">
                                @if (!$user->groups->isEmpty())
                                    <option  value="-2" ></option>
                                    @foreach ($clients as $client)
                                        <option value="{{ $client->id }}"
                                            @if ($client->id == request('client')) {{ 'selected' }} @endif>
                                            {{ $client->client_name }} </option>
                                    @endforeach
                                @else
                                    <option value="-1" @if (!request('client') || request('client') == -1) {{ 'selected' }} @endif>
                                        {{ trans('reports.all_clients') }}</option>
                                    @foreach ($clients as $client)
                                        <option value="{{ $client->id }}"
                                            @if ($client->id == request('client')) {{ 'selected' }} @endif>
                                            {{ $client->client_name }} </option>
                                    @endforeach
                                @endif

                            </select>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="subtract_adds_value"  class="col-12  col-form-label">{{ trans('reports.subtract_adds_value') }} : </label>
                            <select name="subtract_adds_value" id="subtract_adds_value" class="form-control">
                                <option value="0" @if (request('subtract_adds_value') == 0) {{ 'selected' }} @endif>
                                    {{ trans('reports.no') }}</option>
                                <option value="1" @if (request('subtract_adds_value') == 1) {{ 'selected' }} @endif>
                                    {{ trans('reports.yes') }}</option>
                            </select>
                        </div>
                    </div>
                    {{-- aaded --}}
                    <div class="col-md-3">
                        <label for="select_viewed_cols" class=" col-12 col-form-label"> {{ trans('reports.rejected_previewed_columns') }} </label>
                        <div class="col-md-4" style="overflow:visible;">
                            <select id="select_viewed_cols" class="selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}" multiple data-live-search="true">

                            </select>
                        </div>
                    </div>

                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="search" style="color: #fff;" class="col-sm-2 col-4  col-form-label">-</label>
                            <div>
                                <button type="submit" class="btn btn-info">{{ trans('reports.search') }}</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>

        <div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
            <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2 mr-2">{{ trans('extends.print') }} </button>
            <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2 mr-2">{{ trans('extends.toExcel') }} </button>
            {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
        </div>

        <div class="table-responsive">
               <table class="table table-striped" id="table2excel">
            <thead class="bg-info text-white">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">التاريخ</th>
                    <th scope="col">المبيعات</th>
                    <th scope="col">مرتجع مبيعات</th>
                    <th scope="col">صافي المبيعات</th>
                    <th scope="col">مبيعات <br> بسعر الشراء</th>
                    <th scope="col">مرتجع مبيعات <br> بسعر الشراء</th>
                    <th scope="col">صافي المبيعات <br> بسعر الشراء</th>
                    <th scope="col">مجمل الربح</th>
                    <th scope="col"> التفاصيل</th>
                </tr>
            </thead>
            <tbody>
                {{-- prepare totals --}}
                @php
                    $total_sales = $total_back_sales = $total_net_sales = $total_sales_pay = $total_back_sales_pay = $total_net_sales_pay = 0;
                @endphp

                @forelse ($net_sales as $data)
                    <tr>
                        {{-- calculate values --}}
                        @php
                            // with adds values
                            if (request('subtract_adds_value') == 1) {
                                $sales_val = $data->netprice_withoutvat ?? 0;
                                $back_sales_val = $data->net_back_without_vat ?? 0;
                                $net_sales_val = $sales_val - $back_sales_val;

                                $sales_pay_val = $data->netpayprice_withoutvat ?? 0;
                                $back_sales_pay_val = $data->back_pay_price_without_vat ?? 0;
                                $net_sales_pay_val = $sales_pay_val - $back_sales_pay_val;

                                $total_gross_profit = $net_sales_val - $net_sales_pay_val;
                            } else {
                                $sales_val = $data->netprice ?? 0;
                                $back_sales_val = $data->net_back ?? 0;
                                $net_sales_val = $sales_val - $back_sales_val;

                                $sales_pay_val = $data->netpayprice ?? 0;
                                $back_sales_pay_val = $data->back_pay_price ?? 0;
                                $net_sales_pay_val = $sales_pay_val - $back_sales_pay_val;

                                $total_gross_profit = $net_sales_val - $net_sales_pay_val;
                            }

                            $total_sales += $sales_val;
                            $total_back_sales += $back_sales_val;
                            $total_net_sales += $net_sales_val;
                            $total_sales_pay += $sales_pay_val;
                            $total_back_sales_pay += $back_sales_pay_val;
                            $total_net_sales_pay += $net_sales_pay_val;

                        @endphp

                        <td scope="row">{{ $loop->iteration }}</td>
                        <td> {{ $data->sale_date ?? $data->date_back }} </td>
                        <td> {{ round_money($sales_val) }} </td>
                        <td> {{ round_money($back_sales_val) }} </td>
                        <td> {{ round_money($net_sales_val) }} </td>
                        <td> {{ round_money($sales_pay_val) }} </td>
                        <td> {{ round_money($back_sales_pay_val) }} </td>
                        <td> {{ round_money($net_sales_pay_val) }} </td>
                        <td> {{ round_money($total_gross_profit) }} </td>
                        <td></td>
                    </tr>
                @empty
                    <tr>
                        <td colspan="10" style="text-align: center">
                            لا يوجد مبيعات بهذة الفترة
                        </td>
                    </tr>
                @endforelse
                <tr>
                    <td colspan="2
                    ">الاجمالي</td>
                    <td class="hidden"></td>
                    <td> {{ round_money($total_sales, true) }} </td>
                    <td> {{ round_money($total_back_sales, true) }} </td>
                    <td> {{ round_money($total_net_sales, true) }} </td>
                    <td> {{ round_money($total_sales_pay, true) }} </td>
                    <td> {{ round_money($total_back_sales_pay, true) }} </td>
                    <td> {{ round_money($total_net_sales_pay, true) }} </td>
                    <td> {{ round_money($total_net_sales - $total_net_sales_pay, true) }} </td>
                    <td> </td>
                </tr>
            </tbody>
        </table>
        </div>
     
    </div>
                        </div>
@endsection

{{-- @include('invoices::js.scripts') --}}

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">


    <style>
        th {
            vertical-align: middle !important;
        }

        .inner.open {
            max-height: 300px !important;
        }
    </style>
@endsection

@section('js-scripts')
    @include('master::js.export-functions')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>


    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}">
        < /> <
        script src = "{{ asset('tickets/jquery.timepicker.js') }}" >
    </script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>

    <script src="{{ asset('js/reports/columnsControls.js') }}"></script>
    <script>
        $(function() {

            if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {

                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',

                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',

                });
            }




        })
        // added
        $('#select_viewed_cols').html(
            getColsControls(2)
        );

        $(document).on('change', '#start_date, #end_date', function() {
            var start = $('#start_date').val();
            var end = $('#end_date').val();
            var changed = {
                'start_date': 'start',
                'end_date': 'end'
            };

            if (!valid_dates(start, end, changed[$(this).attr('id')])) {
                $(this).val($(this).data('old'));
            } else {
                $(this).data('old', $(this).val());
            }

        });

        function valid_dates(start_date, end_date, current) {

            if (start_date > end_date) {
                alert_date(current);
                return false;
            }

            return true;
        }

        function alert_date(current) {
            var msg_details = {
                'start': {
                    'changed': 'البداية',
                    'relation': 'أصغر',
                    'target': 'النهاية'
                },
                'end': {
                    'changed': 'النهاية',
                    'relation': 'أكبر',
                    'target': 'البداية'
                }
            };

            alert('تاريخ ' + msg_details[current]['changed'] + ' يجب أن يكون ' + msg_details[current]['relation'] +
                ' من تاريخ ' + msg_details[current]['target']);

        }
    </script>
@endsection
