@extends('master::layouts.master')
@section('content')
<style>
   .form-control{
   padding: 0px 7px 0px 0px;
   font-size: 13px;
   }
</style>
<div class="card card-light mb-1_5 p-3">

       <div>
   <h2 class="text-info"  id="title_text">{{trans('native.imports_section_report_in_aperiod')}}</h2>
       </div>
       <form action="{{route('salesreports.incom_report')}}" method="GET" class="custome-form">
   <div class="row mt-5">
      <div class="col-md-4 d-flex">
         <label for="from" class="col-md-3">{{trans('native.from')}}</label>
         <input type="text" class="col-md-9 form-control date is-datepicker input-sm" name="from" id="from" autocomplete="off" @if ('from' != null) value="{{$from}}" @endif required>
         <input type="text" name="type" id="type" value="incom" hidden>
      </div>
      <div class="col-md-4 d-flex">
         <label for="to" class="col-md-3">{{trans('native.to')}}</label>
         <input type="text" class="col-md-9 form-control date is-datepicker input-sm" name="to" id="to" autocomplete="off" @if ('to' != null) value="{{$to}}" @endif required >
      </div>
      <div class="col-md-4 d-flex">
         <label for="section" class="col-md-3">{{trans('native.section')}}</label>
         <select name="section" id="section" class="form-control input-sm" required>
            @if ($section2 == 0)  
            <option  selected disabled hidden >الكل</option>
            @elseif ($section != null)
            <option  selected disabled hidden >{{$section}}</option>
            @endif
            <option  value="0" selected>الكل</option>
            @foreach ($imports_item as $item )
            <option   value="{{$item->id}}" @if ($section == $item->id) selected @endif >{{$item->name}}</option>
            @endforeach
         </select>
      </div>
      <div class="col-md-4 d-flex mt-4">
         <label for="safe" class="col-md-3">{{trans('native.safe')}}</label>
         <select name="safe" id="safe" class="form-control input-sm" required>
            @if( Auth::user()->show_points == 4)
            @if ($Safe2 == 0)  
            <option  selected disabled hidden >الكل</option>
            @elseif ($Safe != null)
            <option  selected disabled hidden >{{$section}}</option>
            @endif
            <option value="0" selected>الكل</option>
            @endif
            @foreach ($sale_points as $item )
            <option value="{{$item->id}}" @if ($Safe == $item->id) selected @endif>{{$item->point_name}}</option>
            @endforeach
         </select>
      </div>
      <div class="col-md-4 d-flex mt-4">
         <label for="user" class="col-md-4">{{trans('native.user')}}</label>
         <select name="user" id="user" class="form-control input-sm" required>
            @if ($User2 == 0)  
            <option  selected disabled hidden >الكل</option>
            @elseif ($User != null)
            <option  selected disabled hidden >{{$section}}</option>
            @endif
            <option value="0" selected>الكل</option>
            @foreach ($users as $item )
            <option value="{{$item->id}}" @if ($User == $item->id) selected @endif>{{$item->name}}</option>
            @endforeach
         </select>
      </div>
      <div class="col-md-1"></div>
      <div class="col-md-3 mt-4">
         <input type="submit" class="btn btn-primary w-100 input-sm" value="بحث" id="search">
      </div>
      {{-- aaded --}}
      <div class="col-md-4 d-flex mt-4">
         <div class="col-md-3">
            <label for="select_viewed_cols"> {{ trans('reports.rejected_previewed_columns') }} </label>
         </div>
         <div class="col-md-9" style="overflow:visible;">
            <select id="select_viewed_cols" class="selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}" multiple data-live-search="true">
            </select>
         </div>
      </div>
   </div>
       </form>
       <div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
   <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2 mr-2">{{ trans('extends.print') }} </button>
   <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2 mr-2">{{ trans('extends.toExcel') }} </button>
   {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
       </div>
       <div class="row mt-4 mr-2">
        <div class="table-responsive ">
             <table class="table table-bordered table-hover table-striped" id="table2excel">
      <thead class="bg-info">
         <th scope="col">م</th>
         <th scope="col">{{trans('native.TheDate')}}</th>
         <th scope="col">{{trans('native.section')}}</th>
         <th scope="col">{{trans('native.amount')}}</th>
         <th scope="col">{{trans('native.safe')}}</th>
         <th scope="col">{{trans('native.Register')}}</th>
         <th scope="col">{{trans('native.notes')}}</th>
         {{-- 
         <th scope="col">{{trans('native.delete')}}</th>
         --}}
      </thead>
      <tbody>
         @php
         $total_incomes = 0;
         @endphp
         @if (! is_null($incomes))
         @foreach ($incomes as $incom )
         @php
         $total_incomes += $incom->amount;
         @endphp
         <tr>
            <td>{{$loop->iteration}}</td>
            <td>{{$incom->import_date}}</td>
            <td>{{$incom->import_name}}</td>
            <td>{{round_money($incom->amount, true)}}</td>
            <td>{{$incom->point_name}}</td>
            <td>{{$incom->username}}</td>
            <td>{{$incom->note}}</td>
            {{-- 
            <td><a href="#" class="btn btn-danger w-75">{{trans('native.delete')}}</a></td>
            --}}
         </tr>
         @endforeach
         <tr class="bg-success text-white">
            <td>
               الاجمالي
            </td>
            <td colspan="6" class="text-center">
               {{ $total_incomes }}
            </td>
         </tr>
         @endif
      </tbody>
   </table> 
        </div>
 
       </div>

            </div>
@endsection
@section('css-scripts')
<link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
@endsection
@section('js-scripts')
@include('master::js.export-functions')
<script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
<script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></>
   <script src="{{ asset('tickets/jquery.timepicker.js') }}">
</script>
<script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
<script src="{{ asset('tickets/datepair.js') }}"></script>
<script src="{{ asset('tickets/scanner.js') }}"></script>
<script src="{{ asset('js/reports/columnsControls.js') }}"></script>
<script>
   $(function () {
   
   
           $(".date").calendarsPicker({
               calendar: $.calendars.instance('gregorian'),
               dateFormat: 'Y-mm-dd',
   
           });
   
   
   })
   
               // added
           $('#select_viewed_cols').html(
               getColsControls(2)
           );
   
</script>
@endsection