@extends('master::layouts.master')

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
    <style>

        .add-percent{
            border-radius: 8px;
            padding: px;
        }
        .mb-1_5 {
            margin-bottom: 0.5rem;
        }
        .pt-1_5 {
            padding-top: 0.35rem !important;
        }
        .div .col-form-label {
            padding-top: 0;
        }


    </style>
@endsection
@section('content')
    <div class="container">
        <div>
            <h2 class="text-info" id="title_text">
                {{ trans('reports.installed.sales') }}
            </h2>
        </div>
        <div class="row mt-4">
            <form method="get" class="col-md-12">
                <div class="card card-success">

                    <div class="row justify-content-center p-2">

                        {{-- From --}}
                        <div class="col-md-3">
                            <div class="form-group row">
                                <div class="col-12">
                                    <input type="text" id="start_date"  name="start_date" data-old="start_date"
                                        class="form-control input-sm input-light date is-datepicker mt-2" value="{{ request('start_date')??today()->format('Y-m-d') }}" placeholder="{{trans('reports.installed.from')}}">
                                    <span>
                                        <i class="fa fa-calendar-alt calendar-icon"></i>
                                    </span>
                                </div>

                            </div>
                        </div>

                        {{-- To --}}
                        <div class="col-md-3">
                            <div class="form-group row">
                                
                                <div class="col-12">
                                    <input type="text" id="end_date"  name="end_date" data-old=""
                                        class="form-control input-sm input-light date is-datepicker mt-2" value="{{ request('end_date')??today()->format('Y-m-d') }}" placeholder="{{ trans('reports.to') }}">
                                    <span>
                                        <i class="fa fa-calendar-alt calendar-icon"></i>
                                    </span>
                                </div>

                            </div>
                        </div>

                        {{-- Invoice.No --}}
                        <div class="col-md-3">
                            <input type="text" name="invoice_no" id="invoice_no" class="form-control input-sm input-light mt-2" placeholder="{{ trans('reports.installed.no') }}" >
                        </div>

                        {{-- Clients --}}
                        <div class="col-md-3">
                            <div class="form-group row">
                                <div class="col-9">
                                    <select name="client_id" id="client_id" class="form-control input-sm input-light select2  mt-2 padding-select selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}">
                                        <option value="-1" @if (  !request('client_id') || request('client_id') == -1 ) {{ "selected" }} @endif> كل العملاء</option>
                                        @foreach ($clients as $client)
                                            <option value="{{ $client->id }}" @if ( $client->id == request('client_id')) {{ "selected" }} @endif> {{ $client->client_name }} </option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="col-3">
                                    <button type="submit" class="text-center btn btn-success add-percent mt-2">
                                    <i class="fa fa-search"> </i>
                                    </button>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </form>
        </div>

        <table class="table table-striped mt-4 table2excel text-center" id="main_table">
            <div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
                <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2">{{ trans('extends.print') }} </button>
                <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2">{{ trans('extends.toExcel') }} </button>
                {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
            </div>
            <thead class="bg-info text-white">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">{{ trans('reports.installed.no') }}</th>
                    <th scope="col">{{ trans('reports.installed.client') }}</th>
                    <th scope="col">{{ trans('reports.installed.net') }}</th>
                    <th scope="col">{{ trans('reports.installed.paid') }}</th>
                    <th scope="col">{{ trans('reports.installed.rest') }}</th>
                    <th scope="col">{{ trans('reports.installed.actions') }}</th>
                </tr>
            </thead>
            <tbody>
                @php
                    $total_net = $total_payment = $total_rest = 0;
                @endphp

                @forelse ($invoices as $invoice)
                    @php
                        $total_net += $invoice->net_price;
                        $total_payment += $invoice->payment;
                        $total_rest += $invoice->rest;
                    @endphp
                    <tr>
                        <td scope="row">{{ $loop->iteration }}</td>
                        <td> {{ $invoice->bill_no }} </td>
                        <td> {{ $invoice->client->client_name }} </td>
                        <td> {{ round_money($invoice->net_price, true) }} </td>
                        <td> {{ round_money($invoice->payment, true) }} </td>
                        <td> {{ round_money($invoice->rest, true)}} </td>
                        <td>
                            @if ($invoice->installments_count > 0)
                                <a target="_blank" href="{{route('clientinstalments.index',
                                [
                                    'supplier'=> $invoice->client->id,
                                    'bill'  => $invoice->id
                                ])}}" class="btn btn-secondary">
                                    <i class="fa fa-plus-circle mt-1"></i>
                                    سداد اقساط
                                </a>
                            @else
                                {{-- <a href="" data-target="#payInvoice" data-toggle="modal" data-invoice="{{$invoice}}"  class="btn btn-secondary pay-invoice">
                                    <i class="fa fa-plus-circle mt-1"></i> سداد فاتورة
                                </a> --}}
                                @if(authorized('can_show_debentures_cash_receipt'))
                                <a target="_blank" href='{{route('debentures.cash-receipt')}}?bill={{$invoice->id}}' class="btn btn-secondary">
                                    سداد فاتورة
                                </a>
                                @endif
                            @endif
                        </td>
                    </tr>
                @empty
                <tr>
                    <td colspan="10" style="text-align: center">
                        لا يوجد نتائج لهذا البحث
                    </td>
                </tr>
                @endforelse
                @if ($total_net)
                    <tr class="bg-info text-white">
                        <td colspan="3" class="font-weight-bold">الاجمالي</td>
                        <td>{{ round_money($total_net)  }}</td>
                        <td>{{ round_money($total_payment, true) }}</td>
                        <td>{{ round_money($total_rest)  }}</td>
                        <td></td>
                    </tr>
                @endif
            </tbody>
        </table>
        
    </div>
    {{-- Pagination --}}
    @notnull($invoices)
        <div class="row justify-content-center">{{ $invoices->appends(request()->query())->links() }}</div>
    @endnotnull

    {{-- @include('salesreport::installed_invoices.pay_invoice_modal'); --}}

@endsection

@section('js-scripts')
    @include('master::js.export-functions')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>


    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>
    <script src="{{ asset('js/reports/columnsControls.js') }}"></script>

    <script>

        $(function () {

             if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {

                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',

                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',

                });
            }

        });

        $(document).on('change', '#start_date, #end_date' , function() {
                var start = $('#start_date').val();
                var end = $('#end_date').val();
                var changed = {
                    'start_date' : 'start',
                    'end_date': 'end'
                };

                if ( ! valid_dates(start, end, changed[ $(this).attr('id') ] ) )
                {
                    $(this).val( $(this).data('old') );
                }
                else {
                    $(this).data('old', $(this).val());
                }

            });

            function valid_dates(start_date, end_date, current) {

                if (start_date > end_date) {
                    alert_date(current);
                    return false;
                }

                return true;
            }

            function alert_date(current)
            {
                var msg_details = {
                    'start' : { 'changed': 'البداية', 'relation': 'أصغر' , 'target': 'النهاية'},
                    'end' : { 'changed': 'النهاية', 'relation': 'أكبر' , 'target': 'البداية'}
                };

                alert('تاريخ '+ msg_details[current]['changed'] +' يجب أن يكون '+ msg_details[current]['relation'] +' من تاريخ '+ msg_details[current]['target'] );

            }

    </script>
    {{-- <script>
        let _invoice;
        $('.pay-invoice').click(function(){
            _invoice = $(this).data('invoice');
            let amount =  _invoice.rest;
            let invoiceId =  _invoice.id;

            let paymentAmountDiv = `<div class="form-group row" id="payment_amount">
                                        <label class="col-3" for="payment_amount">المبلغ المدفوع</label>
                                        <div class="col-8">
                                            <input type="number" name="payment_amount" value="${amount}" class="form-control">
                                        </div>
                                        <div>
                                            <p>{{ get_session_val('currency', 'string') }}</p>
                                        </div>
                                        <input type="hidden" name="invoice_id" value="${invoiceId}"
                                    </div>`;
            $('#payment_amount').html(paymentAmountDiv);
        });
    </script> --}}
@endsection


