@extends('master::layouts.master')

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
    <style>

        .add-percent{
            border-radius: 8px;
            padding: px;
        }
        .mb-1_5 {
            margin-bottom: 0.5rem;
        }
        .pt-1_5 {
            padding-top: 0.35rem !important;
        }
        .div .col-form-label {
            padding-top: 0;
        }


    </style>
@endsection
@section('content')
    <div class="container">
        <div>
            <h2 class="text-info" id="title_text">
                {{ trans('reports.installments-add') }}
            </h2>
        </div>
        <div class="row mt-4">
            <form method="get" class="col-md-12">
                <div class="card card-success">

                    <div class="row align-items-center justify-content-around p-2">

                        {{-- From --}}
                        <div class="col-md-3">
                            <div class="form-group row">
                                <div class="col-12">
                                    <label class="">من</label>
                                    <input type="text" id="start_date"  name="start_date" data-old="start_date"
                                        class="form-control input-sm input-light date is-datepicker" value="{{ request('start_date')??today()->format('Y-m-d') }}" placeholder="{{trans('reports.installed.from')}}">
                                    <span>
                                        <i class="fa fa-calendar-alt calendar-icon"></i>
                                    </span>
                                </div>

                            </div>
                        </div>

                        {{-- To --}}
                        <div class="col-md-3">
                            <div class="form-group row">
                                
                                <div class="col-12">
                                    <label class="">الي</label>
                                    <input type="text" id="end_date"  name="end_date" data-old=""
                                        class="form-control input-sm input-light date is-datepicker" value="{{ request('end_date')??today()->format('Y-m-d') }}" placeholder="{{ trans('reports.to') }}">
                                    <span>
                                        <i class="fa fa-calendar-alt calendar-icon"></i>
                                    </span>
                                </div>

                            </div>
                        </div>

                        <div class="col-md-3">
                            <button type="submit" class="w-100 text-center btn btn-success add-percent">
                                <i class="fa fa-search"> </i>
                            </button>
                        </div>

                    </div>
                </div>
            </form>
        </div>

        <table class="table table-striped mt-4 table2excel text-center" id="main_table">
            <div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
                <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2 mr-2">{{ trans('extends.print') }} </button>
                <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2 mr-2">{{ trans('extends.toExcel') }} </button>
                {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
            </div>
            <thead class="bg-info text-white">
                <tr>
                    <th>#</th>
                    <th>{{ trans('reports.date')}}</th>
                    <th>{{ trans('reports.invoice-no')}}</th>
                    <th>{{ trans('reports.total')}}</th>
                    <th>{{ trans('reports.add')}}</th>
                    {{-- <th>{{ trans('reports.sales-total') }}</th>
                    <th>{{ trans('reports.imports-total') }}</th> --}}
                </tr>
            </thead>
            <tbody>
                @php $total_invoices = $total_add = 0 ;@endphp
                @forelse ($invoices as $invoice)
                    @php
                        $add = round_money($invoice->bill_total * ( $invoice->insatllments_add / 100 ));
                        $total_invoices += $invoice->bill_total;
                        $total_add += $add;
                    @endphp
                    <tr>
                        <td> {{ $loop->iteration }}</td>
                        <td> {{ $invoice->date }}</td>
                        <td> {{ $invoice->bill_no }}</td>
                        <td> {{ $invoice->bill_total }}</td>
                        <td> {{ $add }}</td>
                    </tr>
                @empty
                <tr>
                    <td colspan="5" style="text-align: center">
                        لا يوجد مبيعات لهذه الفترة
                    </td>
                </tr>
                @endforelse
                @if ($total_invoices)
                    <tr class="bg-info text-white">
                        <td colspan="3" class="font-weight-bold">الاجمالي</td>
                        <td>{{ $total_invoices  }}</td>
                        <td>{{ $total_add }}</td>
                    </tr>
                @endif
            </tbody>
        </table>
        
    </div>
    {{-- Pagination --}}
    
    @notnull($invoices)
        <div class="row justify-content-center">{{ $invoices->appends(request()->query())->links() }}</div>
    @endnotnull

    {{-- @include('salesreport::installed_invoices.pay_invoice_modal'); --}}

@endsection

@section('js-scripts')
    @include('master::js.export-functions')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>


    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>
    <script src="{{ asset('js/reports/columnsControls.js') }}"></script>

    <script>

        $(function () {

             if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {

                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',

                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',

                });
            }

        });

        $(document).on('change', '#start_date, #end_date' , function() {
                var start = $('#start_date').val();
                var end = $('#end_date').val();
                var changed = {
                    'start_date' : 'start',
                    'end_date': 'end'
                };

                if ( ! valid_dates(start, end, changed[ $(this).attr('id') ] ) )
                {
                    $(this).val( $(this).data('old') );
                }
                else {
                    $(this).data('old', $(this).val());
                }

            });

            function valid_dates(start_date, end_date, current) {

                if (start_date > end_date) {
                    alert_date(current);
                    return false;
                }

                return true;
            }

            function alert_date(current)
            {
                var msg_details = {
                    'start' : { 'changed': 'البداية', 'relation': 'أصغر' , 'target': 'النهاية'},
                    'end' : { 'changed': 'النهاية', 'relation': 'أكبر' , 'target': 'البداية'}
                };

                alert('تاريخ '+ msg_details[current]['changed'] +' يجب أن يكون '+ msg_details[current]['relation'] +' من تاريخ '+ msg_details[current]['target'] );

            }

    </script>
@endsection


