@extends('master::layouts.master')

@section('content')
<div class="card card-light mb-1_5 p-3">

    <div class="container-fluid">
        <div class="row">
            {{-- <h2 id="details">
                <span id="date"
                    class="text-primary">{{ __('reports.items_inventory_date', ['date' => now()->format('Y-m-d')]) }}</span>
            </h2> --}}
            <div>
                <h2 class="text-info" id="title_text">
                    {{ __('reports.items_inventory_date', ['date' => now()->format('Y-m-d')]) }}
                </h2>
            </div>
            <form class="col-md-12 mt-2 hidden-print custome-form">
                <div class="form-row row">
                    <div class="form-group col-md-4">
                        <label class="control-label">{{ __('reports.store') }} :</label>
                        <select class="form-control selectpicker col-md-12 items---" data-none-selected-text="{{ trans('native.no-selected') }}" name="store_id" id="store_id">
                            @if (auth()->user()->change_store == '1')
                                <option @if (request('store_id') == '-1') selected @endif
                                    data-name="{{ __('reports.all_stores') }}" value="-1">
                                    {{ __('reports.all_stores') }}</option>
                            @endif
                            @foreach ($stores as $store)
                                <option @if ($store->id == request('store_id')) selected @endif
                                    data-name="{{ $store->store_name }}" value="{{ $store->id }}">
                                    {{ $store->store_name }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group col-md-4">
                        <label class="control-label">{{ __('reports.supplier') }} :</label>
                        <select class="form-control selectpicker col-md-12 items---" data-none-selected-text="{{ trans('native.no-selected') }}" name="supplier_id" id="supplier_id">
                            <option @if (request('supplier_id') == '-1') selected @endif
                                data-name="{{ __('reports.all_suppliers') }}" value="-1">
                                {{ __('reports.all_suppliers') }}</option>
                            @foreach ($suppliers as $supplier)
                                <option @if ($supplier->id == request('supplier_id')) selected @endif
                                    data-name="{{ $supplier->supplier_name }}" value="{{ $supplier->id }}">
                                    {{ $supplier->supplier_name }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group col-md-4">
                        <label class="control-label">{{ __('reports.category') }} :</label>
                        <select class="form-control selectpicker col-md-12 items---" data-none-selected-text="{{ trans('native.no-selected') }}" name="category_id" id="category_id">
                            <option @if (request('category_id') == '-1') selected @endif
                                data-name="{{ __('reports.all_categories') }}" value="-1">
                                {{ __('reports.all_categories') }}</option>
                            @foreach ($categories as $category)
                                <option @if ($category->id == request('category_id')) selected @endif data-name="{{ $category->name }}"
                                    value="{{ $category->id }}">{{ $category->name }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-row row">
                    <div class="form-group col-md-4">
                        <label class="control-label">{{ __('reports.name_description') }} :</label>
                        <input class="form-control col-md-12" type="text" name="item_name"
                            value="{{ request('item_name') }}">
                    </div>
                    <div class="form-group col-md-4">
                        <label class="control-label">{{ __('reports.sort') }} :</label>
                        <select class="form-control col-md-12 selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}" name="order" id="order">
                            <option @if (request('order') == 'item_name') selected @endif value="item_name">
                                {{ __('reports.alphabetic') }}</option>
                            <option @if (request('order') == 'barcode') selected @endif value="barcode">
                                {{ __('reports.barcode') }}</option>
                            <option @if (request('order') == 'quantity') selected @endif value="quantity">
                                {{ __('reports.amount') }}</option>
                            <option @if (request('order') == 'add_date') selected @endif value="add_date">
                                {{ __('reports.added_date') }}</option>
                        </select>
                    </div>

                    @if ($item_factory == 1)
                        <div class="form-group col-md-4">
                            <label class="control-label">{{ __('reports.factory') }} :</label>
                            <select class="form-control col-md-12 selectpicker items---" data-none-selected-text="{{ trans('native.no-selected') }}" name="factory" id="factory">
                                <option @if (request('factory') == '-1') selected @endif value="-1">
                                    {{ __('reports.all_factory') }}</option>
                                @foreach ($factories as $factory)
                                    <option @if (request('factory') == $factory->id) selected @endif
                                        value="{{ $factory->id }}">{{ $factory->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    @endif

                    @if ($multi_price == 1)
                        <div class="form-group col-md-4">
                            <label class="control-label">{{ __('reports.prices') }} :</label>
                            <select class="form-control col-md-12 selectpicker items---" data-none-selected-text="{{ trans('native.no-selected') }}" name="prices" id="prices">
                                <option value="-1">{{ __('reports.all_prices') }}</option>
                                @foreach ($prices_list as $list)
                                    <option @if ($list->id == request('prices')) selected @endif
                                        value="{{ $list->id }}">{{ $list->list_name }}</option>
                                @endforeach
                            </select>
                        </div>
                    @endif
                </div>
                <div class="form-row row justify-content-end">
                    <button type="submit" class="btn btn-primary hidden-print">{{ __('reports.search') }}</button>
                    @if (auth()->user()->watch == 1)
                        {{-- <a class="btn btn-info hidden-print excelbtn mr-1 text-white"><i
                                class="fa fa-file-excel-o"></i>{{ __('reports.excel_sheet') }}</a> --}}
                        {{-- <a class="btn btn-success printed_details hidden-print mr-1 text-white"><i class="fa fa-print"></i>
                            {{ __('reports.print') }}</a> --}}
                    @endif
                </div>
            </form>
        </div>
        <div class="row hidden-print mt-3 mb-1">

    <div class="col-md-12">
            <div class="form-check form-check-inline check-list">
                <label class="ml-2"><input type="checkbox" id="item_colum" class="checkbox_item"checked>
                    {{ __('reports.item_name') }}</label>
                <label class="ml-2"><input type="checkbox" id="barcode" class="checkbox_item" checked>
                    {{ __('reports.barcode') }}</label>
                <label class="ml-2"><input type="checkbox" id="about" class="checkbox_item" checked>
                    {{ __('reports.description') }}</label>
                <label class="ml-2"><input type="checkbox" id="category" class="checkbox_item" checked>
                    {{ __('reports.category') }}</label>

                @if ($color_size == 1)
                    <label><input type="checkbox" id="size" class="checkbox_item" checked>
                        {{ __('reports.size') }}</label>
                @endif

                <label class="ml-2"><input type="checkbox" id="quantity" class="checkbox_item" checked>
                    {{ __('reports.amount') }}</label>
                <label class="ml-2"><input type="checkbox" id="sale_price" class="checkbox_item" checked>
                    {{ __('reports.item_pay_price') }}</label>
                <label class="ml-2"><input type="checkbox" id="total_sale_price" class="checkbox_item" checked>
                    {{ __('reports.total_pay') }}</label>

                @if (auth()->user()->show_pay_price == 1)
                    <label class="ml-2"><input type="checkbox" id="pay_price" class="checkbox_item" checked>
                        {{ __('reports.item_sale_price') }}</label>
                    <label class="ml-2"><input type="checkbox" id="total_pay_price" class="checkbox_item" checked>
                        {{ __('reports.total_sale') }}</label>
                @endif

                @if ($multi_price == 1)
                    <label class="ml-2"><input type="checkbox" id="prices_list" class="checkbox_item" checked>
                        {{ __('reports.prices') }}</label>
                @endif

                <label class="ml-2"><input type="checkbox" id="explanation_" class="checkbox_item" checked>
                    {{ __('reports.explanation') }}</label>
                <label class="ml-2"><input type="checkbox" id="zero" class="checkbox_item">
                    {{ __('reports.hide_zero_amounts') }}</label>

                @if ($item_code == 1)
                    <label class="ml-2"><input type="checkbox" id="sale_code" class="checkbox_item" checked>
                        {{ __('native.show_sale_code') }}</label>
                    <label class="ml-2"><input type="checkbox" id="purchase_code" class="checkbox_item" checked>
                        {{ __('native.show_purchase_code') }}</label>
                @endif
            </div>
    </div>
        
        </div>
        <div class="my-3 hidden-print row" style="display: flex; justify-content: space-evenly;">
            <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2 mb-2">{{ trans('extends.print') }} </button>
            <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2 mb-2">{{ trans('extends.toExcel') }} </button>
            {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
        </div>

           <div class="table-responsive transacton-table">

        <table class="table table-bordered table-striped table-hover bg-white table2excel">
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th class="item_colum">{{ __('reports.item_name') }}</th>

                    @if ($show_item_serial == 1)
                        <th class="item_colum">عدد مسلسلات الصنف</th>
                    @endif

                    <th class="barcode" width="7%">{{ __('reports.barcode') }}</th>
                    <th class="about">{{ __('reports.description') }}</th>
                    <th class="category">{{ __('reports.category') }}</th>

                    @if ($color_size == 1)
                        <th class="size">{{ __('native.the_size') }}</th>
                    @endif

                    <th class="quantity" width="7%">{{ __('reports.amount') }}</th>
                    <th class="sale_price">{{ __('reports.item_pay_price') }}</th>
                    <th class="total_sale_price">{{ __('reports.stock_sale_price') }}</th>
                    @if (auth()->user()->show_pay_price == 1)
                        <th class="pay_price">{{ __('reports.item_sale_price') }}</th>
                        <th class="total_pay_price">{{ __('reports.stock_pay_price') }}</th>
                    @endif

                    @if ($multi_price == 1)
                        @foreach ($prices_list as $list)
                            <th
                                @if (!in_array(request('prices'), ['-1', null, '', $list->id])) class="prices_list hidden" @else class="prices_list" @endif>
                                {{ $list->list_name }}</th>
                        @endforeach
                    @endif

                    @if ($item_code == 1)
                        <th class="sale_code">{{ __('native.sale_item_code') }}</th>
                        <th class="purchase_code">{{ __('native.purchase_item_code') }}</th>
                    @endif
                    <th class="explanation_">{{ __('reports.explanation') }}</th>
                </tr>
            </thead>
            <tbody>
                @forelse($items as $item)
                    <tr @if ($item->quantity == 0) class="zero" @endif>
                        <td>{{ $loop->iteration }}</td>
                        <td class="item_colum">{{ in_array($item->item_name, ['', null]) ? '---' : $item->item_name }}
                        </td>

                        @if ($show_item_serial == 1)
                            <td>
                                @if ($item->require_serial == 1)
                                    <a
                                        href="{{ route('reports.sold') . '?item_id=' . $item->id . '&is_sold=-1&serial=&from=&to=' }}">{{ $item->serials_count }}</a>
                                @endif
                            </td>
                        @endif

                        <td class="barcode">{{ in_array($item->barcode, ['', null]) ? '---' : $item->barcode }}</td>
                        <td class="about">{{ in_array($item->about, ['', null]) ? '---' : $item->about }}</td>
                        <td class="category">{{ in_array($item->type_name, ['', null]) ? '---' : $item->type_name }}</td>

                        @if ($color_size == 1)
                            <td class="size">{{ in_array($item->size_name, ['', null]) ? '---' : $item->size_name }}
                            </td>
                        @endif

                        <td class="quantity">{{ quant_decimal($item->quantity) }}</td>
                        <td class="sale_price">{{ price_decimal($item->sale_price) }}</td>
                        <td class="total_sale_price">{{ price_decimal($item->sale_price * $item->quantity) }}</td>

                        @if (auth()->user()->show_pay_price == 1)
                            <td class="pay_price">{{ price_decimal($item->pay_price) }}</td>
                            <td class="total_pay_price">{{ price_decimal($item->pay_price * $item->quantity) }}</td>
                        @endif

                        @if ($multi_price == 1)
                            @forelse($item->prices()->get() as $v)
                                <td
                                    @if (!in_array(request('prices'), ['-1', null, '', $v->list_id])) class="prices_list hidden" @else class="prices_list" @endif>
                                    {{ in_array($v->price, ['', null, 0]) ? '---' : price_decimal($v->price) }}</td>
                            @empty
                                @for ($i = 0; $i < count($prices_list); $i++)
                                    <td class="prices_list">---</td>
                                @endfor
                            @endforelse
                        @endif

                        @if ($item_code == 1)
                            <td class="sale_code">{{ $item->sale_code }}</td>
                            <td class="purchase_code">{{ $item->purchase_code }}</td>
                        @endif

                        <td class="explanation_">
                            {{ __('reports.the_number') }} : {{ quant_decimal($item->quantity) }}
                            {{ __('reports.in') }}
                            {{ $item->store_name == '0' ? __('reports.main_store') : $item->store_name }}
                        </td>
                    </tr>
                    <?php
                    $total_sale += price_decimal($item->sale_price * $item->quantity);
                    $total_pay += price_decimal($item->pay_price * $item->quantity);
                    $total_qty += quant_decimal($item->quantity);
                    ?>

                @empty
                    @if (request('store_id'))
                        <tr>
                            <td colspan="11" class="danger text-center">{{ __('reports.no_data') }}</td>
                        </tr>
                    @endif
                @endforelse
            </tbody>
            @if (count($items))
                <tfoot>
                    <tr class="font-weight-bold">
                        <td colspan="@if ($color_size == 1 && $show_item_serial == 1) 7 @elseif ($color_size == 1 || $show_item_serial == 1) 6 @else 5 @endif" id="total_span">
                            {{ __('reports.total_amount') }} :</td>
                        <td class="quantity">{{ $total_qty }}</td>
                        <td class="sale_price"></td>
                        <td class="total_sale_price">{{ $total_sale }}</td>

                        @if (auth()->user()->show_pay_price == 1)
                            <td class="pay_price"></td>
                            <td class="total_pay_price">{{ $total_pay }}</td>
                        @endif

                        @if ($multi_price == 1)
                            @foreach ($prices_list as $list)
                                <th
                                    @if (!in_array(request('prices'), ['-1', null, '', $list->id])) class="prices_list hidden" @else class="prices_list" @endif>
                                </th>
                            @endforeach
                        @endif
                        <td class="explanation_"></td>
                    </tr>
                </tfoot>
            @endif
        </table>
                        </div>
    </div>
                        </div>
@stop

@section('js-scripts')
    @include('master::js.export-functions')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('js/jquery.table2excel.js') }}"></script>

    <script>
        $(".excelbtn").click(function() {
            $("table").table2excel({
                // exclude CSS class
                exclude: ".noExl",
                name: "Worksheet Name",
                filename: "{{ __('reports.items_inventory') }}" //do not include extension
            });
        });

        $(document).on('click', '.printed_details', function() {
            var date = $(document).find('#date').text(),
                store = $(document).find('select#store_id option:selected').data('name'),
                supplier = $(document).find('select#supplier_id option:selected').data('name'),
                category = $(document).find('select#category_id option:selected').data('name'),
                factory = $('#factory option:selected').text();
            var html = `
                <span id="date">${date}</span>
                /{{ __('reports.store') }}:${store}/{{ __('reports.supplier') }}:${supplier}/{{ __('reports.category') }}:${category}
            `;
            if ('{{ $item_factory }}' == 1) {
                html += `/{{ __('reports.factory') }}:${factory}`;
            }
            $(document).find('#details').empty().html(html);
            window.print();
        });

        $(".checkbox_item").click(function() {
            var id = $(this).attr('id');

            if ($('#' + id).is(':checked')) {
                $("." + id).show();
                $('.' + id).removeClass('noExl');

                if (id == 'zero') {
                    $("." + id).hide();
                    $('.' + id).addClass('noExl');
                }
            } else {
                $("." + id).hide();
                $('.' + id).addClass('noExl');

                if (id == 'zero') {
                    $("." + id).show();
                    $('.' + id).removeClass('noExl');
                }
            }
        });

        $('#item_colum, #barcode, #about, #category').on('change', function(){
            
            if ($(this).is(':checked'))
            {
                changeSpan(true);
                
                if ($(this).attr('id') == 'item_colum')
                {
                    changeSpan(true);                    
                }
            }
            else {
                changeSpan();
                
                if ($(this).attr('id') == 'item_colum')
                {
                    changeSpan();                    
                }
            }

        });

        function changeSpan(increase = false)
        {
            var val = parseFloat($('#total_span').attr('colspan'));
            if (increase)
            {
                $('#total_span').attr('colspan', val + 1);
            }
            else {
                $('#total_span').attr('colspan', val - 1);
            }
        }

    </script>
@stop

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <style>
        @media print{
            .form-check-inline
            {
                display: none !important;
            }
            /* #details
            {
                display: block !important;
            } */
        }
    </style>
@stop
