@extends('master::layouts.master')
@section('content')

<div class="card card-light mb-1_5 p-3">

<div class="container-fluid">
   <div class="row" id="non-printable"></div>
    <div>
      <h2 class="text-info" id="title_text">
         {{ __('reports.item_transaction.title') }}
      </h2>
    </div>
   <form id="itemTransactionForm" class="col-md-12 mt-2 custome-form">
      <div class="form-row row" id="hidden_1">
         {{-- Item Select --}}
         <div class="form-group col-md-3">
            <label for="item_name" class="control-label">{{ __('reports.item_name') }}
            :</label>
            <select class="form-control selectpicker col-md-12"
               data-none-selected-text="{{ trans('native.no-selected') }}" id="item_id" name="item_id"
               title="{{ __('reports.item_transaction.choose_item') }}" data-live-search="true">
            <option value="-1" @if (request('item_id') == '-1') selected @endif>{{ __('extends.all') }}
            </option>
            @foreach ($items as $item)
            <option value="{{ $item->id }}" @if (request('item_id') == $item->id) selected @endif>
            {{ $item->item_name }}</option>
            @endforeach
            </select>
         </div>
         {{-- User Select --}}
         <div class="form-group col-md-3">
            <label for="client_name" class="control-label">{{ __('client.client_name') }}
            :</label>
            <select class="form-control selectpicker col-md-12"
               data-none-selected-text="{{ trans('native.no-selected') }}" id="client_name" name="client_id"
               title="{{ __('reports.item_transaction.choose_client') }}" data-live-search="true">
            @if (auth()->user()->clients_group == 0)
            <option value="-1" @if (request('client_id') == '-1') selected @endif>
            {{ __('extends.all') }}
            </option>
            @foreach ($clients as $client)
            <option value="{{ $client->id }}" @if (request('client_id') == $client->id) selected @endif>
            {{ $client->client_name }}</option>
            @endforeach
            @else
            @foreach ($clients as $client)
            <option value="{{ $client->id }}" @if (request('client_id') == $client->id) selected @endif>
            {{ $client->client_name }}</option>
            @endforeach
            @endif
            </select>
         </div>
         {{-- Store Select --}}
         <div class="form-group col-md-3">
            <label for="store_list" class="control-label">{{ __('reports.stores') }} :</label>
            <select class="form-control selectpicker col-md-12"
               data-none-selected-text="{{ trans('native.no-selected') }}" id="store_list" name="store_list"
               title="{{ __('reports.item_transaction.choose_store') }}" data-live-search="true">
               <option value="-1" @if (request('store_list') == '-1') selected @endif>
               {{ __('extends.all') }}</option>
               <!--<option value="0" @if (request('store_list') == '0') selected @endif>
                  {{ __('reports.default_store') }}</option>-->
               @foreach ($stores as $store)
               <option value="{{ $store->id }}" @if (request('store_list') == $store->id) selected @endif>
               {{ $store->store_name }}</option>
               @endforeach
            </select>
         </div>
         {{-- Transaction Type --}}
         <div class="form-group col-md-3 hiddentest">
            <label for="operation_list" class="control-label">{{ __('reports.transaction_type') }} :</label>
            <select class="form-control selectpicker col-md-12"
               data-none-selected-text="{{ trans('native.no-selected') }}" id="transaction_type"
               name="operation_list" title="{{ __('reports.item_transaction.choose_transaction_type') }}"
               data-live-search="true">
            <option value="-1" @if (request('operation_list') == '-1' || !request('operation_list')) selected @endif>
            {{ __('reports.item_transaction.transaction_type.all') }}
            </option>
            <option value="1" @if (request('operation_list') == '1') selected @endif>
            {{ __('reports.item_transaction.transaction_type.sales') }}
            </option>
            <option value="0" @if (request('operation_list') == '0') selected @endif>
            {{ __('reports.item_transaction.transaction_type.return_sales') }}
            </option>
            <option value="3" @if (request('operation_list') == '3') selected @endif>
            {{ __('reports.item_transaction.transaction_type.purchase') }}
            </option>
            <option value="5" @if (request('operation_list') == '5') selected @endif>
            {{ __('reports.item_transaction.transaction_type.return_purchase') }}</option>
            {{-- <option value="4"@if (request('operation_list') == 4) selected @endif>
            {{ __('reports.item_transaction.transaction_type.store_conversion') }}</option> --}}
            </select>
         </div>
      </div>
      <div class="form-row row">
         {{-- Date From --}}
         <div class="form-group col-md-3 testdate">
            <label for="dateFrom" class="control-label">{{ __('reports.dateFrom') }} :</label>
            <input type="text" name="date_start" id="date_start" class="form-control col-md-12 date"
               value="{{ request('date_start') }}">
         </div>
         {{-- Date To --}}
         <div class="form-group col-md-3 testdate">
            <label for="dateTo" class="control-label">{{ __('reports.dateTo') }} :</label>
            <input type="text" name="date_end" id="date_end" class="form-control col-md-12 date"
               value="{{ request('date_end') ?? now()->format('Y-m-d') }}">
         </div>
         {{-- Submit --}}
         <div class="form-group col-md-6 hidden-print d-flex flex-column justify-content-end" id="hidden_2">
            <div class="form-row row">
               <button type="submit" class="btn btn-primary float-right"
                  id="itemTransactionBtn">{{ __('reports.search') }}</button>
               <div class="mr-auto">
                  <input type="button" class="btn btn-success" onClick="window.print();"
                     value="{{ __('reports.item_transaction.print') }}">
                  <button id="export-table"
                     class="btn btn-primary">{{ __('reports.item_transaction.export_excel') }}
                  </button>
                  {{-- <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2">{{ trans('extends.toExcel') }} </button> --}}
                  {{-- <button type="button"
                     class="btn btn-danger pdfBtn">{{ __('reports.item_transaction.export_pdf') }}</button> --}}
               </div>
            </div>
         </div>
      </div>
      {{-- aaded --}}
      <div class="col-md-4 d-flex mt-4">
         <div class="col-md-4" id="hidden_3">
            <label for="select_viewed_cols"> {{ trans('reports.rejected_previewed_columns') }} </label>
         </div>
         <div class="col-md-2" id="hidden_3">
            <select id="select_viewed_cols" class="selectpicker"
               data-none-selected-text="{{ trans('native.no-selected') }}" multiple data-live-search="true">
            </select>
         </div>
      </div>
   </form>
 
   <div class="table-responsive transacton-table">
    <table class="table table-hover table-bordered table-striped bg-white print-container mt-3"
   style="
   margin-bottom: 5px; " id="table2excel">
   <thead>
      <tr class="info">
         <th scope="col">#</th>
         <th scope="col">{{ __('reports.item_transaction.date_time') }}</th>
         <th scope="col">{{ __('reports.item_transaction.quantity') }}</th>
         <th scope="col">{{ __('reports.item_transaction.price') }}</th>
         <th scope="col">{{ __('reports.item_transaction.report') }}</th>
         <th scope="col">{{ __('reports.item_transaction.remaining_balance') }}</th>
         @if (!request()->has('store_list') || request()->store_list == -1)
         <th scope="col">{{ __('reports.stores') }}</th>
         @endif
         <th scope="col">{{ __('reports.item_transaction.by') }}</th>
      </tr>
   </thead>
   <tbody>
      @if (count($results) > 0)
      @foreach ($results as $result)
      <tr>
         @php
         $price = $result->price + $result->vat_weight;
         @endphp
         <td>{{ $loop->iteration }}</td>
         <td>{{ $result->transaction_date }}</td>
         <td>{{ $result->quantity }}</td>
         <td>{{ round_money($price) }}</td>
         <td>{!! $result->details_link !!}</td>
         <td>{{ $result->new_quantity }}</td>
         @if (!request()->has('store_list') || request()->store_list == -1)
         <td>{{ $result->store_name }}</td>
         @endif
         <td> {{ $result->user_name }} </td>
      </tr>
      @endforeach
      @else
      <tr>
         <td colspan="10" class="text-center">{{ __('reports.no_data') }}</td>
      </tr>
      @endif
   </tbody>
   <tfoot>
      <tr class="font-weight-bold">
         <td colspan="2">{{ __('reports.total_sale') }}</td>
         <td class="hidden"></td>
         <td>{{ $total_qant_sale }}</td>
         <td>{{ round_money($total_price_sale, true) }}</td>
         <td colspan="4"></td>
      </tr>
      <tr class="font-weight-bold">
         <td colspan="2">{{ __('reports.total_pay') }}</td>
         <td class="hidden"></td>
         <td>{{ $total_qant_income }}</td>
         <td>{{ round_money($total_price_income, true) }}</td>
         <td colspan="4"></td>
      </tr>
   </tfoot>
</table>
   </div>

</div>
</div>
@stop
@section('js-scripts')
@include('master::js.export-functions')
<script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
<script src="{{ asset('js/jquery.table2excel.js') }}"></script>
<script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
<script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
<!--<script src="https://code.jquery.com/jquery-3.6.1.min.js"
   integrity="sha256-o88AwQnZB+VDvE9tvIXrMQaPlFFSUTR+nldQm1LuPXQ=" crossorigin="anonymous"></script>
       <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>-->
<script>
   $(document).ready(function() {
       $.ajaxSetup({
           headers: {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
           }
       });
       //$('#table2excel').DataTable();
       $('.selectpicker').selectpicker({
           style: 'btn-default',
           size: 8
       });
   
       $(".date").calendarsPicker({
           calendar: $.calendars.instance('gregorian'),
           dateFormat: 'Y-mm-dd',
           defaultDate: "0",
       });
   
   });
   
   $("#searchcat").change(function(e) {
       e.preventDefault();
       $('#search').removeAttr('disabled');
   });
</script>
<script>
   function printDiv(table2excel) {
       var printContents = document.getElementById(divName).innerHTML;
       var originalContents = document.body.innerHTML;
   
       document.body.innerHTML = printContents;
   
       window.print();
   
       document.body.innerHTML = originalContents;
   
   }
</script>
<script>
   function toExcel() {
       var table = $('#table2excel');
       if (table && table.length) {
           var preserveColors = (table.hasClass('table2excel_with_colors') ? true : false);
           $(table).table2excel({
               exclude: ".noExl",
               name: "Excel Document Name",
               filename: "item_transaction_" + new Date().toISOString().replace(/[\-\:\.]/g, "") + ".xlsx",
               fileext: ".xlsx",
               exclude_img: true,
               exclude_links: true,
               exclude_inputs: true,
               preserveColors: preserveColors
           });
       }
   }
   
   $(".pdfBtn").click(function() {
       $(this).html('<i class="fa fa-spinner fa-spin"></i>');
       $(this).attr('disabled', 'disabled');
   
       var from = $('#date_start').val();
       var to = $('#date_end').val();
   
       $(document).find('a').removeAttr('href');
       var item = $('#items_list option:selected').text();
       var the_content =
           `<p>{{ __('reports.item_transaction.title') }} ${item} __('reports.dateFrom') ${from} __('reports.dateTo') ${to}</p>`;
   
       the_content += '<table>' + $(document).find('#left_content').find('table').html() + '</table>';
       the_content += `<style>
                   table, th, td {
                       border: 1px solid black;
                   }
               </style>`;
       content = the_content;
       shop_id = "{{ get_session_val('serial_id', 'integer') }}";
   
       var font_size = '8';
       exportToPDF(content, font_size);
   });
</script>
<script>
   function printDiv(divName) {
       var printContents = document.getElementById(divName).innerHTML;
       var originalContents = document.body.innerHTML;
   
       document.body.innerHTML = printContents;
   
       window.print();
   
       document.body.innerHTML = originalContents;
   }
</script>
<script>
   let old_rejected_cols = [];
   
   $(function() {
       $("#itemTransactionBtn").on('click', function(e) {
           e.preventDefault();
           var date_start = $('#date_start').val();
           var date_end = $("#date_end").val();
           var item_id = $("#item_id").val();
           var store_list = $("#store_list").val();
   
           if (['', ' ', null, undefined].includes(item_id) && ['', ' ', null, undefined].includes(
                   date_end) && ['', ' ', null, undefined].includes(date_start)) {
               alert("{{ __('reports.select_details') }}");
           } else if (['', ' ', null, undefined].includes(item_id)) {
               alert("{{ __('reports.select_item') }}");
           } else if (['', ' ', null, undefined].includes(date_start)) {
               alert("{{ __('reports.select_start_date') }}");
           } else if (['', ' ', null, undefined].includes(date_end)) {
               alert("{{ __('reports.select_end_date') }}");
           } else if (['', ' ', null, undefined].includes(store_list)) {
               alert("{{ __('reports.select_store') }}");
           } else {
               $("#itemTransactionForm").submit();
           }
       });
   
   
   });
   
   // added
   $('#select_viewed_cols').html(
       getColsControls(2)
   );
   
   function getColsControls() {
       let cols = $('#table2excel thead th');
       let generated_html = '';
   
       for (let index = 1; index <= cols.length; index++) {
           generated_html += createOption(index, $(cols[index]).text());
       }
       return generated_html;
   }
   
   function createOption(index, value) {
       index += 1;
       return '<option value="' + index + '">' + value + '</option>';
   }
   
   $('#select_viewed_cols').on('change', function() {
       rejected_cols = $(this).val();
       for (let index = 0; index < rejected_cols.length; index++) {
           hideColumn(rejected_cols[index]);
       }
       reShowHiddenColumns(rejected_cols);
   });
   
   function reShowHiddenColumns(rejected_cols) {
       let difference = old_rejected_cols.filter(index => !rejected_cols.includes(index));
       old_rejected_cols = rejected_cols;
   
       for (let index = 0; index < difference.length; index++) {
           showColumn(difference[index]);
       }
   }
   
   function hideColumn(index) {
       $('th:nth-child(' + index + ')').hide();
       $('td:nth-child(' + index + ')').hide();
   }
   
   function showColumn(index) {
       $('th:nth-child(' + index + ')').show();
       $('td:nth-child(' + index + ')').show();
   }
</script>
@endsection
@section('css-scripts')
<link href="https://cdn.datatables.net/1.12.1/css/jquery.dataTables.min.css" rel="stylesheet">
<link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
@stop