@extends('master::layouts.master')
@section('css-scripts')
<style>
   .d__flex {
   display: flex;
   justify-content: space-between;
   }
</style>
<style type="text/css">
   @media print {
   th {
   color: #444141;
   }
   #export-table {
   display: none !important;
   }
   .excelbtn {
   display: none;
   }
   .print_btn {
   display: none !important;
   }
   #submit {
   display: none !important;
   }
   #hide_zero {
   display: none !important;
   }
   }
</style>
@endsection
@section('content')

    <div class="card card-light mb-1_5 p-3">

<div>
   <h2 class="text-info" id="title_text">
      تقرير جرد الأصناف بالوحدات
   </h2>
</div>
<form method="get" class="well" style="overflow: visible;">
   <div class="row my-4">
      <div class="col-md-4 form-inline mb-3">
         <label class="col-4">
         {{ __('native.store') }}
         </label>
         <select id="store" name="store" class="form-control selectpicker items--- col-8"
            data-none-selected-text="{{ trans('native.no-selected') }}" data-live-search="true"
            data-none-selected-text="{{ __('native.choose_store') }}">
            <option value="0">{{ __('native.must_choose_store') }}</option>
            @foreach ($stores as $store)
            <option value="{{ $store->id }}"
            {{ request('store') && request('store') == $store->id ? 'selected' : '' }}>
            {{ $store->store_name }}
            </option>
            @endforeach
         </select>
      </div>
      <div class="col-md-4 form-inline mb-3">
         <label class="col-4">
         {{ __('native.item') }}
         </label>
         <select id="item" name="item" class="form-control col-8">
            @if( request('store'))
            <option value="0">{{ __('native.All') }}</option>
            @foreach ($items as $item)
            <option value="{{ $item->id }}"
            {{ request('item') && request('item') == $item->id ? 'selected' : '' }}>
            {{ $item->item_name }}
            </option>
            @endforeach
            @endif
         </select>
      </div>
      <div class="col-md-2  form-inline mb-3">
         <label class="text-white col-4">
         -
         </label>
         <button type="submit" id="submit" class="btn btn-info col-8">{{ __('native.show') }}</button>
      </div>
   </div>
</form>
<label style="margin-right: 75px;" id="hide_zero">
<input type="checkbox" id="toggle-hidden-zero-qty">
إخفاء الصفوف التي تحتوي على كمية صفر
</label>
{{-- 
<div class="hidden raw hidden-print">
   <input type="button" class="btn  btn-success " onclick="window.print();" value="{{__('native.print')}}" />
   <input type="button" class="btn btn-primary excelbtn" value="{{__('native.export_excel')}}" />
   <button type="button" class="btn btn-danger pdfBtn">
   {{__('extends.toPDF')}}
   </button>
</div>
--}}
<div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
   <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2 mr-2">{{ trans('extends.print') }}
   </button>
   <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2 mr-2">{{ trans('extends.toExcel') }}
   </button>
   {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
</div>
<div class="row">
   <div class="table-responsive col-md-12 ">
       <table class="table table-bordered table-striped table-hover bg-white table2excel" id="main_table">
      <thead class="bg-info text-white">
         <tr>
            <th scope="col">#</th>
            <th scope="col"> اسم الصنف</th>
            <th class="item_colum">{{ __('reports.main_unit') }}</th>
            <th class="item_colum">{{ __('reports.sub_unit') }}</th>
            {{-- 
            <th scope="col"> الكمية</th>
            --}}
         </tr>
      </thead>
      <tbody style="text-align: center;">
         @forelse ($results as $result)
         <tr data-total-qty="{{ $result->quantity != 0 ? $result->quantity : 0 }}">
            <td>{{ $loop->iteration }}</td>
            <td>{{ $result->item_name }}</td>
            <td>{{ '(' . quant_decimal($result->quantity) . ')     ' . $result->units->name }}</td>
            <td>{{ $result->unit_group ? '(' . $result->unit_group . ')' : 'لا يوجد للصنف وحده فرعيه' }}</td>
            {{-- 
            <td>{{round_quantity($result->total_qty, true)}}</td>
            --}}
         </tr>
         @empty
         <tr>
            <td colspan="4">
               لا يوجد نتائج
            </td>
         </tr>
         @endforelse
      </tbody>
   </table>
   </div>
  
</div>
@stop
@section('js-scripts')
@include('master::js.export-functions')
<script>
   $(function() {
       $('#toggle-hidden-zero-qty').on('change', function() {
           if ($(this).is(':checked')) {
               $(document).find('tr[data-total-qty="0"]').hide();
           } else {
               $(document).find('tr[data-total-qty="0"]').show();
           }
       });
       $('#store').on('change', function() {
           var store = this.value;
           if (store == '') return ;
           $('#item').html('');
           $.ajax({
               url: "{{ route('salesreports.getItems') }}?store=" + store,
               type: 'get',
               success: function(res) {
                   $('#item').html('<option value="0">{{ __('native.All') }}</option>');
                   let selected_id = "{{ request('item') }}";
                   $.each(res, function(key, value) {
                       $('#item').append(`<option  ${selected_id == value.id ? 'selected' : ''} value="${value.id}">${value.item_name}</option>`);
                   });
               }
           });
       });
   
       $('#store').change();
   });
</script>
@endsection