@extends('master::layouts.master')

@section('content')
<div class="card card-light mb-1_5 p-3">

    <div class="container-fluid">
        <div class="row">
            <h1 class="text-info mb-3"  id="title_text">{{ __('reports.min_quantity_items.title') }}</h1>
            <form class="col-md-12 mt-2 custome-form">
                <div class="form-row row">
                    <div class="form-group col-md-5">
                        <label class="control-label">{{ __('reports.min_quantity_items.search') }} :</label>
                        <input type="text" name="search" id="search" class="form-control col-md-12"
                            value="{{ request('search') }}">
                    </div>
                    <div class="form-group col-md-2">
                        <label class="control-label">{{ __('reports.min_quantity_items.stores') }} :</label>
                        <select class="form-control selectpicker col-md-12" data-none-selected-text="{{ trans('native.no-selected') }}" name="store" id="store_id">
                            <option @if (request('store') == '-1') selected @endif value="-1">
                                {{ __('extends.all') }}</option>
                            @foreach ($stores as $store)
                                <option @if ($store->id == request('store')) selected @endif value="{{ $store->id }}">
                                    {{ $store->store_name }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group col-md-2">
                        <label class="control-label">{{ __('reports.min_quantity_items.cats') }} :</label>
                        <select class="form-control selectpicker col-md-12" data-none-selected-text="{{ trans('native.no-selected') }}" name="category" id="category_id">
                            <option @if (request('category') == '-1') selected @endif value="-1">
                                {{ __('extends.all') }}</option>
                            @foreach ($categories as $category)
                                <option @if ($category->id == request('category')) selected @endif value="{{ $category->id }}">
                                    {{ $category->name }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group col-md-2">
                        <label class="control-label">{{ __('reports.min_quantity_items.units') }} :</label>
                        <select class="form-control selectpicker col-md-12" data-none-selected-text="{{ trans('native.no-selected') }}" name="unit" id="unit_id">
                            <option @if (request('unit') == '-1') selected @endif value="-1">
                                {{ __('extends.all') }}
                            </option>
                            @foreach ($units as $unit)
                                <option @if ($unit->id == request('unit')) selected @endif value="{{ $unit->id }}">
                                    {{ $unit->name }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group col-md-1 d-flex flex-column justify-content-end">
                        <button class="btn btn-primary" type="submit">{{ __('extends.search') }}</button>
                    </div>
                </div>

                {{-- aaded --}}
                <div class="col-md-4 d-flex mt-4">
                    <div class="col-md-4">
                        <label for="select_viewed_cols"> {{ trans('reports.rejected_previewed_columns') }} </label>
                    </div>
                    <div class="col-md-2" style="overflow:visible;">
                        <select id="select_viewed_cols" class="selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}" multiple data-live-search="true">

                        </select>
                    </div>
                </div>
            </form>
        </div>

        <div class="table-responsive transacton-table">
            <div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
                <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2 mb-2">{{ trans('extends.print') }} </button>
                <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2 mb-2">{{ trans('extends.toExcel') }} </button>
                {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2 mb-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
            </div>

            <table class="table table-hover table-bordered table-striped bg-white table2excel" id="main_table">
                <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">{{ __('reports.min_quantity_items.item_name') }}</th>
                        <th scope="col">{{ __('reports.min_quantity_items.store_name') }}</th>
                        <th scope="col">{{ __('reports.min_quantity_items.cat_name') }}</th>
                        <th scope="col">{{ __('reports.min_quantity_items.unit_name') }}</th>
                        <th scope="col">{{ __('reports.min_quantity_items.quantity') }}</th>
                        <th scope="col">{{ __('reports.min_quantity_items.min_quantity') }}</th>
                        <th scope="col">{{ __('reports.min_quantity_items.pay_price') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @if (count($rows) > 0)
                        @foreach ($rows as $row)
                            <tr>
                                <td>{{ $loop->iteration }}</td>
                                <td>{{ $row->item_name }}</td>
                                <td>{{ $row->store_name }}</td>
                                <td>{{ $row->type_name }}</td>
                                <td>{{ $row->unit_name }}</td>
                                <td>{{ $row->quantity }}</td>
                                <td>{{ $row->min_quantity }}</td>
                                <td>{{ round_money($row->pay_price, true) }}</td>
                            </tr>
                        @endforeach
                    @else
                        <tr>
                            <td colspan="8" class="text-center">{{ __('reports.no_data') }}</td>
                        </tr>
                    @endif
                </tbody>
                <tfoot>
                    <tr>
                        <td colspan="8" class="text-center">
                            @php
                                $count = $rows->count() >= 1 && $rows->count() <= 10 ? __('reports.min_quantity_items.items') : __('reports.min_quantity_items.item');
                                $count = $rows->count() . ' ' . $count;
                            @endphp
                            {{ __('reports.min_quantity_items.rows_count', ['count' => $count]) }}
                        </td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</div>
@stop

@section('js-scripts')

    @include('master::js.export-functions')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('js/jquery.table2excel.js') }}"></script>

    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('js/reports/columnsControls.js') }}"></script>

    <script>
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            $('.selectpicker').selectpicker({
                style: 'btn-default',
                size: 8
            });

            $(".date").calendarsPicker({
                calendar: $.calendars.instance('gregorian'),
                dateFormat: 'Y-mm-dd',
                defaultDate: "0",
            });

        });
                    // added
            $('#select_viewed_cols').html(
                getColsControls()
            );
    </script>
@stop

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
@stop
