@extends('master::layouts.master')

@section('content')

<div class="card card-light mb-1_5 p-3">

    <div class="container-fluid">
        <div class="row">
            {{-- <h1 class="text-info mb-4">{{ __('reports.remaining_items.title') }}</h1> --}}
            <div>
                <h2 class="text-info" id="title_text">
                    {{ __('reports.remaining_items.title') }}
                </h2>
            </div>
            <form class="col-md-12 mt-2 custome-form">
                <div class="form-row row">
                    <div class="form-group col-md-5">
                        <input type="text" name="search" id="search" class="form-control col-md-12"
                            placeholder="{{ __('reports.remaining_items.invoice_search') }}"
                            value="{{ request('search') }}">
                    </div>
                    <div class="form-group col-md-3">
                        <input type="text" name="date_from" id="date_from" class="form-control col-md-12 date"
                            placeholder="{{ __('reports.dateFrom') }}" value="{{ request('date_from') }}">
                    </div>
                    <div class="form-group col-md-3">
                        <input type="text" name="date_to" id="date_to" class="form-control col-md-12 date"
                            placeholder="{{ __('reports.dateTo') }}" value="{{ request('date_to') }}">
                    </div>
                    <div class="form-group col-md-1 d-flex flex-column justify-content-end">
                        <button class="btn btn-primary" type="submit">{{ __('extends.search') }}</button>
                    </div>

                    {{-- aaded --}}
                    <div class="col-md-4 d-flex mt-4">
                        <div class="col-md-4">
                            <label for="select_viewed_cols"> {{ trans('reports.rejected_previewed_columns') }} </label>
                        </div>
                        <div class="col-md-2" style="overflow:visible;">
                            <select id="select_viewed_cols" class="selectpicker items---" data-none-selected-text="{{ trans('native.no-selected') }}" multiple data-live-search="true">

                            </select>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
            <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2">{{ trans('extends.print') }} </button>
            <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2">{{ trans('extends.toExcel') }} </button>
            {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
        </div>
        <div class="table-responsive transacton-table">
            <table class="table table-hover table-bordered table-striped bg-white table2excel" id="main_table">
                <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">{{ __('reports.remaining_items.item_name') }}</th>
                        <th scope="col">{{ __('reports.remaining_items.bill_number') }}</th>
                        <th scope="col">{{ __('reports.remaining_items.supplier') }}</th>
                        <th scope="col">{{ __('reports.remaining_items.quant_at_bill') }}</th>
                        <th scope="col">{{ __('reports.remaining_items.Remaining') }}</th>
                        <th scope="col">{{ __('reports.remaining_items.unit_pay_price') }}</th>
                        <th scope="col">{{ __('reports.remaining_items.incom_date') }}</th>
                        <th scope="col">{{ __('reports.remaining_items.expire_date') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @if (count($rows) > 0)
                        @foreach ($rows as $row)
                            <tr>
                                <td>{{ $loop->iteration }}</td>
                                <td>{{ $row->item_name }}</td>
                                <td>{{ $row->bill_no }}</td>
                                <td>{{ $row->supplier_name }}</td>
                                <td>{{ $row->quant_at_bill }}</td>
                                <td>{{ $row->remain_quantity }}</td>
                                <td>{{ round_money($row->payprice, true) }}</td>
                                <td>{{ $row->incoming_date }}</td>
                                <td>{{ !in_array($row->expire_date, ['', ' ', null]) ? $row->expire_date : '---' }}</td>
                            </tr>
                        @endforeach
                    @else
                        <tr>
                            <td colspan="9" class="text-center">{{ __('reports.no_data') }}</td>
                        </tr>
                    @endif
                </tbody>
            </table>
        </div>
    </div>

</div>
@stop

@section('js-scripts')

    @include('master::js.export-functions')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('js/jquery.table2excel.js') }}"></script>

    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>

        <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
        <script src="{{ asset('js/reports/columnsControls.js') }}"></script>

    <script>
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            $('.selectpicker').selectpicker({
                style: 'btn-default',
                size: 8
            });

            $(".date").calendarsPicker({
                calendar: $.calendars.instance('gregorian'),
                dateFormat: 'Y-mm-dd',
                defaultDate: "0",
            });

        });

                    // added
            $('#select_viewed_cols').html(
                getColsControls()
            );
    </script>
@stop

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
@stop
