@extends('master::layouts.master')

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
@endsection

@section('content')
<div class="card card-light mb-1_5 p-3">

    <div class="container">

        <div>
            <h2 class="text-info" id="title_text">
                {{ trans('reports.items_sales_dusring_period_report') }}
            </h2>
        </div>

        <div class="row mt-4">
            <form method="get" class="col-md-12 custome-form">
                <div class="row">

                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="start_date" class="col-4 col-form-label">{{ trans('reports.from') }}</label>
                            <div class="col-12">
                                <input type="text" id="start_date"  name="start_date" data-old=""
                                    class="form-control  input-light date is-datepicker" value="{{ request('start_date')??today()->format('Y-m-d') }}">
                                <span>
                                    <i class="fa fa-calendar-alt calendar-icon"></i>
                                </span>
                            </div>
                        </div>
                    </div>


                    <div class="col-md-3">
                        <div class="form-group">

                            <label for="end_date" class="col-sm-2 col-4 col-form-label">{{ trans('reports.to') }}</label>
                            <div class="col-12">
                                <input type="text" id="end_date"  name="end_date" data-old=""
                                    class="form-control input-light date is-datepicker" value="{{ request('end_date')??today()->format('Y-m-d') }}">
                                <span>
                                    <i class="fa fa-calendar-alt calendar-icon"></i>
                                </span>
                            </div>

                        </div>
                    </div>

                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="store_id">{{ trans('reports.store') }} : </label>
                            <select name="store_id" id="store_id" class="form-control">
                                <option value="-1" @if (  !request('store_id') || request('store_id') == -1 ) {{ "selected" }} @endif> الكل</option>
                                @foreach ($stores as $store)
                                    <option value="{{ $store->id }}" @if ( $store->id == request('store_id')) {{ "selected" }} @endif> {{ $store->store_name }} </option>
                                @endforeach
                            </select>
                        </div>
                    </div>

                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="point">{{ trans('reports.select_category') }} : </label>
                            <select name="category_id" id="category_id" class="form-control">
                                <option value="-1" @if (  !request('category_id') || request('category_id') == -1 ) {{ "selected" }} @endif> الكل</option>
                                @foreach ($categories as $category)
                                    <option value="{{ $category->id }}" @if ( $category->id == request('category_id')) {{ "selected" }} @endif> {{ $category->name }} </option>
                                @endforeach
                            </select>
                        </div>
                    </div>

                </div>
                <div class="row">

                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="client">{{ trans('reports.select_client') }} : </label>
                            <select name="client_id" id="client_id" class="form-control">
                                @if(auth()->user()->clients_group == 0)
                                <option value="-1" @if (  !request('client_id') || request('client_id') == -1 ) {{ "selected" }} @endif> الكل</option>
                                @foreach ($clients as $client)
                                    <option value="{{ $client->id }}" @if ( $client->id == request('client_id')) {{ "selected" }} @endif> {{ $client->client_name }} </option>
                                @endforeach
                                @else
                                <option> اختر عميل</option>
                                @foreach ($clients as $client)
                                    <option value="{{ $client->id }}" @if ( $client->id == request('client_id')) {{ "selected" }} @endif> {{ $client->client_name }} </option>
                                @endforeach
                                @endif

                            </select>
                        </div>
                    </div>

                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="point">{{ trans('reports.select_user') }} : </label>
                            <select name="user_id" id="user_id" class="form-control">
                                <option value="-1" @if (  !request('user_id') || request('user_id') == -1 ) {{ "selected" }} @endif> الكل</option>
                                @foreach ($users as $user)
                                    <option value="{{ $user->id }}" @if ( $user->id == request('user_id')) {{ "selected" }} @endif> {{ $user->user_name }} </option>
                                @endforeach
                            </select>
                        </div>
                    </div>

                    {{-- aaded --}}
                    <div class="col-md-3">
                        <label for="select_viewed_cols"> {{ trans('reports.rejected_previewed_columns') }} </label>
                        <div class="col-md-4" style="overflow:visible;">
                            <select id="select_viewed_cols" class="selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}" multiple data-live-search="true">

                            </select>
                        </div>
                    </div>

                    <div class="col-md-3">
                        <div class="form-group mx-3">
                            <label style="color: #fff;">-</label>
                            <div>
                                <button type="submit" class="btn btn-info">{{ trans('reports.search') }}</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <div class="show-in-print-only">
            <div class="row col-12">
                <div class="col-2 p-0">@lang('reports.from'): <br> {{request()->start_date}}</div>
                <div class="col-2 p-0">@lang('reports.to'): <br> {{request()->end_date}}</div>
                <div class="col-2 p-0">@lang('reports.store'): <br> {{$selectedStore->store_name ?? 'الكل'}}</div>
                <div class="col-2 p-0">@lang('reports.category'): <br> {{$selectedCategory->name ?? 'الكل'}}</div>
                <div class="col-2 p-0">@lang('reports.client_name'): <br> {{$selectedClient->client_name ?? 'الكل'}}</div>
                <div class="col-2 p-0">@lang('reports.user_name'): <br> {{$selectedUser->user_name ?? 'الكل'}}</div>
            </div>
        </div>
        <div class="table-responsive">
        <table class="table table-striped mt-4 table2excel" id="main_table">
            <div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
                <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2">{{ trans('extends.print') }} </button>
                <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2 mr-2">{{ trans('extends.toExcel') }} </button>
                {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
            </div>


            <p id="show-client-name" class="show-in-print-only" style="display: none; width: 100%; text-align: center; font-weight: bold"></p>

            <thead class="bg-info text-white">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">{{ trans('native.item_name') }}</th>
                    <th scope="col">{{ trans('native.The-about') }}</th>
                    <th scope="col">{{ trans('native.quantity') }} </th>
                    <th scope="col">{{ trans('native.total_Sales') }} </th>
                    @if ( get_session_val('apply_vats', 'integer') )
                    <th scope="col">{{ trans('invoices.totals.total_vats') }} </th>
                    <th scope="col">{{ trans('invoices.totals.total_amount') }} </th>
                    @endif
                </tr>
            </thead>
            <tbody>
                @php
                    $total_quantity = $total_sales = $total_vat_weight = 0;
                @endphp

                @forelse ($sales as $data)
                    @php
                        $total_quantity += $data->quantity;
                        $total_sales += $data->price;
                        $total_vat_weight += $data->vat_weight;
                    @endphp
                    <tr>
                        <td scope="row">{{ $loop->iteration }}</td>
                        <td> {{ $data->item_name }} </td>
                        <td> {{ $data->about }} </td>
                        <td> {{ round_quantity($data->quantity) }} </td>
                        <td> {{ round_money($data->price, true) }} </td>
                        @if ( get_session_val('apply_vats', 'integer') )
                            <td> {{ round_money($data->vat_weight) }} </td>
                            <td> {{ round_money($data->vat_weight + $data->price, true) }} </td>
                        @endif
                    </tr>
                @empty
                <tr>
                    <td colspan="6" style="text-align: center">
                        لا يوجد مبيعات بهذة الفترة
                    </td>
                </tr>
                @endforelse
                @if ($total_quantity)
                    <tr>
                        <td colspan="3
                        ">الاجمالي</td>
                                                <td class="hidden"></td>
                        <td class="hidden"></td>

                        <td>{{  round_quantity($total_quantity)  }}</td>
                        <td>{{ round_money($total_sales, true) }}</td>
                        @if ( get_session_val('apply_vats', 'integer') )
                            <td>{{ round_money($total_vat_weight, true) }}</td>
                            <td>{{ round_money($total_sales + $total_vat_weight, true) }}</td>
                        @endif
                    </tr>
                @endif
            </tbody>
        </table>
        </div>
     
    </div>
</div>
@endsection

@section('js-scripts')
    @include('master::js.export-functions')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>


    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>
    <script src="{{ asset('js/reports/columnsControls.js') }}"></script>

    <script>

        $(function () {

             if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {

                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',

                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',

                });
            }


        });

                    // added
            $('#select_viewed_cols').html(
                getColsControls(3)
            );

        $(document).on('change', '#start_date, #end_date' , function() {
                var start = $('#start_date').val();
                var end = $('#end_date').val();
                var changed = {
                    'start_date' : 'start',
                    'end_date': 'end'
                };

                if ( ! valid_dates(start, end, changed[ $(this).attr('id') ] ) )
                {
                    $(this).val( $(this).data('old') );
                }
                else {
                    $(this).data('old', $(this).val());
                }

            });

            function valid_dates(start_date, end_date, current) {

                if (start_date > end_date) {
                    alert_date(current);
                    return false;
                }

                return true;
            }

            function alert_date(current)
            {
                var msg_details = {
                    'start' : { 'changed': 'البداية', 'relation': 'أصغر' , 'target': 'النهاية'},
                    'end' : { 'changed': 'النهاية', 'relation': 'أكبر' , 'target': 'البداية'}
                };

                alert('تاريخ '+ msg_details[current]['changed'] +' يجب أن يكون '+ msg_details[current]['relation'] +' من تاريخ '+ msg_details[current]['target'] );

            }

    </script>
@endsection
