@section('js-scripts')
    @include('master::js.export-functions')

    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>

    <script>
        $(function() {
            $(".date").calendarsPicker({
                calendar: $.calendars.instance("{{ get_session_val('date_type', 'Integer') == 2 ? 'gregorian' : 'ummalqura' }}"),
                dateFormat: 'Y-mm-dd',
            });

            $('#from, #to').change(function() {
                if ($('#from').val() > $('#to').val()) {
                    $('#to').val('');
                }
            })

            $('.selectpicker').selectpicker();

            var search_ajax_response = {abort: function () {}};
            $('#search-form').on('submit', function (e) {
                e.preventDefault();

                $('#main_table').addClass('load');
                search_ajax_response.abort();
                search_ajax_response = $.ajax({
                    url: $(this).attr('action'),
                    method: $(this).attr('method'),
                    data: $(this).serialize(),
                    success: function(response) {
                        $('#main_table').removeClass('load').find('tbody').empty().append(response);
                    },
                    error: function(error) {
                        if (error.responseJSON && error.responseJSON.message) {
                            $('#main_table').removeClass('load');
                            $('#main_table tbody').append(`<tr><td colspan="6" class='text-danger text-center'>${error.responseJSON.message}</td></tr>`);
                        }
                    }
                });
            });
            $('#search-form').submit();
        });
    </script>
@endsection
