<form method="post" id="search-form" class="mt-4" autocomplete="off">
    @csrf
    <div class="card card-success" style="margin-bottom: 20px;">
        <div class="d-flex justify-content-around align-items-end p-2">
            @if (isset($mandobeen) && count($mandobeen))
                <div class="form-group w-25">
                    <label for="mandob_id" class="col-form-label">إختر مندوب :</label>
                    <select name="mandob_id" id="mandob_id" class="form-control selectpicker" title="إختر مندوب">
                        @foreach ($mandobeen as $id => $name)
                            <option value="{{ $id }}" {{ request('mandob_id') == $id || $loop->iteration == 1 ? 'selected' : '' }}> {{ $name }} </option>
                        @endforeach
                    </select>
                </div>
            @endif


            <div class="form-group">
                <label for="mandob_id" class="col-form-label">@lang('reports.dateFrom') :</label>
                <input type="text" id="from" name="from" class="form-control input-sm input-light date is-datepicker" value="{{ request('from', date('Y-m-d')) }}">
            </div>


            <div class="form-group">
                <label for="mandob_id" class="col-form-label">@lang('reports.dateTo') :</label>
                <input type="text" id="to" name="to" class="form-control input-sm input-light date is-datepicker" value="{{ request('to', date('Y-m-d')) }}">
            </div>


            <div class="form-group">
                <button type="submit" class="text-center btn btn-info">
                    <i class="fa fa-search mx-2"> </i> @lang('reports.search')
                </button>
            </div>
        </div>
    </div>
</form>

<div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
    <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2">{{ trans('extends.print') }} </button>
    <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2">{{ trans('extends.toExcel') }} </button>
</div>
