@extends('master::layouts.master')

@section('content')
<div class="card card-light mb-1_5 p-3">

    <div class="container">

        <div>
            <h2 class="text-info" id="title_text">
                {{ trans('reports.net_profit_report') }}
            </h2>
        </div>

        <div class="row" style="margin: 24px 0;">
            <form method="get" class="col-md-12">
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="start_date" class=" col-4 col-form-label">{{ trans('reports.from') }}</label>
                            <div class="col-12">
                                <input type="text" id="start_date"  name="start_date"
                                    class="form-control input-sm input-light date is-datepicker" value="{{ request('start_date')??today()->format('Y-m-d') }}">
                                <span>
                                    <i class="fa fa-calendar-alt calendar-icon"></i>
                                </span>
                            </div>
                        </div>
                    </div>


                    <div class="col-md-3">
                        <div class="form-group">

                            <label for="end_date" class="col-4 col-form-label">{{ trans('reports.to') }}</label>
                            <div class="col-12">
                                <input type="text" id="end_date"  name="end_date" data-old=""
                                    class="form-control input-sm input-light date is-datepicker" value="{{ request('end_date')??today()->format('Y-m-d') }}">
                                <span>
                                    <i class="fa fa-calendar-alt calendar-icon"></i>
                                </span>
                            </div>

                        </div>
                    </div>

                    <div class="col-md-3">
                        <label for="select_viewed_cols"> {{ trans('reports.rejected_previewed_columns') }} </label>
                        <div class="col-md-4" style="overflow:visible;">
                            <select id="select_viewed_cols" class="selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}" multiple data-live-search="true">

                            </select>
                        </div>
                    </div>

                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="search" style="color: #fff;">-</label>
                            <div>
                                <button type="submit" class="btn btn-info">{{ trans('reports.search') }}</button>
                            </div>
                        </div>
                    </div>
                </div>

            </form>
        </div>

        <div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
            <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2 mr-2">{{ trans('extends.print') }} </button>
            <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2 mr-2">{{ trans('extends.toExcel') }} </button>
            {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
        </div>
        <div class="table-responsive">
                <table class="table table-striped text-center" id="table2excel">
            <thead class="bg-info text-white">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">التاريخ</th>
                    <th scope="col">مجمل الربح</th>
                    <th scope="col"> ايرادات</th>
                    <th scope="col"> مصروفات</th>
                    <th scope="col"> اهلاك توالف</th>
                    <th scope="col"> صافي الربح</th>
                </tr>
            </thead>
            <tbody>

                @php
                    $total_earn = $total_spends = $total_imports = $total_detroyed = $total_net = $total_detroyed  = 0;
                @endphp

                @forelse ($net_sales as $data)
                    @php
                        $total_earn += $data->total_earn;
                        $total_spends += $data->spend;
                        $total_imports +=  $data->total_import;
                        $total_detroyed += $data->total_detroyed;
                        $total_net += ( $data->total_earn + $data->total_import - $data->total_detroyed - $data->spend);
                    @endphp
                    <tr>
                        <td scope="row">{{ $loop->iteration }}</td>
                        <td> {{ $data->sale_date }} </td>
                        <td> {{ round_money( $data->total_earn) }} </td>
                        <td> {{ round_money( $data->total_import) }} </td>
                        <td> {{ round_money( $data->spend) }} </td>
                        <td> {{ round_money( $data->total_detroyed) }} </td>
                        <td> {{ round_money( $data->total_earn + $data->total_import - $data->total_detroyed - $data->spend ) }} </td>
                    </tr>
                @empty
                <tr>
                    <td colspan="10" style="text-align: center">
                        لا يوجد مبيعات بهذة الفترة
                    </td>
                </tr>
                @endforelse
                <tr>
                    <td colspan="2
                    ">الاجمالي</td>
                    <td class="hidden"></td>
                    <td> {{ round_money( $total_earn, true) }} </td>
                    <td> {{ round_money( $total_imports, true) }} </td>
                    <td> {{ round_money( $total_spends, true) }} </td>
                    <td> {{ round_money( $total_detroyed, true) }} </td>
                    <td> {{ round_money( $total_net, true) }} </td>
                </tr>
            </tbody>
        </table>
        </div>
    
    </div>
</div>
@endsection

{{-- @include('invoices::js.scripts') --}}

@section('css-scripts')
<link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

<link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">


<style>
    th{
        vertical-align: middle !important;
    }
    .inner.open{
        max-height: 300px !important;
    }
</style>
@endsection

@section('js-scripts')
@include('master::js.export-functions')
<script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
<script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>


    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>

    <script src="{{ asset('js/reports/columnsControls.js') }}"></script>
<script>

    $(function () {

         if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {

            $(".date").calendarsPicker({
                calendar: $.calendars.instance('gregorian'),
                dateFormat: 'Y-mm-dd',

            });
        } else {
            $(".date").calendarsPicker({
                calendar: $.calendars.instance('ummalqura'),
                dateFormat: 'Y-mm-dd',

            });
        }




    })
            // added
        $('#select_viewed_cols').html(
            getColsControls(2)
        );

    $(document).on('change', '#start_date, #end_date' , function() {
            var start = $('#start_date').val();
            var end = $('#end_date').val();
            var changed = {
                'start_date' : 'start',
                'end_date': 'end'
            };

            if ( ! valid_dates(start, end, changed[ $(this).attr('id') ] ) )
            {
                $(this).val( $(this).data('old') );
            }
            else {
                $(this).data('old', $(this).val());
            }

        });

    function valid_dates(start_date, end_date, current) {

        if (start_date > end_date) {
            alert_date(current);
            return false;
        }

        return true;
    }

    function alert_date(current)
    {
        var msg_details = {
            'start' : { 'changed': 'البداية', 'relation': 'أصغر' , 'target': 'النهاية'},
            'end' : { 'changed': 'النهاية', 'relation': 'أكبر' , 'target': 'البداية'}
        };

        alert('تاريخ '+ msg_details[current]['changed'] +' يجب أن يكون '+ msg_details[current]['relation'] +' من تاريخ '+ msg_details[current]['target'] );

    }
</script>
@endsection
