@extends('master::layouts.master')

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
@endsection

@section('content')
<div class="card card-light mb-1_5 p-3">

    <div class="container">

        <div>
            <h2 class="text-info" id="title_text">
                {{ trans('reports.sales_points_transactions') }}
            </h2>
        </div>

        <div class="row mt-4">
            <form method="get" class="col-md-12 custome-form">
                <div class="row">

                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="start_date" class="col-sm-2 col-4 col-form-label">{{ trans('reports.from') }}</label>
                            <div class="col-12">
                                <input type="text" id="start_date"  name="start_date" data-old=""
                                    class="form-control  input-light date is-datepicker" value="{{ request('start_date')??today()->format('Y-m-d') }}">
                                <span>
                                    <i class="fa fa-calendar-alt calendar-icon"></i>
                                </span>
                            </div>
                        </div>
                    </div>


                    <div class="col-md-3">
                        <div class="form-group">

                            <label for="end_date" class="col-sm-2 col-4 col-form-label">{{ trans('reports.to') }}</label>
                            <div class="col-12">
                                <input type="text" id="end_date"  name="end_date" data-old=""
                                    class="form-control input-light date is-datepicker" value="{{ request('end_date')??today()->format('Y-m-d') }}">
                                <span>
                                    <i class="fa fa-calendar-alt calendar-icon"></i>
                                </span>
                            </div>

                        </div>
                    </div>

                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="store_id">{{ trans('reports.store') }} : </label>
                            <select name="store_id" id="store_id" class="form-control">
                                <option value="-1" @if (  !request('store_id') || request('store_id') == -1 ) {{ "selected" }} @endif> الكل</option>
                                @foreach ($stores as $store)
                                    <option value="{{ $store->id }}" @if ( $store->id == request('store_id')) {{ "selected" }} @endif> {{ $store->store_name }} </option>
                                @endforeach
                            </select>
                        </div>
                    </div>

                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="point">{{ trans('native.choose_point') }} : </label>
                            <select name="safe_point_id" id="safe_point_id" class="form-control">
                                @foreach ($points as $point)
                                    <option value="{{ $point->id }}" @if ( $point->id == request('safe_point_id')) {{ "selected" }} @endif> {{ $point->point_name }} </option>
                                @endforeach
                            </select>
                        </div>
                    </div>

                </div>
                <div class="row">
                    {{-- aaded --}}
                    <div class="form-group mr-2">
                        <label for="select_viewed_cols" class="mr-4"> {{ trans('reports.rejected_previewed_columns') }} </label>
                        <div class="col-md-2" style="overflow:visible;">
                            <select id="select_viewed_cols" class="selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}" multiple data-live-search="true" sele></select>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-group mt-4 mx-4">
                            <div>
                                <button type="submit" class="btn btn-info mr-4">{{ trans('reports.search') }}</button>
                            </div>
                        </div>
                    </div>
                </div>

            </form>
        </div>
        <div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
            <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2">{{ trans('extends.print') }} </button>
            <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2">{{ trans('extends.toExcel') }} </button>
            {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
        </div>
      <div class="table-responsive">
             <table class="table table-striped text-center" id="table2excel">
            <thead class="bg-info text-white">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">التاريخ</th>
                    <th scope="col">{{ trans('reports.deposit') }}</th>
                    <th scope="col">{{ trans('reports.withdraw') }} </th>
                    <th scope="col">الرصيد المتبقي </th>
                    <th scope="col">البيان </th>
                    <th scope="col">ملاحظات</th>
                    <th scope="col">المستخدم </th>
                </tr>
            </thead>
            <tbody>
                {{-- prepare totals --}}
                @php
                    $total_deposite = $total_withdraw = $total = 0;
                @endphp

                @if($transactions->count() > 0)
                    <tr class="text-center">
                        <td colspan="2"></td>
                        <td scope="row" class="bg-info text-white " colspan="2">رصيد الدرج قبل هذه الفترة </td>
                        <td colspan="2" class="bg-info text-white ">
                            @if($transactions[0]->type == 4)
                                0
                            @else
                                @if($transactions[0]->effect == 1)
                                    {{ number_format($transactions[0]->safe_balance - $transactions[0]->amount , get_session_val('decimal_num_price', 'decimal')) }}
                                @else
                                    {{ number_format($transactions[0]->safe_balance + $transactions[0]->amount , get_session_val('decimal_num_price', 'decimal')) }}
                                @endif
                            @endif
                        </td>
                    </tr>
                @endif

                @forelse ($transactions as $data)

                    @php
                        $current_deposite = $current_withdraw = 0;
                        if ($data->effect == 1)
                        {
                            $current_deposite = $data->amount;
                            $total_deposite += $current_deposite;
                        }
                        else {
                            $current_withdraw = $data->amount;
                            $total_withdraw += $current_withdraw;
                        }
                    @endphp
                    @continue(in_array($data->type, [90, 91]))
                    <tr>
                        <td scope="row">{{ $loop->iteration }}</td>
                        <td> {{ $data->date_time }} </td>
                        <td> {{ number_format($current_deposite, get_session_val('decimal_num_price', 'decimal')) }} </td>
                        <td> {{ number_format($current_withdraw, get_session_val('decimal_num_price', 'decimal')) }} </td>
                        <td> {{ number_format($data->safe_balance, get_session_val('decimal_num_price', 'decimal')) }} </td>
                        <td> {!! itemReport($data, getBillNo($data)) !!} </td>
                        <td> {{ $data->notes }} </td>
                        <td> {{ $data->user_name }} </td>
                    </tr>
                @empty
                <tr>
                    <td colspan="8" style="text-align: center">
                        لا يوجد عمليات بهذة الفترة
                    </td>
                </tr>
                @endforelse
                <tr class="@if ($total_deposite > $total_withdraw) bg-success @elseif ($total_deposite < $total_withdraw) bg-danger @else bg-warning @endforelse text-white">
                    <td colspan="2" class="bg-info">الاجمالي</td>
                    <td colspan="3"><span class="bg-secondary p-1">الايداع: {{  round_money($total_deposite, true)  }} </span></td>
                    <td colspan="3"><span class="bg-secondary p-1">السحب: {{ round_money($total_withdraw, true) }} </span></td>
                </tr>
            </tbody>
        </table>
      </div>
   
    </div>
                    </div>
@endsection

@section('js-scripts')
    @include('master::js.export-functions')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>


    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>

    <script src="{{ asset('js/reports/columnsControls.js') }}"></script>

    <script>

        $(function () {

             if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {

                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',

                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',

                });
            }

            // // added
            // $('#select_viewed_cols').html(
            //     getColsControls()
            // );
        })

                    // added
            $('#select_viewed_cols').html(getColsControls(2));

        $(document).on('change', '#start_date, #end_date' , function() {
                var start = $('#start_date').val();
                var end = $('#end_date').val();
                var changed = {
                    'start_date' : 'start',
                    'end_date': 'end'
                };

                if ( ! valid_dates(start, end, changed[ $(this).attr('id') ] ) )
                {
                    $(this).val( $(this).data('old') );
                }
                else {
                    $(this).data('old', $(this).val());
                }

            });

            function valid_dates(start_date, end_date, current) {

                if (start_date > end_date) {
                    alert_date(current);
                    return false;
                }

                return true;
            }

            function alert_date(current)
            {
                var msg_details = {
                    'start' : { 'changed': 'البداية', 'relation': 'أصغر' , 'target': 'النهاية'},
                    'end' : { 'changed': 'النهاية', 'relation': 'أكبر' , 'target': 'البداية'}
                };

                alert('تاريخ '+ msg_details[current]['changed'] +' يجب أن يكون '+ msg_details[current]['relation'] +' من تاريخ '+ msg_details[current]['target'] );

            }

    </script>
@endsection
