@extends('master::layouts.master')

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
    <style>
        .buttons {
            margin-top: 15px;
            margin-bottom: 5px;
        }
        .add-percent{

            border-radius: 8px;

            width: 100%;

            /* margin-top: 15px; */

            border: none;

            padding: 4px;
        }
        .mb-1_5 {
            margin-bottom: 0.5rem;
        }

        .pt-1_5 {
            padding-top: 0.35rem !important;
        }
        .div .col-form-label {
            padding-top: 0;
        }


    </style>
@endsection

@section('content')

    <div class="container">

        <div>
            <h2 class="text-info" id="title_text">
                {{ trans('reports.users.users_total_sales_report') }}
            </h2>
        </div>

        <div class="row mt-4">
            <form method="get" class="col-md-12">
                <div class="card card-success mb-1_5 pt-1_5 pb-2">

                    <div class="row justify-content-center p-2">

                        {{-- User --}}
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="point">{{ trans('reports.select_user') }} : </label>
                                <select name="user_id" id="user_id" class="form-control">
                                    <option value="-1" @if (  !request('user_id') || request('user_id') == -1 ) {{ "selected" }} @endif> الكل</option>
                                    @foreach ($users as $user)
                                        <option value="{{ $user->id }}" @if ( $user->id == request('user_id')) {{ "selected" }} @endif> {{ $user->user_name }} </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        {{-- from --}}
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="start_date" class="">{{ trans('reports.from') }}</label>
                                <div class="col-12">
                                    <input type="text" id="start_date"  name="start_date" data-old=""
                                        class="form-control input-sm input-light date is-datepicker" value="{{ request('start_date')??today()->format('Y-m-d') }}">
                                    <span>
                                        <i class="fa fa-calendar-alt calendar-icon"></i>
                                    </span>
                                </div>
                            </div>
                        </div>

                        {{-- To --}}
                        <div class="col-md-3">
                            <div class="form-group">

                                <label for="end_date" class="">{{ trans('reports.to') }}</label>
                                <div class="col-12">
                                    <input type="text" id="end_date"  name="end_date" data-old=""
                                        class="form-control input-sm input-light date is-datepicker" value="{{ request('end_date')??today()->format('Y-m-d') }}">
                                    <span>
                                        <i class="fa fa-calendar-alt calendar-icon"></i>
                                    </span>
                                </div>

                            </div>
                        </div>

                        <div class="col-sm-1">
                            <div class="buttons">
                                <button type="submit" class="text-center button-success w-60-per add-percent mt-3">
                                <i class="fa fa-search"> </i>
                                </button>
                            </div>
                        </div>

                    </div>
                </div>
            </form>
        </div>


        <table class="table table-striped mt-4 table2excel" id="main_table">
            <div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
                <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2">{{ trans('extends.print') }} </button>
                <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2">{{ trans('extends.toExcel') }} </button>
                {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
            </div>

            <thead class="bg-info text-white">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">{{ trans('reports.users.user') }}</th>
                    <th scope="col">{{ trans('reports.users.goal') }}</th>
                    <th scope="col">{{ trans('reports.users.achieved_percent') }}</th>
                    <th scope="col">{{ trans('reports.users.total_sales') }}</th>
                    <th scope="col">{{ trans('reports.users.total_comission') }}</th>
                    <th scope="col">{{ trans('reports.users.total_car_profit') }}</th>
                    <th scope="col">{{ trans('reports.users.net_car_profit') }}</th>
                    <th scope="col">{{ trans('reports.users.comission_percent') }}</th>
                </tr>
            </thead>
            <tbody>
                @forelse ($sales as $data)
                    <tr>
                        <td scope="row">{{ $loop->iteration }}</td>
                        <td> {{ $data->user_name }} </td>
                        <td> {{ $data->goal ?? '-' }} </td>
                        <td> {{ round($data->achieved_percent * 100,2) }}% </td>
                        <td> {{ round_money($data->total_sale, true) }} </td>
                        <td> {{ round_money($data->comission, true) }} </td>
                        <td> {{ round_money($data->total_profit, true) }} </td>
                        <td> {{ round_money($data->net_profit, true) }} </td>
                        <td> {{ $data->comission_percent}}</td>
                    </tr>
                @empty
                    <tr>
                        <td colspan="5" style="text-align: center">
                            لا يوجد مبيعات بهذة الفترة
                        </td>
                    </tr>
                @endforelse
                <tr class="bg-info text-white">
                    <td colspan="2" class="font-weight-bold">الاجمالي</td>
                    <td>{{ round_quantity($sales->sum('goal'))  }}</td>
                    <td> {{ round($sales->sum('achieved_percent') * 100,2) }}% </td>
                    <td>{{ round_money($sales->sum('total_sale'), true)  }}</td>
                    <td>{{ round_money($sales->sum('comission'), true)  }}</td>
                    <td>{{ round_money($sales->sum('total_profit'), true)  }}</td>
                    <td>{{ round_money($sales->sum('net_profit'), true)  }}</td>
                    <td>{{ round_money($sales->sum('comission_percent'))  }}</td>
                </tr>
            </tbody>
        </table>
    </div>

@endsection

@section('js-scripts')
    @include('master::js.export-functions')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>


    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>
    <script src="{{ asset('js/reports/columnsControls.js') }}"></script>

    <script>

        $(function () {

             if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {

                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',

                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',

                });
            }

        });

        $(document).on('change', '#start_date, #end_date' , function() {
                var start = $('#start_date').val();
                var end = $('#end_date').val();
                var changed = {
                    'start_date' : 'start',
                    'end_date': 'end'
                };

                if ( ! valid_dates(start, end, changed[ $(this).attr('id') ] ) )
                {
                    $(this).val( $(this).data('old') );
                }
                else {
                    $(this).data('old', $(this).val());
                }

            });

            function valid_dates(start_date, end_date, current) {

                if (start_date > end_date) {
                    alert_date(current);
                    return false;
                }

                return true;
            }

            function alert_date(current)
            {
                var msg_details = {
                    'start' : { 'changed': 'البداية', 'relation': 'أصغر' , 'target': 'النهاية'},
                    'end' : { 'changed': 'النهاية', 'relation': 'أكبر' , 'target': 'البداية'}
                };

                alert('تاريخ '+ msg_details[current]['changed'] +' يجب أن يكون '+ msg_details[current]['relation'] +' من تاريخ '+ msg_details[current]['target'] );

            }

    </script>
@endsection
