<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::group(['middleware' => 'web',  'prefix' => 'salesreport'], function() {
//     Route::get('/', 'SalesReportController@index');
//     Route::get('/gross_profit_report', 'SalesReportsController@gross_profit_report');
// });

use Illuminate\Support\Facades\Route;
use Modules\SalesReport\Http\Controllers\InstalledInvoicesController;
use Modules\SalesReport\Http\Controllers\MandubReportController;
use Modules\SalesReport\Http\Controllers\SalesReportsController;
use Modules\SalesReport\Http\Controllers\UserSalesController;

// use Modules\SalesReport\Http\Controllers\ItemProfitController;

Route::group(['prefix' => 'salesreports', 'as' => 'salesreports', 'middleware'=> ['web','auth', 'accessingReports']], function()
{
    Route::get('/', 'SalesReportsController@index')->name('.index');

    Route::get('/client_balance', 'ClientBalanceController@clientBalance')->name('.clientBalance');

    Route::get('/gross_profit_report', 'SalesReportsController@gross_profit_report')->name('.gross_profit_report');
    Route::get('/net_profit_report', 'SalesReportsController@net_profit_report')->name('.net_profit_report');
    Route::get('/items_sales_dusring_period_report', 'SalesReportsController@items_sales_dusring_period_report')->name('.items_sales_dusring_period_report');
    Route::get('/sales_points_transactions', 'SalePointReportController@transactionsReport')->name('.sales_points_transactions_report');
    Route::get('/spend_report', 'SalesReportsController@spend_report')->name('.spend_report');
    Route::get('/incom_report', 'SalesReportsController@incom_report')->name('.incom_report');
    Route::get('/item-transaction', 'ItemReportController@itemTransaction')->name('.item-transaction');
    Route::get('/item-transaction-get', 'ItemReportController@getReport')->name('.item-transaction-get');
    Route::get('/item-inventory', 'ItemReportController@ItemInventory')->name('.item-inventory');
    Route::get('/remaining-items', 'ItemReportController@remaining_items_report')->name('.remaining-items');
    Route::get('/expired-items', 'ItemReportController@expired_items_report')->name('.expired-items');
    Route::get('/min-quantity-items', 'ItemReportController@min_quantity_items_report')->name('.min-quantity-items');
    Route::get('/trial-balance', 'TrialBalanceController@index')->name('.trial-balance');
    Route::post('/trial-balance/filter', 'TrialBalanceController@filter')->name('.trial-balance.filter');

    Route::get('/item-profit', 'ItemProfitController')->name('.items.profit');
    Route::get('/category-profit', 'CategoryProfitController')->name('.category.profit');

    Route::get('/item-unit-quantity', 'ItemReportController@itemUnitQtyValReport')->name('.items.unit_qty_report');
    Route::get('get-items', 'ItemReportController@getItems')->name('.getItems');
    Route::get('/financial-position', 'Financialcontroller@FinancialPosition')->name('.financial-position');

    Route::get('/user-sales', [UserSalesController::class,'userSales'])->name('.user-sales');
    Route::get('/user-total-sales', [UserSalesController::class,'totalSales'])->name('.user-total-sales');

    Route::get('/installed/sales', [InstalledInvoicesController::class, 'sales'])->name('.installed-sales');
    Route::get('/installed/purchases', [InstalledInvoicesController::class, 'purchases'])->name('.installed-purchases');
    // Route::post('/installed/{type}/make-payment', [InstalledInvoicesController::class, 'makePayment'])->name('.installed.payment');

    // MANDOBEEN
    Route::prefix('mandobeen')->as('.mandobeen.')->group(function() {
        Route::match(['get', 'post'], '/', [MandubReportController::class,'index'])->name('index');
        Route::match(['get', 'post'], 'receipts', [MandubReportController::class,'receipts'])->name('receipts');
    });


    Route::get('sales-imports-total', [SalesReportsController::class, 'salesImportsTotal'])->name('.sales-imports-total');
    Route::get('installments-add', [SalesReportsController::class, 'installmentsAdd'])->name('.installments-add');
    
});
