<?php

namespace Modules\Settings\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Concerns\HasEvents;
use Modules\Clients\Entities\Country;

class Badrshop extends Model
{
    use HasEvents;

    protected $table = 'badr_shop';
    public $timestamps = false;
    public $primaryKey = 'serial_id';
    protected $guarded = [];

    public function getCountry()
    {
        return $this->belongsTo(Country::class, 'country', 'id')->withDefault(['currency_code' => 'EGP', 'name_en', 'Egypt', 'name_ar' => 'مصر']);
    }

    protected static function boot()
    {
        parent::boot();

        self::creating(function($model) {
            $model->run_date = now()->addDays(5);
        });
    }
}
