<?php

namespace Modules\Settings\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Concerns\HasEvents;

class InvoiceSetting extends Model
{
    use HasEvents;

    protected $table = 'bill_setting';
    public $timestamps = false;
    public $primaryKey = 'shop_id';
    protected $guarded = ['id'];

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shop', function (Builder $builder) {
            $builder->where('shop_id', auth()->user()->shop_id);
        });
    }
}
