<?php

namespace Modules\Settings\Http\Controllers;

use App\Services\Uploaders\LogoImgUploader;
use Carbon\Carbon;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Redirect;
use Modules\Invoices\Entities\InvoiceSettings;
use Modules\Settings\Entities\Badrshop;
use Modules\Settings\Http\Requests\UploadLogoRequest;
use App\Models\systemLog;
class CompanySettingsController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Renderable
     */
    public function index()
    {
        $invoice_settings = InvoiceSettings::where('shop_id', get_session_val('serial_id', 'integer'))->first();
        return view('settings::Company.index', compact('invoice_settings'));
    }

    public  function createLog($date, $event)
    {
        $log = new systemLog();
        $log->user_id = auth()->id();
        $log->shop_id = get_session_val('serial_id', 'integer');
        $log->date_event = $date;
        $log->event = $event;
        $log->save();
    }

    public function changeLogo(UploadLogoRequest $request)
    {

        $badrshop =  Badrshop::where('serial_id', get_session_val('serial_id', 'integer'))->first();

        $uploader     =  new LogoImgUploader($request, 'logo');
        $result  =  $uploader->checkAndUpload();

        if ($result['status'])
        {
            $uploader->clean($badrshop->logo_path);
            $badrshop->logo_path = $result['path'];
        }


        $badrshop->save();
        set_session_arr_val($badrshop, $badrshop->serial_id);
        $this->createLog(Carbon::now(),"تم تعديل  شعار المؤسسه");
        return redirect()->back()->with(['success' => 
        trans('native.correct_save')]);
    }

    public function invoiceSettings(Request $request)
    {
        try {
            InvoiceSettings::where('shop_id', get_session_val('serial_id', 'integer'))->update([
                'vat_number' => $request->vat_number,
                'bill_header' => $request->bill_header,
                'message_bill' => $request->message_bill,
                'font_size' => $request->font_size,
                'cr_number' => $request->cr_number,
            ]);

            Badrshop::where('serial_id', get_session_val('serial_id', 'integer'))->update([
                'shop_name_en' => $request->shop_name_en,
                'address'      => $request->address,
                'address_en'   => $request->address_en,
            ]);

            $badrshop = Badrshop::where('serial_id', get_session_val('serial_id', 'integer'))->first();
            set_session_arr_val($badrshop, $badrshop->serial_id);
            $this->createLog(Carbon::now(),"تم تعديل اعدادت  المؤسسه");

        } catch (\Throwable $th) {
            return response()->json([
                'status' => 0
            ]);
        }

        return response()->json([
            'status' => 1
        ]);
    }

    public function takeBackup(Request $request)
    {
        try {
            $result = Artisan::call('backup:run');
        //    dd($result, Artisan::output());
        } catch (\Throwable $th) {
            return Redirect()->back()->with([
                'error' => 'فشل أخذ النسخ الاحتياطي'
            ]);
            // dd($th->getMessage());
        }

        if ($result > 0)
        {
            return Redirect()->back()->with([
                'error' => 'فشل أخذ النسخ الاحتياطي'
            ]);
        }

        return Redirect()->back()->with([
            'success' => 'تم أخذ النسخ الاحتياطي بنجاح'
        ]);
    }

}
