<?php

namespace Modules\Settings\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PrintSettingRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            // ITEMS INFO
            'show_item_barcode'    => 'required|boolean|in:0,1',
            'show_item_name'       => 'required|boolean|in:0,1',
            'show_about'           => 'required|boolean|in:0,1',
            'show_unites'          => 'required|boolean|in:0,1',
            'show_item_serial'     => 'required|boolean|in:0,1',

            // CLIENT INFO
            'show_client_balance'  => 'required|boolean|in:0,1',
            'show_client_name'     => 'required|boolean|in:0,1',
            'show_client_address'  => 'required|boolean|in:0,1',
            'show_phone'           => 'required|boolean|in:0,1',
            'show_client_code'     => 'required|boolean|in:0,1',

            // INVOICE INFO
            'bill_type'            => 'required|boolean|in:0,1',
            'show_invoice_rest'    => 'required|boolean|in:0,1',
            'show_signature'       => 'required|boolean|in:0,1',
            'show_payment_type'    => 'required|boolean|in:0,1',
            'qr_code'              => 'required|boolean|in:0,1',
            'show_bill_header'     => 'required|boolean|in:0,1',
            'show_bill_message'    => 'required|boolean|in:0,1',
            'show_logo'            => 'required|boolean|in:0,1',
        ];
    }

    public function attributes()
    {
        $attributes = [];
        foreach ($this->rules() as $key => $value) {
            $attributes[$key] = trans("storeInfo.inputs.$key");
        }

        return $attributes;
    }
}
