@extends('master::layouts.master')

@section('content')

    <div class="px-4">
            <h2 class="title text-info mt-2 mb-4">
        {{ trans('storeInfo.company_info') }}
    </h2>

    <div id="in_messages" class="col-md-12">

    </div>

    <div class="row pr-1">
        <div class="card col-md-6">
            <div class="card-body ">
                    <div class="row">
                        <div class="col-md-4">
                            {{ trans('storeInfo.company_name') }}
                        </div>
                        <div class="col-md-8">
                            <input type="text" value="{{ get_session_val('shop_name', 'string') }}" class="form-control" disabled>
                        </div>
                    </div>
                    <div class="row my-4">
                        <div class="col-md-4">
                            {{ trans('storeInfo.company_manager') }}
                        </div>
                        <div class="col-md-8">
                            <input type="text" value="{{ get_session_val('ower_name', 'string') }}" class="form-control" disabled>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            {{ trans('storeInfo.program_serial') }}
                        </div>
                        <div class="col-md-8">
                            <input type="text" value="{{ get_session_val('telephone', 'string') }}" class="form-control" disabled>
                        </div>
                    </div>
            </div>
        </div>

        <div class="card col-md-6">
            <div class="card-body row">
                <div class="col-md-6">
                    <img src="{{getLogoPath()}}" style="max-width: 250px;">
                </div>
                <div class="mt-4 col-md-6">
                    <form action="{{route('settings.changeLogo')}}" method="post" enctype="multipart/form-data" class="col-md-12">
                        @csrf
                        <div class="col-md-12 row my-2">
                            <h6 class="col-md-12 pt-2">
                                {{ trans('storeInfo.change_logo') }}
                            </h6>
                            <input type="file" name="logo" id="logo" style="width: 220px;" accept="image/png, image/gif, image/jpeg, image/jpg" required>
                        </div>
                        <button class="btn btn-primary" type="submit">
                            {{ trans('storeInfo.upload') }}
                        </button>
                    </form>
                </div>
            </div>
        </div>

    </div>

    {{-- invoice settings --}}

    <h2 class="title text-info my-4">
        {{ trans('storeInfo.invoice_info') }}
    </h2>

    <div class="row">
        <div class="card col-md-12 ml-4">
            <div class="card-body ">
                <form>
                    <div class="row">
                        <div class="col-md-3">
                            {{ trans('storeInfo.shop_name_en') }}
                        </div>
                        <div class="col-md-9">
                            <input class="form-control" type="text" name="shop_name_en" id="shop_name_en" value="{{ old('shop_name_en', get_session_val('shop_name_en', 'string')) }}">
                        </div>
                    </div>

                    <div class="row my-4">
                        <div class="col-md-3">
                            {{ trans('storeInfo.address') }}
                        </div>
                        <div class="col-md-9">
                            <input class="form-control" type="text" name="address" id="address" value="{{ old('address', get_session_val('address', 'string')) }}">
                        </div>
                    </div>

                    <div class="row my-4">
                        <div class="col-md-3">
                            {{ trans('storeInfo.address_en') }}
                        </div>
                        <div class="col-md-9">
                            <input class="form-control" type="text" name="address_en" id="address_en" value="{{ old('address_en', get_session_val('address_en', 'string')) }}">
                        </div>
                    </div>

                    <div class="row my-4">
                        <div class="col-md-3">
                            {{ trans('storeInfo.cr_number') }}
                        </div>
                        <div class="col-md-9">
                            <input class="form-control" type="text" name="cr_number" id="cr_number" value="{{ $invoice_settings->cr_number }}">
                        </div>
                    </div>


                    <div class="row my-4">
                        <div class="col-md-3">
                            {{ trans('storeInfo.company_tax_no') }}
                        </div>
                        <div class="col-md-9">
                            <input class="form-control" type="text" name="vat_number" id="company_tax_no" value="{{$invoice_settings->vat_number }}">
                        </div>
                    </div>

                    <div class="row my-4">
                        <div class="col-md-3">
                            {{ trans('storeInfo.invoice_higher_info') }}
                        </div>
                        <div class="col-md-9">
                            <textarea class="clear  col-lg-12 col-xs-12" name="bill_header" style="margin-bottom:10px;padding:5px 0" name="bill_header">
                                {{ $invoice_settings->bill_header}}
                            </textarea>
                        </div>
                    </div>
                    <div class="row my-4">
                        <div class="col-md-3">
                            {{ trans('storeInfo.invoice_lower_info') }}
                        </div>
                        <div class="col-md-9">
                            <textarea class="clear  col-lg-12 col-xs-12" name="message_bill" style="margin-bottom:10px;padding:5px 0" name="bill_footer">
                                {{ $invoice_settings->message_bill}}
                            </textarea>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3">
                            {{ trans('storeInfo.invoice_font_size') }}
                        </div>
                        <div class="col-md-9">
                            <input class="form-control" type="number" name="font_size" id="invoice_font_size" value="{{ $invoice_settings->font_size }}">
                        </div>
                    </div>
                    <div class="row mt-4">
                        <a class="btn btn-primary text-white" id="save_invoice_info">
                            {{__('native.save')}}
                        </a>
                    </div>
                </form>
            </div>
        </div>

    </div>

    {{-- offline mode only --}}
    <h2 class="title text-info my-4">
        @lang('storeInfo.backup')
    </h2>

    <div class="row">
        <div class="card col-md-12 ml-4">
            <div class="card-body ">
                <form action="{{route('settings.takeBackup')}}" method="POST">
                    @csrf
                    <div class="row mt-4">
                        <button type="submit" class="btn btn-success text-white">
                            @lang('storeInfo.start_backup')
                        </button>
                    </div>
                </form>
            </div>
        </div>

    </div>
@endsection

@section('js-scripts')
    <script src="{{asset('js/tinymce/tinymce.min.js')}}"></script>
    <script>
           tinymce.init({ selector:'textarea'});
    </script>
    <script>

    $('#save_invoice_info').on('click', function (event) {
        let form = $(this).closest('form');
        form.find('textarea[name="bill_header"]').val(tinyMCE.get('bill_header').getContent());
        form.find('textarea[name="message_bill"]').val(tinyMCE.get('message_bill').getContent());

        $.ajax({
            type: "POST",
            url: "{{ route('settings.invoiceSettings') }}",
            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            },
            data: form.serialize(),
            success: function (response) {
                alertSuccess();
                setTimeout(() => {
                    location.href = '{{route('master.home')}}';
                }, 2000);
            }
        });
    })
    function alertSuccess()
    {
        let new_html = '<div class="alert alert-success"> {{ trans('native.correct_save') }} </div>';
        $('#in_messages').html(new_html);
        $('html, body').animate({
            scrollTop: ($('#in_messages').offset().top)
        }, 100);
    }
    </script>
@endsection
