@extends('master::layouts.master')

@section('content')
    <h2 class="title text-info my-4"> {{ trans('storeInfo.print_settings') }} </h2>

    <div class="row">
        <div class="card col-md-12 ml-4">
            <div class="card-body ">
                <form method="post" action="{{ route('settings.print.update') }}">
                    @csrf
                    @foreach ($html as $title => $inputs)
                        <div class="card mb-4">
                            <div class="card-header">
                                <h3 class="card-title"> {{ $title }} </h3>
                            </div>
                            <div class="card-body">
                                <div class="row text-center">
                                    @foreach ($inputs as $label => $name)
                                        <div class="col-md-4 px-4" style="border-bottom: 1px solid #adadad; margin-bottom: 20px; padding-bottom: 10px;">
                                            <div>
                                                <div class="d-flex">
                                                    <p class="font marg w-50"> <b> {{ $label }} </b> </p>
                                                    <div class="switch-field  w-50 h-75 ">
                                                        <label class="px-2 form-check-label" style="cursor: pointer;" for="{{ $name }}-yes">
                                                            {{ trans('settings.yes') }}
                                                            <input type="radio" id="{{ $name }}-yes" name="{{ $name }}" value="1" {{ old($name, $invoice_setting->$name) == 1 ? 'checked' : '' }} />
                                                        </label>

                                                        <label class="px-2 form-check-label" style="cursor: pointer;" for="{{ $name }}-no">
                                                            {{ trans('settings.no') }}
                                                            <input type="radio" id="{{ $name }}-no" name="{{ $name }}" value="0" {{ old($name, $invoice_setting->$name) == 0 ? 'checked' : '' }} />
                                                        </label>
                                                    </div>
                                                </div>
                                                @error($name)
                                                    <span class="text-danger" role="alert"> <strong>{{ $message }}</strong> </span>
                                                @enderror
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                        </div>
                    @endforeach

                    <button type="submit" class="btn btn-primary d-block m-auto w-25"> @lang('native.save') <i class="fas fa-save"></i> </button>
                </form>
            </div>
        </div>
    </div>
@endsection
