<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Modules\Settings\Http\Controllers\CompanySettingsController;

Route::prefix('settings')->group(function() {
    Route::get('/', 'SettingsController@index')->name('settings.index');
    Route::get('/save', 'SettingsController@save')->name('settings.save');
    Route::get('country_zones', 'SettingsController@countryZones')->name('settings.country_zones');
    Route::post('/reset_account', 'SettingsController@resetAccount')->name('settings.reset_account');
    Route::post('/delete_account', 'SettingsController@deleteAccount')->name('settings.delete_account');

    Route::group(['prefix' => '/company'], function(){
        Route::get('/', [CompanySettingsController::class, 'index'])->name('settings.comapny.index');
        Route::post('/changeLogo', [CompanySettingsController::class, 'changeLogo'])->name('settings.changeLogo');
        Route::post('/invoiceSettings', [CompanySettingsController::class, 'invoiceSettings'])->name('settings.invoiceSettings');
    });

    Route::prefix('print')->as('settings.print.')->group(function() {
        Route::get('/', 'PrintSettingController@index')->name('index');
        Route::post('/', 'PrintSettingController@update')->name('update');
    });

    Route::post('/take_backup', [CompanySettingsController::class, 'takeBackup'])->name('settings.takeBackup');
});
