<?php

namespace Modules\SpendsAndIncoms\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class Income extends Model
{
    use RoundingAttributesTrait;
    
    protected $fillable = [
        'import_id',
        'import_date',
        'amount',
        'sale_point',
        'note',
        'add_user',
        'add_date',
        'bill_add_id',
        'vat_value',
        'shop_id',
        'import_file',
    ];


    protected $table = 'imports';
    public $timestamps = false;

    public function getClientName()
    {
        $c = Client::find($this->client_id);
        if ($c) {
            return $c->client_name;
        } else {
            return '';
        }
    }


    public function IncomeItem()
    {
        return $this->belongsTo(IncomeItem::class, 'import_id', 'id');

    }

    public function SalePoint()
    {
        return $this->belongsTo(SalePoint::class, 'sale_point', 'id');

    }

    public function User()
    {
        return $this->belongsTo(User::class, 'add_user', 'id');

    }

    public function getFile()
    {
        $img = $this->import_file;
        if (! in_array($img, ['', null])){
            $url = config('main.badr').  $img;
            return $url;

        }
        return false;
    }

}
