<?php

namespace Modules\SpendsAndIncoms\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class Spending extends Model
{
    use RoundingAttributesTrait;
    
    protected $fillable = [
        'spend_id',
        'spend_date',
        'amount',
        'spend_type',
        'spend_for',
        'sale_point',
        'note',
        'add_user',
        'add_date',
        'bill_add_id',
        'vat_value',
        'shop_id',
        'spend_file'
    ];


    protected $table = 'spending';
    public $timestamps = false;

    public function getClientName()
    {
        $c = Client::find($this->client_id);
        if ($c) {
            return $c->client_name;
        } else {
            return '';
        }
    }


    public function SpendItem()
    {
        return $this->belongsTo(SpendingItem::class, 'spend_id', 'id');

    }

    public function SalePoint()
    {
        return $this->belongsTo(SalePoint::class, 'sale_point', 'id');

    }

    public function User()
    {
        return $this->belongsTo(User::class, 'add_user', 'id');

    }

    public function getFile()
    {
        $img = $this->spend_file;
        if (! in_array($img, ['', null])){
            $url = config('main.badr').  $img;
            return $url;

        }
        return false;
    }

}
