<?php

namespace Modules\SpendsAndIncoms\Http\Controllers;

use Carbon\Carbon;
use Illuminate\Support\Facades\File;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use App\Http\Controllers\Controller;
use App\Models\systemLog;
use Illuminate\Support\Facades\Auth;
use Modules\Shelf\Entities\StoreItem;
use Modules\SpendsAndIncoms\Entities\BillAdd;
use Modules\SpendsAndIncoms\Entities\BillAddHistory;
use Modules\SpendsAndIncoms\Entities\ClientTransaction;
use Modules\SpendsAndIncoms\Entities\Income;
use Modules\SpendsAndIncoms\Entities\IncomeItem;
use Modules\SpendsAndIncoms\Entities\OutStoreSetting;
use Modules\SpendsAndIncoms\Entities\SalePoint;
use Modules\SpendsAndIncoms\Entities\Spending;
use Modules\SpendsAndIncoms\Entities\SpendingItem;

class IncomsController extends Controller
{
    public function index(Request $request)
    {
        $checkNegative = get_session_val('sale_details', 'integer');

//        dd($request->all());
        $import_items = IncomeItem::/*where('type', 0)->*/
        where('shop_id', get_session_val('serial_id' ,'integer'))->get();
        $point = Auth::user()->sale_point;

        if (Auth::user()->show_points == 1 ||Auth::user()->show_points == 2)  {
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id' ,'integer'))
                ->where('id', $point)
                ->get();
        } elseif (Auth::user()->show_points == 3) {
            $store_id = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('id', $point)
                ->first()->store_id;
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))
            ->where('store_id', $store_id)
            ->get();

        }
        else {
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id' ,'integer'))->get();
        }

        $billadds = BillAdd::where([ ['shop_id' , get_session_val('serial_id' ,'integer')], ['add_role' , 0]])
                    ->when(  get_session_val('einvoice', 'integer') == 1, function($q){
                        $q->whereNotNull('einvoice_code');
                    })
                    ->when(  get_session_val('einvoice', 'integer') == 0, function($q){
                        $q->whereNull('einvoice_code');
                    })
                    ->get();//        dd($bill_adds);

        $imports = Income::query();
        if ($request->has('date')) {

            $imports = $imports->where('import_date', $request->date);

        } else {

            $imports = $imports->where('import_date', Carbon::today());
        }
//        dd(\auth()->user()->point_change);
        if ($request->has('sale_point')) {
            $imports = $imports->where('sale_point', $request->sale_point);
        } else {
            if (Auth::user()->point_change == 0) {

                $point = Auth::user()->sale_point;
                $imports = $imports->where('sale_point', $point);
            }

        }
        $imports = $imports->where('shop_id', get_session_val('serial_id' ,'integer'))->get();

        $shop = \DB::table('badr_shop')->where('serial_id', get_session_val('serial_id' ,'integer'))->first();
        $check = $shop->spends_incomes;
        $module = $shop->module;

        return view('spendsandincoms::incomes', compact('checkNegative','import_items', 'sale_points', 'billadds', 'imports', 'check', 'module'));
    }

    public function ajaxIncomes(Request $request)
    {
         $imports = Income::select('imports.import_date', 'imports.amount', 'imports.note', 'users.name as user_name', 'sale_points.point_name', 'imports_item.name as import_name')
			 ->where('imports.shop_id', get_session_val('serial_id', 'integer'))
             ->join('imports_item', 'imports_item.id', 'imports.import_id')
             ->join('users', 'users.id', 'imports.add_user')
             ->join('sale_points', 'sale_points.id', 'imports.sale_point')->whereDate('import_date', $request->get('date', date('Y-m-d')))->get();

       /* $imports = Income::whereDate('import_date', $request->get('date', date('Y-m-d')));

        if (Auth::user()->point_change == 0) {
            $point = Auth::user()->sale_point;
            $imports = $imports->where('sale_point', $point);
        }
        $imports = $imports->where('shop_id', get_session_val('serial_id' ,'integer'))->get();
        //    dd($imports[0]);
        foreach ($imports as $import) {
            $import->import_name = $import->IncomeItem->name;
            $import->point_name = $import->SalePoint->point_name;
            $import->user_name = $import->User->name;
            $import->amount = (float) $import->amount;
            $note = $import->note;
            if ($import->getFile()) {
                $note = '<img style="cursor: pointer;" height="40"
                     class="openFile" src="' . $import->getFile() . '">
                <br>' . $import->note;
            }
            $import->note = $note;
        }*/


        return response()->json($imports);
    }

    public function store(Request $request)
    {

//        dd($request->all());
        $this->validate($request, [
            'date' => 'required',
            'import_item' => 'required',
            'sale_point' => 'required',
            'amount' => 'required'
        ]);
        $x = \DB::transaction(function () use ($request) {
            $vat_value = $request->total_amount - $request->amount;

            $name = null;

            if ($request->has('import_file')) {
                $file = $request->file('import_file');
                $ext = strtolower($file->getClientOriginalExtension());
                $file_name = date("Y-m-d") . '_' . time() . '.' . $ext;
                $name_one = 'upload/' .get_session_val('serial_id' ,'integer') . '/imports/';
                $destinationPath = '../' . $name_one;
                File::isDirectory($destinationPath) or File::makeDirectory($destinationPath, 0755, true, true);
                $file->move($destinationPath, $file_name);
                $name = $name_one . $file_name;
            }

            $shop = \DB::table('badr_shop')->where('serial_id', get_session_val('serial_id' ,'integer'))->first();
            $check = $shop->spends_incomes;
            $is_confirmed = $check == 0 ? 1 : 0;

            $import_input = [
                'import_id' => $request->import_item,
                'import_date' => $request->date. ' '.date('H:i:s'),
                'amount' => $request->total_amount,
                /* 'spend_type' => 1,
                 'spend_for' => 0,*/
                'sale_point' => $request->sale_point,
                'note' => $request->note,
                'add_user' => \auth()->user()->id,
                'add_date' => Carbon::now(),
                'bill_add_id' => $request->bill_add,
                'vat_value' => $vat_value,
                'shop_id' =>get_session_val('serial_id' ,'integer'),
                'import_file' => $name,
                'is_confirmed' => $is_confirmed
            ];
            $r = Income::create($import_input);

            if ($check == 0) {
                $sale_point = SalePoint::where('id', $request->sale_point)->where('shop_id', get_session_val('serial_id' ,'integer'))->first();
                $safe_balance = $sale_point->money_point + $request->total_amount;
                $sale_point->money_point = $sale_point->money_point + $request->total_amount;
                $sale_point->save();
                $trans = new ClientTransaction();
                $trans->shop_id =get_session_val('serial_id' ,'integer');
                $trans->date_time = Carbon::now();
                $trans->amount = $request->total_amount;
                $trans->type = 24;
                $trans->effect = 1;
                $trans->pay_day = $request->date;
                $trans->safe_type = 1;
                $trans->safe_balance = $safe_balance;
                $trans->safe_point_id = $request->sale_point;
                $trans->notes = $request->note;
                $trans->user_id = \auth()->user()->id;
                $trans->import_id = $request->import_item;
                $trans->save();
            }

            if ($request->bill_add != 0) {

                $billAdd = new BillAddHistory();
                $billAdd->shop_id =get_session_val('serial_id' ,'integer');
                $billAdd->bill_id = 0;
                $billAdd->addition_value = $vat_value;
                $billAdd->addition_id = $request->bill_add;
                $billAdd->spend_id = $r->id;
                $billAdd->type = 7; ### income type
                $billAdd->save();

            }

            return true;

        });
        if ($x) {
            $this->createLog(Carbon::now(), "تم تسجيل ايراد");
            return back()->with(['success' =>
            trans('native.correct_save')]);
        } else {

            return back()->with(['error' =>
            trans('native.correct_save')]);
        }
    }

    public function confirmIncome(Request $request)
    {
        $transaction = \DB::transaction(function () use ($request) {
            $income = Income::findOrFail($request->id);
            $sale_point = SalePoint::where('id', $income->sale_point)->where('shop_id', get_session_val('serial_id' ,'integer'))->first();
            $safe_balance = $sale_point->money_point + $income->amount;
            $sale_point->money_point = $sale_point->money_point + $income->amount;
            $sale_point->save();
            $trans = new ClientTransaction();
            $trans->shop_id =get_session_val('serial_id' ,'integer');
            $trans->date_time = Carbon::now();
            $trans->amount = $income->amount;
            $trans->type = 24;
            $trans->effect = 1;
            $trans->pay_day = $income->import_date;
            $trans->safe_type = 1;
            $trans->safe_balance = $safe_balance;
            $trans->safe_point_id = $income->sale_point;
            $trans->notes = $income->note;
            $trans->user_id = \auth()->user()->id;
            $trans->save();
            $income->is_confirmed = 1;
            $income->save();
        });
        if ($transaction) {
            return back()->with(['error' => 'حدث خطأ اثناء الحفظ']);
        } else {
            return back()->with(['success' =>
            trans('native.correct_save')]);
        }
    }

    public function DeleteIncome(Request $request)
    {
        $shop = \DB::table('badr_shop')->where('serial_id', get_session_val('serial_id' ,'integer'))->first();
        $check = $shop->spends_incomes;
        $transactionLog = \DB::transaction(function () use ($request, $check) {

            $spend = Income::where('id', $request->import_id)->where('shop_id', get_session_val('serial_id' ,'integer'))->first();
            $file = $spend->import_file;
            $spend->delete();
            $sale_point = SalePoint::where('id', $spend->sale_point)->where('shop_id', get_session_val('serial_id' ,'integer'))->first();
//dd($sale_point);
            $balance_after = $sale_point->money_point - $spend->amount;
            $sale_point->money_point = $balance_after;
            $sale_point->save();
            $trans_input = [
                'shop_id' =>get_session_val('serial_id' ,'integer'),
                'date_time' => Carbon::now(),
                'amount' => $spend->amount,
                'type' => 22,
                'effect' => 0,
                'pay_day' => Carbon::now(),
                'safe_type' => 0,
                'safe_balance' => $balance_after,
                'safe_point_id' => $spend->sale_point,
                'notes' => 'Delete Import',
                'user_id' => \auth()->user()->id,
            ];
            if ($check == 0) {
                $sale_point->save();
                $x = ClientTransaction::create($trans_input);
            } else {
                if ($spend->is_confirmed == 1) {
                    $sale_point->save();
                    $x = ClientTransaction::create($trans_input);
                }
            }
            File::delete('../' . $file);
        });
        if ($transactionLog) {
            return back()->with(['error' => trans('extends.error')]);
        } else {
            $this->createLog(Carbon::now(), "تم حذف ايراد" );
            return back()->with(['success' => trans('extends.delete')]);
        }
    }
    public  function createLog($date, $event)
    {
        $log = new systemLog();
        $log->user_id = auth()->id();
        $log->shop_id = get_session_val('serial_id', 'integer');
        $log->date_event = $date;
        $log->event = $event;
        $log->save();
    }
}
