<?php

namespace Modules\SpendsAndIncoms\Http\Controllers;

use Carbon\Carbon;
use Illuminate\Support\Facades\File;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use App\Http\Controllers\Controller;
use App\Models\systemLog;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Cache;
use Illuminate\Validation\Rules\Exists;
use Modules\Shelf\Entities\StoreItem;
use Modules\SpendsAndIncoms\Entities\BillAdd;
use Modules\SpendsAndIncoms\Entities\BillAddHistory;
use Modules\SpendsAndIncoms\Entities\ClientTransaction;
use Modules\SpendsAndIncoms\Entities\IncomeItem;
use Modules\SpendsAndIncoms\Entities\Income;
use Modules\SpendsAndIncoms\Entities\OutStoreSetting;
use Modules\SpendsAndIncoms\Entities\SalePoint;
use Modules\SpendsAndIncoms\Entities\Spending;
use Modules\SpendsAndIncoms\Entities\SpendingItem;
use Modules\SpendsAndIncoms\Http\Requests\UpdateSpOrInItemRequest;

class SpendsAndIncomsController extends Controller
{
    public function index(Request $request)
    {
       // dd(auth()->user()->confirm_spend ==1);

        $spending_items = SpendingItem::where('type', 0)->where('shop_id', get_session_val('serial_id' ,'integer'))->get();
        $point = Auth::user()->sale_point;

        if (Auth::user()->show_points == 1 || Auth::user()->show_points == 2)  {
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id' ,'integer'))
                ->where('id', $point)
                ->get();
        } elseif (Auth::user()->show_points == 3) {
            $store_id = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))
                ->where('id', $point)
                ->first()->store_id;
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id', 'integer'))
            ->where('store_id', $store_id)
            ->get();

        }
        else {
            $sale_points = SalePoint::where('shop_id', get_session_val('serial_id' ,'integer'))->get();
        }


        $billadds = BillAdd::where([ ['shop_id' , get_session_val('serial_id' ,'integer')], ['add_role' , 0]])
                    ->when(  get_session_val('einvoice', 'integer') == 1, function($q){
                        $q->whereNotNull('einvoice_code');
                    })
                    ->when(  get_session_val('einvoice', 'integer') == 0, function($q){
                        $q->whereNull('einvoice_code');
                    })
                    ->get();

        $spends = Spending::query();
        if ($request->has('date')) {

            $spends = $spends->where('spend_date', $request->date);

        } else {

                $spends = $spends->where('spend_date', Carbon::today());
            }
//        dd(\auth()->user()->point_change);
        if ($request->has('sale_point')) {
            $spends = $spends->where('sale_point', $request->sale_point);
        } else {
            if (Auth::user()->point_change == 0) {

                $point = Auth::user()->sale_point;
                $spends = $spends->where('sale_point', $point);
            }

        }
        $spends = $spends->where('shop_id', get_session_val('serial_id' ,'integer'))->get();

        $checkNegative = get_session_val('sale_details', 'integer');

        $shop = \DB::table('badr_shop')->where('serial_id', get_session_val('serial_id' ,'integer'))->first();
        $check = $shop->spends_incomes;
        $module = $shop->module;
//dd($check);
        return view('spendsandincoms::index', compact('checkNegative', 'spending_items', 'sale_points', 'billadds', 'spends', 'check', 'module'));
    }

    public function add_incom(){
       $income_items = IncomeItem::where('shop_id' ,get_session_val('serial_id' ,'integer'))->get();
        return view('spendsandincoms::add_incom' , ['income_items'=>$income_items]);
    }

  
    public function save_item(Request $request)
    {

        if ($request->item == null) {
            return redirect()->back()->with('error', 'ادخل البند');
        } else {

            if ($request->type == "spend") {
                $spends = SpendingItem::where('shop_id', get_session_val('serial_id', 'integer'))->get();
                foreach ($spends as $spend) {
                    if ($request->item == $spend->name) {
                        return back()->with(['error' => 'البند مسجل من قبل']);
                    }
                }
                SpendingItem::where('shop_id', get_session_val('serial_id', 'integer'))->insert([
                    'name' => $request->item,
                    'shop_id' => get_session_val('serial_id', 'integer'),
                    'linkitem' => 0,
                    'type' => 0
                ]);
                $this->createLog(Carbon::now(), " تم اضافه بند مصروفات". $request->item);
                return redirect()->route('spendsandincoms.add_spend');
            } else {
                $incomes = IncomeItem::where('shop_id', get_session_val('serial_id', 'integer'))->get();
                foreach ($incomes as $spend) {
                    if ($request->item == $spend->name) {
                        return back()->with(['error' => 'البند مسجل من قبل']);
                    }
                }
                IncomeItem::where('shop_id', get_session_val('serial_id', 'integer'))->insert([
                    'name' => $request->item,
                    'shop_id' => get_session_val('serial_id', 'integer'),
                ]);

                $this->createLog(Carbon::now(), " تم اضافه بند ايرادات". $request->item);

                return redirect()->route('spendsandincoms.add_incom');
            }

        }
    }
    public function edit_item(UpdateSpOrInItemRequest $request , $id){

        if ($request->type == "spend"){
            SpendingItem::where('shop_id' ,get_session_val('serial_id' ,'integer'))->where('id' , $id)->update([
                'name' => $request->item,
            ]);
            $this->createLog(Carbon::now(), " تم اضافه بند مصروف". $request->item );
            return redirect()->route('spendsandincoms.add_spend');
        }else {

            IncomeItem::where('shop_id' ,get_session_val('serial_id' ,'integer'))->where('id' , $id)->update([
                'name' => $request->item,
            ]);
            $this->createLog(Carbon::now(), " تم اضافه بند ايراد". $request->item );
            return redirect()->route('spendsandincoms.add_incom');
        }


    }

    public function delete_item($id , $type){
        if ($type == "spend"){
            $spends=    Spending::where('shop_id' ,get_session_val('serial_id' ,'integer'))->where('spend_id' , $id)->get();
            $spend=   SpendingItem::where('shop_id' ,get_session_val('serial_id' ,'integer'))->where('id' , $id)->first();
            if (count($spends) > 0)
            {
                return redirect()->route('spendsandincoms.add_spend')->with(['error' =>  trans('native.cannot_deleted_operations')]);
            } else {
                SpendingItem::where('shop_id' ,get_session_val('serial_id' ,'integer'))->where('id' , $id)->delete();
                $this->createLog(Carbon::now(), " تم حذف بند مصروف". $spend->name );
                return redirect()->route('spendsandincoms.add_spend')->with(['success' =>  trans('native.correct_delete')]);;
            }

        }else {
            $items=Income::where('shop_id' ,get_session_val('serial_id' ,'integer'))->where('import_id' , $id)->get();
            $item= IncomeItem::where('shop_id' ,get_session_val('serial_id' ,'integer'))->where('id' , $id)->first();
            if (count($items) > 0)
            {
                return redirect()->route('spendsandincoms.add_incom')->with(['error' => trans('native.cannot_deleted_operations')]);
            } else {
                IncomeItem::where('shop_id' ,get_session_val('serial_id' ,'integer'))->where('id' , $id)->delete();
                $this->createLog(Carbon::now(), " تم حذف بند ايراد". $item->name );
                return redirect()->route('spendsandincoms.add_incom')->with(['success' => trans('native.correct_delete')]);
            }

        }


    }

    public function add_spend(){
        $spend_items = SpendingItem::where('shop_id' ,get_session_val('serial_id' ,'integer'))->get();
         return view('spendsandincoms::add_spend' , ['spend_items'=>$spend_items]);
     }

    public function store(Request $request)
    {
        $this->validate($request, [
            'date' => 'required',
            'spend_item' => 'required',
            'sale_point' => 'required',
            'amount' => 'required'
        ]);

        $x = \DB::transaction(function () use ($request) {
            $vat_value = $request->total_amount - $request->amount;

            $name = null;

            $sale_point = SalePoint::where('id', $request->sale_point)->where('shop_id', get_session_val('serial_id' ,'integer'))->first();
            if (get_session_val('sale_details_safe' ,'integer') == 0){
                if ($sale_point->money_point - $request->total_amount < 0){
                    return back()->with(['error' =>   trans('native.Vault_balance_not_allowed')]);
                }
            }


            if ($request->has('spend_file')) {
                $file = $request->file('spend_file');
                $ext = strtolower($file->getClientOriginalExtension());
                $file_name = date("Y-m-d") . '_' . time() . '.' . $ext;
                $name_one = 'upload/' . get_session_val('serial_id' ,'integer') . '/spending/';
                $destinationPath = '../' . $name_one;
                File::isDirectory($destinationPath) or File::makeDirectory($destinationPath, 0755, true, true);
                $file->move($destinationPath, $file_name);
                $name = $name_one . $file_name;
            }

            $shop = \DB::table('badr_shop')->where('serial_id', get_session_val('serial_id' ,'integer'))->first();
            $check = $shop->spends_incomes;
            $is_confirmed = $check == 0 ? 1 : 0;
            $spending_input = [
                'spend_id' => $request->spend_item,
                'spend_date' => $request->date,
                'amount' => $request->total_amount,
                'spend_type' => 1,
                'spend_for' => 0,
                'sale_point' => $request->sale_point,
                'note' => $request->note,
                'add_user' => \auth()->user()->id,
                'add_date' => Carbon::now(),
                'bill_add_id' => $request->bill_add,
                'vat_value' => $vat_value,
                'shop_id' => get_session_val('serial_id' ,'integer'),
                'spend_file' => $name,
                'is_confirmed' => $is_confirmed,
                'bill_no' => $request->bill_no??'0',
            ];
            $r = Spending::create($spending_input);


            if ($check == 0) {
                $sale_point = SalePoint::where('id', $request->sale_point)->where('shop_id', get_session_val('serial_id' ,'integer'))->first();
                $safe_balance = $sale_point->money_point - $request->total_amount;
                $sale_point->money_point = $sale_point->money_point - $request->total_amount;
                $sale_point->save();
                $trans_input = [
                    'shop_id' => get_session_val('serial_id' ,'integer'),
                    'date_time' => Carbon::now(),
                    'amount' => $request->total_amount,
                    'type' => 10,
                    'effect' => 0,
                    'pay_day' => $request->date,
                    'safe_balance' => $safe_balance,
                    'safe_point_id' => $request->sale_point,
                    'notes' => $request->note,
                    'spend_id' => $request->spend_item,
                    'user_id' => \auth()->user()->id,
                ];
                $x = ClientTransaction::create($trans_input);
            }

            $shop = \DB::table('badr_shop')->where('serial_id', get_session_val('serial_id' ,'integer'))->first();
            $distributor = $shop->distributor;
            if ($distributor == 1) {
                $out_store_setting = OutStoreSetting::where('shop_id', get_session_val('serial_id' ,'integer'))->first();
                if ($out_store_setting) {
                    if ($out_store_setting->linkitem == 1) {
                        $out_store_setting->StorePercentage = $out_store_setting->StorePercentage - $request->total_amount;
                    } elseif ($out_store_setting->linkitem == 2) {
                        $out_store_setting->StoreServices = $out_store_setting->StoreServices - $request->total_maount;
                    } elseif ($out_store_setting->linkitem == 3) {
                        $out_store_setting->StoreTransport = $out_store_setting->StoreTransport - $request->total_maount;
                    }
                    $out_store_setting->save();
                }
            }

            if ($request->bill_add != 0) {

                $billAdd = new BillAddHistory();
                $billAdd->shop_id = get_session_val('serial_id' ,'integer');
                $billAdd->bill_id = 0;
                $billAdd->addition_value = $vat_value;
                $billAdd->addition_id = $request->bill_add;
                $billAdd->spend_id = $r->id;
                $billAdd->type = 6; ### spending type
                $billAdd->save();

            }


        });
        if ($x) {
            return back()->with(['warning   ' => 'حدث خطأ اثناء الحفظ']);
        } else {
            $this->createLog(Carbon::now(), "تم تسجيل مصروف جديد" );
            return back()->with(['success' =>
            trans('native.correct_save')]);
        }
    }

    public function ajaxSpends(Request $request)
    {
       /* $spends = Spending::where('spend_date', $request->get('date', date('Y-m-d')));

        if (Auth::user()->point_change == 0) {
            $point = Auth::user()->sale_point;
            $spends = $spends->where('sale_point', $point);
        }

        $spends = $spends->where('shop_id', get_session_val('serial_id' ,'integer'))->get();
        foreach ($spends as $spend) {
            $spend->spend_name = $spend->SpendItem->name;
            $spend->point_name = $spend->SalePoint->point_name;
            $spend->user_name = $spend->User->name;
            $spend->amount = (float)$spend->amount;
            $note = $spend->note;
            if ($spend->getFile()) {
                $note = '<img style="cursor: pointer;" height="40"
                     class="openFile" src="../' . $spend->getFile() . '">
                <br>' . $spend->note;
            }
            $spend->note = $note;
        }*/

		$spends = Spending::select('spending.id', 'spending.spend_date', 'spending.amount', 'spending.note', 'users.name as user_name', 'sale_points.point_name', 'spending_item.name as spend_name')
            ->where('spending.shop_id', get_session_val('serial_id', 'integer'))
             ->join('spending_item', 'spending_item.id', 'spending.spend_id')
            ->join('users', 'users.id', 'spending.add_user')
            ->join('sale_points', 'sale_points.id', 'spending.sale_point')->where('spend_date', $request->get('date', date('Y-m-d')))->get();
//        dd($spends);
        return response()->json($spends);
    }

    public function confirmSpend(Request $request)
    {
      //  dd($request->all)
        $transaction = \DB::transaction(function () use ($request) {
            $spend = Spending::findOrFail($request->id);
            $sale_point = SalePoint::where('id', $spend->sale_point)->where('shop_id', get_session_val('serial_id' ,'integer'))->first();
            $safe_balance = $sale_point->money_point - $spend->amount;
            $sale_point->money_point = $sale_point->money_point - $spend->amount;
            $sale_point->save();
            $trans_input = [
                'shop_id' => get_session_val('serial_id' ,'integer'),
                'date_time' => Carbon::now(),
                'amount' => $spend->amount,
                'type' => 10,
                'effect' => 0,
                'pay_day' => $spend->spend_date,
                'safe_balance' => $safe_balance,
                'safe_point_id' => $spend->sale_point,
                'notes' => $spend->note,
                'spend_id' => $spend->spend_id,
                'user_id' => \auth()->user()->id,
            ];
            $x = ClientTransaction::create($trans_input);
            $spend->is_confirmed = 1;
            $spend->save();
        });
        if ($transaction) {
            return back()->with(['error' => 'حدث خطأ اثناء الحفظ']);
        } else {
            return back()->with(['success' =>
            trans('native.correct_save')]);
        }
    }

    public function DeleteSpend(Request $request)
    {
      
        $shop = \DB::table('badr_shop')->where('serial_id', get_session_val('serial_id' ,'integer'))->first();
        $check = $shop->spends_incomes;
        $transactionLog = \DB::transaction(function () use ($request, $check) {
            $spend = Spending::where('id', (int) $request->spend_id)->where('shop_id', get_session_val('serial_id' ,'integer'))->first();
           // dd($spend->name);
            $spend_name= $spend->name;
            $spend->delete();
            $sale_point = SalePoint::where('id', $spend->sale_point)->where('shop_id', get_session_val('serial_id' ,'integer'))->first();
//dd($sale_point);
            $balance_after = $sale_point->money_point + $spend->amount;
            $sale_point->money_point = $balance_after;
            $trans_input = [
                'shop_id' => get_session_val('serial_id' ,'integer'),
                'date_time' => Carbon::now(),
                'amount' => $spend->amount,
                'type' => 22,
                'effect' => 1,
                'pay_day' => Carbon::now(),
                'safe_type' => 1,
                'safe_balance' => $balance_after,
                'safe_point_id' => $spend->sale_point,
                'notes' => 'Delete',
                'user_id' => \auth()->user()->id,
            ];
            if ($check == 0) {
                $sale_point->save();
                $x = ClientTransaction::create($trans_input);
            } else {
                if ($spend->is_confirmed == 1) {
                    $sale_point->save();
                    $x = ClientTransaction::create($trans_input);
                }
            }


            $shop = \DB::table('badr_shop')->where('serial_id', get_session_val('serial_id' ,'integer'))->first();
            $distributor = $shop->distributor;
            if ($distributor == 1) {
                $out_store_setting = OutStoreSetting::where('shop_id', get_session_val('serial_id' ,'integer'))->first();
                if ($out_store_setting) {
                    if ($out_store_setting->linkitem == 1) {
                        $out_store_setting->StorePercentage = $out_store_setting->StorePercentage - $request->total_amount;
                    } elseif ($out_store_setting->linkitem == 2) {
                        $out_store_setting->StoreServices = $out_store_setting->StoreServices - $request->total_maount;
                    } elseif ($out_store_setting->linkitem == 3) {
                        $out_store_setting->StoreTransport = $out_store_setting->StoreTransport - $request->total_maount;
                    }
                    $out_store_setting->save();
                }
            }
            File::delete('../' . $spend->spend_file);
            $this->createLog(Carbon::now(), "تم حذف مصروف" );
        });
        if ($transactionLog) {

            return back()->with(['error' =>trans('native.Deletion_error')]);
        } else {

            return back()->with(['success' => trans('native.correct_delete')]);
        }
    }
    public  function createLog($date, $event)
    {
        $log = new systemLog();
        $log->user_id = auth()->id();
        $log->shop_id = get_session_val('serial_id', 'integer');
        $log->date_event = $date;
        $log->event = $event;
        $log->save();
    }
}
