<?php

namespace Modules\SpendsAndIncoms\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class RevenuesRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required|unique:imports_item,name,'.$this->route('revenue').',id,shop_id,'.get_session_val('serial_id', 'integer'),
            'users' => ['nullable', 'array'],
            'users.*' => ['required', 'exists:users,id,shop_id,'.get_session_val('serial_id', 'integer')],
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    public function messages()
    {
        return [
            'name' => trans('native.Imports'),
            'users' => trans('native.users'),
        ];
    }
}
