<?php

namespace Modules\SpendsAndIncoms\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class UpdateSpOrInItemRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $table_name = $this->request->get('type') == 'spend' ? 'spending_item' : 'imports_item';
        return [
            'item' => ['required', Rule::unique($table_name, 'name')->where('shop_id', get_session_val('serial_id', 'integer'))],
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    public function messages()
    {
        return [
            'item.unique'   => 'هذا الاسم مستخدم من قبل',
        ];
    }
}
