@extends('master::layouts.master')
@section('content')

<div class="card card-light mb-1_5 p-3">
   <div class="container-fluid">
      <div class="row">
         <div class="col-md-12">
<div>
   <h2 class="text-info" id="title_text">{{trans('native.income_item')}}</h2>
</div>
<div>
   <button id="add_item" class="btn btn-success mt-3 mr-2" >{{trans('native.a_new_item')}}</button>
   <div class="main" style="display: none;">
      <div class="row mt-2">
         <div class="col-md-6">
            <p style="font-size: 18px">{{trans('native.insert_the_new_and_save')}}</p>
         </div>
      </div>
      <form action="{{route('spendsandincoms.save_item')}}" method="get"  class="custome-form">
         <div class="row">
            <div class="col-md-2">
               <label for="item" class="mr-2">@lang('native.spend_name')</label>
            </div>
            <div class="col-md-3">
               <input type="text" name="item" id="item" class="form-control input-sm">
            </div>
         </div>
         <div class="row mt-3">
            <div class="col-md-2"></div>
            <div class="col-md-1 col-6">
               <input class="btn btn-primary" type="submit" value="@lang('native.save')">
            </div>
            <div class="col-md-1 col-6">
               <input class="btn btn-danger" type="reset" id= "reset" value="@lang('native.cancel')">
            </div>
         </div>
      </form>
   </div>
</div>
<div class="row">
    <div class=" col-md-12 table-responsive">
<table class=" table table-bordered  zui-table zui-table-rounded  mt-3 mr-3 w-100 table-hover table-striped">
      <thead class="table-primary">
         <th scope="col">#</th>
         <th scope="col">{{ trans('native.incom') }}</th>
         <th scope="col">{{ trans('native.Edit') }}</th>
         <th scope="col">{{trans('native.delete')}}</th>
      </thead>
      <tbody class="">
         @foreach ($income_items as $item )
         <tr>
            <td>{{$loop->iteration}}</td>
            <td>{{$item->name}}</td>
            <td class="w-50">
               <form action="{{route('spendsandincoms.edit_item', ['id' => $item->id]) }}" method="GET" class="d-flex">
                  <input type="submit" id="edit" class="btn btn-success" value="{{trans('native.Edit')}}">
                  <input type="text" class="form-control input-sm w-50 mr-4" name="item" id="item" required>
               </form>
            </td>
            <td><a href="{{ route('spendsandincoms.delete_item', ['id' => $item->id, 'type' => 'incom']) }}" class="btn btn-danger">{{trans('native.delete')}}</a></td>
         </tr>
         @endforeach
      </tbody>
   </table>
    </div>
   
</div>
</div>
</div>
</div>
</div>


@endsection
@section('js-scripts')
<script>
   $('#add_item').click(function() {
           $('.main').slideToggle("slide");
   });
   
   $('#reset').click(function() {
           $('.main').slideToggle("slide");
   });
   
</script>
@endsection