@extends('master::layouts.master')
@section('content')
    <div class="card card-light mb-1_5 p-3">
        <div class="container-fluid">
            <h2 class="text-info" id="title_text">
                {{ trans('native.spend_item') }}
                <a href="{{ route('expenses.create') }}" class="btn btn-success float-left open-modal"> {{ trans('native.a_new_item') }} <i class="fas fa-plus"></i> </a>
            </h2>
            <div class="table-responsive">
                <table class=" table table-bordered zui-table zui-table-rounded w-100 table-hover table-striped">
                    <thead class="table-primary">
                        <th scope="col">#</th>
                        <th scope="col">{{ trans('native.spend') }}</th>
                        @if (get_session_val('assign_users_to_expenses', 'integer'))
                            <th scope="col">{{ trans('native.users') }}</th>
                        @endif
                        <th scope="col">{{ trans('native.Edit') }}</th>
                        <th scope="col">{{ trans('native.delete') }}</th>
                    </thead>
                    <tbody class="">
                        @foreach ($rows as $row)
                            <tr>
                                <td>{{ $loop->iteration }}</td>
                                <td>{{ $row->name }}</td>
                                @if (get_session_val('assign_users_to_expenses', 'integer'))
                                    <td>
                                        @if ($row->users)
                                            {{ $row->users->implode('user_name', ' | ') }}
                                        @else
                                            <b class="text-muted"> لا يوجد مستخدمين مرتبطين بالمصورف </b>
                                        @endif
                                    </td>
                                @endif
                                <td>
                                    <a href="{{ route('expenses.edit', $row->id) }}" class="btn btn-sm btn-primary open-modal"> <i class="fas fa-edit"></i> </a>
                                </td>
                                <td>
                                    <form method="POST" action="{{ route("expenses.destroy", $row->id) }}" class="form-destroy">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-sm btn-danger"> <i class="fas fa-trash"></i> </button>
                                    </form>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
        @include('spendsandincoms::includes.modal')
    </div>
@endsection

@include('spendsandincoms::includes.js')
