@csrf
<div class="modal-header">
    <h5 class="modal-title" id="exampleModalLabel">{{ $title }}</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">

    <div class="form-group">
        <label for="name"> @lang('native.spend_name') </label>
        <input type="text" class="form-control" name="name" id="name" value="{{ $row->name ?? '' }}" placeholder="@lang('native.spend_name')">
        <span class="error text-danger font-weight-bold" id="name_error"></span>
    </div>

    @if (get_session_val('assign_users_to_expenses', 'integer'))
        <div class="form-group">
            <label for="name"> @lang('native.users') </label>
            <button type="button" id="select-all-users" data-selected="true" class="btn btn-sm btn-dark float-left"> تحديد الكل </button>
            <select name="users[]" multiple id="users" class="form-control selectpicker" data-live-search="true">
                @foreach ($users as $user_id => $user_name)
                    <option value="{{ $user_id }}" {{ in_array($user_id, $selected_users) ? 'selected' : '' }}> {{ $user_name }} </option>
                @endforeach
            </select>
            <span class="error text-danger font-weight-bold" id="users_error"></span>
        </div>
    @endif
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal"> @lang('native.cancel') </button>
    <button type="submit" class="btn btn-primary"> @lang('native.save') </button>
</div>
