@extends('master::layouts.master')
@section('css-scripts')

    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <style>
        @media print {
            .noprint {
                display: none;
            }

            #logo {
                display: block !important;

            }

            .width40 {
                width: 40% !important;
                float: left;
                margin-top: -3em !important;
                margin-bottom: 1em !important;
            }

            .width60 {
                width: 60% !important;
            }

        }
    </style>


@stop
@section('content')
<div class="wrapper card card-light mb-1_5 p-3">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <h1 class="title-page inline-block text-info">
                        @lang('spends.new-revenue')
                    </h1>
                    <div class="clearfix"></div>
                </div>

                <div class="col-md-12 ">
                    <div class="row">
                        <form enctype="multipart/form-data" id="spenForm" class="form-horizontal col-md-12 custome-form"
                              action="{{ route('incomes.store') }}"
                              method="post">
                            {{ csrf_field() }}
                            <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="control-label col-sm-6" for="date"> @lang('spends.date') :</label>
                                    <div class="col-sm-10">

                                        <input class="form-control date2" type="text" name="date" id="date" value='{{ old('date') ?? '' }}'  required>

                                    </div>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="control-label col-sm-6" for="import_item"> @lang('spends.statement') :</label>
                                    <div class="col-sm-10">

                                        <select class="form-control" name="import_item" id="import_item" required>
                                            <option disabled value="0" disapled> @lang('native.no-selected')</option>
                                            @foreach($import_items as $importing_item)
                                                <option value="{{ $importing_item->id }}" @if ( old('import_item') == $importing_item->id) selected @endif>{{ $importing_item->name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="control-label col-sm-6" for="sale_point"> @lang('spends.safe') :</label>
                                    <div class="col-sm-10">

                                        <select class="form-control" name="sale_point" id="sale_point" required>
                                            <option disabled disapled value="0"> @lang('native.Select_safe')</option>
                                            @foreach($sale_points as $sale_point)
                                                <option value="{{ $sale_point->id }}" @if ( old('sale_point') == $sale_point->id) selected @endif
                                                        data-balance="{{$sale_point->money_point}}">{{ $sale_point->point_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="control-label col-sm-6" for="amount"> @lang('spends.amount') :</label>
                                    <div class="col-sm-10">

                                        <input type="number" min="0" class="form-control" name="amount" id="amount" value="{{ old('amount') ?? 0 }}" required>
                                    </div>
                                </div>
                            </div>
                            @if ($billadds && get_session_val('apply_vats', 'integer') == 1)
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="control-label col-sm-6" for="bill_add"> @lang('spends.add-value') :</label>
                                        <div class="col-sm-10">
                                            <select class="form-control" name="bill_add" id="bill_add">
                                                <option value="0" selected> @lang('native.no-selected')</option>
                                                @foreach($billadds as $bill_add)
                                                    <option value="{{ $bill_add->id }}"
                                                            data-value="{{ $bill_add->addition_value }}" data-operation = "{{ $bill_add->vat_operation }}"
                                                            data-type="{{$bill_add->check_addition}}" @if ( old('bill_add') == $bill_add->id) selected @endif
                                                            >{{ $bill_add->Addition_name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            @endif
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="control-label col-sm-6" for="total_amount"> @lang('spends.net') :</label>
                                    <div class="col-sm-10">
                                        <input class="form-control" type="number" value="{{ old('total_amount') ?? 0 }}" name="total_amount"
                                               id="total_amount" readonly>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label col-sm-6" for="note"> @lang('spends.notes') :</label>
                                    <div class="col-sm-10">
                                        <input class="form-control" type="text" name="note" value="{{ old('note') ?? '' }}"
                                               id="note">
                                    </div>
                                </div>
                            </div>
                            <!--<div class="col-md-6">-->
                            <!--    <div class="form-group">-->
                            <!--        <label class="control-label col-sm-6" for="import_file"> صورة بيان الايراد :</label>-->
                            <!--        <div class="col-sm-11">-->
                            <!--            <input class="form-control" type="file" name="import_file"-->
                            <!--                   id="import_file">-->
                            <!--        </div>-->
                            <!--    </div>-->
                            <!--</div>-->
                        </div>
                            @if (auth()->user()->add_spend == 1)
                                <div class="form-group text-center mb-3">
                                    <div class="col-sm-push-3 col-sm-9">
                                        <input type="submit" class="btn btn-success w-25" id="" value="@lang('native.save')">
                                        <span class="" id="balance_span" style="color: red"
                                                hidden> @lang('spends.balance-of-safe-not-allowed') </span>
                                    </div>
                                </div>
                            @endif
                        </form>
                    </div>
                </div>
                </div>
            </div>

                <div class="col-md-12" id='spends'>
                    <div class="row">
                        <div class="col-md-12  table-responsive">
                            <table class="table   zui-table zui-table-rounded table-bordered table-striped table-hover table-heading">

                                <thead class="bg-primary">
                                <tr>
                                    <th scope="col"> @lang('spends.date') </th>
                                    <th scope="col"> @lang('spends.statement') </th>
                                    <th scope="col"> @lang('spends.amount') </th>
                                    <th scope="col"> @lang('spends.safe') </th>
                                    <th scope="col"> @lang('spends.recorded-by') </th>

                                    @if (auth()->user()->confirm_spend == 1)
                                        @if ($check == 1)
                                            <th scope="col">@lang('native.confirm')</th>
                                        @endif
                                        <th scope="col">@lang('native.delete')</th>
                                    @endif

                                    <th scope="col"> @lang('spends.notes') </th>
                                </tr>
                                </thead>
                                <tbody id="content">


                                </tbody>
                            </table>

                        </div>
                    </div>


                </div>
        </div>
    <!-- /container -->


    <div class="modal" id="myModal">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-body" id="img-body">

                </div>
            </div>
        </div>
    </div>

@stop

@section('js-scripts')


    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    {{--    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>--}}
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/redirect.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>




    <script>
        $(function () {
            $('.selectpicker').selectpicker({
                style: 'btn-default',
                size: 8
            });




                $(".date2").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    defaultDate: "0",
                    selectDefaultDate: true
                });


                // $(".date2").calendarsPicker({
                //     calendar: $.calendars.instance('ummalqura'),
                //     dateFormat: 'Y-mm-dd',
                //     defaultDate: "0",
                //     selectDefaultDate: true
                // });



            // loadContent();
        });


        check_total_amount();

        function check_sale_point_balance() {
            var v2 = $('#date').val();
            var pickeddate = new Date(v2);
            var date_check = isDate(pickeddate);

            if (date_check == false) {
                $('#date').css('border-color', 'red');
                return false;
            }
            $('#date').css('border-color', '#ddd');
            var import_item = $('select[name=import_item] option:selected').val();

            if (import_item == 0) {
                $('select[name=import_item]').css('border-color', 'red');
                return false;
            }
            $('select[name=import_item]').css('border-color', '#ddd');
            var sale_point = $('select[name=sale_point] option:selected').val();
            if (sale_point == 0) {
                $('select[name=sale_point]').css('border-color', 'red');
                return false;
            }

            if ($('#amount').val() == '' || $('#amount').val() == 0) {
                $('#amount').val(0);
                $('#amount').css('border-color', 'red');
                return false;
            }
            $('#amount').css('border-color', '#ddd');
            $('select[name=sale_point]').css('border-color', '#ddd');
            $('#balance_span').hide();
            check_total_amount();
            var balance = $("#sale_point option:selected").data('balance');
            balance = Number(balance);
            // alert(balance);
            var total_amount = $("#total_amount").val();
            total_amount = Number(total_amount);

            return true;

            if (balance < total_amount) {
                $('#balance_span').show();
                return false;
            } else {
                return true;
            }
        };

        function isDate(dateVal) {
            var d = new Date(dateVal);
            return d.toString() === 'Invalid Date' ? false : true;
        }

        $(document).on('click', "#succs_btn", function () {

            var x = check_sale_point_balance();
            if (x == false) {
                return false;
            }
            $(this).replaceWith('<p class="fa fa-spinner fa-spin"></p>');
            $('#spenForm').submit();

        });

        /*        function check_total_amount() {
                    $('#balance_span').hide();
                    var amount = $('#amount').val();
                    amount = Number(amount);

                    var total_amount = amount;
                    if ($('#bill_add').length > 0 && $('#bill_add option:selected').val() > 0 && amount > 0) {

                        var add = 0;
                        var bill_add_value = $('#bill_add option:selected').data('value');
                        var bill_add_type = $("#bill_add option:selected").data('type');

                        bill_add_value = Number(bill_add_value);
                        if (bill_add_type == 1) {
                            total_amount = amount + bill_add_value;
                        } else {
                            total_amount = amount + (amount * bill_add_value / 100);
                        }
                    }

                    $("#total_amount").val(total_amount);
                };
        */


        function check_total_amount() {
            $('#balance_span').hide();
            var amount = $('#amount').val();
            amount = Number(amount);

            var total_amount = amount;
            if ($('#bill_add').length > 0 && $('#bill_add option:selected').val() > 0 && amount > 0) {

                var add = 0;
                var bill_add_value = $('#bill_add option:selected').data('value');
                var bill_add_type = $("#bill_add option:selected").data('type');
                var vat_operation = $("#bill_add option:selected").data('operation');
                //  console.log(vat_operation);
                bill_add_value = Number(bill_add_value);
                if (bill_add_type == 1) {
				//	var billvat =  roundToTwo(bill_add_value);
                    if(vat_operation == 0)
                    {
                        total_amount = amount + bill_add_value;
                    }
                    else{
                        total_amount = amount - bill_add_value;
                    }
                } else {
					var billvat =  amount * ( bill_add_value / 100);
                    if(vat_operation == 0)
                    {
                        total_amount = amount + billvat;
                    }
                    else{
                        total_amount = amount - billvat;
                    }
                }
            }
            total_amount = total_amount.toFixed(2);
            $("#total_amount").val(total_amount);
        };

        function roundToTwo(num) {
            return +(Math.round(num + "e+2") + "e-2");
        }


        $(document).on('change', "#bill_add", function () {

            check_total_amount();
        });
        $(document).on('keyup change', "#amount", function () {
            check_total_amount();
        });


        let runAjaxReqyest = {abort: function() {}};
        $('#date').on('change', function (e) {
            var date = $("#date").val();
            if (date == '') return;
            runAjaxReqyest.abort();

            var data = {'date': date, "_token": "{{csrf_token()}}",};
            var check = '{{ $check }}';
            var url = '{{ config('master.badr') }}';
            var model = '{{ $module }}';
            runAjaxReqyest = $.ajax({
                url: '{{ route('incomes.ajax-incomes') }}',
                type: "get",
                data: data,
                beforeSend: function () {
                    $('#content').empty().append('<tr class="text-center"><td colspan="8"><h2 class=" fa fa-spinner fa-spin"></td></tr>');
                },
                success: function (data) {

                    var $content = '';

                    $.each(data, function (i, item) {

                        var note = item.note;
                        if (note == null) {
                            note = '';
                        }
                        $content += '<tr>\n' +

                            '                                        <td>' + item.import_date + '</td>\n' +
                            '                                        <td>' + item.import_name + '</td>\n' +
                            '                                        <td>' + item.amount + '</td>\n' +
                            '                                        <td>' + item.point_name + '</td>\n' +
                            '                                        <td>' + item.user_name + '</td>\n';
                        if ('{{ auth()->user()->confirm_spend }}' == 1) {
                        if (check == 1) {
                            if (item.is_confirmed == 1) {
                                $content += ' <td>مأكد</td>\n';
                            } else {
                                $content += '                                        <td>  <form method="post"\n' +
                                    '                                  action="{{ route('incomes.confirm-income') }}" onsubmit="return confirm(\'هل انت متأكد ؟\')">\n' +
                                    '                                {{ csrf_field() }}\n' +
                                    '                                <input type="hidden" name="id" value="' + item.id + '">\n' +
                                    '                                <button class="btn btn-success confirm"\n' +
                                    '                                        type="submit">تأكيد</button>\n' +
                                    '                            </form>' +
                                    '  </td>\n';
                            }
                            }
                        }
                        if ('{{ auth()->user()->confirm_spend }}' == 1) {
                            $content += '                                        <td>  <form method="post"\n' +
                                '                                  action="{{ route('incomes.delete-income') }}" onsubmit="return confirm(\'هل انت متأكد من الحذف؟\')">\n' +
                                '                                {{ csrf_field() }}\n' +
                                '                                <input type="hidden" name="import_id" value="' + item.id + '">\n' +
                                '                                <button class="btn btn-danger delete"\n' +
                                '                                        type="submit">حذف</button>\n' +
                                '                            </form>' +
                                '  </td>\n';
                        }
                        $content += '<td>' + note + '</td>\n';

                        // if (model == 22) {
                        //     $content += '<td><a href="' + url + 'tools/sweets/cards/imports/' + item.id + '" target="_blank" class="btn btn-primary"><i class="fa fa-print"></i></a></td>\n';
                        // }

                        $content += '</tr>';

                    });
                    $('#content').empty().append($content);
                },
                error: function (data) {

                },
                complete: function () {

                }
            });

        });

        // $(document).on('click', '.openFile', function () {
        //     var src = $(this).attr('src');
        //     $(document).find('#img-body').empty().html('<img src="' + src + '">');
        //     $(document).find('#myModal').modal('toggle');
        // });
        $('input[type="submit"]').on('click',function(){
            $(this).attr('disabled', true);
            $('#spenForm').submit();
        });
    </script>

@stop

