<?php

use Illuminate\Support\Facades\Route;

Route::group(['middleware' => ['web', 'auth']], function () {

    Route::group(['prefix' => 'spends'], function () {

        Route::get('/', 'SpendsAndIncomsController@index')->name('spendsandincoms.index');
        Route::get('/add_incom', 'SpendsAndIncomsController@add_incom')->name('spendsandincoms.add_incom');
        Route::get('/save_item', 'SpendsAndIncomsController@save_item')->name('spendsandincoms.save_item');
        Route::get('/delete_item/{id}/{type}', 'SpendsAndIncomsController@delete_item')->name('spendsandincoms.delete_item');
        Route::get('/edit_item/{id}', 'SpendsAndIncomsController@edit_item')->name('spendsandincoms.edit_item');
        Route::get('/add_spend', 'SpendsAndIncomsController@add_spend')->name('spendsandincoms.add_spend');
        Route::resource('spends', 'SpendsAndIncomsController', [
            'names' => [
                'store' => 'spendsandincoms.store'
            ]
        ])->only('store');

        Route::get('/ajax-spends', 'SpendsAndIncomsController@ajaxSpends')->name('spendsandincoms.ajax-spends');
        Route::post('/confirm-spend', 'SpendsAndIncomsController@confirmSpend')->name('spendsandincoms.confirm-spend');
        Route::post('/delete-spend', 'SpendsAndIncomsController@DeleteSpend')->name('spendsandincoms.delete-spends');

    });

    Route::group(['prefix' => 'incomes'], function () {

        Route::get('/', 'IncomsController@index')->name('incomes.index-incomes');
        Route::resource('incomes', 'IncomsController')->only('store');

        Route::get('/ajax-incomes', 'IncomsController@ajaxIncomes')->name('incomes.ajax-incomes');
        Route::post('/confirm-income', 'IncomsController@confirmIncome')->name('incomes.confirm-income');
        Route::post('/delete-income', 'IncomsController@DeleteIncome')->name('incomes.delete-income');

    });

});


Route::resource('expenses', 'ExpensesController');
Route::resource('revenues', 'RevenuesController');
