<?php

namespace Modules\StageMaintenance\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Modules\StageMaintenance\Traits\isEnabledScope;

class Category extends Model
{
    protected $table = 'items_type';
    public $timestamps = false;

    public function type()
    {
        $type = $this->category_id;
        if ($type == '0'){
            return 'Main';
        }else {
            $cat = Category::find($this->category_id);
            if ($cat){
                return $cat->name;
            }else {
                return 'No Match';
            }
        }
    }

    public function items()
    {
        return $this->hasMany(Item::class, 'sale_unit');
    }

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('order', function (Builder $builder) {
            $builder->where('items_type.shop_id', get_session_val('serial_id' ,'integer'))->orderBy('items_type.display_order', 'ASC');
        });
    }
}
