<?php

namespace Modules\StageMaintenance\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\StageMaintenance\Entities\Category;
use Modules\StageMaintenance\Entities\Item;
use Modules\StageMaintenance\Entities\Machine;
use Modules\StageMaintenance\Entities\Shift;
use Modules\StageMaintenance\Entities\Worker;
use Modules\StageMaintenance\Http\Requests\ManufacturingRequest;

class ManufacturingController extends Controller
{

    /**
     * Show the form for creating a new resource.
     * @return Renderable
     */
    public function create()
    {
        $machines = Machine::select(['id', 'name'])->enabled()->get();
        $workers = Worker::select(['id', 'name'])->enabled()->get();
        $shifts = Shift::select(['id', 'name'])->enabled()->get();
        $categories = Category::select(['id', 'name'])->with('items:id,item_name,sale_unit')->get()->keyBy('id');
        $materials = Item::select(['id', 'item_name'])->get();
        return view('stagemaintenance::manufacturing.create', compact(['categories', 'machines', 'workers', 'shifts', 'materials']));
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Renderable
     */
    public function store(ManufacturingRequest $request)
    {
        $data = $request->validated();
        dd($data);
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function show($id)
    {
        return view('stagemaintenance::manufacturing.show');
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Renderable
     */
    public function destroy($id)
    {
        //
    }
}
