<?php

namespace Modules\StageMaintenance\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Modules\StageMaintenance\Traits\isEnabledPrepareForValidation;

class FinishingRequest extends FormRequest
{
    use isEnabledPrepareForValidation;
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $base = [
            'name' => 'required|unique:finishings,name',
            'is_enabled' => 'nullable',
            'order' => 'nullable',
        ];
        return match (request()->method()){
            "POST" => $base,
            "PUT", "PATCH" => array_merge($base,['name' => 'required|unique:finishings,name,'.$this->finishing->id]),
        };
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
}
