@extends('master::layouts.master')
@section('css-scripts')
    <link href="{{ url('css/master/manifact-style.css') }}" rel="stylesheet">

@endsection
@section('content')
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="machine-part">
                    <h4 class="font-weight-bold p-2 text-center text-info">
                        اضافه مرحلة تشطيب
                    </h4>
                    <!-- start in main-processes content -->
                    <form class="custome-form ajax-form" action="{{route('finishing.store')}}" method="POST" success="updateFinishings">
                        <div class="card card-success p-3 rounded">
                            <div class="container">
                                <div class="form-group row">

                                    <label
                                        for="name"
                                        class="col-sm-2 col-4 col-form-label pb-2"
                                    >
                                        اسم المرحله
                                    </label>
                                    <div class="col-sm-4 col-8">
                                        <input type="text"  class="form-control input-sm input-normal" id="name" name="name">
                                    </div>
                                    <label
                                        for="order"
                                        class="col-sm-2 col-3 col-form-label pb-2"
                                    >
                                        الترتيب
                                    </label>
                                    <div class="col-sm-2 col-4">
                                        <select  class="form-control input-sm input-normal" id="order" name="order">
                                            @php($enabledFinishings= $finishings->filter(fn($i)=> $i->is_enabled)->values())
                                            @for($i = ($enabledFinishings->count() - 1); $i >= 0; $i--)
                                                <option value="{{$enabledFinishings[$i]->order + 1}}">بعد {{$enabledFinishings[$i]->name}}</option>
                                            @endfor
                                            <option value="1">اول مرحلة</option>
                                        </select>
                                    </div>



                                    <div class="col-sm-2">
                                        <div class="buttons mt-0">
                                            <button
                                                type="submit"
                                                class="text-center button-success w-60-per add-percent "
                                            >
                                                اضافة
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>



                    <!-- End card -->

                    <!-- table list -->
                    <div clas="col-md-12">
                        <div class="tabl-list-part">
                            <h5 class="font-weight-bold  text-info">المراحل  المضافه</h5>

                            <form class="custome-form">
                                <div class="container">
                                    <div class="form-group row">

                                        <label
                                            for="name"
                                            class=" col-2 col-form-label pb-2"
                                        >
                                            اسم المرحلة
                                        </label>
                                        <div class=" col-6">
                                            <input
                                                type="text"
                                                class="form-control input-sm input-normal"
                                                id="name"
                                                name="name"
                                            />
                                        </div>



                                        <div class="col-sm-2">
                                            <div class="buttons mt-0">
                                                <button
                                                    type="submit"
                                                    class="text-center button-success w-60-per add-percent "
                                                >
                                                    <i class="fa fa-search"></i>
                                                    بحث
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                            <div class="table-responsive mt-3">
                                <table class="zui-table zui-table-rounded" id="finishings-table">
                                    <thead>
                                    <tr>
                                        <th scope="col">اسم المرحلة</th>
                                        <th scope="col">الترتيب</th>
                                        <th scope="col">الحالة</th>
                                        <th scope="col">تعديل</th>

                                        <th scope="col">حذف</th>
                                    </tr>
                                    </thead>
                                    <tbody class="section">
                                    @foreach($finishings as $finishing)
                                        <tr id="finishing-{{$finishing->id}}">
                                            <td>{{$finishing->name}}</td>
                                            @php($nextFinishing =  $finishing->order ? ($finishing->previousFinishing ? ('بعد ' . $finishing->previousFinishing->name) : 'اول مرحلة') : '-')
                                            <td>{{$nextFinishing}}</td>
                                            <td>{{\Modules\StageMaintenance\Enums\isEnabled::from($finishing->is_enabled)->toString()}}</td>
                                            <td>
                                                <a
                                                    href="#"
                                                    class="update-modal-btn"
                                                    data-toggle="modal"
                                                    data-target="#updateModal"
                                                    data-dataUrl="{{route('finishing.show',$finishing->id)}}"
                                                    data-url="{{route('finishing.update',$finishing->id)}}"
                                                >
                                                    <i
                                                        class="fa fa-edit text-success"
                                                        aria-hidden="true"
                                                    ></i>
                                                </a>
                                            </td>
                                            <td>
                                                <a
                                                    href="#"
                                                    class="delete-modal-btn"
                                                    data-toggle="modal"
                                                    data-target="#deleteModal"
                                                    data-url="{{route('finishing.destroy',$finishing->id)}}"
                                                >
                                                    <i
                                                        class="fa fa-trash text-danger"
                                                        aria-hidden="true"
                                                    ></i>
                                                </a>
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                    <!--  -->



                </div>
            </div>
        </div>
    </div>

    <div
        class="modal fade"
        id="updateModal"
        tabindex="-1"
        role="dialog"
        aria-labelledby="updateModalLabel"
        aria-hidden="true"
    >
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header text-center">
                    <h5
                        class="modal-title text-center text-info"
                        id="updateModalLabel"
                    >
                        تعديل المرحلة
                    </h5>
                    <button
                        type="button"
                        class="close"
                        data-dismiss="modal"
                        aria-label="Close"
                    >
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form class="custome-form ajax-form" method="POST" success="updateFinishings">
                    <div class="modal-body">
                        @method('PUT')
                        <div class="container">

                            <div class="form-group row">
                                <label
                                    for="name"
                                    class="col-sm-4 col-4 col-form-label"
                                >
                                    اسم المرحلة
                                </label>
                                <div class="col-sm-8 col-8">
                                    <input
                                        type="text"
                                        class="form-control input-sm input-normal"
                                        id="name"
                                        name="name"
                                    />
                                </div>
                            </div>
                            <div class="form-group row">
                                <label
                                    for="order"
                                    class="col-sm-4 col-4 col-form-label"
                                >
                                    الترتيب
                                </label>
                                <div class="col-sm-8 col-8">
                                    <select  class="form-control input-sm input-normal" id="order" name="order" disabled>
                                        @for($i = ($enabledFinishings->count() - 1); $i >= 0; $i--)
                                            <option value="{{$enabledFinishings[$i]->order + 1}}">بعد {{$enabledFinishings[$i]->name}}</option>
                                        @endfor
                                        <option value="1">اول مرحلة</option>
                                    </select>
                                </div>
                            </div>

                            <div class="form-group row">
                                <label
                                    for="is_enabled"
                                    class="col-sm-4 col-4 col-form-label"
                                >
                                    التفعيل
                                </label>
                                <div class="col-sm-8 col-8">
                                    <input
                                        type="checkbox"
                                        class="input-sm input-normal"
                                        id="is_enabled"
                                        name="is_enabled"
                                    />
                                </div>
                            </div>

                        </div>
                    </div>
                    <div class="modal-footer">
                        <button
                            type="button"
                            class="btn btn-secondary"
                            data-dismiss="modal"
                        >
                            رجوع
                        </button>
                        <button type="submit" class="btn btn-success">تحديث</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <!-- delete Modal -->
    <div
        class="modal fade"
        id="deleteModal"
        tabindex="-1"
        role="dialog"
        aria-labelledby="deleteModalLabel"
        aria-hidden="true"
    >
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header text-center text-info">
                    <h5 class="modal-title text-center" id="deleteModalLabel">
                        حذف المرحلة              </h5>
                    <button
                        type="button"
                        class="close"
                        data-dismiss="modal"
                        aria-label="Close"
                    >
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form method="POST" class="ajax-form" success="updateFinishings">
                    @method('DELETE')
                    <div class="modal-body">
                        <p class="text-center font-weight-bold">هل تريد حذف المرحلة ؟؟</p>
                    </div>
                    <div class="modal-footer">
                        <button
                            type="button"
                            class="btn btn-secondary"
                            data-dismiss="modal"
                        >
                            رجوع
                        </button>
                        <button type="submit" class="btn button-danger">حذف</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

@stop

@include('stagemaintenance::includes.scripts')

@push('js')
    <script>
        function updateFinishings(data, res){
            let finishings = res.data;
            let table = $('#finishings-table tbody');
            let html = "";
            let options = "";
            finishings.forEach(finishing => {
                let previousFinishing = finishing.is_enabled ? (finishing.previous_finishing ? ('بعد ' + finishing.previous_finishing.name) : "اول مرحلة") : "-" ;
                let row = `
                    <tr id="finishing-${finishing.id}">
                        <td>${finishing.name}</td>
                        <td>${previousFinishing}</td>
                        <td>${finishing.is_enabled ? "{{\Modules\StageMaintenance\Enums\isEnabled::from(1)->toString()}}" : "{{\Modules\StageMaintenance\Enums\isEnabled::from(0)->toString()}}"}</td>
                        <td>
                            <a
                                href="#"
                                class="update-modal-btn"
                                data-toggle="modal"
                                data-target="#updateModal"
                                data-dataUrl="{{route('finishing.show',"0000")}}"
                                data-url="{{route('finishing.update',"0000")}}"
                            >
                                <i
                                    class="fa fa-edit text-success"
                                    aria-hidden="true"
                                ></i>
                            </a>
                        </td>
                        <td>
                          <a
                              href="#"
                              class="delete-modal-btn"
                              data-toggle="modal"
                              data-target="#deleteModal"
                              data-url="{{route('finishing.destroy',"0000")}}"
                          >
                              <i
                                  class="fa fa-trash text-danger"
                                  aria-hidden="true"
                              ></i>
                          </a>
                        </td>
                    </tr>
                `;
                options = finishing.is_enabled ? (`<option value="${finishing.order + 1}">بعد ${finishing.name}</option>` + options) : '';
                html += row.replaceAll('0000', finishing.id);
            })
            options += `<option value="1">اول مرحلة</option>`
            table.html(html);
            $('[name="order"]').html(options);
        }
        $(function (){
            $('[name="is_enabled"]').change(function(){
                if($(this).is(':checked')){
                    $(this).closest('form').find('[name="order"]').removeAttr('disabled');
                }else{
                    $(this).closest('form').find('[name="order"]').attr('disabled', 'disabled');
                }
            })
        })
    </script>
@endpush
