@extends('master::layouts.master')
@section('css-scripts')
<link href="{{ url('css/master/manifact-style.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
@endsection
@section('content')
{{--    @php(dd(old('materials')))--}}
<div class="container">
   <div class="row">
      <div class="col-md-12">
         <div class="machine-part">
            <h4 class="font-weight-bold p-2 text-center text-info">
               بدء التصنيع
            </h4>
            <!-- start in main-processes content -->
            <div clas="col-md-12">
               <div class="tabl-list-part manifat-part">

                  <form class="custome-form" method="POST" action="{{route('manufacturing.store')}}">
                     @csrf
                     <div class="container">
                        <div class="form-group row">
                           <label for="start_date" class="col-sm-2 col-4 col-form-label pb-2">
                              التاريخ
                           </label>
                           <div class="col-sm-4 col-8">
                              <input type="text" id="start_date" name="start_date" class="form-control input-sm input-normal date is-datepicker"
                                     value="{{old('start_date', now()->format('Y-m-d'))}}">
                              <span>
                                 <i class="fa fa-calendar-alt calendar-icon mt-1"></i>
                              </span>
                           </div>
                        </div>
                        <div class="form-group row">
                           <label for="category_id" class="col-sm-2 col-4 col-form-label pb-2">
                              اسم الموديل
                           </label>
                           <div class="col-sm-4 col-8">
                              <select id="category_id" name="category_id" data-live-search="true" class="form-control input-sm input-normal select2 padding-select selectpicker">
                                 <option value=""> -- اختار -- </option>
                                 @foreach($categories as $category)
                                 <option value="{{$category->id}}" @if(old('category_id') == $category->id) selected @endif>{{$category->name}}</option>
                                 @endforeach
                              </select>
                           </div>
                        </div>
                        <div class="form-group row">
                           <label for="item_id" class="col-sm-2 col-4 col-form-label pb-2">
                              اسم صنف
                           </label>
                           <div class="col-sm-4 col-8">
                              <select name="item_id" id="item_id" data-live-search="true" class="form-control input-sm input-normal select2 padding-select selectpicker">
                                 <option value=""> -- اختار صنف -- </option>
                              </select>
                           </div>
                        </div>
                        <div class="form-group row">
                           <label for="color" class="col-sm-2 col-4 col-form-label pb-2">
                              اللون
                           </label>
                           <div class="col-sm-4 col-8">
                              <input type="color" class="form-control input-sm input-normal" id="color" name="color" value="{{old('color', '#ff0000')}}">
                           </div>
                        </div>
                        <div class="form-group row">
                           <label for="machine_id" class="col-sm-2 col-4 col-form-label pb-2">
                              رقم الماكينة </label>
                           <div class="col-sm-4 col-8">
                              <select name="machine_id" id="machine_id" data-live-search="true" class="form-control input-sm input-normal select2 padding-select selectpicker">
                                 <option value=""> -- اختار -- </option>
                                 @foreach($machines as $machine)
                                 <option value="{{$machine->id}}" @if(old('machine_id') == $machine->id) selected @endif>{{$machine->name}}</option>
                                 @endforeach
                              </select>
                           </div>
                        </div>
                        <div class="form-group row">
                           <label for="quantity" class="col-sm-2 col-4 col-form-label pb-2">
                              العدد المطلوب
                           </label>
                           <div class="col-sm-4 col-8">
                              <input type="number" id="quantity" name="quantity" class="form-control input-sm input-normal" min="1" value="{{old('quantity', 1)}}">
                           </div>
                        </div>

                        <div class="form-group row">
                           <label for="worker_id" class="col-sm-2 col-4 col-form-label pb-2">
                              اسم العامل </label>
                           <div class="col-sm-4 col-8">
                              <select name="worker_id" id="worker_id" data-live-search="true" class="form-control input-sm input-normal select2 padding-select selectpicker">
                                 <option value=""> -- اختار -- </option>
                                 @foreach($workers as $worker)
                                 <option value="{{$worker->id}}" @if(old('worker_id') == $worker->id) selected @endif>{{$worker->name}}</option>
                                 @endforeach
                              </select>
                           </div>
                        </div>
                        <div class="form-group row">
                           <label for="shift_id" class="col-sm-2 col-4 col-form-label pb-2">
                              الوردية </label>
                           <div class="col-sm-4 col-8">
                              <select name="shift_id" id="shift_id" data-live-search="true" class="form-control input-sm input-normal select2 padding-select selectpicker">
                                 <option value=""> -- اختار -- </option>
                                 @foreach($shifts as $shift)
                                 <option value="{{$shift->id}}" @if(old('shift_id') == $shift->id) selected @endif>{{$shift->name}}</option>
                                 @endforeach
                              </select>
                           </div>
                        </div>


                        <div class="material-part">
                           <div class="form-group row">
                              <label for="material_id" class="col-sm-2 col-4 col-form-label pb-2">
                                 نوع الخام (صنف )
                              </label>
                              <div class="col-sm-4 col-8">
                                 <select id="material_id" data-live-search="true" class="form-control input-sm input-normal select2 padding-select selectpicker">
                                    <option value=""> -- اختار -- </option>
                                    @foreach($materials as $material)
                                         <option value="{{$material->id}}">{{$material->item_name}}</option>
                                    @endforeach
                                 </select>
                              </div>

                              <label for="material_quantity" class="col-sm-1 col-4 col-form-label pb-2">
                                 الوزن
                              </label>
                              <div class="col-sm-4 col-8">
                                 <input type="number" id="material_quantity" class="form-control input-sm input-normal" min="1">
                              </div>


                              <div class="col-sm-1">
                                 <button class="text-center button-success w-60-per add-percent" id="addMaterialBtn">
                                    اضافه
                                 </button>
                              </div>
                           </div>
                           <div class="row justify-content-center">
                              <div class="col-10">
                                 <div class="table-responsive mt-3">
                                    <table class="zui-table zui-table-rounded" id="materials_table">
                                       <thead>
                                          <tr>
                                             <th scope="col">الماده الخام </th>
                                             <th scope="col">الوزن</th>

                                             <th scope="col">حذف</th>
                                          </tr>
                                       </thead>
                                       <tbody class="section">
                                       </tbody>
                                    </table>
                                 </div>
                              </div>
                           </div>

                        </div>

                        <div class="form-group row justify-content-center mt-5">
                           <div class="col-sm-2">
                              <button type="submit" class="text-center button-success w-60-per add-percent">
                                 حفظ
                              </button>
                           </div>
                        </div>
                     </div>
               </div>
               </form>
            </div>
         </div>
         <!-- End card -->
      </div>
   </div>
</div>


<div class="modal fade" id="exampleModal2" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
   <div class="modal-dialog" role="document">
      <div class="modal-content">
         <div class="modal-header text-center text-info">
            <h5 class="modal-title text-center" id="exampleModalLabel">
               حذف (اسم الخام ) </h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
               <span aria-hidden="true">&times;</span>
            </button>
         </div>
         <div class="modal-body">
            <p class="text-center font-weight-bold">
               هل تريد حذف
               <span class="text-danger"> " اسم الخام"</span> /
               <span class="text-danger"> " الوزن "</span>

               ؟؟
            </p>
         </div>
         <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">
               رجوع
            </button>
            <button type="button" class="btn button-danger">تأكيد</button>
         </div>
      </div>
   </div>
</div>
@section('js-scripts')
<script src="{{ url('js/calenders/jquery.calendars.js') }}"></script>
<script src="{{ url('js/calenders/jquery.calendars.plus.js') }}"></script>
<script src="{{ url('js/calenders/jquery.plugin.js') }}"></script>
<script src="{{ url('js/calenders/jquery.calendars.picker.js') }}"></script>
<script src="{{ url('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
<script src="{{ url('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
<script src="{{ url('tickets/js/bootstrap-select.min.js') }}"></script>
@endsection
@stop

@include('stagemaintenance::includes.scripts')

@push('js')
<script>
   $(function() {
      let categoryItems = {!! json_encode($categories) !!};
      let oldMaterials = {!! json_encode(old('materials', [])) !!}
          console.log(oldMaterials);
      $('#category_id').change(function() {
         if (!this.value) return;
         let items = categoryItems[this.value].items ?? [];
         let oldSelected = {{old('item_id') ? old('item_id') : -1 }};
         let tempHTML = '<option value=""> -- اختار صنف -- </option>';
         items.forEach(function(item) {
            tempHTML += `<option value="${item.id}" ${oldSelected == item.id ? 'selected' : ''}>${item.item_name}</option>`
         })
         $('#item_id').html(tempHTML).selectpicker('destroy').selectpicker()
      })
      $('#category_id').change();



      let removedMaterials = {};
      $('#addMaterialBtn').click(function(e) {
         e.preventDefault();

         let materialId = $('#material_id').find('option:selected').val();
         if (!materialId) return;
         let materialName = $('#material_id').find('option:selected').text();
         let materialQuantity = $('#material_quantity').val();
         if (!materialQuantity) {
            swalError('ادخل الكمية !');
            return;
         }
         removedMaterials[materialId] = {
            name: materialName
         };
         $('#material_id').find(`option[value="${materialId}"]`).remove();
         $('#material_id').selectpicker('destroy').selectpicker();
         $('#materials_table').append(
            `<tr>
                            <td>${materialName}</td>
                            <td>${materialQuantity} جرام </td>
                            <td>
                                <input type="hidden" name="materials[${removedMaterials.length}][material_id]" value="${materialId}">
                                <input type="hidden" name="materials[${removedMaterials.length}][material_quantity]" value="${materialQuantity}">
                                <a
                                  href="#"
                                  class="delete-row"
                                >
                                  <i
                                    class="fa fa-trash text-danger"
                                    aria-hidden="true"
                                  ></i>
                                </a>
                            </td>
                        </tr>`
         )
      })



      $(document).on('click', '.delete-row', function(e) {
         e.preventDefault();
         let row = $(this).closest('tr');
         let materialId = row.find('[name$="[material_id]"]').val();
         let option = new Option(removedMaterials[materialId].name, materialId);
         delete removedMaterials[materialId];
         $('#material_id').append(option).selectpicker('destroy').selectpicker()
         row.remove();
      })
   })
</script>
@endpush
