<?php

namespace Modules\StatisticalReports\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Debentures\Entities\ClientTransaction;

class ReceiptsController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Renderable
     */
    public function cashReceiptsReport(Request $request)
    {
        $from = $request->start_date ?? date('Y-m-d');
        $to = $request->end_date ?? '';

        $receipts = ClientTransaction::where([ ['shop_id', get_session_val('serial_id' ,'integer')], ['type', 2]])
                    ->whereDate('pay_day', '>=', $from)
                    ->when($to != '', function($q) use($to){
                        $q->whereDate('pay_day', '<=', $to);
                    })->get();

        $title = __('reports.cash_receipts_report');
        return view('statisticalreports::Receipts.report', compact('receipts', 'title'));
    }

    public function paymentReceiptsReport(Request $request)
    {
        $from = $request->start_date ?? date('Y-m-d');
        $to = $request->end_date ?? '';

        $receipts = ClientTransaction::where([ ['shop_id', get_session_val('serial_id' ,'integer')], ['type', 9]])
                    ->whereDate('pay_day', '>=', $from)
                    ->when($to != '', function($q) use($to){
                        $q->whereDate('pay_day', '<=', $to);
                    })->get();
        $title = __('reports.payment_receipts_report');
        return view('statisticalreports::Receipts.report', compact('receipts', 'title'));
    }
}
