<?php

namespace Modules\StatisticalReports\Http\Controllers;

use App\Models\Item;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;

class StatisticalReportsController extends Controller
{
    public function clientsIndebtednessReport(Request $request)
    {
        $clients = clientGroups()->when(!in_array($request->client_role, ['', -1,3,  null]), function ($q) use ($request) {
            $q->whereIn('client_role', [$request->client_role]);
        })->when($request->filled('has_balance'), function ($q){
            $q->where('balance', "!=", 0);
        })->get();
        return view('statisticalreports::indebtedness', compact('clients'));
    }

    public function expireSoon(Request $request)
    {
        $interval = get_session_val('expire_notification', 'Integer');

        $status = $request->expire_status ?? 2;
        $items = Item::Where(function ($q) use ($interval, $status) {
            $q->when($status == 2, function ($qq) use ($interval) {
                $qq->where('expire_date', '<', date('Y-m-d'));
                $qq->where('expire_date', '<>', '0000-00-00');
                $qq->orWhere(function ($qqq) use ($interval) {
                    $qqq->where('expire_date', '<', DB::raw('DATE_ADD(now(), INTERVAL ' . $interval . ' DAY)'));
                    $qqq->where('expire_date', '>', date('Y-m-d'));
                });
            });

            $q->when($status == 1, function ($qq) use ($interval) {
                $qq->where([
                    ['expire_date', '<',  DB::raw('DATE_ADD(now(), INTERVAL ' . $interval . ' DAY)')],
                    ['expire_date', '>', date('Y-m-d')],
                    ['expire_date', '<>', '0000-00-00']
                ]);
            });

            $q->when($status == 0, function ($qq) {
                $qq->where([
                    ['expire_date', '<', date('Y-m-d')],
                    ['expire_date', '<>', '0000-00-00']
                ]);
            });
        })->select('id', 'item_name', 'quantity', 'expire_date')
            ->get();

        return view('statisticalreports::expire', compact('items'));
    }
}
