@extends('master::layouts.master')

@section('content')

    <div class="container">

        <div>
            <h2 class="text-info" id="title_text">
                {{ trans('reports.expiring_report') }}
            </h2>
        </div>

        <div class="row" style="margin: 24px 0;">
            <form method="get" class="col-md-12">
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="expire_status">{{ trans('reports.status') }} : </label>
                            <select name="expire_status" id="expire_status" class="form-control">
                                <option value="0" @if ( request('expire_status') == 0 )  {{ "selected" }} @endif>{{ trans('reports.expired') }}</option>
                                <option value="1" @if ( request('expire_status') == 1 )  {{ "selected" }} @endif>{{ trans('reports.expire_soon') }}</option>
                                <option value="2" @if ( request('expire_status') == 2 )  {{ "selected" }} @endif>{{ trans('reports.both') }}</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="search" style="color: #fff;">-</label>
                            <div>
                                <button type="submit" class="btn btn-info">{{ trans('reports.search') }}</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>

        <table class="table table-striped">
            <thead class="bg-info text-white">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">{{ trans('items.name') }}</th>
                    <th scope="col">{{ trans('items.quantity') }}</th>
                    <th scope="col">{{ trans('items.expire_date') }}</th>
                </tr>
            </thead>
            <tbody>
                @forelse ($items as $item)
                    <tr>
                        <td>{{ $loop->iteration }}</td>
                        <td>{{ $item->item_name }}</td>
                        <td>{{ $item->quantity ?? 0}}</td>
                        <td>{{ $item->expire_date }}</td>
                    </tr>
                @empty
                    <tr>
                        <td colspan="4">
                            {{ trans('reports.no_items') }}
                        </td>
                    </tr>
                @endforelse
            </tbody>
        </table>
    </div>

@endsection

{{-- @include('invoices::js.scripts') --}}

@section('css-scripts')
<link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

<link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">


<style>
    th{
        vertical-align: middle !important;
    }
    .inner.open{
        max-height: 300px !important;
    }
</style>
@endsection
