@extends('master::layouts.master')

@section('content')
<div class="card card-light mb-1_5 p-3">

    <div class="container">
        <h2 class="text-info" id="title_text"> {{ __('reports.indebtedness_report') }} </h2>

        <div style="display: flex; justify-content: space-evenly;" class="mt-3">
            <span class="alert alert-success mx-2">   رصيد بالموجب : المبلغ علي العميل أو المورد للمؤسسة   </span>
            <span class="alert alert-danger mx-2">   رصيد بالسالب : المبلغ علي المؤسسة ل العميل أو المورد  </span>
        </div>

        <div class="row">
            <form method="get" class="col-md-12">
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="start_date" class="col-sm-12 col-12 col-form-label">{{ trans('client.client_role') }}</label>
                            <div class="col-12">
                                <select class="form-control" name="client_role"> <option value="3" @if (request('client_role') == 3 || ! request()->has('client_role')) selected @endif> الكل </option>
                                    <option value="2" @if (request('client_role') == 2 ) selected @endif> كلاهما </option>
                                    <option value="1" @if (request('client_role') == 1) selected @endif> مورد </option>
                                    <option value="0" @if (request('client_role') == 0 && request()->has('client_role')) selected @endif> عميل </option>
                                </select>
                            </div>
                        </div>
                    </div>

                    {{-- <div class="col-md-3">
                        <label for="select_viewed_cols"> {{ trans('reports.rejected_previewed_columns') }} </label>
                        <div class="col-md-4" style="overflow:visible;">
                            <select id="select_viewed_cols" class="selectpicker" multiple data-live-search="true" data-none-selected-text="{{ trans('reports.no_thing_selected') }}">

                            </select>
                        </div>
                    </div> --}}

                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="search" style="color: #fff;" class="mt-1">-</label>
                            <div>
                                <button type="submit" class="btn btn-info">{{ trans('reports.search') }}</button>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-3 d-flex justify-content-center align-items-center">
                        <div class="form-group">
                            <input type="checkbox" name="has_balance" id="has_balance" value="1" @if(request()->get('has_balance') == 1) checked @endif>
                            <label for="has_balance" class="col-form-label">لديه رصيد فقط</label>
                        </div>
                    </div>
                </div>

            </form>
        </div>
        <div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
            <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2">{{ trans('extends.print') }} </button>
            <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2">{{ trans('extends.toExcel') }} </button>
            {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
        </div>
        <div class="table-responsive">

        <table class="table table-striped" id="table2excel">
            <thead class="bg-info text-white">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">اسم العميل / المورد</th>
                    <th scope="col"> رقم التليفون </th>
                    <th scope="col"> البيان</th>
                    <th scope="col">الرصيد</th>
                </tr>
            </thead>
            <tbody>
                @php
                    $total = 0;
                @endphp
                @forelse ($clients as $client)
                    @php
                        $total += $client->balance;
                    @endphp
                    <tr class="text-center {{ $client->balance == 0 ? 'hidden-zero-balance' : '' }}">
                        <td scope="row">{{ $loop->iteration }}</td>
                        <td> {{  $client->client_name }} </td>
                        <td> {{  $client->mobile1 }} </td>
                        <td> {{ $client->notes }} </td>
                        <td> {{ round_money($client->balance, true) }} </td>
                        {{-- <td> <a class="btn btn-success" target="_blank" rel="noopener noreferrer" href="{{ route('debentures.print', ['id' => $receipt->id]) }}">
                            <i class="fa fa-print"></i>
                        </a> </td> --}}
                    </tr>
                @empty
                <tr>
                    <td colspan="5" style="text-align: center">
                        لا يوجد عملاء
                    </td>
                </tr>
                @endforelse
                @if (! is_null($clients))
                    <tr class="text-center bg-info text-white">
                        <td colspan="4
                        ">الاجمالي</td>
                        <td > {{ round_money( $total, true) }} </td>
                        <td class="hidden"></td>
                        <td class="hidden"></td>
                        <td class="hidden"></td>
                        <td class="hidden"></td>
                    </tr>
                @endif
            </tbody>
        </table>
    </div>
                    </div>
                    </div>
@endsection

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
        <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
        <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">


    <style>
        th{
            vertical-align: middle !important;
        }
        .inner.open{
            max-height: 300px !important;
        }
        @media print{
            td,th{
                color: black !important;
            }
        }
    </style>
@endsection

@section('js-scripts')
    @include('master::js.export-functions')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>


    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>

    <script src="{{ asset('js/reports/columnsControls.js') }}"></script>
    <script>

        $(function () {

            if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {

                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',

                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',

                });
            }




        })
                // added
            $('#select_viewed_cols').html(
                getColsControls(2)
            );

        $(document).on('change', '#start_date, #end_date' , function() {
                var start = $('#start_date').val();
                var end = $('#end_date').val();
                var changed = {
                    'start_date' : 'start',
                    'end_date': 'end'
                };

                if ( ! valid_dates(start, end, changed[ $(this).attr('id') ] ) )
                {
                    $(this).val( $(this).data('old') );
                }
                else {
                    $(this).data('old', $(this).val());
                }

            });

        function valid_dates(start_date, end_date, current) {

            if (start_date > end_date) {
                alert_date(current);
                return false;
            }

            return true;
        }

        function alert_date(current)
        {
            var msg_details = {
                'start' : { 'changed': 'البداية', 'relation': 'أصغر' , 'target': 'النهاية'},
                'end' : { 'changed': 'النهاية', 'relation': 'أكبر' , 'target': 'البداية'}
            };

            alert('تاريخ '+ msg_details[current]['changed'] +' يجب أن يكون '+ msg_details[current]['relation'] +' من تاريخ '+ msg_details[current]['target'] );

        }

        $('#has_balance').on('change', function() {
            if ($(this).is(':checked')) {
                $('.hidden-zero-balance').addClass('hidden');
            } else {
                $('.hidden-zero-balance').removeClass('hidden');
            }
        });
    </script>
@endsection
