<?php

namespace Modules\Store\Entities;

use App\Models\User;
use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class ClientTransaction extends Model
{
    use RoundingAttributesTrait;
    
    public $timestamps = false;
    protected $fillable = [];

    protected $table = 'client_transaction';

    public function getUser()
    {
        return User::find($this->user_id)->user_name ?? 'NAN';

    }

    public function getStore($id)
    {
        return Store::find($id)->store_name ?? 'NAN';
    }

    public function getSafeStore($safe_id)
    {
        $point = SalePoint::find($safe_id);
        if ($point){
            $id = $point->store_id;
        }else {
            $id='0';
        }
        return Store::find($id)->store_name ?? 'NAN';
    }



}
