<?php

namespace Modules\Store\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;
use Modules\Item\Entities\ItemUnit;
use Modules\Item\Entities\Unit;

class Item extends Model
{
    use RoundingAttributesTrait;
    public $timestamps = false;
    protected $fillable = [];

    public function mainUnit()
    {
        return $this->belongsTo(Unit::class, 'unit_id');
    }

    public function subUnits()
    {
        return $this->hasMany(ItemUnit::class, 'item_id')->where('unit_type', 0);
    }
}
