@extends('master::layouts.master')

@section('content')

    <div class="wrapper card card-light mb-1_5 p-3">
        <div class="container">
            <div class="col-md-12">
                <form action="{{ route('stores.update') }}" method="post" enctype="multipart/form-data" class="custome-form">
                    <h1 class="text-info">@lang('native.store-edit')</h1>

                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                    <input type="hidden" name="store_id" value="{{ $store->id }}">
                    <div class="form-group">
                        <label for="name">{{ trans('native.store_name') }}</label>
                        <input class="form-control input-normal" name="name" id="name" value="{{ $store->store_name }}">
                    </div>
                    <div class="form-group">
                        <label for="name">{{ trans('native.tax_number') }}</label>
                        <input class="form-control input-normal" name="tax_number" id="tax_number" value="{{ $store->tax_number }}">
                    </div>
                    <div class="form-group">
                        <label for="name">{{ trans('native.address') }}</label>
                        <input class="form-control input-normal" name="address" id="address" value="{{ $store->address }}">
                    </div>
                    <div class="form-group">
                        <label> بيانات اعلي الفاتوره :</label>
                        <div class="row">
                        <textarea name="bill_header" class="form-control input-normal" id="bill_header" cols="30"
                                  rows="10">{{ $store->bill_header }}</textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label> بيانات اسفل الفاتوره :</label>
                        <div class="row">
                        <textarea name="message_bill" class="form-control input-normal" id="message_bill" cols="30"
                                  rows="10">{{ $store->message_bill }}</textarea>
                        </div>
                    </div>


                    <div class="row">

                        @if ($store->img == '' or is_null($store->img))
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="image">{{ trans('native.image') }}</label>
                                    <input type="file" class="form-control input-normal" name="img" id="img">
                                </div>
                            </div>
                        @else
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="image">{{ trans('native.image') }}</label>
                                    <input type="file" class="form-control input-normal" name="img" id="img">
                                </div>
                            </div>
                            <div class="col-md-8">
                                <img height="60" src="{{ $store->getImg() }}">
                            </div>
                        @endif
                    </div>
<div class="form-group text-center">
<button class="btn btn-success" type="submit">{{ trans('native.save') }}</button>

</div>

                </form>


            </div>

        </div>

        @stop

        @section('js-scripts')
            <script src="{{ asset('tickets/js/jquery.tinymce.min.js') }}"></script>
            <script src="{{ asset('tickets/js/tinymce.min.js') }}"></script>
            <script src="{{ asset('js/pages.js') }}"></script>
            <script>
                $(document).ready(function () {

                    tinymce.init({selector: 'textarea'});

                    var loader = "<div align='center' id='loader'>" +
                        "<i class='fa fa-spinner fa-pulse fa-3x fa-fw'></i>" +
                        "</div><br>";


                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                            type: "GET",
                            data: null,
                            contentType: false,
                            cache: false,
                            processData: false,
                            timeout: 3000,
                        }
                    });


                });

            </script>

        @stop

        @section('css-scripts')

            <style>
                .special {
                    font-weight: bold !important;
                    color: #fff !important;
                    background: #bc0000 !important;
                    text-transform: uppercase;
                }
            </style>
@stop
