@extends('master::layouts.master')
@section('content')


<div class="card card-light mb-1_5 p-3">

    <div class="container">


        <div class="row">
            <div class="col-md-9">
                <h2 class="text-info">
                    @if ($order->confirm == 0)
                        {{ trans('native.The transfer request edit') }}: {{ $order->order_no }}
                    @else
                        {{ trans('native.no_Order') }}: {{ $order->order_no }}
                    @endif
                </h2>
            </div>
            <div class="col-md-3">
                <a href="javascript:void(0)" class="btn-print btn btn-primary pull-left noprint"> {{ trans('extends.print') }}
                </a>
                <a href="javascript:void(0)" onclick="toExcel()" class="btn-excel btn btn-success pull-left noprint mr-2">
                    {{ trans('native.export_excel') }} </a>

            </div>
        </div>
        <div>
            <div class="col-md-10 col-md-offset-1">
                <div class="row well">
                    <div class="col-md-8 width60">
                        <h4 class="text-muted">{{ trans('store.trans') }} {{ trans('store.from_store') }}: <u
                                class="text-primary">{{ $order->store_from_name }}</u></h4>
                        <h4 class="text-muted"> {{ trans('store.to_store') }}: <u
                                class="text-primary">{{ $order->store_to_name }}</u></h4>
                        <h4 class="text-muted">{{ trans('native.TheDate') }}: <u
                                class="text-info">{{ $order->date_order }}</u></h4>
                        <h4 class="text-muted">{{ trans('native.cnfir_by') }}: <u
                                class="text-info">{{ $order->user->user_name }}</u></h4>
                    </div>

                </div>
            </div>
            <div class="row">
                <div class="col-md-10 col-md-offset-2 well">
                    <div class="clear form-group">
                        <div class="col-xs-2">
                            <label class="control-label pull-left">{{ trans('extends.barcode') }} </label>
                        </div>
                        <div class="col-xs-6">

                            <input id="scannerInput" name="barcode" class="form-control" type="text" value=""
                                   autofocus />
                            <div id="barcodeMessage">
                            </div>
                        </div>

                    </div>

                    <div class="row ">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="item_id" class="col-sm-3">{{ trans('extends.item') }}</label>
                                <select name="item_id" id="item_id" class="selectpicker form-control col-sm-8 items---" data-live-search="true">
                                    @foreach ($items as $item)
                                        @php
                                            $units = "<option value='$item->unit_id' data-price='$item->pay_price' data-unit-val='1' data-sale='$item->sale_price'
                                                        data-item='$item->id' data-expire='$item->expire_date'>{$item->mainUnit?->name} </option>";

                                            foreach($item->subUnits AS $sub_unit) {
                                                $units .= "<option value='$sub_unit->unit_id' data-price='($item->pay_price * $sub_unit->unit_value)' data-unit-val=' $sub_unit->unit_value'
                                                          data-sale='$sub_unit->unit_price' data-item='$sub_unit->item_id' data-expire='$item->expire_date'>{$sub_unit->unitName?->name}</option>";
                                            }
                                        @endphp
                                        <option value="{{ $item->item_id }}"
                                                data-qty="{{ quant_decimal($item->quant_1) }}"
                                                data-qty2="{{ quant_decimal($item->quant_2) }}"
                                                data-name="{{ $item->item_name }}"
                                                data-price="{{ price_decimal($item->sale_price) }}"
                                                data-pay="{{ price_decimal($item->pay_price) }}"
                                                data-about="{{ $item->about }}" data-barcode="{{ $item->barcode }}"
                                                data-require_serial="{{ $item->require_serial }}"
                                                data-units="{{ $units }}"
                                                @if (request('to_store') == $item->item_id) selected @endif>
                                            {{ $item->item_name . ' ' . $item->about }}
                                        </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <div class="col-md-4">
                            <div class="form-group row">
                                <label for="#item_unit" class="col-md-4"> الوحدة </label>
                                <select class="form-control col-md-8" id="item_unit"></select>
                            </div>
                        </div>

                        <div class="col-md-2">
                            <a href="javascript:void(0)" style="" class="btn btn-info"
                               id="btn">{{ trans('store.add') }}</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row " id="content">
                <form method="post" action="{{ route('stores.update-record') }}" id="Transform_items_form">
                    {!! csrf_field() !!}
                    <input type="hidden" name="date" class="date">
                    <input type="hidden" name="from_store" value="{{ $order->store_from }}">

                    <input type="hidden" name="to_store" value="{{ $order->store_to }}">
                    <input type="hidden" name="order_id" value="{{ $order->id }}">
                    <input type="hidden" name="order_date" value="{{ $order->date_order }}">
                    <div class="row">
                        <table class="table table-hover table-bordered " id="table2excel">
                            <thead>
                            <tr class="info" style="background-color: #17a2b8 !important;">
                                <td>#</td>
                                <td>{{ trans('extends.item') }}</td>
                                <td>{{ trans('extends.barcode') }}</td>
                                <td>{{ trans('native.recent_amounts') }} في المحول </td>

                                @if (auth()->user()->show_pay_price)
                                    <td>{{ trans('native.pay_price') }}</td>
                                    <td>{{ trans('native.Total_purchase_price') }}</td>
                                @endif

                                <td>{{ trans('extends.quantity') }}</td>
                                <td>{{ trans('native.unit') }}</td>
                                <td>{{ trans('native.delete_record') }}</td>



                            </tr>
                            </thead>
                            <tbody id="content-body">
                            @if (count($records) > 0)

                                @foreach ($records as $record)
                                    <tr id="raw-{{ $record->item_id }}">

                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $record->item_name }}</td>
                                        <td>{{ \Modules\Store\Entities\Item::select('barcode')->where('id', $record->item_id)->first()->barcode }}
                                        </td>
                                        <td>
                                            {{ round_quantity($record->item_quantity) }}
                                        </td>
                                        @if (auth()->user()->show_pay_price)
                                            <td>{{ round_money($record->pay_price) }}</td>
                                            <td>{{ round_money($record->pay_price * $record->quantity) }}</td>
                                        @endif
                                        <td>
                                            <input min="1" max="{{ round_quantity($record->item_quantity) }}" name="quantity[{{ $record->id }}]"
                                                   data-unit-quantity="{{ $record->unit_quantity }}" data-max="{{ $record->item_quantity }}"
                                                   type="number" class="form-control quantity item_quantity"
                                                   value="{{ round_quantity($record->quantity) }}">

                                        </td>
                                        <td>{{ $record->name }}</td>
                                        <td>

                                            <a href="javascript:void(0)" class="btn btn-danger deleteMe"
                                               id="delete-{{ $record->item_id }}" data-id="{{ $record->item_id }}">
                                                {{ trans('native.delete_record') }}
                                            </a>


                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                            </tbody>
                        </table>

                        <button type="submit" class="btn btn-primary" id="save_trans"> {{ trans('store.save_trans') }} </button>
                </form>
            </div>

        </div>

        </div>
                                        </div>
        @stop

        @section('js-scripts')
            <script src="{{ url('tickets/js/bootstrap-select.min.js') }}"></script>
            <script src="{{ url('js/calenders/jquery.calendars.js') }}"></script>
            <script src="{{ url('js/calenders/jquery.calendars.plus.js') }}"></script>
            <script src="{{ url('js/calenders/jquery.plugin.js') }}"></script>
            <script src="{{ url('js/calenders/jquery.calendars.picker.js') }}"></script>
            <script src="{{ url('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
            <script src="{{ url('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
            <script src="{{ url('tickets/scanner.js') }}"></script>

            <script type="text/javascript">
                // barcode
                $(document).scannerDetection({
                    //https://github.com/kabachello/jQuery-Scanner-Detection
                    timeBeforeScanTest: 200, // wait for the next character for upto 200ms
                    avgTimeByChar: 40, // it's not a barcode if a character takes longer than 100ms
                    preventDefault: false,
                    endChar: [13],
                    onKeyDetect: function (barcode, qty) {
                        validScan = true;
                    } // main callback function	,
                    ,
                    onComplete: function (barcode)
                    {
                        var from_store = {{ $order->store_from }};
                        var to_store = {{ $order->store_to }};
                        $('#scannerInput').val(barcode);
                        barcodeSearch(barcode, from_store, to_store);
                    },
                    onError: function (string, qty) {
                        $('#userInput').val($('#userInput').val() + string);
                    }
                });

                $(document).on('change', '#scannerInput', function(){
                    var barcode = $(this).val();
                    var from_store = {{ $order->store_from }};
                    var to_store = {{ $order->store_to }};

                    barcodeSearch(barcode, from_store, to_store);
                });

                $('body').on('keypress change keyup', 'input.item_quantity', function() {
                    let qty = Number( $(this).val() ) * Number( $(this).data('unit-quantity') );
                    if (qty > $(this).data('max')) {
                        $(this).val( $(this).data('max') );
                    }
                });

                function barcodeSearch(barcode, from_store, to_store) {
                    $.ajax({
                        url: '{{ route('store.get-item-data') }}',
                        type: 'get',
                        data: {
                            barcode, from_store, to_store
                        },
                        beforeSend: function () {
                            $('#barcodeMessage').empty().append('<span class="fa fa-spinner"></span>');
                        },
                        success: function (response) {
                            if (response.status == false) {
                                $('#barcodeMessage').empty().append('<span style="color: darkred;">{{ trans('extends.no-record') }}</span>');
                            } else {
                                let item_id=response.data.id,
                                    name=response.data.item_name,
                                    price=response.data.sale_price,
                                    pay=response.data.pay_price,
                                    about=response.data.about,
                                    barcode=response.data.barcode,
                                    qty_from=response.data.qty_from,
                                    qty_to=response.data.qty_to,
                                    require_serial=response.data.serial,
                                    unit_id = response.data.unit_id,
                                    unit_value = 1;

                                @if (get_session_val("units_sup", "Integer") == 1)
                                $('#item_id').val(item_id);
                                $('#item_id').trigger('change');

                                $('#item_unit').val(unit_id);
                                $('#item_unit').trigger('change');

                                price = $('#item_unit option:selected').data('sale');
                                pay = $('#item_unit option:selected').data('price');
                                unit_id = $('#item_unit').val();
                                unit_value = $('#item_unit option:selected').data('unit-val');
                                @endif

                                updateData(item_id, name, price, pay, about, qty_from, qty_to, require_serial, barcode, unit_id, unit_value);

                                $('#barcodeMessage').empty();
                            }
                        },
                        complete: function (data) {

                        }
                    });
                }


                //------------------------------
                //form search
                $(document).on('submit', 'form#Transform_items_form', function(e) {
                    $(this).find('#save_trans').attr('disabled', 'disabled');
                    if ('{{ $show_item_serial }}' == '1') {
                        $('.quantity').each(function(k, This) {
                            var serial = $(This).data('require_serial');
                            var thisElem = $(This).closest('tr');
                            if (serial == 1) {
                                thisElem.find('.serial').each(function(i, v) {
                                    var val = $(v).val();
                                    if (val == '' || val == null) {
                                        e.preventDefault();
                                        $(v).css({
                                            'border-color': 'red'
                                        });
                                    }
                                });
                            }
                        });
                    } else {
                        return true;
                    }
                });
                //-----------------------------




                var decimal_quantity = {{ get_session_val('decimal_num_quant', 'Integer') }},
                    decimal_price = {{ get_session_val('decimal_num_price', 'Integer') }};

                function updateData(item_id, name, price, pay, about, qty,qty2, require_serial, barcode, unit_id, unit_value) {
                    if (qty <= 0){
                        alert('لا توجد كمية بالمخزن لتحويلها');
                        return false;
                    }
                    var div = $('#raw-' + item_id + '-' + unit_id);

                    if (div.length) {
                        div.css('background', 'yellow');
                        div.find('#qty-' + item_id).focus();
                    } else {
                        $('#content-body tr').each(function () {
                            $(this).css('background', 'none');
                        });

                        let index = $('#content-body').find('tr').length + 1;

                        let main_qty = qty / unit_value;

                        console.log(qty, qty2)
                        var data = `<tr id="raw-${item_id}-${unit_id}">
                                    <td>${index}</td>
                                    <td>${name}</td>
                                    <td>${barcode}</td>
                                    <td>${parseFloat(main_qty).toFixed(decimal_quantity)}</td>`;
                        if ('{{ auth()->user()->show_pay_price }}' == '1') {
                            data += `<td>${parseFloat(pay).toFixed(decimal_price)}</td>
                                <td>${parseFloat(pay * unit_value).toFixed(decimal_price)}</td>`;
                        }
                        data += `<td>
                                <input value="1" min="1" max="${main_qty}" type="number" name="item_qty[${item_id}-${unit_id}]" class="form-control quantity"
                                    data-id="${item_id}" data-require_serial="${require_serial}" data-unit="${unit_id}" data-unit_value="${unit_value}" id="qty-${item_id}">
                            </td>
                            <td>${$('#item_unit option:selected').text()}</td>`;

                        data +=  `<td>
                                <a href="javascript:void(0)" class="btn btn-danger deleteMe" id="delete-${item_id}" data-id="${item_id}-${unit_id}">{{ trans('extends.delete-btn') }}</a>
                              </td>
                              </tr>`;
                        $('#content-body').append(data);
                    }
                    checkTable();
                }

                function checkTable() {
                    var len = $('#content-body tr').length;

                    if (len > 0) {
                        $('#content').removeClass('hidden');
                    } else {
                        $('#content').addClass('hidden');
                    }
                }

                checkTable();

                $(document).on('click', '#btn', function() {
                    var selected_option = $('#item_id option:selected');
                    var item_id = selected_option.val();
                    var name = selected_option.data('name');
                    var price = selected_option.data('price');
                    var pay = selected_option.data('pay');
                    var about = selected_option.data('about');
                    var qty = selected_option.data('qty');
                    var qty2 = selected_option.data('qty2');
                    var require_serial = selected_option.data('require_serial');
                    var barcode = selected_option.data('barcode');
                    var unit_id = $('#item_unit').val();
                    var unit_value = $('#item_unit option:selected').data('unit-val');

                    updateData(item_id, name, price, pay, about, qty, qty2, require_serial, barcode, unit_id, unit_value);
                });
            </script>
            <script src="{{ url('js/jquery.table2excel.js') }}"></script>

            <script type="text/javascript">
                $('.btn-print').click(function(e) {
                    e.preventDefault();
                    window.print();
                });

                function toExcel() {
                    $("#table2excel").table2excel({
                        // exclude CSS class
                        exclude: ".noExl",
                        name: "Report",
                        filename: "store-transform-number-{{ $order->order_no }}" //do not include extension

                    });
                }

                $(document).on('click', '.deleteMe', function() {
                    var id = $(this).data('id');
                    $(document).find('#raw-' + id).remove();
                });

                $('#item_id').on('change', function(){
                    var units = $('#item_id').children('option:selected').data('units');
                    $('#item_unit').html(units);
                });

                $(function(){
                    $('#item_id').trigger('change');
                });
            </script>
        @stop

        @section('js-styles')
            <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

            <link href="{{ url('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
            <link href="{{ url('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
            <link href="{{ url('css/calenders/datepicker3.css') }}" rel="stylesheet">


            <style>
                @media print {
                    .forprint {
                        display: block !important;
                    }

                    .noprint {
                        display: none;
                    }


                    #logo {
                        display: block !important;
                    }

                    .width30 {
                        width: 30% !important;
                        float: left;
                        margin-top: -9em !important;
                        margin-bottom: 1em !important;
                    }

                    .width40 {
                        width: 40% !important;
                        float: left;
                        margin-top: -9em !important;
                        margin-bottom: 1em !important;
                    }

                    .width50 {
                        width: 30% !important;
                        float: left;
                        margin-top: 1em !important;
                        margin-bottom: 1em !important;
                    }

                    .width60 {
                        width: 60% !important;
                    }

                    .well {
                        background: none;
                        border: none;
                    }
                }
            </style>
        @stop
        @section('js-styles')
            <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

            <style>
                .special {
                    font-weight: bold !important;
                    color: #fff !important;
                    background: #bc0000 !important;
                    text-transform: uppercase;
                }
            </style>


@stop
