@extends('master::layouts.master')

@section('content')
    <div class="wrapper card card-light mb-1_5 p-3">
        <div class="container">
            <div class="row">
                <div class="col-md-12">

                    <h1 class="text-info">{{ trans('native.stores') }}</h1>
                    @if (1 == 0)
                        <button class="btn btn-primary pull-left" id="btn"
                                style="margin-bottom: 1em;">{{ trans('native.new_store') }}</button>
                    @endif
                </div>

                <div class="col-12">
                        <div class="table-responsive  mt-4">
                            <table class="table-hover zui-table zui-table-rounded table-bordered col-md-12">

                                <thead>
                                    <tr class="info text-center">
                                        <th scope="col">#</th>
                                        <th scope="col">{{ trans('native.image') }}</th>
                                        <th scope="col">{{ trans('extends.name') }}</th>
                                        <th scope="col">{{ trans('extends.action') }}</th>

                                    </tr>
                                </thead>

                                <tbody>
                                @foreach($stores as $store)
                                    <tr data-toggle="collapse" data-target="#demo" class="text-center">
                                        <td style="vertical-align: middle;">{{ $loop->iteration }}</td>
                                        <td style="vertical-align: middle;"><img class="img-responsive" width="80"
                                                                                 src="{{ asset( $store->getImg()) }}"></td>
                                        <td style="vertical-align: middle;">{{ $store->store_name }}</td>
                                        <td style="vertical-align: middle;">
                                            <div>
{{-- 
                                                <a href="{{ route('shelves.index', $store->id) }}" style="margin-left:5px;"
                                                   class="btn btn-success">{{ trans('shelf.shelf-module') }}</a> --}}

                                                <a href="{{ route('stores.show', $store->id) }}" style="margin-left:5px;"
                                                   class="btn btn-info  mt-2">{{ trans('extends.show') }}</a>

                                              <!--  <a class="btn btn-md btn-warning" data-toggle="modal"
                                                   data-target="#updateElementModal"
                                                   data-href="{{ $store->id }}"
                                                   style="margin-left:5px;">
                                                    {{ trans('extends.edit-btn') }}
                                                </a> -->

                                                <a class="btn  btn-warning mt-2"
                                                   href="{{ route('stores.edit-page',$store->id) }}"
                                                   style="margin-left:5px;">
                                                    {{ trans('extends.edit-btn') }}
                                                </a>

                                                <!--<a class="btn btn-md btn-danger" data-toggle="modal"-->
                                                <!--   data-target="#deleteElementModal"-->
                                                <!--   data-href="{{ $store->id }}"-->
                                                <!--   style="margin-left:5px;">-->
                                                <!--    {{ trans('extends.delete-btn') }}-->
                                                <!--</a>-->
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>

                            </table>

                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="create_modal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">


                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabel">{{ trans('store.new_store') }}</h4>
                </div>

                <form role="form" action="{{ route('stores.store') }}" method="post" enctype="multipart/form-data">
                    {!! csrf_field() !!}
                    <div class="modal-body" id="modal-loader-u">
                        {{--<p>Do you want to proceed?</p>--}}
                        <div class="row">
                            <div class="col-xs-12">

                                <div class="well">
                                    <div class="form-group">
                                        <label for="name">{{ trans('native.store_name') }}</label>
                                        <input class="form-control" name="name" id="name">
                                    </div>
                                    <div class="form-group">
                                        <label for="img">{{ trans('native.image') }}</label>
                                        <input type="file" class="form-control" name="img" id="img">
                                    </div>


                                    <div class="form-group">
                                        <img id="output" width="150" style="margin-right: 4em; margin-top: 20px;"/>
                                    </div>

                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="modal-footer">
                        <button type="button"
                                class="btn btn-default"
                                data-dismiss="modal">{{ trans('extends.close') }}
                        </button>
                        <button class="btn btn-primary">{{ trans('extends.save-btn') }}</button>
                    </div>
                </form>


            </div>
        </div>
    </div>

    <div class="modal fade" id="updateElementModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div id="currentErrorMessage2"></div>
                <form id="updateElementForm" method="post" action="{{ route('stores.update') }}"
                      enctype="multipart/form-data">

                    {{ csrf_field() }}

                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    </div>

                    <div class="modal-body" id="modal-loader-u">
                        <div id="updateElementLoader" style="alignment: center;"></div>
                        <div id="updateElementErrors" style="alignment: left;"></div>
                        <div class="row">
                            <div class="col-xs-12">
                                <div class="well" id="updateElementWell">
                                    {{-- DATA WILL BE ADDED HERE BY ID! --}}
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="modal-footer">
                        <button type="button"
                                class="btn btn-default"
                                data-dismiss="modal">{{ trans('extends.close') }}
                        </button>
                        <button class="btn btn-primary" type="submit"> {{ trans('extends.edit-btn') }}</button>
                    </div>

                </form>

            </div>
        </div>
    </div>


    <div class="modal fade" id="deleteElementModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">

                <form id="deleteElementForm" action="{{ route('stores.delete') }}" method="post">

                    {{ csrf_field() }}
                    <div class="modal-body" id="modal-loader-u">
                        <p>{{ trans('store.q_confirm_delete_r') }}</p>
                        <div id="deleteElementLoader" style="alignment: center;"></div>
                        <div id="deleteElementErrors" style="alignment: left;"></div>
                    </div>


                    <div class="deleteRef"></div>
                    <div class="modal-footer">
                        <button type="button"
                                class="btn btn-default"
                                data-dismiss="modal">{{ trans('extends.close') }}
                        </button>
                        <button class="btn btn-danger" type="submit">{{ trans('extends.delete-btn') }} </button>
                    </div>

                </form>

            </div>
        </div>
    </div>

@stop

@section('js-scripts')
    <script src="{{ asset('tickets/js/jquery.tinymce.min.js') }}"></script>
    <script src="{{ asset('tickets/js/tinymce.min.js') }}"></script>
    <script src="{{ asset('js/pages.js') }}"></script>
    <script>
        $(document).ready(function () {


            var editor_config = {
                path_absolute : "/badrshop-fnr/tools/",
                selector: "#bill_header, #message_bill ",
                height: 250,
                plugins: [
                    "advlist autolink lists link image charmap print preview hr anchor pagebreak",
                    "searchreplace wordcount visualblocks visualchars code fullscreen",
                    "insertdatetime media nonbreaking save table contextmenu directionality",
                    "emoticons template paste textcolor colorpicker textpattern"
                ],
                toolbar1: "newdocument fullpage | bold italic underline strikethrough | alignleft aligncenter alignright alignjustify | styleselect formatselect fontselect fontsizeselect",
                toolbar2: "cut copy paste | searchreplace | bullist numlist | outdent indent blockquote | undo redo | link unlink anchor image media code | insertdatetime preview | forecolor backcolor",
                toolbar3: "table | hr removeformat | subscript superscript | charmap emoticons | print fullscreen | ltr rtl | visualchars visualblocks nonbreaking template pagebreak restoredraft",
                image_advtab: true,
                toolbar_items_size: 'small',
                templates: [
                    {title: 'Test template 1', content: 'Test 1'},
                    {title: 'Test template 2', content: 'Test 2'}
                ],    relative_urls: false,
                file_browser_callback : function(field_name, url, type, win) {
                    var x = window.innerWidth || document.documentElement.clientWidth || document.getElementsByTagName('body')[0].clientWidth;
                    var y = window.innerHeight|| document.documentElement.clientHeight|| document.getElementsByTagName('body')[0].clientHeight;

                    var cmsURL = editor_config.path_absolute + 'laravel-filemanager?field_name=' + field_name;
                    if (type == 'image') {
                        cmsURL = cmsURL + "&type=Images";
                    } else {
                        cmsURL = cmsURL + "&type=Files";
                    }

                    tinyMCE.activeEditor.windowManager.open({
                        file : cmsURL,
                        title : 'Filemanager',
                        width : x * 0.8,
                        height : y * 0.8,
                        resizable : "yes",
                        close_previous : "no"
                    });
                }
            };

            tinymce.init(editor_config);

            var loader = "<div align='center' id='loader'>" +
                "<i class='fa fa-spinner fa-pulse fa-3x fa-fw'></i>" +
                "</div><br>";


            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                    type: "GET",
                    data: null,
                    contentType: false,
                    cache: false,
                    processData: false,
                    timeout: 3000,
                }
            });

            $(document).on('click', '#btn', function () {

                var loadFile = function (event) {
                    var output = document.getElementById('output');
                    output.src = URL.createObjectURL(event.target.files[0]);
                };
                $('#create_modal').modal();
            });


            $('#deleteElementModal').on('show.bs.modal', function (e) {

                hashedID = $(e.relatedTarget).data('href');

                $('#deleteElementLoader').empty();
                $('#deleteElementErrors').empty();
                $('#error').remove();
                $('.deleteRef').empty().append('<input name="store_id" value="' + hashedID + '" type="hidden">');

            });


            $('#updateElementModal').on('show.bs.modal', function (e) {
                hashedID = $(e.relatedTarget).data('href');

                var data = {id: hashedID};
                $.ajax({
                    url: '{{ route('stores.edit') }}',
                    type: "get",
                    data: data,
                    contentType: false,
                    cache: false,
                    processData: true, // <==
                    timeout: 3000,
                    beforeSend: function () {
                        $('#updateElementLoader').empty().prepend(loader);
                        $('#updateElementErrors').empty();
                        $('#error').remove();
                        $('#updateElementWell').empty()
                    },
                    success: function (data) {

                        $('#updateElementWell').empty().prepend(data.data);

                    },
                    error: function (data) {
                        $('#updateElementLoader').empty();
                        $('#updateElementWell').empty().prepend(error);
                    },
                    complete: function () {

                    }
                });
                
                $(function () {
                    tinymce.init({ selector:'textarea'});
                });

            });
        });

    </script>

@stop

@section('css-scripts')

    <style>
        .special {
            font-weight: bold !important;
            color: #fff !important;
            background: #bc0000 !important;
            text-transform: uppercase;
        }
    </style>
@stop
