@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <h1 class="text-primary">توزيع الكميات</h1>
                </div>


                <div class="row well">


                    <div class="col-md-2">
                        <div class="form-group">
                            <label class="control-label">اختيار صنف:</label>
                            <select class="form-control picker" data-live-search="true" id="item_select"
                                    name="item_select">
                                @foreach($getItems as $item)
                                    <option value="{{ $item->id }}">{{ $item->item_name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>

                    <table class="table table-striped">
                        <thead>
                        <tr>
                            <th data-sort="The-code" class="header">الصنف الاساسي</th>
                            <th class="header">اسم التوزيع</th>
                            <th class="header">الكمية</th>
                            <th class="header">حذف</th>
                        </tr>
                        </thead>
                        <tbody id="tableItems">

                        </tbody>
                    </table>

                    <div id="button-placeholder">
                        <hr class="mb-4">
                        <button onclick="postDistribution()" class="btn btn-primary btn-lg btn-block">اضافه</button>
                    </div>

                </div>


            </div>
        </div>
    </div>





@stop

@section('js-scripts')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    >

    <script>


            var loader = "<div align='center' id='loader'>" +
                "<i class='fa fa-spinner fa-pulse fa-3x fa-fw'></i>" +
                "</div><br>";


            $('.picker').selectpicker({
                size: 8
            });

            $("#item_select").on('change', function (e) {
                var value = $('#item_select').find(":selected").val();
                getItemById('POST', '{{ route('stores.get_item_by_id') }}', value)
            });

            function getItemById(type, url, data) {
                $.ajax({
                    type: type,
                    url: url,
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                    },
                    data: {data},
                    success: function (res) {
                        $.each(res, function (index, value) {
                            var item_id = value.id;
                            var item_name = value.item_name;
                            var quantity = value.quantity;

                            $element = `<tr class="item">
                            <td id="${item_id}" data-quantity="${quantity}" data-id="${item_id}">${item_name}</td>
                            <td><input type="text" class="form-control new_about">
                            </td>
                            <td><input type="number" min="1" class="form-control new_qty" ></td>
                            <td><a class="btn btn-danger" href="javascript:void(0)" onclick="delete_item(this.id,13)"
                                   id="جبنه بيضاء">حذف <i class="fa fa-trash-o"></i></a></td>
                            </tr>`;

                            // prevent add duplicated  items
                            var oldElement = $('#' + item_id).html();
                            if (oldElement !== item_name) {
                                $("#tableItems").append($element);
                            }
                        });
                    }
                });
            }



            // post the bill data
            function postDistribution() {

                var itemObj = {
                    items: []
                };

                // loop over table items to get data
                $('tr.item').each(function () {
                    var itemId = $(this).find('td:first').attr("id"),
                        itemName = $(this).find('td:first').html(),
                        distributionName = $(this).find('td:eq(1) > input').val(),
                        distributionQuantity = $(this).find('td:eq(2) > input').val();

                    itemObj.items.push({
                        'itemId': itemId,
                        'itemName': itemName,
                        'distributionName': distributionName,
                        'distributionQuantity': distributionQuantity
                    });
                });


                $.ajax({
                    type: 'POST',
                    url: '{{ route('stores.save-distribution') }}',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: itemObj,
                    success: function (res) {
console.log(res);                    }
                });
            }


    </script>

@stop

@section('css-scripts')
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <style>

    </style>
@stop
