@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">
            <div class="row">
                <div class="col-md-12">

                    <h2 class="text-info">{{ trans('store.trans_item_report') }} - <u
                                class="text-danger">{{ $store_name }}</u></h2>

                    <div class="pull-left">
                        <a href="javascript:void(0)"
                           class="btn-print btn btn-success noprint"> {{ trans('extends.print') }} </a>

                    </div>

                </div>

                <div class="row noprint" id="hidden_div">
                    <div class="col-md-12">
                        <form>
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="well">
                                        <div class="row">
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="">{{ trans('extends.from') }}</label>
                                                    <input class="form-control date" name="from_date"
                                                           value="{{ request('from_date') }}">
                                                </div>
                                            </div>

                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="">{{ trans('extends.to') }}:</label>
                                                    <input class="form-control date" name="to_date"
                                                           value="{{ request('to_date') }}">
                                                </div>
                                            </div>

                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="">{{ trans('extends.store') }}:</label>
                                                    <select class="form-control" name="store_id">
                                                        {{--<option value="0" @if (request('store_id') == '0') selected @endif>المخزن الرئيسي</option>--}}
                                                        @foreach($stores as $store)
                                                            <option value="{{ $store->id }}"
                                                                    @if (request('store_id') == $store->id) selected @endif>
                                                                {{ $store->store_name }}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>

                                            <div class="col-md-3">
                                                <button style="margin-top: 1.7em;" class="btn btn-danger"
                                                        id="do-transform" type="submit">
                                                    {{ trans('extends.show') }}
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            <div class="col-md-4 width40">
                <img id="logo" style="display: none;" src="{{ config('main.badr').$img }}" height="60">
            </div>
            <div class="col-xs-12 col-md-12">

                <div class="row">
                    <div class="col-md-12 col-xs-12">
                        <table id="sum_table" class="table table-responsive table-hover table-bordered">

                            <thead>
                            <tr class="bg-info">
                                <th scope="col">#</th>
                                <th scope="col">{{ trans('native.TheDate') }}</th>
                                <th scope="col">{{ trans('native.pay_to') }}</th>
                                <th scope="col">{{ trans('native.pay_from') }}</th>
                                <th scope="col"> {{ trans('native.explanation') }}</th>
                                <th scope="col">{{ trans('native.UserName') }}</th>
                            </tr>
                            </thead>

                            <tbody id="content">
                            @foreach($results as $item)

                                <tr data-toggle="collapse" data-target="#demo">
                                    <td>{{ $loop->iteration }}</td>
                                    <td>{{ $item->pay_day }}</td>
                                    @if ($item->type == '11')
                                        @if ($item->effect == '0')
                                            <td class="export"></td>
                                            <td class="import">{{ round_money($item->amount) }}</td>
                                            <td>{{ trans('store.trans_to_store') }}
                                                <b>{{ $item->getSafeStore($item->effected_point) }}</b></td>
                                        @else
                                            <td class="export">{{ round_money($item->amount) }}</td>
                                            <td class="import"></td>
                                            <td>{{ trans('store.trans_from_store') }}
                                                <b>{{ $item->getSafeStore($item->effected_point) }}</b></td>
                                        @endif
                                    @elseif ($item->effect == '3')
                                        @if ($item->from_store == request('store_id'))
                                            <td class="export"></td>
                                            <td class="import">{{ round_money($item->amount) }}</td>
                                            <td><a href="{{ route('store.transform-item', $item->store_order_id) }}">
                                                    {{ trans('store.exp_no') }} <b>{{ $item->order_no }}</b>
                                                    {{ trans('store.to_store') }}
                                                    <b>{{ $item->getStore($item->to_store) }}</b>

                                                </a></td>

                                        @else
                                            <td class="export">{{ round_money($item->amount) }}</td>
                                            <td class="import"></td>
                                            <td><a href="{{ route('store.transform-item', $item->store_order_id) }}">
                                                    {{ trans('store.exp_no') }} <b>{{ $item->order_no }}</b>

                                                    {{ trans('store.from_store') }}
                                                    <b>{{ $item->getStore($item->from_store)  }}</b>

                                                </a></td>
                                        @endif
                                    @else
                                        <td class="export"></td>
                                        <td class="import"></td>
                                        <td>{{ trans('extends.no-info') }}</td>
                                    @endif

                                    {{--<td>{{ $item->store_name }}</td>--}}
                                    <td>{{ $item->getUser() }}</td>
                                </tr>
                            @endforeach

                            <tr class="success">
                                <td colspan="2" class="text-center">{{ trans('extends.total') }}</td>
                                <td id="sum-export"></td>
                                <td id="sum-import"></td>
                                <td colspan="3"></td>
                            </tr>
                            </tbody>

                        </table>
                    </div>

                </div>

            </div>
        </div>
    </div>

@stop

@section('js-scripts')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script type="text/javascript">

        if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {
                $(".date").calendarsPicker({
                calendar: $.calendars.instance('gregorian'),
                dateFormat: 'Y-mm-dd',
                // defaultDate: "0",
                // selectDefaultDate: true

            });
        } else {
            $(".date").calendarsPicker({
                calendar: $.calendars.instance('ummalqura'),
                dateFormat: 'Y-mm-dd',
                // defaultDate: "0",
                // selectDefaultDate: true
            });
        }


        $('.btn-print').click(function (e) {
            e.preventDefault();
            window.print();
        });

        $('#convert_all').on('click', function () {
            if ($('#hidden_div').hasClass('hidden')) {
                $('#hidden_div').removeClass('hidden');
            } else {
                $('#hidden_div').addClass('hidden');
            }
        });

        var len = $('#content tr').length;

        if (len > 0) {
            $('#convert_all').removeClass('hidden');
            $('.btn-print').removeClass('hidden');
        } else {
            $('#convert_all').addClass('hidden');
            $('.btn-print').addClass('hidden');
        }

        $(document).on('submit', '#transform_all', function () {
            $('#do-transform').replaceWith('<span style="margin-top:1.7em;" class="fa fa-3x fa-spinner fa-spin"></span>')
        });

    </script>
    <script>

        var sum_export = 0;
        $('.export').each(function () {
            sum_export += Number($(this).text());
        });
        $('#sum-export').text(sum_export);

        var sum_import = 0;
        $('.import').each(function () {
            sum_import += Number($(this).text());
        });
        $('#sum-import').text(sum_import);

    </script>
@stop

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <style>
        @media print {
            .noprint {
                display: none;
            }

            .printMe {
                display: block !important;
            }

            #logo {
                display: block !important;

            }

            .width40 {
                width: 40% !important;
                float: left;
                margin-top: -3em !important;
                margin-bottom: 1em !important;
            }

            .width60 {
                width: 60% !important;
            }

            a[href]:after {
                content: none !important;
            }
        }
    </style>

@stop
