@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">
            <div class="row">
                <div class="col-md-12">

                    <h1 class="text-primary">{{ trans('native.stores') }}</h1>
                    @if (1 == 0)
                        <button class="btn btn-primary pull-left" id="btn"
                                style="margin-bottom: 1em;">{{ trans('native.new_store') }}</button>
                    @endif
                </div>

                <div class="col-xs-12 col-md-11 col-md-offset-1">

                    <div class="row">
                        <div class="col-md-10 col-xs-12">
                            <table class="table table-responsive table-hover table-bordered">

                                <thead>
                                <tr class="bg-info">
                                    <th scope="col">#</th>
                                    <th scope="col">{{ trans('native.image') }}</th>
                                    <th scope="col">{{ trans('extends.name') }}</th>
                                    <th scope="col">{{ trans('extends.action') }}</th>

                                </tr>
                                </thead>

                                <tbody>
                                @foreach($stores as $store)
                                    <tr data-toggle="collapse" data-target="#demo">
                                        <td style="vertical-align: middle;">{{ $loop->iteration }}</td>
                                        <td style="vertical-align: middle;"><img class="img-responsive" width="80"
                                                                                 src="{{ $store->getImg() }}"></td>
                                        <td style="vertical-align: middle;">{{ $store->store_name }}</td>
                                        <td style="vertical-align: middle;">
                                            <div>

                                                <a href="{{ route('stores.shelves', $store->id) }}" style="margin-left:5px;"
                                                   class="btn btn-success">{{ trans('shelf.shelf-module') }}</a>

                                                <a href="{{ route('stores.show', $store->id) }}" style="margin-left:5px;"
                                                   class="btn btn-info">{{ trans('extends.show') }}</a>

                                                <a class="btn btn-md btn-warning" data-toggle="modal"
                                                   data-target="#updateElementModal"
                                                   data-href="{{ $store->id }}"
                                                   style="margin-left:5px;">
                                                    {{ trans('extends.edit-btn') }}
                                                </a>

                                                <a class="btn btn-md btn-danger" data-toggle="modal"
                                                   data-target="#deleteElementModal"
                                                   data-href="{{ $store->id }}"
                                                   style="margin-left:5px;">
                                                    {{ trans('extends.delete-btn') }}
                                                </a>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>

                            </table>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="create_modal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">


                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabel">{{ trans('store.new_store') }}</h4>
                </div>

                <form role="form" action="{{ route('stores.store') }}" method="post" enctype="multipart/form-data">
                    {!! csrf_field() !!}
                    <div class="modal-body" id="modal-loader-u">
                        {{--<p>Do you want to proceed?</p>--}}
                        <div class="row">
                            <div class="col-xs-12">

                                <div class="well">
                                    <div class="form-group">
                                        <label for="name">{{ trans('native.store_name') }}</label>
                                        <input class="form-control" name="name" id="name">
                                    </div>
                                    <div class="form-group">
                                        <label for="img">{{ trans('native.image') }}</label>
                                        <input type="file" class="form-control" name="img" id="img">
                                    </div>

                                    <div class="form-group">
                                        <img id="output" width="150" style="margin-right: 4em; margin-top: 20px;"/>
                                    </div>

                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="modal-footer">
                        <button type="button"
                                class="btn btn-default"
                                data-dismiss="modal">{{ trans('extends.close') }}
                        </button>
                        <button class="btn btn-primary">{{ trans('extends.save-btn') }}</button>
                    </div>
                </form>


            </div>
        </div>
    </div>

    <div class="modal fade" id="updateElementModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div id="currentErrorMessage2"></div>
                <form id="updateElementForm" method="post" action="{{ route('stores.update') }}"
                      enctype="multipart/form-data">

                    {{ csrf_field() }}

                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    </div>

                    <div class="modal-body" id="modal-loader-u">
                        <div id="updateElementLoader" style="alignment: center;"></div>
                        <div id="updateElementErrors" style="alignment: left;"></div>
                        <div class="row">
                            <div class="col-xs-12">
                                <div class="well" id="updateElementWell">
                                    {{-- DATA WILL BE ADDED HERE BY ID! --}}
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="modal-footer">
                        <button type="button"
                                class="btn btn-default"
                                data-dismiss="modal">{{ trans('extends.close') }}
                        </button>
                        <button class="btn btn-primary" type="submit"> {{ trans('extends.edit-btn') }}</button>
                    </div>

                </form>

            </div>
        </div>
    </div>


    <div class="modal fade" id="deleteElementModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">

                <form id="deleteElementForm" action="{{ route('stores.delete') }}" method="post">

                    {{ csrf_field() }}
                    <div class="modal-body" id="modal-loader-u">
                        <p>{{ trans('store.q_confirm_delete_r') }}</p>
                        <div id="deleteElementLoader" style="alignment: center;"></div>
                        <div id="deleteElementErrors" style="alignment: left;"></div>
                    </div>

                    <div class="deleteRef"></div>
                    <div class="modal-footer">
                        <button type="button"
                                class="btn btn-default"
                                data-dismiss="modal">{{ trans('extends.close') }}
                        </button>
                        <button class="btn btn-danger" type="submit">{{ trans('extends.delete-btn') }} </button>
                    </div>

                </form>

            </div>
        </div>
    </div>

@stop

@section('js-scripts')
    <script>

        $(document).ready(function () {

            var loader = "<div align='center' id='loader'>" +
                "<i class='fa fa-spinner fa-pulse fa-3x fa-fw'></i>" +
                "</div><br>";


            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                    type: "GET",
                    data: null,
                    contentType: false,
                    cache: false,
                    processData: false,
                    timeout: 3000,
                }
            });

            $(document).on('click', '#btn', function () {

                var loadFile = function (event) {
                    var output = document.getElementById('output');
                    output.src = URL.createObjectURL(event.target.files[0]);
                };
                $('#create_modal').modal();
            });


            $('#deleteElementModal').on('show.bs.modal', function (e) {

                hashedID = $(e.relatedTarget).data('href');

                $('#deleteElementLoader').empty();
                $('#deleteElementErrors').empty();
                $('#error').remove();
                $('.deleteRef').empty().append('<input name="store_id" value="' + hashedID + '" type="hidden">');

            });


            $('#updateElementModal').on('show.bs.modal', function (e) {
                hashedID = $(e.relatedTarget).data('href');

                var data = {id: hashedID};
                $.ajax({
                    url: '{{ route('stores.edit') }}',
                    type: "get",
                    data: data,
                    contentType: false,
                    cache: false,
                    processData: true, // <==
                    timeout: 3000,
                    beforeSend: function () {
                        $('#updateElementLoader').empty().prepend(loader);
                        $('#updateElementErrors').empty();
                        $('#error').remove();
                        $('#updateElementWell').empty()
                    },
                    success: function (data) {

                        $('#updateElementWell').empty().prepend(data.data);

                    },
                    error: function (data) {
                        $('#updateElementLoader').empty();
                        $('#updateElementWell').empty().prepend(error);
                    },
                    complete: function () {

                    }
                });

            });
        });

    </script>

@stop

@section('css-scripts')

    <style>
        .special {
            font-weight: bold !important;
            color: #fff !important;
            background: #bc0000 !important;
            text-transform: uppercase;
        }
    </style>
@stop
