@extends('master::layouts.master')

@section('content')

<div class="card card-light mb-1_5 p-3">

    <div class="container">
        <div class="row">
            <div class="col-md-9">
                <h2 class="text-info">
                    @if ($order->confirm == 0)
                        {{ trans('native.The transfer request number') }}: {{ $order->order_no }}
                    @else
                        {{ trans('native.no_Order') }}: {{ $order->order_no }}
                    @endif
                </h2>
            </div>
            <div class="col-md-3">
                <a href="javascript:void(0)" class="btn-print btn btn-primary pull-left noprint"> {{ trans('extends.print') }}
                </a>
                <a href="javascript:void(0)" onclick="toExcel()" class="btn-excel btn btn-success pull-left noprint">
                    {{ trans('native.export_excel') }} </a>

            </div>
        </div>

        <div class="row">
            <div class="col-md-12 col-md-offset-1">
                <div class="row well">
                    <div class="col-md-8 width60">
                        <h4 class="text-muted">{{ trans('store.trans') }} {{ trans('store.from_store') }}: <u
                                class="text-info">{{ $order->store_from_name }}</u></h4>
                        <h4 class="text-muted"> {{ trans('store.to_store') }}: <u
                                class="text-info">{{ $order->store_to_name }}</u></h4>
                        <h4 class="text-muted">{{ trans('native.TheDate') }}: <u
                                class="text-info">{{ $order->date_order }}</u></h4>
                        <h4 class="text-muted">{{ trans('native.cnfir_by') }}: <u
                                class="text-info">{{ $order->user->user_name }}</u></h4>
                    </div>
                    <div class="col-md-4 width40">
                        <img id="logo" style="display: none;" src="{{ config('main.badr') . $img }}" height="120">
                    </div>
                    <div style="margin-right: 17px;" class="hide_print">
                        <input type="checkbox" name="" id="hide-pay_price-debt"> اخفاء سعر الشراء من الطباعه
                    </div>
                </div>

                @if (count($records) > 0)
                    <div class="row col-md-12 table table-responsive ">
                        <table class="table-hover table-bordered col-md-12" id="table2excel">
                            <thead>
                                <tr class="bg-info text-white">
                                    <td>#</td>
                                    <td>{{ trans('extends.item') }}</td>
                                    <td>{{ trans('extends.barcode') }}</td>
                                    <td>{{ trans('extends.quantity') }}</td>

                                    @if (auth()->user()->show_pay_price)
                                        <td class="pay_price">{{ trans('native.pay_price') }}</td>
                                        <td class="pay_price">{{ trans('native.Total_purchase_price') }}</td>
                                    @endif

                                    <td>{{ trans('extends.unit') }}</td>

                                </tr>
                            </thead>
                            <tbody id="content-body">

                                @foreach ($records as $record)
                                    <tr>
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $record->item_name }}</td>
                                        <td>{{ $record->barcode }}</td>
                                        <td>{{ round_quantity($record->quantity) }}</td>
                                        @if (auth()->user()->show_pay_price)
                                            <td class="pay_price">{{ round_money($record->pay_price) }}</td>
                                            <td class="pay_price">{{ round_money($record->pay_price * $record->quantity) }}
                                            </td>
                                        @endif
                                        <td>{{ $record->unit }}</td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>

                        @if ($order->confirm == 0)
                            <div class="text-center" style="margin-top: 20px">
                                <a class="transform-options btn btn-success" href="{{ Route('stores.transform-confirm', $order->id) }}">{{ trans('extends.transfer_items_confirm') }}</a>
                                <a class="transform-options btn btn-primary" href="{{ Route('stores.edit-record', $order->id) }}">{{ trans('extends.edit_transfer_items') }}</a>
                                <a style="padding:6px 12px!important;" class="transform-options btn btn-danger" href="{{ Route('stores.transform-decline', $order->id) }}">{{ trans('extends.Decline') }}</a>
                            </div>
                        @endif

                    </div>
                @endif
            </div>
        </div>
        <div class="row">
            <div class="forprint " style="display: none;">

                <div class="width50">
                    <p>{{ trans('native.storekeeper_signature') }}</p>
                    <p>------</p>
                </div>

                <div class="width50">
                    <p>{{ trans('native.delegate_signature') }}</p>
                    <p>------</p>
                </div>

                <div class="width50">
                    <p>{{ trans('native.cnfir_by') }}</p>
                    <p>{{ auth()->user()->user_name }}</p>
                </div>

            </div>

        </div>
    </div>

</div>
@stop

@section('js-scripts')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script type="text/javascript">
        if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {
            $(".date").calendarsPicker({
                calendar: $.calendars.instance('gregorian'),
                dateFormat: 'Y-mm-dd',
                // defaultDate: "0",
                // selectDefaultDate: true

            });
        } else {
            $(".date").calendarsPicker({
                calendar: $.calendars.instance('ummalqura'),
                dateFormat: 'Y-mm-dd',
                // defaultDate: "0",
                // selectDefaultDate: true
            });
        }
        $('.picker').selectpicker({
            size: 8
        });

        $('.transform-options').on('click', function() {
            $(this).parent().remove();
        });
    </script>
    <script src="{{ url('js/jquery.table2excel.js') }}"></script>

    <script type="text/javascript">
        $('.btn-print').click(function(e) {
            e.preventDefault();
            window.print();
        });

        function toExcel() {
            $("#table2excel").table2excel({
                // exclude CSS class
                exclude: ".noExl",
                name: "Report",
                filename: "store-transform-number-{{ $order->order_no }}" //do not include extension

            });
        }
    </script>
    <script>
        let hidePaypriceCheckbox = $('#hide-pay_price-debt');
        hidePaypriceCheckbox.on('click', function() {
            if ($(hidePaypriceCheckbox).is(':checked')) {
                $('.pay_price').each(function() {
                    $(this).hide()
                })
            } else {
                $('.pay_price').each(function() {
                    $(this).show()
                })
            }
        })
    </script>
@stop

@section('css-scripts')
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

    <style>
        @media print {
            .forprint {
                display: block !important;
            }

            .noprint,
            header.global-header,
            header.global-header .container-fluid,
            footer.global-footer,
            div#main_side_bar {
                display: none !important;
            }
            .hide_print{
                display: none !important;
            }

            #logo {
                display: block !important;
            }

            .width30 {
                width: 30% !important;
                float: left;
                margin-top: -9em !important;
                margin-bottom: 1em !important;
            }

            .width40 {
                width: 40% !important;
                float: left;
                margin-top: -9em !important;
                margin-bottom: 1em !important;
            }

            .width50 {
                width: 30% !important;
                float: left;
                margin-top: 1em !important;
                margin-bottom: 1em !important;
            }

            .width60 {
                width: 60% !important;
            }

            .well {
                background: none;
            }

            table .text-white {
                color: #000 !important;
            }
        }
    </style>
@stop
