@extends('master::layouts.master')

@section('content')

<div class="card card-light mb-1_5 p-3">
        <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <h2 class="text-info">{{ trans('native.order_stores') }}</h2>
            </div>
        </div>

        <div class="row well col-md-12">

            <form class="col-md-12 row mb-4 custome-form">
                <div class="col-md-2">
                    <div class="form-group">
                        <label>{{ trans('native.no_Order') }}</label>
                        <input class="form-control" value="{{request('order_no') ?? ''}}" type="text" name="order_no">
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="control-label">{{ trans('native.store_name') }}</label>
                        <select class="form-control picker" data-live-search="true" id="select_store" name="store_id">
                            <option value="x"
                                    @if (request('store_id') == 'x') selected @endif>{{ trans('store.all_stores') }}</option>
                            @foreach($stores as $store)
                                <option value="{{ $store->id }}"
                                        @if (request('store_id') == $store->id) selected @endif>{{ $store->store_name }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>

                <div class="col-md-2">
                    <div class="form-group">
                        <label class="control-label">حاله النقل</label>
                        <select class="form-control picker" data-live-search="true" id="store_confirm" name="store_confirm">


                            <option value="x"
                                    @if (request('store_confirm') == 'x') selected @endif>{{ trans('native.All') }}</option>

                                <option value="1"
                                        @if (request('store_confirm') == 1) selected @endif
                                >{{ trans('native.Confirmed') }}</option>
                                <option value="0"
                                        @if (request('store_confirm') == 0) selected @endif
                                >{{ trans('native.Not Confirmed') }}</option>
                            </select>
                        </div>
                     </div>

                    <div class="col-md-2">
                        <div class="form-group">
                            <label>{{ trans('extends.from') }}</label>
                            <input class="form-control date" value="{{request('from_date') ?? ''}}" type="text"
                                   name="from_date" autocomplete="off" readonly id="from">
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="form-group">
                            <label>{{ trans('extends.to') }}</label>
                            <input class="form-control date" value="{{request('to_date') ?? ''}}" type="text" name="to_date"
                                   autocomplete="off" readonly>
                        </div>
                    </div>


                    <div class="col-md-1" style="margin-top:30px">
                        <input type="submit" class="btn btn-success col-md-12" value="{{ trans('extends.show') }}">
                    </div>

                </form>

            </div>

            @if (count($records) > 0)
                <div class="row col-md-12 table table-responsive ">
                    <table class="table-hover table-bordered col-md-12">
                        <thead>
                        <tr class="bg-info text-white text-center ">
                            <td>{{ trans('native.no_Order') }}</td>
                            <td>{{ trans('native.TheDate') }}</td>
                            <td>{{ trans('store.from_store') }}</td>
                            <td>{{ trans('store.to_store') }}</td>
                            <td colspan="2">{{ trans('extends.details') }}</td>
                        </tr>
                        </thead>
                        <tbody id="content-body">
                        @foreach($records as $record)
                            <tr class="text-center"
                            @if ($record->confirm == 0)
                               style="background: #f3d952;"
                            @endif
                            >
                                <td>{{ $record->order_no }}</td>
                                <td>{{ $record->date_order }}</td>

                                <td>{{ $record->store_from }}</td>
                                <td>{{ $record->store_to }}</td>

                                <td>
                                    <a target="_blank" class="btn btn-primary" rel="noopener noreferrer"
                                       href="{{ route('store.transform-item', $record->id) }}">{{ trans('extends.details') }}</a>
                                </td>
                                <td class="hidden">
                                    <a target="_blank" class="btn btn-success" rel="noopener noreferrer"
                                       href="{{ asset('store/list-transform/'.$record->id.'?vat=1') }}" >{{ trans('store.details_with_bill_add') }}</a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    <div class="text-center">
                        {!! $records->appends(Request::capture()->except('page'))->render() !!}
                    </div>
                </div>

            @else
                <h3 class="text-center">لا توجد نتائج</h3>
            @endif
        </div>
</div>
</div>

@stop

@section('js-scripts')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script type="text/javascript">

        if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {
            $(".date").calendarsPicker({
                calendar: $.calendars.instance('gregorian'),
                dateFormat: 'Y-mm-dd',
                // defaultDate: "0",
                // selectDefaultDate: true

            });
        } else {
            $(".date").calendarsPicker({
                calendar: $.calendars.instance('ummalqura'),
                dateFormat: 'Y-mm-dd',
                // defaultDate: "0",
                // selectDefaultDate: true
            });
        }
        $('.picker').selectpicker({
            size: 8
        });
    </script>

@stop

@section('css-scripts')
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
@stop
