@extends('master::layouts.master')

@section('content')
    <div class="wrapper card card-light mb-1_5 p-3">
        <div class="container">
            <div class="row">
                <div class="col-md-12">

                    <h2 class="text-info">{{ trans('store.trans_items') }}</h2>

                </div>
            </div>
            <DIV CLASS="row">
                <div class="col-md-10 col-md-offset-1">
                    <form id="choose_form" class="custome-form">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group" id="from_store_div">
                                    <label for="from_store">{{ trans('store.from_store') }}</label>
                                    <select name="from_store" id="from_store" class="selectpicker form-control" data-target="to_store" data-live-search="true">
                                        <option>----</option>
                                        @foreach($stores as $store)
                                            <option value="{{ $store->id }}"
                                                    @if (request('from_store') == $store->id) selected @endif>{{ $store->store_name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group" id="to_store_div">
                                    <label for="to_store">{{ trans('store.to_store') }}</label>
                                    <select name="to_store" id="to_store" class="selectpicker form-control" data-target="from_store" data-live-search="true" aria-valuetext="-1">
                                        <option>----</option>
                                        @foreach($stores as $store)
                                            <option value="{{ $store->id }}"
                                                    @if (request('to_store') == $store->id) selected @endif>{{ $store->store_name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <button class="btn btn-success" style="margin-top: 1.7em;">{{ trans('extends.confirm') }}</button>
                            </div>

                        </div>

                    </form>

                    <hr>

                </div>
            </div>
            @if (! in_array(request('from_store'), [null, '']))
                <div class="row">
                    <div class="col-md-8 col-md-offset-2 well">
                        <div class="clear form-group">
                            <div class="col-xs-2">
                                <label class="control-label pull-left">{{ trans('extends.barcode') }} </label>
                            </div>
                            <div class="col-xs-6">

                                <input id="scannerInput" name="barcode" class="form-control" type="text" value=""
                                       autofocus/>
                                <div id="barcodeMessage">
                                </div>
                            </div>

                        </div>

                        <div class="row ">
                            <div class="col-md-6">
                                <div class="form-group row">
                                    <br>
                                    <label for="item_id" class="col-sm-3">{{ trans('extends.item') }}</label>
                                    <select name="item_id" id="item_id" class="selectpicker form-control col-sm-9 items---"
                                            data-live-search="true">

                                        @foreach($items as $item)
                                            @php
                                                $units = '<option value="'. $item->unit_id .'" data-price="'. $item->pay_price .'" data-unit-val="1"'
                                                        .'data-sale="' .  $item->sale_price . '" data-item="' . $item->id
                                                        . '" data-expire="' . $item->expire_date . '">'. $item->mainUnit?->name .' </option>';

                                                foreach($item->subUnits AS $sub_unit)
                                                {
                                                    $units .= '<option value="'. $sub_unit->unit_id .'" data-price="'. ($item->pay_price * $sub_unit->unit_value)
                                                            .'" data-unit-val="'. $sub_unit->unit_value . '" data-sale="' . $sub_unit->unit_price . '" data-item="' . $sub_unit->item_id
                                                            .'" data-expire="' . $item->expire_date . '">'. $sub_unit->unitName?->name .'</option>';
                                                }

                                            @endphp
                                            <option value="{{ $item->item_id }}"
                                                    data-qty="{{ round_quantity($item->quant_1) }}"
                                                    data-qty2="{{ round_quantity($item->quant_2) }}"
                                                    data-name="{{ $item->item_name }}"
                                                    data-price="{{ round_money($item->sale_price) }}"
                                                    data-pay="{{ round_money($item->pay_price) }}"
                                                    data-about="{{ $item->about }}"
                                                    data-barcode="{{ $item->barcode }}"
                                                    data-require_serial="{{ $item->require_serial }}"
                                                    data-unit="{{$item->unit_id}}"
                                                    data-units="{{$units}}"
                                                    @if (request('to_store') == $item->item_id) selected @endif>
                                                {{ $item->item_name.' '.$item->about }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group row">
                                    <label for="#item_unit" class="col-md-4 "> الوحدة </label>
                                    <select class="form-control col-md-8" id="item_unit">

                                    </select>
                                </div>
                            </div>

                            <div class="col-md-2">
                                <a href="javascript:void(0)" style="" class="btn btn-info" id="btn">{{ trans('store.add') }}</a>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="row hidden" id="content">

                    <form method="post" action="{{ route('store.do-transform-items') }}" id="Transform_items_form">
                        {!! csrf_field() !!}
                        <input type="hidden" name="date" class="date">
                        <input type="hidden" name="from_store" value="{{ request('from_store') }}">
                        <input type="hidden" name="to_store" value="{{ request('to_store') }}">

                        <table class="table table-responsive table-hover table-bordered">
                            <thead>
                            <tr class="bg-info">
                                <td>{{ trans('extends.item') }}</td>
                                <td>{{ trans('extends.barcode') }}</td>

                                @if (auth()->user()->show_pay_price)
                                    <td>{{ trans('native.pay_price') }}</td>
                                @endif
                                <td>{{ trans('native.sale_price') }}</td>
                                <td>{{ trans('native.recent_amounts') }} في المحول </td>
                                <td>{{ trans('native.recent_amounts') }} في المحول اليه </td>
                                <td>{{ trans('native.quantity_transferred') }}</td>
                                @if (get_session_val('units_sup', 'integer') == 1)
                                    <td>
                                        الوحدة
                                    </td>
                                @endif
                                @if ($show_item_serial == 1)
                                    <td>{{trans('native.item_serials')}}</td>
                                @endif
                                <td></td>
                            </tr>
                            </thead>
                            <tbody id="content-body"></tbody>
                        </table>


                        <button class="btn btn-primary" id="save_trans">{{ trans('store.save_trans') }}</button>
                    </form>
                </div>
            @endif
        </div>
    </div>

@stop

@section('js-scripts')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>

    <script type="text/javascript">

        var decimal_quantity = {{ get_session_val('decimal_num_quant', 'Integer') }},
            decimal_price = {{ get_session_val('decimal_num_price', 'Integer') }};

        if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {
            $(".date").calendarsPicker({
                calendar: $.calendars.instance('gregorian'),
                dateFormat: 'Y-mm-dd',
                defaultDate: "0",
                selectDefaultDate: true

            });
        } else {
            $(".date").calendarsPicker({
                calendar: $.calendars.instance('ummalqura'),
                dateFormat: 'Y-mm-dd',
                defaultDate: "0",
                selectDefaultDate: true
            });
        }


            var loader = "<div align='center' id='loader'>" +
                "<i class='fa fa-spinner fa-pulse fa-3x fa-fw'></i>" +
                "</div><br>";

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                    type: "GET",
                    data: null,
                    contentType: false,
                    cache: false,
                    processData: false,
                    timeout: 3000,
                }
            });

            function checkTable() {
                var len = $('#content-body tr').length;

                if (len > 0) {
                    $('#content').removeClass('hidden');
                } else {
                    $('#content').addClass('hidden');
                }
            }

            checkTable();

            $('body').on('change', '#to_store, #from_store', function() {
                let current_val = $(this).val();
                let another_select = $(`#to_store`);
                if($(this).attr('id') == 'to_store')
                    another_select = $(`#from_store`);

                another_select.selectpicker('destroy');
                another_select.find('option').attr('disabled', false);
                $(this).find('option').attr('disabled', false);
                if (another_select.val() == current_val) another_select.val('');
                another_select.find(`option[value="${current_val}"]`).attr('disabled', true);
                another_select.selectpicker({noneSelectedText : '{{ trans('native.no-selected') }}'});
            });
            $('#from_store').change();

            $(document).on('click', '#btn', function () {
                var item_id = $('#item_id option:selected').val();
                var name = $('#item_id option:selected').data('name');
                @if (get_session_val("units_sup", "Integer") == 1)
                    var price = $('#item_unit option:selected').data('sale');
                    var pay = $('#item_unit option:selected').data('price');
                    var unit_id = $('#item_unit').val();
                    var unit_value = $('#item_unit option:selected').data('unit-val');
                @else
                    var price = $('#item_id option:selected').data('price');
                    var pay = $('#item_id option:selected').data('pay');
                    var unit_id = $('#item_id option:selected').data('unit');
                    var unit_value = 1;
                @endif

                var about = $('#item_id option:selected').data('about');
                var qty = $('#item_id option:selected').data('qty');
                var qty2 = $('#item_id option:selected').data('qty2');
                var require_serial = $('#item_id option:selected').data('require_serial');
                var barcode = $('#item_id option:selected').data('barcode');
                updateData(item_id, name, price, pay, about, qty,qty2, require_serial, barcode, unit_id, unit_value);
            });

            $(document).on('change', '.quantity', function () {

                var current_unit_value = parseFloat( $(this).data('unit_value') ),
                    target_qty = parseFloat($(this).val()) * current_unit_value,
                    max_available = parseFloat($(this).attr('max')) * current_unit_value;

                var total_qty_inputs = $('.quantity[data-id="'+ $(this).data('id') +'"]');
                var old_total = 0;

                for (let index = 0; index < total_qty_inputs.length; index++) {
                    old_total += ( parseFloat($(total_qty_inputs[index]).val()) *  parseFloat($(total_qty_inputs[index]).data('unit_value')) );
                }

                old_total -= target_qty;

                if (target_qty <= 0)
                {
                    $(this).val(1);
                }
                else if (target_qty > (max_available - old_total))
                {
                    $(this).val( ( (max_available - old_total) / current_unit_value).toFixed(decimal_quantity));
                }

                if ('{{ $show_item_serial }}' == '1') {
                    var require_serial = $(this).data('require_serial');
                    if (require_serial == 1) {
                        var qty = $(this).val();
                        var thisElem = $(this).closest("tr");
                        var item_id = $(this).data('id');
                        var serials = '';
                        for (i = 0; i < qty; i++) {
                            serials += '<input type="text" class="serial form-control" name="serial" style="margin-bottom: 5px">'
                        }
                        serials += '<input type="hidden" class="item_serials" name="serials['+item_id+']" >';
                        thisElem.find('.new_serial').empty().append(serials);
                    }
                }
            });

            $(document).on('change', '.serial', function () {
                var thisElem = $(this).closest('tr');
                var store_id = $(document).find('select#from_store option:selected').val();
                var item_id = thisElem.find('.quantity').data('id');
                var item_serials = [];
                thisElem.find('.serial').each(function (k, This) {
                    $(This).css({'border-color': ''});
                    var val = $(This).val();
                    if (val == '' || val == null) {
                        $(This).css({'border-color': 'red'});
                    } else {
                        $.get('{{ route('stores.check-serial') }}', {'serial': val, 'store_id':store_id, 'item_id': item_id}, function (data) {
                            if (data.status == 1) {
                                if (data.msg == '' || data.msg == null) {
                                    $(This).val(val);
                                } else {
                                    $(This).val('');
                                    alert(data.msg);
                                }
                            } else {
                                $(This).val('');
                                alert(data.msg);
                            }
                        });
                        item_serials.push(val);
                    }
                });
                thisElem.find('.item_serials').val(item_serials);
            });

            $(document).on('submit', 'form#Transform_items_form', function (e) {
                $(this).find('#save_trans').attr('disabled', 'disabled');
                if ('{{ $show_item_serial }}' == '1') {
                    $('.quantity').each(function (k, This) {
                        var serial = $(This).data('require_serial');
                        var thisElem = $(This).closest('tr');
                        if (serial == 1) {
                            thisElem.find('.serial').each(function (i, v) {
                                var val = $(v).val();
                                if (val == '' || val == null) {
                                    e.preventDefault();
                                    $(v).css({'border-color': 'red'});
                                }
                            });
                        }
                    });
                } else {
                    return true;
                }
            });

            $(document).on('click', '.deleteMe', function () {
                var id = $(this).data('id');
                $(document).find('#raw-' + id).remove();
                checkTable();
            });


            $(document).on('submit', '#choose_form', function (e) {
                var from = $('#from_store option:selected').val();
                var to = $('#to_store option:selected').val();
                if (from == to) {
                    e.preventDefault();
                    $('#from_store_div').find("button").css('border-color', 'red');
                    $('#to_store_div').find("button").css('border-color', 'red');
                    alert("لا يمكن الصرف الي نفس المخزن برجاء تحديد مخزن اخر للتحويل اليه");
                    return false;
                } else {
                    $('#from_store_div').find("button").css('border-color', 'none');
                    $('#to_store_div').find("button").css('border-color', 'none');
                }

            });

             $(document).scannerDetection({
                //https://github.com/kabachello/jQuery-Scanner-Detection
                timeBeforeScanTest: 200, // wait for the next character for upto 200ms
                avgTimeByChar: 40, // it's not a barcode if a character takes longer than 100ms
                preventDefault: false,
                endChar: [13],
                onKeyDetect: function (barcode, qty) {
                    validScan = true;
                } // main callback function	,
                ,
                onComplete: function (barcode)
                {
                var from_store = $('#from_store').val();
                var to_store = $('#to_store').val();
                $('#scannerInput').val(barcode);
                barcodeSearch(barcode, from_store, to_store);
                },
                onError: function (string, qty) {
                    $('#userInput').val($('#userInput').val() + string);
                }
            });

            $(document).on('change', '#scannerInput', function(){
                var barcode = $(this).val();
                var from_store = $('#from_store').val();
                var to_store = $('#to_store').val();

                barcodeSearch(barcode, from_store, to_store);
            });

            /*$("#scannerInput").keydown(function (e) {
                if (e.keyCode == 13) {
                    $(this).change();
                }
            });*/

            function barcodeSearch(barcode, from_store, to_store) {

                $.ajax({
                    url: '{{ route('store.get-item-data') }}',
                    type: 'get',
                    data: {
                        barcode, from_store, to_store
                    },
                    beforeSend: function () {
                        $('#barcodeMessage').empty().append('<span class="fa fa-spinner"></span>');
                    },
                    success: function (response) {
                        if (response.status == false) {
                            $('#barcodeMessage').empty().append('<span style="color: darkred;">{{ trans('extends.no-record') }}</span>');
                        } else {
                            let item_id=response.data.id,
                            name=response.data.item_name,
                            price=response.data.sale_price,
                            pay=response.data.pay_price,
                            about=response.data.about,
                            barcode=response.data.barcode,
                            qty_from=response.data.qty_from,
                            qty_to=response.data.qty_to,
                            require_serial=response.data.serial,
                            unit_id = response.data.unit_id,
                            unit_value = 1;

                            @if (get_session_val("units_sup", "Integer") == 1)
                                $('#item_id').val(item_id);
                                $('#item_id').trigger('change');

                                $('#item_unit').val(unit_id);
                                $('#item_unit').trigger('change');

                                price = $('#item_unit option:selected').data('sale');
                                pay = $('#item_unit option:selected').data('price');
                                unit_id = $('#item_unit').val();
                                unit_value = $('#item_unit option:selected').data('unit-val');
                            @endif

                            updateData(item_id, name, price, pay, about, qty_from, qty_to, require_serial, barcode, unit_id, unit_value);

                            $('#barcodeMessage').empty();
                        }
                    },
                    complete: function (data) {

                    }
                });
            }


            function updateData(item_id, name, price, pay, about, qty,qty2, require_serial, barcode, unit_id, unit_value)
            {

                if (qty <= 0){
                    alert('لا توجد كمية بالمخزن لتحويلها');
                    return false;
                }
                var div = $('#raw-' + item_id + '-' + unit_id);

                if (div.length) {
                    div.css('background', 'yellow');
                    div.find('#qty-' + item_id).focus();
                } else {
                    $('#content-body tr').each(function () {
                        $(this).css('background', 'none');
                    });

                    var data = '<tr id="raw-' + item_id + '-' + unit_id + '" >' +
                        '<td>' + name + '</td>' +
                        '<td>' + barcode + '</td>' +
                        '<td class="hidden">' + about + '</td>';
                    if ('{{ auth()->user()->show_pay_price }}' == '1') {
                        data += '<td>' + parseFloat(pay).toFixed(decimal_price) + '</td>';}
                    data += '<td>' + parseFloat(price).toFixed(decimal_price) + '</td>';
                    data += '<td>' + parseFloat(qty / unit_value).toFixed(decimal_quantity) + '</td>';

                    data += '<td >' + parseFloat(qty2 / unit_value).toFixed(decimal_quantity) + '</td><td><input value="1" min="1" max="'+ qty / unit_value +'" type="number" name="item_qty[' + item_id + '-' + unit_id + ']" class="form-control quantity" '+
                        'data-id="'+item_id+'" data-require_serial="'+require_serial+'" data-unit="' + unit_id + '" data-unit_value="' + unit_value + '" '
                        +
                         'id="qty-' + item_id + '"></td>' ;

                    // if ('{{ $show_item_serial }}' == '1') {
                        // data += '<td class="new_serial"></td>';
                    // }

                    @if (get_session_val('units_sup', 'integer') == 1)
                        data += '<td>' + $('#item_unit option:selected').text() + '</td>'
                    @endif

                    if ('{{ $show_item_serial }}' == '1') {
                        if (require_serial == 1) {
                            data += '<td class="new_serial">' +
                                '<input type="text" class="serial form-control" name="serial" style="margin-bottom: 5px">' +
                                '<input type="hidden" class="item_serials" name="serials['+item_id+']" >' +
                                '</td>';
                        } else {
                            data += '<td class="new_serial"></td>';
                        }
                    }

                    data +=  `<td><a href="javascript:void(0)" class="btn btn-danger deleteMe" id="delete-${item_id}" data-id="${item_id}-${unit_id}">{{ trans('extends.delete-btn') }}</a></td></tr>`;


                    $('#content-body').append(data);
                }
                checkTable();
            }

        $('#item_id').on('change', function(){
            var units = $('#item_id').children('option:selected').data('units');
            $('#item_unit').html(units);
        });

        $(function(){
            $('#item_id').trigger('change');
        });
 </script>

@stop

@section('css-scripts')
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <style>
        .special {
            font-weight: bold !important;
            color: #fff !important;
            background: #bc0000 !important;
            text-transform: uppercase;
        }
    </style>
@stop
