<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Illuminate\Support\Facades\Route;

Route::group(['middleware' => ['web', 'auth'], 'prefix' => 'store'], function()
{

    Route::get('/transform', 'StoreTransformController@transform')->name('stores.transform-items'); // done
    Route::get('/list-transform', 'StoreTransformController@transformList')->name('stores.transform-list');  // done
    Route::get('/list-transform/{id}', 'StoreTransformController@transformListItem')->name('store.transform-item'); // done
    Route::post('/do-transform', 'StoreTransformController@doTransform')->name('store.do-transform-items'); // done
    Route::get('/edit-record/{id}', 'StoreTransformController@editRecord')->name('stores.edit-record');
    Route::post('/update-order', 'StoreTransformController@updateRecord')->name('stores.update-record');
    Route::post('/transform-all', 'StoreTransformController@transformAll')->name('stores.transform-all');

    Route::get('/transform-confirm/{id}', 'StoreTransformController@confirmTransformRequest')->name('stores.transform-confirm');
    Route::get('/transform-decline/{id}', 'StoreTransformController@declineTransformRequest')->name('stores.transform-decline');
    Route::get('/transform-request', 'StoreTransformController@transformRequests')->name('stores.transform-request');
    Route::get('item-transform-report', 'StoreTransformController@item_transform_report')->name('stores.item_transform_report');
    Route::get('check-serial', 'StoreTransformController@CheckSerial')->name('stores.check-serial');
    Route::get('get-item-data', 'StoreTransformController@getItemData')->name('store.get-item-data');

    Route::get('/', 'StoreController@index')->name('stores.index');
    Route::post('/store', 'StoreController@store')->name('stores.store');
    Route::get('/edit', 'StoreController@edit')->name('stores.edit');
    Route::get('/edit-page/{id}', 'StoreController@editPage')->name('stores.edit-page');
    Route::post('/update', 'StoreController@update')->name('stores.update');
    Route::post('/delete', 'StoreController@destroy')->name('stores.delete');
    Route::get('/{id}', 'StoreController@show')->name('stores.show');

    Route::post('/item-sub-units', 'StoreTransformController@getSubUnits')->name('stores.item-sub-units');
});
