<?php

namespace Modules\SupplierInstallments\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class Instalment extends Model
{
    use RoundingAttributesTrait;
    protected $guarded = [];
    protected $table = 'installments_list';
    public $timestamps = false;
    public function supplier()
    {
        return $this->belongsTo(Client::class);
    }

    public function optionalSupplier()
    {
        return (isset($this->supplier)) ? $this->supplier : new Supplier();
    }
}
