@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <h1 class="title-page inline-block">
                        تقرير اعمار ديون العملاء                    </h1>

                    <div class="clearfix"></div>
                    <div class="col-md-8">
                        <form action="{{ route('supplierinstallment.clients-report-result') }}" method="GET">
                            {{--{{ csrf_field() }}--}}
                            <input name="today" type="hidden" class="date">
                            <div class="form-group">
                                <label for="client_id"> العميل : </label>
                                <select class="form-control selectpicker" name="client_id" id="client_id"
                                        data-live-search="true">
                                    <option selected value="0"> كل العملاء</option>
                                    @foreach($clients as $client)
                                        <option value="{{ $client->id }}"> {{ $client->client_name }} </option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="period"> الفترة حتي : </label>
                                <select class="form-control" name="period" id="period">
                                    <option selected value="1"> شهر</option>
                                    <option value="3"> 3 شهور</option>
                                    <option value="6"> 6 شهور</option>
                                    <option value="12">12 شهر</option>
                                </select>
                            </div>

                            <div class="content_store">
                                <button type="submit" class="btn btn-primary"> عرض</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('js-scripts')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script>
        $(function () {
            if ('{{ get_session_val('date_type', 'Integer') }}' ==  '2'){
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });
            }else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"

                });
            }


        })
    </script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script>
        $('.selectpicker').selectpicker({
            size: 8,
            style: 'btn-default',
        });

        $(document).ready(function () {
            $('div.bootstrap-select').find('button').css('border-color', '#b7b6b6');

        });
    </script>

@stop

@section('css-scripts')


    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
@stop
