@extends('master::layouts.master')

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

@stop

@section('content')
    <div class="wrapper card card-light mb-1_5 p-3">
        <div class="container">

            <input type="hidden" id="current_date" class="date">
                <form action="" class="custome-form">
                    <h3 class="text-info">جدولة مديونية الموردين</h3>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="" class="control-label">اسم المورد</label>
                                <select name="supplier" id="supplier" class="form-control selectpicker" data-live-search="true" >
                                    <option value="0" @if ( (!request()->has('supplier')) || request()->get('supplier') == 0) selected @endif >الكل</option>
                                    @foreach($suppliers as $supplier)
                                        <option value="{{$supplier->id}}" @if (request()->has('supplier') && request()->get('supplier') == $supplier->id) selected @endif>{{$supplier->client_name}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        {{-- <div class="col-md-2 form-group">
                            <label for="" class="control-label text-white col-md-12">  - </label>
                            <button class="btn btn-success">عرض</button>
                        </div> --}}
                    </div>
                    <hr>
                    <div class="supplier-balance-table row" style="display: none">
                        <div class="col-md-12 table-responsive">
                            <table class="table col-md-12 table-stripped text-center">
                                <thead class="bg-success text-white">
                                <tr>
                                    <th scope="col">اسم المورد</th>
                                    <th scope="col">الهاتف</th>
                                    <th scope="col">الرصيد</th>
                                    <th scope="col">المديونية المجدولة</th>
                                    <th scope="col">المديونية غير المجدولة</th>
                                    <th scope="col">العملية</th>
                                </tr>
                                </thead>
                                <tbody class="supplier-balance-result">

                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="row bg-warning col-md-12 pt-2">
                        <div class="col-sm-1 text-left">
                            <input checked type="radio" class="instalmentStatus" name="chooseshow"  value="all" />
                        </div>
                        <label class="col-sm-2"> كل الأقساط  </label>

                        <div class="col-sm-1 text-left">
                            <input  type="radio" class="instalmentStatus" name="chooseshow"  value="late" />
                        </div>
                        <label class="col-sm-2">الأقساط المتأخرة </label>

                        <div class="col-sm-1 text-left">
                            <input  type="radio" class="instalmentStatus" name="chooseshow"  value="paid"/>
                        </div>
                        <label class="col-sm-2"> الأقساط المدفوعة </label>
                    </div>
                    <hr>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="table-responsive col-md-12">
                                <table class="table text-center">
                                    <thead class="bg-info text-white">
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">اسم المورد</th>
                                        {{--<th scope="col">رقم الفاتورة</th>--}}
                                        <th scope="col">تاريخ الاستحقاق</th>
                                        <th scope="col">تاريخ السداد</th>
                                        <th scope="col">المبلغ</th>
                                        <th scope="col">ملاحظات</th>
                                        <th scope="col">سداد</th>
                                        {{-- <th scope="col">حذف</th> --}}
                                    </tr>
                                    </thead>
                                    <tbody id="supplierinstallmentsResult">
                                    @foreach($instalments as $instalment)
                                        <tr class="@if ($instalment->installment_pay == 1) bg-success text-white @endif" >
                                            <td>{{$loop->iteration}}</td>
                                            <td>{{$instalment->optionalSupplier()->client_name}}</td>
{{--                                            <td>{{$instalment->bill_id}}</td>--}}
                                            <td>{{$instalment->installment_date}}</td>
                                            <td>{{$instalment->installment_pay == 0 ? 'لم يتم السداد' : $instalment->pay_date}}</td>
                                            <td>{{$instalment->installment_amount}}</td>
                                            <td>{{$instalment->notes}}</td>
                                            @if ($instalment->installment_pay == 0)

                                            <td><a href="{{route('supplierinstallment.payingTheDebt', $instalment->id)}}" class="btn btn-circle btn-success"><i class="fas fa-money-bill-alt"></i></a></td>
                                            {{-- <td><a href="{{route('supplierinstallment.delete', $instalment->id)}}" class="btn btn-circle btn-danger"><i class="fa fa-minus-circle"></i></a></td> --}}
                                        @else
                                            <td></td>
                                        @endif

                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </form>
        </div>
    </div>
@stop
@section('js-scripts')


    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script src="{{url('tickets/js/bootstrap-select.min.js')}}"></script>
    <script>    
        // Get the supplier instalment by its type
        $(document).on("click", ".instalmentStatus", function(){
            var type = $(this).val();
            var supplier = $("#supplier").find(":selected").val();
           var today = $('#current_date').val();

            var data = {"_token": "{{csrf_token()}}", "type":type, "supplier":supplier, 'today': today};
            $.ajax({
                type:"POST",
                url: "{{route('supplierinstallment.getInstalmentByType')}}",
                data: data,
                cache:false,
                success: function(data) {
                    $("#supplierinstallmentsResult").html(data);
                }
            });
        });
        // Get the supplier balance
        $(document).on("change", 'select[name="supplier"]', function(){

            var supplier = $(this).val();
            var data = {"_token": "{{csrf_token()}}", "supplier":supplier};

            $.ajax({
                url:"{{route('supplierinstallment.getSupplierBalanceAjax')}}",
                type: "POST",
                data: data,
                cache:false,
                success:function(data){
                    $(".supplier-balance-result").html(data);
                    $(".supplier-balance-table").show();
                }
            });

        });

        $(document).on("change","#supplier",function(){
            var type = $('input[name=chooseshow]:checked').val();

            var client = $("#supplier").find(":selected").val();
            var today = $('#current_date').val();

            var data = {"_token": "{{csrf_token()}}", "type":type, "supplier":client, 'today': today};
            $.ajax({
                type:"POST",
                url: "{{route('supplierinstallment.getInstalmentByType')}}",
                data: data,
                cache:false,
                success: function(data) {
                    $("#supplierinstallmentsResult").html(data);
                }
            });
        });


        $(document).ready(function () {
            $('.bootstrap-select').find('button').css('border-color', 'rgb(154, 143, 143)');
        });
    </script>


    <script>
        $(function () {
            if ('{{ get_session_val('date_type', 'Integer') }}' ==  '2'){
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });
            }else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });
            }
        })
    </script>

@stop
