@extends('master::layouts.master')
@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <style>
        .table-borderless > tbody > tr > td,
        .table-borderless > tbody > tr > th,
        .table-borderless > tfoot > tr > td,
        .table-borderless > tfoot > tr > th,
        .table-borderless > thead > tr > td,
        .table-borderless > thead > tr > th {
            border: none;
        }
    </style>
@stop
@section('content')
    <div class="wrapper">
        <div class="container">
            <form action="{{route('supplierinstallment.payingTheDebt', $instalment->id)}}" method="POST">
                {{csrf_field()}}
                <h3>عملية سداد مديونية للمورد: {{$instalment->supplier?->client_name}}</h3>

                <input type="hidden" name="today" class="date">

                <div class="row" style="background-color: #E9F7EA">
                     <table class="table table-responsive table-borderless">
                         <thead>
                         <tr>
                             <th scope="col">اسم المورد</th>
                             <td>{{$instalment->supplier?->client_name}}</td>
                         </tr>
                         <tr>
                             <th scope="col">المبلغ</th>
                             <td>
                                <input  class="form-control" 
                                        type="number" 
                                        name="installment_amount" 
                                        id="installment_amount" 
                                        value="{{round_money($instalment->installment_amount)}}"
                                /> 
                            </td>
                         </tr>
                         <tr>
                             <th scope="col">الخزنة</th>
                             <td>
                                 <select name="sale_point" id="" class="form-control">
                                     @foreach($salePoints as $salePoint)
                                         <option value="{{$salePoint->id}}">{{$salePoint->point_name}}</option>
                                     @endforeach
                                 </select>
                             </td>
                         </tr>
                         <tr>
                             <th scope="col">رقم القسط</th>
                             <td>{{$instalment->id}}</td>
                         </tr>
                         <tr>
                             <th scope="col">الملاحظات</th>
                             <td>
                                 <textarea name="note" id="" class="form-control" cols="30" rows="10"></textarea>
                             </td>
                         </tr>
                         <tr>
                             <th scope="col"><input type="submit" value="دفع" class="btn btn-success" /></th>
                         </tr>
                         </thead>
                     </table>
                </div>
            </form>
        </div>
    </div>
@stop



@section('js-scripts')


    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script>
        $(function () {
            if ('{{ get_session_val('date_type', 'Integer') }}' ==  '2'){
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });
            }else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    selectDefaultDate: true,
                    defaultDate: "0"
                });
            }
        })

        $('#installment_amount').on('change', function(){
            if (! $(this).val())
            {
                $(this).val(1);
            }
            else if ($(this).val() < 0)
            {
                $(this).val(1);
            }
        });
    </script>


@stop