<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['middleware' => ['web', 'auth'], 'prefix' => 'supplierinstallments'], function()
{
	
	Route::get('/', 'SupplierInstallmentsController@index')->name('supplierinstallment.index');

    Route::post('get-instalment-by-type', 'SupplierInstallmentsController@getByTypeAjax')->name('supplierinstallment.getInstalmentByType');

    Route::post('get-supplier-balance', 'SupplierInstallmentsController@getSupplierBalanceAjax')->name('supplierinstallment.getSupplierBalanceAjax');

    Route::get('reschedule-debt/{id}', 'SupplierInstallmentsController@rescheduleDebt')->name('supplierinstallment.rescheduleDebt');

    Route::post('reschedule-debt/{id}', 'SupplierInstallmentsController@storeRescheduleDebt')->name('supplierinstallment.storeRescheduleDebt');

    Route::get('paying-instalment/{id}', 'SupplierInstallmentsController@payingTheDebtView')->name('supplierinstallment.payingTheDebtView');

    Route::post('paying-instalment/{id}', 'SupplierInstallmentsController@payingTheDebt')->name('supplierinstallment.payingTheDebt');

    Route::get('{id}/delete', 'SupplierInstallmentsController@delete')->name('supplierinstallment.delete');

    Route::get('suppliers-report', 'SupplierInstallmentReportController@suppliersReport')->name('supplierinstallment.suppliers-report');
    Route::get('suppliers-report-result', 'SupplierInstallmentReportController@suppliersReportResult')->name('supplierinstallment.suppliers-report-result');

});