@extends('master::layouts.master')

@section('content')
      <table class="table table-hover table-sm table-striped rounded mt-2" style="border: solid #f8f9fa; direction: ltr;">
        <thead class="text-white" style="background-color: #4F5B93 !important;">
        <tr>
            <th scope="col">#</th>
            <th scope="col">Table Name</th>
            <th scope="col" style="min-width: 75px !important;">Record Id</th>
            <th scope="col">Details</th>
          </tr>
        </thead>
        <tbody class="text-center">
            @forelse ($log_errors as $error)
                <tr>
                    <td scope="row">{{ $loop->iteration }}</td>
                    <td class="p-2">{{ $error->table ?? ' ' }}</td>
                    <td class="p-2">{{ $error->id ?? ' '}} </td>
                    @php
                        if (isset($error->msg))
                        {
                            if (strpos($error->msg, '(SQL: insert into'))
                            {
                                $error->msg = Str::between($error->msg,'SQLSTATE[23000]:', '(SQL: insert into');
                            }
                            else if (strpos($error->msg, 'Base table or view not found'))
                            {
                                $error->msg = Str::between($error->msg,'SQLSTATE[42S02]:', '(SQL: ');
                            } 
                            else if (strpos($error->msg, 'Base table or view not found'))
                            {
                                $error->msg = Str::between($error->msg,'SQLSTATE[42S22]:', '(SQL: ');
                            }
                        }

                    @endphp
                    <td class="p-2">{{ $error->msg ?? ' ' }}</td>
                </tr>
            @empty
                <tr scope="row">
                    <td colspan="4">
                        No Errors 😊
                    </td>
                </tr>
            @endforelse

        </tbody>
      </table>
@endsection