<?php

namespace Modules\User\Entities;

use Illuminate\Database\Eloquent\Model;

class SalePoint extends Model
{
    public $timestamps = false;
    protected $guarded = ['id'];
    protected $table = 'sale_points';
    protected $fillable = [
        'point_name',
        'money_point',
        'point_type',
        'store_id',
        'currency_id',
        'currency_text',
        'shop_id'
    ];


    public function getCurrentPointMoneyAttribute()
    {
        return $this->money_point . ' ' . get_session_val('currency', 'string');
    }

    public function getPointTypeNameAttribute()
    {
        return $this->point_type == 1 ? 'الخزن /نقاط البيع' : 'دفع الشبكه';
    }
}
