<?php

namespace Modules\User\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Auth;

class UpdateUserRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'user_name' => [ 'required', 'max:50', 'min:5', 'string', 'unique:users,user_name,' . request()->route('user_id')],
            'user_full_name' => [ 'required', 'max:50', 'string'],
            'user_password' => [ 'nullable', 'max:50', 'string', 'min:3'],
            'user_pasword_confirm' => ['nullable', 'required_with:user_password','max:50', 'string', 'same:user_password'],
            'user_sale_point' => [ 'required'],
            'user_group' => [ 'sometimes'],
            'categories' => ['nullable', 'array']
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
}
