@extends('master::layouts.master')

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
@endsection

@section('content')
<div class=" card card-light mb-1_5 p-3">

    <div class="container">

        <div>
            <h2 class="text-info" id="title_text">
                {{ trans('users.show_user_activity') }}
                {{ $user->name }}
            </h2>
        </div>

        <div class="row my-4">
            <form method="get" class="col-md-12" class="custome-form">
                <div class="row">
                    <div class="col-md-5">
                        <div class="form-group">
                            <label for="start_date" class="col-sm-3 col-4 col-form-label">{{ trans('reports.from') }}</label>
                            <div class="col-12">
                                <input type="text" id="start_date"  name="start_date" data-old=""
                                    class="form-control input-sm input-light date is-datepicker" value="{{ request('start_date')??today()->format('Y-m-d') }}">
                                <span>
                                    <i class="fa fa-calendar-alt calendar-icon"></i>
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-5">
                        <div class="form-group">

                            <label for="end_date" class="col-sm-3 col-4 col-form-label">{{ trans('reports.to') }}</label>
                            <div class="col-12">
                                <input type="text" id="end_date"  name="end_date" data-old=""
                                    class="form-control input-sm input-light date is-datepicker" value="{{ request('end_date')??today()->format('Y-m-d') }}">
                                <span>
                                    <i class="fa fa-calendar-alt calendar-icon"></i>
                                </span>
                            </div>

                        </div>
                    </div>

                    <div class="col-md-2 text-center">
                        <div class="form-group">
                            <label for="search" style="color: #fff;">-</label>
                            <div>
                                <button type="submit" class="btn btn-success">{{ trans('reports.search') }}</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>


        <div class="table-responsive">
  <table class="table table-striped zui-table zui-table-rounded">            <thead class="bg-info text-white">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col"> {{ trans('users.user_name') }}</th>
                    <th scope="col"> {{ trans('users.time') }}</th>
                    <th scope="col"> {{ trans('users.activity') }}</th>
                </tr>
            </thead>
            <tbody>

                @forelse ($user_log as $data)
                    <tr>
                        <td scope="row">{{ $loop->iteration }}</td>
                        <td>{{$user->user_name}}</td>
                        <td>{{$data->date_event}}</td>
                        <td>{{$data->event}}</td>
                    </tr>
                @empty
                <tr>
                    <td colspan="4" style="text-align: center">
                        {{ trans('users.no_activity') }}
                    </td>
                </tr>
                @endforelse
            </tbody>
        </table>

        <div class="text-center">
            {!! $user_log->appends(request()->capture()->except('page'))->render() !!}
        </div>
</div>

    </div>
</div>
@endsection

@section('js-scripts')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>

    <script>

        $(function () {

            if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {

                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',

                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',

                });
            }

            $(document).on('change', '#start_date, #end_date' , function() {
                var start = $('#start_date').val();
                var end = $('#end_date').val();
                var changed = {
                    'start_date' : 'start',
                    'end_date': 'end'
                };

                if ( ! valid_dates(start, end, changed[ $(this).attr('id') ] ) )
                {
                    $(this).val( $(this).data('old') );
                }
                else {
                    $(this).data('old', $(this).val());
                }

            });

            function valid_dates(start_date, end_date, current) {

                if (start_date > end_date) {
                    alert_date(current);
                    return false;
                }

                return true;
            }

            function alert_date(current)
            {
                var msg_details = {
                    'start' : { 'changed': 'البداية', 'relation': 'أصغر' , 'target': 'النهاية'},
                    'end' : { 'changed': 'النهاية', 'relation': 'أكبر' , 'target': 'البداية'}
                };

                alert('تاريخ '+ msg_details[current]['changed'] +' يجب أن يكون '+ msg_details[current]['relation'] +' من تاريخ '+ msg_details[current]['target'] );

            }
        })

    </script>
@endsection
