@extends('master::layouts.master')

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
    <style>

        .add-percent{

            border-radius: 8px;
            /* width: 100%; */
            cursor: pointer;
            border: none;
            padding: 4px;
        }
        .mb-1_5 {
            margin-bottom: 0.5rem;
        }

        .pt-1_5 {
            padding-top: 0.35rem !important;
        }
        .div .col-form-label {
            padding-top: 0;
        }


        .w-90-per{
            width: 80%;
        }


    </style>
@endsection

@section('content')

    <div id="alert_container"></div>

    <div class="container">

        <div>
            <h2 class="text-info" id="title_text">
                {{ trans('users.goals.add-goals') }}
            </h2>
        </div>

        <div class="row mt-4">
            <form method="post" action="{{route('users.goals.store')}}" class="col-md-12">
                @csrf
                <div class="card card-success">

                    <div class="row justify-content-center p-2">

                        {{-- Name --}}
                        <div class="col-md-4">
                            <div class="form-group row">

                                <label for="user_id" class="col-sm-2 col-md-4 col-form-label">{{ trans('users.goals.name') }}</label>
                                <div class="col-sm-4 col-md-8 d-flex justify-content-between">
                                    <select name="user_id" id="user_id" class="form-control input-normal pb-1">
                                        @foreach ($users as $user)
                                            <option value="{{$user->id}}">{{$user->name}}</option>
                                        @endforeach
                                    </select>
                                </div>

                            </div>
                        </div>
                        <div class="offset-1"></div>
                        {{-- Goal --}}
                        <div class="col-md-4">
                            <div class="form-group row">

                                <label for="goal" class="col-sm-2 col-md-3 col-form-label">{{ trans('users.goals.goal') }}</label>
                                <div class="col-sm-4 col-md-8 d-flex justify-content-between">
                                    <input type="number" step="5" id="goal"  name="goal" data-old="goal"
                                        class="form-control input-normal pb-1" value="">
                                </div>

                            </div>
                        </div>

                        {{-- Submit --}}
                        <div class="col-md-3">
                            <button class="btn btn-success w-50">
                                {{trans('commissions.add')}}
                            </button>
                        </div>

                    </div>
                </div>
            </form>
        </div>


        <table class="table table-striped mt-4 text-center" id="main_table">
            <thead class="bg-info text-white">
                <tr>
                    <th>{{ trans('users.goals.name') }}</th>
                    <th>{{ trans('users.goals.goal') }}</th>
                    <th>{{ trans('users.edit') }}</th>
                    <th>{{ trans('users.delete') }}</th>

                </tr>
            </thead>
            <tbody id="user_goals_table_body">
                {{-- {{dd($sales)}} --}}
                @forelse ($usersWithGoals as $user)
                    <tr>
                        <td>{{ $user->name }}</td>
                        <td>{{ $user->goal }}</td>
                        <td>
                            <a href="#" class="delete" data-toggle="modal" data-target="#editGoal" data-id="{{ $user->id }}">
                                <i class="fa fa-edit text-success" aria-hidden="true"></i>
                            </a>
                        </td>
                        <td>
                            <a href="#" class="delete" data-toggle="modal" onclick="deleteGoal({{$user->id}})">
                                <i class="fa fa-trash text-danger" aria-hidden="true"></i>
                            </a>
                        </td>
                    </tr>
                @empty
                <tr>
                    <td colspan="5" style="text-align: center">
                        {{ trans('users.no_goals') }}
                    </td>
                </tr>
                @endforelse
            </tbody>
        </table>
    </div>

@endsection


@include('user::partials.editModal.edit-goal-modal')
{{-- @include('user::partials.modals.delete-commission-percent.modal') --}}

@section('js-scripts')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>

    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>
    <script src="{{ asset('js/reports/columnsControls.js') }}"></script>
    @include('user::js.js');
@endsection
