@extends('master::layouts.master')

@section('content')
<div class="wrapper card card-light mb-1_5 p-3">
        <div class="container-fulid">
    <h2 class="title text-info mt-2 mb-4"> 
        {{ trans('users.users') }} 
        <a href="{{ route('users.new') }}"
            class="btn btn-xs btn-success float-left mt-1 edit-user">
            {{ trans('users.add_new_user') }} 
            <i class="fa fa-plus pr-2"></i>
        </a>
    </h2>

<div class="table-responsive">
  <table class="table table-striped zui-table zui-table-rounded">
    <thead class="bg-info text-light">
        <tr class="font-weight-bold">
            <th scope="col" >#</th>
            <th scope="col" >  {{ trans('users.user_name') }}</th>
            <th scope="col" > {{ trans('users.full_name') }}</th>
            <th scope="col" > {{ trans('users.sale_point') }}</th>
            <th scope="col"  class="text-center">{{ trans('users.activity') }}</th>
            <th scope="col"  class="text-center">{{ trans('users.edit') }}</th>
            <th scope="col"  class="text-center">{{ trans('users.delete') }}</th>
        </tr>
    </thead>
    <tbody>

        @forelse ($users as $user)
            <tr>
                <td> {{ $loop->iteration }} </td>
                <td> {{ $user->user_name }} </td>
                <td> {{  $user->name }} </td>
                <td> {{  $user->point_name }} </td>
                <td class="text-center"><a href="{{ route('users.activity', ['user_id' => $user->id]) }}"
                    class="btn btn-xs btn-info"><i class="fa fa-user"></i></a>
                </td>
                <td class="text-center"><a href="{{ route('users.edit', ['user_id' => $user->id]) }}"
                                    class="btn btn-xs btn-warning text-white"><i class="fa fa-edit"></i></a>
                </td>
                <td class="text-center">
                    @if ($user->login)
                        <a href="javascript:void(0);" class="btn btn-xs btn-danger delete_user" data-user-id="{{ $user->id }}">
                            <i class="fa fa-trash"></i>
                        </a>
                    @endif
                </td>
            </tr>
        @empty
            <tr>
                <td colspan="7">
                    لا يوجد مستخدمين
                </td>
            </tr>
        @endforelse


    </tbody>
   </table>
</div>


</div>
</div>
@endsection

@section('js-scripts')

    <script>
        
        $('.delete_user').on('click', function(){

            var user_id = $(this).attr('data-user-id');
            $.ajax({

                url: '{{ route("users.delete") }}',
                data: {
                    '_token': '{{ csrf_token() }}',
                    'id': user_id,
                },
                type: 'POST',
                success: function(res) {
                    appendMessage(res.msg, res.status);

                    if (res.status == 1)
                    {
                        $('tr td a[data-user-id="'+ user_id +'"]').parentsUntil('tbody').remove();
                    }
                },
                error: function(xhr) {
                    console.log('error');
                }
            });

        });

        function appendMessage( message, status = 0)
        {
            var alert_type = status == 1 ? 'alert-success' : 'alert-danger';

            if (document.getElementById('messages'))
            {
                html = '<li> ' + message + '</li>' ;
                $('#messages ul.alert').append(html);
            }
            else {
                var html = '    <div class="row" id="messages">' +
                                '<div class="col-xs-12 col-sm-12">' +
                                    '<ul class="h4 alert '+ alert_type +' text-center list-unstyled"> ' +
                                        '<li> ' + message + '</li>' +
                                     '</ul>'+
                                '</div>'+
                            '</div>';
            
                $('.main-content').prepend(html);
            }
            
        }

    </script>

@endsection
