    <form method="POST" action="@yield('form_action')" id="user_form">
        @csrf

        {{-- user information --}}
        <div class="card">
            <div class="card-header" id="basic_info">
                <a href="#" class="btn btn-header-link" data-toggle="collapse" data-target="#report-1"
                    aria-expanded="true" aria-controls="report-1">
                    @lang('users.user_information')
                </a>
            </div>

            <div id="report-1" class="collapse show" aria-labelledby="basic_info" data-parent="#faq">
                <div class="card-body">
                    <div class="form-group row">
                        <label for="user_name" class="col-sm-2 col-4 col-form-label"> {{ trans('users.user_name') }}
                        </label>
                        <div class="col-sm-4 col-8">
                            <input type="text" class="form-control input-sm input-normal input-light"
                                name="user_name" id="user_name"
                                value="@if (old('user_name')) {{ old('user_name') }}@elseif (isset($user)){{ $user->user_name }} @endif"
                                required />
                            @error('user_name')
                                <div class="alert alert-danger">{{ $message }}</div>
                            @enderror
                        </div>

                        <label for="user_full_name" class="col-sm-2 col-4 col-form-label small-screen-margin">
                            {{ trans('users.full_name') }}
                        </label>
                        <div class="col-sm-4 col-8">
                            <input type="text"
                                class="form-control input-sm input-normal input-light small-screen-margin"
                                id="user_full_name" name="user_full_name"
                                value="@if (old('user_full_name')) {{ old('user_full_name') }}@elseif (isset($user)){{ $user->name }} @endif"
                                required />
                            @error('user_full_name')
                                <div class="alert alert-danger">{{ $message }}</div>
                            @enderror
                        </div>
                    </div>

                    <div class="form-group row">
                        <label for="user_password" class="col-sm-2 col-4 col-form-label"> {{ trans('users.password') }}
                        </label>
                        <div class="col-sm-4 col-8">
                            <input type="password" class="form-control input-sm input-normal input-light"
                                name="user_password" id="user_password"
                                value="@if (old('user_password')) {{ old('user_password') }} @endif" required />
                            @error('user_password')
                                <div class="alert alert-danger">{{ $message }}</div>
                            @enderror
                        </div>

                        <label for="user_pasword_confirm" class="col-sm-2 col-4 col-form-label small-screen-margin">
                            {{ trans('users.confirm_password') }}
                        </label>
                        <div class="col-sm-4 col-8">
                            <input type="password"
                                class="form-control input-sm input-normal input-light small-screen-margin"
                                id="user_pasword_confirm" name="user_pasword_confirm"
                                value="@if (old('user_pasword_confirm')) {{ old('user_pasword_confirm') }} @endif"
                                required />
                            @error('user_pasword_confirm')
                                <div class="alert alert-danger">{{ $message }}</div>
                            @enderror
                        </div>
                    </div>

                    <div class="form-group row">
                        <label for="user_sale_point" class="col-sm-2 col-4 col-form-label">
                            {{ trans('users.sale_point') }}
                        </label>
                        <div class="col-sm-4 col-8">
                            <select name="user_sale_point" id="user_sale_point"
                                class="form-control select2 input-light input-sm padding-select small-screen-margin"
                                value="{{ old('user_sale_point') }}">
                                @foreach ($points as $point)
                                    <option value="{{ $point->id }}"
                                        @if (old('user_sale_point') == $point->id) selected
                                                                      @elseif (isset($user))
                                                                        @if ($user->sale_point == $point->id)
                                                                            selected @endif
                                        @endif> {{ $point->point_name }} </option>
                                @endforeach
                            </select>
                        </div>

                        <label for="user_sale_point" class="col-sm-2 col-4 col-form-label">
                            {{ trans('settings.print_bill_shape') }}
                        </label>
                        <div class="col-sm-4 col-8">
                            <select name="invoice_print_template" id="invoice_print_template"
                                class="form-control select2 input-light input-sm padding-select small-screen-margin"
                                value="{{ old('user_sale_point') }}">
                                @include('settings::partials.invoices_print_temps', [
                                    'bill_size' => isset($user)
                                        ? $user->invoice_print_template
                                        : get_session_val('bill_size', 'integer'),
                                ])
                            </select>
                        </div>


                        <label for="user_sale_point" class="col-sm-2 col-4 col-form-label">
                            {{ trans('settings.print_receipt_shape') }}
                        </label>
                        <div class="col-sm-4 col-8">
                            <select name="debentures_print_template"
                                id="debentures_print_template"class="form-control select2 input-light input-sm padding-select small-screen-margin">
                                <option value="0"
                                    {{ old('debentures_print_template', isset($user) ? $user->debentures_print_template : 0) == 0 ? 'selected' : '' }}>
                                    @lang('users.cashier')</option>
                                <option value="1"
                                    {{ old('debentures_print_template', isset($user) ? $user->debentures_print_template : 0) == 1 ? 'selected' : '' }}>
                                    @lang('users.invoice_vat_template')</option>
                            </select>
                        </div>




                        <label for="user_group" class="col-sm-2 col-4 col-form-label small-screen-margin"
                            style="margin-top: 10px;">
                            {{ trans('users.link_group') }}
                        </label>
                        <div class="col-sm-4 col-8" style="margin-top: 10px;">
                            <select name="user_group[]"
                                class="form-control select2 input-light input-sm padding-select small-screen-margin"
                                multiple="">
                                <option value="0"
                                    @if (isset($user)) @if ($user->clients_group == 0)
                                    selected @endif
                                    @endif>
                                    {{ trans('client.clientGroup.all') }}</option>
                                @foreach ($groups as $group)
                                    <option value="{{ $group->id }}"
                                        @if (isset($user)) @foreach ($groupIds as $groupId)
                                                @if ($group->id == $groupId)
                                                    selected @endif
                                        @endforeach
                                @endif>
                                {{ $group->name }} </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    
                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-4">
                            <input type="checkbox" class="custom-control-input" id="define_categories" name="define_categories"
                                    {{ $user && $user->define_categories ? 'checked' : '' }}>
                            <label class="custom-control-label" for="define_categories"> تحديد تصنيفات للبيع </label>
                        </div>

                        <div class="col-8 row" id="user-categories-element">
                            <label for="user_group" class="col-4 col-form-label small-screen-margin" style="margin-top: 10px;">
                                تحديد التصنيفات
                                <button type="button" id="select-all-categories" class="btn btn-sm btn-primary float-left"> تحديد الكل </button>
                            </label>
                            <div class="col-8" style="margin-top: 10px;">
                                <select id="user-categories" name="categories[]" class="form-control selectpicker" multiple>
                                    @foreach ($categories as $category)
                                        <option value="{{ $category->id }}" {{ in_array($category->id, $user_categories) ? 'selected' : '' }}>{{ $category->name }} </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        {{-- general settings --}}
        <div class="card">
            <div class="card-header" id="normal_access">
                <a href="#" class="btn btn-header-link collapsed" data-toggle="collapse" data-target="#report-2"
                    aria-expanded="false" aria-controls="report-2">
                    @lang('users.general_permissions')
                </a>
            </div>

            <div id="report-2" class="collapse" aria-labelledby="normal_access" data-parent="#faq">
                <div class="card-body">
                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_login" name="can_login"
                                @if (old('can_login')) checked="true"
                            @elseif (isset($user))
                                @if ($user->login == 1)
                                    checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_login">{{ trans('users.enter_program') }}</label>
                        </div>

                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_display_reports"
                                name="can_display_reports"
                                @if (old('can_display_reports')) checked="true"
                           @elseif (isset($user))
                               @if ($user->show_report == 1)
                                   checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_display_reports">{{ trans('users.show_reports') }}</label>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_display_suppliers"
                                name="can_display_suppliers"
                                @if (old('can_display_suppliers')) checked="true"
                            @elseif (isset($user))
                                @if ($user->show_supplier == 1)
                                    checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_display_suppliers">{{ trans('users.read_supplier_details') }}</label>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_display_clients"
                                name="can_display_clients"
                                @if (old('can_display_clients')) checked="true"
                            @elseif (isset($user))
                                @if ($user->show_clients == 1)
                                    checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_display_clients">{{ trans('users.show_client_details') }}</label>
                        </div>

                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_change_invoice_store"
                                name="can_change_invoice_store"
                                @if (old('can_change_invoice_store')) checked="true"
                            @elseif (isset($user))
                                @if ($user->change_store == 1)
                                    checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_change_invoice_store">{{ trans('users.change_operation_store') }}</label>
                        </div>

                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_edit_sale_point"
                                name="can_edit_sale_point"
                                @if (old('can_edit_sale_point')) checked="true"
                            @elseif (isset($user))
                                @if ($user->can_edit_sale_point == 1)
                                    checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_edit_sale_point">التعديل علي الخزن</label>
                        </div>

                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <div class="row">
                                <div class="col-2">
                                    <label class="mt-1">@lang('users.show_sale_points') :</label>
                                </div>
                                <div class="col-10">
                                    <div class="row" style="background-color:#f1f1f1">
                                        <label  for="can_display_points" style="padding-left: 20px;">
                                            <input type="radio"
                                                value="1" id="can_display_points" name="can_display_points"
                                                @if (old('can_display_points')) checked="true"
                                            @elseif (isset($user))
                                                @if ($user->show_points == 1) checked="true" @endif @endif>@lang('users.hide_stores_stock')
                                        </label>
                                        <label  for="can_display_points" style="padding-left: 20px;">
                                            <input type="radio"
                                                value="2" id="can_display_points" name="can_display_points"
                                                @if (old('can_display_points')) checked="true"
                                            @elseif (isset($user))
                                                @if ($user->show_points == 2) checked="true" @endif @endif>
                                            @lang('users.show_own_store_stock')</label>
                                        </label>
                                        <label  for="can_display_points" style="padding-left: 20px;">
                                            <input type="radio"
                                                value="3" id="can_display_points" name="can_display_points"
                                                @if (old('can_display_points')) checked="true"
                                            @elseif (isset($user))
                                                @if ($user->show_points == 3) checked="true" @endif @endif>@lang('users.show_own_store_safe')
                                        </label>
                                        <label for="can_display_points" style="padding-left: 20px;">
                                            <input type="radio"
                                                value="4" id="can_display_points" name="can_display_points"
                                                @if (old('can_display_points')) checked="true"
                                            @elseif (isset($user))
                                                @if ($user->show_points == 4) checked="true" @endif @endif>@lang('users.show_all_stores')
                                        </label>
                                    </div>
                                </div>
                                {{-- <div class="col-10">
                                    <div class="row" style="background-color:#f1f1f1">
                                        {{-- <div class="col-4">
                                            <input type="checkbox" class="custom-control-input main-check"
                                                id="can_display_points" name="can_display_points" value="1"
                                                @if (old('can_display_points')) checked="true"
                                            @elseif (isset($user))
                                                @if ($user->show_points == 1) checked="true" @endif
                                                @endif
                                            >
                                            <label class="custom-control-label user-custom-control-label"
                                                for="can_display_points">عدم الاطلاع علي رصيد الخزن </label>
                                        </div> --}}
                                        {{-- <div class="col-4">
                                            <input type="checkbox" class="custom-control-input" id="can_see_point_money"
                                                name="can_see_point_money"
                                                @if (old('can_see_point_money')) checked="true"
                                            @elseif (isset($user))
                                                @if ($user->show_total_point == 1)
                                                    checked="true" @endif
                                                @endif
                                            >
                                            <label class="custom-control-labe user-custom-control-labell"
                                                for="can_see_point_money">الاطلاع علي رصيد خزنته فقط</label>
                                        </div> --}}
                                        {{-- <div class="col-4">
                                            <input type="checkbox" class="custom-control-input"
                                                id="can_change_invoice_point" name="can_change_invoice_point"
                                                @if (old('can_change_invoice_point')) checked="true"
                                            @elseif (isset($user))
                                                @if ($user->point_change == 1)
                                                    checked="true" @endif
                                                @endif
                                            >
                                            <label class="custom-control-label user-custom-control-label"
                                                for="can_change_invoice_point">الاطلاع علي رصيد خزن مخزنه فقط </label>
                                        </div> --}}
                                        {{-- <div class="col-4">
                                            <input type="checkbox" class="custom-control-input"
                                                id="can_change_invoice_point" name="can_change_invoice_point"
                                                @if (old('can_change_invoice_point')) checked="true"
                                            @elseif (isset($user))
                                                @if ($user->point_change == 1)
                                                    checked="true" @endif
                                                @endif
                                            >
                                            <label class="custom-control-label user-custom-control-label" for="can_change_invoice_point">الاطلاع
                                                علي كل خزن المؤسسه </label>
                                        </div>
                                    </div>
                                </div>  --}}
                            </div>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_manage_users"
                                name="can_manage_users"
                                @if (old('can_manage_users')) checked="true"
                            @elseif (isset($user))
                                @if ($user->users == 1)
                                    checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_manage_users">{{ trans('users.user_management') }}</label>
                        </div>

                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_display_settings"
                                name="can_display_settings"
                                @if (old('can_display_settings')) checked="true"
                            @elseif (isset($user))
                                @if ($user->setting == 1)
                                    checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_display_settings">{{ trans('users.show_settings') }}</label>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_add_supplier"
                                name="can_add_supplier"
                                @if (old('can_add_supplier')) checked="true"
                            @elseif (isset($user))
                                @if ($user->new_supplier == 1)
                                    checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_add_supplier">{{ trans('users.add_supplier') }}</label>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_add_client"
                                name="can_add_client"
                                @if (old('can_add_client')) checked="true"
                            @elseif (isset($user))
                                @if ($user->new_client == 1)
                                    checked="true" @endif
                                @endif>
                            <label class="custom-control-label user-custom-control-label"
                                for="can_add_client">{{ trans('users.add_client') }}</label>
                        </div>
                    </div>


                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_list_spending"
                                name="can_list_spending"
                                @if (old('can_list_spending')) checked="true"
                                @elseif (isset($user))
                                    @if ($user->spending == 1)
                                        checked="true" @endif
                                    @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_list_spending">@lang('users.show_spendings_and_incomes')</label>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_add_spend"
                                name="can_add_spend"
                                @if (old('can_add_spend')) checked="true"
                            @elseif (isset($user))
                                @if ($user->add_spend == 1)
                                    checked="true" @endif
                                @endif>
                            <label class="custom-control-label user-custom-control-label"
                                for="can_add_spend">@lang('users.add_spending_and_income')</label>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_pay_by_installments" name="can_pay_by_installments"
                                   @if (old('can_pay_by_installments')) checked="true"
                                   @elseif (isset($user))
                                       @if ($user->pay_by_installments == 1)
                                           checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_pay_by_installments">{{ trans('users.pay_by_installments') }}</label>
                        </div>

                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_show_debentures_cash_receipt"
                                   name="can_show_debentures_cash_receipt"
                                   @if (old('can_show_debentures_cash_receipt')) checked="true"
                                   @elseif (isset($user))
                                       @if ($user->show_debentures_cash_receipt == 1)
                                           checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_show_debentures_cash_receipt">{{ trans('users.show_debentures_cash_receipt') }}</label>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_show_debentures_payment_receipt" name="can_show_debentures_payment_receipt"
                                   @if (old('can_show_debentures_payment_receipt')) checked="true"
                                   @elseif (isset($user))
                                       @if ($user->show_debentures_payment_receipt == 1)
                                           checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_show_debentures_payment_receipt">{{ trans('users.show_debentures_payment_receipt') }}</label>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_edit_debentures_receipt_date" name="can_edit_debentures_receipt_date"
                                   @if (old('can_edit_debentures_receipt_date')) checked="true"
                                   @elseif (isset($user))
                                       @if ($user->edit_debentures_receipt_date == 1)
                                           checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_edit_debentures_receipt_date">{{ trans('users.edit_debentures_receipt_date') }}</label>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_edit_by_excel"
                                   name="can_edit_by_excel"
                                   @if (old('can_edit_by_excel')) checked="true"
                                   @elseif (isset($user))
                                       @if ($user->edit_by_excel == 1)
                                           checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_edit_by_excel">{{ trans('users.edit_by_excel') }}</label>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_show_bad_balance" name="can_show_bad_balance"
                                   @if (old('can_show_bad_balance')) checked="true"
                                   @elseif (isset($user))
                                       @if ($user->show_bad_balance == 1)
                                           checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_show_bad_balance">{{ trans('users.show_bad_balance') }}</label>
                        </div>

                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_show_stores"
                                   name="can_show_stores"
                                   @if (old('can_show_stores')) checked="true"
                                   @elseif (isset($user))
                                       @if ($user->show_stores == 1)
                                           checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_show_stores">{{ trans('users.show_stores') }}</label>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_show_employees" name="can_show_employees"
                                   @if (old('can_show_employees')) checked="true"
                                   @elseif (isset($user))
                                       @if ($user->show_employees == 1)
                                           checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_show_employees">{{ trans('users.show_employees') }}</label>
                        </div>
                        <div class="container" id="can_show_employees-related" style="display: none">
                            <div class="row">
                                <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                                    <input type="checkbox" class="custom-control-input" id="can_edit_salary_cut" name="can_edit_salary_cut"
                                           @if (old('can_edit_salary_cut') || (isset($user) && $user->edit_salary_cut == 1))
                                               checked="true"
                                        @endif
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                           for="can_edit_salary_cut">{{ trans('users.edit_salary_cut') }}</label>
                                </div>

                                <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                                    <input type="checkbox" class="custom-control-input" id="can_edit_salary_late" name="can_edit_salary_late"
                                           @if (old('can_edit_salary_late') || (isset($user) && $user->edit_salary_late == 1))
                                               checked="true"
                                        @endif
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                           for="can_edit_salary_late">{{ trans('users.edit_salary_late') }}</label>
                                </div>
                            </div>
                        </div>

                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_show_maintenance"
                                   name="can_show_maintenance"
                                   @if (old('can_show_maintenance')) checked="true"
                                   @elseif (isset($user))
                                       @if ($user->show_maintenance == 1)
                                           checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_show_maintenance">{{ trans('users.show_maintenance') }}</label>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_show_manufacturing" name="can_show_manufacturing"
                                   @if (old('can_show_manufacturing')) checked="true"
                                   @elseif (isset($user))
                                       @if ($user->show_manufacturing == 1)
                                           checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_show_manufacturing">{{ trans('users.show_manufacturing') }}</label>
                        </div>
                    </div>

                </div>
            </div>
        </div>

        {{-- items settings --}}
        <div class="card">
            <div class="card-header" id="items_access">
                <a href="#" class="btn btn-header-link collapsed" data-toggle="collapse"
                    data-target="#report-3" aria-expanded="false" aria-controls="report-3">
                    @lang('users.items')
                </a>
            </div>

            <div id="report-3" class="collapse" aria-labelledby="items_access" data-parent="#faq">
                <div class="card-body">
                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-6">
                            <div class="row" style="background-color: #f1f1f1">
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input main-check"
                                        id="can_display_items" name="can_display_items"
                                        @if (old('can_display_items')) checked="true"
                                    @elseif (isset($user))
                                        @if ($user->show_items == 1)
                                            checked="true" @endif
                                        @endif
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_display_items">{{ trans('users.show_items') }}</label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_add_item"
                                        name="can_add_item"
                                        @if (old('can_add_item')) checked="true"
                                    @elseif (isset($user))
                                        @if ($user->new_items == 1)
                                            checked="true" @endif
                                        @endif
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_add_item">{{ trans('users.add_new_item') }}</label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_edit_item"
                                        name="can_edit_item"
                                        @if (old('can_edit_item')) checked="true"
                                    @elseif (isset($user))
                                        @if ($user->edit_items == 1)
                                            checked="true" @endif
                                        @endif
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_edit_item">{{ trans('users.edit_items') }}</label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_delete_items"
                                        name="can_delete_items"
                                        @if (old('can_delete_items')) checked="true"
                                    @elseif (isset($user))
                                        @if ($user->privilege == 1)
                                            checked="true" @endif
                                        @endif
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_delete_items">{{ trans('users.delete_items_records') }}</label>
                                </div>
                            </div>
                        </div>
                        <div class="col-6" style="background-color: #f1f1f1" id="allowed_stores_section">
                            <label>@lang('users.show_stores')</label>
                            <div class="row">
                                @foreach($stores as $store)
                                    <div class="col-4">
                                        <input type="checkbox" name="allowed_stores[]" value="{{$store->id}}" @if(isset($user) && $user->allowed_stores?->contains($store->id)) checked @endif/> {{$store->store_name}}
                                    </div>
                                @endforeach
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>

        {{-- sales settings --}}
        <div class="card">
            <div class="card-header" id="sales_access">
                <a href="#" class="btn btn-header-link collapsed" data-toggle="collapse"
                    data-target="#report-4" aria-expanded="false" aria-controls="report-4">
                    @lang('users.sale')
                </a>
            </div>

            <div id="report-4" class="collapse" aria-labelledby="sales_access" data-parent="#faq">
                <div class="card-body">
                    <div class="form-group row">

                        <div class="custom-control custom-checkbox col-sm-6 col-12 ">
                            <div class="row" style="background-color:#f1f1f1">
                                <div class="col-12">
                                    <input type="checkbox" class="custom-control-input main-check" id="can_sale"
                                        name="can_sale"
                                        @if (old('can_sale')) checked="true"
                                        @elseif (isset($user))
                                            @if ($user->new_sale_puplic == 1) checked="true" @endif
                                        @endif
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_sale">{{ trans('users.sale_point') }}</label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_sale_with_discount"
                                        name="can_sale_with_discount"
                                        @if (old('can_sale_with_discount')) checked="true"
                                    @elseif (isset($user))
                                        @if ($user->sale_discount == 1)
                                            checked="true" @endif
                                        @endif
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_sale_with_discount">{{ trans('users.sell_with_discount') }}</label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_sale_later"
                                        name="can_sale_later"
                                        @if (old('can_sale_later')) checked="true"
                                    @elseif (isset($user))
                                        @if ($user->sale_cash == 1)
                                            checked="true" @endif
                                        @endif
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_sale_later">{{ trans('users.sell_after_period') }}</label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_display_sales"
                                        name="can_display_sales"
                                        @if (old('can_display_sales')) checked="true"
                                    @elseif (isset($user))
                                        @if ($user->show_day_total == 1)
                                            checked="true" @endif
                                        @endif
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_display_sales">{{ trans('users.read_daily_sales') }}</label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input"
                                        id="can_change_sale_invoice_date" name="can_change_sale_invoice_date"
                                        @if (old('can_change_sale_invoice_date')) checked="true"
                                    @elseif (isset($user))
                                        @if ($user->change_date == 1)
                                            checked="true" @endif
                                        @endif
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_change_sale_invoice_date">{{ trans('users.change_date') }}</label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_change_sale_price"
                                        name="can_change_sale_price"
                                        @if (old('can_change_sale_price')) checked="true"
                                    @elseif (isset($user))
                                        @if ($user->sale_price == 1)
                                            checked="true" @endif
                                        @endif
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_change_sale_price">{{ trans('users.sale_price') }}</label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_change_payment"
                                        name="can_change_payment"
                                        @if (old('can_change_payment')) checked="true"
                                    @elseif (isset($user))
                                        @if ($user->edit_payment == 1)
                                            checked="true" @endif
                                        @endif
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_change_payment">{{ trans('users.Edit_payment') }}</label>
                                </div>

                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_see_sale_price"
                                        name="can_see_sale_price"
                                        @if (old('can_see_sale_price')) checked="true"
                                    @elseif (isset($user))
                                        @if ($user->show_prices == 1)
                                            checked="true" @endif
                                        @endif
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_see_sale_price">@lang('users.show_prices_in_sales')</label>
                                </div>

                            </div>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_return_sales"
                                name="can_return_sales"
                                @if (old('can_return_sales')) checked="true"
                            @elseif (isset($user))
                                @if ($user->return_sales_insert == 1)
                                    checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_return_sales">{{ trans('users.record_returns') }}</label>
                        </div>

                    </div>
                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_show_sales_offers"
                                   name="can_show_sales_offers"
                                   @if (old('can_show_sales_offers')) checked="true"
                                   @elseif (isset($user))
                                       @if ($user->show_sales_offers == 1)
                                           checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_show_sales_offers">{{ trans('users.show_sales_offers') }}</label>
                        </div>

                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_add_sales_offers" name="can_add_sales_offers"
                                   @if (old('can_add_sales_offers')) checked="true"
                                   @elseif (isset($user))
                                       @if ($user->add_sales_offers == 1)
                                           checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_add_sales_offers">{{ trans('users.add_sales_offers') }}</label>
                        </div>
                        
                        @if(get_session_val('pending_bills', 'integer') == 1)
                            <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                                <input type="checkbox" class="custom-control-input" id="show_pending_invoice" name="show_pending_invoice"
                                    @if (old('show_pending_invoice')) checked="true"
                                    @elseif (isset($user))
                                        @if ($user->show_pending_invoice == 1)
                                            checked="true" @endif
                                    @endif
                                >
                                <label class="custom-control-label user-custom-control-label" for="show_pending_invoice">عرض الفواتير المعلقة</label>
                            </div>
                        @endif
                        
                    </div>

                    {{-- <div class="form-group row">
                        <!--<div class="custom-control custom-checkbox col-sm-6 col-6 ">-->
                        <!--    <input type="checkbox" class="custom-control-input" id="can_edit_sales_invoices" name="can_edit_sales_invoices"-->
                        <!--    @if (old('can_edit_sales_invoices'))  checked="true" -->
                        <!--
    @elseif (isset($user))
    -->
                        <!--        @if ($user->change_bill_sale == 1)-->
                        <!--            checked="true" -->
                        <!--        @endif-->
                        <!--    @endif-->
                        <!--    >-->
                        <!--    <label class="custom-control-label"-->
                        <!--        for="can_edit_sales_invoices">{{ trans('users.change_bill_sale') }}</label>-->
                        <!--</div>-->

                    </div> --}}

                </div>
            </div>
        </div>

        {{-- purchases settings --}}
        <div class="card">
            <div class="card-header" id="purchases_access">
                <a href="#" class="btn btn-header-link collapsed" data-toggle="collapse"
                    data-target="#report-5" aria-expanded="false" aria-controls="report-5">
                    @lang('users.purchase')
                </a>
            </div>

            <div id="report-5" class="collapse" aria-labelledby="purchases_access" data-parent="#faq">
                <div class="card-body">
                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-12">
                            <div class="row">
                                <div class="col-12">
                                    <input type="checkbox" class="custom-control-input main-check"
                                        id="can_add_purchases_invoices" name="can_add_purchases_invoices"
                                        @if (old('can_add_purchases_invoices')) checked="true"
                                    @elseif (isset($user))
                                        @if ($user->incoming_bill == 1)
                                            checked="true" @endif
                                        @endif
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_add_purchases_invoices">{{ trans('users.add_purchases') }}</label>
                                </div>

                            </div>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_see_purchase_price"
                                name="can_see_purchase_price"
                                @if (old('can_see_purchase_price')) checked="true"
                        @elseif (isset($user))
                            @if ($user->show_pay_price == 1)
                                checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_see_purchase_price">{{ trans('users.show_pay_price') }}</label>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_add_returned_purchases"
                                name="can_add_returned_purchases"
                                @if (old('can_add_returned_purchases')) checked="true"
                            @elseif (isset($user))
                                @if ($user->incoming_bill_return == 1)
                                    checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_add_returned_purchases">{{ trans('users.add_payoff_purchases') }}</label>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_display_purchases"
                                name="can_display_purchases"
                                @if (old('can_display_purchases')) checked="true"
                            @elseif (isset($user))
                                @if ($user->incoming_show == 1)
                                    checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_display_purchases">{{ trans('users.show_purchases') }}</label>
                        </div>
                    </div>

                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-header" id="ecommerce_access">
                <a href="#" class="btn btn-header-link collapsed" data-toggle="collapse"
                   data-target="#report-6" aria-expanded="false" aria-controls="report-6">
                    @lang('users.ecommerce')
                </a>
            </div>

            <div id="report-6" class="collapse" aria-labelledby="ecommerce_access" data-parent="#faq">
                <div class="card-body">
                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_edit_ecommerce_settings"
                                   name="can_edit_ecommerce_settings"
                                   @if (old('can_edit_ecommerce_settings')) checked="true"
                                   @elseif (isset($user))
                                       @if ($user->edit_ecommerce_settings == 1)
                                           checked="true" @endif
                                @endif
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_edit_ecommerce_settings">@lang('users.ecommerce_settings')</label>
                        </div>
                    </div>
                </div>
            </div>
            <div id="report-6" class="collapse" aria-labelledby="ecommerce_access" data-parent="#faq">
                <div class="card-body">
                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <label class="mt-1">@lang('users.show_ecommerce_requests_stores') :</label>
                            <div class="col-10">
                                <div class="row" style="background-color:#f1f1f1">
                                    <label  for="show_ecommerce_stores" style="padding-left: 20px;">
                                        <input type="radio"
                                            value="0" id="show_ecommerce_stores" name="show_ecommerce_stores"
                                            @if (old('show_ecommerce_stores')) checked="true"
                                        @elseif (isset($user))
                                            @if ($user->show_ecommerce_stores == 0) checked="true" @endif @endif>@lang('users.show_all_requests_stores')
                                    </label>
                                    <label  for="show_ecommerce_stores" style="padding-left: 20px;">
                                        <input type="radio"
                                            value="1" id="show_ecommerce_stores" name="show_ecommerce_stores"
                                            @if (old('show_ecommerce_stores')) checked="true"
                                        @elseif (isset($user))
                                            @if ($user->show_ecommerce_stores == 1) checked="true" @endif @endif>
                                        @lang('users.show_only_user_requests_store')</label>
                                    </label>

                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>


        </div>
    </form>
    
    <script>
        $(function() {
            $('#select-all-categories').on('click', function() {
                let selected_count = $('#user-categories').find('option:selected').length;
                let all_count      = $('#user-categories').find('option').length;
                $('#user-categories').find('option').prop('selected', selected_count < all_count).selectpicker('refresh').change();
            });
        });
    </script>