<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Modules\User\Http\Controllers\UserController;

Route::group(['prefix' => 'user', 'as' => 'users', 'middleware'=> ['web','auth', 'managingUsers']], function()
{
    Route::get('/', 'UserController@index')->name('.all');
    // working on
    Route::get('/activity/{user_id}', 'UserController@activity')->name('.activity');
    Route::get('/edit/{user_id}', 'UserController@edit')->name('.edit');
    Route::post('/edit/{user_id}', 'UserController@update')->name('.update');
    // Route::get('/show/{user_id}', 'UserController@show')->name('.show');
    Route::post('/delete', 'UserController@destroy')->name('.delete');
    Route::get('/new', 'UserController@create')->name('.new');
    Route::post('/new', 'UserController@store')->name('.save');
    Route::get('goals', 'UserController@usersGoals')->name('.goals');
    Route::post('goals', 'UserController@storeGoal')->name('.goals.store');
    Route::put('/goal/update', [UserController::class,'updateGoal'])->name('.goals.update');
    Route::get('/details/{user}', [UserController::class,'getUserDetails'])->name('.getDetails');
    Route::get('/getUserGoalsTable', [UserController::class,'getUserGoalsTable'])->name('.getUserGoalsTable');
    Route::put('/goal/destroy', 'UserController@destroyGoal')->name('.goals.destroy');

    

});
