@extends('master::layouts.master')

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
@endsection

@section('content')

    <div class="container">

        <div class="row">
            <h2 class="text-info text-center" id="title_text">
                {{ trans('reports.items_sales_dusring_period_report') }}
            </h2>
        </div>

        <div class="row mt-4 justify-content-between">
            <div class="col-4">
                <h5>هل تود تحديث النسخة ؟</h5>
                @if($anyUpdates)
                    <div class="mt-4">
                        <form action="{{route('versions.update')}}" method="POST">
                            @csrf
                            <button type="submit" class="btn btn-primary btn-lg w-50">اضغط هنا</button>
                        </form>
                    </div>
                @else
                    <h5>انت علي احدث نسخه بالفعل</h5>
                @endif
            </div>
            <div class="col-8 bg-info text-white h4 p-4">
                <table class="p-2 table">
                    <thead>
                        <tr>
                            <th>النسخه الحالية :</th>
                            <th>{{$currentVersion}}</th>
                        </tr>
                        <tr>
                            <th>احدث نسخه :</th>
                            <th>{{$newVersion}}</th>
                        </tr>
                        <tr>
                            <th>الاضافات والمشاكل التي تم حلها بالنسخه الجديدة :</th>
                            <th>
                                <ul>
                                    <li>
                                        Lorem ipsum dolor sit amet.
                                    </li>
                                    <li>
                                        Lorem ipsum dolor sit amet.
                                    </li>

                                    <li>
                                        Lorem ipsum dolor sit amet.
                                    </li>
                                </ul>
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>

    </div>

@endsection

@section('js-scripts')
    @include('master::js.export-functions')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>


    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>
    <script src="{{ asset('js/reports/columnsControls.js') }}"></script>

    <script>

        $(function () {

             if ('{{ get_session_val('date_type', 'Integer') }}' == '2') {

                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',

                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',

                });
            }


        });

                    // added
            $('#select_viewed_cols').html(
                getColsControls(3)
            );

        $(document).on('change', '#start_date, #end_date' , function() {
                var start = $('#start_date').val();
                var end = $('#end_date').val();
                var changed = {
                    'start_date' : 'start',
                    'end_date': 'end'
                };

                if ( ! valid_dates(start, end, changed[ $(this).attr('id') ] ) )
                {
                    $(this).val( $(this).data('old') );
                }
                else {
                    $(this).data('old', $(this).val());
                }

            });

            function valid_dates(start_date, end_date, current) {

                if (start_date > end_date) {
                    alert_date(current);
                    return false;
                }

                return true;
            }

            function alert_date(current)
            {
                var msg_details = {
                    'start' : { 'changed': 'البداية', 'relation': 'أصغر' , 'target': 'النهاية'},
                    'end' : { 'changed': 'النهاية', 'relation': 'أكبر' , 'target': 'البداية'}
                };

                alert('تاريخ '+ msg_details[current]['changed'] +' يجب أن يكون '+ msg_details[current]['relation'] +' من تاريخ '+ msg_details[current]['target'] );

            }

    </script>
@endsection
