<?php

namespace App\Exceptions;

use Illuminate\Foundation\Exceptions\Handler as ExceptionHandler;
use Throwable;
use App\Services\Crash\CrashController;

class Handler extends ExceptionHandler
{
    /**
     * A list of the exception types that are not reported.
     *
     * @var array<int, class-string<Throwable>>
     */
    protected $dontReport = [
        //
    ];

    /**
     * A list of the inputs that are never flashed for validation exceptions.
     *
     * @var array<int, string>
     */
    protected $dontFlash = [
        'current_password',
        'password',
        'password_confirmation',
    ];

    /**
     * Register the exception handling callbacks for the application.
     *
     * @return void
     */
    public function register()
    {
        $this->renderable(function (\Exception $e) {
            if ($e->getPrevious() instanceof \Illuminate\Session\TokenMismatchException) {
                return back()->with('error', 'Please Type Again');
            };
        });
        
        $this->renderable(function (\Exception $e) {
            if ($e->getMessage() == 'Unauthenticated.') {
                return response()->json([
                    'status' => false,
                    'message' => 'يرجي تسجيل الدخول مره اخري',
                    'data' => [],
                ], 401);
            };
        });

        $this->reportable(function (Throwable $e) {
            //  CrashController::handler($e);
        });
    }
}
