<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Models\systemLog;
use Carbon\Carbon;
class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = RouteServiceProvider::HOME;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }
    
    public  function createLog($date, $event)
    {
        $log = new systemLog();
        $log->user_id = auth()->id();
        $log->shop_id = get_session_val('serial_id', 'integer');
        $log->date_event = $date;
        $log->event = $event;
        $log->save();
    }

    protected function authenticated(Request $request, $user)
    {
        if (! authorized('can_login'))
        {
            return $this->logout($request);
        }
        $this->createLog(Carbon::now(),"تم تسجيل الدخول ");

        set_session();
    }

    protected function isLegal()
    {
        $user_shop_id = Auth::user()->shop_id;

        $generated_hash = md5(getPcMac() . get_session_val('telephone', 'string') . get_session_val('serial_id', 'string'));
        $generated_hash_dashed= chunk_split($generated_hash, 4, "-");
        $generated_hash_full = $generated_hash_dashed . ':' . $user_shop_id;


        $stored_active_hash = get_session_val('active_id', 'string');
        $stored_hash_full = $stored_active_hash . ':' . $user_shop_id;

        return $stored_hash_full == $generated_hash_full;
    }

    public function username()
    {
        return 'user_name';
    }
    
    protected function loggedOut(Request $request)
    {
        return redirect()->route('login');
    }
}
