<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

class CheckIntsallerMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        if (function_exists( 'checkDatabaseConnection' )) {
            if (! checkDatabaseConnection()) {
                auth()->logout();
                if (! in_array('installer', explode('/', $request->url()) )) {
                    if (Route::has('installer.index'))
                        return redirect()->route('installer.index');
                    else
                        abort(500);
                }
            }
        }
        return $next($request);
    }
}
