<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class ManagingUsers
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        $url_details = explode('/', $request->route()->uri);
        if (count($url_details) > 1 & ! authorized('can_manage_users'))
        {
            return unAuthorized(trans('users.user_management'));
        }
        return $next($request);
    }
}
