<?php

namespace App\Imports;

use App\Models\Item;
use Illuminate\Support\Collection;
use Illuminate\Support\Facades\Validator;
use Maatwebsite\Excel\Concerns\Importable;
use Maatwebsite\Excel\Concerns\ToCollection;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithStartRow;
use Modules\Invoices\Entities\StoreItem;
use Modules\Item\Entities\Item as EntitiesItem;
use Modules\Item\Entities\ItemTransaction;

class ItemImport implements ToCollection ,WithStartRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */

    // create by collection
    public function collection(Collection $rows)
    {
        if ($rows->count() == 0){
            return redirect()->back()->with('error' , 'الملف فارغ');

        }

        Validator::make($rows->toArray(), [
            '*.0' => 'required',
        ])->validate();

        foreach ($rows as $row)
        {
            //check availabilty of item
            $items = EntitiesItem::where('shop_id' , get_session_val('serial_id' , 'integer'))->where('item_name' , $row[0])->first();

            if ($items == null){
                        // submit the items
                           $item = EntitiesItem::create([
                            'item_name'   => $row[0],
                            'barcode'    => $row[1],
                            'about'    => $row[2],
                            'sale_price'    => $row[3],
                            'pay_price'    => $row[4],
                            'quantity'    => $row[5],
                            'shop_id' =>  get_session_val('serial_id' , 'integer'),
                            'add_user' => auth()->id(),
                        ]);
                        // make item transaction
                        ItemTransaction::where('shop_id' , get_session_val('serial_id' , 'integer'))->insert([
                            'item_name' => $row[0],
                            'item_id' => $item->id,
                            'price' => $row[3] ,
                            'quantity' => $row[5],
                            'new_quantity' => $row[5],
                            'remain_quantity' => $row[5],
                            'type' => 4,
                            'shop_id' =>  get_session_val('serial_id' , 'integer'),
                            'user_id' => auth()->id(),
                        ]);
                         // store items in  default the first store
                         StoreItem::where('shop_id' , get_session_val('serial_id' , 'integer'))->insert([
                             'item_id' => $item->id,
                             'store_id' => 1 ,
                             'store_quant' => $row[5],
                             'shop_id' =>  get_session_val('serial_id' , 'integer'),
                             'add_user' => auth()->id(),
                         ]);

                }


        }

        return redirect()->back()->with('success' , 'تم الاضافة') ;

    }


    public function startRow(): int
    {

        return 2;
    }

    public function chunkSize(): int
    {
        return 1000;
    }

    public function batchSize(): int
    {
        return 1000;
    }



}


