<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class SendInvoiceToClient extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct(public array $data)
    {
        //
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $invoice = $this->data['invoice'];
        $this->data['url'] = route('show.invoice', encrypt($invoice->id));
        $view = $invoice->user?->invoice_print_template == 0  && $invoice->client?->client_tax_number ? 'view_price' : 'tax_bill';
        return $this->subject("Invoice Details")
                    ->to($invoice->client->email)
                    ->view("invoices::bills.$view", $this->data);
    }
}
