<?php

namespace App\Observers;

use Modules\Settings\Entities\Badrshop;

class BadrshopObserver
{

    public $afterCommit = true;

    /**
     * Handle the Badrshop "created" event.
     *
     * @param  \App\Models\Badrshop  $badrshop
     * @return void
     */
    public function created(Badrshop $badrshop)
    {
        set_session_arr_val($badrshop, $badrshop->shop_id);
    }

    /**
     * Handle the Badrshop "updated" event.
     *
     * @param  \App\Models\Badrshop  $badrshop
     * @return void
     */
    public function updated(Badrshop $badrshop)
    {
        set_session_arr_val($badrshop, $badrshop->shop_id);
    }

    /**
     * Handle the Badrshop "deleted" event.
     *
     * @param  \App\Models\Badrshop  $badrshop
     * @return void
     */
    public function deleted(Badrshop $badrshop)
    {
        //
    }

    /**
     * Handle the Badrshop "restored" event.
     *
     * @param  \App\Models\Badrshop  $badrshop
     * @return void
     */
    public function restored(Badrshop $badrshop)
    {
        //
    }

    /**
     * Handle the Badrshop "force deleted" event.
     *
     * @param  \App\Models\Badrshop  $badrshop
     * @return void
     */
    public function forceDeleted(Badrshop $badrshop)
    {
        //
    }
}
