<?php

namespace App\Providers;

use App\Services\Einvoice\Invoice\Invoice;
use Illuminate\Support\ServiceProvider;
use Modules\Settings\Entities\Badrshop;
use App\Models\User;
use App\Observers\BadrshopObserver;
use App\Observers\InvoiceDetailsObserver;
use App\Observers\UserObserver;
use App\Services\Einvoice\Einvoice;
use App\Services\Einvoice\Receipt\Receipt;
use Illuminate\Support\Facades\Blade;
use Illuminate\Pagination\Paginator;
use Modules\Invoices\Entities\InvoiceDetails;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->bind('einvoice', concrete: function () {
            return new Receipt();
            return (request()->is('einvoice/invoice') || request()->is('einvoice/invoice/*')) ? new Invoice() : new Receipt();
        });
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        if (\Illuminate\Support\Facades\Request::is('*/translations')) {
            ini_set('memory_limit', '1G');
        }

        //
        Paginator::useBootstrap();

        Blade::directive('notnull', function ($value) {
            return '<?php if (isset(' . $value . ') && count(' . $value . ') > 0) { ?>';
        });

        Blade::directive('elsenull', function ($value) {
            return '<?php } else { ?>';
        });

        Blade::directive('endnotnull', function () {
            return '<?php } ?>';
        });

        // if (request()->is('salesreports/*'))
        //     Artisan::call('optimize:clear');

        Badrshop::observe(BadrshopObserver::class);
        User::observe(UserObserver::class);
        InvoiceDetails::observe(InvoiceDetailsObserver::class);
        Paginator::useBootstrap();

        require_once __DIR__ . '/../Services/zatca/vendor/autoload.php';
    }
}
