<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;
use Illuminate\Support\Facades\DB;

class orExists implements Rule
{
    private $table_name, $col_1, $col_2;
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct($table_name, $col_1, $col_2)
    {
        $this->table_name = $table_name;
        $this->col_1 = $col_1;
        $this->col_2 = $col_2;
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        return ! is_null(DB::table($this->table_name)->where($this->col_1, $value)->orWhere($this->col_2, $value)->first());
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'The validation error message.';
    }
}
