<?php

namespace App\Services\BCMS;

use Illuminate\Http\Client\Response;
use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\Http;

class BaseService
{
    public function __construct()
    {
        Http::macro('bcms', function () {
            return Http::withHeaders([
                'Accept' => 'application/json',
                'UserID' => auth()->user()->id,
                'CompanyID' => auth()->user()->shop_id,
            ])->baseUrl(Config::get('app.bcms_prefix') . 'api/v1/');
        });

    }

    protected function errorHandling(Response $http){
        $this->showValidationErrors($http);
    }

    protected function showValidationErrors(Response $http) {
        if ($http->status() == 422){
            return back()->withErrors(json_decode($http->body())->errors)->withInput();
        }
    }
}
