<?php

namespace App\Services\BCMS;

use Illuminate\Support\Facades\Http;

class EmployeeService extends BaseService
{
    public function create(Array $data)
    {
        $http = Http::bcms()->post('employees', $data);
        $this->showValidationErrors($http);
        return $http;
    }

    public function update(Array $data, $id)
    {
        $http = Http::bcms()->put("employees/{$id}", $data);
        $this->showValidationErrors($http);
        return $http;
    }

    public function destroy($id)
    {
        $http = Http::bcms()->delete("employees/{$id}");
        $this->showValidationErrors($http);
        return $http;
    }

    public function getSalaryComponents(array $data)
    {
        $http = Http::bcms()->post("employees/salary-componenets", $data);
        $this->showValidationErrors($http);
        return $http;
    }
}
