<?php
    namespace App\Services;

    use App\Services\Invoice;
    use App\Services\Updaters\InvoiceClient;
    use App\Services\Updaters\InvoiceSafe;
    use Modules\Invoices\Entities\ClientTransaction;

    abstract class InvoiceClientTrans{

        protected $data;
        public function __construct(Invoice $invoice, InvoiceSafe $safe, InvoiceClient $client)
        {
            $this->data = [
                'shop_id' => get_session_val('serial_id', 'Integer'),
                'user_id' => auth()->user()->id,
                'amount' => $safe->getAmount(),
                'pay_day' => $invoice->getInvoice()->invoice_date,
                'date_time' => day_now(get_session_val('date_type', 'Integer')),
                'balance' => $client->getNewBalance(),
                'bill_net_total' => $invoice->getInvoice()->net_price,
                'bill_id' => $invoice->getInvoice()->id,
                'safe_point_id' => $safe->getSafePoint()->id,
                'client_id' => $client->getClient()?->id,
                'safe_balance' => $safe->getSafePoint()->money_point,
                'notes' => $invoice->getInvoice()->notes,
            ];

        }

        public function create()
        {
           if($this->data['client_id'])
                ClientTransaction::create($this->data);
        }
    }
?>
