<?php
    namespace App\Services;

use App\Services\Uploaders\ItemImgUploader;
use Modules\Invoices\Entities\Item;
    use Modules\Invoices\Entities\ItemUnit;

    abstract class InvoiceDetail{
        
        protected $item, $item_unit_value, $detail, $invoice_id, $invoice_type, $invoice_type_name, $client_id, $sent_unique_id;
        public $input_details, $details_ingrediants;
        protected $invoice_total_disc =  0;
        public function __construct(int $invoice_id, int $invoice_type, string $invoice_type_name, ?int $client_id, array $input_details)
        {
            $this->invoice_id = $invoice_id;
            $this->invoice_type = $invoice_type;
            $this->invoice_type_name = $invoice_type_name;
            $this->client_id = $client_id;
            $this->input_details = $input_details;

            $this->setDetailItem($this->input_details[0]);
            $this->setDetailItemUnitValue($this->input_details[1]);
        }

        protected function validateSalePrice()
        {
            if (! authorized('can_change_sale_price'))   // permission check
            {
                $this->detail->sale_price = $this->detail->basic_pay_price = $this->item->sale_price;
            }
        }

        protected function setDetailItem($id)
        {
            $this->item = Item::find($id);
        }

        protected function setDetailItemUnitValue($unit_id)
        {
            $this->item_unit_value = ItemUnit::where([
                'shop_id' => get_session_val('serial_id', 'Integer'),
                'item_id' => $this->item->id,
                'unit_id' => $unit_id
            ])->first()->unit_value ?? 1;

        }

        protected function getActPayPrice()
        {
            return update_purchase_invoice_sold_qty($this->invoice_type_name, $this->detail->item_id, $this->detail->quantity, $this->detail->unit_id, $this->client_id, $this->detail->pay_price);
        }

        protected function getAvgPayPrice()
        {
            return avg_pay_price($this->item->id, $this->detail->quantity, $this->detail->pay_price, $this->item_unit_value, $this->invoice_id, false);
        }

        public function createAndCalcDetail()
        {
            $this->detail->save();
            $this->calcInvoiceDiscount();
        }
        
        public function getItem()
        {
            return $this->item;
        }

        public function getDetail()
        {
            return $this->detail;
        }

        public function getInvoiceTotalDisc()
        {
            return $this->invoice_total_disc;
        }

        public function getSentUniqueId()
        {
            return $this->sent_unique_id ?? 0;
        }

        protected function updateItemImage()
        {
            // $uploader     =  new ItemImgUploader($request, 'image');
            // $result  =  $uploader->checkAndUpload();

            // if ($result['status'])
            // {
            //     $cat->upload_img = $result['path'];
            // }
        }

        abstract public function create();

        abstract protected function calcItemPriceWithDiscount();

        abstract protected function calcInvoiceDiscount();
    }
?>