<?php
    namespace App\Services;
    use Modules\Invoices\Entities\InvoiceDetails;

    class ReturnPurchaseDetail extends InvoiceDetail{

        public function create()
        {
            $this->detail = new InvoiceDetails();
            $this->detail->invoice_id = $this->invoice_id;
            $this->detail->shop_id = get_session_val('serial_id', 'Integer');
            $this->detail->item_id = $this->input_details[0];
            $this->detail->quantity = $this->input_details[1];
            $this->detail->unit_id = $this->input_details[2];
            $this->detail->pay_price = $this->input_details[3];
            $this->detail->sale_price = $this->input_details[5];
            $this->detail->total_price = $this->input_details[1] * $this->input_details[3];
            $this->detail->basic_pay_price = $this->input_details[12];
            $this->detail->basic_sale_price = $this->input_details[5];
            $this->detail->ac_pay_price = $this->getActPayPrice();

            $this->detail->item_about = $this->input_details[15] ?? '';
            $this->detail->discount_operation = $this->input_details[8] ?? 0;
            $this->detail->discount = $this->input_details[9];
            $this->detail->discount_type = $this->input_details[10];
            $this->detail->pay_vats_weight = $this->input_details[13];

            $this->setPayPrice();

            $this->calcItemPriceWithDiscount();
            $this->createAndCalcDetail();

        }

        protected function getAvgPayPrice()
        {
            return avg_pay_price($this->item->id, -1 * $this->detail->quantity, $this->detail->pay_price, $this->item_unit_value, $this->invoice_id, true);
        }

        protected function setPayPrice()
        {
            if (get_session_val('pay_price_update', 'Integer') == 1)
            {
                $this->item->pay_price = $this->input_details[3] / ($this->item_unit_value ?? 1);
            }
            $this->detail->av_pay_price = $this->getAvgPayPrice();
        }

        protected function calcInvoiceDiscount()
        {
            if (get_session_val('company_ratio', 'integer') == 1)
            {
                $this->invoice_total_disc += ( ($this->detail->discount_type == 1 ? ($this->detail->discount) : ( $this->detail->basic_pay_price * (floatval($this->detail->discount) / 100))) * $this->detail->quantity);
            }
        }

        protected function calcItemPriceWithDiscount()
        {
            if (get_session_val('company_ratio', 'integer') == 2)
            {
                if ($this->detail->discount_type == 1)
                {
                    $this->detail->item_price_with_discount = $this->detail->pay_price - $this->detail->discount;
                }
                else {
                    $this->detail->item_price_with_discount = $this->detail->pay_price - ($this->detail->discount / 100 * $this->detail->pay_price);
                }
            }
            else {
                if ($this->detail->discount_type == 1)
                {
                    $this->detail->item_price_with_discount = $this->detail->basic_pay_price - $this->detail->discount;
                }
                else {
                    $this->detail->item_price_with_discount = $this->detail->basic_pay_price - ($this->detail->discount / 100 * $this->detail->basic_pay_price);
                }
            }
        }
    }
?>
