<?php
    namespace App\Services;
    use Modules\Invoices\Entities\InvoiceDetails;
    use Modules\Item\Entities\StoreItem;

    class SellDetail extends InvoiceDetail{

        public function create()
        {
            $this->detail = new InvoiceDetails();
            $this->detail->invoice_id = $this->invoice_id;
            $this->detail->shop_id = get_session_val('serial_id', 'Integer');
            $this->detail->item_id = $this->input_details[0];
            $this->detail->quantity = $this->input_details[1];
            $this->detail->unit_id = $this->input_details[2];
            $this->detail->pay_price = $this->input_details[3];
            $this->detail->sale_price = $this->input_details[5];
            $this->detail->total_price = (float) $this->input_details[1] * (float) $this->input_details[5];
            $this->detail->basic_sale_price = $this->input_details[11];
            $this->detail->basic_pay_price = $this->input_details[12];
            $this->updateStore();

            $this->validateSalePrice();
            $this->detail->ac_pay_price = $this->getActPayPrice();

            $this->detail->item_about = $this->input_details[15] ?? '';
            $this->detail->discount_operation = $this->input_details[8] ?? 0;
            $this->detail->discount = $this->input_details[9];
            $this->detail->discount_type = $this->input_details[10];
            $this->detail->pay_vats_weight = $this->input_details[13];

            $this->detail->av_pay_price = $this->getAvgPayPrice();

            $this->calcItemPriceWithDiscount();
            $this->createAndCalcDetail();

            $this->sent_unique_id = $this->input_details[14] ?? 0;
        }

        public function updateStore()
        {
            $item_quantity = StoreItem::select('store_quant')->where('item_id', $this->item->id)->where('store_id', request()->get('store_id'))
                ->where('shop_id', auth()->user()->shop_id)->first()->store_quant ?? $this->item->quantity;
            $this->detail->quantity_after = $item_quantity - $this->input_details[1];
        }

        protected function calcInvoiceDiscount()
        {
            if (get_session_val('company_ratio', 'integer') == 1)
            {
                $this->invoice_total_disc += ( ($this->detail->discount_type == 1 ? ($this->detail->discount) : ( $this->detail->basic_sale_price * ( floatval($this->detail->discount) / 100))) * $this->detail->quantity);
            }
        }

        protected function calcItemPriceWithDiscount()
        {
            if (get_session_val('company_ratio', 'integer') == 2)
            {
                if ($this->detail->discount_type == 1)
                {
                    $this->detail->item_price_with_discount = $this->detail->sale_price - $this->detail->discount;
                }
                else {
                    $this->detail->item_price_with_discount = $this->detail->sale_price - ($this->detail->discount / 100 * $this->detail->sale_price);
                }
            }
            else {
                if ($this->detail->discount_type == 1)
                {
                    $this->detail->item_price_with_discount = $this->detail->basic_sale_price - $this->detail->discount;
                }
                else {
                    $this->detail->item_price_with_discount = $this->detail->basic_sale_price - ($this->detail->discount / 100 * $this->detail->basic_sale_price);
                }
            }
        }
    }
?>
