<?php
    namespace App\Services\Updaters;

    use Modules\Invoices\Entities\Clients;

    abstract class InvoiceClient{

        protected $client, $old_balance, $add_balance;
        public function __construct($request, $target_key = 'paid')
        {
            $this->client = Clients::where([
                'id' => $request->client_id,
                'shop_id' => get_session_val('serial_id', 'Integer'),
            ])->first();

            $this->add_balance = floatVal($request->net) - floatVal($request[$target_key]);
            $this->old_balance = $this->client?->balance;
        }
        public function getAddBalance()
        {
            return $this->add_balance;
        }

        public function getOldBalance()
        {
            return $this->old_balance;
        }

        public function getClient()
        {
            return $this->client;
        }

        public function updateBalance()
        {
            $this->client?->update([
                'balance' => $this->getNewBalance()
            ]);
        }

        public function setOldBalance($old_balance)
        {
            $this->old_balance = $old_balance;
        }

        public function decreaseAddBalance($add_balance)
        {
            $this->add_balance -= $add_balance;
        }

        abstract public function getNewBalance();
    }
?>
