<?php
    namespace App\Services\Updaters;

    use App\Services\InvoiceDetail;
    use Modules\Invoices\Entities\Item ;
    use Modules\Invoices\Entities\ItemUnit;
    use Modules\Invoices\Http\Requests\NewInvoiceRequest;

    abstract class InvoiceItemUpdater{
        protected $item, $request, $invoice_detail, $key, $item_unit;
        
        public function __construct(Item $item, NewInvoiceRequest $request, InvoiceDetail $invoice_detail)
        {
            $this->item = $item;
            $this->request = $request;
            $this->invoice_detail = $invoice_detail;
            $this->key = $this->invoice_detail->input_details[0] . '-' .$this->invoice_detail->input_details[2];
            $this->getItemUnit();
        }

        public function getItemUnit()
        {
            $this->item_unit = ItemUnit::where([
                'shop_id' => get_session_val('serial_id', 'Integer'),
                'item_id' => $this->item->id,
                'unit_id' => $this->invoice_detail->input_details[2]
            ])->first();
        }

        abstract public function update($new_price);
    }
?>