<?php
    namespace App\Services\Updaters;

    use Modules\Invoices\Entities\SalePoint;
    use Modules\Invoices\Entities\Currency;

    abstract class InvoiceSafe{

        protected $safe, $currency_value, $amount ;
        public function __construct(int $id)
        {
            $this->safe = SalePoint::where([
                'id' => $id,
                'shop_id' => get_session_val('serial_id', 'Integer')
            ])->first();

            if ($this->safe->currency_id > 0) {
                $this->currency_value =Currency::where([
                    'shop_id' => get_session_val('serial_id', 'Integer'),
                    'id' => $this->safe->currency_id
                ])->first()->value('value');
            }
        }

        public function getCurrencyValue()
        {
            return $this->currency_value;
        }

        public function getSafePoint()
        {
            return $this->safe;
        }

        public function setAmount($amount)
        {
            $this->amount = $amount;
        }

        public function getAmount()
        {
            return $this->amount ?? 0;
        }

        abstract public function update(float $paid);

    }
?>
