<?php
    namespace App\Services\Validators;

    use Illuminate\Http\Request;
    use Modules\Invoices\Entities\SalePoint;

    class InvoiceValidateNetworkSafe extends Validate{
        
        private $safe;

        public function __construct(Request $request)
        {
            $this->request = $request;
            $this->safe = SalePoint::where([
                'id' => $request->network_safe_point_id,
                'shop_id' => get_session_val('serial_id', 'Integer')
            ])->first();
        }

        public function validate()
        {
            if (get_session_val('netowrk_payment', 'Integer') == 1)
            {
                if (get_session_val('negative_money', 'Integer') == 0  && $this->request->paid > 0 && ( $this->safe->money_point - $this->request->network_paid < 0 )) {
                    $this->msg = trans('native.network_safe_balance_not_enough');
                    return false;
                }
            }
            return true;
        }
    }
?>