<?php
    namespace App\Services\Validators;

    use Illuminate\Http\Request;
    use Modules\Invoices\Entities\SalePoint;

    class InvoiceValidateSafe extends Validate{
        
        private $safe;

        public function __construct(Request $request)
        {
            $this->request = $request;
            $this->safe = SalePoint::where([
                'id' => $request->safe_point_id,
                'shop_id' => get_session_val('serial_id', 'Integer')
            ])->first();
        }

        public function validate()
        {
            if (get_session_val('negative_money', 'Integer') == 0  && $this->request->paid > 0 && ( $this->safe->money_point - $this->request->paid < 0 )) {
                $this->msg = trans('native.safe_balance_not_enough');
                return false;
            }
            return true;
        }
    }
?>