<?php

namespace App\Traits;

use Illuminate\Support\Facades\DB;
use Laravel\Passport\HasApiTokens;
use Modules\Api\Entities\RequestSetting;

trait CartTrait
{
    use HasApiTokens;

    public function CalcFee($request, $net)
    {
        $setting = RequestSetting::where('shop_id', $request->shop_id)->first();
        
        if ($setting->max_charge < $net) return 0;
        $fee = $setting->fee;
        if ($setting->fee_type == 3) {
            $lat          = $request->lat;
            $lon          = $request->lon;
            $original_lat = $setting->lat;
            $original_lon = $setting->lon;
            $theta        = $lon - $original_lon;
            $dist         = sin(deg2rad($lat)) * sin(deg2rad($original_lat)) + cos(deg2rad($lat)) * cos(deg2rad($original_lat)) * cos(deg2rad($theta));
            $dist         = acos($dist);
            $dist         = rad2deg($dist);
            $miles        = $dist * 60 * 1.1515;
            $distance     = $miles * 1.609344;
            $price        = DB::table('shipping_distances_prices')->select('price_per_kilo')->where('shop_id', $request->shop_id)->whereRaw("$distance  BETWEEN km_from AND km_to")->first();
            $fee          = $price ? price_decimal($distance * $price->price_per_kilo, $request->shop_id) : 0;
        } elseif ($setting->fee_type == 0) {
            $fee = price_decimal(($net * $setting->fee / 100), $request->shop_id);
        } elseif ($setting->fee_type == 2) {
            $city    = DB::table('cities')->select('fee')->where('shop_id', $request->shop_id)->where('id', $request->city_id)->first();
            $fee     = $city ? price_decimal($city->fee, $request->shop_id) : 0;
        }
        return $fee;
    }
}
