<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Cache;
use Illuminate\Http\Request;

    function authorized($key) :bool
    {
        $map = get_permissions();

        if (Cache::has(Auth::user()->id) & get_session_val($map[$key], 'Integer', null, null, Auth::user()->id, 'user'))
        {
            return true;
        }
        else if (Auth::user()[$map[$key]])
        {
            return true;
        }

        return false;
    }

    function unAuthorized($permission)
    {
        return redirect()->route('unAuthorized', ['permission' => $permission]);
    }

    function get_permissions() :array
    {
        $map = [
            'user_name'  => 'user_name',
            'user_full_name' => 'name',
            'user_password' => 'password',
            'user_sale_point' => 'sale_point',
            'user_group' => 'clients_group',
            'can_login' => 'login',
            'can_display_reports' => 'show_report',
            'can_display_clients' => 'show_clients',
            'can_display_suppliers' => 'show_supplier',
            'can_change_invoice_store' => 'change_store',
            'can_display_points' => 'show_points',
            'can_manage_users' => 'users',
            'can_change_invoice_point' => 'point_change',
            'can_display_settings' => 'setting',
            'can_see_point_money' => 'show_total_point',
            'can_add_item' => 'new_items',
            'can_display_items' => 'show_items',
            'can_edit_item' => 'edit_items',
            'can_delete_items' => 'privilege',
            'can_sale' => 'new_sale_puplic',
            'can_return_sales' => 'return_sales_insert',
            'can_sale_with_discount' => 'sale_discount',
            'can_sale_later' => 'sale_cash',
            'can_display_sales' => 'show_day_total',
            'can_see_sale_price' => 'show_prices',
            'can_change_sale_invoice_date' => 'change_date',
            'can_change_sale_price' => 'sale_price',
            'can_edit_sales_invoices' => 'change_bill_sale',
            'can_change_payment' => 'edit_payment',  // watch out
            'can_add_purchases_invoices' => 'incoming_bill',
            'can_add_supplier' => 'new_supplier',
            'can_add_client' => 'new_client',
            'can_display_purchases' => 'incoming_show',
            'can_add_returned_purchases' => 'incoming_bill_return',
            'can_see_purchase_price' => 'show_pay_price',
            'invoice_print_template' => 'invoice_print_template',
            'debentures_print_template' => 'debentures_print_template',
            'show_ecommerce_stores'=> 'show_ecommerce_stores',


            'can_list_spending' => 'spending',
            'can_add_spend'     => 'add_spend',
            'can_confirm_spend' => 'confirm_spend',


            'can_pay_by_installments' => 'pay_by_installments',
            'can_show_debentures_cash_receipt' => 'show_debentures_cash_receipt',
            'can_show_debentures_payment_receipt' => 'show_debentures_payment_receipt',
            'can_edit_debentures_receipt_date' => 'edit_debentures_receipt_date',
            'can_edit_by_excel' => 'edit_by_excel',
            'can_show_bad_balance' => 'show_bad_balance',
            'can_show_stores' => 'show_stores',
            'can_show_employees' => 'show_employees',
            'can_show_maintenance' => 'show_maintenance',
            'can_show_manufacturing' => 'show_manufacturing',
            'can_show_sales_offers' => 'show_sales_offers',
            'can_add_sales_offers' => 'add_sales_offers',
            'can_edit_ecommerce_settings' => 'edit_ecommerce_settings',
            'can_edit_sale_point' => 'can_edit_sale_point',
            'show_pending_invoice' => 'show_pending_invoice',
            'define_categories' => 'define_categories'
        ];

        return $map;
    }

    function getPcMac(): string
    {

        try {
            $mac = substr(shell_exec('getmac'), 159, 17);
            if (strlen($mac) > 0)
            {
                return $mac;
            }
            return Request()->server("SERVER_NAME");
        } catch (\Throwable $th) {
            return Request()->server("SERVER_NAME");
        }
    }

    function storeId()
    {
        return auth()->user()->salePoint()->select('id', 'store_id')->first()->store_id ?? 0;
    }

    function ddQuery($query)
    {
        dd(
            vsprintf(str_replace('?', '%s', $query->toSql()), collect($query->getBindings())->map(function ($binding) {
                return is_numeric($binding) ? $binding : "'{$binding}'";
            })->toArray())
        );
    }
    
    function getUserCategoriesId(): array
    {
        $ids = \Modules\User\Entities\CategoryUser::select('category_id')->where(['user_id' => auth()->id(), 'shop_id' => auth()->user()->shop_id])->pluck('category_id')->toArray();

        foreach ($ids as $id) {
            getUserSubCategoriesId($id, $ids);
        }

        return $ids;
    }

    function getUserSubCategoriesId(int $parent_id, array &$ids)
    {
        $sub_ids = \Modules\User\Entities\Category::select('id')->where(['category_id' => $parent_id, 'shop_id' => auth()->user()->shop_id])->pluck('id')->toArray();

        foreach ($sub_ids as $sub_id) {
            $ids[] = $sub_id;
            getUserSubCategoriesId($sub_id, $ids);
        }
    }
