<?php

use Modules\Clients\Entities\Badrshop;

    function round_money($amount, $for_preview = false, $rounded = false)
    {
        $decimal_places = get_session_val('decimal_num_price', 'integer');
        if ($for_preview)
        {
            return appendCurrency() . private_round($amount, $decimal_places, $for_preview, $rounded);
        }
        return private_round($amount, $decimal_places, $for_preview, $rounded);
    }

    function guest_round_money($amount, $shop, $for_preview = false)
    {
        if ($for_preview) {
            return $shop->currency . '  ' . private_round($amount, $shop->decimal_num_price, $for_preview);
        }
        return number_format($amount, $shop->decimal_num_price);
    }

    function round_quantity($quantity, $for_preview = false, $rounded = false)
    {
        $decimal_places = get_session_val('decimal_num_quant', 'integer');
        return private_round($quantity, $decimal_places, $for_preview, $rounded);
    }

    function private_round($target, $decimal_places, $for_preview, $rounded = false)
    {
        return $rounded ? round((float)$target, $decimal_places) : number_format((float)$target, $decimal_places, '.', '');
        // return $for_preview ? number_format((float)$target, $decimal_places) : bcdiv((float)$target, 1, $decimal_places);
    }

    function price_decimal($item, $shop_id = null)
    {
        return round_money($item);
    }

function transLatNumbers($number = 0, $shop_id = null)
{
    if ($number <= 0) return '';
    $shop_id = $shop_id ?? auth()->user()->shop_id;
    $shop = Badrshop::select('country')->with('getCountry:id,currency_code')->where('serial_id', $shop_id)->first();
    $currency_code = $shop->getCountry->currency_code ?? 'EGP';
    return \Alkoumi\LaravelArabicNumbers\Numbers::TafqeetMoney($number, $currency_code);
}



function quant_decimal($item, $shop_id = null)
{
   return round_quantity($item);
}

function einvoice_decimal($number)
{
    if (is_numeric($number)) {
        return (double) sprintf("%.5f", $number);
    }
    return 0;
}

function appendCurrency()
{
    return ' ' . get_session_val('currency', 'string') . ' ';
}
