<?php

use Modules\Invoices\Entities\StoreItem;
use Modules\Invoices\Entities\Item;

function avg_pay_price($item_id, $new_qty, $new_pay, $new_unit_value, $invoice_id = null, $reCalculate = true) :float
{
    $total = 0;

    $pay_price = Item::select('pay_price')->where(['shop_id' => get_session_val('serial_id', 'Integer'), 'id' => $item_id])->value('pay_price');
    $old_qty = StoreItem::where(['shop_id' => get_session_val('serial_id', 'Integer'), 'item_id' => $item_id])->sum('store_quant');

    $new_unit_value = $new_unit_value ?? 1;

    if (!$reCalculate) {
        $new_qty = $new_pay = 0;
    }

    $old_total = $old_qty * $pay_price;
    $new_total = $new_qty * $new_pay;
    $all_qty = $old_qty + ($new_qty * $new_unit_value);

    if ($all_qty != 0) {
        $total = ( $old_total + $new_total ) / ($all_qty);
    }

    return (float) ($total * $new_unit_value);
}