<?php

// require_once(__DIR__ . '/tcpdf_include.php');

use Illuminate\Support\Facades\Session;

// require_once(__DIR__ . '/../config/tcpdf_config.php');
// require_once(__DIR__ . '/../tcpdf.php');

$tcpdf_include_dirs = array(
    '/usr/share/php/tcpdf/tcpdf.php',
    '/usr/share/tcpdf/tcpdf.php',
    '/usr/share/php-tcpdf/tcpdf.php',
    '/var/www/tcpdf/tcpdf.php',
    '/var/www/html/tcpdf/tcpdf.php',
    '/usr/local/apache2/htdocs/tcpdf/tcpdf.php'
);
foreach ($tcpdf_include_dirs as $tcpdf_include_path) {

    if (@file_exists($tcpdf_include_path)) {
        require_once( $tcpdf_include_path);
        break;
    }
}

class MYPDF extends TCPDF {
	//Page header
	public function Header() {

		$shop_id = request('shop_id');

		$shop = \DB::table('badr_shop')->where('serial_id', $shop_id)->first();
        $img = $shop->logo_path ?? null;
        if ($img) {
            // Logo
            $image_file = '../' . $img;

            $extension = pathinfo($image_file, PATHINFO_EXTENSION);

            $this->Image($image_file, 10, 10, 30, '', $extension, '', 'T', false, 300, '', false, false, 0, false, false, false);
        }
		// Set font
		// $this->SetFont('helvetica', 'B', 20);
		// Title
		$this->Cell(0, 15, '', 0, false, 'C', 0, '', 0, false, 'M', 'M');
	}

}

function printPDF($html, $fontSize=12){

	$fontSize = request('font_size') ?? 12;

	$html = '<html>'. $html .'</html>';

	$pdf = new MYPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

	// set document information
	$pdf->SetCreator(PDF_CREATOR);
	$pdf->SetAuthor('Albadrsales');
	$pdf->SetTitle('Albadrsales');
	$pdf->SetSubject(' ');
	$pdf->SetKeywords('');

	$pdf->setPrintHeader(true);
	// $pdf->setPrintFooter(false);
	// set some language dependent data:
	$lg = Array();
	$lg['a_meta_charset'] = 'UTF-8';
	$lg['a_meta_dir'] = 'rtl';
	$lg['a_meta_language'] = 'ar';
	$lg['w_page'] = 'page';

	// set some language-dependent strings (optional)
	$pdf->setLanguageArray($lg);
	$pdf->setRTL(true);

	$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);
	$pdf->SetMargins(5, 25, 5, 5);
	$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);
	$pdf->setCellPadding(0,0,0,0);
	$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

	if (@file_exists(dirname(__FILE__).'/lang/ara.php')) {
		require_once(dirname(__FILE__).'/lang/ara.php');
		$pdf->setLanguageArray($l);
	}

	$pdf->setFontSubsetting(true);

	$pdf->SetFont('dejavusans', '', $fontSize, '', true);

	$pdf->AddPage('P','A4');

	$pdf->writeHTML($html, true, false, true, false, '');

	$file_print=time().'-'.random_int(pow(2, 0), pow(2, 32)) . ".pdf";
	$pdf->Output(public_path($file_print), 'F');

	return $file_print;

}
