<?php

use Illuminate\Support\Facades\DB;
use Modules\Api\Entities\Client;
use Modules\Invoices\Entities\Invoices;

function transaction_type_details($data)
{
    switch ($data->type) {
        case '1':

            break;

        default:
            return $data->type;
            break;
    }
}

// copy + paste

function getBillNo($item)
{
    return collect([
        'type_id' => $item['invoice_no'],
        'process_id' => $item['invoice_id'],
    ]);
}

function backBills($type, $sale_back_id, $client_name)
{
    $result = Invoices::where([
        ['id', $sale_back_id],
        ['shop_id', get_session_val('serial_id', 'Integer')],
        ['invoice_type', 3]
    ])->first();

    if ($result > 0) {
        $invoice_no = $result->invoice_no;
        $res = '<a target="_blank" href="' .  route('clients.show-sale-back-bill', $sale_back_id) . '"> اضافه صنف لفاتورة مرتجع مبيعات رقم ' . $invoice_no . ' : ' . $client_name . '</a>';
        if ($type == 64) {
            $res = '<a target="_blank" href="' .  route('clients.show-sale-back-bill', $sale_back_id) . '"> حذف صنف من فاتورة مرتجع مبيعات رقم ' . $invoice_no . ' : ' . $client_name . '</a>';
        }
    } else {
        $res = " اضافه صنف لفاتورة مرتجع مبيعات   ";
        if ($type == 64) {
            $res = " حذف صنف من فاتورة مرتجع مبيعات   ";
        }
    }
    return $res;
}


function itemReport($item, $info)
{
    $type = $item->type;
    $type_id = $info['type_id'];

    $supplier_invoice_no = $item->supplier_invoice_no ?? $type_id;
    $client_name = $item->client_name;      // clients.name
    $client_id = $item->client_id;          // clients.id
    $data = $sale_id = $sale_back_id = $resultrom_point_name = $to_point_name = null;

    // if ($type == 0){
    //     $sale_back_id = $info['process_id'];
    // }
    // else {
    $sale_id = $info['process_id'];
    // }

    try {
        switch ($type) {
            case '0': //مردود  مبيعات
                // $client_name = $item->client_name_back;      // clients.name
                // $client_id = $item->id2;                     // clients.id
                $type = '<a target="_blank" href="' . route('invoices.show', $sale_id)  . '">' . __('native.sales_return') . $type_id . '</a> ' .  __('native.theclient') . ' :<a target="_blank" href="' . route('clients.show', $client_id) . '">' . $client_name . '</a>';
                break;
            case '1': // فاتورة بيع
                $type = '<a target="_blank" href="' . route('invoices.show', $sale_id)  . '">' . __('native.sale_bill') . $type_id . '</a> ' . __('native.theclient') . ' : <a target="_blank" href="' . route('clients.show', $client_id) . '">' . $client_name . '</a>';
                break;
            case '2': //عملية سداد من العميل
                $type = __('native.client_payment') . ' : <a target="_blank" href="' . route('clients.show', $client_id) . '">' . $client_name . '</a>';
                break;
            case '3': //فاتورة مشتريات رقم
                $type = '<a target="_blank" href="' . route('invoices.show', $sale_id)  . '">' . __('native.purchases_bill') . $type_id . '</a> ' .    __('native.supplier') . ' : <a target="_blank" href="' . route('clients.show', $client_id) . '">' . $client_name . '</a> ' . ($supplier_invoice_no ? "رقم فاتورة المورد: $supplier_invoice_no" : '');
                break;
            case '4': //رصيد جديد
                $type = __('native.new_Balance');
                break;
            case '5': //فاتورة مرتجع مشتريات
                $type = '<a target="_blank" href="' . route('invoices.show', $sale_id)  . '">' . __('native.returned_purchases_bill') . $type_id . '</a> ' .  __('native.supplier') . ' : <a target="_blank" href="' . route('clients.show', $client_id) . '">' . $client_name . '</a> ' . ($supplier_invoice_no ? "رقم فاتورة المورد: $supplier_invoice_no" : '');
                break;
            case '6': //دفع للشركة
                $type = __('native.pay_resource') . " : $item->client_name";
                break;
            case '7': //مردود  نقدى من  الشركة
                $type = __('native.Cash_payoff_of_supplier') . " : $item->client_name";
                break;
            case '8': //تعديل مباشر للرصيد
                $type = __('native.Direct_balance_modification');
                break;
            case '9': //مردود نقدى للعميل
                $type = __('native.Returned_customer_cash') . ' : <a target="_blank" href="' . route('clients.show', $client_id) . '">' . $client_name . '</a>';
                break;
            case '10': // تسجيل مصروفات
                $type = __('native.cash_expenses') . " : " . $item['spending_item'];
                break;
            case '11': //تحويل خزينة
                if ($item['effect'])
                    $type = "    تحويل من الخزنة : " . $item['point_name1'] . " الى الخزنة : " . $item['point_name2'];
                else
                    $type = "    تحويل من الخزنة : " . $item['point_name2'] . " الى الخزنة : " . $item['point_name1'];
                if (!is_null($data) && $data != '') {
                    $type .= ' ملاحظات : ' . $data;
                }
                break;
            case '12': //تحويل مخزن
                $where = __('native.to');
                $lang = __('extends.convert_from_store');
                $store_name1 = $item->store_from;
                $store_name2 = $item->store_to;
                if ($item->sf == 0) {
                    $store_name1 = __('native.Main_store');
                }
                if ($item->st == 0) {
                    $store_name2 = __('native.Main_store');
                }
                if ($item->old_quantity < $item->new_quantity) {
                    $lang = __('extends.convert_to_store');
                    $where =  __('native.from');
                }
                $type =  $lang . ' <strong> ' . $store_name1 . '  </strong>  ' . $where . '  <strong>  ' . $store_name2 . ' رقم إذن الصرف ' . $item->order_no . ' </strong> ';
                break;
            case '13': // صرف على مقايسة
                $type = '<a href="javascript:void(0)" onclick="show_problem_details(' . $type_id . ')">' . __('native.out_for_problem') . $type_id . '</a>';
                break;
            case '14': // تسوية مقايسة
                $type = '<a href="javascript:void(0)" onclick="show_problem_details(' . $type_id . ')">' . __('native.out_for_problem') . $type_id . '</a>';
                break;
            case '15': // تسوية مقايسة
                $type = 'دفع مستحقات فنى ';
                break;
            case '22': //تم الحذف من قاعدة البيانات
                $type = __('native.deleted_from_database');
                break;
            case '24': //تسجيل إيرادات
                $type = __('native.imports_regi') . " : " . $item['import_item'];
                break;
            case '25': // مدفوع بلاغات
                $type = __('native.Complaints_payment');
                break;
            case '27': //تعديل  للكمية
                $type = __('native.edit_amount');
                break;
            case '30': //حذف صنف من فاتورة المبيعات
                $type = '<a target="_blank" href="' . route('invoices.show', $sale_id)  . '">' . __('native.bill_delete_item') . "$type_id </a> " . __('native.theclient') . ' : <a target="_blank" href="' . route('clients.show', $client_id) . '">' . $client_name . '</a>';
                break;
            case '31': //إضافة صنف على الفاتورة   // تعديل فاتورة مبيعات
                $type = '<a target="_blank" href="' . route('invoices.show', $sale_id)  . '">' . __('native.Add_item_to_bill') . $type_id . '</a> ' . __('native.theclient') . ' : <a target="_blank" href="' . route('clients.show', $client_id) . '">' . $client_name . '</a>';
                break;
            case '32': //إضافة صنف جديد لفاتورة الشراء
                $type = 'تعديل فى بيانات صنف فى ' . __('native.purchases_bill') . ' ' . $type_id;
                break;
            case '33': //حذف صنف من فاتورة الشراء
                $type = 'حذف صنف من ' . __('native.purchases_bill') . ' ' . $type_id;
                break;
            case '34': //عديل فاتورة مبيعات
                $type = '<a target="_blank" href="' . route('invoices.show', $sale_id)  . '">' . __('native.change_invoice_no') . $type_id . '</a>';
                break;
            case '40': //حافز على المرتب
                $type = __('native.Incentive_to_salary');
                break;
            case '41': //خصم من  المرتب
                $type = __('native.Deduction_from_salary');
                break;
            case '42': //سلفة
                $type = __('native.advance');
                break;
            case '43': //صرف مرتب
                $type = __('native.spendsalary');
                break;
            case '50': //تصنيع
                $type = "تصنيع";
                if ($type_id > 0) {
                    $type .= __('native.invoice_no') . " " . $type_id;
                }
                break;
            case '51': //تصنيع
                $type = "حذف امر تصنيع";
                break;
            case '60': //خصم رصيد عميل
                $type = "خصم  من الرصيد ";
                break;
            case '61': //خصم رصيد مورد
                $type = "خصم  من الرصيد ";
                break;
            case '62': //خصم رصيد مورد
                $type = " إهلاك   ";
                break;
            case '63': // حذف من فاتورة مرتجاع
                $type = backBills(63, $sale_back_id, $client_name);
                break;
            case '64': // حذف من فاتورة مرتجاع
                $type = backBills(64, $sale_back_id, $client_name);
                break;
            case '88':
                $type = 'تم استبداله من المورد ' . $item->client_name;
                break;
            case '90':
                $type = '<a target="_blank" href="' . route('invoices.show', $sale_id)  . '"> قيمة الزيادة في الأقساط ل  ' . __('native.purchases_bill') . $type_id . '</a> ' . __('native.supplier') . ' : <a target="_blank" href="' . route('clients.show', $client_id) . '">' . $client_name . '</a>';
                break;
            case '91':
                $type = '<a target="_blank" href="' . route('invoices.show', $sale_id)  . '"> قيمة الزيادة في الأقساط ل  ' . __('native.sale_bill') . $type_id . '</a> ' . __('native.theclient') . ' : <a target="_blank" href="' . route('clients.show', $client_id) . '">' . $client_name . '</a>';
                break;

            case '92':
                $type = 'تصفير عمليات';
                break;

            case '99': // فاتورة بيع
                $type = '<a target="_blank" href="' . route('invoices.show', $sale_id)  . '">' . __('extends.delivery') . ' ' . __('native.sale_bill') . $type_id . '</a> ' . __('native.theclient') . ' : <a target="_blank" href="' . route('clients.show', $client_id) . '">' . $client_name . '</a>';
                break;
            default:
                $type = "..... $type ......";
                break;
        }

    } catch (Exception $e) {
        return '';
    }
    return $type;
}

function day_now($type)
{

    if ($type == 1) {
        $time = time();
        $obj = new uCal2();
        $obj->setLang('ar');
        $islamic_date = $obj->date('Y-m-d H:i:s', 0, 1);
        return  $islamic_date;
    } else {
        return  date("Y-m-d H:i:s");
    }
}

function allItems()
{
    return DB::table('items')
        ->select('item_name as name', 'id', 'barcode')
        ->where('shop_id', get_session_val('serial_id', 'integer'))
        ->orderBy(DB::raw('item_name+0'))
        ->get();
}

function getStores()
{
    $point = auth()->user()->sale_point; // 1
    $store_id = DB::table('sale_points')
        ->where('shop_id', get_session_val('serial_id', 'integer'))
        ->where('id', $point)->first()->store_id;  // 0
    if (auth()->user()->change_store == 0) { //no
        $stores = DB::table('stores')
            ->where('shop_id', get_session_val('serial_id', 'integer'))
            ->where('id', $store_id);
    } else {
        $stores = DB::table('stores')->where('shop_id', get_session_val('serial_id', 'integer'));
    }
    $stores = $stores->get();
    return $stores;
}

function clientGroups()
{
    if (auth()->user()->clients_group == 0) {
        $clients = Client::where(['clients.shop_id' => get_session_val('serial_id', 'integer')]);
    } else {
        $groupIds = auth()->user()->groups->pluck('id')->toArray();
        $clients = Client::where(['clients.shop_id' => get_session_val('serial_id', 'integer')])->whereIn('clients.group_id', $groupIds);
    }
    return $clients;
}
function groupList()
{
    if (auth()->user()->clients_group == 0) {
        $groupLists = DB::table('clients_groups')->where(['shop_id' => get_session_val('serial_id', 'integer')])->get();
        return $groupLists;
    } else {
        $groupLists = DB::table('users')->where(['users.shop_id' => get_session_val('serial_id', 'integer'), 'users.id' => auth()->user()->id])
            ->join('users_groups', 'users_groups.user_id', 'users.id')
            ->join('clients_groups', 'clients_groups.id', 'users_groups.group_id')
            ->select('clients_groups.name', 'clients_groups.id')->get();
        return $groupLists;

    }
}
