<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBadrShopTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('badr_shop', function (Blueprint $table) {
            $table->string('shop_name', 50)->default('اسم المؤسسة');
            $table->string('telephone', 20);
            $table->string('ower_name', 50)->default('اسم المالك');
            $table->integer('serial_id')->primary();
            $table->string('active_id', 50);
            $table->timestamp('active_date')->useCurrent();
            $table->string('tel_bill', 20);
            $table->string('mobile_bill', 20);
            $table->text('bill_header');
            $table->text('message_bill');
            $table->date('run_date')->nullable();
            $table->string('run_domian', 50)->default('http://shoponline.badrsystems.com/');
            $table->string('logo_path', 50)->default('images/logo.png');
            $table->boolean('color_option')->default(true);
            $table->integer('edit_incom_price')->default(1);
            $table->boolean('sale_quick')->default(false);
            $table->boolean('enter_quant')->default(true);
            $table->boolean('return_bill')->default(true);
            $table->boolean('sale_details');
            $table->integer('items_company')->default(0);
            $table->integer('alert_due_date')->default(10);
            $table->integer('company_ratio')->default(0)->comment('0 = no discount, 1 = on items, 2 on invoice');
            $table->boolean('units_sup')->default(false);
            $table->boolean('bolla');
            $table->decimal('boll_per', 10)->default(0);
            $table->decimal('bolla_gift', 10)->default(0);
            $table->integer('bill_size')->default(1);
            $table->boolean('billno_show');
            $table->integer('bill_no_record')->default(12);
            $table->integer('barcode_size')->default(1);
            $table->boolean('barcode_reader')->default(true);
            $table->boolean('day_payment')->default(false);
            $table->string('type_name', 191)->default('تصنيف');
            $table->boolean('type_show_barcode')->default(false);
            $table->integer('price_percent');
            $table->boolean('discount_type')->default(true);
            $table->boolean('edit_price_bill')->default(true);
            $table->boolean('spend_at_report');
            $table->boolean('incom_at_report');
            $table->string('currency', 191)->default('جنيه');
            $table->decimal('money_safe', 10);
            $table->boolean('netowrk_payment')->default(false)->comment('support network payment by visa');
            $table->integer('plan')->default(1);
            $table->integer('theme_store')->default(1);
            $table->text('install_path')->nullable();
            $table->string('server_path', 191)->nullable();
            $table->string('us_os', 191)->nullable();
            $table->string('pass_os', 191)->nullable();
            $table->integer('date_type')->nullable()->default(2);
            $table->integer('huro_late')->default(0)->comment('عدد ساعات التاخير');
            $table->string('zone', 191)->nullable();
            $table->decimal('vs', 10)->nullable();
            $table->integer('online')->nullable()->default(0);
            $table->boolean('module')->nullable()->default(true);
            $table->integer('u_no')->default(1);
            $table->boolean('notify')->nullable()->default(false);
            $table->integer('multi_price')->default(1);
            $table->integer('check_lowest_price')->default(0);
            $table->boolean('notes');
            $table->boolean('auto_print')->default(false);
            $table->boolean('bill_time_alert')->default(false);
            $table->integer('style')->default(0);
            $table->integer('color_size')->default(0);
            $table->integer('badr_style')->default(1);
            $table->integer('language')->default(0);
            $table->string('about', 191);
            $table->string('email', 191);
            $table->boolean('bill_adds')->nullable()->default(true);
            $table->string('upload_img', 191)->default('images/logo.png');
            $table->integer('decimal_num_quant')->default(0);
            $table->integer('decimal_num_price')->default(2);
            $table->boolean('select_client')->default(false);
            $table->integer('client_limit')->default(0);
            $table->integer('insatllments')->default(0);
            $table->integer('screen_type')->default(1);
            $table->integer('country')->default(63);
            $table->integer('backup_time')->default(120);
            $table->string('backup_path', 500)->default('backup');
            $table->integer('manufacturing')->default(0);
            $table->integer('distributor')->default(0)->comment('0 none 1 mainstore 2smallshop');
            $table->integer('sms_scrip')->default(1);
            $table->boolean('show_item_serial')->default(false);
            $table->string('upload_img_slide', 191)->nullable();
            $table->text('address')->nullable();
            $table->integer('Regist_purchases')->nullable();
            $table->boolean('remain_transaction')->nullable()->default(true);
            $table->integer('points_granted')->default(0);
            $table->decimal('amount', 10)->default(0);
            $table->boolean('income_saleprice')->default(false)->comment('update sale price at income bill');
            $table->boolean('show_expire_date')->default(false)->comment('show expire date');
            $table->integer('expire_notification')->default(30);
            $table->integer('POS')->default(1);
            $table->integer('ecomme')->default(1);
            $table->boolean('bell_flag');
            $table->date('bell_date')->nullable();
            $table->boolean('req_mandob')->default(false);
            $table->integer('new_req_bill_status')->default(3);
            $table->boolean('mandob_bill')->default(false);
            $table->integer('incom_total_filed')->default(0);
            $table->boolean('auto_barcode')->default(false);
            $table->string('start_barcode', 100)->nullable()->default('000001');
            $table->integer('client_debenture')->default(1);
            $table->text('paypal_client_id')->nullable();
            $table->text('paypal_client_secret')->nullable();
            $table->string('base_url', 100)->nullable();
            $table->integer('offer_cats')->default(0)->comment('offers on categores 1 active');
            $table->integer('trans_price')->nullable()->default(0);
            $table->integer('Enter_payment')->default(0)->comment('Enter payment by hand ');
            $table->integer('show_imag')->default(1)->comment('0 for hide item images');
            $table->integer('add_rest')->default(0)->comment('money reset add to client balance');
            $table->integer('pay_price_update')->default(1)->comment('1 for last price 2 for average price');
            $table->integer('Profits_Calc_method')->nullable()->default(1)->comment('1 last pay price 2 average 3 actual pay price ');
            $table->integer('client_last_saleprice')->default(0);
            $table->integer('show_cat_imag')->default(0);
            $table->integer('export')->default(0);
            $table->boolean('spends_incomes')->default(false);
            $table->integer('fee_bill')->default(0);
            $table->integer('fee_type')->default(0);
            $table->string('bill_lang', 5)->default('ar');
            $table->integer('client_code')->default(0);
            $table->string('english_shop_name', 191)->nullable();
            $table->boolean('back_sales')->nullable();
            $table->text('shop_terms')->nullable();
            $table->boolean('multi_currency')->nullable();
            $table->integer('identity_numbers')->default(14);
            $table->boolean('item_factory')->default(false);
            $table->integer('discount_without_vat')->nullable()->default(0);
            $table->decimal('discount_vat', 10, 4)->nullable()->default(0);
            $table->integer('watermark_use')->nullable()->default(0);
            $table->string('watermark_path', 100)->nullable();
            $table->boolean('visitors_page')->default(false);
            $table->boolean('tables_management')->default(false);
            $table->boolean('add_cities')->default(true);
            $table->boolean('bill_services')->default(false);
            $table->boolean('delivery_man')->default(false);
            $table->boolean('quick_item_edit')->default(true);
            $table->boolean('item_code')->default(false);
            $table->boolean('send_bill_sms')->default(false);
            $table->boolean('generate_qr')->default(false);
            $table->boolean('advanced_car_care')->default(false);
            $table->boolean('check_serial_exist')->default(true);
            $table->tinyInteger('discount_cards')->nullable()->default(0);
            $table->tinyInteger('item_print_ticket')->default(0);
            $table->integer('clients_group')->nullable();
            $table->tinyInteger('junk_bill')->default(0);
            $table->boolean('confirm_store_transfer')->nullable()->default(true)->comment('0 => confirmed');
            $table->integer('repeat_client_name')->default(0);
            $table->integer('firm_vat_no')->default(0);
            $table->tinyInteger('wash_print_ticket')->default(0);
            $table->tinyInteger('prevent_edits')->default(0);
            $table->string('trade_number', 50)->nullable();
            $table->tinyInteger('shipping_fee')->default(0);
            $table->tinyInteger('driver_info')->default(0);
            $table->tinyInteger('no_bill_type')->default(0);
            $table->tinyInteger('coupon')->default(0);
            $table->tinyInteger('purchase_screen_type')->default(1);
            $table->boolean('show_sales_points_sales')->default(false);
            $table->tinyInteger('maintenance_module')->default(0);
            $table->tinyInteger('commission_type')->default(0);
            $table->tinyInteger('einvoice')->default(0);
            $table->boolean('submit_einvoice')->default(false)->comment('0 => auto , 1 => manual');
            $table->boolean('negative_money')->default(false);
            $table->boolean('repeat_mobile_number')->nullable()->default(false);
            $table->integer('bill_size_offer')->nullable()->default(1);
            $table->boolean('telephone_required')->default(false);
            $table->string('rest_price_name', 191)->default('السعر العام	');
            $table->boolean('installment_limit')->default(false);
            $table->boolean('show_input_keys')->default(false);
            $table->tinyInteger('home_delivery')->default(0);
            $table->tinyInteger('delivery_fee_type')->default(0);
            $table->tinyInteger('add_delivery_fees_to_the_cash_drawer')->default(0);
            $table->tinyInteger('show_delivery_charges_in_the_invoice')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('badr_shop');
    }
}
