<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBillSettingTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('bill_setting', function (Blueprint $table) {
            $table->integer('shop_id')->primary();
            $table->text('bill_header');
            $table->text('message_bill');
            $table->integer('font_size')->default(14);
            $table->boolean('show_code')->default(true);
            $table->boolean('show_about')->default(true);
            $table->boolean('show_salesman')->default(false);
            $table->boolean('show_client_balance')->default(false);
            $table->boolean('smallbill_itemname')->default(true);
            $table->boolean('show_item_serial')->nullable();
            $table->string('vat_number', 191)->nullable();
            $table->integer('show_client_name')->default(1);
            $table->integer('price_include_vat')->default(0);
            $table->integer('barcode_bill_no')->default(0);
            $table->string('direct_printer_name', 191)->nullable()->comment('direct printer connect server');
            $table->boolean('show_description')->default(false);
            $table->boolean('show_phone')->default(false);
            $table->boolean('show_discount')->default(false);
            $table->boolean('show_unites')->default(false);
            $table->boolean('notes')->default(false);
            $table->enum('place_logo', ['right', 'center', 'left'])->default('center');
            $table->boolean('show_bill_header')->default(false);
            $table->boolean('total_type')->default(false);
            $table->boolean('show_bill_message')->default(false);
            $table->boolean('show_vat_number')->default(false);
            $table->integer('logo_tall')->default(0);
            $table->integer('logo_weight')->default(0);
            $table->boolean('show_logo')->default(false);
            $table->boolean('show_client_address')->default(false);
            $table->boolean('show_item_barcode')->default(false);
            $table->boolean('show_item_name')->default(true);
            $table->boolean('item_discount')->default(false);
            $table->boolean('salesman_type')->default(false);
            $table->string('client_name_text', 191)->nullable();
            $table->boolean('bill_type')->default(false);
            $table->boolean('way_total_show')->default(false);
            $table->enum('total_place', ['right', 'left'])->default('right');
            $table->boolean('item_img')->default(false);
            $table->integer('img_height')->default(2);
            $table->integer('img_width')->default(2);
            $table->double('line_height')->default(1.2);
            $table->integer('show_unit')->nullable();
            $table->integer('qr_code')->default(0);
            $table->boolean('show_bill_serial')->default(false);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('bill_setting');
    }
}
