<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBillsAddTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('bills_add', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->text('Addition_name');
            $table->integer('check_addition');
            $table->decimal('addition_value', 10, 4);
            $table->integer('bill_add_method')->nullable();
            $table->integer('add_role')->nullable()->default(0);
            $table->integer('add_resturant')->default(1)->comment('0 cash only 1 all 2 hall only 3 delivery only');
            $table->timestamp('add_date')->useCurrent();
            $table->integer('add_user');
            $table->integer('edit_user');
            $table->dateTime('edit_date')->nullable();
            $table->integer('shop_id');
            $table->integer('check_bill_type')->default(0);
            $table->boolean('vat_operation')->default(false)->comment('0 = add , 1 = discount');
            $table->boolean('tax_type')->nullable();
            $table->string('einvoice_code', 100)->nullable();
            $table->string('sub_einvoice_code', 100)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('bills_add');
    }
}
