<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCarEngineTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('car_engine', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->integer('item_id')->nullable();
            $table->integer('car_id')->default(0)->comment('0 for no car');
            $table->integer('store_id')->nullable();
            $table->string('type', 100)->nullable();
            $table->integer('sub_type')->nullable();
            $table->integer('year')->nullable();
            $table->string('size', 191)->nullable();
            $table->boolean('status')->nullable()->comment('1 for country_make === 2 for pack === 3 for corrupted === 4 for insurance');
            $table->string('mechanic_name', 191)->nullable();
            $table->date('pack_date')->nullable();
            $table->date('insurance_start')->nullable();
            $table->date('insurance_end')->nullable();
            $table->integer('shop_id');
            $table->timestamps();
            $table->integer('bill_id')->default(0);
            $table->boolean('cylinder_')->nullable()->default(false);
            $table->string('engine_types', 100)->nullable()->default('1');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('car_engine');
    }
}
