<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCardNumbersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('card_numbers', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->string('card_number', 191);
            $table->integer('card_state')->default(0)->comment('0 not sales');
            $table->integer('item_id');
            $table->integer('shop_id');
            $table->integer('income_id');
            $table->integer('sale_id');
            $table->integer('sale_price');
            $table->timestamp('sale_date')->useCurrent();
            $table->integer('add_user');
            $table->integer('request_id')->nullable();
            $table->integer('type')->default(1);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('card_numbers');
    }
}
