<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateClientTransactionTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('client_transaction', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->integer('client_id')->index('client_id');
            $table->decimal('amount', 20, 4);
            $table->boolean('type');
            $table->date('pay_day');
            $table->decimal('balance', 20, 4);
            $table->integer('bill_id');
            $table->integer('sale_back_id');
            $table->decimal('bill_net_total', 10, 4)->nullable();
            $table->integer('problem_id');
            $table->boolean('effect')->comment('1 للايداع وصفر للسحب ');
            $table->integer('supplier_id');
            $table->text('notes')->nullable();
            $table->dateTime('date_time')->nullable();
            $table->integer('safe_type')->nullable();
            $table->decimal('safe_balance', 20, 4)->nullable();
            $table->integer('safe_point_id')->nullable();
            $table->integer('effected_point')->nullable();
            $table->integer('user_id');
            $table->string('salary_month', 191);
            $table->integer('OutTransactionID');
            $table->integer('spend_id');
            $table->integer('shop_id')->index('shop_id');
            $table->integer('insured_user')->nullable();
            $table->integer('insurance_status')->nullable();
            $table->integer('is_deleted')->nullable();
            $table->integer('employee_id')->default(0);
            $table->integer('installment_id')->default(0);
            $table->integer('money_percent')->default(0);
            $table->integer('show_transaction')->default(0);
            $table->decimal('user_commission', 10, 0)->default(0);
            $table->integer('related_to')->nullable();
            $table->string('check_info', 200)->nullable();
            $table->integer('request_id')->nullable()->default(0);
            $table->integer('import_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('client_transaction');
    }
}
