<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateClientsGroupsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('clients_groups', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->string('name', 191);
            $table->integer('shop_id');
            $table->decimal('group_discount', 10)->default(0);
            $table->integer('add_user');
            $table->timestamp('add_date')->useCurrent();
            $table->integer('edit_user');
            $table->dateTime('edit_date');
            $table->integer('mobile_id')->nullable();
            $table->decimal('group_commission', 10)->default(0);
            $table->integer('client_id')->nullable()->default(0);
            $table->decimal('commission_rate', 10)->default(0);
            $table->decimal('quantity', 10)->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('clients_groups');
    }
}
