<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateClientsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('clients', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('group_id');
            $table->string('client_name', 50);
            $table->string('address', 191)->nullable();
            $table->string('tele', 20)->nullable();
            $table->string('mobile1', 15)->nullable();
            $table->string('mobile2', 15)->nullable();
            $table->string('mobile3', 15)->nullable();
            $table->text('addition_data');
            $table->decimal('balance', 20, 4)->default(0);
            $table->decimal('credit_limit', 20, 4);
            $table->dateTime('date_zero');
            $table->integer('add_user');
            $table->dateTime('add_date');
            $table->integer('edit_user');
            $table->dateTime('edit_date')->nullable();
            $table->integer('shop_id');
            $table->integer('notify_length')->nullable();
            $table->date('notify_next')->nullable();
            $table->integer('price_list_id');
            $table->integer('city_id');
            $table->boolean('blacklist')->default(false);
            $table->integer('gift_points')->default(0);
            $table->string('StorePass', 191);
            $table->decimal('StoreTransport', 10)->default(0);
            $table->decimal('StoreServices', 10)->default(0);
            $table->string('info1', 20)->comment('الرقم القومى');
            $table->string('info2', 191)->comment('اسم الضامن');
            $table->string('info3', 500)->comment('عنوان الضامن');
            $table->string('info4', 20)->comment('تليفون الضامن');
            $table->string('info5', 20)->comment('رقم قومى الضامن');
            $table->timestamps();
            $table->rememberToken();
            $table->string('password', 60)->nullable();
            $table->string('user_name', 191)->nullable();
            $table->integer('verified_mobile')->nullable();
            $table->string('device_key', 500)->nullable();
            $table->integer('active_code')->nullable();
            $table->text('api_token');
            $table->string('address_area', 500)->nullable();
            $table->string('address_home', 500)->nullable();
            $table->string('address_street', 500)->nullable();
            $table->string('address_elecNo', 500)->nullable();
            $table->string('client_tax_number', 191)->nullable();
            $table->integer('mobile_id')->nullable();
            $table->string('image', 100)->nullable();
            $table->integer('display_order')->default(0);
            $table->decimal('lat', 12, 9)->nullable();
            $table->decimal('lon', 12, 9)->nullable();
            $table->string('email', 150)->nullable();
            $table->integer('player_id')->nullable();
            $table->boolean('is_table')->default(false)->comment('client 0 table 1');
            $table->integer('country_id')->default(0);
            $table->string('job', 25)->nullable();
            $table->integer('prev_treatment')->nullable();
            $table->integer('file_no')->nullable();
            $table->string('info6', 200)->nullable()->comment('car inside plate ');
            $table->string('info7', 200)->nullable()->comment('car engine');
            $table->string('car_type', 100)->default('0');
            $table->integer('car_sub_type')->default(0);
            $table->integer('car_year')->default(0);
            $table->integer('item_id')->default(0);
            $table->date('departure_date')->nullable();
            $table->decimal('client_bill_increase', 10)->default(0);
            $table->integer('currency_id')->nullable();
            $table->integer('has_vat')->default(0);
            $table->boolean('client_role')->default(false)->comment('0 = customer, 1 = supplier, 2 = both');
            $table->string('governate', 100)->nullable();
            $table->string('regionCity', 100)->nullable();
            $table->string('street', 100)->nullable();
            $table->integer('buildingNumber')->nullable();
            $table->integer('postalCode')->nullable();
            $table->integer('floor')->nullable();
            $table->integer('room')->nullable();
            $table->string('landmark', 100)->nullable();
            $table->decimal('installment_limit', 20, 4)->default(0);

            $table->unique(['id', 'shop_id'], 'clientid');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('clients');
    }
}
