<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEinvoiceDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('einvoice_details', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->integer('einvoice_id')->index('einvoices_einvoice_id_foreign');
            $table->string('itemPrimaryName');
            $table->string('itemPrimaryDescription');
            $table->string('itemSecondaryName');
            $table->string('itemSecondaryDescription');
            $table->string('unitTypePrimaryName');
            $table->string('unitTypePrimaryDescription');
            $table->string('unitTypeSecondaryName');
            $table->string('unitTypeSecondaryDescription');
            $table->decimal('unitValue_amountSold', 20, 4)->nullable();
            $table->decimal('unitValue_amountEGP', 20, 4)->nullable();
            $table->decimal('unitValue_currencyExchangeRate', 20, 4)->nullable();
            $table->string('description');
            $table->string('itemType', 100);
            $table->string('itemCode');
            $table->string('unitType');
            $table->decimal('quantity', 20, 4);
            $table->decimal('salesTotal', 20, 4);
            $table->decimal('discount_rate', 20, 4);
            $table->decimal('discount_amount', 20, 4);
            $table->string('taxableItems', 100)->nullable();
            $table->string('internalCode')->nullable();
            $table->decimal('itemsDiscount', 20, 4);
            $table->decimal('netTotal', 20, 4);
            $table->decimal('totalTaxableFees', 20, 4);
            $table->decimal('valueDifference', 20, 4);
            $table->decimal('total', 20, 4);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('einvoice_details');
    }
}
