<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEinvoiceItemCodesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('einvoice_item_codes', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->integer('codeUsageRequestID')->nullable();
            $table->string('codeTypeName', 50)->nullable();
            $table->integer('codeID')->nullable();
            $table->string('itemCode')->nullable();
            $table->string('codeNamePrimaryLang', 100)->nullable();
            $table->string('codeNameSecondaryLang', 100)->nullable();
            $table->string('descriptionPrimaryLang')->nullable();
            $table->string('descriptionSecondaryLang')->nullable();
            $table->integer('parentCodeID')->nullable();
            $table->string('parentItemCode')->nullable();
            $table->string('parentCodeNamePrimaryLang')->nullable();
            $table->string('parentCodeNameSecondaryLang')->nullable();
            $table->string('parentLevelName')->nullable();
            $table->string('levelName')->nullable();
            $table->timestamp('requestCreationDateTimeUtc')->nullable();
            $table->timestamp('codeCreationDateTimeUtc')->nullable();
            $table->timestamp('activeFrom')->nullable();
            $table->timestamp('activeTo')->nullable();
            $table->boolean('active')->nullable();
            $table->enum('status', ['Submitted', 'Approved', 'Rejected'])->nullable();
            $table->text('statusReason')->nullable();
            $table->string('ownerTaxpayer_rin')->nullable();
            $table->string('ownerTaxpayer_name')->nullable();
            $table->string('ownerTaxpayer_nameAr')->nullable();
            $table->string('requesterTaxpayer_rin')->nullable();
            $table->string('requesterTaxpayer_name')->nullable();
            $table->string('requesterTaxpayer_nameAr')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('einvoice_item_codes');
    }
}
