<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEinvoiceStagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('einvoice_stages', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->string('invoice_id');
            $table->string('item_code')->nullable();
            $table->boolean('stage')->nullable()->comment('0  => submit einvoice, 
                    1  => update invoice table,
                    2  => get einvoice,
                    3  => get einvoice details,
                    4  => save einvoice in db,
                    5  => save einvoice details in db,
                    6  => save einvoice detail in vats in db,
                    7  => save item code in einvoice solution,
                    8  => update items table with item code,
                    9  => get item code from einvoice solution,
                    10 => save item code in db,');
            $table->text('request')->nullable();
            $table->text('response')->nullable();
            $table->boolean('status')->default(false)->comment('0 => initializing,
                    1 => pending,
                    2 => error, 
                    3 => done');
            $table->timestamp('request_at')->nullable();
            $table->timestamp('response_at')->nullable();
            $table->timestamp('updated_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('einvoice_stages');
    }
}
