<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEinvoicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('einvoices', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->string('uuid')->unique('uuid');
            $table->string('submissionUUID')->unique('submissionUUID');
            $table->string('longId')->unique('longId');
            $table->string('internalId');
            $table->integer('invoice_id')->nullable()->unique('invoice_id');
            $table->string('typeName', 100);
            $table->string('documentTypeNamePrimaryLang', 100);
            $table->string('documentTypeNameSecondaryLang', 100);
            $table->string('typeVersionName', 100);
            $table->integer('issuerId');
            $table->string('issuerName', 100);
            $table->tinyInteger('issuerType');
            $table->integer('receiverId');
            $table->string('receiverName', 100);
            $table->tinyInteger('receiverType');
            $table->integer('taxpayerActivityCode');
            $table->timestamp('dateTimeIssued')->nullable();
            $table->timestamp('dateTimeReceived')->nullable();
            $table->decimal('totalSales', 20, 4);
            $table->decimal('totalDiscount', 20, 4);
            $table->decimal('totalItemsDiscountAmount', 20, 4);
            $table->decimal('extraDiscountAmount', 20, 4);
            $table->decimal('taxTotals', 20, 4);
            $table->decimal('netAmount', 20, 4);
            $table->decimal('total', 20, 4);
            $table->integer('maxPercision');
            $table->timestamp('cancelRequestDate')->nullable();
            $table->timestamp('rejectRequestDate')->nullable();
            $table->timestamp('cancelRequestDelayedDate')->nullable();
            $table->timestamp('rejectRequestDelayedDate')->nullable();
            $table->timestamp('declineCancelRequestDate')->nullable();
            $table->timestamp('declineRejectRequestDate')->nullable();
            $table->timestamp('canbeCancelledUntil')->nullable();
            $table->timestamp('canbeRejectedUntil')->nullable();
            $table->text('documentStatusReason')->nullable();
            $table->string('currenciesSold', 100);
            $table->integer('statusId');
            $table->string('status', 100);
            $table->string('createdByUserId');
            $table->text('publicUrl');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('einvoices');
    }
}
