<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateInvoicesDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('invoices_details', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->integer('invoice_id')->index('invoice_id');
            $table->integer('item_id')->index('item_id');
            $table->text('item_about');
            $table->integer('unit_id')->index('unit');
            $table->decimal('quantity', 20, 4)->nullable();
            $table->decimal('quantity_after', 20, 4)->nullable();
            $table->decimal('sale_price', 20, 4)->nullable();
            $table->decimal('basic_sale_price', 20, 4)->default(0);
            $table->decimal('basic_pay_price', 20, 4)->default(0);
            $table->decimal('sale_ratio', 20, 4)->nullable();
            $table->decimal('total_price', 20, 4)->nullable();
            $table->decimal('pay_price', 20, 4)->nullable();
            $table->decimal('av_pay_price', 20, 4)->nullable();
            $table->decimal('ac_pay_price', 20, 4)->nullable();
            $table->decimal('bolla', 20, 4)->nullable();
            $table->integer('sales_man')->default(1);
            $table->integer('safe_point_id')->index('safe_point_id');
            $table->integer('store_id')->nullable()->index('store_id');
            $table->integer('isservice')->default(0);
            $table->boolean('notify_alert')->default(false);
            $table->dateTime('notify_time')->nullable();
            $table->boolean('record_type')->default(true);
            $table->string('label_from', 191)->nullable();
            $table->string('label_to', 191)->nullable();
            $table->decimal('pricePercentage', 20, 4)->nullable();
            $table->string('item_serial', 30)->nullable();
            $table->integer('add_user')->index('add_user');
            $table->dateTime('add_date')->nullable()->useCurrent();
            $table->integer('shop_id')->index('shop_id');
            $table->integer('duration_type')->nullable()->comment('0 -> by hour, 1 -> by day');
            $table->decimal('duration', 20)->nullable();
            $table->dateTime('from_date')->nullable();
            $table->dateTime('to_date')->nullable();
            $table->text('item_notes')->nullable();
            $table->integer('color_id')->nullable();
            $table->integer('size_id')->nullable();
            $table->text('cards')->nullable();
            $table->integer('spare_id')->nullable();
            $table->integer('car_id')->nullable();
            $table->decimal('glass_height', 10)->nullable();
            $table->decimal('glass_width', 10)->nullable();
            $table->integer('glass_number')->nullable();
            $table->integer('sales_row_id')->nullable();
            $table->integer('offer_id')->nullable();
            $table->string('offer_text', 191)->nullable();
            $table->integer('offer_type')->nullable();
            $table->tinyInteger('ratio_type')->default(0);
            $table->decimal('main_qty', 10, 4)->default(0);
            $table->decimal('disc_qty', 10, 4)->default(0);
            $table->date('expire_date')->nullable();
            $table->decimal('discount', 20, 4)->default(0);
            $table->boolean('discount_type')->default(false)->comment('0 = % , 1 = value');
            $table->boolean('discount_operation')->default(false)->comment('0 = increase , 1 = decrease');
            $table->decimal('net_price', 20, 4);
            $table->decimal('pay_vats_weight', 20, 4)->default(0);
            $table->decimal('not_sold', 20, 4)->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('invoices_details');
    }
}
