<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateInvoicesDetailsVatsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('invoices_details_vats', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->integer('invoice_id')->index('invoice_id');
            $table->integer('item_id')->index('item_id');
            $table->integer('vat_id')->index('vat_id');
            $table->boolean('vat_type')->comment('0 = % , 1 = number');
            $table->boolean('vat_operation')->comment('0 = 
increase, 1 =  decrease');
            $table->decimal('vat_value', 10, 4);
            $table->decimal('vat_weight', 10, 4);
            $table->integer('shop_id')->index('shop_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('invoices_details_vats');
    }
}
