<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateInvoicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('invoices_', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->dateTime('transaction_date')->useCurrent();
            $table->dateTime('invoice_date')->index('sale_date_2');
            $table->integer('store_id')->index('store');
            $table->decimal('bill_total', 20, 4)->nullable();
            $table->decimal('net_price', 20, 4)->nullable();
            $table->decimal('boll_per', 20, 4)->nullable();
            $table->integer('sales_man')->default(0)->index('sales_man');
            $table->decimal('payment', 20, 4)->nullable();
            $table->decimal('bill_payment', 20, 4)->nullable();
            $table->decimal('rest', 20, 4)->nullable();
            $table->integer('client_id')->index('client_id');
            $table->decimal('balance', 20, 4)->nullable();
            $table->date('pay_date')->nullable();
            $table->integer('add_user')->index('add_user');
            $table->boolean('pay_process')->default(true);
            $table->integer('shop_id')->index('shop_id');
            $table->integer('bill_no')->default(0)->index('bill_no');
            $table->text('notes')->nullable();
            $table->dateTime('notify_time')->nullable();
            $table->boolean('notify_alert')->default(false);
            $table->integer('cooking')->default(0);
            $table->decimal('insatllments_add', 20, 0)->nullable();
            $table->decimal('StoreTransport', 20, 4)->nullable();
            $table->decimal('StoreServices', 20, 4)->nullable();
            $table->string('car_id', 100)->nullable();
            $table->integer('invoice_type')->default(0)->comment('0 = purchases, 1 = sales, 2 = purchases back, 3 = sales back');
            $table->date('due_date')->nullable();
            $table->text('notes_export')->nullable();
            $table->text('notes_export2')->nullable();
            $table->decimal('fee', 20, 4)->nullable();
            $table->integer('status')->nullable();
            $table->dateTime('done_date')->nullable();
            $table->integer('type')->nullable()->default(0);
            $table->integer('fee_status')->default(0);
            $table->string('local_bill_no', 191)->nullable();
            $table->integer('server_status')->default(0);
            $table->integer('server_bill_no')->default(0);
            $table->boolean('show_bill')->nullable();
            $table->integer('coupon_id')->nullable();
            $table->integer('city_id')->default(0);
            $table->string('bill_source', 100)->nullable();
            $table->integer('bill_service_id')->default(0);
            $table->integer('delivery_man_id')->default(0);
            $table->timestamp('delivery_date')->nullable();
            $table->decimal('bill_service_value', 10, 4)->default(0);
            $table->integer('delivery_option_id')->default(0);
            $table->integer('delivery_period_id')->default(0);
            $table->integer('order_ready')->default(1);
            $table->integer('action_type')->default(0)->index('action_type');
            $table->integer('charge_company_id')->default(0);
            $table->integer('request_id')->default(0);
            $table->decimal('shipping_payment', 10, 4)->default(0);
            $table->decimal('shipping_fee', 10, 4)->default(0);
            $table->string('shipping_no', 50)->nullable();
            $table->string('driver_name', 50)->nullable();
            $table->string('driver_phone', 50)->nullable();
            $table->date('booking_date')->nullable();
            $table->text('network_notes')->nullable();
            $table->string('reference_image')->nullable();
            $table->integer('is_commission_paid')->default(0);
            $table->integer('incom_id')->default(0);
            $table->integer('effected_bill_id')->nullable();
            $table->integer('currency_id')->nullable();
            $table->decimal('currency_value', 10, 4)->nullable();
            $table->string('submissionId');
            $table->string('uuid');
            $table->string('longId');
            $table->string('internalId');
            $table->string('hashKey');
            $table->enum('einvoice_type', ['0', '1', '2', '3']);

            $table->index(['invoice_date', 'shop_id'], 'sale_date');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('invoices_');
    }
}
