<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateItemsUnitTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('items_unit', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->integer('item_id');
            $table->integer('unit_id');
            $table->integer('unit_type')->default(0);
            $table->decimal('unit_value', 10, 4);
            $table->decimal('unit_price', 10, 4);
            $table->string('unit_barcode', 191);
            $table->boolean('Screenhidden')->default(false);
            $table->integer('shop_id');
            $table->string('unit_einvoice_code', 100)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('items_unit');
    }
}
