<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLogPaymentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('log_payments', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->integer('shop_id');
            $table->dateTime('start_date');
            $table->dateTime('end_date');
            $table->integer('no_user');
            $table->decimal('amount', 10, 4);
            $table->string('currency_code', 191)->default('EGP');
            $table->string('pay_method', 191);
            $table->timestamp('add_date')->useCurrent();
            $table->integer('plan');
            $table->integer('approved');
            $table->text('img');
            $table->text('convert_img')->nullable();
            $table->text('details')->nullable();
            $table->string('transactionId', 191);
            $table->boolean('add_user')->default(true);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('log_payments');
    }
}
