<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRequestSettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('request_settings', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->decimal('min_purchase', 10, 4);
            $table->decimal('max_charge', 10, 4);
            $table->decimal('fee', 10, 4);
            $table->boolean('fee_type')->default(true)->comment('0 for percent, 1 for money');
            $table->unsignedInteger('shop_id');
            $table->decimal('back_percent', 10)->default(0);
            $table->integer('max_cards')->nullable();
            $table->integer('max_items')->nullable();
            $table->boolean('epay')->nullable();
            $table->boolean('bank')->nullable();
            $table->boolean('delivery')->nullable();
            $table->string('special_ad1', 191)->nullable();
            $table->string('special_ad2', 191)->nullable();
            $table->decimal('lat', 12, 9)->nullable();
            $table->decimal('lon', 12, 9)->nullable();
            $table->text('banks_info')->nullable();
            $table->text('reference')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('request_settings');
    }
}
