<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSaleBackInvoiceTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sale_back_invoice', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->dateTime('date_process');
            $table->dateTime('sale_date');
            $table->integer('store')->nullable();
            $table->decimal('total_price', 10, 4);
            $table->decimal('discount', 10, 4);
            $table->boolean('discount_type')->comment('0 %');
            $table->decimal('net_price', 10, 4);
            $table->decimal('boll_per', 10, 4)->nullable()->default(0);
            $table->integer('sales_man')->default(0);
            $table->decimal('payment', 10, 4);
            $table->decimal('bil_payment', 10, 4);
            $table->decimal('rest', 10, 4)->default(0);
            $table->integer('client_id')->nullable();
            $table->decimal('clientOldBalance', 10, 4)->nullable();
            $table->boolean('pay_stat')->default(true);
            $table->decimal('balance', 10, 4)->default(0);
            $table->date('pay_date')->nullable();
            $table->integer('add_user');
            $table->integer('edit_user')->nullable();
            $table->dateTime('edit_date')->nullable();
            $table->boolean('pay_process')->default(true);
            $table->integer('shop_id');
            $table->integer('bill_no')->default(0);
            $table->string('notes', 191);
            $table->dateTime('notify_time')->nullable();
            $table->boolean('notify_alert')->default(false);
            $table->integer('cooking')->default(0);
            $table->decimal('insatllments_add', 10, 0)->default(0);
            $table->integer('sale_id')->nullable();
            $table->string('local_bill_no', 191)->nullable();
            $table->decimal('shipping_fee', 10, 4)->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sale_back_invoice');
    }
}
