<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSmsProvidersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sms_providers', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->string('company_name', 191);
            $table->string('api_url', 191);
            $table->string('http_method', 191);
            $table->string('destination_attr', 191);
            $table->string('message_attr', 191);
            $table->boolean('unicode')->default(false);
            $table->string('success_code', 191);
            $table->boolean('default');
            $table->integer('user_id')->nullable();
            $table->integer('group_id')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sms_providers');
    }
}
