<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStoreItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('store_items', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->integer('item_id');
            $table->integer('store_id');
            $table->decimal('store_quant', 20)->nullable();
            $table->decimal('damaged', 20)->nullable();
            $table->decimal('default_quant', 20)->nullable();
            $table->integer('shelf');
            $table->integer('shop_id');
            $table->integer('add_user');
            $table->timestamp('add_date')->nullable()->useCurrent();
            $table->integer('edit_user')->nullable();
            $table->dateTime('edit_date')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('store_items');
    }
}
