<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSubscriptionDatesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('subscription_dates', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->integer('sale_id');
            $table->integer('service_id');
            $table->integer('client_id');
            $table->date('session_date');
            $table->boolean('done');
            $table->integer('shop_id');
            $table->text('notes')->nullable();
            $table->string('session_time', 199);
            $table->boolean('is_session')->default(false);
            $table->text('description')->nullable();
            $table->text('recommendation')->nullable();
            $table->text('service')->nullable();
            $table->integer('employee_id');
            $table->decimal('session_price', 10, 0)->default(0);
            $table->decimal('employee_ratio', 10, 0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('subscription_dates');
    }
}
