<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('user_name', 50);
            $table->string('password', 100);
            $table->string('name', 191);
            $table->string('email', 191);
            $table->string('address', 191);
            $table->string('tel', 191);
            $table->date('birth_date');
            $table->date('employe_date');
            $table->decimal('salary', 10);
            $table->decimal('money_out', 10);
            $table->integer('city_id');
            $table->decimal('credit', 10);
            $table->decimal('recipient', 10);
            $table->integer('sale_point')->default(1);
            $table->boolean('point_change')->nullable()->default(true);
            $table->integer('privilege')->default(1);
            $table->boolean('login')->default(true);
            $table->boolean('new_sale_puplic')->default(true);
            $table->boolean('new_sale_quick')->default(true);
            $table->boolean('new_sale_disc')->default(true);
            $table->boolean('return_sales_insert')->default(true);
            $table->boolean('pay_sales')->default(true);
            $table->integer('cooking')->default(1);
            $table->integer('delivery')->default(1);
            $table->boolean('incoming_bill')->default(true);
            $table->boolean('incoming_bill_return')->default(true);
            $table->boolean('incoming_show')->default(true);
            $table->boolean('show_supplier')->default(true);
            $table->boolean('new_supplier')->default(true);
            $table->boolean('new_items')->default(true);
            $table->boolean('show_items')->default(true);
            $table->boolean('show_min')->default(true);
            $table->boolean('show_bolla')->default(true);
            $table->boolean('users')->default(true);
            $table->boolean('show_clients_data')->default(true);
            $table->boolean('setting')->default(true);
            $table->boolean('show_clients')->default(true);
            $table->boolean('change_date')->default(true);
            $table->boolean('unites')->default(true);
            $table->boolean('data')->default(true)->comment('Backup_copying');
            $table->integer('add_user');
            $table->timestamp('add_date')->useCurrent();
            $table->integer('edit_user')->nullable();
            $table->dateTime('edit_date')->nullable();
            $table->boolean('edit_items')->default(true);
            $table->boolean('show_day_total')->default(true);
            $table->boolean('spending')->default(true);
            $table->boolean('show_report')->default(true);
            $table->boolean('show_pay_price')->default(true)->comment('show pay price');
            $table->boolean('sale_discount')->default(true);
            $table->boolean('sale_cash')->default(true);
            $table->integer('sale_price')->default(1);
            $table->boolean('edit_payment')->default(true)->comment('تعديل خانة الدفع فى صفحة المبيعات ');
            $table->integer('send_alerts')->default(1);
            $table->boolean('change_store')->default(true)->comment('تغير مخزن البيع');
            $table->string('db_name', 191)->default('shoes_test');
            $table->string('us_name', 191)->default('root');
            $table->boolean('fix_man')->default(false);
            $table->boolean('work')->default(true);
            $table->boolean('show_problems');
            $table->string('dbpassword', 191);
            $table->string('job', 191)->nullable();
            $table->string('job_number')->nullable();
            $table->string('health_certificate')->nullable();
            $table->string('insurance_number')->nullable();
            $table->string('national_id')->nullable();
            $table->date('start_work');
            $table->integer('shop_id');
            $table->boolean('enter_cards')->nullable();
            $table->boolean('sale_cards')->nullable();
            $table->boolean('type_user')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('store_id')->nullable();
            $table->integer('show_prices')->default(1);
            $table->integer('show_total_point')->default(1);
            $table->text('api_token');
            $table->boolean('change_shop')->default(false);
            $table->boolean('search_in_shops')->default(false);
            $table->integer('clients_group')->default(0);
            $table->decimal('month_deduct', 10, 4)->default(0);
            $table->integer('type')->default(0);
            $table->integer('change_req_status')->default(0);
            $table->integer('create_req_bill')->default(0);
            $table->integer('assign_request')->default(0);
            $table->integer('manage_sms')->default(1);
            $table->integer('stop_flag')->default(0);
            $table->boolean('accept_debentures')->default(true);
            $table->integer('edit_client_data')->default(1);
            $table->integer('covenant_value')->default(0);
            $table->date('covenant_receive_date')->nullable();
            $table->date('covenant_destruction_date')->nullable();
            $table->string('covenant_description', 191)->nullable();
            $table->boolean('show_messages')->nullable();
            $table->boolean('online_requests')->nullable();
            $table->boolean('barcode_inventory')->nullable();
            $table->boolean('temp_store_in_out')->nullable();
            $table->boolean('update_static_pages')->nullable();
            $table->boolean('update_socials')->nullable();
            $table->boolean('show_sliders')->nullable();
            $table->integer('is_employee')->default(0);
            $table->boolean('email_clients')->default(false);
            $table->boolean('confirm_clients')->default(false);
            $table->boolean('change_order_qty')->default(false);
            $table->integer('update_payment_gateway')->default(0);
            $table->integer('contact_info')->default(0);
            $table->integer('coupons')->default(0);
            $table->integer('website_discount')->default(0);
            $table->integer('request_settings')->default(0);
            $table->string('player_id', 191)->nullable();
            $table->boolean('change_bill_sale')->default(true);
            $table->boolean('reservation_create')->default(true);
            $table->boolean('reservation_edit')->default(true);
            $table->boolean('reservation_show')->default(true);
            $table->boolean('reservation_confirm')->default(true);
            $table->boolean('reservation_delete')->default(true);
            $table->boolean('add_spend')->default(true);
            $table->boolean('confirm_spend')->default(true);
            $table->boolean('edit_client')->default(true);
            $table->boolean('delete_client')->default(true);
            $table->decimal('money_percent', 4)->default(0);
            $table->boolean('receipt')->default(true);
            $table->boolean('watch')->default(true);
            $table->boolean('activate_multi_price')->default(true);
            $table->decimal('commission', 10, 0)->default(0);
            $table->integer('manufacture')->default(1);
            $table->integer('define_commissions')->nullable()->default(1);
            $table->boolean('tables_operations')->default(false);
            $table->boolean('cities_operations')->default(true);
            $table->boolean('client_prices_list')->default(false);
            $table->boolean('offer_sales')->default(false);
            $table->boolean('bill_services')->default(false);
            $table->boolean('delivery_man')->default(false);
            $table->boolean('delivery_periods')->default(false);
            $table->boolean('show_vat_report')->default(true);
            $table->boolean('save_bill')->default(true);
            $table->boolean('print_ticket')->default(true);
            $table->boolean('delivery_man_operations')->default(false);
            $table->boolean('bill_services_operations')->default(false);
            $table->tinyInteger('tracking')->default(1);
            $table->tinyInteger('make_bill')->default(1);
            $table->integer('show_points')->default(1);
            $table->boolean('sale_points_transfer')->default(false);
            $table->boolean('barcode_settings')->default(false);
            $table->boolean('edit_date_spend_income')->default(false);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
