<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddAddressColumnToEinvoiceSettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('einvoice_settings', function (Blueprint $table) {
            $table->string('iso_alpha2', 10)->nullable()->after('country_id');
            $table->string('governate', 100)->nullable();
            $table->string('regionCity', 100)->nullable();
            $table->string('street', 100)->nullable();
            $table->integer('buildingNumber')->nullable();
            $table->integer('postalCode')->nullable();
            $table->integer('floor')->nullable();
            $table->integer('room')->nullable();
            $table->string('landmark', 100)->nullable();
            $table->text('additional_information')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('einvoice_settings', function (Blueprint $table) {
            $table->drop('governate');
            $table->drop('regionCity');
            $table->drop('street');
            $table->drop('buildingNumber');
            $table->drop('postalCode');
            $table->drop('floor');
            $table->drop('room');
            $table->drop('landmark');
            $table->drop('additional_information');
        });
    }
}
