<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsToRequestsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('requests', function (Blueprint $table) {
            $table->date('invoice_date')->nullable();
            $table->decimal('cash_paid', 10, 4)->default(0);
            $table->decimal('paid', 10, 4)->default(0);
            $table->decimal('vats_total', 10, 4)->default(0);
            $table->decimal('installment_add_precent', 4, 2)->default(0);
            $table->decimal('installment_add_value', 10, 4)->default(0);
            $table->decimal('installment_value', 10, 4)->default(0);
            $table->tinyInteger('installment_count',)->default(1);
            $table->decimal('installment_rest', 10, 4)->default(0);
            $table->tinyInteger('installment_type')->default(-1);
            $table->json('installment_dates')->nullable();
            $table->text('installment_notes')->nullable();
            $table->integer('region')->nullable();
            $table->string('delivery_type')->nullable();
            $table->integer('delivery_period')->nullable();
            $table->decimal('delivery_fees', 10, 4)->nullable();
            $table->integer('delivery_man')->nullable();
            $table->integer('cash_safe_point_id')->nullable();
            $table->integer('network_safe_point_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('requests', function (Blueprint $table) {
            //
        });
    }
}
