<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsToRequestDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('request_details', function (Blueprint $table) {
            $table->date('item_date_expire')->nullable();
            $table->integer('item_disc_oper')->nullable();
            $table->decimal('item_disc_val', 10, 4)->default(0);
            $table->integer('item_disc_type')->nullable();
            $table->decimal('basic_sale_price', 10, 4)->default(0);
            $table->decimal('basic_pay_price', 10, 4)->default(0);
            $table->decimal('purchase_total_vats', 10, 4)->default(0);
            $table->integer('detail_id')->nullable();
            $table->text('rawHTML')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('request_details', function (Blueprint $table) {
            //
        });
    }
}
