<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Modules\Clients\Entities\Country;
use Modules\EInvoice\Entities\Settings;

class EInvoiceSettingSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $row = Settings::where(['activity_id' => 6201, 'shop_id' => 21036])->first();
        if ($row) {
            $row->update($this->getData());
        } else {
            Settings::create($this->getData());
        }
    }

    protected function getData()
    {
        $country    = Country::select('name_en', 'currency_code', 'iso_alpha2')->where('name_en', 'LIKE', '%Egypt%')->first();
        $name       = $country->name_en ?? 63;
        $currency   = $country->currency_code ?? 'EGP';
        $iso_alpha2 = $country->iso_alpha2 ?? 'EG';
        return [
            'shop_id'        => 21036,
            'registration_id' => 465055346,
            'client_id'      => 'f17f1472-c543-418c-8b1c-6a6025cf2215',
            'client_secret'  => '63d8f143-6222-443f-a6a5-67a4a6e05ac7',
            'thumbprint'     => '1FC53F5AC0061228BDF825EBE1170D5F6A79AA70',
            'company_name'   => 'البدر للنظم الذكيه',
            'activity_id'    => 6201,
            'branch_id'      => 0,
            'country_id'     => $name,
            'currency_id'    => $currency,
            'iso_alpha2'     => $iso_alpha2,
            'governate'      => 'محافظة الغربية',
            'regionCity'     => 'سمنود',
            'street'         => 'ش مسجد الهدي النبوي',
            'buildingNumber' => '11',
            'postalCode'     => 040,
            'floor'          => 1,
            'room'           => 2,
            'landmark'       => "مسجد الهدي النبوي",
        ];
    }
}
