@extends('layouts.app')
@section('content')
<div class="row ">
    <div class="col-md-8 offset-md-2">
        <h1 class="h3 text-center d-block d-sm-none"> تسجيل الدخول </h1>

        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <div class="col-md-6 d-block d-sm-none">
            <div class="logo text-center">
                <a href="#" title=" البدر للمبيعات ">
                    <img src=" {{ asset('imgs/logo.png') }}" alt="البدر للمبيعات " title="البدر للمبيعات " />
                </a>
            </div>
        </div>
        <div class="login-content">
            <h1 class="h3 text-center d-none d-sm-block"> انشاء المتجر  </h1>
            <div class="login-content__form">
                <form method="POST" action="{{ route('register') }}">
                    @csrf
                    <div class="login-content__form_top">
                        <div class="login-form-group">
                            <span>
                                <i class="fa-solid fa-shop"></i>
                            </span>
                            <label for="store_name">
                                اسم المتجر
                            </label>
                            <input type="text" class="form-control" name="store_name" id="store_name" value="{{ old('store_name') }}"
                                required>
                        </div>

                        <div class="login-form-group">
                            <span>
                                <i class="fa-regular fa-user"></i>
                            </span>
                            <label for="manager_name">
                                اسم المدير
                            </label>
                            <input type="text" class="form-control" name="manager_name" id="manager_name"  value="{{ old('manager_name') }}"
                                required>
                        </div>

                        <div class="login-form-group">
                            <span>
                                <i class="fa-solid fa-code"></i>
                            </span>
                            <label for="store_serial">
                                مسلسل البرنامج
                            </label>
                            <input type="text" class="form-control" name="store_serial" id="store_serial"  value="{{ old('store_serial') }}"
                                required>
                        </div>

                        <div class="login-form-group">
                            <span>
                                <i class="fa-regular fa-address-book"></i>
                            </span>
                            <label for="manager_user_name">
                                اسم المستخدم
                            </label>
                            <input type="text" class="form-control" name="manager_user_name" id="manager_user_name"  value="{{ old('manager_user_name') }}"
                                required>
                        </div>

                        <div class="login-form-group">
                            <span>
                                <i class="fa-solid fa-key"></i>
                            </span>
                            <label for="user_password">
                                كلمه المرور
                            </label>
                            <input type="password" class="form-control" name="user_password" id="user_password"  value="{{ old('user_password') }}"
                                required>
                            <span class="fa fa-eye-slash toggle-password" id="togglePassword"></span>
                        </div>

                        <div class="login-form-group">
                            <span>
                                <i class="fa-solid fa-key"></i>
                            </span>
                            <label for="user_pasword_confirm">
                                 تأكيد كلمه المرور
                            </label>
                            <input type="password" class="form-control" name="user_pasword_confirm" id="user_pasword_confirm"  value="{{ old('user_pasword_confirm') }}"
                                required>
                            <span class="fa fa-eye-slash toggle-password" id="togglePasswordConfirmation"></span>
                        </div>

                        <div class="login-form-group">
                            <span>
                                <i class="fa-solid fa-road-barrier"></i>
                            </span>
                            <label for="activation_type">
                                نوع التفعيل
                            </label>
                            <select name="activation_type" id="activation_type" class="form-control padding-select mb-4">
                                <option value="0">
                                    تفعيل بالانترنت
                                </option>
                                <option value="1">
                                    تفعيل بالتليفون
                                </option>
                            </select>
                        </div>

                        <div class="login-form-group" id="pc_mac_container">
                            <span>
                                <i class="fa-regular fa-home"></i>
                            </span>
                            <label for="active_code">
                                     pc mac:
                            </label>
                            <input type="text" class="form-control" value="{{ getPcMac() }}" disabled>
                        </div>

                        <div class="login-form-group" id="active_code_container">
                            <span>
                                <i class="fa-regular fa-address-book"></i>
                            </span>
                            <label for="active_code">
                                    كود التفعيل:
                            </label>
                            <input type="text" class="form-control" name="active_code" id="active_code"  value="{{ old('active_code') }}">
                        </div>

                    </div>

                    <div class="form-group row mt-5">
                        <div class="col-md-6 col-12">
                            <button type="submit"
                                class="btn btn-primary d-block w-100 btn-xlg rounded-10 auth-submit">
                                تفعيل
                            </button>
                        </div>

                        <div class="col-md-6 col-12">

                            <a href="{{ route('login') }}" class="btn btn-secondary d-block w-100 btn-xlg rounded-10 new-account">
                                 تسجيل الدخول
                            </a>
                        </div>
                    </div>

                    <div class="col-12  d-block  d-sm-none d-flex justify-content-center">
                        <a href="#" class="text-danger">
                            <strong>
                                نسيت كلمه المرور
                                <i class="fa fa-info-circle fa-x" aria-hidden="true"></i>
                            </strong>
                        </a>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="col-md-12 mt-5">
        <div class="row">
            <div class="col-md-3"></div>
            <div class="col-12  d-block d-sm-none">
                <div class="language-content">
                    <label for="language"> اللغه Language </label>
                    <select name="" id="language" class="language-content__select w-70">
                        <option value="1"> العربيه </option>
                        <option value="2"> English </option>
                    </select>
                </div>
            </div>
            <div class="col-md-6">
                <div class="text-center for-contact">
                    <p>
                        للتواصل مع الدعم الفني يمكنك الاتصال على
                    </p>
                    <p>
                        01061660342 - 0402970833
                    </p>
                </div>
            </div>

            <div class="col-md-3">
                <div class="explanation">
                    <a href="">
                        <img src="{{ asset('imgs/youtube.png') }}" alt="">
                        <p> فيديو تعليمي لشرح البرنامج </p>
                    </a>

                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('js-scripts')
    <script>
        $().ready(function(){
            $('#active_code_container').hide();
            $('#pc_mac_container').hide();
        });

        $(document).on('change', '#activation_type',function(){
            $('#active_code_container').toggle();
            $('#pc_mac_container').toggle();
        })
    </script>
@endsection
