<div style="direction: rtl; padding: 20px">

    <div style="margin-top: 20px">
        @if ($shop?->apply_vats && $shop?->getCountry?->name_en == "Saudi Arabia")
            @if ($client->client_tax_number)
                <h2 style="text-align: center;"> فاتورة ضريبية </h2>
                <h2 style="text-align: center;"> Tax Invoice </h2>
            @else
                <h2 style="text-align: center;"> فاتورة ضريبية مبسطة </h2>
                <h2 style="text-align: center;"> Simplified Tax Invoice </h2>
            @endif
            <h4 style="text-align: center"> {{ $invoice->type }} </h4>
        @else
            <h2 style="text-align: center"> {{ $invoice->type }} </h2>
        @endif

    </div>

    <div style=" color: #000; text-align: center"> {!! $settings?->bill_header !!} </div>


    <div style="margin: 5px 0; display: flex; width: 100%">
        <img src="{{ isset($message) ? $message->embed(asset($shop->logo_path)) : asset($shop->logo_path) }}" alt="logo" width="200px" height="100%">

        <div style="width: max-content; height: max-content; margin: auto">{!! $invoice->qr !!}</div>

        <div style="width: 70%; margin-right: auto;">
            <table style="width: 100%; border: 3px solid rgb(24, 24, 24); border-collapse: collapse !important; width: 100% !important; font-weight: bold;">
                <tr>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right"> فاتورة </td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center"> {{ $invoice?->bill_no }} </td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left"> Invoice Number </td>
                </tr>
                <tr>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right"> تاريخ إصدار الفاتورة </td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center"> {{ $invoice ? \Carbon\Carbon::parse($invoice->invoice_date)->format('Y-m-d') : '' }} </td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left"> Invoice Issue Date </td>
                </tr>
                <tr>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right"> وقت إصدار الفاتورة </td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center"> {{ $invoice ? \Carbon\Carbon::parse($invoice->invoice_date)->format('H:i:s-A') : '' }} </td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left"> Invoice Issue Time </td>
                </tr>
                @php $payment_type = $invoice?->getPaymentType((bool) $invoice_settings->show_payment_type); @endphp
                @if ($payment_type)
                    <tr>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right"> نوع الدفع </td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center"> {{ $payment_type }} </td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left"> Payment Type </td>
                    </tr>
                @endif
            </table>
        </div>
    </div>


    <div style="margin-bottom: 20px">
        <table style="width: 100%; border: 3px solid rgb(24, 24, 24); border-collapse: collapse !important; width: 100% !important; font-weight: bold;">
            <thead>
                <tr>
                    <th style="text-align: right">العميل</th>
                    <th></th>
                    <th style="text-align: left">Buyer</th>
                    <th style="text-align: right">المورد</th>
                    <th></th>
                    <th style="text-align: left">Seller</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right">الإسم</td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center"> {{ $client->client_name }} </td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left"> Name </td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right">الإسم</td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center"> {{ $shop->shop_name }} </td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left"> Name </td>
                </tr>
                <tr>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right">العنوان</td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center"> {{ $invoice_settings->show_client_address ? $client->address : '' }} </td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left"> Address </td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right">العنوان</td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center"> {{ $shop->address }} </td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left"> Address </td>
                </tr>
                @if ($shop?->apply_vats)
                    <tr>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right">الرقم الضريبي</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center"> {{ $client->client_tax_number }} </td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left"> VAT Number </td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right">الرقم الضريبي</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center"> {{ $invoice_settings->vat_number }} </td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left"> VAT Number </td>
                    </tr>
                @endif

                <tr>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right">كود العميل</td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center"> {{ $client->id }} </td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left"> Client Code </td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right"></td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center"></td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left"></td>
                </tr>

                @if ($client->type)
                    <tr>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right">نوع العميل</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center"> {{ $client->type->name }} </td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left"> Client Type </td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right"></td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center"></td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left"></td>
                    </tr>
                @endif
            </tbody>
        </table>
    </div>


    <div style="width: 100%">
        <table style="width: 100%; border: 3px solid rgb(24, 24, 24); border-collapse: collapse !important; width: 100% !important; font-weight: bold;">
            <thead>
                <tr>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right" colspan="4">توصيف السلعة أو الخدمة</td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left" colspan="4">Line Items:</td>
                </tr>
                <tr>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important;">إسم السلعه</td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important;">التفاصيل</td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important;">سعر الوحدة</td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important;">الكمية</td>
                    @if ($shop?->apply_vats)
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important;">المبلغ الخاضع للضريبة</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important;">نسبة الضريبة</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important;">مبلغ الضريبة</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important;">المجموع شامل ضريبة القيمة المضافة</td>
                    @else
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important;">المجموع</td>
                    @endif
                </tr>
            </thead>

            <tbody>
                @foreach ($invoice->InvoiceDetails as $row)
                    <tr>
                        @php
                            $item_vat = $invoice->vats->where("item_id", $row->item_id);
                            $total_item_vat = count($item_vat) ? $item_vat->sum('vat_weight') : 0;
                            $total_item_price = $row->total_price;
                            if ($row->Item?->vat_state == 2) {
                                $total_item_price = $row->total_price - $total_item_vat;
                            }
                            $item_price = $total_item_price / $row->quantity;
                        @endphp
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important;"> {{ $row->Item?->item_name }} </td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important;"> {{ $row->Item?->about }} </td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important;"> {{ guest_round_money((float) $item_price, $shop) }} </td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important;"> {{ round_quantity((float) $row->quantity) }} </td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important;"> {{ guest_round_money((float) $item_price * $row->quantity, $shop) }} </td>

                        @if ($shop?->apply_vats)
                            @if (count($item_vat))
                                <td style="border: 2px solid #000 !important; padding: 2px 10px !important;"> {{ $item_vat->first()->vat_value }} {{ $item_vat->first()->vat_type ? '' : '%' }} </td>
                            @else
                                <td style="border: 2px solid #000 !important; padding: 2px 10px !important;"> 0.00 </td>
                            @endif
                            <td style="border: 2px solid #000 !important; padding: 2px 10px !important;"> {{ $total_item_vat }} </td>
                            <td style="border: 2px solid #000 !important; padding: 2px 10px !important;"> {{ guest_round_money($total_item_price + $total_item_vat, $shop) }} </td>
                        @endif
                    </tr>
                @endforeach
            </tbody>
        </table>

        <table style="margin-top: 20px; border: 3px solid rgb(24, 24, 24); border-collapse: collapse !important; width: 100% !important; font-weight: bold;">
            <thead>
                <tr>
                    <th colspan="2" style="text-align: right">إجمالي المبلغ</th>
                    <th colspan="2" style="text-align: left">Total Amount</th>
                </tr>
            </thead>

            <tbody>
                @php
                    $invoice_discount = $bill_total = $vat_weight = $net_price = 0;
                    if ($invoice) {
                        $net_price = $invoice->net_price;
                        $bill_total = $invoice->bill_total;
                        $vat_weight = $invoice->vats->sum('vat_weight');
                        $invoice_discount = $invoice->invoice_total_disc_type == 1 ? (float)$invoice->invoice_total_disc : (float)$total_basic_price * ( (float)$invoice->invoice_total_disc / 100);
                    }
                @endphp

                @if ($shop?->apply_vats)
                    <tr>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right">الإجمالي غير شامل ضريبة القيمة المضافة</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center">{{ guest_round_money((float) $bill_total ?? 0, $shop) }}</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left">Total Excluding VAT</td>
                    </tr>
                @else
                    <tr>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right">الإجمالي</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center">{{ guest_round_money((float) $bill_total ?? 0, $shop) }}</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left">Total</td>
                    </tr>
                @endif

                <tr>
                    @php
                        $invoice_discount = 0;
                        if ($invoice)
                            $invoice_discount = $invoice->invoice_total_disc_type == 1 ? (float)$invoice->invoice_total_disc : (float)$invoice->bill_total * ( (float)$invoice->invoice_total_disc / 100);
                    @endphp
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right">مجموع الخصومات</td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center">{{ guest_round_money((float) $invoice_discount, $shop) }}</td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left">Discount</td>
                </tr>

                @if ($shop?->apply_vats)
                    <tr>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right">الإجمالي الخاضع للضريبة غير شامل ضريبة القيمة المضافة</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center">{{ guest_round_money((float) $bill_total - $invoice_discount, $shop) }}</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left">Total Taxable Amount Excluding VAT</td>
                    </tr>

                    <tr>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right">مجموع ضريبة القيمة المضافة</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center">{{ guest_round_money((float) $vat_weight, $shop) }}</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left">Total VAT</td>
                    </tr>
                @endif

                @if ($invoice_settings->show_invoice_rest)
                    <tr>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right">المبلغ المدفوع</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center">{{ guest_round_money((float) $invoice->payment, $shop) }}</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left">The Amount Paid</td>
                    </tr>
                    <tr>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right">المبلغ المتبقي</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center">{{ guest_round_money((float) $invoice->rest, $shop) }}</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left">Remaining Amount</td>
                    </tr>
                @endif

                <tr>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right">إجمالي المبلغ المستحق</td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center">{{ guest_round_money((float) $net_price, $shop) }}</td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left">Total Amount Due</td>
                </tr>

                <tr>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center"></td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center">{{ transLatNumbers((float) $net_price, $shop_id) }}</td>
                    <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center"></td>
                </tr>

                @if ($collector->name)
                    <tr>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: right">المندوب</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: center">{{ $collector->name }}</td>
                        <td style="border: 2px solid #000 !important; padding: 2px 10px !important; text-align: left">Supplier</td>
                    </tr>
                @endif

            </tbody>
        </table>



        @if ($invoice_settings->show_signature)
            <table style="margin-top: 20px; border: 3px solid rgb(24, 24, 24); border-collapse: collapse !important; width: 100% !important; font-weight: bold;">
                <thead>
                    <tr>
                        <th style="border: 2px solid #000 !important; padding: 20px !important; text-align: right"> <b> إسم المستلم : </b> </th>
                        <th style="border: 2px solid #000 !important; padding: 20px !important; text-align: right"> <b> التوقيع </b> </th>
                    </tr>
                </thead>
            </table>
        @endif
    </div>

    <div style=" color: #000; text-align: center; margin-top: 10px">
        {!! $settings?->message_bill !!}
    </div>

    @if (isset($url) && $url)
        <p style="text-align: center; font-size: 15px; font-weight: bold; color: #595959;">
            لعرض صفحة الفاتورة من
            <a href="{{ $url }}">هنا</a>
        </p>
    @endif

</div>
