<div style="width: 75%; margin: auto; direction: rtl; color: #000">
    @if ($shop->apply_vats && $shop->getCountry?->name_en == "Saudi Arabia")
        @if ($invoice?->client?->client_tax_number)
            <h2 style="text-align: center;"> فاتورة ضريبية </h2>
        @else
            <h2 style="text-align: center;"> فاتورة ضريبية مبسطة </h2>
        @endif
    @else
        {{-- <h2 style="text-align: center;"> فاتورة </h2> --}}
        <h2 style="text-align: center"> {{ $invoice->type }} </h2>
    @endif


    <table style="width: 100%; text-align: center; font-weight: bold;">
        <tbody>
            <tr>
                <td style="padding-bottom: 5px;"><img src="{{ isset($message) ? $message->embed(asset($shop->logo_path)) : asset($shop->logo_path) }}" alt="logo" width="200"></td>
            </tr>
            <tr>
                <td style="padding-bottom: 5px;">{{ $shop->shop_name }}</td>
            </tr>
            <tr>
                <td style="padding-bottom: 5px;">{{ $store->address }}</td>
            </tr>
            <tr>
                <td style="padding-bottom: 5px;">{!! $settings->bill_header !!}</td>
            </tr>

            @if ($shop?->apply_vats)
                <tr>
                    <td style="padding-bottom: 5px;">الرقم الضريبي :  {{ $invoice_settings->vat_number }}</td>
                </tr>
                @if ($invoice_settings?->vat_number != $store->tax_number)
                    <tr>
                        <td style="padding-bottom: 5px;">رقم السجل التجاري :  {{ $store->tax_number }}</td>
                    </tr>
                @endif
            @endif

            <tr>
                <td style="padding-bottom: 5px;">التاريخ : {{ $invoice->invoice_date}}</td>
            </tr>

            <tr>
                <td style="padding-bottom: 5px;">العميل : {{ $invoice->client?->client_name }} </td>
            </tr>

            @if ($invoice->client?->client_tax_number && $shop?->apply_vats)
                <tr>
                    <td style="padding-bottom: 5px;">الرقم الضريبي للعميل : {{ $invoice->client?->client_tax_number }} </td>
                </tr>
            @endif

            <tr>
                <td style="padding-bottom: 5px;">رقم الفاتورة : {{ $invoice->bill_no }}</td>
            </tr>

            <tr>
                <td style="padding-bottom: 5px;">المستخدم : {{ $invoice->user?->user_name }} </td>
            </tr>

            @if ($invoice->notes)
                <tr>
                    <td style="padding-bottom: 5px;">ملاحظات : {{ $invoice->notes }} </td>
                </tr>
            @endif
        </tbody>
    </table>


    <div style="font-size: 1.1rem; margin-bottom: 15px; margin: 30px 0">
        <table style="width: 100%; border: 2px solid #000" border="1">
            <thead>
                <tr>
                    <th style="padding: 5px" scope="col">م</th>
                    <th style="padding: 5px" scope="col">{{ __('invoices.details.item_name') }}</th>
                    <th style="padding: 5px" scope="col">{{ __('invoices.details.item_description') }}</th>
                    <th style="padding: 5px" scope="col">{{ __('category.unit') }}</th>
                    <th style="padding: 5px" scope="col">{{ __('invoices.details.quantity') }}</th>
                    <th style="padding: 5px" scope="col">{{ __('invoices.details.unit-price') }}</th>
                    <th style="padding: 5px" scope="col">{{ __('invoices.details.total-price') }}</th>
                </tr>
            </thead>

            <tbody>
                @foreach ($invoice->InvoiceDetails as $index => $detail)
                    <tr>
                        <td style="padding: 5px 10px; border-bottom: 1px solid #000; text-align: center">{{ $loop->iteration }}</td>
                        <td style="padding: 5px 10px; border-bottom: 1px solid #000">{{ $detail->Item?->item_name }}</td>
                        <td style="padding: 5px 10px; border-bottom: 1px solid #000">{{ $detail->Item?->about }}</td>
                        <td style="padding: 5px 10px; border-bottom: 1px solid #000">{{ $detail->Unit?->name }}</td>
                        <td style="padding: 5px 10px; border-bottom: 1px solid #000; text-align: center">{{ guest_round_money($detail->quantity, $shop) }}</td>
                        <td style="padding: 5px 10px; border-bottom: 1px solid #000; text-align: center">{{ guest_round_money((in_array($invoice->invoice_type, [0, 2]) ? $detail->pay_price : $detail->sale_price), $shop) }}</td>
                        <td style="padding: 5px 10px; border-bottom: 1px solid #000; text-align: center">{{ guest_round_money($detail->total_price, $shop) }}</td>
                    </tr>
                @endforeach
            </tbody>

            <tfoot style="text-align: center; font-weight: bold">
                @php
                    $invoice_discount = $bill_total = $vat_weight = $net_price = 0;
                    if ($invoice) {
                        $net_price = $invoice->net_price;
                        $bill_total = $invoice->bill_total;
                        $vat_weight = $invoice->vats->sum('vat_weight');
                        $invoice_discount = $invoice->invoice_total_disc_type == 1 ? $invoice->invoice_total_disc : $total_basic_price * ( $invoice->invoice_total_disc / 100);
                    }
                @endphp
                <tr>
                    <td colspan="4">الاجمالي</td>
                    <td colspan="3">{{ guest_round_money($bill_total, $shop, true) }}</td>
                </tr>
                <tr>
                    @php
                        $invoice_discount = 0;
                        if ($invoice)
                            $invoice_discount = $invoice->invoice_total_disc_type == 1 ? $invoice->invoice_total_disc : $invoice->bill_total * ( $invoice->invoice_total_disc / 100);
                    @endphp
                    <td colspan="4">الخصم</td>
                    <td colspan="3">{{ guest_round_money($invoice_discount, $shop, true) }}</td>
                </tr>
                <tr>
                    <td colspan="4">الاجمالي بعد الخصم</td>
                    <td colspan="3">{{ guest_round_money($bill_total - $invoice_discount, $shop, true) }}</td>
                </tr>
                @if ($shop?->apply_vats)
                    <tr>
                        <td colspan="4">القيمة المضافة</td>
                        <td colspan="3">{{  guest_round_money( $invoice->vats_sum_vat_weight, $shop , true) }}</td>
                    </tr>
                @endif

                @if($invoice->invoice_type == 1 &&  $shop->show_delivery_charges_in_the_invoice == 1)
                    <tr>
                        <td colspan="4">رسوم التوصيل</td>
                        <td colspan="3">{{  guest_round_money( $invoice->fee, $shop , true) }}</td>
                    </tr>
                @endif

                <tr>
                    <td colspan="4"><strong> الصافي </strong></td>
                    <td colspan="3"><strong> {{ guest_round_money($invoice->net_price, $shop, true) }} </strong></td>
                </tr>
                <tr>
                    <td colspan="4">المدفوع</td>
                    <td colspan="3">{{ guest_round_money($invoice->payment, $shop, true) }}</td>
                </tr>
                <tr>
                    <td colspan="4"> المتبقي</td>
                    <td colspan="3">{{ guest_round_money($invoice->rest, $shop, true) }}</td>
                </tr>

                <tr>
                    <td colspan="7">{{ transLatNumbers( $invoice->net_price, $shop->serial_id) }}</td>
                </tr>
            </tfoot>
        </table>
    </div>

    <div style="margin-top: 10px; text-align: center">
        <div style="width: max-content; height: max-content; margin: auto">{!! $invoice->qr !!}</div>

        {!! $settings->message_bill !!}
    </div>

    @if (isset($url) && $url)
        <p style="text-align: center; font-size: 15px; font-weight: bold; color: #595959;">
            لعرض صفحة الفاتورة من
            <a href="{{ $url }}">هنا</a>
        </p>
    @endif
</div>

