<div dir="rtl" style="font-size: 1.2rem; background: #f7f7f7; padding: 20px; overflow: hidden;">
    <h1 style="color: #007bff; font-size: 2.5rem">
        {{ __('invoices.invoice.title', ['no' => (!in_array($invoice->bill_no, ['', ' ', null]) ? $invoice->bill_no : '---')]) }}
    </h1>

    {{-- Issuer & Reciver --}}
    <div style="width: 100%; overflow: hidden; margin-bottom: 20px">
        <div style="display: flex; justify-content: space-between !important;">
            <div style="width: 49%">
                <div style="background-color: #17a2b8; color: #fff; padding: 5px 10px">{{ __('invoices.details.title') }}</div>
                <div style="background-color: #fff;">
                    <div style="padding: 5px 15px; border-bottom: 1px solid #ccc;">
                        <span style="color: #007bff; padding: 5px 10px; display: inline-block; width: 130px;">{{ __('invoices.details.invoiceNo') }} :</span>
                        <span>{{ $invoice->bill_no }}</span>
                    </div>

                    <div style="padding: 5px 15px; border-bottom: 1px solid #ccc;">
                        <span style="color: #007bff; padding: 5px 10px; display: inline-block; width: 130px;">{{ __('invoices.details.invoiceType') }} :</span>
                        <span>فاتورة مبيعات</span>
                    </div>
                    <div style="padding: 5px 15px">
                        <span style="color: #007bff; padding: 5px 10px; display: inline-block; width: 130px;">{{ __('invoices.details.invoiceDate') }} :</span>
                        <span>{{ $invoice->invoice_date }}</span>
                    </div>
                </div>
            </div>

            <div style="width: 49%; margin-right: 2%">
                <div style="background-color: #17a2b8; color: #fff; padding: 5px 10px">{{ __('invoices.client.title') }}</div>
                <div style="background-color: #fff;">
                    <div style="padding: 5px 15px; border-bottom: 1px solid #ccc;">
                        <span style="color: #007bff; padding: 5px 10px; display: inline-block; width: 130px;">إسم العميل:</span>
                        <span>{{ $invoice->client?->client_name }}</span>
                    </div>
                    <div style="padding: 5px 15px; border-bottom: 1px solid #ccc;">
                        <span style="color: #007bff; padding: 5px 10px; display: inline-block; width: 130px;">{{ __('invoices.client.mobile') }} :</span>
                        <span>{{ $invoice->client?->mobile1 }}</span>
                    </div>
                    <div style="padding: 5px 15px">
                        <span style="color: #007bff; padding: 5px 10px; display: inline-block; width: 130px;">{{ __('invoices.client.balance') }} :</span>
                        <span>{{ $invoice->client?->balance }}</span>
                    </div>
                </div>
            </div>
        </div>
    </div>

    {{-- Invoice Items --}}
    <div style="font-size: 1.1rem; margin-bottom: 15px">
        <table style="width: 100%">
            <thead style="background-color: #17a2b8; color: #fff">
                <tr>
                    <th style="padding: 5px" scope="col">{{ __('invoices.details.item_name') }}</th>
                    <th style="padding: 5px" scope="col">{{ __('invoices.details.item_description') }}</th>
                    <th style="padding: 5px" scope="col">{{ __('category.unit') }}</th>
                    <th style="padding: 5px" scope="col">{{ __('invoices.details.quantity') }}</th>
                    <th style="padding: 5px" scope="col">{{ __('invoices.details.unit-price') }}</th>
                    <th style="padding: 5px" scope="col">{{ __('invoices.details.total-price') }}</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($invoice->details as $index => $detail)
                    <tr style="background-color: {{ $index % 2 == 0 ? '#ccc' : '#ebebeb' }}">
                        <td style="padding: 5px 10px">{{ $detail->Item->item_name }}</td>
                        <td style="padding: 5px 10px">{{ $detail->Item->about }}</td>
                        <td style="padding: 5px 10px">{{ $detail->unit?->name }}</td>
                        <td style="padding: 5px 10px">{{ $detail->quantity }}</td>
                        <td style="padding: 5px 10px">{{ in_array($invoice->invoice_type, [0, 2]) ? $detail->Item?->pay_price : $detail->Item?->sale_price }}</td>
                        <td style="padding: 5px 10px">{{ $detail->total_price }}</td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>

    <div style="width: max-content; height: max-content; margin: auto; display: inline-block">{!! $invoice->qr !!}</div>

    {{-- Invoice Totals --}}
    <div style="width: 400px; display: inline-block; float: left">
        <div style="background-color: #17a2b8; color: #fff;     padding: 5px 10px;">{{ __('invoices.totals.title') }}</div>
        <div style="background-color: #fff; padding: 10px">
            <div style="padding: 5px 15px; border-bottom: 1px solid #ccc;">
                <div style="color: #007bff; width: 130px; display: inline-block">{{ __('invoices.totals.total_amount') }} :</div>
                @if($invoice->invoice_total_disc_status == 1)
                    <div style="display: inline-block">{{ round_money(  $invoice->bill_total + $invoice->totalDiscount) }}</div>
                @else
                    <div style="display: inline-block">{{ round_money(  $invoice->bill_total) }}</div>
                @endif
            </div>

            <div style="padding: 5px 15px; border-bottom: 1px solid #ccc;">
                <div style="color: #007bff; width: 130px; display: inline-block">{{ __('invoices.totals.total_discount') }} :</div>
                <div style="display: inline-block">{{round_money((float) $invoice->totalDiscount ,true) }}</div>
            </div>
            @if (get_session_val('apply_vats', 'integer'))

                <div style="padding: 5px 15px; border-bottom: 1px solid #ccc;">
                    <div style="color: #007bff; width: 130px; display: inline-block">{{ __('invoices.totals.total_vats') }} :</div>
                    <div style="display: inline-block">{{ round_money($invoice->vats_sum_vat_weight ?? 0) }}</div>
                </div>
            @endif

            @if($invoice->invoice_type == 1 &&  get_session_val('show_delivery_charges_in_the_invoice', 'Integer') == 1)
            <div style="padding: 5px 15px; border-bottom: 1px solid #ccc;">
                <div style="color: #007bff; width: 130px; display: inline-block">{{ __('invoices.delivery_fee') }} :</div>
                <div style="display: inline-block">{{ round_money($invoice->fee) }}</div>
            </div>
            @endif

            <div style="padding: 5px 15px; border-bottom: 1px solid #ccc;">
                <div style="color: #007bff; width: 130px; display: inline-block">{{ __('invoices.totals.total_sales') }} :</div>
                <div style="display: inline-block">{{ round_money($invoice->net_price) }}</div>
            </div>
            <div style="padding: 5px 15px; border-bottom: 1px solid #ccc;">
                <div style="color: #007bff; width: 130px; display: inline-block">{{ __('invoices.totals.payment') }} :</div>
                <div style="display: inline-block">{{ round_money($invoice->payment) }}</div>
            </div>
            <div style="padding: 5px 15px">
                <div style="color: #007bff; width: 130px; display: inline-block">{{ __('invoices.totals.rest') }} :</div>
                <div style="display: inline-block">{{ round_money($invoice->rest) }}</div>
            </div>
        </div>
    </div>

</div>

@if (isset($url) && $url)
    <p style="text-align: center; font-size: 15px; font-weight: bold; color: #595959;">
        لعرض صفحة الفاتورة من
        <a href="{{ $url }}">هنا</a>
    </p>
@endif
