
<?php $__env->startSection('content'); ?>
<div class="card card-light mb-1_5 p-3">
   <div class="container-fluid mb-3">
      <div class="row mb-3">
         <h1 class="text-info"><?php echo e(__('items.edit_item') . ' : ' . $item->item_name); ?></h1>
      </div>
      <div class="row">
         <form id="edit_item_form" class="form-horizontal w-100 custome-form" action="<?php echo e(route('items.update', [$item->id])); ?>"
            method="post" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            
            <input name="item_id" type="hidden" value="<?php echo e($item->id); ?>">
            
            <div class="form-row row">
               <div class="form-group col-md-6">
                  <label class="control-label" for="item_name"><?php echo e(__('items.name')); ?> :</label>
                  <input type="text" class="form-control col-md-12 input-normal" name="item_name" id="item_name"
                     value="<?php echo e(old('item_name') ?? $item->item_name); ?>">
               </div>
               <div class="form-group col-md-6">
                  <label class="control-label" for="about"><?php echo e(__('items.about')); ?> :</label>
                  <input type="text" class="form-control col-md-12 input-normal" name="about" id="about"
                     value="<?php echo e(old('about') ?? $item->about); ?>">
               </div>
            </div>
            
            <div class="form-row row">
               <div class="form-group col-md-6">
                  <label class="control-label" for="quantity"><?php echo e(__('items.quantity.name')); ?> :</label>
                  <input type="number" class="form-control col-md-12 input-normal" step="0.01" name="quantity" id="quantity"
                     value="<?php echo e(old('quantity') ?? (count($item->storeQty) >= 1 ? $item->storeQty->first()->store_quant : quant_decimal(0))); ?>">
                  <small class="text-danger <?php if(count($item->storeQty) == 0): ?> hidden <?php endif; ?>"
                     id="store_note"><?php echo e(count($item->storeQty) >= 1 ? __('items.store_note', ['store' => $item->storeQty->first()->store->store_name]) : ''); ?></small>
               </div>
               <div class="form-group col-md-6">
                  <label class="control-label" for="min_quantity"><?php echo e(__('items.min_quantity')); ?> :</label>
                  <input type="number" step="0.01" class="form-control col-md-12 input-normal" name="min_quantity"
                     id="min_quantity" value="<?php echo e(old('min_quantity') ?? $item->min_quantity); ?>">
               </div>
            </div>
            
            <div class="form-row row">
               <div class="form-group col-md-6 <?php if(count($item->storeQty) == 0): ?> hidden <?php endif; ?>" id="store_div">
                  <label class="control-label" for="stores"><?php echo e(__('native.store')); ?> :</label>
                  <select class="form-control selectpicker col-md-12 input-normal" name="stores" id="stores"
                     data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>"
                     data-store_count="<?php echo e(count($item->storeQty)); ?>" title="<?php echo e(__('items.choose_item_store')); ?>">
                  <?php $__currentLoopData = $stores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $store): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option <?php echo e(old('stores') == $store->id || $loop->first ? 'selected' : ''); ?>

                  data-quant="<?php echo e($store->items->first()->pivot->store_quant ?? quant_decimal(0)); ?>"
                  data-store_name="<?php echo e($store->store_name); ?>" value="<?php echo e($store->id); ?>">
                  <?php echo e($store->store_name); ?></option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </select>
               </div>
            </div>
            
            <div class="form-row row">
               <div class="form-group col-md-6">
                  <label class="control-label" for="pay_price"><?php echo e(__('items.pay_price.name')); ?> :</label>
                  <input type="number" step="0.01" class="form-control col-md-12 input-normal" name="pay_price" id="pay_price"
                     value="<?php echo e(old('pay_price') ?? $item->pay_price); ?>">
               </div>
               <div class="form-group col-md-6">
                  <label class="control-label" for="pay_date"><?php echo e(__('items.purchase_date')); ?> :</label>
                  <input type="text" class="form-control col-md-12 date input-normal" name="pay_date" id="pay_date"
                     value="<?php echo e(old('pay_date') ?? $item->pay_date); ?>">
               </div>
            </div>
            
            <div class="form-row row">
               <div class="form-group col-md-6">
                  <label class="control-label" for="sale_price"><?php echo e(__('items.sale_price.name')); ?> :</label>
                  <input type="number" step="0.01" class="form-control col-md-12 input-normal" name="sale_price"
                     id="sale_price" value="<?php echo e(old('sale_price') ?? $item->sale_price); ?>">
               </div>
               <div class="form-group col-md-6">
                  <label class="control-label" for="lowest_price"><?php echo e(__('items.min_sale_price')); ?> :</label>
                  <input type="number" step="0.01" class="form-control col-md-12 input-normal" name="lowest_price"
                     id="lowest_price" value="<?php echo e(old('lowest_price') ?? $item->lowest_price); ?>">
               </div>
            </div>
            
            <?php if(get_session_val('multi_price', 'Integer') == 1): ?>
            <div class="form-row row">
               <h6 class="col-md-6">
                  <?php echo e(__('multiPrices.price_lists')); ?>

               </h6>
            </div>
            <div class="form-row row">
               <?php $__currentLoopData = $price_lists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $price_list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <?php
               $current_list = $item_prices->where('list_id', $price_list->id)->first();
               $current_price = $current_list->price ?? 0;
               $current_qty = $current_list->list_quant ?? 0;
               ?>
               <div class="form-group col-md-3 form-inline">
                  <label class="control-label col-md-4 "><?php echo e($price_list->list_name); ?> :</label>
                  <input type="number" class="hidden" name="item_prices_ids[]"
                     value="<?php echo e($price_list->id); ?>">
                  <input type="text" class="form-control col-md-8 list_price use-only-numbers input-normal" name="item_prices[]"
                     data-list="<?php echo e($price_list->id); ?>"
                     value="<?php echo e(old('item_prices')[$loop->index] ?? $current_price); ?>">
               </div>
               <div class="form-group col-md-3 form-inline">
                  <label class="control-label col-md-4"><?php echo e(__('multiPrices.required_qty')); ?> :</label>
                  <input type="text" class="form-control use-only-numbers col-md-8 list_price_qty input-normal"
                     name="item_prices_qtys[]" data-list="<?php echo e($price_list->id); ?>"
                     value="<?php echo e(old('item_prices_qtys')[$loop->index] ?? $current_qty); ?>">
               </div>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
            <?php endif; ?>
            
            <div class="form-row row">
               <div class="form-group col-md-6">
                  <label class="control-label" for="barcode"><?php echo e(__('items.barcode.name')); ?> :</label>
                  <input type="number" class="form-control col-md-12 input-normal" name="barcode[]" id="barcode"
                     value="<?php echo e(old('barcode')[0] ?? $item->barcode); ?>">
               </div>
               <div class="form-group col-md-6 align-self-end">
                  <button type="button" id="new-barcode-btn" class="btn btn-info col-md-6" data-toggle="modal"
                     data-target="#new-barcode-modal">
                  <i class="fa fa-plus-circle"></i> <?php echo e(__('items.add_barcode')); ?>

                  </button>
                  <button class="btn btn-primary col-md-5 mr-1 <?php if($sub_units_bars->count() <= 0): ?> hidden <?php endif; ?>"
                     type="button" data-toggle="collapse" id="newBarcode-btn" data-target="#newBarcode"
                     aria-expanded="false" aria-controls="newBarcode"><i class="fa fa-barcode"></i>
                  <?php echo e(__('items.show_barcodes')); ?></button>
                  <div class="collapse" id="newBarcode">
                     <div class="card card-body">
                        <ul class="list-inline barcode-list p-0 m-0">
                           <?php $__currentLoopData = $sub_units_bars; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub_unit_item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                           <li class="external_barcode list-inline-item ml-1"
                              id="l-<?php echo e($sub_unit_item->unit_barcode); ?>">
                              <?php if($sub_unit_item->isFree()): ?>
                              <a href="javascript:void(0)" class="text-danger delete"
                                 data-ope="<?php echo e($sub_unit_item->unit_barcode); ?>"><i
                                 class="fa fa-times"></i></a>
                              <?php endif; ?>
                              <i id="' + $('#new-barcode').val() + '"><?php echo e($sub_unit_item->unit_barcode); ?></i>
                           </li>
                           <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                        <div id="barcodes">
                           <?php $__currentLoopData = $sub_units_bars; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub_unit_i): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                           <input type="hidden" id="h-<?php echo e($sub_unit_i->unit_barcode); ?>" name="barcode[]"
                              value="<?php echo e($sub_unit_i->unit_barcode); ?>-<?php echo e($sub_unit_i->id); ?>">
                           <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                        <div id="new-barcodes"></div>
                     </div>
                  </div>
               </div>
            </div>
            
            <?php if($settings->einvoice == 1): ?>
            <div class="form-row row">
               <div class="form-group col-md-6">
                  <label class="control-label" for="unit_einvoice_code"><?php echo e(__('items.unit_einvoice_code')); ?>

                  :</label>
                  <input type="text" class="form-control col-md-12 input-normal" name="unit_einvoice_code"
                     id="unit_einvoice_code"
                     value="<?php echo e(old('unit_einvoice_code') ?? $item->unit_einvoice_code); ?>" readonly>
               </div>
               <div class="form-group col-md-6">
                  <label class="control-label" for="item_einvoice_code"><?php echo e(__('items.item_einvoice_code')); ?>

                  :</label>
                  <div class="input-group">
                     <input type="text" class="form-control col-md-9 input-normal" name="item_einvoice_code"
                        id="item_einvoice_code"
                        value="<?php echo e(old('item_einvoice_code') ?? $item->item_einvoice_code); ?>"
                        style="border-left: 0; border-radius: 0 8px 8px 0 !important;">
                     <input type="text" class="form-control col-md-3 input-normal"
                        value="<?php echo e('-EG-' . ($einvoice_settings->registration_id ?? '')); ?>" disabled
                        style="border-right: 0; border-radius: 8px 0 0 8px; cursor: context-menu">
                  </div>
               </div>
            </div>
            <?php endif; ?>
            
            <div class="form-row row">
               <?php if($settings->einvoice == 1): ?>
               <div class="form-group col-md-6">
                  <label class="control-label" for="gpc_code"><?php echo e(__('items.gpc')); ?>

                  :</label>
                  <input type="text" class="form-control col-md-12 input-normal" name="parent_code" id="gpc_code"
                     value="<?php echo e(old('parent_code') ?? $item->parent_code); ?>">
               </div>
               <?php endif; ?>
               <div class="form-group col-md-6">
                  <label class="control-label" for="expire_date"><?php echo e(__('items.expire_date')); ?> :</label>
                  <input type="text" class="form-control col-md-12 input-normal date_" name="expire_date" id="expire_date"
                     value="<?php echo e(old('expire_date') ?? $item->expire_date); ?>">
               </div>
            </div>
            
            <div class="form-row row">
               <div class="form-group col-md-6">
                  <label class="control-label" for="unit_id"><?php echo e(__('items.main_unit')); ?> :</label>
                  <select data-live-search="true" id="unit_id" class="form-control input-normal selectpicker col-md-12"
                     data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>" name="unit_id">
                     <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit_): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <?php if($unit_->id == $item->unit_id): ?>
                     <option selected value="<?php echo e($unit_->id); ?>" data-name="<?php echo e($unit_->name); ?>"
                        data-unit_einvoice_code="<?php echo e($unit_->unit_einvoice_code); ?>">
                        <?php echo e($unit_->name); ?>

                     </option>
                     <?php else: ?>
                     <option value="<?php echo e($unit_->id); ?>" data-name="<?php echo e($unit_->name); ?>"
                        data-unit_einvoice_code="<?php echo e($unit_->unit_einvoice_code); ?>">
                        <?php echo e($unit_->name); ?>

                     </option>
                     <?php endif; ?>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </select>
               </div>
               <div class="form-group col-md-6" id="sale_unit_div">
                  <label class="control-label" for="sale_unit"><?php echo e(__('items.sale_unit.name')); ?> :</label>
                  <select class="form-control selectpicker input-normal col-md-12" name="sale_unit" id="sale_unit"
                     data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>"
                     title="<?php echo e(__('items.choose_item_cat')); ?>">
                     <?php $__currentLoopData = $main_cats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <?php if($cat->id == (old('sale_unit') ?? $item->sale_unit)): ?>
                     <option selected value="<?php echo e($cat->id); ?>"><?php echo e($cat->name); ?></option>
                     <?php else: ?>
                     <option value="<?php echo e($cat->id); ?>"><?php echo e($cat->name); ?></option>
                     <?php endif; ?>
                     <?php echo e(getSubCatOptionsWithSelected($cat->id, old('sale_unit') ?? $item->sale_unit)); ?>

                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </select>
               </div>
            </div>
            
            <div class="form-row row">
               <div class="form-group col-md-6">
                  <label class="control-label" for="supplier_id"><?php echo e(__('items.supplier')); ?> :</label>
                  <select data-live-search="true" multiple class="input-normal form-control col-md-12 selectpicker"
                     name="supplier_id[]" id="supplier_id" title="<?php echo e(__('items.chooseSupplier')); ?>">
                     <?php $__currentLoopData = $suppliers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $supplier): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <?php if(in_array($supplier->id, $suppliers_array)): ?>
                     <option selected value="<?php echo e($supplier->id); ?>">
                        <?php echo e($supplier->client_name); ?>

                     </option>
                     <?php else: ?>
                     <option value="<?php echo e($supplier->id); ?>" <?php echo e($loop->first ? 'selected' : ''); ?>>
                     <?php echo e($supplier->client_name); ?>

                     </option>
                     <?php endif; ?>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </select>
               </div>
               
            </div>
            
            
            
            
            
            <div class="form-row row">
               <div class="form-group col-md-6">
                  <label class="control-label" for="sales_vat_select"><?php echo e(__('items.sales_item_vats_type')); ?>

                  :</label>
                  <select class="col-md-12 form-control input-normal selectpicker" name="vat_state" id="sales_vat_select"
                     data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>">
                  <option value="0" <?php if((old('vat_state') ?? $item->vat_state) == 0): ?> selected <?php endif; ?> id="sales_exempt">
                  <?php echo e(__('items.exempt')); ?></option>
                  <option value="1" <?php if((old('vat_state') ?? $item->vat_state) == 1): ?> selected <?php endif; ?>
                  id="sales_not_include"><?php echo e(__('items.not_include')); ?></option>
                  <option value="2" <?php if((old('vat_state') ?? $item->vat_state) == 2): ?> selected <?php endif; ?> id="sales_include">
                  <?php echo e(__('items.include')); ?></option>
                  </select>
               </div>
               <div class="form-group col-md-6 <?php if($item->vat_state == 0): ?> hidden <?php endif; ?>"
                  id="sales_item_vats">
                  <label class="control-label" for="sales_vat_id"><?php echo e(__('items.sales_item_vats')); ?>

                  :</label>
                  <select data-live-search="true" id="sales_vat_id" multiple
                     class="form-control input-normal selectpicker col-md-12" name="vat_ids[]"
                     data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>">
                  <?php $__currentLoopData = $vats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($vat->id . '-' . $vat->vat_operation); ?>"
                  data-name="<?php echo e($vat->Addition_name); ?>" data-value="<?php echo e($vat->addition_value); ?>"
                  <?php if(in_array($vat->id, $sales_vat) || (old('vat_ids') && in_array($vat->id, old('vat_ids')))): ?> selected <?php endif; ?>><?php echo e($vat->Addition_name); ?>

                  </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </select>
               </div>
            </div>
            
            <div class="form-row row">
               <div class="form-group col-md-6">
                  <label class="control-label" for="purchase_vat_select"><?php echo e(__('items.purchase_item_vats')); ?>

                  :</label>
                  <select class="col-md-12 form-control selectpicker input-normal" name="purchase_vat_state"
                     data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>" id="purchase_vat_select">
                  <option value="0" <?php if((old('purchase_vat_state') ?? $item->purchase_vat_state) == 0): ?> selected <?php endif; ?>
                  id="purchase_exempt"><?php echo e(__('items.exempt')); ?></option>
                  <option value="1" <?php if((old('purchase_vat_state') ?? $item->purchase_vat_state) == 1): ?> selected <?php endif; ?>
                  id="purchase_not_include"><?php echo e(__('items.not_include')); ?></option>
                  <option value="2" <?php if((old('purchase_vat_state') ?? $item->purchase_vat_state) == 2): ?> selected <?php endif; ?>
                  id="purchase_include"><?php echo e(__('items.include')); ?></option>
                  </select>
               </div>
               <div class="form-group col-md-6 <?php if($item->purchase_vat_state == 0): ?> hidden <?php endif; ?>"
                  id="purcahse_item_vats">
                  <label class="control-label" for="purcahse_vat_id"><?php echo e(__('items.purchase_item_vats')); ?>

                  :</label>
                  <select data-live-search="true" id="purcahse_vat_id" class="form-control input-normal selectpicker col-md-12"
                     name="purchase_vat_ids[]" multiple
                     data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>">
                  <?php $__currentLoopData = $vats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($vat->id . '-' . $vat->vat_operation); ?>"
                  data-name="<?php echo e($vat->Addition_name); ?>" data-value="<?php echo e($vat->addition_value); ?>"
                  <?php if(in_array($vat->id, $purchase_vat) || (old('purchase_vat_ids') && in_array($vat->id, old('purchase_vat_ids')))): ?> selected <?php endif; ?>><?php echo e($vat->Addition_name); ?>

                  </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </select>
               </div>
            </div>
            
            
            
            
            <div class="row mt-3">
               <div class="col-md-12">
                  <div class="table-responsive">
                     <table
                        class="table  zui-gray-table zui-table-rounded  table-bordered table-hover bg-white
                        <?php if($item->vats->count() == 0): ?> hidden <?php endif; ?>"
                        id="vats">
                        <thead>
                           <th class="text-center"><?php echo e(__('items.tax_name')); ?></th>
                           <th class="text-center"><?php echo e(__('items.tax_value')); ?></th>
                           <th class="text-center"><?php echo e(__('items.tax_use')); ?></th>
                           <th class="text-center"><?php echo e(__('extends.action')); ?></th>
                        </thead>
                        <tbody>
                           <?php $__currentLoopData = $item->vats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                           <tr class="vat-row <?php echo e($vat->pivot->vat_use == 1 ? 'sales' : 'purchase'); ?>"
                              id="tr-<?php echo e($vat->id); ?>-<?php echo e($vat->pivot->vat_use); ?>">
                              <td class="text-center"><?php echo e($vat->Addition_name); ?></td>
                              <td class="text-center"><?php echo e($vat->addition_value); ?></td>
                              
                              <td class="text-center">
                                 <?php echo e($vat->pivot->vat_use == 1 ? __('extends.sales') : __('extends.purchase')); ?>

                              </td>
                              
                              <td class="text-center">
                                 <a href="javascript:void(0)" class="btn btn-danger btn-xs delete-vat"
                                    data-vat_id="<?php echo e($vat->id); ?>"
                                    data-vat_use="<?php echo e($vat->pivot->vat_use); ?>">
                                 <i class="fa fa-trash"></i>
                                 </a>
                              </td>
                           </tr>
                           <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                     </table>
                  </div>
               </div>
            </div>
            
            <div class="row">
                <?php if( get_session_val('ecomme', 'integer') == 1 ): ?>
                    <div class="form-group col-md-6">
                        <label class="control-label" for="order_max_quantity">اقصي عدد للطلب من المتجر :</label>
                        <input type="number" min="0" class="form-control col-md-12 input-normal" name="order_max_quantity" id="order_max_quantity" value="<?php echo e(old('order_max_quantity') ?? $item->order_max_quantity); ?>">
                    </div>
                <?php endif; ?>
            </div>
            
            
            <?php if($all_sub_units->count()): ?>
            <div class="row">
               <div id="sub_units_inputs">
                  <?php $__currentLoopData = $all_sub_units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub_u): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <?php
                  $einvoice = $settings->einvoice == 1 ? '-' . $sub_u->unit_einvoice_code . '-' : '-';
                  $value = $sub_u->id . '-' . $sub_u->unit_barcode . $einvoice . $sub_u->unit_id . '-' . $sub_u->unit_price . '-' . $sub_u->unit_type . '-' . $sub_u->unit_value . '-' . $sub_u->Screenhidden;
                  ?>
                  <input type="hidden" name="sub_units[]" class="input-<?php echo e($sub_u->unit_id); ?>"
                     id="input-<?php echo e($sub_u->id); ?>"
                     value="<?php echo e($value); ?>">
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
               </div>
               <div class="col-md-12">
                  <div class="table-responsive">
                     <table class="table  zui-gray-table zui-table-rounded  table-hover bg-white" id="sub_units">
                        <thead>
                           <th class="text-center"><?php echo e(__('items.unit.title')); ?></th>
                           <?php if($settings->einvoice == 1): ?>
                           <th class="text-center"><?php echo e(__('items.unit.einvoice_code')); ?></th>
                           <?php endif; ?>
                           <th class="text-center"><?php echo e(__('items.unit.value')); ?></th>
                           <th class="text-center"><?php echo e(__('items.unit.price')); ?></th>
                           <th class="text-center"><?php echo e(__('items.unit.pay-price')); ?></th>
                           <th class="text-center"><?php echo e(__('items.unit.barcode')); ?></th>
                           <th class="text-center">  <?php echo app('translator')->get('items.add-barcode-for-unit'); ?> </th>
                           <th class="text-center"><?php echo e(__('extends.action')); ?></th>
                        </thead>
                        <tbody>
                           <?php $__currentLoopData = $all_sub_units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub_unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                           <tr id="<?php echo e($sub_unit->unit_barcode . '-' . $sub_unit->unit_id); ?>"
                              class="tr-<?php echo e($sub_unit->unit_id); ?>">
                              <td class="text-center"
                                 id="<?php echo e($sub_unit->unit_barcode . '-' . $sub_unit->unit_id . '-' . 'name'); ?>">
                                 <?php echo e($sub_unit->name); ?>

                              </td>
                              <?php if($settings->einvoice == 1): ?>
                              <td class="text-center"
                                 id="<?php echo e($sub_unit->unit_barcode . '-' . $sub_unit->unit_id . '-' . 'code'); ?>">
                                 <?php echo e($sub_unit->unit_einvoice_code); ?>

                              </td>
                              <?php endif; ?>
                              <td class="text-center"
                                 id="<?php echo e($sub_unit->unit_barcode . '-' . $sub_unit->unit_id . '-' . 'unit_value'); ?>">
                                 <?php echo e(quant_decimal($sub_unit->unit_value)); ?>

                              </td>
                              <td class="text-center"
                                 id="<?php echo e($sub_unit->unit_barcode . '-' . $sub_unit->unit_id . '-' . 'price'); ?>">
                                 <?php echo e(price_decimal($sub_unit->unit_price)); ?>

                              </td>
                              <td class="text-center unit_pay_price" data-qty="<?php echo e($sub_unit->unit_value); ?>"
                                 id="<?php echo e($sub_unit->unit_barcode . '-' . $sub_unit->unit_id . '-' . 'pay_price'); ?>">
                                 <?php echo e(price_decimal($sub_unit->unit_value * $item->pay_price)); ?>

                              </td>
                              <td class="text-center"
                                 id="<?php echo e($sub_unit->unit_barcode . '-' . $sub_unit->unit_id . '-' . 'barcode'); ?>">
                                 <?php echo e($sub_unit->unit_barcode); ?>

                                 <br>
                                 <div
                                    class="card card-body <?php if($sub_units_bars->count() > 0): ?>
                                    <?php else: ?> hidden <?php endif; ?>">
                                    <ul class="list-inline unit-barcode-list p-0 m-0"></ul>
                                    <div id="list_bar-<?php echo e($sub_unit->unit_id); ?>">
                                       <?php $__currentLoopData = $sub_units_bars; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub_units_bar): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                       <li class="external_barcode list-inline-item ml-1" id="subbarcode-{barcode}">
                                          <i id="<?php echo e($sub_units_bar->unit_barcode); ?>">
                                          <?php echo e($sub_units_bar->unit_barcode); ?></i>
                                       </li>
                                       <br>
                                       
                                       <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                       
                                       <br>
                                    </div>
                                    </li>
                                    </ul>
                                 </div>
                              </td>
                              <td class="text-center">
                                 <button type="button" id="new-sub-barcode-btn"
                                    data-sub_unit_id="<?php echo e($sub_unit->unit_id); ?>"
                                    data-sub_unit_value="<?php echo e($sub_unit->unit_value); ?>"
                                    data-sub_unit_price="<?php echo e($sub_unit->unit_price); ?>"
                                    class="btn btn-info col-md-9" data-toggle="modal"
                                    data-target="#new-sub-barcode-modal">
                                 <i class="fa fa-plus-circle"></i>   <?php echo app('translator')->get('items.add-barcode'); ?>
                                 </button>
                              </td>
                              <td class="text-center">
                                 <a class="btn btn-xs btn-warning" data-toggle="modal" data-target="#updateSubUnitElementModal" data-href="<?php echo e($sub_unit->id); ?>" style="margin-left:5px;">
                                 <i class="fa fa-edit"></i>
                                 </a>
                                 <?php if($sub_unit->isFree()): ?>
                                 <a href="javascript:void(0)" class="btn btn-danger btn-xs delete-sub-unit"
                                 data-barcode="<?php echo e($sub_unit->unit_barcode); ?>"
                                 data-id="<?php echo e($sub_unit->id); ?>"
                                 <?php $__currentLoopData = $sub_units_bars; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub_units_bar): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                 data-sub-barcode="<?php echo e($sub_units_bar->unit_barcode); ?> .'-'." <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                 data-unit="<?php echo e($sub_unit->unit_id); ?>">
                                 <i class="fa fa-trash"></i>
                                 </a>
                                 <?php endif; ?>
                              </td>
                           </tr>
                           <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                     </table>
                  </div>
               </div>
            </div>
      </div>
   </div>
   <?php endif; ?>
   
   <div class="row">
   <div id="new_sub_units_inputs"></div>
   <div class="col-md-12">
   <div class="table-responsive">
   <table class="table zui-gray-table zui-table-rounded table-bordered table-hover bg-white hidden" id="new_sub_units">
   <thead>
   <th class="text-center"><?php echo e(__('items.unit.title')); ?></th>
   <?php if($settings->einvoice == 1): ?>
   <th class="text-center"><?php echo e(__('items.unit.einvoice_code')); ?></th>
   <?php endif; ?>
   <th class="text-center"><?php echo e(__('items.unit.value')); ?></th>
   <th class="text-center"><?php echo e(__('items.unit.price')); ?></th>
   <th class="text-center"><?php echo e(__('items.unit.pay-price')); ?></th>
   <th class="text-center"><?php echo e(__('items.unit.barcode')); ?></th>
   <th class="text-center"><?php echo app('translator')->get('items.add-barcode-for-unit'); ?></th>
   <th class="text-center"><?php echo e(__('extends.action')); ?></th>
   </thead>
   <tbody></tbody>
   </table>
   </div>
   </div>
   </div>
   
   <?php if($settings->color_size != 0): ?>

   <hr>

        <div class="form-row row">
     <h4 class="text-info d-block"><?php echo e(__('items.select_item_color_Size')); ?></h4>
        </div>
        <div class="form-row row">
      <div class="form-group col-md-6">
       <label class="control-label" for="size_id"><?php echo e(__('items.sizes')); ?> :</label>
        <select data-live-search="true" id="size_id" title="<?php echo e(__('items.choose_size')); ?>"
         class="form-control selectpicker col-md-12 input-normal" name="sizes[]" multiple
         data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>">
          <?php $__currentLoopData = $sizes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $size): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
           <?php if(in_array($size->id, $size_array)): ?>
           <option selected value="<?php echo e($size->id); ?>" data-name="<?php echo e($size->size_name); ?>">
           <?php echo e($size->size_name); ?>

           </option>
            <?php else: ?>
          <option value="<?php echo e($size->id); ?>" data-name="<?php echo e($size->size_name); ?>">
           <?php echo e($size->size_name); ?>

          </option>
          <?php endif; ?>
           <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
         </select>
       </div>
       <div class="form-group col-md-6 d-flex flex-column justify-content-end">
        <button type="button" class="btn btn-info col-md-6" id="new-size-btn" data-toggle="modal"
         data-target="#new-size-modal">
         <i class="fa fa-plus-circle"></i> <?php echo e(__('items.add_size')); ?>

         </button>
        </div>
        </div>
        <div class="form-row row">
    <div class="form-group col-md-6">
      <label class="control-label" for="color_id"><?php echo e(__('items.colors')); ?> :</label>
      <select data-live-search="true" id="color_id" class="form-control selectpicker input-normal col-md-12"
         data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>" name="colors[]"
         title="<?php echo e(__('items.choose_color')); ?>" multiple>
        <?php $__currentLoopData = $colors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $color): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
         <?php if(in_array($color->id, $color_array)): ?>
       <option selected value="<?php echo e($color->id); ?>" data-name="<?php echo e($color->color_name); ?>">
        <?php echo e($color->color_name); ?>

     </option>
      <?php else: ?>
     <option value="<?php echo e($color->id); ?>" data-name="<?php echo e($color->color_name); ?>">
      <?php echo e($color->color_name); ?>

      </option>
      <?php endif; ?>
      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
      </select>
    </div>
    <div class="form-group col-md-6 d-flex flex-column justify-content-end">
      <button type="button" class="btn btn-info col-md-6" id="new-color-btn" data-toggle="modal"
         data-target="#new-color-modal">
          <i class="fa fa-plus-circle"></i> <?php echo e(__('items.add_color')); ?>

       </button>
    </div>
        </div>
   <hr>
   <?php endif; ?>

   
   
   
   <?php if($settings->bolla != 0): ?>
   <hr>
   <div class="form-row row">
   <div class="form-group col-md-6">
   <label class="control-label" for="bolla"><?php echo e(__('items.seller_commission')); ?> :</label>
   <input type="text" class="form-control input-normal col-md-12" name="bolla" value="<?php echo e($item->bolla); ?>"
      id="bolla">
   </div>
   </div>
   <hr>
   <?php endif; ?>
   
   <?php if($settings->module == 7): ?>
   <hr>
   <div class="form-row row">
   <div class="form-group col-md-6">
   <label class="control-label" for="meter_ceramic"><?php echo e(__('items.meters_per_carton')); ?>

   :</label>
   <input type="text" class="form-control col-md-12 input-normal" name="meter_ceramic"
      value="<?php echo e($item->meter_ceramic); ?>" id="meter_ceramic" />
   </div>
   </div>
   <hr>
   <?php endif; ?>
   
   <?php if($settings->module == 6): ?>
   <hr>
   <div class="form-row row">
   <div class="form-group col-md-6">
   <label class="control-label" for="background_color"><?php echo e(__('items.background_color')); ?>

   :</label>
   <input type="color" class="form-control col-md-12 jscolor input-normal" name="background_color"
      value="<?php echo e($item->background_color); ?>" id="background_color">
   </div>
   <div class="form-group col-md-6">
   <label class="control-label" for="order_show"><?php echo e(__('items.order_show')); ?> :</label>
   <input type="text" class="form-control col-md-12 input-normal" name="order_show" value="<?php echo e($item->order_show); ?>"
      id="order_show">
   </div>
   </div>
   <hr>
   <?php endif; ?>
   
   <?php if($settings->module == 13): ?>
   <hr>
   <div class="form-row row">
   <div class="form-group col-md-4">
   <label class="control-label" for="small_qty"><?php echo e(__('items.amount_used_for_small_cars')); ?>

   :</label>
   <input type="text" class="form-control col-md-12 numbercheck" name="small_qty" id="small_qty"
      value="<?php echo e($item->used_for_small); ?>" />
   </div>
   <div class="form-group col-md-4">
   <label class="control-label" for="small_price"><?php echo e(__('items.amount_used_for_medium_cars')); ?>

   :</label>
   <input type="text" class="form-control col-md-12 numbercheck" name="medium_qty" id="medium_qty"
      value="<?php echo e($item->used_for_medium); ?>" />
   </div>
   <div class="form-group col-md-4">
   <label class="control-label" for="medium_price"><?php echo e(__('items.amount_used_for_large_cars')); ?>

   :</label>
   <input type="text" class="form-control col-md-12 numbercheck" name="large_qty" id="large_qty"
      value="<?php echo e($item->used_for_large); ?>" />
   </div>
   </div>
   <hr>
   <?php endif; ?>
   
   <?php if($settings->module == 8): ?>
   <hr>
   <div class="form-row row">
   <div class="form-group col-md-6">
   <label class="control-label" for="card_company_id"><?php echo e(__('items.shipping_companies')); ?>

   :</label>
   <select data-live-search="true" name="card_company_id" id="card_company_id"
      class="form-control selectpicker col-md-12"
      data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>"
      title="<?php echo e(__('items.select_shipping_company')); ?>">
   <?php $__currentLoopData = $cardCompany; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $card): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
   <?php if($card->id == $item->card_company_id): ?>
   <option selected value="<?php echo e($card->id); ?>" data-name="<?php echo e($card->company_name); ?>">
   <?php echo e($card->company_name); ?></option>
   <?php else: ?>
   <option value="<?php echo e($card->id); ?>" data-name="<?php echo e($card->company_name); ?>">
   <?php echo e($card->company_name); ?></option>
   <?php endif; ?>
   <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
   </select>
   </div>
   <div class="form-group col-md-6 d-flex flex-column justify-content-end">
   <a href="javascript:void(0)" class="btn btn-info col-md-6" id="new-color-btn"><i
      class="fa fa-plus-circle"></i> <?php echo e(__('items.add_shipping_company')); ?>

   </a>
   </div>
   </div>
   <hr>
   <?php endif; ?>
   
<div class="form-group col-md-12 p-3 bg-white">
      <h4 for="item_options" class="text-info"><?php echo e(__('items.item_options')); ?> :</h4>
       
     <div class="form-row row text-center">
      <?php if(get_session_val('units_sup', 'Integer') == 1): ?>
     <div class="form-group col-md-4">
      <label class="control-label col-md-8" for="add-sub-units"><?php echo e(__('items.add_sub_units')); ?>

       :</label>
        <a href="javascript:void(0)" class="btn btn-info" id="add-sub-units"
          data-sub_units="<?php echo e($all_sub_units->count()); ?>">
           <i class="fa fa-plus-circle"></i> <?php echo e(__('extends.add')); ?>

        </a>
     </div>
      <?php endif; ?>
    <div class="form-inline col-md-4">
     <label class="control-label col-md-8" for="available"><?php echo e(__('items.show_inventory')); ?>

      :</label>
       <div class="col-md-4">
       <input type="checkbox" class="form-control" name="available" id="available"
        <?php if($item->available == 1): ?> checked <?php endif; ?>>
        </div>
    </div>
    <div class="form-inline col-md-4">
        <label class="control-label col-md-8" for="online"><?php echo e(__('items.show_online_store')); ?>

         :</label>
          <div class="col-md-4">
          <input type="checkbox" class="form-control" name="online" id="online"
           <?php if($item->online == 1): ?> checked <?php endif; ?>>
           </div>
    </div>
    <div class="form-inline col-md-4">
        <label class="control-label col-md-8" for="is_special"><?php echo e(__('items.is_special')); ?>

         :</label>
          <div class="col-md-4">
          <input type="checkbox" class="form-control" name="is_special" id="is_special"
           <?php if($item->is_special == 1): ?> checked <?php endif; ?>>
           </div>
    </div>
   <div class="form-inline col-md-4">
      <label class="control-label col-md-8" for="is_service"><?php echo e(__('items.service_item')); ?>:</label>
     <div class="col-md-4">
      <input type="checkbox" class="form-control" name="is_service" id="is_service"
       <?php if($item->is_service == 1): ?> checked <?php endif; ?>>
      </div>
     <small class="italic"><?php echo app('translator')->get('items.hidden-in-report'); ?></small>
   </div>
   
</div>
   
   
   
   
   
   
   <?php if($settings->manufacturing): ?>
   <div class="form-row row text-center mt-3 mb-3">
   <div class="form-inline col-md-4">
   <label for="main_item" class="control-label col-md-8"><?php echo e(__('items.main_item')); ?>

   :</label>
   <input id="main_item" class="col-md-4" name="manufacturing" type="radio" value="0"
   <?php if($item->manufacturing == 0): ?> checked <?php endif; ?>>
   </div>
   <div class="form-inline col-md-4">
   <label for="main_manuf" class="control-label col-md-8"><?php echo e(__('items.main_manufacturer')); ?> :</label>
   <input id="main_manuf" class="col-md-4" name="manufacturing" type="radio" value="1"
   <?php if($item->manufacturing == 1): ?> checked <?php endif; ?>>
   </div>
   <div class="form-inline col-md-4">
   <label for="item_manuf" class="control-label col-md-8"><?php echo e(__('items.item_manufacturer')); ?> :</label>
   <input id="item_manuf" class="col-md-4" name="manufacturing" type="radio" value="2"
   <?php if($item->manufacturing == 2): ?> checked <?php endif; ?>>
   </div>
   </div>
   <?php endif; ?>
   </div>
   
   <div class="form-row row mb-4">
   <div class="form-group col-md-6">
   <label class="control-label" for="details"><?php echo e(__('items.details')); ?> :</label>
   <textarea class="form-control h-100" name="details" style="resize: none" id="details" rows="7"><?php echo e($item->details); ?></textarea>
   </div>
   <div class="form-group col-md-6">
   <label class="control-label d-block" for="game"><?php echo e(__('items.image.name')); ?> :</label>
   <div class="text-center">
   <input type="file" class="mb-3" name="images" accept="image/*" onchange="loadFile(event)">
   <img id="output" width="200" height="200" src="<?php echo e(asset($item->img)); ?>">
   </div>
   </div>
   </div>

   <div class="form-row row mb-4 mt-5 justify-content-center">
   <div class="form-group col-md-2">

   <button class="btn btn-success w-100"><?php echo e(__('extends.save')); ?></button>
   </div>
   </div>
   </form>
   <div class="col-md-12">
      <input type="hidden" name="date_now" id="date_now">
      <div id="dataContent"></div>
   </div>
</div>
</div>
<div class="modal fade" id="new-sub-barcode-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
   aria-hidden="true">
   <div class="modal-dialog">
      <div class="modal-content">
         <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title" style="margin-left:200px"><?php echo app('translator')->get('items.add-barcode-for-unit'); ?></h4>
         </div>
         <div class="modal-body">
            
               
               <div class="modal-body" id="modal-loader-u">
                  <div class="form-group">
                     <input type="hidden" name="unit_id" id="sub_bar_unit_id" value="" />
                     <input type="hidden" name="unit_value" id="sub_bar_unit_value" value="" />
                     <input type="hidden" name="unit_price" id="sub_bar_unit_price" value="" />
                     <label class="control-label" for="barcode"> <?php echo app('translator')->get('items.barcode.name'); ?> :</label>
                     <input type="number" class="form-control" name="sub_barcode[]" id="new-sub-barcode"
                        autofocus />
                  </div>
               </div>
               
         </div>
         <div class="modal-footer">
            <a href="javascript:void(0)" class="btn btn-primary"
               id="add-sub-barcode-btn"><?php echo e(trans('extends.save-btn')); ?> </a>
            <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo e(trans('extends.close')); ?>

            </button>
         </div>
      </div>
   </div>
</div>
<?php echo $__env->make('item::popups', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css-scripts'); ?>
<link href="<?php echo e(asset('css/calenders/jquery.calendars.picker.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js-scripts'); ?>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.plus.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.plugin.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.picker.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura-ar.js')); ?>"></script>
<script>
   $(function() {
       $('#details').val('');
       $('#details').val('<?php echo e($item->details); ?>');
       $(document).scrollTop(0);

       $('#sale_unit_div').find("button").parent().addClass("col-md-9");
       $('#sale_unit_div').find("ul").css("text-align", "left");
       $('#sale_unit_div').find("ul").first().css("width", "100%");
       $('#sale_unit_div').find("button").css("width", "100%");
       $('.bts_dropdown ').css({
           "margin": "0",
           "padding": "0"
       });

   });

   $(function() {
       if ('<?php echo e(get_session_val('date_type', 'Integer')); ?>' == '2') {
           $(".date").calendarsPicker({
               calendar: $.calendars.instance('gregorian'),
               dateFormat: 'Y-mm-dd',
               defaultDate: "0",
               selectDefaultDate: true
           });

           $(".date_").calendarsPicker({
               calendar: $.calendars.instance('gregorian'),
               dateFormat: 'Y-mm-dd',

           });
       } else {
           $(".date").calendarsPicker({
               calendar: $.calendars.instance('ummalqura'),
               dateFormat: 'Y-mm-dd',
               defaultDate: "0",
               selectDefaultDate: true

           });

           $(".date_").calendarsPicker({
               calendar: $.calendars.instance('ummalqura'),
               dateFormat: 'Y-mm-dd',
           });
       }

       $(function() {
           if ($('#quantity').val() > 0) {
               $('#quantity').trigger('change');
           }
       });

       $(document).on('change', '#quantity', function() {
           var value = $(this).val();
           if (value >= 0) {
               var store_name = $('#stores option:selected').data('store_name');
               var store_count = $('#stores').data('store_count');
               var text = store_count >= 1 ? `<?php echo e(__('items.edit_store_note')); ?> ${store_name}` :
                   `<?php echo e(__('items.add_store_note')); ?> ${store_name}`

               $("#store_div").removeClass('hidden');
               $('#store_note').removeClass('hidden').empty().text(text);
           } else {
               $(this).val(0);
               $("#store_div").addClass('hidden');
               $('#store_note').addClass('hidden');
           }
       });

       $(document).on('change', '#stores', function() {
           var store_name = $('#stores option:selected').data('store_name');
           $('#store_note').removeClass('hidden').empty().text(
               `<?php echo e(__('items.edit_store_note')); ?> ${store_name}`);
           var qty = parseFloat($(this).children('option:selected').data('quant'));
           $('#quantity').val(qty);
       });
   });
</script>

<script>
   $("#vat_id").change(function(e) {
       e.preventDefault();

       $("#vats >tbody").empty();
       $("#vats").removeClass('hidden');

       $('#vat_id option:selected').each(function() {
           var vat_id = $(this).val();

           $("#vats >tbody").append(
               `<tr class="vat-row" id="tr-${vat_id}">
                   <td class="text-center">${$(this).data('name')}</td>
                   <td class="text-center">${$(this).data('value')}</td>
                   <td class="text-center">
                       <label for="both-${vat_id}">كلاهما:</label>
                       <input id="both-${vat_id}" name="vats[${vat_id}]" type="radio" value="0" style="margin-left: 10px;" checked>

                       <label for="pay-${vat_id}">مبيعات:</label>
                       <input id="pay-${vat_id}" name="vats[${vat_id}]" type="radio" value="1" style="margin-left: 10px;">

                       <label for="sale-${vat_id}">مشتريات:</label>
                       <input id="sale-${vat_id}" name="vats[${vat_id}]" type="radio" value="2">
                   </td>
                   <td class="text-center">
                       <a href="javascript:void(0)" class="btn btn-danger btn-xs delete-vat"
                           data-vat_id=${vat_id}>
                           <i class="fa fa-trash"></i>
                       </a>
                   </td>
               </tr>`);
       });

       var table_length = $(document).find(".vat-row").length;

       table_length == 0 && $("#vats").addClass('hidden');
   });

   $(document).on('click', '.delete-vat', function() {
       var id = $(this).data('vat_id');
       var vat_use = $(this).data('vat_use');
       var currentVats = $('#vat_id').val();
       var currentSalesVats = $("#sales_vat_id").val();
       var currentPurchasesVats = $("#purcahse_vat_id").val();
       var table_length = $(document).find(".vat-row").length;
       var einvoice = <?php echo e($settings->einvoice); ?>;

       if (confirm('هل تريد حذف الضريبة ؟')) {
           $(`#tr-${id}-${vat_use}`).remove();

           if (einvoice == 1) {
               // remove from vats array
               currentVats = jQuery.grep(currentVats, function(value) {
                   return value != id;
               });

               $('#vat_id').val(currentVats);
               $('#vat_id').selectpicker('refresh', {
                   noneSelectedText: "<?php echo e(trans('native.no-selected')); ?>"
               });

               table_length == 1 && $("#vats").addClass('hidden');
           } else {
               // If E-Invoice is disabled
               if (vat_use == 1 && $(document).find(".sales").length > 0) {
                   currentSalesVats = jQuery.grep(currentSalesVats, function(value) {
                       return value != id;
                   });

                   $('#sales_vat_id').val(currentSalesVats);
                   $('#sales_vat_id').selectpicker('refresh', {
                       noneSelectedText: "<?php echo e(trans('native.no-selected')); ?>"
                   });

                   if (['', ' ', null].includes(currentSalesVats)) {
                       alert('يجب تحديد ضريبة للمبيعات');
                       $("#sales_exempt").prop('checked', true);
                       $('#sales_item_vats').addClass('hidden');
                       $('#sales_vat_id option').first().prop('selected', true);
                       $('#sales_vat_id').selectpicker('refresh', {
                           noneSelectedText: "<?php echo e(trans('native.no-selected')); ?>"
                       });
                   }
               } else if ($(document).find(".sales").length == 0) {
                   $("#sales_exempt").prop('checked', true);
                   $('#sales_item_vats').addClass('hidden');
               }

               if (vat_use == 2 && $(document).find(".purchase").length > 0) {
                   currentPurchasesVats = jQuery.grep(currentPurchasesVats, function(value) {
                       return value != id;
                   });

                   $('#purcahse_vat_id').val(currentPurchasesVats);
                   $('#purcahse_vat_id').selectpicker('refresh', {
                       noneSelectedText: "<?php echo e(trans('native.no-selected')); ?>"
                   });

                   if (['', ' ', null].includes(currentPurchasesVats)) {
                       $("#purchase_exempt").prop('checked', true);
                       $('#purcahse_item_vats').addClass('hidden');
                       $('#purcahse_vat_id option').first().prop('selected', true);
                       $('#purcahse_vat_id').selectpicker('refresh', {
                           noneSelectedText: "<?php echo e(trans('native.no-selected')); ?>"
                       });
                   }
               } else if ($(document).find(".purchase").length == 0) {
                   $("#purchase_exempt").prop('checked', true);
                   $('#purcahse_item_vats').addClass('hidden');
               }

               table_length == 1 && $("#vats").addClass('hidden');
           }
       }
   });
</script>

<script>
   // Sales Vats State
   $(document).on('change', '#sales_vat_select', function() {
       var item_vat_state = $(this).val();

       if (item_vat_state == 1) {
           $("#sales_vat_id").attr('multiple', 'multiple');
           $("#sales_vat_id").selectpicker('destroy');
           $("#sales_vat_id").selectpicker();
           $(document).find(".sales").length == 0 && $('#sales_vat_id option').first().prop('selected', true);
           $('#sales_vat_id').selectpicker('refresh', {
               noneSelectedText: "<?php echo e(trans('native.no-selected')); ?>"
           });
           $('#sales_item_vats').removeClass('hidden');
       } else {
           $('#sales_vat_id').removeAttr('multiple');
           $("#sales_vat_id").selectpicker('destroy');
           $("#sales_vat_id").selectpicker({
               noneSelectedText: "<?php echo e(trans('native.no-selected')); ?>"
           });
           $('#sales_item_vats').removeClass('hidden');
       }

       if (item_vat_state > 0) {
           $("#vats").removeClass('hidden');
           $(document).find(".sales").remove();
           $('#sales_vat_id option:selected').each(function() {
               var vat_id = $(this).val();

               $("#vats >tbody").append(
                   `<tr class="vat-row sales" id="tr-${vat_id}-1">
                       <td class="text-center">${$(this).data('name')}</td>
                       <td class="text-center">${$(this).data('value')}</td>
                       <td class="text-center"><?php echo e(__('extends.sales')); ?></td>
                       <td class="text-center">
                           <a href="javascript:void(0)" class="btn btn-danger btn-xs delete-vat"
                               data-vat_id=${vat_id} data-vat_use="1">
                               <i class="fa fa-trash"></i>
                           </a>
                       </td>
                   </tr>`);
           });
       } else {
           $(document).find(".sales").remove();
           $('#sales_item_vats').addClass('hidden');
       }
   });

   // Sales Vats selectpicker
   $(document).on('change', '#sales_vat_id', function(e) {
       var item_vat_state = $(this).val();

       if (['', ' ', null].includes($(this).val())) {
           alert("<?php echo e(__('extends.sales_vat_alert')); ?>");
           $(document).find(".sales").remove();
           $("#sales_exempt").prop('checked', true);
           $('#sales_item_vats').addClass('hidden');
           $('#sales_vat_id option').first().prop('selected', true);
           return false;
       }

       $("#vats").removeClass('hidden');
       $(document).find(".sales").remove();

       $('#sales_vat_id option:selected').each(function() {
           var vat_id = $(this).val();

           $("#vats >tbody").append(
               `<tr class="vat-row sales" id="tr-${vat_id}-1">
                   <td class="text-center">${$(this).data('name')}</td>
                   <td class="text-center">${$(this).data('value')}</td>
                   <td class="text-center"><?php echo e(__('extends.sales')); ?></td>
                   <td class="text-center">
                       <a href="javascript:void(0)" class="btn btn-danger btn-xs delete-vat"
                           data-vat_id=${vat_id} data-vat_use="1">
                           <i class="fa fa-trash"></i>
                       </a>
                   </td>
               </tr>`);
       });
   });

   // Purchases Vats State
   $(document).on('change', '#purchase_vat_select', function() {
       var item_vat_state = $(this).val();

       if (item_vat_state == 1) {
           $("#purcahse_vat_id").attr('multiple', 'multiple');
           $("#purcahse_vat_id").selectpicker('destroy');
           $("#purcahse_vat_id").selectpicker();
           $(document).find(".purchase").length == 0 && $('#purcahse_vat_id option').first().prop('selected',
               true);
           $('#purcahse_vat_id').selectpicker('refresh', {
               noneSelectedText: "<?php echo e(trans('native.no-selected')); ?>"
           });
           $('#purcahse_item_vats').removeClass('hidden');
       } else {
           $('#purcahse_vat_id').removeAttr('multiple');
           $("#purcahse_vat_id").selectpicker('destroy');
           $("#purcahse_vat_id").selectpicker({
               noneSelectedText: "<?php echo e(trans('native.no-selected')); ?>"
           });
           $('#purcahse_item_vats').removeClass('hidden');
       }

       if (item_vat_state > 0) {
           $("#vats").removeClass('hidden');
           $(document).find(".purchase").remove();
           $('#purcahse_vat_id option:selected').each(function() {
               var vat_id = $(this).val();

               $("#vats >tbody").append(
                   `<tr class="vat-row purchase" id="tr-${vat_id}-2">
                       <td class="text-center">${$(this).data('name')}</td>
                       <td class="text-center">${$(this).data('value')}</td>
                       <td class="text-center"><?php echo e(__('extends.purchase')); ?></td>
                       <td class="text-center">
                           <a href="javascript:void(0)" class="btn btn-danger btn-xs delete-vat"
                               data-vat_id=${vat_id} data-vat_use="2">
                               <i class="fa fa-trash"></i>
                           </a>
                       </td>
                   </tr>`);
           });
       } else {
           $(document).find(".purchase").remove();
           $('#purcahse_item_vats').addClass('hidden');
       }
   });

   // Purchases Vats selectpicker
   $(document).on('change', '#purcahse_vat_id', function(e) {
       var item_vat_state = $('#purchase_vat_select').val();

       if (['', ' ', null].includes($(this).val())) {
           alert("<?php echo e(__('extends.purchase_vat_alert')); ?>");
           $(document).find(".purchase").remove();
           $("#purchase_exempt").prop('checked', true);
           $('#purcahse_item_vats').addClass('hidden');
           $('#purcahse_vat_id option').first().prop('selected', true);
           return false;
       }

       $("#vats").removeClass('hidden');
       $(document).find(".purchase").remove();
       $('#purcahse_vat_id option:selected').each(function() {
           var vat_id = $(this).val();

           $("#vats >tbody").append(
               `<tr class="vat-row purchase" id="tr-${vat_id}-2">
                   <td class="text-center">${$(this).data('name')}</td>
                   <td class="text-center">${$(this).data('value')}</td>
                   <td class="text-center"><?php echo e(__('extends.purchase')); ?></td>
                   <td class="text-center">
                       <a href="javascript:void(0)" class="btn btn-danger btn-xs delete-vat"
                           data-vat_id=${vat_id} data-vat_use="2">
                           <i class="fa fa-trash"></i>
                       </a>
                   </td>
               </tr>`);
       });
   });
</script>

<script>
   $("#einvoice_vat_state").on('change', function() {
       var einvoice_vat_state = $(this).val();
       if (einvoice_vat_state != 0) {
           $('#vat_id_div').removeClass('hidden');
       }
   });
</script>
<script>
   var loader = `<div class="text-center">
           <div class="spinner-border text-primary" role="status">
               <span class="sr-only">Loading...</span>
           </div>
       </div>`;

   var decimal_value = '<?php echo e($price_decimal); ?>';

   $.ajaxSetup({
       headers: {
           'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
           type: "GET",
           data: null,
           contentType: false,
           cache: false,
           processData: false,
       }
   });

   // $('#item_name').focusout(function() {
   //     $('#about').val($('#item_name').val());
   // });

   $('#sale_price').focusout(function() {
       $('.prices').val($('#sale_price').val());
   });

   var unitId = $("#unit_id option:selected");
   $("#unit_einvoice_code").val(unitId.data("unit_einvoice_code"));
   $.map($('#unit option'), function(val, index) {
       if ($(val).val() == unitId.val()) {
           $(val).addClass('hidden');
           $('#unit').val($('#unit option').not('.hidden').first().val());
           $('#unit').selectpicker('refresh', {
               noneSelectedText: "<?php echo e(trans('native.no-selected')); ?>"
           });
       } else {
           $(val).removeClass('hidden');
           $('#unit').selectpicker('refresh', {
               noneSelectedText: "<?php echo e(trans('native.no-selected')); ?>"
           });
       }
   });

   $("#unit_id").change(function(e) {
       e.preventDefault();
       var unitId = $("#unit_id option:selected");
       $("#unit_einvoice_code").val(unitId.data("unit_einvoice_code"));
       $.map($('#unit option'), function(val, index) {
           if ($(val).val() == unitId.val()) {
               $(val).addClass('hidden');
               $('#unit').val($('#unit option').not('.hidden').first().val());
               $('#unit').selectpicker('refresh', {
                   noneSelectedText: "<?php echo e(trans('native.no-selected')); ?>"
               });
           } else {
               $(val).removeClass('hidden');
               $('#unit').selectpicker('refresh', {
                   noneSelectedText: "<?php echo e(trans('native.no-selected')); ?>"
               });
           }
       });
   });

   $(document).on('click', '#new-supplier-btn', function(e) {
       e.preventDefault();
       $('#new-supplier-modal').modal('show');
   });

   /********************************************************************************************************************************************/
   // New Supplier Modal
   $('#new-supplier-form-modal').on('submit', function(e) {
       e.preventDefault();
       data = new FormData($('#new-supplier-form-modal')[0]);
       $.ajax({
           url: "<?php echo e(route('items.supplier.store')); ?>",
           type: "post",
           data: data,
           contentType: false,
           cache: false,
           processData: false, // <==
           beforeSend: function() {
               $('#modal_client').empty().append(loader);
           },
           success: function(data) {
               1
               $(document).find('#supplier_id').prev('div').find('ul').append(data.list);
               $(document).find('#supplier_id').append(data.option);
               //$('.selectpicker').selectpicker('refresh', {noneSelectedText : "<?php echo e(trans('native.no-selected')); ?>"});
               $('#messages').removeClass('hidden').addClass('alert alert-success').html(
                   '<?php echo e(__('extends.save_sucessfully')); ?>');
               $('#new-supplier-modal').modal('toggle');
           },
           error: function(xhr) {
               var error = '<ul class="list-unstyled mb-0 pr-0">';
               $.each(xhr.responseJSON.errors, function(index, value) {
                   error += '<li>' + value + '</li>';
               });
               error += "</ul>";

               var supplier_name = $("#supplier_name").val();
               var tele = $("#tele").val();

               if (['', ' ', null].includes(supplier_name)) {
                   $('#supplier_name').focus();
                   $('label[for="supplier_name"]').addClass('text-danger');
                   $("#supplier_name").addClass('invalid');
               } else {
                   $('label[for="supplier_name"]').removeClass('text-danger');
                   $("#supplier_name").removeClass('invalid');
               }

               if (['', ' ', null].includes(tele)) {
                   $('#tele').focus();
                   $('label[for="tele"]').addClass('text-danger');
                   $("#tele").addClass('invalid');
               } else {
                   $('label[for="tele"]').removeClass('text-danger');
                   $("#tele").removeClass('invalid');
               }

               $('#new-supplier-modal').modal('toggle');
               $('#messages').removeClass('hidden').empty().addClass('alert alert-danger').append(
                   error);
           }
       });
   });

   $('#new-supplier-modal').on('hidden.bs.modal', function() {
       $("#supplier_name").val('');
       $("#supplier_name").removeClass('invalid');
       $('label[for="supplier_name"]').removeClass('text-danger');

       $("#tele").val('');
       $("#tele").removeClass('invalid');
       $('label[for="tele"]').removeClass('text-danger');
   });
   /********************************************************************************************************************************************/

   /*----------------------------------------------------------------------------------------------------------*/
   // Barcode Modal
   $(document).on('click', '#new-barcode-btn', function(e) {
       e.preventDefault();
       $('#barcode').val() == '' ? $('#barcode').focus() : $('#new-barcode-modal').modal('show');
   });
   $(document).on('click', '#new-sub-barcode-btn', function() {
       let unit_value =$(this).data('sub_unit_value');
       let unit_price =$(this).data('sub_unit_price');
       var unit_id = $(this).data('sub_unit_id');
      $("#new-sub-barcode-modal #sub_bar_unit_id").val( unit_id );
      $("#new-sub-barcode-modal #sub_bar_unit_price").val( unit_price );
      $("#new-sub-barcode-modal #sub_bar_unit_value").val( unit_value );
      $('#new-sub-barcode-modal').modal('show');

   });

   $('#add-barcode-btn').on('click', function(e) {
       var barcode = $('#new-barcode').val();

       if (!['', ' ', null].includes(barcode)) {
           $("#newBarcode-btn").removeClass('hidden');
           $(document).find('#newBarcode').removeClass('hidden').collapse('show');

           $('#barcodes').append(
               `<input type="hidden" id="h-${barcode}" name="n_barcode[]" value="${barcode}">`);

           $('.barcode-list').append(`<li class="external_barcode list-inline-item ml-1" id="l-${barcode}">
               <a href="javascript:void(0)" class="text-danger delete" data-ope="${barcode}"><i class="fa fa-times"></i></a>
               <i id="${barcode}">${barcode}</i>
               </li>`);

           $('#new-barcode').val('');
           $('#new-barcode-label').removeClass('text-danger');
           $('#new-barcode').removeClass('invalid');
           $('#new-barcode-modal').modal('toggle');
       } else {
           $('#new-barcode').focus();
           $('#new-barcode-label').addClass('text-danger');
           $('#new-barcode').addClass('invalid');
       }
   });
   $('#add-sub-barcode-btn').on('click', function(e) {
       var unit_id = $('#sub_bar_unit_id').val();
       var barcode = $('#new-sub-barcode').val();
       var unit_value = $('#sub_bar_unit_value').val();
       var unit_price = $('#sub_bar_unit_price').val();

       if (!['', ' ', null].includes(barcode)) {
           $(`#list_bar-${unit_id}`).append(
               `<input type="hidden" id="sub-${barcode}" name="sub_unit_barcode[]" value="${barcode}">`,
               `<input type="hidden" id="sub-id-${unit_id}" name="sub_unit_badr_id[]" value="${unit_id}">`,
               `<input type="hidden" id="sub-value-${unit_value}" name="sub_bar_unit_value[]" value="${unit_value}">`,
               `<input type="hidden" id="sub-price-${unit_price}" name="sub_bar_unit_price[]" value="${unit_price}">`,
               );

           $('.card').removeClass('hidden');
           $(`#list_bar-${unit_id}`).append(`<li class="external_barcode list-inline-item ml-1" id="subbarcode-${barcode}">
               <a href="javascript:void(0)" class="text-danger sub_delete" data-ope="${barcode}"><i class="fa fa-times"></i></a>
               <i id="${barcode}">${barcode}</i>
               </li>`);

           $('#new-sub-barcode').val('');
           $('#sub_bar_unit_id').val('');
           $('#sub_bar_unit_value').val('');
           $('#sub_bar_unit_price').val('');
           $('#new-barcode-label').removeClass('text-danger');
           $('#new-sub-barcode').removeClass('is-invalid');
           $('#new-sub-barcode-modal').modal('toggle');
       } else {
           $('#new-sub-barcode').focus();
           $('#new-barcode-label').addClass('text-danger');
           $('#new-sub-barcode').addClass('is-invalid');
       }
   });
   $('#new-barcode-modal').on('hidden.bs.modal', function() {
       $('#new-barcode').val('');
       $('#new-barcode-label').removeClass('text-danger');
       $('#new-barcode').removeClass('invalid');
   });

   $(document).on('click', '.delete', function() {
       rel = $(this).data('ope');
       $('#h-' + rel).remove();
       $('#l-' + rel).remove();

       if ($(document).find('.external_barcode').length <= 0) {
           $(document).find('#newBarcode-btn').addClass('hidden');
           $(document).find('#newBarcode').addClass('hidden');
       }
   });
   $(document).on('click', '.sub_delete', function() {
       new_sub_barcode = $(this).data('ope');
       $('#sub-' + new_sub_barcode).remove();
       $('#subbarcode-' + new_sub_barcode).remove();
       if ($(document).find('.external_barcode').length <= 0) {
           $(document).find('.external_barcode').addClass('hidden');
       }
       $.ajax({
           url: "<?php echo e(route('items.update', $item->id)); ?>",
           method: "POST",
           data: {
               new_sub_barcode : new_sub_barcode
           },
           success: function(res) {

               console.log(res);
           }
       });

   });
   /*----------------------------------------------------------------------------------------------------------*/

   /*----------------------------------------------------------------------------------------------------------*/
   // Delete SubUnit
   $(document).on('click', '.delete-sub-unit', function() {
       let id = $(this).data('id');
       unit = $(this).data('unit');
       barcode = $(this).data('barcode');
       subbarcode = $(this).data('sub-barcode');
       $(`#${barcode}-${unit}`).remove();
       $(`#input-${id}`).val('');
       $(`#${subbarcode}-${unit}`).remove();
       $(`#input-${subbarcode}-${unit}`).val('');
       var table_length = $('#sub_units >tbody >tr').length;
       var new_table_length = $('#new_sub_units >tbody >tr').length;

       table_length == 0 && $('#sub_units').addClass('hidden'); // If table is empty hide it
       new_table_length == 0 && $('#new_sub_units').addClass('hidden'); // If table is empty hide it
   });

   $(document).on('click', '#subcat-show', function() {
       if ($('#sale_unit').val() == '') {
           // $('#sale_unit').trigger('mousedown');
           alert('<?php echo e(__('extends.choose_cat')); ?>');
           // $('#sale_unit').selectpicker('show');
       } else {
           var main_id = $('#sale_unit').val();
           getSubCats(main_id);
       }
   });

   $(document).on('click', '#intern-subcat-show', function() {
       if ($('#sale_unit').val() == '') {
           // $('#sale_unit').trigger('mousedown');
           alert('<?php echo e(__('extends.choose_cat')); ?>');
           // $('#sale_unit').selectpicker('show');
       } else if ($('#sub-cat-items').val() == '' || $('#sub-cat-items').val() == null) {
           alert('<?php echo e(__('extends.choose_sub_cat')); ?>');
       } else {
           var sub_id = $('#sub-cat-items').val();
           getInternCats(sub_id);
       }
   });


   $(document).on('change', '#sale_unit', function() {
       var main_id = $('#sale_unit').val();
       if (main_id != '') {
           getSubCats(main_id);
       }
   });

   $(document).on('change', '#sub-cat-items', function() {
       var sub_id = $('#sub-cat-items').val();
       if (sub_id != '' || sub_id != null) {
           getInternCats(sub_id);
       }
   });

   function getSubCats(id) {
       data = new FormData();
       data.append('main_id', id);
       data.append('_token', '<?php echo e(csrf_token()); ?>');
       $.ajax({
           url: "<?php echo e(route('items.ajax.get-sub-cats')); ?>",
           type: "post",
           data: data,
           contentType: false,
           cache: false,
           processData: false, // <==
           beforeSend: function() {
               $('#modal_client').empty().append(loader);
           },
           success: function(data) {
               $('#subcat-div').empty().append(data.data);
               $('#intern-subcat-div').removeClass('hidden');
           },
           error: function(xhr) {
               var error = '<ul class="list-unstyled mb-0 pr-0">';
               $.each(xhr.responseJSON.errors, function(index, value) {
                   error += '<li>' + value + '</li>';
               });
               error += "</ul>";
               $('#messages').removeClass('hidden').empty().addClass('alert alert-danger').append(error);
           }
       });
   }

   function getInternCats(id) {
       data = new FormData();
       data.append('main_id', id);
       data.append('_token', '<?php echo e(csrf_token()); ?>');
       $.ajax({
           url: "<?php echo e(route('items.ajax.get-intern-sub-cats')); ?>",
           type: "post",
           data: data,
           contentType: false,
           cache: false,
           processData: false, // <==
           beforeSend: function() {
               $('#modal_client').empty().append(loader);
           },
           success: function(data) {
               $('#intern-subcat-div').empty().append(data.data);
               $('#intern-subcat-div').removeClass('hidden');
           },
           error: function(xhr) {
               var error = '<ul class="list-unstyled mb-0 pr-0">';
               $.each(xhr.responseJSON.errors, function(index, value) {
                   error += '<li>' + value + '</li>';
               });
               error += "</ul>";
               $('#messages').removeClass('hidden').empty().addClass('alert alert-danger').append(error);
           }
       });
   }

   $(document).on('click', '#add-sub-units', function() {
       $('#modal_unit_barcode').val('');
       $('#modal_unit_price').val('');
       $('#modal_unit_value').val('');
       $('#new-sub-unit-modal').modal('show');
       $("#add-new-sub-unit-btn").attr('data-sub_units', $(this).data('sub_units'));
        setTimeout(() => {
            $('#new-sub-unit-modal').find('select').selectpicker('refresh');
        }, 200);
   });

   // Unit E-Invoice Code
   var code = $("#unit option:selected").data("unit_einvoice_code");
   $("#modal_unit_einvoice_code").val(code);

   // Add Unit E-Invoice Code When Select Unit
   $("#unit").change(function(e) {
       e.preventDefault();
       code = $("#unit option:selected").data("unit_einvoice_code");
       $("#modal_unit_einvoice_code").val(code);
   });

   function updateUnitPayPrice() {
       let pay_price = Number( $('#pay_price').val() );
       $('#new_sub_units, #sub_units').find('.unit_pay_price').each(function() {
           let cost = pay_price *  Number( $(this).data('qty'));
           $(this).text( parseFloat(cost).toFixed("<?php echo e(get_session_val('decimal_num_quant', 'integer')); ?>") );
       });
   }
   /********************************************************************************************************************************************/
   // New Sub Unit Modal
   $(document).on('click', '#add-new-sub-unit-btn', function() {
       var data = new FormData($('#new-sub-unit-form-modal')[0]);
       $('#show-modal-errors').addClass('hidden').empty();
       var sub_units = $(this).data('sub_units');

       // check if row is exist
       var tr = $('#sub_units >tbody >tr[class="tr-' + data.get('unit_id') + '"]');
       var input = $(`.input-${data.get('unit_id')}`);

       data.append('add_unit', true);
       data.append('_token', '<?php echo e(csrf_token()); ?>');

       $.ajax({
           url: "<?php echo e(route('items.ajax.get-sub-unit-row')); ?>",
           type: "post",
           data: data,
           contentType: false,
           cache: false,
           processData: false,
           beforeSend: function() {
               $('#modal_client').empty().append(loader);
           },
           success: function(response) {
               $('#sub_units >tbody >tr').length == 0 && $('#sub_units').removeClass('hidden');

               if (Number(sub_units) == 0) {
                   $("#new_sub_units").removeClass('hidden');
                   $('#new_sub_units >tbody').append(response.data)
                   $('#new_sub_units_inputs').append(response.n_hidden);
               } else {
                   if (tr.length == 0) {
                       $('#sub_units >tbody').append(response.data);
                       $('#sub_units_inputs').append(response.hidden);
                   } else {
                       // tr.replaceWith(response.data);
                       // input.replaceWith(response.hidden);
                       $('#messages').removeClass('hidden').empty().addClass(
                               'alert alert-danger text-center')
                           .append(`<?php echo e(__('items.sub_unit.already_exists')); ?>`);

                       setTimeout(function() {
                           $('#messages').addClass('hidden').empty().removeClass(
                               'alert alert-danger');
                       }, 5000);
                   }
               }

               updateUnitPayPrice();

               $('#new-sub-unit-modal').modal('toggle');
           },
           error: function(xhr) {
               var error = '<ul class="list-unstyled mb-0 pr-0">';
               $.each(xhr.responseJSON.errors, function(index, value) {
                   error += '<li>' + value + '</li>';
               });
               error += "</ul>";

               var unit = $("#unit").val();
               var unit_value = $("#modal_unit_value").val();
               var unit_price = $("#modal_unit_price").val();
               var unit_barcode = $("#modal_unit_barcode").val();

               if (['', ' ', null].includes(unit)) {
                   $("#unit").focus();
                   $("#unit").addClass('invalid');
                   $("label[for='unit']").addClass('text-danger');
               } else {
                   $("#unit").removeClass('invalid');
                   $("label[for='unit']").removeClass('text-danger');
               }

               if (['', ' ', null].includes(unit_value)) {
                   $("#modal_unit_value").focus();
                   $("#modal_unit_value").addClass('invalid');
                   $("label[for='modal_unit_value']").addClass('text-danger');
               } else {
                   $("#modal_unit_value").removeClass('invalid');
                   $("label[for='modal_unit_value']").removeClass('text-danger');
               }

               if (['', ' ', null].includes(unit_price)) {
                   $("#modal_unit_price").focus();
                   $("#modal_unit_price").addClass('invalid');
                   $("label[for='modal_unit_price']").addClass('text-danger');
               } else {
                   $("#modal_unit_price").removeClass('invalid');
                   $("label[for='modal_unit_price']").removeClass('text-danger');
               }

               if (['', ' ', null].includes(unit_barcode)) {
                   $("#modal_unit_barcode").focus();
                   $("#modal_unit_barcode").addClass('invalid');
                   $("label[for='modal_unit_barcode']").addClass('text-danger');
               } else {
                   $("#modal_unit_barcode").removeClass('invalid');
                   $("label[for='modal_unit_barcode']").removeClass('text-danger');
               }
               $('#show-modal-errors').removeClass('hidden').empty().addClass('alert alert-danger').append(error);
           }
       });
   });

   $('#new-sub-unit-modal').on('hidden.bs.modal', function() {
       $("#unit").val('');
       $("#unit").removeClass('invalid');
       $("label[for='unit']").removeClass('text-danger');

       $("#modal_unit_value").val('');
       $("#modal_unit_value").removeClass('invalid');
       $("label[for='modal_unit_value']").removeClass('text-danger');

       $("#modal_unit_price").val('');
       $("#modal_unit_price").removeClass('invalid');
       $("label[for='modal_unit_price']").removeClass('text-danger');

       $("#modal_unit_barcode").val('');
       $("#modal_unit_barcode").removeClass('invalid');
       $("label[for='modal_unit_barcode']").removeClass('text-danger');
   });
   /********************************************************************************************************************************************/

   /********************************************************************************************************************************************/
   // New Company Modal
   $('#new-company-form-modal').on('submit', function(e) {
       e.preventDefault();
       data = new FormData($('#new-company-form-modal')[0]);
       $.ajax({
           url: "<?php echo e(route('items.company.store')); ?>",
           type: "post",
           data: data,
           contentType: false,
           cache: false,
           processData: false, // <==
           beforeSend: function() {
               $('#modal_client').empty().append(loader);
           },
           success: function(data) {
               $(document).find('#company_id').prev('div').find('ul').append(data.list);
               $(document).find('#company_id').append(data.option);
               //$('.selectpicker').selectpicker('refresh', {noneSelectedText : "<?php echo e(trans('native.no-selected')); ?>"});
               $('#messages').removeClass('hidden').empty().addClass('alert alert-success').append(
                   "<?php echo e(__('extends.save_sucessfully')); ?>");
               $('#new-company-modal').modal('toggle');
           },
           error: function(xhr) {
               var error = '<ul class="list-unstyled mb-0">';
               $.each(xhr.responseJSON.errors, function(index, value) {
                   error += '<li>' + value + '</li>';
               });
               error += "</ul>";

               var company_name = $("#company_name").val();
               var income_ration = $("#income_ration").val();
               var sale_ratio = $("#sale_ratio").val();

               if (['', ' ', null].includes(company_name)) {
                   $("#company_name").focus();
                   $("#company_name").addClass('invalid');
                   $("label[for='company_name']").addClass('text-danger');
               } else {
                   $("#company_name").removeClass('invalid');
                   $("label[for='company_name']").removeClass('text-danger');
               }

               if (['', ' ', null].includes(income_ration)) {
                   $("#income_ration").focus();
                   $("#income_ration").addClass('invalid');
                   $("label[for='income_ration']").addClass('text-danger');
               } else {
                   $("#income_ration").removeClass('invalid');
                   $("label[for='income_ration']").removeClass('text-danger');
               }

               if (['', ' ', null].includes(sale_ratio)) {
                   $("#sale_ratio").focus();
                   $("#sale_ratio").addClass('invalid');
                   $("label[for='sale_ratio']").addClass('text-danger');
               } else {
                   $("#sale_ratio").removeClass('invalid');
                   $("label[for='sale_ratio']").removeClass('text-danger');
               }

               $('#new-company-modal').modal('toggle');
               $('#messages').removeClass('hidden').empty().addClass('alert alert-danger').append(
                   error);
           }
       });
   });

   $('#new-company-modal').on('hidden.bs.modal', function() {
       $("#company_name").val('');
       $("#company_name").removeClass('invalid');
       $("label[for='company_name']").removeClass('text-danger');

       $("#income_ration").val('');
       $("#income_ration").removeClass('invalid');
       $("label[for='income_ration']").removeClass('text-danger');

       $("#sale_ratio").val('');
       $("#sale_ratio").removeClass('invalid');
       $("label[for='sale_ratio']").removeClass('text-danger');
   });
   /********************************************************************************************************************************************/

   /********************************************************************************************************************************************/
   // New Item Code Modal
   $('#new-color-form-modal').on('submit', function(e) {
       e.preventDefault();
       data = new FormData($('#new-color-form-modal')[0]);
       $.ajax({
           url: '<?php echo e(route('items.color.store')); ?>',
           type: "post",
           data: data,
           contentType: false,
           cache: false,
           processData: false, // <==
           beforeSend: function() {
               $('#modal_client').empty().append(loader);
           },
           success: function(data) {
               $(document).find('#card_company_id').prev('div').find('ul').append(data.list);
               $(document).find('#card_company_id').append(data.option);
               // $('.selectpicker').selectpicker('refresh', {noneSelectedText : "<?php echo e(trans('native.no-selected')); ?>"});
               $('#messages').removeClass('hidden').empty().addClass('alert alert-success').append(
                   "<?php echo e(__('extends.save_sucessfully')); ?>");
               $('#new-color-modal').modal('toggle');
           },
           error: function(xhr) {
               var error = '<ul class="list-unstyled mb-0 pr-0">';
               $.each(xhr.responseJSON.errors, function(index, value) {
                   error += '<li>' + value + '</li>';
               });
               error += "</ul>";

               var color_name = $("#color_name").val();
               var color_code = $("#color_code").val();

               if (['', ' ', null].includes(color_name)) {
                   $("#color_name").focus();
                   $("#color_name").addClass('invalid');
                   $("label[for='color_name']").addClass('text-danger');
               } else {
                   $("#color_name").removeClass('invalid');
                   $("label[for='color_name']").removeClass('text-danger');
               }

               if (['', ' ', null].includes(color_code)) {
                   $("#color_code").focus();
                   $("#color_code").addClass('invalid');
                   $("label[for='color_code']").addClass('text-danger');
               } else {
                   $("#color_code").removeClass('invalid');
                   $("label[for='color_code']").removeClass('text-danger');
               }

               $('#new-color-modal').modal('toggle');
               $('#messages').removeClass('hidden').empty().addClass('alert alert-danger').append(
                   error);
           }
       });
   });

   $('#new-color-modal').on('hidden.bs.modal', function() {
       $("#color_name").val('');
       $("#color_name").removeClass('invalid');
       $("label[for='color_name']").removeClass('text-danger');

       $("#color_code").val('');
       $("#color_code").removeClass('invalid');
       $("label[for='color_code']").removeClass('text-danger');
   });
   /********************************************************************************************************************************************/

   /********************************************************************************************************************************************/
   // New Item Size Modal
   $('#new-size-form-modal').on('submit', function(e) {
       e.preventDefault();
       var data = new FormData($('#new-size-form-modal')[0]);
       $.ajax({
           url: '<?php echo e(route('items.size.store')); ?>',
           type: "post",
           data: data,
           contentType: false,
           cache: false,
           processData: false, // <==
           beforeSend: function() {
               $('#modal_client').empty().append(loader);
           },
           success: function(data) {
               $(document).find('#size_id').prev('div').find('ul').append(data.list);
               $(document).find('#size_id').append(data.option);
               // $('.selectpicker').selectpicker('refresh', {noneSelectedText : "<?php echo e(trans('native.no-selected')); ?>"});
               $('#messages').removeClass('hidden').empty().addClass('alert alert-success').append(
                   "<?php echo e(__('extends.save_sucessfully')); ?>");
               $('#new-size-modal').modal('toggle');
           },
           error: function(xhr) {
               var error = '<ul class="alert alert-danger">';
               $.each(xhr.responseJSON.errors, function(index, value) {
                   error += '<li>' + value + '</li>';
               });
               error += "</ul>";

               var size_name = $("#size_name").val();
               var size_code = $("#size_code").val();

               if (['', ' ', null].includes(size_name)) {
                   $("#size_name").focus();
                   $("#size_name").addClass('invalid');
                   $("label[for='size_name']").addClass('text-danger');
               } else {
                   $("#size_name").removeClass('invalid');
                   $("label[for='size_name']").removeClass('text-danger');
               }

               if (['', ' ', null].includes(size_code)) {
                   $("#size_code").focus();
                   $("#size_code").addClass('invalid');
                   $("label[for='size_code']").addClass('text-danger');
               } else {
                   $("#size_code").removeClass('invalid');
                   $("label[for='size_code']").removeClass('text-danger');
               }

               $('#new-size-modal').modal('toggle');
               $('#messages').removeClass('hidden').empty().addClass('alert alert-danger').append(
                   error);
           }
       });
   });

   $('#new-size-modal').on('hidden.bs.modal', function() {
       $("#size_name").val('');
       $("#size_name").removeClass('invalid');
       $("label[for='size_name']").removeClass('text-danger');

       $("#size_code").val('');
       $("#size_code").removeClass('invalid');
       $("label[for='size_code']").removeClass('text-danger');
   });
   /********************************************************************************************************************************************/

   $(document).on('submit', '#new_item_form', function(e) {
       if ($('#item_name').val() == '' || $('#item_name').val() == null) {
           e.preventDefault();
           $('#item_name').focus();
           $('#item_name:focus').addClass('invalid');
       } else {
           $('#item_name').removeClass('invalid');
       }

       if ($('#supplier_id').val() == '' || $('#supplier_id').val() == null) {
           e.preventDefault();
           $('select#supplier_id').focus();
           $('select#supplier_id').closest('.bootstrap-select').find('button').addClass('invalid');
       } else {
           $('select#supplier_id').closest('.bootstrap-select').find('button').removeClass('invalid');
       }

       if ($('#quantity').val() == '' || $('#quantity').val() == null) {
           e.preventDefault();
           $('#quantity').focus();
           $('#quantity').addClass('invalid');
       } else {
           $('#quantity').removeClass('invalid');
       }

       if ($('#sale_unit').val() == '' || $('#sale_unit').val() == null) {
           e.preventDefault();
           $('#sale_unit').focus().select();
           $('select#sale_unit').closest('.bootstrap-select').find('button').addClass('invalid');
       } else {
           $('select#sale_unit').closest('.bootstrap-select').find('button').removeClass('invalid');
       }

       if ($('#unit_id').val() == '' || $('#unit_id').val() == null) {
           e.preventDefault();
           $('#unit_id').focus().select();
           $('select#unit_id').closest('.bootstrap-select').find('button').addClass('invalid');
       } else {
           $('select#unit_id').closest('.bootstrap-select').find('button').removeClass('invalid');
       }

       if ($('#pay_price').val() == '' || $('#pay_price').val() == null) {
           e.preventDefault();
           $('#pay_price').focus();
           $('#pay_price').addClass('invalid');
       } else {
           $('#pay_price').removeClass('invalid');
       }

       if ($('#sale_price').val() == '' || $('#sale_price').val() == null) {
           e.preventDefault();
           $('#sale_price').focus();
           $('#sale_price').addClass('invalid');
       } else {
           $('#sale_price').removeClass('invalid');
       }

       $('#pay_price').change();
   });

   $('#pay_price').change(function(e) {
       e.preventDefault();
       if ($(this).val() == '' || $(this).val() == ' ' || $(this).val() == null) {
           $('#pay_price').val(0);
       }

       updateUnitPayPrice();
   });

   $('#sale_price').focusout(function() {
       $('#lowest_price').val($(this).val());
       if ($(this).val() == '' || $(this).val() == ' ' || $(this).val() == null || $(this).val() < 0) {
           $(this).val(0);
       }
   });

   $('#pay_price').focusout(function() {
       if ($(this).val() == '' || $(this).val() == ' ' || $(this).val() == null || $(this).val() < 0) {
           $(this).val(0);
       }
   });

   $('#lowest_price').focusout(function() {
       if ($(this).val() == '' || $(this).val() == ' ' || $(this).val() == null || $(this).val() < 0) {
           $(this).val(0);
       }
   });

   $('#updateSubUnitElementModal').on('show.bs.modal', function(e) {
       hashedID = $(e.relatedTarget).data('href');
       $(document).find('#edit-sub-unit-btn').attr('data-related', $(e.relatedTarget).data('tr'));
       var data = {
           id: hashedID,
           unit_id: $("#unit_id option:selected").val(),
       };

       $.ajax({
           url: "<?php echo e(route('items.edit-sub-unit')); ?>",
           type: "get",
           data: data,
           contentType: false,
           cache: false,
           processData: true,
           beforeSend: function() {
               $('.updateElementWell').empty().prepend(loader);
           },
           success: function(response) {
               if (response.status == true) {
                   $('.updateElementWell').empty().prepend(response.data);
                   $('.selectpicker').selectpicker('refresh', {
                       noneSelectedText: "<?php echo e(trans('native.no-selected')); ?>"
                   });
               } else {
                   $('.updateElementWell').empty().prepend(
                       `<div class="alert alert-danger"><p class="text-center">${response.message}</p></div>`
                   );
               }
           },
           error: function(response) {
               $('.updateElementWell').empty().prepend(`
                   <div class="alert alert-danger">
                       <p class="text-center"><?php echo e(__('extends.something_wrong')); ?></p>
                   </div>
               `);
           }
       });
   });

   $('#updateSubUnitElementModal').on('shown.bs.modal', function(e) {
       var einvoice_settings = <?php echo e($settings->einvoice); ?>;
       var unit_name = $('#edit_unit').find('option:selected').data('unit_name');

       if (einvoice_settings == 1) {
           var einvoice_code = $('#edit_unit').find('option:selected').data('unit_einvoice_code');
       }

       $(document).on('change', '#edit_unit', function() {
           unit_name = $('#edit_unit').find('option:selected').data('unit_name');

           if (einvoice_settings == 1) {
               einvoice_code = $(this).find('option:selected').data('unit_einvoice_code');
           }

           $(document).find('#modal_edit_unit_einvoice_code').val(einvoice_code);
       });

       $('#edit-sub-unit-form-modal').on('submit', function(e) {
           e.preventDefault();
           var data = new FormData($('#edit-sub-unit-form-modal')[0]);
           data.append('sub_id', hashedID);
           data.append('item_id', <?php echo e($item->id); ?>);

           $.ajax({
               url: "<?php echo e(route('items.update-sub_unit')); ?>",
               type: "post",
               data: data,
               contentType: false,
               cache: false,
               processData: false, // <==
               beforeSend: function() {
                   $('.updateElementWell').empty().prepend(loader);
               },
               success: function(response) {
                   console.log(response);
                   if (response.status == true) {
                       $('#messages').removeClass('hidden').empty().addClass(
                           'alert alert-success text-center').append(response.message);

                       var tr = $('#edit-sub-unit-btn').data('related');
                       var new_tr = `${data.get('unit_barcode')}-${data.get('unit_id')}`;
                       var new_row = `<tr id="${new_tr}" class="tr-${data.get('unit_id')}">
                           <td class="text-center" id="${new_tr}-name">${unit_name}</td>`;

                       if (einvoice_settings == 1) {
                           new_row +=
                               `<td class="text-center" id="${new_tr}-code">${data.get('unit_einvoice_code')}</td>`;
                       }

                       new_row += `<td class="text-center" id="${new_tr}-unit_value">${data.get('unit_value')}</td>
                           <td class="text-center" id="${new_tr}-price">${data.get('unit_price')}</td>
                           <td class="text-center" id="${new_tr}-barcode">${data.get('unit_barcode')}</td>
                           <td class="text-center">
                               <a href="javascript:void(0)" class="btn btn-success btn-xs" style="padding: 5px 16px 3px 15px;"
                                   data-toggle="modal" data-tr="${new_tr}" data-target="#updateSubUnitElementModal"
                                   data-href="${data.get('current_id')}">
                                   <i class="fa fa-edit"></i>
                               </a>

                               <a href="javascript:void(0)" class="btn btn-danger btn-xs delete-sub-unit"
                                   data-id="${data.get('id')}"
                                   data-barcode="${data.get('unit_barcode')}" data-unit="${data.get('unit_id')}">
                                   <i class="fa fa-trash"></i>
                               </a>
                           </td>
                       </tr>`;

                       $(`#${response.row_id}`).replaceWith(response.data);

                       var newValue =
                           `${data.get('current_id')}-${data.get('unit_barcode')}`;

                       if (einvoice_settings == 1) {
                           newValue += `-${data.get('unit_einvoice_code')}`;
                       }

                       newValue +=
                           `-${data.get('unit_id')}-${data.get('unit_price')}-${data.get('unit_type')}-${data.get('unit_value')}-${data.get('screenhidden') ?? 0}`;

                       $(`#input-${tr}`).replaceWith(
                           `<input type="hidden" name="sub_units[]" class="input-${data.get('unit_id')}" id="input-${new_tr}" value="${newValue}">`
                       );

                       $(this).data('related',
                           `${data.get('unit_barcode')}-${data.get('unit_id')}`);
                       $('#updateSubUnitElementModal').modal('toggle');

                       $('#sub_units_inputs').find(`#${response.input_id}`).val(response.value);

                       setTimeout(function() {
                           $('#messages').addClass('hidden').empty().removeClass(
                               'alert alert-success');
                       }, 3000);
                   } else {
                       $('#messages').removeClass('hidden').empty().addClass(
                               'alert alert-danger text-center')
                           .append(data.message);

                       setTimeout(function() {
                           $('#messages').addClass('hidden').empty().removeClass(
                               'alert alert-danger');
                       }, 3000);
                   }

                   $('#updateSubUnitElementModal').modal('toggle');
               },
               error: function(xhr) {
                   if (xhr.status == 422) {
                       var error = '<ul class="list-unstyled mb-0 pr-0">';
                       $.each(xhr.responseJSON.errors, function(index, value) {
                           error += '<li>' + value + '</li>';
                       });
                       error += "</ul>";
                       $('#messages').removeClass('hidden').empty().addClass(
                           'alert alert-danger text-center').append(
                           error);
                   }
                   setTimeout(function() {
                       $('#messages').addClass('hidden').empty().removeClass(
                           'alert alert-danger');
                   }, 3000);
                   $('#updateSubUnitElementModal').modal('toggle');
               }
           });
       });
   });


   /********************************************************************************************************************************************/
   // New Shelf Modal
   $(document).on('click', '#new-shelf-btn', function(e) {
       e.preventDefault();
       $('#new-shelf-modal').modal('show');
   });

   $('#new-shelf-form-modal').on('submit', function(e) {
       e.preventDefault();
       var data = new FormData($('#new-shelf-form-modal')[0]);
       $.ajax({
           url: "<?php echo e(route('items.shelf.store')); ?>",
           type: "post",
           data: data,
           contentType: false,
           cache: false,
           processData: false,
           beforeSend: function() {
               $('#modal_client').empty().append(loader);
           },
           success: function(data) {
               $(document).find('#shelf').prev('div').find('ul').append(data.list);
               $(document).find('#shelf').append(data.option);
               //$('.selectpicker').selectpicker('refresh', {noneSelectedText : "<?php echo e(trans('native.no-selected')); ?>"});
               $('#messages').removeClass('hidden').empty().addClass('alert alert-success').append(
                   "<?php echo e(__('extends.save_sucessfully')); ?>");
               $('#new-shelf-modal').modal('toggle');
           },
           error: function(xhr) {
               var error = '<ul class="list-unstyled mb-0 pr-0">';
               $.each(xhr.responseJSON.errors, function(index, value) {
                   error += '<li>' + value + '</li>';
               });
               error += "</ul>";

               var shelf_name = input["name='shelf_name'"].val();
               if (['', ' ', null].includes(shelf_name)) {
                   $("input[name='shelf_name']").focus();
                   $('label[for="shelf_name"]').addClass('text-danger');
                   $("input[name='shelf_name']").addClass('invalid');
               } else {
                   $("input[name='shelf_name']").removeClass('invalid');
                   $('label[for="shelf_name"]').removeClass('text-danger');
               }

               $('#new-shelf-modal').modal('toggle');
               $('#messages').removeClass('hidden').empty().addClass('alert alert-danger').append(
                   error);
           }
       });
   });

   $('#new-shelf-modal').on('hidden.bs.modal', function() {
       $("input[name='shelf_name']").val('');
       $("input[name='shelf_name']").removeClass('invalid');
       $('label[for="shelf_name"]').removeClass('text-danger');
   });
   /********************************************************************************************************************************************/
</script>
<script>
   $('.selectpicker').selectpicker({
       size: 8,
       noneSelectedText: '<?php echo e(trans('native.no-selected')); ?>'
   });
</script>
<script>
   var loadFile = function(event) {
       var output = document.getElementById('output');
       output.src = URL.createObjectURL(event.target.files[0]);
   };

   $(function() {
       var store_id = parseFloat('<?php echo e($store_id); ?>');
       if (store_id > 0) {
           $('#stores').val(store_id).trigger('change');
           $('#stores').trigger('change');
       };
   })
</script>
<script src="<?php echo e(asset('tickets/js/jscolor.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Item/Resources/views/edit.blade.php ENDPATH**/ ?>