
<?php $__env->startSection('content'); ?>

<div class="card card-light mb-1_5 p-3">

<div class="container-fluid">
   <?php echo $__env->make('item::error', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
   <div class="row align-items-center">
      <h1 class="text-info d-inline-block"><?php echo e(__('items.item') . ' ' . $item->item_name); ?></h1>
      <a class="btn btn-info mr-2" href="<?php echo e(route('items.create')); ?>"><?php echo e(__('items.addItem')); ?></a>
      <a class="btn btn-primary mr-2" href="<?php echo e(route('items.edit', $item->id)); ?>" title="<?php echo e(__('extends.edit')); ?>"><?php echo e(__('extends.edit')); ?></a>
      <img class="mr-auto border" src="<?php echo e(asset($item->img)); ?>" alt="<?php echo e($item->item_name); ?>" height="120" width="130">
   </div>
   <div class="bg-light mt-3 mb-4 pt-3 pl-3 pr-3 pb-0">

      
      <div class="row">
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6"><?php echo e(__('items.name')); ?> :</label>
            <p class="d-inline-block col-md-5"><?php echo e($item->item_name); ?></p>
         </div>
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6"><?php echo e(__('items.about')); ?> :</label>
            <p class="d-inline-block col-md-5"><?php echo e($item->about); ?></p>
         </div>
      </div>
      
      <div class="row">
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6"><?php echo e(__('items.barcode.name')); ?> :</label>
            <p class="d-inline-block col-md-5"><?php echo e($item->barcode); ?></p>
         </div>
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6"><?php echo e(__('items.main_unit')); ?> :</label>
            <p class="d-inline-block col-md-5"><?php echo e($item->unit); ?></p>
         </div>
      </div>
      
      
         
            
            
            
         
            
            
            
         
      
      <div class="row">
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6"><?php echo e(__('items.sale_price.name')); ?> :</label>
            <p class="d-inline-block col-md-5"><?php echo e($item->sale_price); ?></p>
         </div>
         <?php if(authorized('can_see_purchase_price') ): ?>
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6"><?php echo e(__('items.pay_price.name')); ?> :</label>
            <p class="d-inline-block col-md-5"><?php echo e($item->pay_price); ?></p>
         </div>
         <?php endif; ?>
      </div>
      
      <div class="row">
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6"><?php echo e(__('items.purchase_date')); ?> :</label>
            <p class="d-inline-block col-md-5"><?php echo e($item->incom_date); ?></p>
         </div>
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6"><?php echo e(__('items.expire_date')); ?> :</label>
            <p class="d-inline-block col-md-5"><?php echo e($item->expire_date); ?></p>
         </div>
      </div>
      
      <div class="row">
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6"><?php echo e(__('items.main_category')); ?> :</label>
            <p class="d-inline-block col-md-5"><?php echo e($item->main_cat); ?></p>
         </div>
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6"><?php echo e(__('items.supplier')); ?> :</label>
            <p class="d-inline-block col-md-5"><?php echo e($item->supplier); ?></p>
         </div>
         
      </div>
      
      
      
      <div class="row">
         <div class="col-md-6">
            <label class="control-label text-primary col-md-6"><?php echo e(__('items.item_details')); ?> :</label>
            <p class="d-inline-block col-md-5"><?php echo e($item->details); ?></p>
         </div>
      </div>
   </div>
   <div class="card">
      <div class="card-header bg-info">
         <h3 class="card-title text-white"><?php echo e(__('items.stores.name')); ?></h3>
      </div>
      <div class="card-body">
         <div class="table-responsive">
            <table class="table  zui-gray-table zui-table-rounded  table-hover table-striped  bg-white mt-3">
               <thead>
                  <tr class="bg-primary text-white">
                     <th scope="col">#</th>
                     <th scope="col"><?php echo e(__('store.name')); ?></th>
                     <th scope="col"><?php echo e(__('items.quantity.name')); ?></th>
                  </tr>
               </thead>
               <tbody id="tbody">
                  <?php $__currentLoopData = $item->stores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $store): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <tr class="text-center">
                     <td><?php echo e($loop->iteration); ?></td>
                     <td><?php echo e($store->store_name); ?></td>
                     <td><?php echo e($store->pivot->store_quant ?? 0); ?></td>
                  </tr>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
               </tbody>
               <tfoot class="bg-info text-white">
                  <tr>
                     <td colspan="2"> <?php echo app('translator')->get('native.total'); ?> </td>
                     <td><?php echo e(round_quantity($item->stores->sum('pivot.store_quant'))); ?></td>
                  </tr>
               </tfoot>
            </table>
         </div>
      </div>
   </div>
   
   
   
   



</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js-scripts'); ?>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.plus.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.plugin.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.picker.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura-ar.js')); ?>"></script>
<script>
   $(document).ready(function() {
       var loader = "<div align='center' id='loader'>" +
           "<i class='fa fa-spinner fa-pulse fa-3x fa-fw'></i>" +
           "</div><br>";

       $.ajaxSetup({
           headers: {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
               type: "GET",
               data: null,
               contentType: false,
               cache: false,
               processData: false,
               timeout: 3000,
           }
       });
   });
</script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css-scripts'); ?>
<link href="<?php echo e(asset('css/calenders/jquery.calendars.picker.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('css/calenders/bootstrap-datetimepicker-standalone.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('css/calenders/datepicker3.css')); ?>" rel="stylesheet">
<style>
   .special {
   font-weight: bold !important;
   color: #fff !important;
   background: #bc0000 !important;
   text-transform: uppercase;
   }
   .control-label {
   width: 150px !important;
   }
</style>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Item/Resources/views/show.blade.php ENDPATH**/ ?>