<?php $__env->startSection('css-scripts'); ?>
    <link href="<?php echo e(asset('css/calenders/jquery.calendars.picker.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/calenders/bootstrap-datetimepicker-standalone.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/calenders/datepicker3.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('tickets/css/bootstrap-select.min.css')); ?>" rel="stylesheet">

    <link href="<?php echo e(asset('tickets/css/jquery-ui.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('tickets/jquery.ptTimeSelect.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('tickets/jquery.timepicker.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class=" card card-light mb-1_5 p-3">

    <div class="container">

        <div>
            <h2 class="text-info" id="title_text">
                <?php echo e(trans('users.show_user_activity')); ?>

                <?php echo e($user->name); ?>

            </h2>
        </div>

        <div class="row my-4">
            <form method="get" class="col-md-12" class="custome-form">
                <div class="row">
                    <div class="col-md-5">
                        <div class="form-group">
                            <label for="start_date" class="col-sm-3 col-4 col-form-label"><?php echo e(trans('reports.from')); ?></label>
                            <div class="col-12">
                                <input type="text" id="start_date"  name="start_date" data-old=""
                                    class="form-control input-sm input-light date is-datepicker" value="<?php echo e(request('start_date')??today()->format('Y-m-d')); ?>">
                                <span>
                                    <i class="fa fa-calendar-alt calendar-icon"></i>
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-5">
                        <div class="form-group">

                            <label for="end_date" class="col-sm-3 col-4 col-form-label"><?php echo e(trans('reports.to')); ?></label>
                            <div class="col-12">
                                <input type="text" id="end_date"  name="end_date" data-old=""
                                    class="form-control input-sm input-light date is-datepicker" value="<?php echo e(request('end_date')??today()->format('Y-m-d')); ?>">
                                <span>
                                    <i class="fa fa-calendar-alt calendar-icon"></i>
                                </span>
                            </div>

                        </div>
                    </div>

                    <div class="col-md-2 text-center">
                        <div class="form-group">
                            <label for="search" style="color: #fff;">-</label>
                            <div>
                                <button type="submit" class="btn btn-success"><?php echo e(trans('reports.search')); ?></button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>


        <div class="table-responsive">
  <table class="table table-striped zui-table zui-table-rounded">            <thead class="bg-info text-white">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col"> <?php echo e(trans('users.user_name')); ?></th>
                    <th scope="col"> <?php echo e(trans('users.time')); ?></th>
                    <th scope="col"> <?php echo e(trans('users.activity')); ?></th>
                </tr>
            </thead>
            <tbody>

                <?php $__empty_1 = true; $__currentLoopData = $user_log; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                    <tr>
                        <td scope="row"><?php echo e($loop->iteration); ?></td>
                        <td><?php echo e($user->user_name); ?></td>
                        <td><?php echo e($data->date_event); ?></td>
                        <td><?php echo e($data->event); ?></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                <tr>
                    <td colspan="4" style="text-align: center">
                        <?php echo e(trans('users.no_activity')); ?>

                    </td>
                </tr>
                <?php endif; ?>
            </tbody>
        </table>

        <div class="text-center">
            <?php echo $user_log->appends(request()->capture()->except('page'))->render(); ?>

        </div>
</div>

    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js-scripts'); ?>
    <script src="<?php echo e(asset('tickets/js/bootstrap-select.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.plus.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.plugin.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura-ar.js')); ?>"></script>

    <script src="<?php echo e(asset('tickets/js/jquery-ui.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.picker.js')); ?>"></script>
    <script src="<?php echo e(asset('tickets/jquery.timepicker.js')); ?>"></script>
    <script src="<?php echo e(asset('tickets/bootstrap-datepicker.js')); ?>"></script>
    <script src="<?php echo e(asset('tickets/datepair.js')); ?>"></script>
    <script src="<?php echo e(asset('tickets/scanner.js')); ?>"></script>

    <script>

        $(function () {

            if ('<?php echo e(get_session_val('date_type', 'Integer')); ?>' == '2') {

                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',

                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',

                });
            }

            $(document).on('change', '#start_date, #end_date' , function() {
                var start = $('#start_date').val();
                var end = $('#end_date').val();
                var changed = {
                    'start_date' : 'start',
                    'end_date': 'end'
                };

                if ( ! valid_dates(start, end, changed[ $(this).attr('id') ] ) )
                {
                    $(this).val( $(this).data('old') );
                }
                else {
                    $(this).data('old', $(this).val());
                }

            });

            function valid_dates(start_date, end_date, current) {

                if (start_date > end_date) {
                    alert_date(current);
                    return false;
                }

                return true;
            }

            function alert_date(current)
            {
                var msg_details = {
                    'start' : { 'changed': 'البداية', 'relation': 'أصغر' , 'target': 'النهاية'},
                    'end' : { 'changed': 'النهاية', 'relation': 'أكبر' , 'target': 'البداية'}
                };

                alert('تاريخ '+ msg_details[current]['changed'] +' يجب أن يكون '+ msg_details[current]['relation'] +' من تاريخ '+ msg_details[current]['target'] );

            }
        })

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/User/Resources/views/activity.blade.php ENDPATH**/ ?>