

<?php $__env->startSection('content'); ?>

<div class="card card-light mb-1_5 p-3">

    <div class="container">
        <form method="post" enctype="multipart/form-data" action="<?php echo e(route('excel.edit_items_store')); ?>">
            <?php echo csrf_field(); ?>

            <h1 class="text-info">تعديل اصناف بالاكسيل</h1>
            <hr>

            <div class="row mt-3">
                <div class="col-md-3">
                    <label for="operation" class="form-label h5 mr-3">1- اختر من القائمه:</label>
                </div>
                <div class="col-md-4">
                    <select class="form-control" name="operation" id="operation" required>
                        <option value="1" <?php echo e(old('operation') == 1 || is_null(old('operation')) ? 'selected' : ''); ?>  > إضافة اصناف</option>
                        <option value="2" <?php echo e(old('operation') == 2 ? 'selected' : ''); ?>> حذف اصناف</option>
                        <!--<option value="3" <?php echo e(old('operation') == 3 ? 'selected' : ''); ?>> تعديل الكميه</option>-->
                        <!--<option value="4" <?php echo e(old('operation') == 4 ? 'selected' : ''); ?>> تعديل سعر البيع</option>-->
                        <!--<option value="5" <?php echo e(old('operation') == 5 ? 'selected' : ''); ?>> تعديل سعر الشراء</option>-->
                    </select>
                </div>
            </div>

            <div class="container" id="instructions"></div>

            <hr>

            <div class="row mt-3">
                <div class="col-md-3">
                    <label for="store" class="form-label h5 mr-3">2- اختر المخزن</label>
                </div>
                <div class="col-md-4">
                    <select class="form-control" name="store" id="store" required>
                        <?php $__currentLoopData = $stores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $store): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($store->id); ?>"><?php echo e($store->store_name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            </div>

            <hr>

            <div class="row mt-3">
                <div class="col-md-3">
                    <label class="form-label h5 mr-3">3- رفع ملف الاكسل </label>
                </div>
                <div class="col-md-4 d-inline-flex">
                    <input type="file" name="sheet" class="form-control"  required
                    accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel">
                    <button class="btn btn-primary mr-2" id="load">تأكيد</button>
                </div>
            </div>
        </form>

        <?php if(session()->has('imported_items')): ?>
            <hr>
            <h5><?php echo e(session()->get('import_success')); ?></h5>
            <?php $__currentLoopData = session()->get('imported_items'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <ul class="h4 alert alert-success text-center list-unstyled">
                    <?php echo e($item); ?>

                </ul>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php endif; ?>

        <?php if(session()->has('import_validation_errors')): ?>
            <hr>
            <h5>خطا في الصفوف التاليه:</h5>
            <?php $__currentLoopData = session()->get('import_validation_errors'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row => $validation_errors): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <ul class="h4 alert alert-danger text-center list-unstyled">
                    رقم الصف : <?php echo e($row); ?>

                    <?php $__currentLoopData = $validation_errors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="text-danger"><?php echo e($error); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php endif; ?>


    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js-scripts'); ?>
    <script>
        $(document).on('submit', 'form', function (e) {
            $('#load').replaceWith('<p class="alert alert-info " style="margin-right: 50px;">جاري العمل ....</p>');
        });

        $(function(){
            $('#operation').trigger('change');
        });

        $(document).on('change', '#operation', function (e) {
            let operation = $(this).val();

            let instructions = `
                <b style="font-size: 16px">تعديل الأصناف برفع ملف أكسل يحتوى على الاصناف المراد تعديلها او إضافتها اوحذفها</b>
                <p class="text-danger" style="font-size: 16px">ملاحظة :يتم تجاهل اول صف لاحتوائه على عناوين الاعمده</p>
                <h5>لضمان نجاح العملية يرجي تحميل النموذج التالي والعمل به لاضافة الاصناف </h5>
                <a target="_blank" href="<?php echo e(route('excel.export.items', ['empty' => true])); ?>" class="btn btn-success">تحميل النموذج</a>
            `;

            $('#instructions').html(instructions);
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Excel/Resources/views/edit_items.blade.php ENDPATH**/ ?>