

<?php $__env->startSection('content'); ?>
<div class="card card-light mb-1_5 p-3">

    <div class="container-fluid">
        <div class="row">
            <h1 class="text-info mb-3"><?php echo e(__('items.barcode_ticket.tickets.title')); ?></h1>
            <form class="col-md-12 mt-2 custome-form">
                <div class="form-row row">
                    <div class="form-group col-md-4">
                        <label class="control-label"><?php echo e(__('items.title')); ?> :</label>
                        <select class="form-control input-normal selectpicker col-md-12" name="item" id="item_id"
                            data-live-search="true" data-size="10" data-width="100%" data-style="btn btn-white"
                            title="<?php echo e(__('items.search_on_item')); ?>">
                            <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                        $options = '<option data-price="'. $item->sale_price .'" data-name="'. $item->unit?->name .'" data-barcode="'. $item->barcode .'"> '. $item->unit?->name .' </option>';

                                        foreach ($item->subUnits as $sub_unit) {
                                            $options .= '<option data-price="'. $sub_unit->unit_price .'" data-name="'. $sub_unit->unitName?->name .'" data-barcode="'. $sub_unit->unit_barcode .'"> '. $sub_unit->unitName?->name .' </option>';
                                        }
                                ?>
                                <option value="<?php echo e($item->id); ?>" data-about="<?php echo e($item->about); ?>"
                                    data-sale_unit="<?php echo e($item->category->name ?? ''); ?>" data-units="<?php echo e($options); ?>"
                                    data-price="<?php echo e(price_decimal($item->sale_price)); ?>">
                                    <?php echo e($item->item_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>

                    <div class="form-group col-md-4">
                        <label class="control-label"><?php echo e(__('items.unit_id.name')); ?> :</label>
                        <select class="form-control input-normal selectpicker col-md-12" name="unit" id="unit_id"
                            data-live-search="true" data-size="10" data-width="100%" data-style="btn btn-white"
                            title="<?php echo e(__('items.choose_unit')); ?>">

                        </select>
                    </div>

                    <div class="form-group col-md-3">
                        <label class="control-label"><?php echo e(__('items.quantity.name')); ?> :</label>
                        <input type="number" class="input-normal form-control" name="quantity" id="quantity" value="1">
                    </div>
                    <div class="form-group col-md-1 d-flex flex-column justify-content-end">
                        <button class="btn btn-success" type="button" id="add_item"><?php echo e(__('extends.add')); ?></button>
                    </div>
                </div>
            </form>
        </div>

        <div class="table-responsive mt-3">
            <table class="table zui-table zui-table-rounded table-hover table-bordered table-striped bg-white">
                <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col"><?php echo e(__('items.name')); ?></th>
                        <th scope="col"><?php echo e(__('items.about')); ?></th>
                        <th scope="col"><?php echo e(__('items.sale_unit.name')); ?></th>
                        <th scope="col"><?php echo e(__('items.unit_id.name')); ?></th>
                        <th scope="col"><?php echo e(__('items.price.name')); ?></th>
                        <th scope="col"><?php echo e(__('items.barcode_ticket.tickets.count')); ?></th>
                        <th scope="col"><?php echo e(__('extends.action')); ?></th>
                    </tr>
                </thead>
                <tbody id="choosed_items">
                    <tr id="no_data">
                        <td colspan="8" class="text-center"><?php echo e(__('items.barcode_ticket.tickets.no_rows')); ?></td>
                    </tr>
                </tbody>
                <tfoot></tfoot>
            </table>
        </div>
    </div>

                                    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js-scripts'); ?>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.plus.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.plugin.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.picker.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura-ar.js')); ?>"></script>

    <script>
        $(function() {
            $("#add_item").on('click', function() {
                // check if item_id is selected and quantity is not empty
                if ($("#item_id").val() != '' && $("#quantity").val() != '') {

                    if ($("#unit_id").val())
                    {
                        // check if item is already added
                        var current_hash = $("#item_id").val() + "-" + $("#unit_id option:selected").data('barcode') + "-" + $("#unit_id option:selected").data('price');
                        if ($("tr[data-id='" + current_hash + "']").length == 0) {
                            // add item to table
                            $("#no_data").remove();

                            var html  =`<tr data-id=${current_hash}>
                                    <td class="text-center">${$("tbody tr").length + 1}</td>
                                    <td class="text-center">${$("#item_id option:selected").text()}</td>
                                    <td class="text-center">${$("#item_id option:selected").data('about')}</td>
                                    <td class="text-center">${$("#item_id option:selected").data('sale_unit')}</td>
                                    <td class="text-center sale_unit">${$("#unit_id option:selected").data('name')}</td>
                                    <td class="text-center">${$("#unit_id option:selected").data('price')}</td>
                                    <td class="text-center"><input min="0" type="number" value="${$("#quantity").val()}" class="count form-control"></td>
                                    <td class="text-center"><button class='btn btn-danger btn-sm' type='button' onclick='removeItem(this)'><i class='fa fa-trash'></i></button></td>
                                </tr>`;
                            $("#choosed_items").append(html);
                            $("#item_id").val('');
                            $("#quantity").val(1);
                            $("#item_id").selectpicker('refresh');
                        } else {
                            // update quantity
                            $("tr[data-id='" + current_hash + "'] .count").val(
                                parseInt($("tr[data-id='" + current_hash + "'] .count")
                                    .val()) + parseInt($("#quantity").val())
                            );
                        }

                        prependPrinting();
                    }
                    else {
                        alert("اختر الوحدة");
                    }

                } else {
                    alert("<?php echo e(__('items.barcode_ticket.tickets.select_item_and_quantity')); ?>");
                }
            });

            // remove item from table
            window.removeItem = function(element) {
                deleteItem(element);
            }
        });


        $(document).on('change', '.count', function(){
            if ($(this).val() > 0)
            {
                prependPrinting(this);
            }
            else {
                deleteItem($(this));
            }
        });

        function deleteItem(element)
        {
            $(element).closest('tr').remove();

            prependPrinting();

            if ($("#choosed_items tr").length == 0) {
                $("tfoot tr").remove();
                $("tbody").append(
                    `<tr id="no_data">
                    <td colspan="8" class="text-center"><?php echo e(__('items.barcode_ticket.tickets.no_rows')); ?></td>
                    </tr>`
                );
            }
        }

        function prependPrinting()
        {
            let items = [];
                    $("#choosed_items tr").each(function() {
                        if ( $(this).data('id') )
                        {
                            let ele = $(this);
                            var details = ($(this).data('id')).split('-');
                            console.log(details)
                            items.push({
                                id: details[0],
                                barcode: details[1],
                                price: details[2],
                                unit: ele.find('.sale_unit').text(),
                                quantity: parseInt($(this).find('.count').val())
                            });
                        }
                    });

            $("tfoot").html(
                `<tr>
                    <td colspan="6" class="text-center"><?php echo e(__('items.barcode_ticket.tickets.total')); ?></td>
                    <td class="text-center">${$("tbody tr .count").toArray().reduce((a, b) => parseInt(a) + parseInt($(b).val()), 0)}</td>
                    <td class="text-center">
                        <form action="<?php echo e(route('barcode.printBarcode')); ?>" method="post" target="_blank" rel="noopener noreferrer">
                            <?php echo csrf_field(); ?>
                            <input type="hidden" name="items" value='${JSON.stringify(items)}'>
                            <button class="btn btn-success btn-sm" type="submit"><i class='fa fa-print'></i></button>
                        </form>
                    </td>
                </tr>`
            );
        }

        $('#item_id').on('change', function(){
            $('#unit_id').html($(this).children('option:selected').data('units'));
            $('#unit_id').selectpicker('refresh');
        });

    </script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css-scripts'); ?>
    <link href="<?php echo e(asset('css/calenders/jquery.calendars.picker.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/calenders/bootstrap-datetimepicker-standalone.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/calenders/datepicker3.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Item/Resources/views/barcode/printBarcode.blade.php ENDPATH**/ ?>