

<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <h1 class="text-primary">
            <?php echo e(__('invoices.invoice.title', ['no' => (!in_array($invoice->bill_no, ['', ' ', null]) ? $invoice->bill_no : '---')])); ?>

        </h1>

        
        <div class="col-md-12 mt-4 mb-3">
            <div class="row">
                <div class="form-group col-md-6">
                    <div class="bg-info text-white p-1 pr-2"><?php echo e(__('invoices.details.title')); ?></div>
                    <div class="bg-white p-2">
                        <div class="form-row row p-1">
                            <div class="col-md-3 text-primary"><?php echo e(__('invoices.details.invoiceNo')); ?> :</div>
                            <div class="col-md-9"><?php echo e($invoice->bill_no); ?></div>
                        </div>

                        <?php if($invoice->supplier_invoice_no): ?>
                            <div class="form-row row p-1">
                                <div class="col-md-3 text-primary"> <?php echo app('translator')->get('invoices.invoices.supplier_invoice_no'); ?> </div>
                                <div class="col-md-9"><?php echo e($invoice->supplier_invoice_no); ?></div>
                            </div>
                        <?php endif; ?>

                        <div class="form-row row p-1">
                            <div class="col-md-3 text-primary"><?php echo e(__('invoices.details.invoiceType')); ?> :</div>
                            <div class="col-md-9"><?php echo e($invoice->type); ?></div>
                        </div>
                        <div class="form-row row p-1">
                            <div class="col-md-3 text-primary"><?php echo e(__('invoices.details.invoiceDate')); ?> :</div>
                            <div class="col-md-9"><?php echo e($invoice->invoice_date); ?></div>
                        </div>
                    </div>
                </div>

                <div class="form-group col-md-6">
                    <div class="bg-info text-white p-1 pr-2"><?php echo e(__('invoices.client.title')); ?></div>
                    <div class="bg-white p-2">
                        <div class="form-row row p-1">
                            <div class="col-md-3 text-primary"> <?php echo e($invoice->invoice_type ? trans('client.client-name') : trans('client.supplier-name')); ?>:</div>
                            <div class="col-md-9"><?php echo e($invoice->client->client_name ?? '---'); ?></div>
                        </div>
                        <div class="form-row row p-1">
                            <div class="col-md-3 text-primary"><?php echo e(__('invoices.client.mobile')); ?> :</div>
                            <div class="col-md-9"><?php echo e($invoice->client->mobile1 ?? '---'); ?></div>
                        </div>
                        <div class="form-row row p-1">
                            <div class="col-md-3 text-primary"><?php echo e(__('invoices.client.balance')); ?> :</div>
                            <div class="col-md-9"><?php echo e($invoice->client->balance ?? '---'); ?></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        
        <div class="col-md-12 table-responsive">
            <table class="table table-hover table-bordered table-striped bg-white">
                <thead>
                    <tr class="bg-info text-white">
                        <th scope="col"><?php echo e(__('invoices.details.item_name')); ?></th>
                        <th scope="col"><?php echo e(__('invoices.details.item_description')); ?></th>
                        <th scope="col"><?php echo e(__('category.unit')); ?></th>
                        <th scope="col"><?php echo e(__('invoices.details.quantity')); ?></th>
                        <th scope="col"><?php echo e(__('invoices.details.unit-price')); ?></th>
                        <th scope="col"><?php echo e(__('invoices.details.total-price')); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                        $total_without_vat = 0;
                    ?>
                    <?php $__currentLoopData = $invoice->InvoiceDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                        $item_total = $detail->price_without_vat * $detail->quantity;
                        $total_without_vat += $item_total;
                    ?>
                        <tr>
                            <td><?php echo e($detail->item_name); ?></td>
                            <td><?php echo e($detail->item_about); ?></td>
                            <td><?php echo e($detail->unit?->name); ?></td>
                            <td><?php echo e(round_quantity($detail->quantity)); ?></td>
                            <td><?php echo e(round_money($detail->price_without_vat)); ?></td>
                            <td><?php echo e(round_money($item_total)); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>

        
        <div class="col-md-12 mt-3">
            <div class="row justify-content-end">
                <div class="col-md-2"> <?php echo $invoice->qr; ?> </div>
                <div class="col-md-4"></div>
                <?php
                    $invoice_discount = $invoice->invoice_total_disc_type == 1 ? (float)$invoice->invoice_total_disc : (float)$total_basic_price * ( (float)$invoice->invoice_total_disc / 100);
                    $bill_total = $invoice->InvoiceDetails->sum('item_price_with_discount') + $invoice_discount;
                    $bill_total = $total_without_vat + $invoice_discount;
                ?>

                <div class="form-group col-md-4">
                    <div class="bg-info text-white p-1 pr-2"><?php echo e(__('invoices.totals.title')); ?></div>
                    <div class="bg-white p-2">
                        <div class="form-row row p-1">
                            <div class="col-md-5 text-primary"><?php echo e(__('invoices.totals.total_amount')); ?> :</div>
                            <div class="col-md-7"><?php echo e(round_money(  $bill_total )); ?></div>
                        </div>
                        <div class="form-row row p-1">
                            <div class="col-md-5 text-primary"><?php echo e(__('invoices.totals.total_discount')); ?> :</div>
                            <div class="col-md-7"><?php echo e(round_money((float) $invoice_discount)); ?></div>
                        </div>
                        <?php if($settings->apply_vats): ?>

                            <div class="form-row row p-1">
                                <div class="col-md-5 text-primary"><?php echo e(__('invoices.totals.total_vats')); ?> :</div>
                                <div class="col-md-7"><?php echo e(round_money($invoice->vats_sum_vat_weight ?? 0)); ?></div>
                            </div>
                        <?php endif; ?>

                        <?php if($invoice->invoice_type == 1 &&  get_session_val('show_delivery_charges_in_the_invoice', 'Integer') == 1): ?>
                        <div class="form-row row p-1">
                            <div class="col-md-5 text-primary"><?php echo e(__('invoices.delivery_fee')); ?> :</div>
                            <div class="col-md-7"><?php echo e(round_money($invoice->fee)); ?></div>
                        </div>
                        <?php endif; ?>

                        <div class="form-row row p-1">
                            <div class="col-md-5 text-primary"><?php echo e(__('invoices.totals.total_sales')); ?> :</div>
                            <div class="col-md-7"><?php echo e(round_money($invoice->net_price)); ?></div>
                        </div>
                        <div class="form-row row p-1">
                            <div class="col-md-5 text-primary"><?php echo e(__('invoices.totals.payment')); ?> :</div>
                            <div class="col-md-7"><?php echo e(round_money($invoice->payment)); ?></div>
                        </div>
                        <div class="form-row row p-1">
                            <div class="col-md-5 text-primary"><?php echo e(__('invoices.totals.rest')); ?> :</div>
                            <div class="col-md-7"><?php echo e(round_money($invoice->rest)); ?></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js-scripts'); ?>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.plus.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.plugin.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.picker.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura-ar.js')); ?>"></script>
    <script src="<?php echo e(asset('tickets/js/bootstrap-select.min.js')); ?>"></script>

    <script>
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $('.selectpicker').selectpicker({
                style: 'btn-default',
                size: 8
            });

            if ('<?php echo e(get_session_val('date_type', 'Integer')); ?>' == '2') {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    defaultDate: "0",
                    // selectDefaultDate: true
                });
            } else {
                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('ummalqura'),
                    dateFormat: 'Y-mm-dd',
                    defaultDate: "0",
                    // selectDefaultDate: true
                });
            }
        });
    </script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css-scripts'); ?>
    <link href="<?php echo e(asset('css/calenders/jquery.calendars.picker.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/calenders/bootstrap-datetimepicker-standalone.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/calenders/datepicker3.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('tickets/css/bootstrap-select.min.css')); ?>" rel="stylesheet">

    <style>
        h3 {
            display: inline-block;
        }

        .btn-danger {
            padding: 6px 12px !important;
        }

        .mg-top {
            margin-top: 10px;
        }

        .invoice-header {
            margin-bottom: 15px;
        }

        .header {
            padding: 5px;
        }

        .info,
        .total-info,
        .details-info {
            background-color: #f5f5f5;
            padding-top: 8px;
            width: 100%;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Invoices/Resources/views/show.blade.php ENDPATH**/ ?>