

<?php $__env->startSection('content'); ?>

<div class="card card-light mb-1_5 p-3">
        <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <h2 class="text-info"><?php echo e(trans('native.order_stores')); ?></h2>
            </div>
        </div>

        <div class="row well col-md-12">

            <form class="col-md-12 row mb-4 custome-form">
                <div class="col-md-2">
                    <div class="form-group">
                        <label><?php echo e(trans('native.no_Order')); ?></label>
                        <input class="form-control" value="<?php echo e(request('order_no') ?? ''); ?>" type="text" name="order_no">
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="control-label"><?php echo e(trans('native.store_name')); ?></label>
                        <select class="form-control picker" data-live-search="true" id="select_store" name="store_id">
                            <option value="x"
                                    <?php if(request('store_id') == 'x'): ?> selected <?php endif; ?>><?php echo e(trans('store.all_stores')); ?></option>
                            <?php $__currentLoopData = $stores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $store): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($store->id); ?>"
                                        <?php if(request('store_id') == $store->id): ?> selected <?php endif; ?>><?php echo e($store->store_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>

                <div class="col-md-2">
                    <div class="form-group">
                        <label class="control-label">حاله النقل</label>
                        <select class="form-control picker" data-live-search="true" id="store_confirm" name="store_confirm">


                            <option value="x"
                                    <?php if(request('store_confirm') == 'x'): ?> selected <?php endif; ?>><?php echo e(trans('native.All')); ?></option>

                                <option value="1"
                                        <?php if(request('store_confirm') == 1): ?> selected <?php endif; ?>
                                ><?php echo e(trans('native.Confirmed')); ?></option>
                                <option value="0"
                                        <?php if(request('store_confirm') == 0): ?> selected <?php endif; ?>
                                ><?php echo e(trans('native.Not Confirmed')); ?></option>
                            </select>
                        </div>
                     </div>

                    <div class="col-md-2">
                        <div class="form-group">
                            <label><?php echo e(trans('extends.from')); ?></label>
                            <input class="form-control date" value="<?php echo e(request('from_date') ?? ''); ?>" type="text"
                                   name="from_date" autocomplete="off" readonly id="from">
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="form-group">
                            <label><?php echo e(trans('extends.to')); ?></label>
                            <input class="form-control date" value="<?php echo e(request('to_date') ?? ''); ?>" type="text" name="to_date"
                                   autocomplete="off" readonly>
                        </div>
                    </div>


                    <div class="col-md-1" style="margin-top:30px">
                        <input type="submit" class="btn btn-success col-md-12" value="<?php echo e(trans('extends.show')); ?>">
                    </div>

                </form>

            </div>

            <?php if(count($records) > 0): ?>
                <div class="row col-md-12 table table-responsive ">
                    <table class="table-hover table-bordered col-md-12">
                        <thead>
                        <tr class="bg-info text-white text-center ">
                            <td><?php echo e(trans('native.no_Order')); ?></td>
                            <td><?php echo e(trans('native.TheDate')); ?></td>
                            <td><?php echo e(trans('store.from_store')); ?></td>
                            <td><?php echo e(trans('store.to_store')); ?></td>
                            <td colspan="2"><?php echo e(trans('extends.details')); ?></td>
                        </tr>
                        </thead>
                        <tbody id="content-body">
                        <?php $__currentLoopData = $records; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $record): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr class="text-center"
                            <?php if($record->confirm == 0): ?>
                               style="background: #f3d952;"
                            <?php endif; ?>
                            >
                                <td><?php echo e($record->order_no); ?></td>
                                <td><?php echo e($record->date_order); ?></td>

                                <td><?php echo e($record->store_from); ?></td>
                                <td><?php echo e($record->store_to); ?></td>

                                <td>
                                    <a target="_blank" class="btn btn-primary" rel="noopener noreferrer"
                                       href="<?php echo e(route('store.transform-item', $record->id)); ?>"><?php echo e(trans('extends.details')); ?></a>
                                </td>
                                <td class="hidden">
                                    <a target="_blank" class="btn btn-success" rel="noopener noreferrer"
                                       href="<?php echo e(asset('store/list-transform/'.$record->id.'?vat=1')); ?>" ><?php echo e(trans('store.details_with_bill_add')); ?></a>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <div class="text-center">
                        <?php echo $records->appends(Request::capture()->except('page'))->render(); ?>

                    </div>
                </div>

            <?php else: ?>
                <h3 class="text-center">لا توجد نتائج</h3>
            <?php endif; ?>
        </div>
</div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js-scripts'); ?>
    <script src="<?php echo e(asset('tickets/js/bootstrap-select.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.plus.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.plugin.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.picker.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura-ar.js')); ?>"></script>

    <script type="text/javascript">

        if ('<?php echo e(get_session_val('date_type', 'Integer')); ?>' == '2') {
            $(".date").calendarsPicker({
                calendar: $.calendars.instance('gregorian'),
                dateFormat: 'Y-mm-dd',
                // defaultDate: "0",
                // selectDefaultDate: true

            });
        } else {
            $(".date").calendarsPicker({
                calendar: $.calendars.instance('ummalqura'),
                dateFormat: 'Y-mm-dd',
                // defaultDate: "0",
                // selectDefaultDate: true
            });
        }
        $('.picker').selectpicker({
            size: 8
        });
    </script>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('css-scripts'); ?>
    <link href="<?php echo e(asset('tickets/css/bootstrap-select.min.css')); ?>" rel="stylesheet">

    <link href="<?php echo e(asset('css/calenders/jquery.calendars.picker.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/calenders/bootstrap-datetimepicker-standalone.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/calenders/datepicker3.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Store/Resources/views/transform-list.blade.php ENDPATH**/ ?>