

<?php $__env->startSection('css-scripts'); ?>
    <link href="<?php echo e(asset('tickets/css/jquery-ui.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/calenders/jquery.calendars.picker.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/calenders/bootstrap-datetimepicker-standalone.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/calenders/datepicker3.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('tickets/jquery.ptTimeSelect.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('tickets/jquery.timepicker.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('tickets/css/bootstrap-select.min.css')); ?>" rel="stylesheet">

    <style>
        .radio-group label {
            color: black;
        }

        .radio-group .btn,
        .radio-group .btn {
            color: #000 !important;
            background-color: #fff !important;
            border-color: #fbfbfb;
            border-radius: 4px !important;
        }

        .radio-group .btn:active,
        .radio-group .btn.active {
            color: #fff !important;
            background-color: #5cb85c !important;
            border-color: #fbfbfb;
        }

        .btn-group input[type="radio"] {
            display: none;
        }

        #result {
            position: absolute;
            right: 17%;
            margin-top: 34px;
        }

        #result ul li {
            padding: 0px 8px;
        }

        #result ul li:hover {
            background-color: <?php echo e($bg_color); ?>;
            cursor: pointer;
        }

        .button:hover {
            cursor: pointer;
        }

        .btn-danger {
            color: white !important;
        }

        #items_in_the_table tr td,
        #items_in_the_table tr td input {
            text-align: center;
        }

        #items_in_the_table tr td input {
            width: 100% !important;
        }

        .liSelected {
            background: dodgerblue !important;
            color: white;
        }

        .card {
            border-radius: 6px !important;
        }

        * {
            font-size: 14px !important;
        }

        h1 {
            font-size: 24px !important;
        }


        .item {
            background-size: 100% 80px;
            background-repeat: no-repeat;
            text-wrap: revert;
            /* height: 160px; */
        }

        li.ingrediant_option:hover {
            cursor: pointer;
            background-color: #64b5f6;
            color: #fff;
        }
    </style>

    <?php if(get_session_val('screen_type', 'integer') == 1 && get_session_val('show_input_keys', 'integer') == 1): ?>
        <style>
            #quantity_by_keys_conainer .input_key {
                font-weight: bold;
                font-size: 22px;
                background-color: #64b5f6;
            }

            #quantity_by_keys_conainer .input_key_lg {
                font-weight: bold;
                font-size: 18px;
                background-color: #64b5f6;
                background-color: #f0ad4e;
                color: white;
            }
        </style>
    <?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <h1 class="text-info"> <?php echo app('translator')->get("invoices.create-title.$invoice_type"); ?> </h1>

    <?php if(session()->has('success') && session()->get('invoice_id')): ?>
        <script>
            window.open("<?php echo e(route('invoices.print', ['invoice' => session()->get('invoice_id')])); ?>", "_blank") ;
        </script>
    <?php endif; ?>

    <div class="col-md-12">
        
        <form class="custome-form  mt-2" id="new-invoice-form"
              action="<?php echo e(route('invoices.store', $invoice_type)); ?>" method="POST" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <input type="hidden" name="pendingInvoice" Auto_Test= "create_invoice_search_pendingInvoice" value="<?php echo e($pendingInvoice->id ?? "0"); ?>" id="pending_invoice_id">
            <?php echo $__env->renderWhen(
                !is_null($invoice) && $invoice_type == 'returned sales',
                'invoices::layouts.create.reference_invoice', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path'])); ?>
            <?php echo $__env->make('invoices::layouts.create.bill_info', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <div class="row">
                <?php echo $__env->renderWhen(get_session_val('screen_type', 'integer') == 1, 'invoices::layouts.create.press', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path'])); ?>
                    <div class="<?php echo \Illuminate\Support\Arr::toCssClasses([
                        'col-md-6' =>
                            get_session_val('screen_type', 'integer') == 1,
                        'col-md-12' =>
                            get_session_val('screen_type', 'integer') == 0,
                    ]) ?>">

                <?php echo $__env->renderWhen(get_session_val('screen_type', 'integer') == 1 &&
                        get_session_val('show_input_keys', 'integer') == 1 &&
                        !(!is_null($invoice) && $invoice_type == 'returned sales'),
                    'invoices::layouts.create.partials.input_keys', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path'])); ?>

                <?php echo $__env->make('invoices::layouts.create.new_item', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <?php echo $__env->make('invoices::layouts.create.added_item', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <?php echo $__env->make('invoices::layouts.create.bill_money_info', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                <?php if(get_session_val('manufacturing', 'integer') == 2 &&
                        in_array($invoice_type, ['sales', 'returned sales']) &&
                        get_session_val('definite_while_selling', 'integer') == 1): ?>
                    <?php echo $__env->make('invoices::layouts.create.partials.ingrediants', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <?php echo $__env->make('invoices::layouts.create.partials.more_ingrediants', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <?php endif; ?>
            </div>
        </form>
    </div>

    <?php if( (authorized('can_display_sales') && $invoice_type =='sales') ||
        (authorized('can_display_purchases') && $invoice_type =='purchases') ): ?>
        <?php echo $__env->make('invoices::layouts.create.daily_invoices', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js-scripts'); ?>
    <?php echo $__env->make('invoices::js.einvoice-submiting-js', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php if(get_session_val('custom_invoice_details_table', 'integer') == 1): ?>
        <?php echo $__env->make('invoices::js.custom_new_js', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php else: ?>
        <?php echo $__env->make('invoices::js.new_js', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php endif; ?>
    <?php echo $__env->make('invoices::js.add-client-js', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php echo $__env->renderWhen((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments')) == 1 && in_array($invoice_type, ['sales', 'purchases']),
        'invoices::js.installments', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path'])); ?>
    <?php echo $__env->renderWhen(!is_null($invoice), 'invoices::js.return_from_sales', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path'])); ?>
    <?php echo $__env->renderWhen(get_session_val('screen_type', 'integer') == 1, 'invoices::js.press', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path'])); ?>
    <?php echo $__env->renderWhen(get_session_val('screen_type', 'integer') == 1 && get_session_val('show_input_keys', 'integer') == 1,
        'invoices::js.input_keys', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path'])); ?>
    <?php echo $__env->renderWhen(get_session_val('manufacturing', 'integer') == 2 &&
            in_array($invoice_type, ['sales', 'returned sales']) &&
            get_session_val('definite_while_selling', 'integer') == 1,
        'invoices::js.ingrediants', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path'])); ?>

    <?php if(session()->get('whatsapp_redirect')): ?>
        <script>
            $(function() {
                $.ajax({
                    url: "<?php echo e(session()->get('whatsapp_redirect')); ?>",
                    type: "GET",
                    success: function(response) { response.status ? window.open(response.redirect, '_blank') : console.log(response); },
                    error: function(error) { console.log(error); },
                })
            });
        </script>
    <?php endif; ?>

    <?php if(session()->get('send-invoice-as-mail')): ?>
        <script>
            $(function() {
                $.ajax({
                    url: "<?php echo e(session()->get('send-invoice-as-mail')); ?>",
                    type: "GET",
                    success: function(response) { console.log(response); },
                    error: function(response) { console.log(response); },
                })
            });
        </script>
    <?php endif; ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Invoices/Resources/views/create.blade.php ENDPATH**/ ?>