<?php $__env->startSection('js-scripts'); ?>
    <script>
        $(function() {
            $('body').on('click', '.open-modal', function(e) {
                e.preventDefault();
                let model = $('#form-modal');

                $.ajax({
                    url: $(this).attr('href'),
                    type: 'GET',
                    beforeSend: function (jqHXR) { model.find('.modal-content').empty(); },
                    success: function(data) {
                        model.find('.modal-content').append(data);
                        model.modal('show');
                        $('.selectpicker').selectpicker();
                    },
                    error: function (jqXHR, textStatus, errorMessage) { handleErrors(jqXHR); },
                })
            });
        });

        $('body').on('submit', 'form.submit-form', function(e) {
            e.preventDefault();
            $('#success_messages, #error_messages, .alert').text('').addClass('hidden');
            let form = $(this);
            form.find('span.error').text('');

            $.ajax({
                url: form.attr('action'),
                type: form.attr('method'),
                data: form.serialize(),
                beforeSend: function (jqHXR) { form.parent().addClass('load'); },
                success: function (response, textStatus, jqXHR) { location.reload(true); },
                error: function (jqXHR, textStatus, errorMessage) { handleErrors(jqXHR, form); },
            });
        }); // WHEN SUBMIT THE FORM SEND DATA TO CONTROLLER

        $('body').on('submit', 'form.form-destroy', function (e) {
            e.preventDefault();
            $('#success_messages, #error_messages, .alert').text('').addClass('hidden');
            let form = $(this);

            if ( ! confirm("هل انت متاكد من عملية الحذف") ) return ;

            $.ajax({
                url: form.attr('action'),
                type: "POST",
                data: form.serialize(),
                beforeSend: function (jqHXR) { form.parent().addClass('load'); },
                success: function (response, textStatus, jqXHR) {
                    $('#success_messages').text(response.message).removeClass('hidden');
                    form.closest('tr').remove();
                },
                error: function (jqXHR, textStatus, errorMessage) { handleErrors(jqXHR, form); },
            });
        }); // WHEN SUBMIT THE FORM TO DELETE THE ROW

        $('body').on('click', '#select-all-users', function (e) {
            e.preventDefault();
            let select = $(this).closest('form').find('#users');
            let check = ! select.data('selected');
            select.data('selected', check);
            $.each(select.find('option'), function () { $(this).prop('selected', check); });
            select.selectpicker('refresh');
        });


        function handleErrors(jqXHR, form = null) {
            if (form) form.parent().removeClass('load');
            if (jqXHR.readyState == 0) return true;

            if ([401,401,402,403,404].includes(jqXHR.status))
                alert(jqXHR.responseJSON.message);

            else if (jqXHR.status == 422) { // List Validation Error
                $.each(jqXHR.responseJSON.errors, function (key, val) {
                    val = Array.isArray(val) ? val[0] : val;
                    console.log(`#${key.replaceAll('.', '-')}_error`);
                    form.find(`#${key.replaceAll('.', '-')}_error`).text(val).fadeIn(300);
                });
            } else if (typeof jqXHR.responseJSON !== 'undefined' && typeof jqXHR.responseJSON.line !== 'undefined') {
                alert(jqXHR.responseJSON.message);
            } else {
                alert(jqXHR.responseJSON || jqXHR.statusText);
                $('#load-backend-info').modal("show").find('.modal-body').empty().append(jqXHR.responseText);
            }
        }
    </script>
<?php $__env->stopSection(); ?>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/SpendsAndIncoms/Resources/views/includes/js.blade.php ENDPATH**/ ?>