<?php
    $padding = 10;
    $border  = 2;
    $invoice_discount = $bill_total = $vat_weight = $net_price = 0;
    if ($invoice) {
        $net_price = $invoice->net_price;
        // $bill_total = $invoice->bill_total;
        $bill_total = $bill_total_without_vat;
        $vat_weight = $invoice->vats->sum('vat_weight');
        $invoice_discount = $bill_total_discounts;
        $invoice_discount = $invoice->invoice_total_disc_type == 1 ? (float)$invoice->invoice_total_disc : (float)$bill_total * ( (float)$invoice->invoice_total_disc / 100);
    }
?>

<div style="display: flex; justify-content: space-between; column-gap: 30px; flex-direction: row; position: relative; flex-direction: row-reverse;">
    <div style="border: <?php echo e($border); ?>px solid #000; border-radius: 30px; margin-top: 15px; font-weight: bold; width: 50%">
        <div style="border-bottom: 2px solid #000">
            <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">الإجمالي قبل الخصم</span>
            <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: center; border-left: <?php echo e($border); ?>px solid #000; border-right: <?php echo e($border); ?>px solid #000">
                <?php echo e(round_money((float) $bill_total ?? 0, true)); ?>

            </span>
            <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">Subtotal</span>
        </div>

        <div style="border-bottom: 2px solid #000">
            <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">مبلغ الخصم</span>
            <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: center; border-left: <?php echo e($border); ?>px solid #000; border-right: <?php echo e($border); ?>px solid #000">
                <?php echo e(round_money((float) $invoice_discount, true)); ?>

            </span>
            <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">Discount Amount</span>
        </div>

        <?php if($shop->apply_vats): ?>
            <div style="border-bottom: 2px solid #000">
                <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">الصافي بدون الضريبة</span>
                <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: center; border-left: <?php echo e($border); ?>px solid #000; border-right: <?php echo e($border); ?>px solid #000">
                    <?php echo e(round_money((float) $bill_total - $invoice_discount, true)); ?>

                </span>
                <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">Net VAT Excluded</span>
            </div>

            <div style="border-bottom: 2px solid #000">
                <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">ضريبة القيمة المضافة <?php echo e($invoice->vats->first()->vat_value ?? 0); ?>%</span>
                <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: center; border-left: <?php echo e($border); ?>px solid #000; border-right: <?php echo e($border); ?>px solid #000">
                    <?php echo e(round_money((float) $vat_weight, true)); ?>

                </span>
                <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">VAT Amount <?php echo e($invoice->vats->first()->vat_value ?? 0); ?>%</span>
            </div>
        <?php endif; ?>

        <?php if($invoice_settings->show_invoice_rest): ?>
            <div style="border-bottom: 2px solid #000">
                <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">المبلغ المدفوع</span>
                <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: center; border-left: <?php echo e($border); ?>px solid #000; border-right: <?php echo e($border); ?>px solid #000">
                    <?php echo e(round_money((float) $invoice->payment, true)); ?>

                </span>
                <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">The Amount Paid</span>
            </div>

            <div style="border-bottom: 2px solid #000">
                <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">المبلغ المتبقي</span>
                <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: center; border-left: <?php echo e($border); ?>px solid #000; border-right: <?php echo e($border); ?>px solid #000">
                    <?php echo e(round_money((float) $invoice->rest, true)); ?>

                </span>
                <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">Remaining Amount</span>
            </div>
        <?php endif; ?>

        <div>
            <?php if($shop->apply_vats): ?>
                <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">الصافي شامل الضريبة</span>
            <?php else: ?>
                <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">الصافي بعد الخصم</span>
            <?php endif; ?>
            <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: center; border-left: <?php echo e($border); ?>px solid #000; border-right: <?php echo e($border); ?>px solid #000">
                <?php echo e(round_money((float) $net_price, true)); ?>

            </span>

            <?php if($shop->apply_vats): ?>
                <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">Included VAT Net</span>
            <?php else: ?>
                <span style="padding: <?php echo e($padding); ?>px; display: inline-block; width: calc((100% - 80px) / 3); text-align: left">Net After Discount</span>
            <?php endif; ?>
        </div>
    </div>

    <?php if($is_cash_bill || !$shop->use_parts_cash_proforma_invoice): ?>
        <?php if($invoice_settings->qr_code): ?>
            <div style="flex-grow: .5; display: flex; flex-direction: column; justify-content: center;">
                <p style="max-height: 250px; max-width: 250px"><?php echo $invoice->qr; ?></p>
            </div>
        <?php endif; ?>
    <?php endif; ?>
</div>

<p style="text-align: left; border-bottom: 2px solid #929292; padding: 10px 10px 7px; margin: 0;">
    <?php echo e(transLatNumbers((float) $net_price)); ?>

</p>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Invoices/Resources/views/print/taxs/totals.blade.php ENDPATH**/ ?>