

<?php $__env->startSection('content'); ?>
<?php if(! in_array(app()->getLocale(), ['ar', 'ksa'])): ?>
    <style>
        .text-right {
            text-align: left !important;
        }
        .login-form-group>span {
            right: unset !important;
            left: 20px !important;
        }
        .login-form-group {
            padding-right: unset;
            padding-left: 60px !important;
        }
        span.toggle-password {
            left: auto !important;
            right: 30px !important;
        }
    </style>
<?php endif; ?>


<div class="row ">
    <div class="col-md-8 offset-md-2">
        <h1 class="h3 text-center d-block d-sm-none"> <?php echo app('translator')->get('login.title'); ?> </h1>

        <?php if(session('success')): ?>
            <div class="alert alert-success">
                <?php echo e(session('success')); ?>

            </div>
        <?php endif; ?>

        <?php if(isset($errors) && $errors->any()): ?>
            <div class="alert alert-danger">
                <ul>
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><?php echo e($error); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
        <?php endif; ?>

        <div class="col-md-6 d-block d-sm-none">
            <div class="logo text-center">
                <a href="#" title="<?php echo app('translator')->get('login.badr'); ?>">
                    <img src=" <?php echo e(asset('imgs/logo.png')); ?>" alt="<?php echo app('translator')->get('login.badr'); ?>" title="<?php echo app('translator')->get('login.badr'); ?>" />
                </a>
            </div>
        </div>
        <div class="login-content">
            <h1 class="h3 text-center d-none d-sm-block"><?php echo app('translator')->get('login.title'); ?></h1>
            <div class="login-content__form">
                <form method="POST" action="<?php echo e(route('login')); ?>">
                    <?php echo csrf_field(); ?>
                    <div class="login-content__form_top">
                        <div class="login-form-group">
                            <span>
                                <img src=" <?php echo e(asset('imgs/login/Profile.png')); ?>" alt="  " title="  " />
                            </span>
                            <label for="user_name"><?php echo app('translator')->get('login.user-or-email'); ?></label>
                            <input type="text" class="form-control" name="user_name" id="user_name" placeholder="<?php echo app('translator')->get('login.user-or-email'); ?>"
                                value="<?php echo e(old('user_name', env('LOGIN_NAME'))); ?>" autofocus required>
                        </div>

                        <div class="login-form-group">
                            <span>
                                <img src=" <?php echo e(asset('imgs/login/Group117.png')); ?>" alt="  " title="  " />
                            </span>
                            <label for="password-field"><?php echo app('translator')->get('login.password'); ?></label>
                            <input type="password" class="form-control" name="password" id="password" placeholder="<?php echo app('translator')->get('login.password'); ?>"
                                   value="<?php echo e(env('LOGIN_PASS')); ?>" required>
                            <span class="fa fa-eye-slash toggle-password" id="togglePassword"></span>
                        </div>
                    </div>

                    <div class="form-group mt-4">
                        <div class="row">
                            <div class="col-md-6 text-right">
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input-bg" id="customCheck1" name="remember">
                                    <label class="custom-control-label-bg" for="customCheck1">
                                        <strong><?php echo app('translator')->get('login.remember'); ?></strong>
                                    </label>
                                </div>
                            </div>
                            <div class="col-md-6 text-left d-sm-block">
                                

                                <?php if( function_exists('checkDatabaseConnection') && !checkDatabaseConnection() && Route::has('installer.index')): ?>
                                    <a href="<?php echo e(route('installer.index')); ?>" class="text-info">
                                        <strong>
                                            <?php echo app('translator')->get('login.install'); ?>
                                            <i class="fa fa-download text-info" aria-hidden="true"></i>
                                        </strong>
                                    </a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row mt-5">
                        <div class="col-md-6 col-12">
                            <button type="submit"
                                class="btn btn-primary d-block w-100 btn-xlg rounded-10 auth-submit">
                                <i class="fa  fa-angle-right"></i>
                                <?php echo app('translator')->get('login.login'); ?>
                            </button>
                        </div>

                        <div class="col-md-6 col-12">
                            <?php if(Route::has('create_account')): ?>
                                <a href="<?php echo e(route('create_account')); ?>" class="btn btn-secondary d-block w-100 btn-xlg rounded-10 new-account">
                                    <?php echo app('translator')->get('login.create-new-test'); ?>
                                </a>
                            <?php endif; ?>

                            <?php if(Route::has('register')): ?>
                                <a href="<?php echo e(route('create_account')); ?>" class="btn btn-secondary d-block w-100 btn-xlg rounded-10 new-account">
                                    <?php echo app('translator')->get('login.create-new'); ?>
                                </a>
                            <?php endif; ?>
                        </div>
                    </div>

                    
                </form>
            </div>
        </div>
    </div>
    <div class="col-md-12 mt-5">
        <div class="row">
            <?php $details = getSupportDetails(); ?>

            <div class="col-md-3">
                <div class="explanation">
                    <a href="<?php echo e($details['whatsapp']); ?>" target="_blank" title="<?php echo app('translator')->get('login.goto-whats'); ?>">
                        <img src="<?php echo e(asset('imgs/whatsapp_logo.png')); ?>" style="width: 49px;">
                        <p>
                            
                            <?php echo app('translator')->get('login.contact-us'); ?>
                        </p>
                    </a>
                </div>
            </div>

            <div class="col-md-6">
                <div class="text-center for-contact">
                    <p><?php echo app('translator')->get('login.contact-to-support'); ?></p>
                    <p><?php echo e($details['support_number']); ?></p>
                </div>
            </div>

            <div class="col-md-3">
                <div class="explanation">
                    <a href="">
                        <img src="<?php echo e($details['video']); ?>" alt="">
                        <p> <?php echo app('translator')->get('login.show-video'); ?> </p>
                    </a>

                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/resources/views/auth/login.blade.php ENDPATH**/ ?>