<style>
    .form-group .bootstrap-select {
        position: relative !important;
    }

    .form-group .bootstrap-select .dropdown-menu {
        min-width: 100% !important;
        top: unset;
        left: unset;
    }
</style>

    <div class="card card-light mb-1_5 pt-1_5 col-md-12">
        <div class="container">
            <div class="form-group row">
                <label for="client_id" class="col-sm-2 col-12 col-form-label">
                    <?php echo e(trans('invoices.choose', ['client' => trans('invoices.' . $invoice_type . '.client')])); ?>

                </label>
                <div class="col-sm-4 <?php if(!is_null($invoice) && $invoice_type == 'returned sales'): ?> col-12 <?php else: ?> col-12 <?php endif; ?>">
                    <select name="client_id" id="client_id"
                        class="form-control input-sm input-light select2 selectpicker padding-select col-md-10 with-add-icon pending-invoice-data"
                        data-live-search="true" Auto_Test="bill_info_client_id">

                        <?php if(!is_null($invoice) && $invoice_type == 'returned sales'): ?>
                            <option data-sales-count="<?php echo e($invoice->client->sales_count); ?>" data-currency="<?php echo e($invoice->client->currency ?? $currency); ?>"
                                data-currencyid="<?php echo e($invoice->client->currency_id); ?>" value="<?php echo e($invoice->client->id); ?>"
                                data-balance="<?php echo e($invoice->client->balance); ?>"
                                data-creditlimit="<?php echo e(($invoice->client->credit_limit != null) ? $invoice->client->credit_limit : '0'); ?>"
                                data-has_vat="<?php echo e($invoice->client->has_vat ? '1' : '0'); ?>" selected>
                                <?php echo e($invoice->client->client_name); ?>  <?php echo e($invoice->client->code ? " | {$invoice->client->code}" : ''); ?>

                            </option>
                        <?php else: ?>
                            <option value="-1"  <?php if(!request('client_id') || request('client_id') == -1): ?> <?php echo e('selected'); ?> <?php endif; ?>>
                                <?php echo e(trans('invoices.choose', ['client' => trans('invoices.' . $invoice_type . '.client')])); ?>

                            </option>
                            <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option data-sales-count="<?php echo e($client->sales_count); ?>" data-currency="<?php echo e($client->currency ?? $currency); ?>"
                                    data-currencyid="<?php echo e($client->currency_id); ?>" value="<?php echo e($client->id); ?>"
                                    data-discount="<?php echo e($client->group_discount ?? 0); ?>"
                                    data-balance="<?php echo e($client->balance); ?>"
                                    data-has_vat="<?php echo e($client->has_vat ? '1' : '0'); ?>"
                                    data-creditlimit="<?php echo e(($client->credit_limit != null) ? $client->credit_limit : '0'); ?>"
                                    data-type="<?php echo e($client->client_type); ?>"
                                    <?php if(isset($pendingInvoice) && $pendingInvoice->client_id == $client->id): ?> selected <?php else: ?>
                                        <?php if(!get_session_val('select_client', 'integer') && $index == -1): ?> selected <?php endif; ?>
                                        <?php if(isset($invoice) && $invoice->client_id == $client->id): ?> selected <?php endif; ?>
                                    <?php endif; ?>
                                    ><?php echo e($client->client_name); ?>  <?php echo e($client->code ? " | {$client->code}" : ''); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        <?php endif; ?>

                    </select>

                    <?php if(
                        (($invoice_type == 'sales' || $invoice_type == 'returned sales') && auth()->user()->new_client == 1) ||
                            (($invoice_type == 'purchases' || $invoice_type == 'returned purchases') && auth()->user()->new_supplier == 1)): ?>
                        <a href="<?php echo e(route('clients.create', ['invoice_type' => $invoice_type])); ?>" class="btn btn-info mr-1"
                            data-toggle="modal" data-target="#addNewClientModal" id="new_client"
                            style="<?php echo e(get_session_val('screen_type', 'integer') ? 'margin-right: 20px;' : ''); ?> background: #5cb85c;" Auto_Test="bill_info_crate_client_or_supplier">
                            +
                        </a>
                    <?php endif; ?>
                </div>

                <div class="col-sm-6 row">
                    <div class="mb-0 col-md-4">
                        <?php if($invoice_type == 'sales' || $invoice_type == 'returned sales'): ?>
                        <span id="client-sales-count">
                            <?php echo app('translator')->get('invoices.sales-invoices-count'); ?>
                        </span>
                        <?php endif; ?>
                    </div>

                    <p class="mb-0 col-md-4">
                        <?php echo e(trans('invoices.balance', ['client' => trans('invoices.' . $invoice_type . '.client')])); ?>

                        <span class="client_balance"> 0 </span>
                        <?php echo e($currency); ?>

                    </p>

                    <p class="mb-0 col-md-4 bg-warning text-black pt-2" style="border-radius: 4px;">
                        <?php echo app('translator')->get('invoices.invoice-net'); ?>
                        <span id="show_invoice_net">
                            0
                        </span>
                        <?php echo e($currency); ?>

                    </p>
                </div>
            </div>

            <div class="form-group row">
                <label for="invoice_date" class="col-sm-2 col-12 col-form-label">
                    <?php echo e(trans('invoices.date', ['type' => trans('invoices.' . $invoice_type . '.the-title')])); ?>

                </label>
                <div class="col-sm-4 col-12">
                    <!-- <input type="date" id="birthday" name="birthday" class="form-control input-sm input-light" id="buying" data-role="calendarpicker"> -->
                    <input type="text" id="invoice_date" name="invoice_date" Auto_Test= "bill_info_invoice_date"
                        class="form-control input-sm input-light date is-datepicker pending-invoice-data"
                        value="<?php echo e(isset($pendingInvoice) && $pendingInvoice->invoice_date ? \Illuminate\Support\Carbon::parse($pendingInvoice->invoice_date)->format('Y-m-d')  : date('Y-m-d')); ?>"
                        
                            <?php if(!authorized('can_change_sale_invoice_date')): ?>
                                disabled
                            <?php endif; ?>
                        

                    <?php if(!is_null($invoice) && $invoice_type == 'returned sales'): ?> <?php
                                $invoice_min_date = strtotime($invoice->invoice_date);
                            ?>
                            min="<?php echo e(date('Y-m-d', $invoice_min_date)); ?>" <?php endif; ?>
                    >
                    <span>
                        <i class="fa fa-calendar-alt calendar-icon"></i>
                    </span>


                    <!-- <input type="text" class="form-control input-sm input-light" id="buying" name="" /> -->
                </div>

                <label for="store_id" class="col-sm-2 col-12 col-form-label small-screen-margin">
                    <?php echo e(trans('invoices.choose', ['client' => trans('invoices.the') . trans('invoices.store')])); ?>

                </label>
                <div class="col-sm-4 col-12">
                    <select name="store_id" id="store_id" Auto_Test="bill_info_store_id"
                        class="form-control select2 input-light input-sm padding-select small-screen-margin pending-invoice-data">
                        <?php if(!is_null($invoice) && $invoice_type == 'returned sales'): ?>
                            <option value="<?php echo e($invoice->Store->id); ?>" selected><?php echo e($invoice->Store->store_name); ?>

                            </option>
                        <?php else: ?>
                            <?php $__currentLoopData = $stores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $store): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($store->id); ?>"
                                        <?php if(isset($pendingInvoice) && $pendingInvoice->store_id == $store->id): ?> selected <?php else: ?>
                                            <?php if(isset($invoice) && $invoice->store_id == $store->id): ?> selected <?php endif; ?>
                                        <?php endif; ?>
                                        <?php if(request()->store_id == $store->id): ?> selected <?php endif; ?>
                                    ><?php echo e($store->store_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </select>
                </div>
            </div>

            <div class="form-group row">
                <label for="bill_no" class="col-sm-2 col-12 col-form-label">
                    <?php echo e(trans('invoices.no', ['client' => trans('invoices.' . $invoice_type . '.client')])); ?>

                </label>
                <div class="col-sm-4 col-12">
                    <?php if(stripos($invoice_type, 'purchases') !== false): ?>
                        <input type="number" step="1" class="form-control input-sm input-light pending-invoice-data"
                            id="supplier_invoice_no" Auto_Test="bill_info_supplier_invoice_no" name="supplier_invoice_no"
                            placeholder="<?php echo e(trans('invoices.invoices.supplier_invoice_no')); ?>" value="<?php echo e($max_bill_number); ?>" />
                    <?php else: ?>
                        <input type="number" step="1" class="form-control input-sm input-light pending-invoice-data" id="bill_no" Auto_Test= "bill_info_bill_no"
                            name="bill_no"
                            placeholder="<?php echo e(trans('invoices.no', ['client' => trans('invoices.' . $invoice_type . '.client')])); ?>"
                            <?php if(get_session_val('billno_show', 'Integer') != 1): ?> readonly <?php endif; ?> value="<?php echo e($max_bill_number); ?>" />
                    <?php endif; ?>
                </div>

                <div class="col-md-6">
                    <div class="row">
                        <div class="col-md-12 row" style="display: none;" id="display-collector">
                            <label class="col-4 col-form-label small-screen-margin"> <?php echo app('translator')->get('invoices.client.collector'); ?> </label>
                            <p class="col-8 col-form-label small-screen-margin" id="show-collector"></p>
                        </div>

                        <div class="col-md-12 row" style="display: none;" id="display-client-type">
                            <label class="col-4 col-form-label small-screen-margin"> <?php echo app('translator')->get('invoices.client.type'); ?> </label>
                            <p class="col-8 col-form-label small-screen-margin" id="show-client-type"></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <select id="dump" class="hidden form-control">
    </select>

    <!-- Modal -->
    <div class="modal fade" id="addNewClientModal" tabindex="-1" role="dialog"
        aria-labelledby="addNewClientModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="addNewClientModalLabel">
                        <?php echo app('translator')->get('client.add client-supplier'); ?>
                    </h5>
                    <button type="button" Auto_Test="bill_info_btn1" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <div class="modal-body"></div>
                <div class="modal-footer">
                    <button type="button" Auto_Test="bill_info_btn2" class="btn btn-secondary"
                        data-dismiss="modal"><?php echo e(__('extends.close')); ?></button>
                </div>
            </div>
        </div>
    </div>

<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Invoices/Resources/views/layouts/create/bill_info.blade.php ENDPATH**/ ?>